
/****************************************************************************************************//**
 * @file     LPC54xxx.h
 *
 * @brief    CMSIS Cortex-M4 Peripheral Access Layer Header File for
 *           LPC54xxx from .
 *
 * @version  V0.2
 * @date     12. September 2014
 *
 * @note     Generated with SVDConv V2.84e
 *           from CMSIS SVD File 'LPC54xxx.svd' Version 0.2,
 *
 *           Modified by KEIL
 *******************************************************************************************************/



/** @addtogroup (null)
  * @{
  */

/** @addtogroup LPC54xxx
  * @{
  */

#ifndef LPC54xxx_H
#define LPC54xxx_H

#ifdef __cplusplus
extern "C" {
#endif

/*
   Following defines are used:
     CORE_M4        LPC54xxx M4 Application core
     CORE_M0PLUS    LPC54xxx M0+ Application core
 */
#if !defined (CORE_M4) && !defined (CORE_M0PLUS)
  #define CORE_M4
#endif

/* -------------------------  Interrupt Number Definition  ------------------------ */

typedef enum {
#ifdef CORE_M4
/* -------------------  Cortex-M4 Processor Exceptions Numbers  ------------------- */
  Reset_IRQn                    = -15,              /*!<   1  Reset Vector, invoked on Power up and warm reset                 */
  NonMaskableInt_IRQn           = -14,              /*!<   2  Non maskable Interrupt, cannot be stopped or preempted           */
  HardFault_IRQn                = -13,              /*!<   3  Hard Fault, all classes of Fault                                 */
  MemoryManagement_IRQn         = -12,              /*!<   4  Memory Management, MPU mismatch, including Access Violation and No Match                                                          */
  BusFault_IRQn                 = -11,              /*!<   5  Bus Fault, Pre-Fetch-, Memory Access Fault, other address/memory related Fault                                                         */
  UsageFault_IRQn               = -10,              /*!<   6  Usage Fault, i.e. Undef Instruction, Illegal State Transition    */
  SVCall_IRQn                   =  -5,              /*!<  11  System Service Call via SVC instruction                          */
  DebugMonitor_IRQn             =  -4,              /*!<  12  Debug Monitor                                                    */
  PendSV_IRQn                   =  -2,              /*!<  14  Pendable request for system service                              */
  SysTick_IRQn                  =  -1,              /*!<  15  System Tick Timer                                                */
/* ---------------------  LPC54xxx Specific Interrupt Numbers  -------------------- */
  WDT_IRQn                      =   0,              /*!<   0  WDT                                                              */
  BOD_IRQn                      =   1,              /*!<   1  BOD                                                              */
  DMA_IRQn                      =   3,              /*!<   3  DMA                                                              */
  GINT0_IRQn                    =   4,              /*!<   4  GINT0                                                            */
  PIN_INT0_IRQn                 =   5,              /*!<   5  PIN_INT0                                                         */
  PIN_INT1_IRQn                 =   6,              /*!<   6  PIN_INT1                                                         */
  PIN_INT2_IRQn                 =   7,              /*!<   7  PIN_INT2                                                         */
  PIN_INT3_IRQn                 =   8,              /*!<   8  PIN_INT3                                                         */
  UTICK_IRQn                    =   9,              /*!<   9  UTICK                                                            */
  MRT_IRQn                      =  10,              /*!<  10  MRT                                                              */
  CT32B0_IRQn                   =  11,              /*!<  11  CT32B0                                                           */
  CT32B1_IRQn                   =  12,              /*!<  12  CT32B1                                                           */
  CT32B2_IRQn                   =  13,              /*!<  13  CT32B2                                                           */
  CT32B3_IRQn                   =  14,              /*!<  14  CT32B3                                                           */
  CT32B4_IRQn                   =  15,              /*!<  15  CT32B4                                                           */
  SCT0_IRQn                     =  16,              /*!<  16  SCT0                                                             */
  UART0_IRQn                    =  17,              /*!<  17  UART0                                                            */
  UART1_IRQn                    =  18,              /*!<  18  UART1                                                            */
  UART2_IRQn                    =  19,              /*!<  19  UART2                                                            */
  UART3_IRQn                    =  20,              /*!<  20  UART3                                                            */
  I2C0_IRQn                     =  21,              /*!<  21  I2C0                                                             */
  I2C1_IRQn                     =  22,              /*!<  22  I2C1                                                             */
  I2C2_IRQn                     =  23,              /*!<  23  I2C2                                                             */
  SPI0_IRQn                     =  24,              /*!<  24  SPI0                                                             */
  SPI1_IRQn                     =  25,              /*!<  25  SPI1                                                             */
  ADC_SEQA_IRQn                 =  26,              /*!<  26  ADC_SEQA                                                         */
  ADC_SEQB_IRQn                 =  27,              /*!<  27  ADC_SEQB                                                         */
  ADC_THCMP_IRQn                =  28,              /*!<  28  ADC_THCMP                                                        */
  RTC_IRQn                      =  29,              /*!<  29  RTC                                                              */
  MAILBOX_IRQn                  =  31,              /*!<  31  MAILBOX                                                          */
  GINT1_IRQn                    =  32,              /*!<  32  GINT1                                                            */
  PIN_INT4_IRQn                 =  33,              /*!<  33  PIN_INT4                                                         */
  PIN_INT5_IRQn                 =  34,              /*!<  34  PIN_INT5                                                         */
  PIN_INT6_IRQn                 =  35,              /*!<  35  PIN_INT6                                                         */
  PIN_INT7_IRQn                 =  36,              /*!<  36  PIN_INT7                                                         */
  RIT_IRQn                      =  40               /*!<  40  RIT                                                              */
#endif
#ifdef CORE_M0PLUS
/* -------------------  Cortex-M0+ Processor Exceptions Numbers  ------------------ */
  Reset_IRQn                    = -15,              /*!<   1  Reset Vector, invoked on Power up and warm reset                 */
  NonMaskableInt_IRQn           = -14,              /*!<   2  Non maskable Interrupt, cannot be stopped or preempted           */
  HardFault_IRQn                = -13,              /*!<   3  Hard Fault, all classes of Fault                                 */



  SVCall_IRQn                   =  -5,              /*!<  11  System Service Call via SVC instruction                          */

  PendSV_IRQn                   =  -2,              /*!<  14  Pendable request for system service                              */
  SysTick_IRQn                  =  -1,              /*!<  15  System Tick Timer                                                */
// ---------------------------  LPC54xxx/M0+ Specific Interrupt Numbers  -------------------------
  WDT_IRQn                      =   0,              /*!<   0  WDT                                                              */
  BOD_IRQn                      =   1,              /*!<   1  BOD                                                              */
  DMA_IRQn                      =   3,              /*!<   3  DMA                                                              */
  GINT0_IRQn                    =   4,              /*!<   4  GINT0                                                            */
  PIN_INT0_IRQn                 =   5,              /*!<   5  PIN_INT0                                                         */
  PIN_INT1_IRQn                 =   6,              /*!<   6  PIN_INT1                                                         */
  PIN_INT2_IRQn                 =   7,              /*!<   7  PIN_INT2                                                         */
  PIN_INT3_IRQn                 =   8,              /*!<   8  PIN_INT3                                                         */
  UTICK_IRQn                    =   9,              /*!<   9  UTICK                                                            */
  MRT_IRQn                      =  10,              /*!<  10  MRT                                                              */
  CT32B0_IRQn                   =  11,              /*!<  11  CT32B0                                                           */
  CT32B1_IRQn                   =  12,              /*!<  12  CT32B1                                                           */
  CT32B2_IRQn                   =  13,              /*!<  13  CT32B2                                                           */
  CT32B3_IRQn                   =  14,              /*!<  14  CT32B3                                                           */
  CT32B4_IRQn                   =  15,              /*!<  15  CT32B4                                                           */
  SCT0_IRQn                     =  16,              /*!<  16  SCT0                                                             */
  UART0_IRQn                    =  17,              /*!<  17  UART0                                                            */
  UART1_IRQn                    =  18,              /*!<  18  UART1                                                            */
  UART2_IRQn                    =  19,              /*!<  19  UART2                                                            */
  UART3_IRQn                    =  20,              /*!<  20  UART3                                                            */
  I2C0_IRQn                     =  21,              /*!<  21  I2C0                                                             */
  I2C1_IRQn                     =  22,              /*!<  22  I2C1                                                             */
  I2C2_IRQn                     =  23,              /*!<  23  I2C2                                                             */
  SPI0_IRQn                     =  24,              /*!<  24  SPI0                                                             */
  SPI1_IRQn                     =  25,              /*!<  25  SPI1                                                             */
  ADC_SEQA_IRQn                 =  26,              /*!<  26  ADC_SEQA                                                         */
  ADC_SEQB_IRQn                 =  27,              /*!<  27  ADC_SEQB                                                         */
  ADC_THCMP_IRQn                =  28,              /*!<  28  ADC_THCMP                                                        */
  RTC_IRQn                      =  29,              /*!<  29  RTC                                                              */
  MAILBOX_IRQn                  =  31,              /*!<  31  MAILBOX                                                          */
#endif
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */


/* ================================================================================ */
/* ================      Processor and Core Peripheral Section     ================ */
/* ================================================================================ */

#if defined CORE_M4
/* ----------------Configuration of the Cortex-M4 Processor and Core Peripherals---------------- */
#define __CM4_REV                 0x0001            /*!< Cortex-M4 Core Revision                         */
#define __MPU_PRESENT                  1            /*!< MPU present or not                              */
#define __NVIC_PRIO_BITS               3            /*!< Number of Bits used for Priority Levels         */
#define __Vendor_SysTickConfig         0            /*!< Set to 1 if different SysTick Config is used    */
#define __FPU_PRESENT                  1            /*!< FPU present or not                              */

#include "core_cm4.h"                               /*!< Cortex-M4 processor and core peripherals        */
#endif

#if defined CORE_M0PLUS
/* ----------------Configuration of the Cortex-M0+ Processor and Core Peripherals--------------- */
#define __CM0PLUS_REV             0x0001	          /*!< Cortex-M0+ Core Revision                        */
#define __MPU_PRESENT                  0            /*!< MPU present or not                              */
#define __VTOR_PRESENT                 1            /*!< VTOR present or not                             */
#define __NVIC_PRIO_BITS               2            /*!< Number of Bits used for Priority Levels         */
#define __Vendor_SysTickConfig         0            /*!< Set to 1 if different SysTick Config is used    */

#include "core_cm0plus.h"                           /*!< Cortex-M0+ processor and core peripherals       */
#endif

/** @} */ /* End of group Configuration_of_CMSIS */
#include "system_LPC54xxx.h"                        /*!< LPC54xxx System                                 */


/* ================================================================================ */
/* ================       Device Specific Peripheral Section       ================ */
/* ================================================================================ */


/** @addtogroup Device_Peripheral_Registers
  * @{
  */


/* -------------------  Start of section using anonymous unions  ------------------ */
#if defined(__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined(__ICCARM__)
  #pragma language=extended
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
/* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning 586
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================                      GPIO                      ================ */
/* ================================================================================ */


/**
  * @brief General Purpose I/O  (GPIO)
  */

typedef struct {                                    /*!< GPIO Structure                                                        */
  __IO uint8_t   B0;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B1;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B2;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B3;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B4;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B5;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B6;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B7;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B8;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B9;                                /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B10;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B11;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B12;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B13;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B14;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B15;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B16;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B17;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B18;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B19;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B20;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B21;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B22;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B23;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B24;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B25;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B26;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B27;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B28;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B29;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B30;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B31;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B32;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B33;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B34;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B35;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B36;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B37;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B38;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B39;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B40;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B41;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B42;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B43;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B44;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B45;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B46;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B47;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B48;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint8_t   B49;                               /*!< Byte pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __I  uint16_t  RESERVED[2023];
  __IO uint32_t  W0;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W1;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W2;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W3;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W4;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W5;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W6;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W7;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W8;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W9;                                /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W10;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W11;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W12;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W13;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W14;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W15;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W16;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W17;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W18;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W19;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W20;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W21;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W22;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W23;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W24;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W25;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W26;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W27;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W28;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W29;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W30;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W31;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W32;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W33;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W34;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W35;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W36;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W37;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W38;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W39;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W40;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W41;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W42;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W43;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W44;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W45;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W46;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W47;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W48;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __IO uint32_t  W49;                               /*!< Word pin registers port 0/1; pins PIO0_0 to PIO1_8                    */
  __I  uint32_t  RESERVED1[974];
  __IO uint32_t  DIR0;                              /*!< Direction registers port 0/1                                          */
  __IO uint32_t  DIR1;                              /*!< Direction registers port 0/1                                          */
  __I  uint32_t  RESERVED2[30];
  __IO uint32_t  MASK0;                             /*!< Mask register port 0/1                                                */
  __IO uint32_t  MASK1;                             /*!< Mask register port 0/1                                                */
  __I  uint32_t  RESERVED3[30];
  __IO uint32_t  PIN0;                              /*!< Port pin register port 0/1                                            */
  __IO uint32_t  PIN1;                              /*!< Port pin register port 0/1                                            */
  __I  uint32_t  RESERVED4[30];
  __IO uint32_t  MPIN0;                             /*!< Masked port register port 0/1                                         */
  __IO uint32_t  MPIN1;                             /*!< Masked port register port 0/1                                         */
  __I  uint32_t  RESERVED5[30];
  __IO uint32_t  SET0;                              /*!< Write: Set register for port 0/1 Read: output bits for port
                                                         0/1                                                                   */
  __IO uint32_t  SET1;                              /*!< Write: Set register for port 0/1 Read: output bits for port
                                                         0/1                                                                   */
  __I  uint32_t  RESERVED6[30];
  __O  uint32_t  CLR0;                              /*!< Clear port 0/1                                                        */
  __O  uint32_t  CLR1;                              /*!< Clear port 0/1                                                        */
  __I  uint32_t  RESERVED7[30];
  __O  uint32_t  NOT0;                              /*!< Toggle port 0/1                                                       */
  __O  uint32_t  NOT1;                              /*!< Toggle port 0/1                                                       */
} LPC_GPIO_Type;


/* ================================================================================ */
/* ================                       DMA                      ================ */
/* ================================================================================ */


/**
  * @brief DMA controller (DMA)
  */

typedef struct {                                    /*!< DMA Structure                                                         */
  __IO uint32_t  CTRL;                              /*!< DMA control.                                                          */
  __I  uint32_t  INTSTAT;                           /*!< Interrupt status.                                                     */
  __IO uint32_t  SRAMBASE;                          /*!< SRAM address of the channel configuration table.                      */
  __I  uint32_t  RESERVED[5];
  __IO uint32_t  ENABLESET0;                        /*!< Channel Enable read and Set for all DMA channels.                     */
  __I  uint32_t  RESERVED1;
  __O  uint32_t  ENABLECLR0;                        /*!< Channel Enable Clear for all DMA channels.                            */
  __I  uint32_t  RESERVED2;
  __I  uint32_t  ACTIVE0;                           /*!< Channel Active status for all DMA channels.                           */
  __I  uint32_t  RESERVED3;
  __I  uint32_t  BUSY0;                             /*!< Channel Busy status for all DMA channels.                             */
  __I  uint32_t  RESERVED4;
  __IO uint32_t  ERRINT0;                           /*!< Error Interrupt status for all DMA channels.                          */
  __I  uint32_t  RESERVED5;
  __IO uint32_t  INTENSET0;                         /*!< Interrupt Enable read and Set for all DMA channels.                   */
  __I  uint32_t  RESERVED6;
  __O  uint32_t  INTENCLR0;                         /*!< Interrupt Enable Clear for all DMA channels.                          */
  __I  uint32_t  RESERVED7;
  __IO uint32_t  INTA0;                             /*!< Interrupt A status for all DMA channels.                              */
  __I  uint32_t  RESERVED8;
  __IO uint32_t  INTB0;                             /*!< Interrupt B status for all DMA channels.                              */
  __I  uint32_t  RESERVED9;
  __O  uint32_t  SETVALID0;                         /*!< Set ValidPending control bits for all DMA channels.                   */
  __I  uint32_t  RESERVED10;
  __O  uint32_t  SETTRIG0;                          /*!< Set Trigger control bits for all DMA channels.                        */
  __I  uint32_t  RESERVED11;
  __O  uint32_t  ABORT0;                            /*!< Channel Abort control for all DMA channels.                           */
  __I  uint32_t  RESERVED12[225];
  __IO uint32_t  CFG0;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT0;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG0;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED13;
  __IO uint32_t  CFG1;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT1;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG1;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED14;
  __IO uint32_t  CFG2;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT2;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG2;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED15;
  __IO uint32_t  CFG3;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT3;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG3;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED16;
  __IO uint32_t  CFG4;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT4;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG4;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED17;
  __IO uint32_t  CFG5;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT5;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG5;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED18;
  __IO uint32_t  CFG6;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT6;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG6;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED19;
  __IO uint32_t  CFG7;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT7;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG7;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED20;
  __IO uint32_t  CFG8;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT8;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG8;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED21;
  __IO uint32_t  CFG9;                              /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT9;                          /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG9;                          /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED22;
  __IO uint32_t  CFG10;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT10;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG10;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED23;
  __IO uint32_t  CFG11;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT11;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG11;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED24;
  __IO uint32_t  CFG12;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT12;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG12;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED25;
  __IO uint32_t  CFG13;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT13;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG13;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED26;
  __IO uint32_t  CFG14;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT14;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG14;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED27;
  __IO uint32_t  CFG15;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT15;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG15;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED28;
  __IO uint32_t  CFG16;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT16;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG16;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED29;
  __IO uint32_t  CFG17;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT17;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG17;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED30;
  __IO uint32_t  CFG18;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT18;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG18;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED31;
  __IO uint32_t  CFG19;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT19;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG19;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED32;
  __IO uint32_t  CFG20;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT20;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG20;                         /*!< Transfer configuration register for DMA channel 0.                    */
  __I  uint32_t  RESERVED33;
  __IO uint32_t  CFG21;                             /*!< Configuration register for DMA channel 0.                             */
  __I  uint32_t  CTLSTAT21;                         /*!< Control and status register for DMA channel 0.                        */
  __IO uint32_t  XFERCFG21;                         /*!< Transfer configuration register for DMA channel 0.                    */
} LPC_DMA_Type;


/* ================================================================================ */
/* ================                       CRC                      ================ */
/* ================================================================================ */


/**
  * @brief CRC engine (CRC)
  */

typedef struct {                                    /*!< CRC Structure                                                         */
  __IO uint32_t  MODE;                              /*!< CRC mode register                                                     */
  __IO uint32_t  SEED;                              /*!< CRC seed register                                                     */

  union {
    __O  uint32_t  WR_DATA;                         /*!< CRC data register                                                     */
    __I  uint32_t  SUM;                             /*!< CRC checksum register                                                 */
  };
} LPC_CRC_Type;


/* ================================================================================ */
/* ================                      SCT0                      ================ */
/* ================================================================================ */


/**
  * @brief State Configurable Timer/PWM 0  (SCT0)
  */

typedef struct {                                    /*!< SCT0 Structure                                                        */
  __IO uint32_t  CONFIG;                            /*!< SCT configuration register                                            */
  __IO uint32_t  CTRL;                              /*!< SCT control register                                                  */
  __IO uint32_t  LIMIT;                             /*!< SCT limit register                                                    */
  __IO uint32_t  HALT;                              /*!< SCT halt condition register                                           */
  __IO uint32_t  STOP;                              /*!< SCT stop condition register                                           */
  __IO uint32_t  START;                             /*!< SCT start condition register                                          */
  __I  uint32_t  RESERVED[10];
  __IO uint32_t  COUNT;                             /*!< SCT counter register                                                  */
  __IO uint32_t  STATE;                             /*!< SCT state register                                                    */
  __I  uint32_t  INPUT;                             /*!< SCT input register                                                    */
  __IO uint32_t  REGMODE;                           /*!< SCT match/capture registers mode register                             */
  __IO uint32_t  OUTPUT;                            /*!< SCT output register                                                   */
  __IO uint32_t  OUTPUTDIRCTRL;                     /*!< SCT output counter direction control register                         */
  __IO uint32_t  RES;                               /*!< SCT conflict resolution register                                      */
  __IO uint32_t  DMAREQ0;                           /*!< SCT DMA request 0 register                                            */
  __IO uint32_t  DMAREQ1;                           /*!< SCT DMA request 1 register                                            */
  __I  uint32_t  RESERVED1[35];
  __IO uint32_t  EVEN;                              /*!< SCT event enable register                                             */
  __IO uint32_t  EVFLAG;                            /*!< SCT event flag register                                               */
  __IO uint32_t  CONEN;                             /*!< SCT conflict enable register                                          */
  __IO uint32_t  CONFLAG;                           /*!< SCT conflict flag register                                            */

  union {
    __I  uint32_t  CAP0;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
    __IO uint32_t  MATCH0;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
  };

  union {
    __I  uint32_t  CAP1;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
    __IO uint32_t  MATCH1;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
  };

  union {
    __IO uint32_t  MATCH2;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
    __I  uint32_t  CAP2;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
  };

  union {
    __IO uint32_t  MATCH3;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
    __I  uint32_t  CAP3;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
  };

  union {
    __I  uint32_t  CAP4;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
    __IO uint32_t  MATCH4;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
  };

  union {
    __IO uint32_t  MATCH5;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
    __I  uint32_t  CAP5;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
  };

  union {
    __I  uint32_t  CAP6;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
    __IO uint32_t  MATCH6;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
  };

  union {
    __I  uint32_t  CAP7;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
    __IO uint32_t  MATCH7;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
  };

  union {
    __IO uint32_t  MATCH8;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
    __I  uint32_t  CAP8;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
  };

  union {
    __I  uint32_t  CAP9;                            /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
    __IO uint32_t  MATCH9;                          /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
  };

  union {
    __I  uint32_t  CAP10;                           /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
    __IO uint32_t  MATCH10;                         /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
  };

  union {
    __IO uint32_t  MATCH11;                         /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
    __I  uint32_t  CAP11;                           /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
  };

  union {
    __I  uint32_t  CAP12;                           /*!< SCT capture register of capture channel 0 to 12; REGMOD0 to
                                                         REGMODE12 = 1                                                         */
    __IO uint32_t  MATCH12;                         /*!< SCT match value register of match channels 0 to 12; REGMOD0
                                                         to REGMODE12 = 0                                                      */
  };
  __I  uint32_t  RESERVED2[51];

  union {
    __IO uint32_t  CAPCTRL0;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
    __IO uint32_t  MATCHREL0;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
  };

  union {
    __IO uint32_t  CAPCTRL1;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
    __IO uint32_t  MATCHREL1;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
  };

  union {
    __IO uint32_t  MATCHREL2;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
    __IO uint32_t  CAPCTRL2;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
  };

  union {
    __IO uint32_t  MATCHREL3;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
    __IO uint32_t  CAPCTRL3;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
  };

  union {
    __IO uint32_t  CAPCTRL4;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
    __IO uint32_t  MATCHREL4;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
  };

  union {
    __IO uint32_t  CAPCTRL5;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
    __IO uint32_t  MATCHREL5;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
  };

  union {
    __IO uint32_t  MATCHREL6;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
    __IO uint32_t  CAPCTRL6;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
  };

  union {
    __IO uint32_t  MATCHREL7;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
    __IO uint32_t  CAPCTRL7;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
  };

  union {
    __IO uint32_t  MATCHREL8;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
    __IO uint32_t  CAPCTRL8;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
  };

  union {
    __IO uint32_t  MATCHREL9;                       /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
    __IO uint32_t  CAPCTRL9;                        /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
  };

  union {
    __IO uint32_t  MATCHREL10;                      /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
    __IO uint32_t  CAPCTRL10;                       /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
  };

  union {
    __IO uint32_t  CAPCTRL11;                       /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
    __IO uint32_t  MATCHREL11;                      /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
  };

  union {
    __IO uint32_t  CAPCTRL12;                       /*!< SCT capture control register 0 to 12; REGMOD0 = 1 to REGMODE12
                                                         = 1                                                                   */
    __IO uint32_t  MATCHREL12;                      /*!< SCT match reload value register 0 to 12; REGMOD0 = 0 to REGMODE12
                                                         = 0                                                                   */
  };
  __I  uint32_t  RESERVED3[51];
  __IO uint32_t  EV0_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV0_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV1_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV1_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV2_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV2_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV3_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV3_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV4_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV4_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV5_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV5_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV6_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV6_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV7_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV7_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV8_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV8_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV9_STATE;                         /*!< SCT event state register 0                                            */
  __IO uint32_t  EV9_CTRL;                          /*!< SCT event control register 0                                          */
  __IO uint32_t  EV10_STATE;                        /*!< SCT event state register 0                                            */
  __IO uint32_t  EV10_CTRL;                         /*!< SCT event control register 0                                          */
  __IO uint32_t  EV11_STATE;                        /*!< SCT event state register 0                                            */
  __IO uint32_t  EV11_CTRL;                         /*!< SCT event control register 0                                          */
  __IO uint32_t  EV12_STATE;                        /*!< SCT event state register 0                                            */
  __IO uint32_t  EV12_CTRL;                         /*!< SCT event control register 0                                          */
  __I  uint32_t  RESERVED4[102];
  __IO uint32_t  OUT0_SET;                          /*!< SCT output 0 set register                                             */
  __IO uint32_t  OUT0_CLR;                          /*!< SCT output 0 clear register                                           */
  __IO uint32_t  OUT1_SET;                          /*!< SCT output 0 set register                                             */
  __IO uint32_t  OUT1_CLR;                          /*!< SCT output 0 clear register                                           */
  __IO uint32_t  OUT2_SET;                          /*!< SCT output 0 set register                                             */
  __IO uint32_t  OUT2_CLR;                          /*!< SCT output 0 clear register                                           */
  __IO uint32_t  OUT3_SET;                          /*!< SCT output 0 set register                                             */
  __IO uint32_t  OUT3_CLR;                          /*!< SCT output 0 clear register                                           */
  __IO uint32_t  OUT4_SET;                          /*!< SCT output 0 set register                                             */
  __IO uint32_t  OUT4_CLR;                          /*!< SCT output 0 clear register                                           */
  __IO uint32_t  OUT5_SET;                          /*!< SCT output 0 set register                                             */
  __IO uint32_t  OUT5_CLR;                          /*!< SCT output 0 clear register                                           */
  __IO uint32_t  OUT6_SET;                          /*!< SCT output 0 set register                                             */
  __IO uint32_t  OUT6_CLR;                          /*!< SCT output 0 clear register                                           */
  __IO uint32_t  OUT7_SET;                          /*!< SCT output 0 set register                                             */
  __IO uint32_t  OUT7_CLR;                          /*!< SCT output 0 clear register                                           */
} LPC_SCT0_Type;


/* ================================================================================ */
/* ================                     MAILBOX                    ================ */
/* ================================================================================ */


/**
  * @brief Mailbox (MAILBOX)
  */

typedef struct {                                    /*!< MAILBOX Structure                                                     */
  __IO uint32_t  IRQ0;                              /*!< Interrupt request register for the Cortex-M0+ CPU.                    */
  __O  uint32_t  IRQ0SET;                           /*!< Set bits in IRQ0                                                      */
  __O  uint32_t  IRQ0CLR;                           /*!< Clear bits in IRQ0                                                    */
  __I  uint32_t  RESERVED;
  __IO uint32_t  IRQ1;                              /*!< Interrupt request register for the Cortex M4 CPU.                     */
  __O  uint32_t  IRQ1SET;                           /*!< Set bits in IRQ1                                                      */
  __O  uint32_t  IRQ1CLR;                           /*!< Clear bits in IRQ1                                                    */
  __I  uint32_t  RESERVED1[55];
  __IO uint32_t  MUTEX;                             /*!< Mutual exclusion register                                             */
} LPC_MAILBOX_Type;


/* ================================================================================ */
/* ================                      ADC0                      ================ */
/* ================================================================================ */


/**
  * @brief 12-bit ADC controller 0 (ADC0)
  */

typedef struct {                                    /*!< ADC0 Structure                                                        */
  __IO uint32_t  CTRL;                              /*!< ADC Control Register. Contains the clock divide value, enable
                                                         bits for each sequence and the ADC power-down bit.                    */
  __I  uint32_t  RESERVED;
  __IO uint32_t  SEQA_CTRL;                         /*!< ADC Conversion Sequence-A control Register: Controls triggering
                                                         and channel selection for conversion sequence-A. Also specifies
                                                          interrupt mode for sequence-A.                                       */
  __IO uint32_t  SEQB_CTRL;                         /*!< ADC Conversion Sequence-B Control Register: Controls triggering
                                                         and channel selection for conversion sequence-B. Also specifies
                                                          interrupt mode for sequence-B.                                       */
  __I  uint32_t  SEQA_GDAT;                         /*!< ADC Sequence-A Global Data Register. This register contains
                                                         the result of the most recent ADC conversion performed under
                                                          sequence-A                                                           */
  __I  uint32_t  SEQB_GDAT;                         /*!< ADC Sequence-B Global Data Register. This register contains
                                                         the result of the most recent ADC conversion performed under
                                                          sequence-B                                                           */
  __I  uint32_t  RESERVED1[2];
  __I  uint32_t  DAT0;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT1;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT2;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT3;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT4;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT5;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT6;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT7;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT8;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT9;                              /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT10;                             /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __I  uint32_t  DAT11;                             /*!< ADC Channel 0 Data Register. This register contains the result
                                                         of the most recent conversion completed on channel 0.                 */
  __IO uint32_t  THR0_LOW;                          /*!< ADC Low Compare Threshold Register 0: Contains the lower threshold
                                                         level for automatic threshold comparison for any channels linked
                                                          to threshold pair 0.                                                 */
  __IO uint32_t  THR1_LOW;                          /*!< ADC Low Compare Threshold Register 1: Contains the lower threshold
                                                         level for automatic threshold comparison for any channels linked
                                                          to threshold pair 1.                                                 */
  __IO uint32_t  THR0_HIGH;                         /*!< ADC High Compare Threshold Register 0: Contains the upper threshold
                                                         level for automatic threshold comparison for any channels linked
                                                          to threshold pair 0.                                                 */
  __IO uint32_t  THR1_HIGH;                         /*!< ADC High Compare Threshold Register 1: Contains the upper threshold
                                                         level for automatic threshold comparison for any channels linked
                                                          to threshold pair 1.                                                 */
  __IO uint32_t  CHAN_THRSEL;                       /*!< ADC Channel-Threshold Select Register. Specifies which set of
                                                         threshold compare registers are to be used for each channel           */
  __IO uint32_t  INTEN;                             /*!< ADC Interrupt Enable Register. This register contains enable
                                                         bits that enable the sequence-A, sequence-B, threshold compare
                                                          and data overrun interrupts to be generated.                         */
  __I  uint32_t  FLAGS;                             /*!< ADC Flags Register. Contains the four interrupt/DMA trigger
                                                         flags and the individual component overrun and threshold-compare
                                                          flags. (The overrun bits replicate information stored in the
                                                          result registers).                                                   */
  __IO uint32_t  STARTUP;                           /*!< ADC Startup Register (typically only used by the ADC API).            */
  __IO uint32_t  CALIB;                             /*!< ADC Calibration Register.                                             */
} LPC_ADC0_Type;


/* ================================================================================ */
/* ================                      VFIFO                     ================ */
/* ================================================================================ */


/**
  * @brief System FIFO for Serial Peripherals  (VFIFO)
  */

typedef struct {                                    /*!< VFIFO Structure                                                       */
  __I  uint32_t  RESERVED[64];
  __IO uint32_t  FIFOCTLUSART;                      /*!< USART FIFO global control register. These registers are byte,
                                                         halfword, and word addressable.The upper 16 bits of these registers
                                                          provide information about the System FIFO configuration, and
                                                          are specific to each device type.                                    */
  __O  uint32_t  FIFOUPDATEUSART;                   /*!< USART FIFO global update register                                     */
  __I  uint32_t  RESERVED1[2];
  __IO uint32_t  FIFOCFGUSART0;                     /*!< FIFO configuration register for USART0                                */
  __IO uint32_t  FIFOCFGUSART1;                     /*!< FIFO configuration register for USART0                                */
  __IO uint32_t  FIFOCFGUSART2;                     /*!< FIFO configuration register for USART0                                */
  __IO uint32_t  FIFOCFGUSART3;                     /*!< FIFO configuration register for USART0                                */
  __I  uint32_t  RESERVED2[56];
  __IO uint32_t  FIFOCTLSPI;                        /*!< SPI FIFO global control register. These registers are byte,
                                                         halfword, and word addressable. The upper 16 bits of these registers
                                                          provide information about the System FIFO configuration, and
                                                          are specific to each device type.                                    */
  __O  uint32_t  FIFOUPDATESPI;                     /*!< SPI FIFO global update register                                       */
  __I  uint32_t  RESERVED3[2];
  __IO uint32_t  FIFOCFGSPI0;                       /*!< FIFO configuration register for SPI0                                  */
  __IO uint32_t  FIFOCFGSPI1;                       /*!< FIFO configuration register for SPI0                                  */
  __I  uint32_t  RESERVED4[890];
  __IO uint32_t  CFGUSART0;                         /*!< USART0 configuration                                                  */
  __IO uint32_t  STATUSART0;                        /*!< USART0 status                                                         */
  __I  uint32_t  INTSTATUSART0;                     /*!< USART0 interrupt status                                               */
  __IO uint32_t  CTLSETUSART0;                      /*!< USART0 control read and set register. A complete value may be
                                                         read from this register. Writing a 1 to any implemented bit
                                                          position causes that bit to be set.                                  */
  __O  uint32_t  CTLCLRUSART0;                      /*!< USART0 control clear register. Writing a 1 to any implemented
                                                         bit position causes the corresponding bit in the related CTLSET
                                                          register to be cleared.                                              */
  __I  uint32_t  RXDATUSART0;                       /*!< USART0 received data                                                  */
  __I  uint32_t  RXDATSTATUSART0;                   /*!< USART0 received data with status                                      */
  __O  uint32_t  TXDATUSART0;                       /*!< USART0 transmit data                                                  */
  __I  uint32_t  RESERVED5[56];
  __IO uint32_t  CFGUSART1;                         /*!< USART0 configuration                                                  */
  __IO uint32_t  STATUSART1;                        /*!< USART0 status                                                         */
  __I  uint32_t  INTSTATUSART1;                     /*!< USART0 interrupt status                                               */
  __IO uint32_t  CTLSETUSART1;                      /*!< USART0 control read and set register. A complete value may be
                                                         read from this register. Writing a 1 to any implemented bit
                                                          position causes that bit to be set.                                  */
  __O  uint32_t  CTLCLRUSART1;                      /*!< USART0 control clear register. Writing a 1 to any implemented
                                                         bit position causes the corresponding bit in the related CTLSET
                                                          register to be cleared.                                              */
  __I  uint32_t  RXDATUSART1;                       /*!< USART0 received data                                                  */
  __I  uint32_t  RXDATSTATUSART1;                   /*!< USART0 received data with status                                      */
  __O  uint32_t  TXDATUSART1;                       /*!< USART0 transmit data                                                  */
  __I  uint32_t  RESERVED6[56];
  __IO uint32_t  CFGUSART2;                         /*!< USART0 configuration                                                  */
  __IO uint32_t  STATUSART2;                        /*!< USART0 status                                                         */
  __I  uint32_t  INTSTATUSART2;                     /*!< USART0 interrupt status                                               */
  __IO uint32_t  CTLSETUSART2;                      /*!< USART0 control read and set register. A complete value may be
                                                         read from this register. Writing a 1 to any implemented bit
                                                          position causes that bit to be set.                                  */
  __O  uint32_t  CTLCLRUSART2;                      /*!< USART0 control clear register. Writing a 1 to any implemented
                                                         bit position causes the corresponding bit in the related CTLSET
                                                          register to be cleared.                                              */
  __I  uint32_t  RXDATUSART2;                       /*!< USART0 received data                                                  */
  __I  uint32_t  RXDATSTATUSART2;                   /*!< USART0 received data with status                                      */
  __O  uint32_t  TXDATUSART2;                       /*!< USART0 transmit data                                                  */
  __I  uint32_t  RESERVED7[56];
  __IO uint32_t  CFGUSART3;                         /*!< USART0 configuration                                                  */
  __IO uint32_t  STATUSART3;                        /*!< USART0 status                                                         */
  __I  uint32_t  INTSTATUSART3;                     /*!< USART0 interrupt status                                               */
  __IO uint32_t  CTLSETUSART3;                      /*!< USART0 control read and set register. A complete value may be
                                                         read from this register. Writing a 1 to any implemented bit
                                                          position causes that bit to be set.                                  */
  __O  uint32_t  CTLCLRUSART3;                      /*!< USART0 control clear register. Writing a 1 to any implemented
                                                         bit position causes the corresponding bit in the related CTLSET
                                                          register to be cleared.                                              */
  __I  uint32_t  RXDATUSART3;                       /*!< USART0 received data                                                  */
  __I  uint32_t  RXDATSTATUSART3;                   /*!< USART0 received data with status                                      */
  __O  uint32_t  TXDATUSART3;                       /*!< USART0 transmit data                                                  */
  __I  uint32_t  RESERVED8[824];
  __IO uint32_t  CFGSPI0;                           /*!< SPI0 configuration                                                    */
  __IO uint32_t  STATSPI0;                          /*!< SPI0 status                                                           */
  __I  uint32_t  INTSTATSPI0;                       /*!< SPI0 interrupt status                                                 */
  __IO uint32_t  CTLSETSPI0;                        /*!< SPI0 control read and set register. A complete value may be
                                                         read from this register. Writing a 1 to any implemented bit
                                                          position causes that bit to be set.                                  */
  __O  uint32_t  CTLCLRSPI0;                        /*!< SPI0 control clear register. Writing a 1 to any implemented
                                                         bit position causes the corresponding bit in the related CTLSET
                                                          register to be cleared.                                              */
  __I  uint32_t  RXDATSPI0;                         /*!< SPI0 received data. These registers are half word addressable.        */
  __O  uint32_t  TXDATSPI0;                         /*!< SPI0 transmit data. These registers are half word addressable.        */
  __I  uint32_t  RESERVED9[57];
  __IO uint32_t  CFGSPI1;                           /*!< SPI0 configuration                                                    */
  __IO uint32_t  STATSPI1;                          /*!< SPI0 status                                                           */
  __I  uint32_t  INTSTATSPI1;                       /*!< SPI0 interrupt status                                                 */
  __IO uint32_t  CTLSETSPI1;                        /*!< SPI0 control read and set register. A complete value may be
                                                         read from this register. Writing a 1 to any implemented bit
                                                          position causes that bit to be set.                                  */
  __O  uint32_t  CTLCLRSPI1;                        /*!< SPI0 control clear register. Writing a 1 to any implemented
                                                         bit position causes the corresponding bit in the related CTLSET
                                                          register to be cleared.                                              */
  __I  uint32_t  RXDATSPI1;                         /*!< SPI0 received data. These registers are half word addressable.        */
  __O  uint32_t  TXDATSPI1;                         /*!< SPI0 transmit data. These registers are half word addressable.        */
} LPC_VFIFO_Type;


/* ================================================================================ */
/* ================                     SYSCON                     ================ */
/* ================================================================================ */


/**
  * @brief System configuration (SYSCON)
  */

typedef struct {                                    /*!< SYSCON Structure                                                      */
  __IO uint32_t  SYSMEMREMAP;                       /*!< System memory remap                                                   */
  __IO uint32_t  AHBMATPRIO;                        /*!< AHB multilayer matrix priority control                                */
  __I  uint32_t  RESERVED[3];
  __IO uint32_t  SYSTCKCAL;                         /*!< System tick counter calibration                                       */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  NMISRC;                            /*!< NMI Source Select                                                     */
  __IO uint32_t  ASYNCAPBCTRL;                      /*!< Asynchronous APB Control                                              */
  __I  uint32_t  RESERVED2[7];
  __IO uint32_t  SYSRSTSTAT;                        /*!< System reset status register                                          */
  __IO uint32_t  PRESETCTRL0;                       /*!< Peripheral reset control 0                                            */
  __IO uint32_t  PRESETCTRL1;                       /*!< Peripheral reset control 1                                            */
  __O  uint32_t  PRESETCTRLSET0;                    /*!< Set bits in PRESETCTRL0                                               */
  __O  uint32_t  PRESETCTRLSET1;                    /*!< Set bits in PRESETCTRL1                                               */
  __O  uint32_t  PRESETCTRLCLR0;                    /*!< Clear bits in PRESETCTRL0                                             */
  __O  uint32_t  PRESETCTRLCLR1;                    /*!< Clear bits in PRESETCTRL1                                             */
  __I  uint32_t  PIOPORCAP0;                        /*!< POR captured PIO status 0                                             */
  __I  uint32_t  PIOPORCAP1;                        /*!< POR captured PIO status 1                                             */
  __I  uint32_t  RESERVED3;
  __I  uint32_t  PIORESCAP0;                        /*!< Reset captured PIO status 0                                           */
  __I  uint32_t  PIORESCAP1;                        /*!< Reset captured PIO status 1                                           */
  __I  uint32_t  RESERVED4[4];
  __IO uint32_t  MAINCLKSELA;                       /*!< Main clock source select A                                            */
  __IO uint32_t  MAINCLKSELB;                       /*!< Main clock source select B                                            */
  __I  uint32_t  RESERVED5;
  __IO uint32_t  ADCCLKSEL;                         /*!< ADC clock source select                                               */
  __I  uint32_t  RESERVED6;
  __IO uint32_t  CLKOUTSELA;                        /*!< CLKOUT clock source select A                                          */
  __IO uint32_t  CLKOUTSELB;                        /*!< CLKOUT clock source select B                                          */
  __I  uint32_t  RESERVED7;
  __IO uint32_t  SYSPLLCLKSEL;                      /*!< PLL clock source select                                               */
  __I  uint32_t  RESERVED8[7];
  __IO uint32_t  AHBCLKCTRL0;                       /*!< AHB Clock control 0                                                   */
  __IO uint32_t  AHBCLKCTRL1;                       /*!< AHB Clock control 1                                                   */
  __O  uint32_t  AHBCLKCTRLSET0;                    /*!< Set bits in AHBCLKCTRL0                                               */
  __O  uint32_t  AHBCLKCTRLSET1;                    /*!< Set bits in AHBCLKCTRL1                                               */
  __O  uint32_t  AHBCLKCTRLCLR0;                    /*!< Clear bits in AHBCLKCTRL0                                             */
  __O  uint32_t  AHBCLKCTRLCLR1;                    /*!< Clear bits in AHBCLKCTRL1                                             */
  __I  uint32_t  RESERVED9[2];
  __IO uint32_t  SYSTICKCLKDIV;                     /*!< SYSTICK clock divider                                                 */
  __I  uint32_t  RESERVED10[7];
  __IO uint32_t  AHBCLKDIV;                         /*!< System clock divider                                                  */
  __I  uint32_t  RESERVED11;
  __IO uint32_t  ADCCLKDIV;                         /*!< ADC clock divider                                                     */
  __IO uint32_t  CLKOUTDIV;                         /*!< CLKOUT clock divider                                                  */
  __I  uint32_t  RESERVED12[4];
  __IO uint32_t  FREQMECTRL;                        /*!< Frequency measure register                                            */
  __IO uint32_t  FLASHCFG;                          /*!< Flash wait states configuration                                       */
  __I  uint32_t  RESERVED13[8];
  __IO uint32_t  FIFOCTRL;                          /*!< Serial interface FIFO enables                                         */
  __I  uint32_t  RESERVED14[14];
  __IO uint32_t  IRCCTRL;                           /*!< IRC oscillator control                                                */
  __I  uint32_t  RESERVED15[2];
  __IO uint32_t  RTCOSCCTRL;                        /*!< RTC oscillator 32 kHz output control                                  */
  __I  uint32_t  RESERVED16[7];
  __IO uint32_t  SYSPLLCTRL;                        /*!< PLL control                                                           */
  __I  uint32_t  SYSPLLSTAT;                        /*!< PLL status                                                            */
  __IO uint32_t  SYSPLLNDEC;                        /*!< PLL N decoder                                                         */
  __IO uint32_t  SYSPLLPDEC;                        /*!< PLL P decoder                                                         */
  __IO uint32_t  SYSPLLSSCTRL0;                     /*!< PLL spread spectrum control 0                                         */
  __IO uint32_t  SYSPLLSSCTRL1;                     /*!< PLL spread spectrum control 1                                         */
  __I  uint32_t  RESERVED17[18];
  __IO uint32_t  PDRUNCFG;                          /*!< Power configuration register                                          */
  __O  uint32_t  PDRUNCFGSET;                       /*!< Set bits in PDRUNCFG                                                  */
  __O  uint32_t  PDRUNCFGCLR;                       /*!< Clear bits in PDRUNCFG                                                */
  __I  uint32_t  RESERVED18[9];
  __IO uint32_t  STARTERP0;                         /*!< Start logic 0 wake-up enable register                                 */
  __IO uint32_t  STARTERP1;                         /*!< Start logic 1 wake-up enable register                                 */
  __O  uint32_t  STARTERPSET0;                      /*!< Set bits in STARTERP0                                                 */
  __O  uint32_t  STARTERPSET1;                      /*!< Set bits in STARTERP1                                                 */
  __O  uint32_t  STARTERPCLR0;                      /*!< Clear bits in STARTERP0                                               */
  __O  uint32_t  STARTERPCLR1;                      /*!< Clear bits in STARTERP1                                               */
  __I  uint32_t  RESERVED19[42];
  __IO uint32_t  CPUCTRL;                           /*!< CPU Control for multiple processors                                   */
  __IO uint32_t  CPBOOT;                            /*!< Coprocessor Boot Address                                              */
  __IO uint32_t  CPSTACK;                           /*!< Coprocessor Stack Address                                             */
  __I  uint32_t  RESERVED20[58];
  __I  uint32_t  JTAGIDCODE;                        /*!< JTAG ID code register                                                 */
  __I  uint32_t  DEVICE_ID0;                        /*!< Part ID register                                                      */
  __I  uint32_t  DEVICE_ID1;                        /*!< Boot ROM and die revision register                                    */
} LPC_SYSCON_Type;


/* ================================================================================ */
/* ================                     CT32B2                     ================ */
/* ================================================================================ */


/**
  * @brief Standard counter/timer 2  (CT32B2)
  */

typedef struct {                                    /*!< CT32B2 Structure                                                      */
  __IO uint32_t  IR;                                /*!< Interrupt Register. The IR can be written to clear interrupts.
                                                         The IR can be read to identify which of eight possible interrupt
                                                          sources are pending.                                                 */
  __IO uint32_t  TCR;                               /*!< Timer Control Register. The TCR is used to control the Timer
                                                         Counter functions. The Timer Counter can be disabled or reset
                                                          through the TCR.                                                     */
  __IO uint32_t  TC;                                /*!< Timer Counter. The 32 bit TC is incremented every PR+1 cycles
                                                         of PCLK. The TC is controlled through the TCR.                        */
  __IO uint32_t  PR;                                /*!< Prescale Register. When the Prescale Counter (PC) is equal to
                                                         this value, the next clock increments the TC and clears the
                                                          PC.                                                                  */
  __IO uint32_t  PC;                                /*!< Prescale Counter. The 32 bit PC is a counter which is incremented
                                                         to the value stored in PR. When the value in PR is reached,
                                                          the TC is incremented and the PC is cleared. The PC is observable
                                                          and controllable through the bus interface.                          */
  __IO uint32_t  MCR;                               /*!< Match Control Register. The MCR is used to control if an interrupt
                                                         is generated and if the TC is reset when a Match occurs.              */
  __IO uint32_t  MR0;                               /*!< Match Register 0. MR0 can be enabled through the MCR to reset
                                                         the TC, stop both the TC and PC, and/or generate an interrupt
                                                          every time MR0 matches the TC.                                       */
  __IO uint32_t  MR1;                               /*!< Match Register 0. MR0 can be enabled through the MCR to reset
                                                         the TC, stop both the TC and PC, and/or generate an interrupt
                                                          every time MR0 matches the TC.                                       */
  __IO uint32_t  MR2;                               /*!< Match Register 0. MR0 can be enabled through the MCR to reset
                                                         the TC, stop both the TC and PC, and/or generate an interrupt
                                                          every time MR0 matches the TC.                                       */
  __IO uint32_t  MR3;                               /*!< Match Register 0. MR0 can be enabled through the MCR to reset
                                                         the TC, stop both the TC and PC, and/or generate an interrupt
                                                          every time MR0 matches the TC.                                       */
  __IO uint32_t  CCR;                               /*!< Capture Control Register. The CCR controls which edges of the
                                                         capture inputs are used to load the Capture Registers and whether
                                                          or not an interrupt is generated when a capture takes place.         */
  __I  uint32_t  CR0;                               /*!< Capture Register 0. CR0 is loaded with the value of TC when
                                                         there is an event on the CAPn.0 input.                                */
  __I  uint32_t  CR1;                               /*!< Capture Register 0. CR0 is loaded with the value of TC when
                                                         there is an event on the CAPn.0 input.                                */
  __I  uint32_t  CR2;                               /*!< Capture Register 0. CR0 is loaded with the value of TC when
                                                         there is an event on the CAPn.0 input.                                */
  __I  uint32_t  CR3;                               /*!< Capture Register 0. CR0 is loaded with the value of TC when
                                                         there is an event on the CAPn.0 input.                                */
  __IO uint32_t  EMR;                               /*!< External Match Register. The EMR controls the match function
                                                         and the external match pins.                                          */
  __I  uint32_t  RESERVED[12];
  __IO uint32_t  CTCR;                              /*!< Count Control Register. The CTCR selects between Timer and Counter
                                                         mode, and in Counter mode selects the signal and edge(s) for
                                                          counting.                                                            */
  __IO uint32_t  PWMC;                              /*!< PWM Control Register. The PWMCON enables PWM mode for the external
                                                         match pins.                                                           */
} LPC_CT32B2_Type;


/* ================================================================================ */
/* ================                      GINT0                     ================ */
/* ================================================================================ */


/**
  * @brief Group GPIO input interrupt 0 (GINT0)
  */

typedef struct {                                    /*!< GINT0 Structure                                                       */
  __IO uint32_t  CTRL;                              /*!< GPIO grouped interrupt control register                               */
  __I  uint32_t  RESERVED[7];
  __IO uint32_t  PORT_POL0;                         /*!< GPIO grouped interrupt port 0 polarity register                       */
  __IO uint32_t  PORT_POL1;                         /*!< GPIO grouped interrupt port 0 polarity register                       */
  __IO uint32_t  PORT_POL2;                         /*!< GPIO grouped interrupt port 0 polarity register                       */
  __I  uint32_t  RESERVED1[5];
  __IO uint32_t  PORT_ENA0;                         /*!< GPIO grouped interrupt port 0 enable register                         */
  __IO uint32_t  PORT_ENA1;                         /*!< GPIO grouped interrupt port 0 enable register                         */
  __IO uint32_t  PORT_ENA2;                         /*!< GPIO grouped interrupt port 0 enable register                         */
} LPC_GINT0_Type;


/* ================================================================================ */
/* ================                      PINT                      ================ */
/* ================================================================================ */


/**
  * @brief Pin interrupt and pattern match engine (PINT)
  */

typedef struct {                                    /*!< PINT Structure                                                        */
  __IO uint32_t  ISEL;                              /*!< Pin Interrupt Mode register                                           */
  __IO uint32_t  IENR;                              /*!< Pin interrupt level or rising edge interrupt enable register          */
  __O  uint32_t  SIENR;                             /*!< Pin interrupt level or rising edge interrupt set register             */
  __O  uint32_t  CIENR;                             /*!< Pin interrupt level (rising edge interrupt) clear register            */
  __IO uint32_t  IENF;                              /*!< Pin interrupt active level or falling edge interrupt enable
                                                         register                                                              */
  __O  uint32_t  SIENF;                             /*!< Pin interrupt active level or falling edge interrupt set register     */
  __O  uint32_t  CIENF;                             /*!< Pin interrupt active level or falling edge interrupt clear register   */
  __IO uint32_t  RISE;                              /*!< Pin interrupt rising edge register                                    */
  __IO uint32_t  FALL;                              /*!< Pin interrupt falling edge register                                   */
  __IO uint32_t  IST;                               /*!< Pin interrupt status register                                         */
  __IO uint32_t  PMCTRL;                            /*!< Pattern match interrupt control register                              */
  __IO uint32_t  PMSRC;                             /*!< Pattern match interrupt bit-slice source register                     */
  __IO uint32_t  PMCFG;                             /*!< Pattern match interrupt bit slice configuration register              */
} LPC_PINT_Type;


/* ================================================================================ */
/* ================                      IOCON                     ================ */
/* ================================================================================ */


/**
  * @brief I/O pin configuration  (IOCON)
  */

typedef struct {                                    /*!< IOCON Structure                                                       */
  __IO uint32_t  PIO0_0;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_1;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_2;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_3;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_4;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_5;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_6;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_7;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_8;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_9;                            /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_10;                           /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_11;                           /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_12;                           /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_13;                           /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_14;                           /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_15;                           /*!< Digital I/O control for port 0 pins PIO0_0 to PIO0_15.                */
  __IO uint32_t  PIO0_16;                           /*!< Digital I/O control for port 0 pins PIO0_16 to PIO0_17.               */
  __IO uint32_t  PIO0_17;                           /*!< Digital I/O control for port 0 pins PIO0_16 to PIO0_17.               */
  __IO uint32_t  PIO0_18;                           /*!< Digital I/O control for port 0 pins PIO0_18 to PIO0_22.               */
  __IO uint32_t  PIO0_19;                           /*!< Digital I/O control for port 0 pins PIO0_18 to PIO0_22.               */
  __IO uint32_t  PIO0_20;                           /*!< Digital I/O control for port 0 pins PIO0_18 to PIO0_22.               */
  __IO uint32_t  PIO0_21;                           /*!< Digital I/O control for port 0 pins PIO0_18 to PIO0_22.               */
  __IO uint32_t  PIO0_22;                           /*!< Digital I/O control for port 0 pins PIO0_18 to PIO0_22.               */
  __IO uint32_t  PIO0_23;                           /*!< Digital I/O control for port 0 pins PIO0_23 to PIO0_28. These
                                                         pins support I2C with true open-drain, drive and filtering for
                                                          modes up to Fast-mode Plus.                                          */
  __IO uint32_t  PIO0_24;                           /*!< Digital I/O control for port 0 pins PIO0_23 to PIO0_28. These
                                                         pins support I2C with true open-drain, drive and filtering for
                                                          modes up to Fast-mode Plus.                                          */
  __IO uint32_t  PIO0_25;                           /*!< Digital I/O control for port 0 pins PIO0_23 to PIO0_28. These
                                                         pins support I2C with true open-drain, drive and filtering for
                                                          modes up to Fast-mode Plus.                                          */
  __IO uint32_t  PIO0_26;                           /*!< Digital I/O control for port 0 pins PIO0_23 to PIO0_28. These
                                                         pins support I2C with true open-drain, drive and filtering for
                                                          modes up to Fast-mode Plus.                                          */
  __IO uint32_t  PIO0_27;                           /*!< Digital I/O control for port 0 pins PIO0_23 to PIO0_28. These
                                                         pins support I2C with true open-drain, drive and filtering for
                                                          modes up to Fast-mode Plus.                                          */
  __IO uint32_t  PIO0_28;                           /*!< Digital I/O control for port 0 pins PIO0_23 to PIO0_28. These
                                                         pins support I2C with true open-drain, drive and filtering for
                                                          modes up to Fast-mode Plus.                                          */
  __IO uint32_t  PIO0_29;                           /*!< Digital I/O control for port 0 pins PIO0_29 to PIO0_31. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO0_30;                           /*!< Digital I/O control for port 0 pins PIO0_29 to PIO0_31. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO0_31;                           /*!< Digital I/O control for port 0 pins PIO0_29 to PIO0_31. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_0;                            /*!< Digital I/O control for port 1 pins PIO0_0 to PIO0_8. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_1;                            /*!< Digital I/O control for port 1 pins PIO0_0 to PIO0_8. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_2;                            /*!< Digital I/O control for port 1 pins PIO0_0 to PIO0_8. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_3;                            /*!< Digital I/O control for port 1 pins PIO0_0 to PIO0_8. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_4;                            /*!< Digital I/O control for port 1 pins PIO0_0 to PIO0_8. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_5;                            /*!< Digital I/O control for port 1 pins PIO0_0 to PIO0_8. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_6;                            /*!< Digital I/O control for port 1 pins PIO0_0 to PIO0_8. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_7;                            /*!< Digital I/O control for port 1 pins PIO0_0 to PIO0_8. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_8;                            /*!< Digital I/O control for port 1 pins PIO0_0 to PIO0_8. These
                                                         pins include an ADC input.                                            */
  __IO uint32_t  PIO1_9;                            /*!< Digital I/O control for port 1 pins PIO1_9 to PIO1_17.                */
  __IO uint32_t  PIO1_10;                           /*!< Digital I/O control for port 1 pins PIO1_9 to PIO1_17.                */
  __IO uint32_t  PIO1_11;                           /*!< Digital I/O control for port 1 pins PIO1_9 to PIO1_17.                */
  __IO uint32_t  PIO1_12;                           /*!< Digital I/O control for port 1 pins PIO1_9 to PIO1_17.                */
  __IO uint32_t  PIO1_13;                           /*!< Digital I/O control for port 1 pins PIO1_9 to PIO1_17.                */
  __IO uint32_t  PIO1_14;                           /*!< Digital I/O control for port 1 pins PIO1_9 to PIO1_17.                */
  __IO uint32_t  PIO1_15;                           /*!< Digital I/O control for port 1 pins PIO1_9 to PIO1_17.                */
  __IO uint32_t  PIO1_16;                           /*!< Digital I/O control for port 1 pins PIO1_9 to PIO1_17.                */
  __IO uint32_t  PIO1_17;                           /*!< Digital I/O control for port 1 pins PIO1_9 to PIO1_17.                */
} LPC_IOCON_Type;


/* ================================================================================ */
/* ================                      UTICK                     ================ */
/* ================================================================================ */


/**
  * @brief Micro-tick timer (UTICK)
  */

typedef struct {                                    /*!< UTICK Structure                                                       */
  __IO uint32_t  CTRL;                              /*!< Control register.                                                     */
  __IO uint32_t  STAT;                              /*!< Status register.                                                      */
} LPC_UTICK_Type;


/* ================================================================================ */
/* ================                    ADVSYSCON                   ================ */
/* ================================================================================ */


/**
  * @brief Advanced System configuration  (ADVSYSCON)
  */

typedef struct {                                    /*!< ADVSYSCON Structure                                                   */
  __I  uint32_t  RESERVED[17];
  __IO uint32_t  BODCTRL;                           /*!< Brown-Out Detect control                                              */
} LPC_ADVSYSCON_Type;


/* ================================================================================ */
/* ================                      WWDT                      ================ */
/* ================================================================================ */


/**
  * @brief Windowed Watchdog Timer (WWDT)
  */

typedef struct {                                    /*!< WWDT Structure                                                        */
  __IO uint32_t  MOD;                               /*!< Watchdog mode register. This register contains the basic mode
                                                         and status of the Watchdog Timer.                                     */
  __IO uint32_t  TC;                                /*!< Watchdog timer constant register. This 24-bit register determines
                                                         the time-out value.                                                   */
  __O  uint32_t  FEED;                              /*!< Watchdog feed sequence register. Writing 0xAA followed by 0x55
                                                         to this register reloads the Watchdog timer with the value contained
                                                          in WDTC.                                                             */
  __I  uint32_t  TV;                                /*!< Watchdog timer value register. This 24-bit register reads out
                                                         the current value of the Watchdog timer.                              */
  __I  uint32_t  RESERVED;
  __IO uint32_t  WARNINT;                           /*!< Watchdog Warning Interrupt compare value.                             */
  __IO uint32_t  WINDOW;                            /*!< Watchdog Window compare value.                                        */
} LPC_WWDT_Type;


/* ================================================================================ */
/* ================                       RTC                      ================ */
/* ================================================================================ */


/**
  * @brief Real-Time Clock (RTC)
  */

typedef struct {                                    /*!< RTC Structure                                                         */
  __IO uint32_t  CTRL;                              /*!< RTC control register                                                  */
  __IO uint32_t  MATCH;                             /*!< RTC match register                                                    */
  __IO uint32_t  COUNT;                             /*!< RTC counter register                                                  */
  __IO uint32_t  WAKE;                              /*!< RTC high-resolution/wake-up timer control register                    */
} LPC_RTC_Type;


/* ================================================================================ */
/* ================                    INPUTMUX                    ================ */
/* ================================================================================ */


/**
  * @brief Input multiplexing (INPUTMUX)
  */

typedef struct {                                    /*!< INPUTMUX Structure                                                    */
  __IO uint32_t  SCT0_INMUX0;                       /*!< Input mux register for SCT0 input 0                                   */
  __IO uint32_t  SCT0_INMUX1;                       /*!< Input mux register for SCT0 input 0                                   */
  __IO uint32_t  SCT0_INMUX2;                       /*!< Input mux register for SCT0 input 0                                   */
  __IO uint32_t  SCT0_INMUX3;                       /*!< Input mux register for SCT0 input 0                                   */
  __IO uint32_t  SCT0_INMUX4;                       /*!< Input mux register for SCT0 input 0                                   */
  __IO uint32_t  SCT0_INMUX5;                       /*!< Input mux register for SCT0 input 0                                   */
  __I  uint32_t  RESERVED[42];
  __IO uint32_t  PINTSEL0;                          /*!< Pin interrupt select register 0                                       */
  __IO uint32_t  PINTSEL1;                          /*!< Pin interrupt select register 0                                       */
  __IO uint32_t  PINTSEL2;                          /*!< Pin interrupt select register 0                                       */
  __IO uint32_t  PINTSEL3;                          /*!< Pin interrupt select register 0                                       */
  __IO uint32_t  PINTSEL4;                          /*!< Pin interrupt select register 0                                       */
  __IO uint32_t  PINTSEL5;                          /*!< Pin interrupt select register 0                                       */
  __IO uint32_t  PINTSEL6;                          /*!< Pin interrupt select register 0                                       */
  __IO uint32_t  PINTSEL7;                          /*!< Pin interrupt select register 0                                       */
  __IO uint32_t  DMA_ITRIG_INMUX0;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX1;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX2;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX3;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX4;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX5;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX6;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX7;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX8;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX9;                  /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX10;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX11;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX12;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX13;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX14;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX15;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX16;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX17;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX18;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX19;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX20;                 /*!< Trigger select register for DMA channel 0                             */
  __IO uint32_t  DMA_ITRIG_INMUX21;                 /*!< Trigger select register for DMA channel 0                             */
  __I  uint32_t  RESERVED1[2];
  __IO uint32_t  DMA_OTRIG_INMUX0;                  /*!< DMA output trigger selection to become DMA trigger 16                 */
  __IO uint32_t  DMA_OTRIG_INMUX1;                  /*!< DMA output trigger selection to become DMA trigger 16                 */
  __IO uint32_t  DMA_OTRIG_INMUX2;                  /*!< DMA output trigger selection to become DMA trigger 16                 */
  __IO uint32_t  DMA_OTRIG_INMUX3;                  /*!< DMA output trigger selection to become DMA trigger 16                 */
  __I  uint32_t  RESERVED2[4];
  __IO uint32_t  FREQMEAS_REF;                      /*!< Clock selection for frequency measurement function reference
                                                         clock                                                                 */
  __IO uint32_t  FREQMEAS_TARGET;                   /*!< Clock selection for frequency measurement function target clock       */
} LPC_INPUTMUX_Type;


/* ================================================================================ */
/* ================                       RIT                      ================ */
/* ================================================================================ */


/**
  * @brief Repetitive Interrupt Timer (RIT)
  */

typedef struct {                                    /*!< RIT Structure                                                         */
  __IO uint32_t  COMPVAL;                           /*!< Compare value LSB register. Holds the 32 LSBs of the compare
                                                         value.                                                                */
  __IO uint32_t  MASK;                              /*!< Mask LSB register. This register holds the 32 LSB s of the mask
                                                         value. A 1 written to any bit will force the compare to be true
                                                          for the corresponding bit of the counter and compare register.       */
  __IO uint32_t  CTRL;                              /*!< Control register.                                                     */
  __IO uint32_t  COUNTER;                           /*!< Counter LSB register. 32 LSBs of the counter.                         */
  __IO uint32_t  COMPVAL_H;                         /*!< Compare value MSB register. Holds the 16 MSBs of the compare
                                                         value.                                                                */
  __IO uint32_t  MASK_H;                            /*!< Mask MSB register. This register holds the 16 MSBs of the mask
                                                         value. A 1 written to any bit will force a compare on the corresponding
                                                          bit of the counter and compare register.                             */
  __I  uint32_t  RESERVED;
  __IO uint32_t  COUNTER_H;                         /*!< Counter MSB register. 16 MSBs of the counter.                         */
} LPC_RIT_Type;


/* ================================================================================ */
/* ================                       MRT                      ================ */
/* ================================================================================ */


/**
  * @brief Multi-Rate Timer (MRT)
  */

typedef struct {                                    /*!< MRT Structure                                                         */
  __IO uint32_t  INTVAL0;                           /*!< MRTn Time interval value register. This value is loaded into
                                                         the TIMER0 register.                                                  */
  __I  uint32_t  TIMER0;                            /*!< MRTn Timer register. This register reads the value of the down-counter. */
  __IO uint32_t  CTRL0;                             /*!< MRTn Control register. This register controls the MRTn modes.         */
  __IO uint32_t  STAT0;                             /*!< MRTn Status register.                                                 */
  __IO uint32_t  INTVAL1;                           /*!< MRTn Time interval value register. This value is loaded into
                                                         the TIMER0 register.                                                  */
  __I  uint32_t  TIMER1;                            /*!< MRTn Timer register. This register reads the value of the down-counter. */
  __IO uint32_t  CTRL1;                             /*!< MRTn Control register. This register controls the MRTn modes.         */
  __IO uint32_t  STAT1;                             /*!< MRTn Status register.                                                 */
  __IO uint32_t  INTVAL2;                           /*!< MRTn Time interval value register. This value is loaded into
                                                         the TIMER0 register.                                                  */
  __I  uint32_t  TIMER2;                            /*!< MRTn Timer register. This register reads the value of the down-counter. */
  __IO uint32_t  CTRL2;                             /*!< MRTn Control register. This register controls the MRTn modes.         */
  __IO uint32_t  STAT2;                             /*!< MRTn Status register.                                                 */
  __IO uint32_t  INTVAL3;                           /*!< MRTn Time interval value register. This value is loaded into
                                                         the TIMER0 register.                                                  */
  __I  uint32_t  TIMER3;                            /*!< MRTn Timer register. This register reads the value of the down-counter. */
  __IO uint32_t  CTRL3;                             /*!< MRTn Control register. This register controls the MRTn modes.         */
  __IO uint32_t  STAT3;                             /*!< MRTn Status register.                                                 */
  __I  uint32_t  RESERVED[44];
  __IO uint32_t  MODCFG;                            /*!< Module Configuration register. This register provides information
                                                         about this particular MRT instance, and allows choosing an overall
                                                          mode for the idle channel feature.                                   */
  __I  uint32_t  IDLE_CH;                           /*!< Idle channel register. This register returns the number of the
                                                         first idle channel.                                                   */
  __IO uint32_t  IRQ_FLAG;                          /*!< Global interrupt flag register                                        */
} LPC_MRT_Type;


/* ================================================================================ */
/* ================                   ASYNCSYSCON                  ================ */
/* ================================================================================ */


/**
  * @brief Asynchronous system configuration (ASYNCSYSCON)
  */

typedef struct {                                    /*!< ASYNCSYSCON Structure                                                 */
  __IO uint32_t  AYSNCPRESETCTRL;                   /*!< Async peripheral reset control                                        */
  __O  uint32_t  AYSNCPRESETCTRLSET;                /*!< Set bits in AYSNCPRESETCTRL                                           */
  __O  uint32_t  AYSNCPRESETCTRLCLR;                /*!< Clear bits in AYSNCPRESETCTRL                                         */
  __I  uint32_t  RESERVED;
  __IO uint32_t  ASYNCAPBCLKCTRL;                   /*!< Async peripheral clock control                                        */
  __O  uint32_t  ASYNCAPBCLKCTRLSET;                /*!< Set bits in ASYNCAPBCLKCTRL                                           */
  __O  uint32_t  ASYNCAPBCLKCTRLCLR;                /*!< Clear bits in ASYNCAPBCLKCTRL                                         */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  ASYNCAPBCLKSELA;                   /*!< Async APB clock source select A                                       */
  __IO uint32_t  ASYNCAPBCLKSELB;                   /*!< Async APB clock source select B                                       */
  __IO uint32_t  ASYNCCLKDIV;                       /*!< Async APB clock divider                                               */
  __I  uint32_t  RESERVED2;
  __IO uint32_t  FRGCTRL;                           /*!< USART fractional rate generator control                               */
  __I  uint32_t  RESERVED3[4];
  __IO uint32_t  BODCTRL;                           /*!< Brown-Out Detect control                                              */
} LPC_ASYNCSYSCON_Type;


/* ================================================================================ */
/* ================                     USART0                     ================ */
/* ================================================================================ */


/**
  * @brief USART0  (USART0)
  */

typedef struct {                                    /*!< USART0 Structure                                                      */
  __IO uint32_t  CFG;                               /*!< USART Configuration register. Basic USART configuration settings
                                                         that typically are not changed during operation.                      */
  __IO uint32_t  CTL;                               /*!< USART Control register. USART control settings that are more
                                                         likely to change during operation.                                    */
  __IO uint32_t  STAT;                              /*!< USART Status register. The complete status value can be read
                                                         here. Writing ones clears some bits in the register. Some bits
                                                          can be cleared by writing a 1 to them.                               */
  __IO uint32_t  INTENSET;                          /*!< Interrupt Enable read and Set register. Contains an individual
                                                         interrupt enable bit for each potential USART interrupt. A complete
                                                          value may be read from this register. Writing a 1 to any implemented
                                                          bit position causes that bit to be set.                              */
  __O  uint32_t  INTENCLR;                          /*!< Interrupt Enable Clear register. Allows clearing any combination
                                                         of bits in the INTENSET register. Writing a 1 to any implemented
                                                          bit position causes the corresponding bit to be cleared.             */
  __I  uint32_t  RXDAT;                             /*!< Receiver Data register. Contains the last character received.         */
  __I  uint32_t  RXDATSTAT;                         /*!< Receiver Data with Status register. Combines the last character
                                                         received with the current USART receive status. Allows DMA or
                                                          software to recover incoming data and status together.               */
  __IO uint32_t  TXDAT;                             /*!< Transmit Data register. Data to be transmitted is written here.       */
  __IO uint32_t  BRG;                               /*!< Baud Rate Generator register. 16-bit integer baud rate divisor
                                                         value.                                                                */
  __I  uint32_t  INTSTAT;                           /*!< Interrupt status register. Reflects interrupts that are currently
                                                         enabled.                                                              */
  __IO uint32_t  OSR;                               /*!< Oversample selection register for asynchronous communication.         */
  __IO uint32_t  ADDR;                              /*!< Address register for automatic address matching.                      */
} LPC_USART0_Type;


/* ================================================================================ */
/* ================                      I2C0                      ================ */
/* ================================================================================ */


/**
  * @brief I2C-bus interface 0 (I2C0)
  */

typedef struct {                                    /*!< I2C0 Structure                                                        */
  __IO uint32_t  CFG;                               /*!< Configuration for shared functions.                                   */
  __IO uint32_t  STAT;                              /*!< Status register for Master, Slave, and Monitor functions.             */
  __IO uint32_t  INTENSET;                          /*!< Interrupt Enable Set and read register.                               */
  __O  uint32_t  INTENCLR;                          /*!< Interrupt Enable Clear register.                                      */
  __IO uint32_t  TIMEOUT;                           /*!< Time-out value register.                                              */
  __IO uint32_t  CLKDIV;                            /*!< Clock pre-divider for the entire I2C block. This determines
                                                         what time increments are used for the MSTTIME register, and
                                                          controls some timing of the Slave function.                          */
  __I  uint32_t  INTSTAT;                           /*!< Interrupt Status register for Master, Slave, and Monitor functions.   */
  __I  uint32_t  RESERVED;
  __IO uint32_t  MSTCTL;                            /*!< Master control register.                                              */
  __IO uint32_t  MSTTIME;                           /*!< Master timing configuration.                                          */
  __IO uint32_t  MSTDAT;                            /*!< Combined Master receiver and transmitter data register.               */
  __I  uint32_t  RESERVED1[5];
  __IO uint32_t  SLVCTL;                            /*!< Slave control register.                                               */
  __IO uint32_t  SLVDAT;                            /*!< Combined Slave receiver and transmitter data register.                */
  __IO uint32_t  SLVADR0;                           /*!< Slave address 0.                                                      */
  __IO uint32_t  SLVADR1;                           /*!< Slave address 0.                                                      */
  __IO uint32_t  SLVADR2;                           /*!< Slave address 0.                                                      */
  __IO uint32_t  SLVADR3;                           /*!< Slave address 0.                                                      */
  __IO uint32_t  SLVQUAL0;                          /*!< Slave Qualification for address 0.                                    */
  __I  uint32_t  RESERVED2[9];
  __I  uint32_t  MONRXDAT;                          /*!< Monitor receiver data register.                                       */
} LPC_I2C0_Type;


/* ================================================================================ */
/* ================                      SPI0                      ================ */
/* ================================================================================ */


/**
  * @brief SPI0 (SPI0)
  */

typedef struct {                                    /*!< SPI0 Structure                                                        */
  __IO uint32_t  CFG;                               /*!< SPI Configuration register                                            */
  __IO uint32_t  DLY;                               /*!< SPI Delay register                                                    */
  __IO uint32_t  STAT;                              /*!< SPI Status. Some status flags can be cleared by writing a 1
                                                         to that bit position                                                  */
  __IO uint32_t  INTENSET;                          /*!< SPI Interrupt Enable read and Set. A complete value may be read
                                                         from this register. Writing a 1 to any implemented bit position
                                                          causes that bit to be set.                                           */
  __O  uint32_t  INTENCLR;                          /*!< SPI Interrupt Enable Clear. Writing a 1 to any implemented bit
                                                         position causes the corresponding bit in INTENSET to be cleared.      */
  __I  uint32_t  RXDAT;                             /*!< SPI Receive Data                                                      */
  __IO uint32_t  TXDATCTL;                          /*!< SPI Transmit Data with Control                                        */
  __IO uint32_t  TXDAT;                             /*!< SPI Transmit Data                                                     */
  __IO uint32_t  TXCTL;                             /*!< SPI Transmit Control                                                  */
  __IO uint32_t  DIV;                               /*!< SPI clock Divider                                                     */
  __I  uint32_t  INTSTAT;                           /*!< SPI Interrupt Status                                                  */
} LPC_SPI0_Type;


/* --------------------  End of section using anonymous unions  ------------------- */
#if defined(__CC_ARM)
  #pragma pop
#elif defined(__ICCARM__)
  /* leave anonymous unions enabled */
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning restore
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================          struct 'GPIO' Position & Mask         ================ */
/* ================================================================================ */


/* -----------------------------------  GPIO_B0  ---------------------------------- */
#define GPIO_B0_PBYTE_Pos                     0                                                       /*!< GPIO B0: PBYTE Position                 */
#define GPIO_B0_PBYTE_Msk                     (0x01UL << GPIO_B0_PBYTE_Pos)                           /*!< GPIO B0: PBYTE Mask                     */

/* -----------------------------------  GPIO_B1  ---------------------------------- */
#define GPIO_B1_PBYTE_Pos                     0                                                       /*!< GPIO B1: PBYTE Position                 */
#define GPIO_B1_PBYTE_Msk                     (0x01UL << GPIO_B1_PBYTE_Pos)                           /*!< GPIO B1: PBYTE Mask                     */

/* -----------------------------------  GPIO_B2  ---------------------------------- */
#define GPIO_B2_PBYTE_Pos                     0                                                       /*!< GPIO B2: PBYTE Position                 */
#define GPIO_B2_PBYTE_Msk                     (0x01UL << GPIO_B2_PBYTE_Pos)                           /*!< GPIO B2: PBYTE Mask                     */

/* -----------------------------------  GPIO_B3  ---------------------------------- */
#define GPIO_B3_PBYTE_Pos                     0                                                       /*!< GPIO B3: PBYTE Position                 */
#define GPIO_B3_PBYTE_Msk                     (0x01UL << GPIO_B3_PBYTE_Pos)                           /*!< GPIO B3: PBYTE Mask                     */

/* -----------------------------------  GPIO_B4  ---------------------------------- */
#define GPIO_B4_PBYTE_Pos                     0                                                       /*!< GPIO B4: PBYTE Position                 */
#define GPIO_B4_PBYTE_Msk                     (0x01UL << GPIO_B4_PBYTE_Pos)                           /*!< GPIO B4: PBYTE Mask                     */

/* -----------------------------------  GPIO_B5  ---------------------------------- */
#define GPIO_B5_PBYTE_Pos                     0                                                       /*!< GPIO B5: PBYTE Position                 */
#define GPIO_B5_PBYTE_Msk                     (0x01UL << GPIO_B5_PBYTE_Pos)                           /*!< GPIO B5: PBYTE Mask                     */

/* -----------------------------------  GPIO_B6  ---------------------------------- */
#define GPIO_B6_PBYTE_Pos                     0                                                       /*!< GPIO B6: PBYTE Position                 */
#define GPIO_B6_PBYTE_Msk                     (0x01UL << GPIO_B6_PBYTE_Pos)                           /*!< GPIO B6: PBYTE Mask                     */

/* -----------------------------------  GPIO_B7  ---------------------------------- */
#define GPIO_B7_PBYTE_Pos                     0                                                       /*!< GPIO B7: PBYTE Position                 */
#define GPIO_B7_PBYTE_Msk                     (0x01UL << GPIO_B7_PBYTE_Pos)                           /*!< GPIO B7: PBYTE Mask                     */

/* -----------------------------------  GPIO_B8  ---------------------------------- */
#define GPIO_B8_PBYTE_Pos                     0                                                       /*!< GPIO B8: PBYTE Position                 */
#define GPIO_B8_PBYTE_Msk                     (0x01UL << GPIO_B8_PBYTE_Pos)                           /*!< GPIO B8: PBYTE Mask                     */

/* -----------------------------------  GPIO_B9  ---------------------------------- */
#define GPIO_B9_PBYTE_Pos                     0                                                       /*!< GPIO B9: PBYTE Position                 */
#define GPIO_B9_PBYTE_Msk                     (0x01UL << GPIO_B9_PBYTE_Pos)                           /*!< GPIO B9: PBYTE Mask                     */

/* ----------------------------------  GPIO_B10  ---------------------------------- */
#define GPIO_B10_PBYTE_Pos                    0                                                       /*!< GPIO B10: PBYTE Position                */
#define GPIO_B10_PBYTE_Msk                    (0x01UL << GPIO_B10_PBYTE_Pos)                          /*!< GPIO B10: PBYTE Mask                    */

/* ----------------------------------  GPIO_B11  ---------------------------------- */
#define GPIO_B11_PBYTE_Pos                    0                                                       /*!< GPIO B11: PBYTE Position                */
#define GPIO_B11_PBYTE_Msk                    (0x01UL << GPIO_B11_PBYTE_Pos)                          /*!< GPIO B11: PBYTE Mask                    */

/* ----------------------------------  GPIO_B12  ---------------------------------- */
#define GPIO_B12_PBYTE_Pos                    0                                                       /*!< GPIO B12: PBYTE Position                */
#define GPIO_B12_PBYTE_Msk                    (0x01UL << GPIO_B12_PBYTE_Pos)                          /*!< GPIO B12: PBYTE Mask                    */

/* ----------------------------------  GPIO_B13  ---------------------------------- */
#define GPIO_B13_PBYTE_Pos                    0                                                       /*!< GPIO B13: PBYTE Position                */
#define GPIO_B13_PBYTE_Msk                    (0x01UL << GPIO_B13_PBYTE_Pos)                          /*!< GPIO B13: PBYTE Mask                    */

/* ----------------------------------  GPIO_B14  ---------------------------------- */
#define GPIO_B14_PBYTE_Pos                    0                                                       /*!< GPIO B14: PBYTE Position                */
#define GPIO_B14_PBYTE_Msk                    (0x01UL << GPIO_B14_PBYTE_Pos)                          /*!< GPIO B14: PBYTE Mask                    */

/* ----------------------------------  GPIO_B15  ---------------------------------- */
#define GPIO_B15_PBYTE_Pos                    0                                                       /*!< GPIO B15: PBYTE Position                */
#define GPIO_B15_PBYTE_Msk                    (0x01UL << GPIO_B15_PBYTE_Pos)                          /*!< GPIO B15: PBYTE Mask                    */

/* ----------------------------------  GPIO_B16  ---------------------------------- */
#define GPIO_B16_PBYTE_Pos                    0                                                       /*!< GPIO B16: PBYTE Position                */
#define GPIO_B16_PBYTE_Msk                    (0x01UL << GPIO_B16_PBYTE_Pos)                          /*!< GPIO B16: PBYTE Mask                    */

/* ----------------------------------  GPIO_B17  ---------------------------------- */
#define GPIO_B17_PBYTE_Pos                    0                                                       /*!< GPIO B17: PBYTE Position                */
#define GPIO_B17_PBYTE_Msk                    (0x01UL << GPIO_B17_PBYTE_Pos)                          /*!< GPIO B17: PBYTE Mask                    */

/* ----------------------------------  GPIO_B18  ---------------------------------- */
#define GPIO_B18_PBYTE_Pos                    0                                                       /*!< GPIO B18: PBYTE Position                */
#define GPIO_B18_PBYTE_Msk                    (0x01UL << GPIO_B18_PBYTE_Pos)                          /*!< GPIO B18: PBYTE Mask                    */

/* ----------------------------------  GPIO_B19  ---------------------------------- */
#define GPIO_B19_PBYTE_Pos                    0                                                       /*!< GPIO B19: PBYTE Position                */
#define GPIO_B19_PBYTE_Msk                    (0x01UL << GPIO_B19_PBYTE_Pos)                          /*!< GPIO B19: PBYTE Mask                    */

/* ----------------------------------  GPIO_B20  ---------------------------------- */
#define GPIO_B20_PBYTE_Pos                    0                                                       /*!< GPIO B20: PBYTE Position                */
#define GPIO_B20_PBYTE_Msk                    (0x01UL << GPIO_B20_PBYTE_Pos)                          /*!< GPIO B20: PBYTE Mask                    */

/* ----------------------------------  GPIO_B21  ---------------------------------- */
#define GPIO_B21_PBYTE_Pos                    0                                                       /*!< GPIO B21: PBYTE Position                */
#define GPIO_B21_PBYTE_Msk                    (0x01UL << GPIO_B21_PBYTE_Pos)                          /*!< GPIO B21: PBYTE Mask                    */

/* ----------------------------------  GPIO_B22  ---------------------------------- */
#define GPIO_B22_PBYTE_Pos                    0                                                       /*!< GPIO B22: PBYTE Position                */
#define GPIO_B22_PBYTE_Msk                    (0x01UL << GPIO_B22_PBYTE_Pos)                          /*!< GPIO B22: PBYTE Mask                    */

/* ----------------------------------  GPIO_B23  ---------------------------------- */
#define GPIO_B23_PBYTE_Pos                    0                                                       /*!< GPIO B23: PBYTE Position                */
#define GPIO_B23_PBYTE_Msk                    (0x01UL << GPIO_B23_PBYTE_Pos)                          /*!< GPIO B23: PBYTE Mask                    */

/* ----------------------------------  GPIO_B24  ---------------------------------- */
#define GPIO_B24_PBYTE_Pos                    0                                                       /*!< GPIO B24: PBYTE Position                */
#define GPIO_B24_PBYTE_Msk                    (0x01UL << GPIO_B24_PBYTE_Pos)                          /*!< GPIO B24: PBYTE Mask                    */

/* ----------------------------------  GPIO_B25  ---------------------------------- */
#define GPIO_B25_PBYTE_Pos                    0                                                       /*!< GPIO B25: PBYTE Position                */
#define GPIO_B25_PBYTE_Msk                    (0x01UL << GPIO_B25_PBYTE_Pos)                          /*!< GPIO B25: PBYTE Mask                    */

/* ----------------------------------  GPIO_B26  ---------------------------------- */
#define GPIO_B26_PBYTE_Pos                    0                                                       /*!< GPIO B26: PBYTE Position                */
#define GPIO_B26_PBYTE_Msk                    (0x01UL << GPIO_B26_PBYTE_Pos)                          /*!< GPIO B26: PBYTE Mask                    */

/* ----------------------------------  GPIO_B27  ---------------------------------- */
#define GPIO_B27_PBYTE_Pos                    0                                                       /*!< GPIO B27: PBYTE Position                */
#define GPIO_B27_PBYTE_Msk                    (0x01UL << GPIO_B27_PBYTE_Pos)                          /*!< GPIO B27: PBYTE Mask                    */

/* ----------------------------------  GPIO_B28  ---------------------------------- */
#define GPIO_B28_PBYTE_Pos                    0                                                       /*!< GPIO B28: PBYTE Position                */
#define GPIO_B28_PBYTE_Msk                    (0x01UL << GPIO_B28_PBYTE_Pos)                          /*!< GPIO B28: PBYTE Mask                    */

/* ----------------------------------  GPIO_B29  ---------------------------------- */
#define GPIO_B29_PBYTE_Pos                    0                                                       /*!< GPIO B29: PBYTE Position                */
#define GPIO_B29_PBYTE_Msk                    (0x01UL << GPIO_B29_PBYTE_Pos)                          /*!< GPIO B29: PBYTE Mask                    */

/* ----------------------------------  GPIO_B30  ---------------------------------- */
#define GPIO_B30_PBYTE_Pos                    0                                                       /*!< GPIO B30: PBYTE Position                */
#define GPIO_B30_PBYTE_Msk                    (0x01UL << GPIO_B30_PBYTE_Pos)                          /*!< GPIO B30: PBYTE Mask                    */

/* ----------------------------------  GPIO_B31  ---------------------------------- */
#define GPIO_B31_PBYTE_Pos                    0                                                       /*!< GPIO B31: PBYTE Position                */
#define GPIO_B31_PBYTE_Msk                    (0x01UL << GPIO_B31_PBYTE_Pos)                          /*!< GPIO B31: PBYTE Mask                    */

/* ----------------------------------  GPIO_B32  ---------------------------------- */
#define GPIO_B32_PBYTE_Pos                    0                                                       /*!< GPIO B32: PBYTE Position                */
#define GPIO_B32_PBYTE_Msk                    (0x01UL << GPIO_B32_PBYTE_Pos)                          /*!< GPIO B32: PBYTE Mask                    */

/* ----------------------------------  GPIO_B33  ---------------------------------- */
#define GPIO_B33_PBYTE_Pos                    0                                                       /*!< GPIO B33: PBYTE Position                */
#define GPIO_B33_PBYTE_Msk                    (0x01UL << GPIO_B33_PBYTE_Pos)                          /*!< GPIO B33: PBYTE Mask                    */

/* ----------------------------------  GPIO_B34  ---------------------------------- */
#define GPIO_B34_PBYTE_Pos                    0                                                       /*!< GPIO B34: PBYTE Position                */
#define GPIO_B34_PBYTE_Msk                    (0x01UL << GPIO_B34_PBYTE_Pos)                          /*!< GPIO B34: PBYTE Mask                    */

/* ----------------------------------  GPIO_B35  ---------------------------------- */
#define GPIO_B35_PBYTE_Pos                    0                                                       /*!< GPIO B35: PBYTE Position                */
#define GPIO_B35_PBYTE_Msk                    (0x01UL << GPIO_B35_PBYTE_Pos)                          /*!< GPIO B35: PBYTE Mask                    */

/* ----------------------------------  GPIO_B36  ---------------------------------- */
#define GPIO_B36_PBYTE_Pos                    0                                                       /*!< GPIO B36: PBYTE Position                */
#define GPIO_B36_PBYTE_Msk                    (0x01UL << GPIO_B36_PBYTE_Pos)                          /*!< GPIO B36: PBYTE Mask                    */

/* ----------------------------------  GPIO_B37  ---------------------------------- */
#define GPIO_B37_PBYTE_Pos                    0                                                       /*!< GPIO B37: PBYTE Position                */
#define GPIO_B37_PBYTE_Msk                    (0x01UL << GPIO_B37_PBYTE_Pos)                          /*!< GPIO B37: PBYTE Mask                    */

/* ----------------------------------  GPIO_B38  ---------------------------------- */
#define GPIO_B38_PBYTE_Pos                    0                                                       /*!< GPIO B38: PBYTE Position                */
#define GPIO_B38_PBYTE_Msk                    (0x01UL << GPIO_B38_PBYTE_Pos)                          /*!< GPIO B38: PBYTE Mask                    */

/* ----------------------------------  GPIO_B39  ---------------------------------- */
#define GPIO_B39_PBYTE_Pos                    0                                                       /*!< GPIO B39: PBYTE Position                */
#define GPIO_B39_PBYTE_Msk                    (0x01UL << GPIO_B39_PBYTE_Pos)                          /*!< GPIO B39: PBYTE Mask                    */

/* ----------------------------------  GPIO_B40  ---------------------------------- */
#define GPIO_B40_PBYTE_Pos                    0                                                       /*!< GPIO B40: PBYTE Position                */
#define GPIO_B40_PBYTE_Msk                    (0x01UL << GPIO_B40_PBYTE_Pos)                          /*!< GPIO B40: PBYTE Mask                    */

/* ----------------------------------  GPIO_B41  ---------------------------------- */
#define GPIO_B41_PBYTE_Pos                    0                                                       /*!< GPIO B41: PBYTE Position                */
#define GPIO_B41_PBYTE_Msk                    (0x01UL << GPIO_B41_PBYTE_Pos)                          /*!< GPIO B41: PBYTE Mask                    */

/* ----------------------------------  GPIO_B42  ---------------------------------- */
#define GPIO_B42_PBYTE_Pos                    0                                                       /*!< GPIO B42: PBYTE Position                */
#define GPIO_B42_PBYTE_Msk                    (0x01UL << GPIO_B42_PBYTE_Pos)                          /*!< GPIO B42: PBYTE Mask                    */

/* ----------------------------------  GPIO_B43  ---------------------------------- */
#define GPIO_B43_PBYTE_Pos                    0                                                       /*!< GPIO B43: PBYTE Position                */
#define GPIO_B43_PBYTE_Msk                    (0x01UL << GPIO_B43_PBYTE_Pos)                          /*!< GPIO B43: PBYTE Mask                    */

/* ----------------------------------  GPIO_B44  ---------------------------------- */
#define GPIO_B44_PBYTE_Pos                    0                                                       /*!< GPIO B44: PBYTE Position                */
#define GPIO_B44_PBYTE_Msk                    (0x01UL << GPIO_B44_PBYTE_Pos)                          /*!< GPIO B44: PBYTE Mask                    */

/* ----------------------------------  GPIO_B45  ---------------------------------- */
#define GPIO_B45_PBYTE_Pos                    0                                                       /*!< GPIO B45: PBYTE Position                */
#define GPIO_B45_PBYTE_Msk                    (0x01UL << GPIO_B45_PBYTE_Pos)                          /*!< GPIO B45: PBYTE Mask                    */

/* ----------------------------------  GPIO_B46  ---------------------------------- */
#define GPIO_B46_PBYTE_Pos                    0                                                       /*!< GPIO B46: PBYTE Position                */
#define GPIO_B46_PBYTE_Msk                    (0x01UL << GPIO_B46_PBYTE_Pos)                          /*!< GPIO B46: PBYTE Mask                    */

/* ----------------------------------  GPIO_B47  ---------------------------------- */
#define GPIO_B47_PBYTE_Pos                    0                                                       /*!< GPIO B47: PBYTE Position                */
#define GPIO_B47_PBYTE_Msk                    (0x01UL << GPIO_B47_PBYTE_Pos)                          /*!< GPIO B47: PBYTE Mask                    */

/* ----------------------------------  GPIO_B48  ---------------------------------- */
#define GPIO_B48_PBYTE_Pos                    0                                                       /*!< GPIO B48: PBYTE Position                */
#define GPIO_B48_PBYTE_Msk                    (0x01UL << GPIO_B48_PBYTE_Pos)                          /*!< GPIO B48: PBYTE Mask                    */

/* ----------------------------------  GPIO_B49  ---------------------------------- */
#define GPIO_B49_PBYTE_Pos                    0                                                       /*!< GPIO B49: PBYTE Position                */
#define GPIO_B49_PBYTE_Msk                    (0x01UL << GPIO_B49_PBYTE_Pos)                          /*!< GPIO B49: PBYTE Mask                    */

/* -----------------------------------  GPIO_W0  ---------------------------------- */
#define GPIO_W0_PWORD_Pos                     0                                                       /*!< GPIO W0: PWORD Position                 */
#define GPIO_W0_PWORD_Msk                     (0xffffffffUL << GPIO_W0_PWORD_Pos)                     /*!< GPIO W0: PWORD Mask                     */

/* -----------------------------------  GPIO_W1  ---------------------------------- */
#define GPIO_W1_PWORD_Pos                     0                                                       /*!< GPIO W1: PWORD Position                 */
#define GPIO_W1_PWORD_Msk                     (0xffffffffUL << GPIO_W1_PWORD_Pos)                     /*!< GPIO W1: PWORD Mask                     */

/* -----------------------------------  GPIO_W2  ---------------------------------- */
#define GPIO_W2_PWORD_Pos                     0                                                       /*!< GPIO W2: PWORD Position                 */
#define GPIO_W2_PWORD_Msk                     (0xffffffffUL << GPIO_W2_PWORD_Pos)                     /*!< GPIO W2: PWORD Mask                     */

/* -----------------------------------  GPIO_W3  ---------------------------------- */
#define GPIO_W3_PWORD_Pos                     0                                                       /*!< GPIO W3: PWORD Position                 */
#define GPIO_W3_PWORD_Msk                     (0xffffffffUL << GPIO_W3_PWORD_Pos)                     /*!< GPIO W3: PWORD Mask                     */

/* -----------------------------------  GPIO_W4  ---------------------------------- */
#define GPIO_W4_PWORD_Pos                     0                                                       /*!< GPIO W4: PWORD Position                 */
#define GPIO_W4_PWORD_Msk                     (0xffffffffUL << GPIO_W4_PWORD_Pos)                     /*!< GPIO W4: PWORD Mask                     */

/* -----------------------------------  GPIO_W5  ---------------------------------- */
#define GPIO_W5_PWORD_Pos                     0                                                       /*!< GPIO W5: PWORD Position                 */
#define GPIO_W5_PWORD_Msk                     (0xffffffffUL << GPIO_W5_PWORD_Pos)                     /*!< GPIO W5: PWORD Mask                     */

/* -----------------------------------  GPIO_W6  ---------------------------------- */
#define GPIO_W6_PWORD_Pos                     0                                                       /*!< GPIO W6: PWORD Position                 */
#define GPIO_W6_PWORD_Msk                     (0xffffffffUL << GPIO_W6_PWORD_Pos)                     /*!< GPIO W6: PWORD Mask                     */

/* -----------------------------------  GPIO_W7  ---------------------------------- */
#define GPIO_W7_PWORD_Pos                     0                                                       /*!< GPIO W7: PWORD Position                 */
#define GPIO_W7_PWORD_Msk                     (0xffffffffUL << GPIO_W7_PWORD_Pos)                     /*!< GPIO W7: PWORD Mask                     */

/* -----------------------------------  GPIO_W8  ---------------------------------- */
#define GPIO_W8_PWORD_Pos                     0                                                       /*!< GPIO W8: PWORD Position                 */
#define GPIO_W8_PWORD_Msk                     (0xffffffffUL << GPIO_W8_PWORD_Pos)                     /*!< GPIO W8: PWORD Mask                     */

/* -----------------------------------  GPIO_W9  ---------------------------------- */
#define GPIO_W9_PWORD_Pos                     0                                                       /*!< GPIO W9: PWORD Position                 */
#define GPIO_W9_PWORD_Msk                     (0xffffffffUL << GPIO_W9_PWORD_Pos)                     /*!< GPIO W9: PWORD Mask                     */

/* ----------------------------------  GPIO_W10  ---------------------------------- */
#define GPIO_W10_PWORD_Pos                    0                                                       /*!< GPIO W10: PWORD Position                */
#define GPIO_W10_PWORD_Msk                    (0xffffffffUL << GPIO_W10_PWORD_Pos)                    /*!< GPIO W10: PWORD Mask                    */

/* ----------------------------------  GPIO_W11  ---------------------------------- */
#define GPIO_W11_PWORD_Pos                    0                                                       /*!< GPIO W11: PWORD Position                */
#define GPIO_W11_PWORD_Msk                    (0xffffffffUL << GPIO_W11_PWORD_Pos)                    /*!< GPIO W11: PWORD Mask                    */

/* ----------------------------------  GPIO_W12  ---------------------------------- */
#define GPIO_W12_PWORD_Pos                    0                                                       /*!< GPIO W12: PWORD Position                */
#define GPIO_W12_PWORD_Msk                    (0xffffffffUL << GPIO_W12_PWORD_Pos)                    /*!< GPIO W12: PWORD Mask                    */

/* ----------------------------------  GPIO_W13  ---------------------------------- */
#define GPIO_W13_PWORD_Pos                    0                                                       /*!< GPIO W13: PWORD Position                */
#define GPIO_W13_PWORD_Msk                    (0xffffffffUL << GPIO_W13_PWORD_Pos)                    /*!< GPIO W13: PWORD Mask                    */

/* ----------------------------------  GPIO_W14  ---------------------------------- */
#define GPIO_W14_PWORD_Pos                    0                                                       /*!< GPIO W14: PWORD Position                */
#define GPIO_W14_PWORD_Msk                    (0xffffffffUL << GPIO_W14_PWORD_Pos)                    /*!< GPIO W14: PWORD Mask                    */

/* ----------------------------------  GPIO_W15  ---------------------------------- */
#define GPIO_W15_PWORD_Pos                    0                                                       /*!< GPIO W15: PWORD Position                */
#define GPIO_W15_PWORD_Msk                    (0xffffffffUL << GPIO_W15_PWORD_Pos)                    /*!< GPIO W15: PWORD Mask                    */

/* ----------------------------------  GPIO_W16  ---------------------------------- */
#define GPIO_W16_PWORD_Pos                    0                                                       /*!< GPIO W16: PWORD Position                */
#define GPIO_W16_PWORD_Msk                    (0xffffffffUL << GPIO_W16_PWORD_Pos)                    /*!< GPIO W16: PWORD Mask                    */

/* ----------------------------------  GPIO_W17  ---------------------------------- */
#define GPIO_W17_PWORD_Pos                    0                                                       /*!< GPIO W17: PWORD Position                */
#define GPIO_W17_PWORD_Msk                    (0xffffffffUL << GPIO_W17_PWORD_Pos)                    /*!< GPIO W17: PWORD Mask                    */

/* ----------------------------------  GPIO_W18  ---------------------------------- */
#define GPIO_W18_PWORD_Pos                    0                                                       /*!< GPIO W18: PWORD Position                */
#define GPIO_W18_PWORD_Msk                    (0xffffffffUL << GPIO_W18_PWORD_Pos)                    /*!< GPIO W18: PWORD Mask                    */

/* ----------------------------------  GPIO_W19  ---------------------------------- */
#define GPIO_W19_PWORD_Pos                    0                                                       /*!< GPIO W19: PWORD Position                */
#define GPIO_W19_PWORD_Msk                    (0xffffffffUL << GPIO_W19_PWORD_Pos)                    /*!< GPIO W19: PWORD Mask                    */

/* ----------------------------------  GPIO_W20  ---------------------------------- */
#define GPIO_W20_PWORD_Pos                    0                                                       /*!< GPIO W20: PWORD Position                */
#define GPIO_W20_PWORD_Msk                    (0xffffffffUL << GPIO_W20_PWORD_Pos)                    /*!< GPIO W20: PWORD Mask                    */

/* ----------------------------------  GPIO_W21  ---------------------------------- */
#define GPIO_W21_PWORD_Pos                    0                                                       /*!< GPIO W21: PWORD Position                */
#define GPIO_W21_PWORD_Msk                    (0xffffffffUL << GPIO_W21_PWORD_Pos)                    /*!< GPIO W21: PWORD Mask                    */

/* ----------------------------------  GPIO_W22  ---------------------------------- */
#define GPIO_W22_PWORD_Pos                    0                                                       /*!< GPIO W22: PWORD Position                */
#define GPIO_W22_PWORD_Msk                    (0xffffffffUL << GPIO_W22_PWORD_Pos)                    /*!< GPIO W22: PWORD Mask                    */

/* ----------------------------------  GPIO_W23  ---------------------------------- */
#define GPIO_W23_PWORD_Pos                    0                                                       /*!< GPIO W23: PWORD Position                */
#define GPIO_W23_PWORD_Msk                    (0xffffffffUL << GPIO_W23_PWORD_Pos)                    /*!< GPIO W23: PWORD Mask                    */

/* ----------------------------------  GPIO_W24  ---------------------------------- */
#define GPIO_W24_PWORD_Pos                    0                                                       /*!< GPIO W24: PWORD Position                */
#define GPIO_W24_PWORD_Msk                    (0xffffffffUL << GPIO_W24_PWORD_Pos)                    /*!< GPIO W24: PWORD Mask                    */

/* ----------------------------------  GPIO_W25  ---------------------------------- */
#define GPIO_W25_PWORD_Pos                    0                                                       /*!< GPIO W25: PWORD Position                */
#define GPIO_W25_PWORD_Msk                    (0xffffffffUL << GPIO_W25_PWORD_Pos)                    /*!< GPIO W25: PWORD Mask                    */

/* ----------------------------------  GPIO_W26  ---------------------------------- */
#define GPIO_W26_PWORD_Pos                    0                                                       /*!< GPIO W26: PWORD Position                */
#define GPIO_W26_PWORD_Msk                    (0xffffffffUL << GPIO_W26_PWORD_Pos)                    /*!< GPIO W26: PWORD Mask                    */

/* ----------------------------------  GPIO_W27  ---------------------------------- */
#define GPIO_W27_PWORD_Pos                    0                                                       /*!< GPIO W27: PWORD Position                */
#define GPIO_W27_PWORD_Msk                    (0xffffffffUL << GPIO_W27_PWORD_Pos)                    /*!< GPIO W27: PWORD Mask                    */

/* ----------------------------------  GPIO_W28  ---------------------------------- */
#define GPIO_W28_PWORD_Pos                    0                                                       /*!< GPIO W28: PWORD Position                */
#define GPIO_W28_PWORD_Msk                    (0xffffffffUL << GPIO_W28_PWORD_Pos)                    /*!< GPIO W28: PWORD Mask                    */

/* ----------------------------------  GPIO_W29  ---------------------------------- */
#define GPIO_W29_PWORD_Pos                    0                                                       /*!< GPIO W29: PWORD Position                */
#define GPIO_W29_PWORD_Msk                    (0xffffffffUL << GPIO_W29_PWORD_Pos)                    /*!< GPIO W29: PWORD Mask                    */

/* ----------------------------------  GPIO_W30  ---------------------------------- */
#define GPIO_W30_PWORD_Pos                    0                                                       /*!< GPIO W30: PWORD Position                */
#define GPIO_W30_PWORD_Msk                    (0xffffffffUL << GPIO_W30_PWORD_Pos)                    /*!< GPIO W30: PWORD Mask                    */

/* ----------------------------------  GPIO_W31  ---------------------------------- */
#define GPIO_W31_PWORD_Pos                    0                                                       /*!< GPIO W31: PWORD Position                */
#define GPIO_W31_PWORD_Msk                    (0xffffffffUL << GPIO_W31_PWORD_Pos)                    /*!< GPIO W31: PWORD Mask                    */

/* ----------------------------------  GPIO_W32  ---------------------------------- */
#define GPIO_W32_PWORD_Pos                    0                                                       /*!< GPIO W32: PWORD Position                */
#define GPIO_W32_PWORD_Msk                    (0xffffffffUL << GPIO_W32_PWORD_Pos)                    /*!< GPIO W32: PWORD Mask                    */

/* ----------------------------------  GPIO_W33  ---------------------------------- */
#define GPIO_W33_PWORD_Pos                    0                                                       /*!< GPIO W33: PWORD Position                */
#define GPIO_W33_PWORD_Msk                    (0xffffffffUL << GPIO_W33_PWORD_Pos)                    /*!< GPIO W33: PWORD Mask                    */

/* ----------------------------------  GPIO_W34  ---------------------------------- */
#define GPIO_W34_PWORD_Pos                    0                                                       /*!< GPIO W34: PWORD Position                */
#define GPIO_W34_PWORD_Msk                    (0xffffffffUL << GPIO_W34_PWORD_Pos)                    /*!< GPIO W34: PWORD Mask                    */

/* ----------------------------------  GPIO_W35  ---------------------------------- */
#define GPIO_W35_PWORD_Pos                    0                                                       /*!< GPIO W35: PWORD Position                */
#define GPIO_W35_PWORD_Msk                    (0xffffffffUL << GPIO_W35_PWORD_Pos)                    /*!< GPIO W35: PWORD Mask                    */

/* ----------------------------------  GPIO_W36  ---------------------------------- */
#define GPIO_W36_PWORD_Pos                    0                                                       /*!< GPIO W36: PWORD Position                */
#define GPIO_W36_PWORD_Msk                    (0xffffffffUL << GPIO_W36_PWORD_Pos)                    /*!< GPIO W36: PWORD Mask                    */

/* ----------------------------------  GPIO_W37  ---------------------------------- */
#define GPIO_W37_PWORD_Pos                    0                                                       /*!< GPIO W37: PWORD Position                */
#define GPIO_W37_PWORD_Msk                    (0xffffffffUL << GPIO_W37_PWORD_Pos)                    /*!< GPIO W37: PWORD Mask                    */

/* ----------------------------------  GPIO_W38  ---------------------------------- */
#define GPIO_W38_PWORD_Pos                    0                                                       /*!< GPIO W38: PWORD Position                */
#define GPIO_W38_PWORD_Msk                    (0xffffffffUL << GPIO_W38_PWORD_Pos)                    /*!< GPIO W38: PWORD Mask                    */

/* ----------------------------------  GPIO_W39  ---------------------------------- */
#define GPIO_W39_PWORD_Pos                    0                                                       /*!< GPIO W39: PWORD Position                */
#define GPIO_W39_PWORD_Msk                    (0xffffffffUL << GPIO_W39_PWORD_Pos)                    /*!< GPIO W39: PWORD Mask                    */

/* ----------------------------------  GPIO_W40  ---------------------------------- */
#define GPIO_W40_PWORD_Pos                    0                                                       /*!< GPIO W40: PWORD Position                */
#define GPIO_W40_PWORD_Msk                    (0xffffffffUL << GPIO_W40_PWORD_Pos)                    /*!< GPIO W40: PWORD Mask                    */

/* ----------------------------------  GPIO_W41  ---------------------------------- */
#define GPIO_W41_PWORD_Pos                    0                                                       /*!< GPIO W41: PWORD Position                */
#define GPIO_W41_PWORD_Msk                    (0xffffffffUL << GPIO_W41_PWORD_Pos)                    /*!< GPIO W41: PWORD Mask                    */

/* ----------------------------------  GPIO_W42  ---------------------------------- */
#define GPIO_W42_PWORD_Pos                    0                                                       /*!< GPIO W42: PWORD Position                */
#define GPIO_W42_PWORD_Msk                    (0xffffffffUL << GPIO_W42_PWORD_Pos)                    /*!< GPIO W42: PWORD Mask                    */

/* ----------------------------------  GPIO_W43  ---------------------------------- */
#define GPIO_W43_PWORD_Pos                    0                                                       /*!< GPIO W43: PWORD Position                */
#define GPIO_W43_PWORD_Msk                    (0xffffffffUL << GPIO_W43_PWORD_Pos)                    /*!< GPIO W43: PWORD Mask                    */

/* ----------------------------------  GPIO_W44  ---------------------------------- */
#define GPIO_W44_PWORD_Pos                    0                                                       /*!< GPIO W44: PWORD Position                */
#define GPIO_W44_PWORD_Msk                    (0xffffffffUL << GPIO_W44_PWORD_Pos)                    /*!< GPIO W44: PWORD Mask                    */

/* ----------------------------------  GPIO_W45  ---------------------------------- */
#define GPIO_W45_PWORD_Pos                    0                                                       /*!< GPIO W45: PWORD Position                */
#define GPIO_W45_PWORD_Msk                    (0xffffffffUL << GPIO_W45_PWORD_Pos)                    /*!< GPIO W45: PWORD Mask                    */

/* ----------------------------------  GPIO_W46  ---------------------------------- */
#define GPIO_W46_PWORD_Pos                    0                                                       /*!< GPIO W46: PWORD Position                */
#define GPIO_W46_PWORD_Msk                    (0xffffffffUL << GPIO_W46_PWORD_Pos)                    /*!< GPIO W46: PWORD Mask                    */

/* ----------------------------------  GPIO_W47  ---------------------------------- */
#define GPIO_W47_PWORD_Pos                    0                                                       /*!< GPIO W47: PWORD Position                */
#define GPIO_W47_PWORD_Msk                    (0xffffffffUL << GPIO_W47_PWORD_Pos)                    /*!< GPIO W47: PWORD Mask                    */

/* ----------------------------------  GPIO_W48  ---------------------------------- */
#define GPIO_W48_PWORD_Pos                    0                                                       /*!< GPIO W48: PWORD Position                */
#define GPIO_W48_PWORD_Msk                    (0xffffffffUL << GPIO_W48_PWORD_Pos)                    /*!< GPIO W48: PWORD Mask                    */

/* ----------------------------------  GPIO_W49  ---------------------------------- */
#define GPIO_W49_PWORD_Pos                    0                                                       /*!< GPIO W49: PWORD Position                */
#define GPIO_W49_PWORD_Msk                    (0xffffffffUL << GPIO_W49_PWORD_Pos)                    /*!< GPIO W49: PWORD Mask                    */

/* ----------------------------------  GPIO_DIR0  --------------------------------- */
#define GPIO_DIR0_DIRP_Pos                    0                                                       /*!< GPIO DIR0: DIRP Position                */
#define GPIO_DIR0_DIRP_Msk                    (0xffffffffUL << GPIO_DIR0_DIRP_Pos)                    /*!< GPIO DIR0: DIRP Mask                    */

/* ----------------------------------  GPIO_DIR1  --------------------------------- */
#define GPIO_DIR1_DIRP_Pos                    0                                                       /*!< GPIO DIR1: DIRP Position                */
#define GPIO_DIR1_DIRP_Msk                    (0xffffffffUL << GPIO_DIR1_DIRP_Pos)                    /*!< GPIO DIR1: DIRP Mask                    */

/* ---------------------------------  GPIO_MASK0  --------------------------------- */
#define GPIO_MASK0_MASKP_Pos                  0                                                       /*!< GPIO MASK0: MASKP Position              */
#define GPIO_MASK0_MASKP_Msk                  (0xffffffffUL << GPIO_MASK0_MASKP_Pos)                  /*!< GPIO MASK0: MASKP Mask                  */

/* ---------------------------------  GPIO_MASK1  --------------------------------- */
#define GPIO_MASK1_MASKP_Pos                  0                                                       /*!< GPIO MASK1: MASKP Position              */
#define GPIO_MASK1_MASKP_Msk                  (0xffffffffUL << GPIO_MASK1_MASKP_Pos)                  /*!< GPIO MASK1: MASKP Mask                  */

/* ----------------------------------  GPIO_PIN0  --------------------------------- */
#define GPIO_PIN0_PORT_Pos                    0                                                       /*!< GPIO PIN0: PORT Position                */
#define GPIO_PIN0_PORT_Msk                    (0xffffffffUL << GPIO_PIN0_PORT_Pos)                    /*!< GPIO PIN0: PORT Mask                    */

/* ----------------------------------  GPIO_PIN1  --------------------------------- */
#define GPIO_PIN1_PORT_Pos                    0                                                       /*!< GPIO PIN1: PORT Position                */
#define GPIO_PIN1_PORT_Msk                    (0xffffffffUL << GPIO_PIN1_PORT_Pos)                    /*!< GPIO PIN1: PORT Mask                    */

/* ---------------------------------  GPIO_MPIN0  --------------------------------- */
#define GPIO_MPIN0_MPORTP_Pos                 0                                                       /*!< GPIO MPIN0: MPORTP Position             */
#define GPIO_MPIN0_MPORTP_Msk                 (0xffffffffUL << GPIO_MPIN0_MPORTP_Pos)                 /*!< GPIO MPIN0: MPORTP Mask                 */

/* ---------------------------------  GPIO_MPIN1  --------------------------------- */
#define GPIO_MPIN1_MPORTP_Pos                 0                                                       /*!< GPIO MPIN1: MPORTP Position             */
#define GPIO_MPIN1_MPORTP_Msk                 (0xffffffffUL << GPIO_MPIN1_MPORTP_Pos)                 /*!< GPIO MPIN1: MPORTP Mask                 */

/* ----------------------------------  GPIO_SET0  --------------------------------- */
#define GPIO_SET0_SETP_Pos                    0                                                       /*!< GPIO SET0: SETP Position                */
#define GPIO_SET0_SETP_Msk                    (0xffffffffUL << GPIO_SET0_SETP_Pos)                    /*!< GPIO SET0: SETP Mask                    */

/* ----------------------------------  GPIO_SET1  --------------------------------- */
#define GPIO_SET1_SETP_Pos                    0                                                       /*!< GPIO SET1: SETP Position                */
#define GPIO_SET1_SETP_Msk                    (0xffffffffUL << GPIO_SET1_SETP_Pos)                    /*!< GPIO SET1: SETP Mask                    */

/* ----------------------------------  GPIO_CLR0  --------------------------------- */
#define GPIO_CLR0_CLRP_Pos                    0                                                       /*!< GPIO CLR0: CLRP Position                */
#define GPIO_CLR0_CLRP_Msk                    (0xffffffffUL << GPIO_CLR0_CLRP_Pos)                    /*!< GPIO CLR0: CLRP Mask                    */

/* ----------------------------------  GPIO_CLR1  --------------------------------- */
#define GPIO_CLR1_CLRP_Pos                    0                                                       /*!< GPIO CLR1: CLRP Position                */
#define GPIO_CLR1_CLRP_Msk                    (0xffffffffUL << GPIO_CLR1_CLRP_Pos)                    /*!< GPIO CLR1: CLRP Mask                    */

/* ----------------------------------  GPIO_NOT0  --------------------------------- */
#define GPIO_NOT0_NOTP_Pos                    0                                                       /*!< GPIO NOT0: NOTP Position                */
#define GPIO_NOT0_NOTP_Msk                    (0xffffffffUL << GPIO_NOT0_NOTP_Pos)                    /*!< GPIO NOT0: NOTP Mask                    */

/* ----------------------------------  GPIO_NOT1  --------------------------------- */
#define GPIO_NOT1_NOTP_Pos                    0                                                       /*!< GPIO NOT1: NOTP Position                */
#define GPIO_NOT1_NOTP_Msk                    (0xffffffffUL << GPIO_NOT1_NOTP_Pos)                    /*!< GPIO NOT1: NOTP Mask                    */


/* ================================================================================ */
/* ================          struct 'DMA' Position & Mask          ================ */
/* ================================================================================ */


/* ----------------------------------  DMA_CTRL  ---------------------------------- */
#define DMA_CTRL_ENABLE_Pos                   0                                                       /*!< DMA CTRL: ENABLE Position               */
#define DMA_CTRL_ENABLE_Msk                   (0x01UL << DMA_CTRL_ENABLE_Pos)                         /*!< DMA CTRL: ENABLE Mask                   */

/* ---------------------------------  DMA_INTSTAT  -------------------------------- */
#define DMA_INTSTAT_ACTIVEINT_Pos             1                                                       /*!< DMA INTSTAT: ACTIVEINT Position         */
#define DMA_INTSTAT_ACTIVEINT_Msk             (0x01UL << DMA_INTSTAT_ACTIVEINT_Pos)                   /*!< DMA INTSTAT: ACTIVEINT Mask             */
#define DMA_INTSTAT_ACTIVEERRINT_Pos          2                                                       /*!< DMA INTSTAT: ACTIVEERRINT Position      */
#define DMA_INTSTAT_ACTIVEERRINT_Msk          (0x01UL << DMA_INTSTAT_ACTIVEERRINT_Pos)                /*!< DMA INTSTAT: ACTIVEERRINT Mask          */

/* --------------------------------  DMA_SRAMBASE  -------------------------------- */
#define DMA_SRAMBASE_OFFSET_Pos               9                                                       /*!< DMA SRAMBASE: OFFSET Position           */
#define DMA_SRAMBASE_OFFSET_Msk               (0x007fffffUL << DMA_SRAMBASE_OFFSET_Pos)               /*!< DMA SRAMBASE: OFFSET Mask               */

/* -------------------------------  DMA_ENABLESET0  ------------------------------- */
#define DMA_ENABLESET0_ENA_Pos                0                                                       /*!< DMA ENABLESET0: ENA Position            */
#define DMA_ENABLESET0_ENA_Msk                (0x003fffffUL << DMA_ENABLESET0_ENA_Pos)                /*!< DMA ENABLESET0: ENA Mask                */

/* -------------------------------  DMA_ENABLECLR0  ------------------------------- */
#define DMA_ENABLECLR0_CLR_Pos                0                                                       /*!< DMA ENABLECLR0: CLR Position            */
#define DMA_ENABLECLR0_CLR_Msk                (0x003fffffUL << DMA_ENABLECLR0_CLR_Pos)                /*!< DMA ENABLECLR0: CLR Mask                */

/* ---------------------------------  DMA_ACTIVE0  -------------------------------- */
#define DMA_ACTIVE0_ACT_Pos                   0                                                       /*!< DMA ACTIVE0: ACT Position               */
#define DMA_ACTIVE0_ACT_Msk                   (0x003fffffUL << DMA_ACTIVE0_ACT_Pos)                   /*!< DMA ACTIVE0: ACT Mask                   */

/* ----------------------------------  DMA_BUSY0  --------------------------------- */
#define DMA_BUSY0_BSY_Pos                     0                                                       /*!< DMA BUSY0: BSY Position                 */
#define DMA_BUSY0_BSY_Msk                     (0x003fffffUL << DMA_BUSY0_BSY_Pos)                     /*!< DMA BUSY0: BSY Mask                     */

/* ---------------------------------  DMA_ERRINT0  -------------------------------- */
#define DMA_ERRINT0_ERR_Pos                   0                                                       /*!< DMA ERRINT0: ERR Position               */
#define DMA_ERRINT0_ERR_Msk                   (0x003fffffUL << DMA_ERRINT0_ERR_Pos)                   /*!< DMA ERRINT0: ERR Mask                   */

/* --------------------------------  DMA_INTENSET0  ------------------------------- */
#define DMA_INTENSET0_INTEN_Pos               0                                                       /*!< DMA INTENSET0: INTEN Position           */
#define DMA_INTENSET0_INTEN_Msk               (0x003fffffUL << DMA_INTENSET0_INTEN_Pos)               /*!< DMA INTENSET0: INTEN Mask               */

/* --------------------------------  DMA_INTENCLR0  ------------------------------- */
#define DMA_INTENCLR0_CLR_Pos                 0                                                       /*!< DMA INTENCLR0: CLR Position             */
#define DMA_INTENCLR0_CLR_Msk                 (0x003fffffUL << DMA_INTENCLR0_CLR_Pos)                 /*!< DMA INTENCLR0: CLR Mask                 */

/* ----------------------------------  DMA_INTA0  --------------------------------- */
#define DMA_INTA0_IA_Pos                      0                                                       /*!< DMA INTA0: IA Position                  */
#define DMA_INTA0_IA_Msk                      (0x003fffffUL << DMA_INTA0_IA_Pos)                      /*!< DMA INTA0: IA Mask                      */

/* ----------------------------------  DMA_INTB0  --------------------------------- */
#define DMA_INTB0_IB_Pos                      0                                                       /*!< DMA INTB0: IB Position                  */
#define DMA_INTB0_IB_Msk                      (0x003fffffUL << DMA_INTB0_IB_Pos)                      /*!< DMA INTB0: IB Mask                      */

/* --------------------------------  DMA_SETVALID0  ------------------------------- */
#define DMA_SETVALID0_SV_Pos                  0                                                       /*!< DMA SETVALID0: SV Position              */
#define DMA_SETVALID0_SV_Msk                  (0x003fffffUL << DMA_SETVALID0_SV_Pos)                  /*!< DMA SETVALID0: SV Mask                  */

/* --------------------------------  DMA_SETTRIG0  -------------------------------- */
#define DMA_SETTRIG0_TRIG_Pos                 0                                                       /*!< DMA SETTRIG0: TRIG Position             */
#define DMA_SETTRIG0_TRIG_Msk                 (0x003fffffUL << DMA_SETTRIG0_TRIG_Pos)                 /*!< DMA SETTRIG0: TRIG Mask                 */

/* ---------------------------------  DMA_ABORT0  --------------------------------- */
#define DMA_ABORT0_ABORTCTRL_Pos              0                                                       /*!< DMA ABORT0: ABORTCTRL Position          */
#define DMA_ABORT0_ABORTCTRL_Msk              (0x003fffffUL << DMA_ABORT0_ABORTCTRL_Pos)              /*!< DMA ABORT0: ABORTCTRL Mask              */

/* ----------------------------------  DMA_CFG0  ---------------------------------- */
#define DMA_CFG0_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG0: PERIPHREQEN Position          */
#define DMA_CFG0_PERIPHREQEN_Msk              (0x01UL << DMA_CFG0_PERIPHREQEN_Pos)                    /*!< DMA CFG0: PERIPHREQEN Mask              */
#define DMA_CFG0_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG0: HWTRIGEN Position             */
#define DMA_CFG0_HWTRIGEN_Msk                 (0x01UL << DMA_CFG0_HWTRIGEN_Pos)                       /*!< DMA CFG0: HWTRIGEN Mask                 */
#define DMA_CFG0_TRIGPOL_Pos                  4                                                       /*!< DMA CFG0: TRIGPOL Position              */
#define DMA_CFG0_TRIGPOL_Msk                  (0x01UL << DMA_CFG0_TRIGPOL_Pos)                        /*!< DMA CFG0: TRIGPOL Mask                  */
#define DMA_CFG0_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG0: TRIGTYPE Position             */
#define DMA_CFG0_TRIGTYPE_Msk                 (0x01UL << DMA_CFG0_TRIGTYPE_Pos)                       /*!< DMA CFG0: TRIGTYPE Mask                 */
#define DMA_CFG0_TRIGBURST_Pos                6                                                       /*!< DMA CFG0: TRIGBURST Position            */
#define DMA_CFG0_TRIGBURST_Msk                (0x01UL << DMA_CFG0_TRIGBURST_Pos)                      /*!< DMA CFG0: TRIGBURST Mask                */
#define DMA_CFG0_BURSTPOWER_Pos               8                                                       /*!< DMA CFG0: BURSTPOWER Position           */
#define DMA_CFG0_BURSTPOWER_Msk               (0x0fUL << DMA_CFG0_BURSTPOWER_Pos)                     /*!< DMA CFG0: BURSTPOWER Mask               */
#define DMA_CFG0_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG0: SRCBURSTWRAP Position         */
#define DMA_CFG0_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG0_SRCBURSTWRAP_Pos)                   /*!< DMA CFG0: SRCBURSTWRAP Mask             */
#define DMA_CFG0_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG0: DSTBURSTWRAP Position         */
#define DMA_CFG0_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG0_DSTBURSTWRAP_Pos)                   /*!< DMA CFG0: DSTBURSTWRAP Mask             */
#define DMA_CFG0_CHPRIORITY_Pos               16                                                      /*!< DMA CFG0: CHPRIORITY Position           */
#define DMA_CFG0_CHPRIORITY_Msk               (0x07UL << DMA_CFG0_CHPRIORITY_Pos)                     /*!< DMA CFG0: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT0  -------------------------------- */
#define DMA_CTLSTAT0_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT0: VALIDPENDING Position     */
#define DMA_CTLSTAT0_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT0_VALIDPENDING_Pos)               /*!< DMA CTLSTAT0: VALIDPENDING Mask         */
#define DMA_CTLSTAT0_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT0: TRIG Position             */
#define DMA_CTLSTAT0_TRIG_Msk                 (0x01UL << DMA_CTLSTAT0_TRIG_Pos)                       /*!< DMA CTLSTAT0: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG0  -------------------------------- */
#define DMA_XFERCFG0_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG0: CFGVALID Position         */
#define DMA_XFERCFG0_CFGVALID_Msk             (0x01UL << DMA_XFERCFG0_CFGVALID_Pos)                   /*!< DMA XFERCFG0: CFGVALID Mask             */
#define DMA_XFERCFG0_RELOAD_Pos               1                                                       /*!< DMA XFERCFG0: RELOAD Position           */
#define DMA_XFERCFG0_RELOAD_Msk               (0x01UL << DMA_XFERCFG0_RELOAD_Pos)                     /*!< DMA XFERCFG0: RELOAD Mask               */
#define DMA_XFERCFG0_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG0: SWTRIG Position           */
#define DMA_XFERCFG0_SWTRIG_Msk               (0x01UL << DMA_XFERCFG0_SWTRIG_Pos)                     /*!< DMA XFERCFG0: SWTRIG Mask               */
#define DMA_XFERCFG0_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG0: CLRTRIG Position          */
#define DMA_XFERCFG0_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG0_CLRTRIG_Pos)                    /*!< DMA XFERCFG0: CLRTRIG Mask              */
#define DMA_XFERCFG0_SETINTA_Pos              4                                                       /*!< DMA XFERCFG0: SETINTA Position          */
#define DMA_XFERCFG0_SETINTA_Msk              (0x01UL << DMA_XFERCFG0_SETINTA_Pos)                    /*!< DMA XFERCFG0: SETINTA Mask              */
#define DMA_XFERCFG0_SETINTB_Pos              5                                                       /*!< DMA XFERCFG0: SETINTB Position          */
#define DMA_XFERCFG0_SETINTB_Msk              (0x01UL << DMA_XFERCFG0_SETINTB_Pos)                    /*!< DMA XFERCFG0: SETINTB Mask              */
#define DMA_XFERCFG0_WIDTH_Pos                8                                                       /*!< DMA XFERCFG0: WIDTH Position            */
#define DMA_XFERCFG0_WIDTH_Msk                (0x03UL << DMA_XFERCFG0_WIDTH_Pos)                      /*!< DMA XFERCFG0: WIDTH Mask                */
#define DMA_XFERCFG0_SRCINC_Pos               12                                                      /*!< DMA XFERCFG0: SRCINC Position           */
#define DMA_XFERCFG0_SRCINC_Msk               (0x03UL << DMA_XFERCFG0_SRCINC_Pos)                     /*!< DMA XFERCFG0: SRCINC Mask               */
#define DMA_XFERCFG0_DSTINC_Pos               14                                                      /*!< DMA XFERCFG0: DSTINC Position           */
#define DMA_XFERCFG0_DSTINC_Msk               (0x03UL << DMA_XFERCFG0_DSTINC_Pos)                     /*!< DMA XFERCFG0: DSTINC Mask               */
#define DMA_XFERCFG0_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG0: XFERCOUNT Position        */
#define DMA_XFERCFG0_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG0_XFERCOUNT_Pos)            /*!< DMA XFERCFG0: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG1  ---------------------------------- */
#define DMA_CFG1_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG1: PERIPHREQEN Position          */
#define DMA_CFG1_PERIPHREQEN_Msk              (0x01UL << DMA_CFG1_PERIPHREQEN_Pos)                    /*!< DMA CFG1: PERIPHREQEN Mask              */
#define DMA_CFG1_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG1: HWTRIGEN Position             */
#define DMA_CFG1_HWTRIGEN_Msk                 (0x01UL << DMA_CFG1_HWTRIGEN_Pos)                       /*!< DMA CFG1: HWTRIGEN Mask                 */
#define DMA_CFG1_TRIGPOL_Pos                  4                                                       /*!< DMA CFG1: TRIGPOL Position              */
#define DMA_CFG1_TRIGPOL_Msk                  (0x01UL << DMA_CFG1_TRIGPOL_Pos)                        /*!< DMA CFG1: TRIGPOL Mask                  */
#define DMA_CFG1_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG1: TRIGTYPE Position             */
#define DMA_CFG1_TRIGTYPE_Msk                 (0x01UL << DMA_CFG1_TRIGTYPE_Pos)                       /*!< DMA CFG1: TRIGTYPE Mask                 */
#define DMA_CFG1_TRIGBURST_Pos                6                                                       /*!< DMA CFG1: TRIGBURST Position            */
#define DMA_CFG1_TRIGBURST_Msk                (0x01UL << DMA_CFG1_TRIGBURST_Pos)                      /*!< DMA CFG1: TRIGBURST Mask                */
#define DMA_CFG1_BURSTPOWER_Pos               8                                                       /*!< DMA CFG1: BURSTPOWER Position           */
#define DMA_CFG1_BURSTPOWER_Msk               (0x0fUL << DMA_CFG1_BURSTPOWER_Pos)                     /*!< DMA CFG1: BURSTPOWER Mask               */
#define DMA_CFG1_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG1: SRCBURSTWRAP Position         */
#define DMA_CFG1_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG1_SRCBURSTWRAP_Pos)                   /*!< DMA CFG1: SRCBURSTWRAP Mask             */
#define DMA_CFG1_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG1: DSTBURSTWRAP Position         */
#define DMA_CFG1_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG1_DSTBURSTWRAP_Pos)                   /*!< DMA CFG1: DSTBURSTWRAP Mask             */
#define DMA_CFG1_CHPRIORITY_Pos               16                                                      /*!< DMA CFG1: CHPRIORITY Position           */
#define DMA_CFG1_CHPRIORITY_Msk               (0x07UL << DMA_CFG1_CHPRIORITY_Pos)                     /*!< DMA CFG1: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT1  -------------------------------- */
#define DMA_CTLSTAT1_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT1: VALIDPENDING Position     */
#define DMA_CTLSTAT1_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT1_VALIDPENDING_Pos)               /*!< DMA CTLSTAT1: VALIDPENDING Mask         */
#define DMA_CTLSTAT1_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT1: TRIG Position             */
#define DMA_CTLSTAT1_TRIG_Msk                 (0x01UL << DMA_CTLSTAT1_TRIG_Pos)                       /*!< DMA CTLSTAT1: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG1  -------------------------------- */
#define DMA_XFERCFG1_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG1: CFGVALID Position         */
#define DMA_XFERCFG1_CFGVALID_Msk             (0x01UL << DMA_XFERCFG1_CFGVALID_Pos)                   /*!< DMA XFERCFG1: CFGVALID Mask             */
#define DMA_XFERCFG1_RELOAD_Pos               1                                                       /*!< DMA XFERCFG1: RELOAD Position           */
#define DMA_XFERCFG1_RELOAD_Msk               (0x01UL << DMA_XFERCFG1_RELOAD_Pos)                     /*!< DMA XFERCFG1: RELOAD Mask               */
#define DMA_XFERCFG1_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG1: SWTRIG Position           */
#define DMA_XFERCFG1_SWTRIG_Msk               (0x01UL << DMA_XFERCFG1_SWTRIG_Pos)                     /*!< DMA XFERCFG1: SWTRIG Mask               */
#define DMA_XFERCFG1_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG1: CLRTRIG Position          */
#define DMA_XFERCFG1_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG1_CLRTRIG_Pos)                    /*!< DMA XFERCFG1: CLRTRIG Mask              */
#define DMA_XFERCFG1_SETINTA_Pos              4                                                       /*!< DMA XFERCFG1: SETINTA Position          */
#define DMA_XFERCFG1_SETINTA_Msk              (0x01UL << DMA_XFERCFG1_SETINTA_Pos)                    /*!< DMA XFERCFG1: SETINTA Mask              */
#define DMA_XFERCFG1_SETINTB_Pos              5                                                       /*!< DMA XFERCFG1: SETINTB Position          */
#define DMA_XFERCFG1_SETINTB_Msk              (0x01UL << DMA_XFERCFG1_SETINTB_Pos)                    /*!< DMA XFERCFG1: SETINTB Mask              */
#define DMA_XFERCFG1_WIDTH_Pos                8                                                       /*!< DMA XFERCFG1: WIDTH Position            */
#define DMA_XFERCFG1_WIDTH_Msk                (0x03UL << DMA_XFERCFG1_WIDTH_Pos)                      /*!< DMA XFERCFG1: WIDTH Mask                */
#define DMA_XFERCFG1_SRCINC_Pos               12                                                      /*!< DMA XFERCFG1: SRCINC Position           */
#define DMA_XFERCFG1_SRCINC_Msk               (0x03UL << DMA_XFERCFG1_SRCINC_Pos)                     /*!< DMA XFERCFG1: SRCINC Mask               */
#define DMA_XFERCFG1_DSTINC_Pos               14                                                      /*!< DMA XFERCFG1: DSTINC Position           */
#define DMA_XFERCFG1_DSTINC_Msk               (0x03UL << DMA_XFERCFG1_DSTINC_Pos)                     /*!< DMA XFERCFG1: DSTINC Mask               */
#define DMA_XFERCFG1_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG1: XFERCOUNT Position        */
#define DMA_XFERCFG1_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG1_XFERCOUNT_Pos)            /*!< DMA XFERCFG1: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG2  ---------------------------------- */
#define DMA_CFG2_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG2: PERIPHREQEN Position          */
#define DMA_CFG2_PERIPHREQEN_Msk              (0x01UL << DMA_CFG2_PERIPHREQEN_Pos)                    /*!< DMA CFG2: PERIPHREQEN Mask              */
#define DMA_CFG2_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG2: HWTRIGEN Position             */
#define DMA_CFG2_HWTRIGEN_Msk                 (0x01UL << DMA_CFG2_HWTRIGEN_Pos)                       /*!< DMA CFG2: HWTRIGEN Mask                 */
#define DMA_CFG2_TRIGPOL_Pos                  4                                                       /*!< DMA CFG2: TRIGPOL Position              */
#define DMA_CFG2_TRIGPOL_Msk                  (0x01UL << DMA_CFG2_TRIGPOL_Pos)                        /*!< DMA CFG2: TRIGPOL Mask                  */
#define DMA_CFG2_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG2: TRIGTYPE Position             */
#define DMA_CFG2_TRIGTYPE_Msk                 (0x01UL << DMA_CFG2_TRIGTYPE_Pos)                       /*!< DMA CFG2: TRIGTYPE Mask                 */
#define DMA_CFG2_TRIGBURST_Pos                6                                                       /*!< DMA CFG2: TRIGBURST Position            */
#define DMA_CFG2_TRIGBURST_Msk                (0x01UL << DMA_CFG2_TRIGBURST_Pos)                      /*!< DMA CFG2: TRIGBURST Mask                */
#define DMA_CFG2_BURSTPOWER_Pos               8                                                       /*!< DMA CFG2: BURSTPOWER Position           */
#define DMA_CFG2_BURSTPOWER_Msk               (0x0fUL << DMA_CFG2_BURSTPOWER_Pos)                     /*!< DMA CFG2: BURSTPOWER Mask               */
#define DMA_CFG2_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG2: SRCBURSTWRAP Position         */
#define DMA_CFG2_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG2_SRCBURSTWRAP_Pos)                   /*!< DMA CFG2: SRCBURSTWRAP Mask             */
#define DMA_CFG2_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG2: DSTBURSTWRAP Position         */
#define DMA_CFG2_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG2_DSTBURSTWRAP_Pos)                   /*!< DMA CFG2: DSTBURSTWRAP Mask             */
#define DMA_CFG2_CHPRIORITY_Pos               16                                                      /*!< DMA CFG2: CHPRIORITY Position           */
#define DMA_CFG2_CHPRIORITY_Msk               (0x07UL << DMA_CFG2_CHPRIORITY_Pos)                     /*!< DMA CFG2: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT2  -------------------------------- */
#define DMA_CTLSTAT2_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT2: VALIDPENDING Position     */
#define DMA_CTLSTAT2_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT2_VALIDPENDING_Pos)               /*!< DMA CTLSTAT2: VALIDPENDING Mask         */
#define DMA_CTLSTAT2_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT2: TRIG Position             */
#define DMA_CTLSTAT2_TRIG_Msk                 (0x01UL << DMA_CTLSTAT2_TRIG_Pos)                       /*!< DMA CTLSTAT2: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG2  -------------------------------- */
#define DMA_XFERCFG2_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG2: CFGVALID Position         */
#define DMA_XFERCFG2_CFGVALID_Msk             (0x01UL << DMA_XFERCFG2_CFGVALID_Pos)                   /*!< DMA XFERCFG2: CFGVALID Mask             */
#define DMA_XFERCFG2_RELOAD_Pos               1                                                       /*!< DMA XFERCFG2: RELOAD Position           */
#define DMA_XFERCFG2_RELOAD_Msk               (0x01UL << DMA_XFERCFG2_RELOAD_Pos)                     /*!< DMA XFERCFG2: RELOAD Mask               */
#define DMA_XFERCFG2_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG2: SWTRIG Position           */
#define DMA_XFERCFG2_SWTRIG_Msk               (0x01UL << DMA_XFERCFG2_SWTRIG_Pos)                     /*!< DMA XFERCFG2: SWTRIG Mask               */
#define DMA_XFERCFG2_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG2: CLRTRIG Position          */
#define DMA_XFERCFG2_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG2_CLRTRIG_Pos)                    /*!< DMA XFERCFG2: CLRTRIG Mask              */
#define DMA_XFERCFG2_SETINTA_Pos              4                                                       /*!< DMA XFERCFG2: SETINTA Position          */
#define DMA_XFERCFG2_SETINTA_Msk              (0x01UL << DMA_XFERCFG2_SETINTA_Pos)                    /*!< DMA XFERCFG2: SETINTA Mask              */
#define DMA_XFERCFG2_SETINTB_Pos              5                                                       /*!< DMA XFERCFG2: SETINTB Position          */
#define DMA_XFERCFG2_SETINTB_Msk              (0x01UL << DMA_XFERCFG2_SETINTB_Pos)                    /*!< DMA XFERCFG2: SETINTB Mask              */
#define DMA_XFERCFG2_WIDTH_Pos                8                                                       /*!< DMA XFERCFG2: WIDTH Position            */
#define DMA_XFERCFG2_WIDTH_Msk                (0x03UL << DMA_XFERCFG2_WIDTH_Pos)                      /*!< DMA XFERCFG2: WIDTH Mask                */
#define DMA_XFERCFG2_SRCINC_Pos               12                                                      /*!< DMA XFERCFG2: SRCINC Position           */
#define DMA_XFERCFG2_SRCINC_Msk               (0x03UL << DMA_XFERCFG2_SRCINC_Pos)                     /*!< DMA XFERCFG2: SRCINC Mask               */
#define DMA_XFERCFG2_DSTINC_Pos               14                                                      /*!< DMA XFERCFG2: DSTINC Position           */
#define DMA_XFERCFG2_DSTINC_Msk               (0x03UL << DMA_XFERCFG2_DSTINC_Pos)                     /*!< DMA XFERCFG2: DSTINC Mask               */
#define DMA_XFERCFG2_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG2: XFERCOUNT Position        */
#define DMA_XFERCFG2_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG2_XFERCOUNT_Pos)            /*!< DMA XFERCFG2: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG3  ---------------------------------- */
#define DMA_CFG3_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG3: PERIPHREQEN Position          */
#define DMA_CFG3_PERIPHREQEN_Msk              (0x01UL << DMA_CFG3_PERIPHREQEN_Pos)                    /*!< DMA CFG3: PERIPHREQEN Mask              */
#define DMA_CFG3_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG3: HWTRIGEN Position             */
#define DMA_CFG3_HWTRIGEN_Msk                 (0x01UL << DMA_CFG3_HWTRIGEN_Pos)                       /*!< DMA CFG3: HWTRIGEN Mask                 */
#define DMA_CFG3_TRIGPOL_Pos                  4                                                       /*!< DMA CFG3: TRIGPOL Position              */
#define DMA_CFG3_TRIGPOL_Msk                  (0x01UL << DMA_CFG3_TRIGPOL_Pos)                        /*!< DMA CFG3: TRIGPOL Mask                  */
#define DMA_CFG3_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG3: TRIGTYPE Position             */
#define DMA_CFG3_TRIGTYPE_Msk                 (0x01UL << DMA_CFG3_TRIGTYPE_Pos)                       /*!< DMA CFG3: TRIGTYPE Mask                 */
#define DMA_CFG3_TRIGBURST_Pos                6                                                       /*!< DMA CFG3: TRIGBURST Position            */
#define DMA_CFG3_TRIGBURST_Msk                (0x01UL << DMA_CFG3_TRIGBURST_Pos)                      /*!< DMA CFG3: TRIGBURST Mask                */
#define DMA_CFG3_BURSTPOWER_Pos               8                                                       /*!< DMA CFG3: BURSTPOWER Position           */
#define DMA_CFG3_BURSTPOWER_Msk               (0x0fUL << DMA_CFG3_BURSTPOWER_Pos)                     /*!< DMA CFG3: BURSTPOWER Mask               */
#define DMA_CFG3_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG3: SRCBURSTWRAP Position         */
#define DMA_CFG3_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG3_SRCBURSTWRAP_Pos)                   /*!< DMA CFG3: SRCBURSTWRAP Mask             */
#define DMA_CFG3_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG3: DSTBURSTWRAP Position         */
#define DMA_CFG3_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG3_DSTBURSTWRAP_Pos)                   /*!< DMA CFG3: DSTBURSTWRAP Mask             */
#define DMA_CFG3_CHPRIORITY_Pos               16                                                      /*!< DMA CFG3: CHPRIORITY Position           */
#define DMA_CFG3_CHPRIORITY_Msk               (0x07UL << DMA_CFG3_CHPRIORITY_Pos)                     /*!< DMA CFG3: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT3  -------------------------------- */
#define DMA_CTLSTAT3_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT3: VALIDPENDING Position     */
#define DMA_CTLSTAT3_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT3_VALIDPENDING_Pos)               /*!< DMA CTLSTAT3: VALIDPENDING Mask         */
#define DMA_CTLSTAT3_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT3: TRIG Position             */
#define DMA_CTLSTAT3_TRIG_Msk                 (0x01UL << DMA_CTLSTAT3_TRIG_Pos)                       /*!< DMA CTLSTAT3: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG3  -------------------------------- */
#define DMA_XFERCFG3_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG3: CFGVALID Position         */
#define DMA_XFERCFG3_CFGVALID_Msk             (0x01UL << DMA_XFERCFG3_CFGVALID_Pos)                   /*!< DMA XFERCFG3: CFGVALID Mask             */
#define DMA_XFERCFG3_RELOAD_Pos               1                                                       /*!< DMA XFERCFG3: RELOAD Position           */
#define DMA_XFERCFG3_RELOAD_Msk               (0x01UL << DMA_XFERCFG3_RELOAD_Pos)                     /*!< DMA XFERCFG3: RELOAD Mask               */
#define DMA_XFERCFG3_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG3: SWTRIG Position           */
#define DMA_XFERCFG3_SWTRIG_Msk               (0x01UL << DMA_XFERCFG3_SWTRIG_Pos)                     /*!< DMA XFERCFG3: SWTRIG Mask               */
#define DMA_XFERCFG3_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG3: CLRTRIG Position          */
#define DMA_XFERCFG3_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG3_CLRTRIG_Pos)                    /*!< DMA XFERCFG3: CLRTRIG Mask              */
#define DMA_XFERCFG3_SETINTA_Pos              4                                                       /*!< DMA XFERCFG3: SETINTA Position          */
#define DMA_XFERCFG3_SETINTA_Msk              (0x01UL << DMA_XFERCFG3_SETINTA_Pos)                    /*!< DMA XFERCFG3: SETINTA Mask              */
#define DMA_XFERCFG3_SETINTB_Pos              5                                                       /*!< DMA XFERCFG3: SETINTB Position          */
#define DMA_XFERCFG3_SETINTB_Msk              (0x01UL << DMA_XFERCFG3_SETINTB_Pos)                    /*!< DMA XFERCFG3: SETINTB Mask              */
#define DMA_XFERCFG3_WIDTH_Pos                8                                                       /*!< DMA XFERCFG3: WIDTH Position            */
#define DMA_XFERCFG3_WIDTH_Msk                (0x03UL << DMA_XFERCFG3_WIDTH_Pos)                      /*!< DMA XFERCFG3: WIDTH Mask                */
#define DMA_XFERCFG3_SRCINC_Pos               12                                                      /*!< DMA XFERCFG3: SRCINC Position           */
#define DMA_XFERCFG3_SRCINC_Msk               (0x03UL << DMA_XFERCFG3_SRCINC_Pos)                     /*!< DMA XFERCFG3: SRCINC Mask               */
#define DMA_XFERCFG3_DSTINC_Pos               14                                                      /*!< DMA XFERCFG3: DSTINC Position           */
#define DMA_XFERCFG3_DSTINC_Msk               (0x03UL << DMA_XFERCFG3_DSTINC_Pos)                     /*!< DMA XFERCFG3: DSTINC Mask               */
#define DMA_XFERCFG3_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG3: XFERCOUNT Position        */
#define DMA_XFERCFG3_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG3_XFERCOUNT_Pos)            /*!< DMA XFERCFG3: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG4  ---------------------------------- */
#define DMA_CFG4_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG4: PERIPHREQEN Position          */
#define DMA_CFG4_PERIPHREQEN_Msk              (0x01UL << DMA_CFG4_PERIPHREQEN_Pos)                    /*!< DMA CFG4: PERIPHREQEN Mask              */
#define DMA_CFG4_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG4: HWTRIGEN Position             */
#define DMA_CFG4_HWTRIGEN_Msk                 (0x01UL << DMA_CFG4_HWTRIGEN_Pos)                       /*!< DMA CFG4: HWTRIGEN Mask                 */
#define DMA_CFG4_TRIGPOL_Pos                  4                                                       /*!< DMA CFG4: TRIGPOL Position              */
#define DMA_CFG4_TRIGPOL_Msk                  (0x01UL << DMA_CFG4_TRIGPOL_Pos)                        /*!< DMA CFG4: TRIGPOL Mask                  */
#define DMA_CFG4_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG4: TRIGTYPE Position             */
#define DMA_CFG4_TRIGTYPE_Msk                 (0x01UL << DMA_CFG4_TRIGTYPE_Pos)                       /*!< DMA CFG4: TRIGTYPE Mask                 */
#define DMA_CFG4_TRIGBURST_Pos                6                                                       /*!< DMA CFG4: TRIGBURST Position            */
#define DMA_CFG4_TRIGBURST_Msk                (0x01UL << DMA_CFG4_TRIGBURST_Pos)                      /*!< DMA CFG4: TRIGBURST Mask                */
#define DMA_CFG4_BURSTPOWER_Pos               8                                                       /*!< DMA CFG4: BURSTPOWER Position           */
#define DMA_CFG4_BURSTPOWER_Msk               (0x0fUL << DMA_CFG4_BURSTPOWER_Pos)                     /*!< DMA CFG4: BURSTPOWER Mask               */
#define DMA_CFG4_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG4: SRCBURSTWRAP Position         */
#define DMA_CFG4_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG4_SRCBURSTWRAP_Pos)                   /*!< DMA CFG4: SRCBURSTWRAP Mask             */
#define DMA_CFG4_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG4: DSTBURSTWRAP Position         */
#define DMA_CFG4_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG4_DSTBURSTWRAP_Pos)                   /*!< DMA CFG4: DSTBURSTWRAP Mask             */
#define DMA_CFG4_CHPRIORITY_Pos               16                                                      /*!< DMA CFG4: CHPRIORITY Position           */
#define DMA_CFG4_CHPRIORITY_Msk               (0x07UL << DMA_CFG4_CHPRIORITY_Pos)                     /*!< DMA CFG4: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT4  -------------------------------- */
#define DMA_CTLSTAT4_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT4: VALIDPENDING Position     */
#define DMA_CTLSTAT4_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT4_VALIDPENDING_Pos)               /*!< DMA CTLSTAT4: VALIDPENDING Mask         */
#define DMA_CTLSTAT4_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT4: TRIG Position             */
#define DMA_CTLSTAT4_TRIG_Msk                 (0x01UL << DMA_CTLSTAT4_TRIG_Pos)                       /*!< DMA CTLSTAT4: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG4  -------------------------------- */
#define DMA_XFERCFG4_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG4: CFGVALID Position         */
#define DMA_XFERCFG4_CFGVALID_Msk             (0x01UL << DMA_XFERCFG4_CFGVALID_Pos)                   /*!< DMA XFERCFG4: CFGVALID Mask             */
#define DMA_XFERCFG4_RELOAD_Pos               1                                                       /*!< DMA XFERCFG4: RELOAD Position           */
#define DMA_XFERCFG4_RELOAD_Msk               (0x01UL << DMA_XFERCFG4_RELOAD_Pos)                     /*!< DMA XFERCFG4: RELOAD Mask               */
#define DMA_XFERCFG4_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG4: SWTRIG Position           */
#define DMA_XFERCFG4_SWTRIG_Msk               (0x01UL << DMA_XFERCFG4_SWTRIG_Pos)                     /*!< DMA XFERCFG4: SWTRIG Mask               */
#define DMA_XFERCFG4_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG4: CLRTRIG Position          */
#define DMA_XFERCFG4_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG4_CLRTRIG_Pos)                    /*!< DMA XFERCFG4: CLRTRIG Mask              */
#define DMA_XFERCFG4_SETINTA_Pos              4                                                       /*!< DMA XFERCFG4: SETINTA Position          */
#define DMA_XFERCFG4_SETINTA_Msk              (0x01UL << DMA_XFERCFG4_SETINTA_Pos)                    /*!< DMA XFERCFG4: SETINTA Mask              */
#define DMA_XFERCFG4_SETINTB_Pos              5                                                       /*!< DMA XFERCFG4: SETINTB Position          */
#define DMA_XFERCFG4_SETINTB_Msk              (0x01UL << DMA_XFERCFG4_SETINTB_Pos)                    /*!< DMA XFERCFG4: SETINTB Mask              */
#define DMA_XFERCFG4_WIDTH_Pos                8                                                       /*!< DMA XFERCFG4: WIDTH Position            */
#define DMA_XFERCFG4_WIDTH_Msk                (0x03UL << DMA_XFERCFG4_WIDTH_Pos)                      /*!< DMA XFERCFG4: WIDTH Mask                */
#define DMA_XFERCFG4_SRCINC_Pos               12                                                      /*!< DMA XFERCFG4: SRCINC Position           */
#define DMA_XFERCFG4_SRCINC_Msk               (0x03UL << DMA_XFERCFG4_SRCINC_Pos)                     /*!< DMA XFERCFG4: SRCINC Mask               */
#define DMA_XFERCFG4_DSTINC_Pos               14                                                      /*!< DMA XFERCFG4: DSTINC Position           */
#define DMA_XFERCFG4_DSTINC_Msk               (0x03UL << DMA_XFERCFG4_DSTINC_Pos)                     /*!< DMA XFERCFG4: DSTINC Mask               */
#define DMA_XFERCFG4_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG4: XFERCOUNT Position        */
#define DMA_XFERCFG4_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG4_XFERCOUNT_Pos)            /*!< DMA XFERCFG4: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG5  ---------------------------------- */
#define DMA_CFG5_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG5: PERIPHREQEN Position          */
#define DMA_CFG5_PERIPHREQEN_Msk              (0x01UL << DMA_CFG5_PERIPHREQEN_Pos)                    /*!< DMA CFG5: PERIPHREQEN Mask              */
#define DMA_CFG5_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG5: HWTRIGEN Position             */
#define DMA_CFG5_HWTRIGEN_Msk                 (0x01UL << DMA_CFG5_HWTRIGEN_Pos)                       /*!< DMA CFG5: HWTRIGEN Mask                 */
#define DMA_CFG5_TRIGPOL_Pos                  4                                                       /*!< DMA CFG5: TRIGPOL Position              */
#define DMA_CFG5_TRIGPOL_Msk                  (0x01UL << DMA_CFG5_TRIGPOL_Pos)                        /*!< DMA CFG5: TRIGPOL Mask                  */
#define DMA_CFG5_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG5: TRIGTYPE Position             */
#define DMA_CFG5_TRIGTYPE_Msk                 (0x01UL << DMA_CFG5_TRIGTYPE_Pos)                       /*!< DMA CFG5: TRIGTYPE Mask                 */
#define DMA_CFG5_TRIGBURST_Pos                6                                                       /*!< DMA CFG5: TRIGBURST Position            */
#define DMA_CFG5_TRIGBURST_Msk                (0x01UL << DMA_CFG5_TRIGBURST_Pos)                      /*!< DMA CFG5: TRIGBURST Mask                */
#define DMA_CFG5_BURSTPOWER_Pos               8                                                       /*!< DMA CFG5: BURSTPOWER Position           */
#define DMA_CFG5_BURSTPOWER_Msk               (0x0fUL << DMA_CFG5_BURSTPOWER_Pos)                     /*!< DMA CFG5: BURSTPOWER Mask               */
#define DMA_CFG5_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG5: SRCBURSTWRAP Position         */
#define DMA_CFG5_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG5_SRCBURSTWRAP_Pos)                   /*!< DMA CFG5: SRCBURSTWRAP Mask             */
#define DMA_CFG5_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG5: DSTBURSTWRAP Position         */
#define DMA_CFG5_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG5_DSTBURSTWRAP_Pos)                   /*!< DMA CFG5: DSTBURSTWRAP Mask             */
#define DMA_CFG5_CHPRIORITY_Pos               16                                                      /*!< DMA CFG5: CHPRIORITY Position           */
#define DMA_CFG5_CHPRIORITY_Msk               (0x07UL << DMA_CFG5_CHPRIORITY_Pos)                     /*!< DMA CFG5: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT5  -------------------------------- */
#define DMA_CTLSTAT5_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT5: VALIDPENDING Position     */
#define DMA_CTLSTAT5_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT5_VALIDPENDING_Pos)               /*!< DMA CTLSTAT5: VALIDPENDING Mask         */
#define DMA_CTLSTAT5_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT5: TRIG Position             */
#define DMA_CTLSTAT5_TRIG_Msk                 (0x01UL << DMA_CTLSTAT5_TRIG_Pos)                       /*!< DMA CTLSTAT5: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG5  -------------------------------- */
#define DMA_XFERCFG5_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG5: CFGVALID Position         */
#define DMA_XFERCFG5_CFGVALID_Msk             (0x01UL << DMA_XFERCFG5_CFGVALID_Pos)                   /*!< DMA XFERCFG5: CFGVALID Mask             */
#define DMA_XFERCFG5_RELOAD_Pos               1                                                       /*!< DMA XFERCFG5: RELOAD Position           */
#define DMA_XFERCFG5_RELOAD_Msk               (0x01UL << DMA_XFERCFG5_RELOAD_Pos)                     /*!< DMA XFERCFG5: RELOAD Mask               */
#define DMA_XFERCFG5_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG5: SWTRIG Position           */
#define DMA_XFERCFG5_SWTRIG_Msk               (0x01UL << DMA_XFERCFG5_SWTRIG_Pos)                     /*!< DMA XFERCFG5: SWTRIG Mask               */
#define DMA_XFERCFG5_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG5: CLRTRIG Position          */
#define DMA_XFERCFG5_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG5_CLRTRIG_Pos)                    /*!< DMA XFERCFG5: CLRTRIG Mask              */
#define DMA_XFERCFG5_SETINTA_Pos              4                                                       /*!< DMA XFERCFG5: SETINTA Position          */
#define DMA_XFERCFG5_SETINTA_Msk              (0x01UL << DMA_XFERCFG5_SETINTA_Pos)                    /*!< DMA XFERCFG5: SETINTA Mask              */
#define DMA_XFERCFG5_SETINTB_Pos              5                                                       /*!< DMA XFERCFG5: SETINTB Position          */
#define DMA_XFERCFG5_SETINTB_Msk              (0x01UL << DMA_XFERCFG5_SETINTB_Pos)                    /*!< DMA XFERCFG5: SETINTB Mask              */
#define DMA_XFERCFG5_WIDTH_Pos                8                                                       /*!< DMA XFERCFG5: WIDTH Position            */
#define DMA_XFERCFG5_WIDTH_Msk                (0x03UL << DMA_XFERCFG5_WIDTH_Pos)                      /*!< DMA XFERCFG5: WIDTH Mask                */
#define DMA_XFERCFG5_SRCINC_Pos               12                                                      /*!< DMA XFERCFG5: SRCINC Position           */
#define DMA_XFERCFG5_SRCINC_Msk               (0x03UL << DMA_XFERCFG5_SRCINC_Pos)                     /*!< DMA XFERCFG5: SRCINC Mask               */
#define DMA_XFERCFG5_DSTINC_Pos               14                                                      /*!< DMA XFERCFG5: DSTINC Position           */
#define DMA_XFERCFG5_DSTINC_Msk               (0x03UL << DMA_XFERCFG5_DSTINC_Pos)                     /*!< DMA XFERCFG5: DSTINC Mask               */
#define DMA_XFERCFG5_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG5: XFERCOUNT Position        */
#define DMA_XFERCFG5_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG5_XFERCOUNT_Pos)            /*!< DMA XFERCFG5: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG6  ---------------------------------- */
#define DMA_CFG6_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG6: PERIPHREQEN Position          */
#define DMA_CFG6_PERIPHREQEN_Msk              (0x01UL << DMA_CFG6_PERIPHREQEN_Pos)                    /*!< DMA CFG6: PERIPHREQEN Mask              */
#define DMA_CFG6_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG6: HWTRIGEN Position             */
#define DMA_CFG6_HWTRIGEN_Msk                 (0x01UL << DMA_CFG6_HWTRIGEN_Pos)                       /*!< DMA CFG6: HWTRIGEN Mask                 */
#define DMA_CFG6_TRIGPOL_Pos                  4                                                       /*!< DMA CFG6: TRIGPOL Position              */
#define DMA_CFG6_TRIGPOL_Msk                  (0x01UL << DMA_CFG6_TRIGPOL_Pos)                        /*!< DMA CFG6: TRIGPOL Mask                  */
#define DMA_CFG6_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG6: TRIGTYPE Position             */
#define DMA_CFG6_TRIGTYPE_Msk                 (0x01UL << DMA_CFG6_TRIGTYPE_Pos)                       /*!< DMA CFG6: TRIGTYPE Mask                 */
#define DMA_CFG6_TRIGBURST_Pos                6                                                       /*!< DMA CFG6: TRIGBURST Position            */
#define DMA_CFG6_TRIGBURST_Msk                (0x01UL << DMA_CFG6_TRIGBURST_Pos)                      /*!< DMA CFG6: TRIGBURST Mask                */
#define DMA_CFG6_BURSTPOWER_Pos               8                                                       /*!< DMA CFG6: BURSTPOWER Position           */
#define DMA_CFG6_BURSTPOWER_Msk               (0x0fUL << DMA_CFG6_BURSTPOWER_Pos)                     /*!< DMA CFG6: BURSTPOWER Mask               */
#define DMA_CFG6_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG6: SRCBURSTWRAP Position         */
#define DMA_CFG6_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG6_SRCBURSTWRAP_Pos)                   /*!< DMA CFG6: SRCBURSTWRAP Mask             */
#define DMA_CFG6_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG6: DSTBURSTWRAP Position         */
#define DMA_CFG6_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG6_DSTBURSTWRAP_Pos)                   /*!< DMA CFG6: DSTBURSTWRAP Mask             */
#define DMA_CFG6_CHPRIORITY_Pos               16                                                      /*!< DMA CFG6: CHPRIORITY Position           */
#define DMA_CFG6_CHPRIORITY_Msk               (0x07UL << DMA_CFG6_CHPRIORITY_Pos)                     /*!< DMA CFG6: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT6  -------------------------------- */
#define DMA_CTLSTAT6_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT6: VALIDPENDING Position     */
#define DMA_CTLSTAT6_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT6_VALIDPENDING_Pos)               /*!< DMA CTLSTAT6: VALIDPENDING Mask         */
#define DMA_CTLSTAT6_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT6: TRIG Position             */
#define DMA_CTLSTAT6_TRIG_Msk                 (0x01UL << DMA_CTLSTAT6_TRIG_Pos)                       /*!< DMA CTLSTAT6: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG6  -------------------------------- */
#define DMA_XFERCFG6_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG6: CFGVALID Position         */
#define DMA_XFERCFG6_CFGVALID_Msk             (0x01UL << DMA_XFERCFG6_CFGVALID_Pos)                   /*!< DMA XFERCFG6: CFGVALID Mask             */
#define DMA_XFERCFG6_RELOAD_Pos               1                                                       /*!< DMA XFERCFG6: RELOAD Position           */
#define DMA_XFERCFG6_RELOAD_Msk               (0x01UL << DMA_XFERCFG6_RELOAD_Pos)                     /*!< DMA XFERCFG6: RELOAD Mask               */
#define DMA_XFERCFG6_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG6: SWTRIG Position           */
#define DMA_XFERCFG6_SWTRIG_Msk               (0x01UL << DMA_XFERCFG6_SWTRIG_Pos)                     /*!< DMA XFERCFG6: SWTRIG Mask               */
#define DMA_XFERCFG6_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG6: CLRTRIG Position          */
#define DMA_XFERCFG6_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG6_CLRTRIG_Pos)                    /*!< DMA XFERCFG6: CLRTRIG Mask              */
#define DMA_XFERCFG6_SETINTA_Pos              4                                                       /*!< DMA XFERCFG6: SETINTA Position          */
#define DMA_XFERCFG6_SETINTA_Msk              (0x01UL << DMA_XFERCFG6_SETINTA_Pos)                    /*!< DMA XFERCFG6: SETINTA Mask              */
#define DMA_XFERCFG6_SETINTB_Pos              5                                                       /*!< DMA XFERCFG6: SETINTB Position          */
#define DMA_XFERCFG6_SETINTB_Msk              (0x01UL << DMA_XFERCFG6_SETINTB_Pos)                    /*!< DMA XFERCFG6: SETINTB Mask              */
#define DMA_XFERCFG6_WIDTH_Pos                8                                                       /*!< DMA XFERCFG6: WIDTH Position            */
#define DMA_XFERCFG6_WIDTH_Msk                (0x03UL << DMA_XFERCFG6_WIDTH_Pos)                      /*!< DMA XFERCFG6: WIDTH Mask                */
#define DMA_XFERCFG6_SRCINC_Pos               12                                                      /*!< DMA XFERCFG6: SRCINC Position           */
#define DMA_XFERCFG6_SRCINC_Msk               (0x03UL << DMA_XFERCFG6_SRCINC_Pos)                     /*!< DMA XFERCFG6: SRCINC Mask               */
#define DMA_XFERCFG6_DSTINC_Pos               14                                                      /*!< DMA XFERCFG6: DSTINC Position           */
#define DMA_XFERCFG6_DSTINC_Msk               (0x03UL << DMA_XFERCFG6_DSTINC_Pos)                     /*!< DMA XFERCFG6: DSTINC Mask               */
#define DMA_XFERCFG6_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG6: XFERCOUNT Position        */
#define DMA_XFERCFG6_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG6_XFERCOUNT_Pos)            /*!< DMA XFERCFG6: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG7  ---------------------------------- */
#define DMA_CFG7_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG7: PERIPHREQEN Position          */
#define DMA_CFG7_PERIPHREQEN_Msk              (0x01UL << DMA_CFG7_PERIPHREQEN_Pos)                    /*!< DMA CFG7: PERIPHREQEN Mask              */
#define DMA_CFG7_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG7: HWTRIGEN Position             */
#define DMA_CFG7_HWTRIGEN_Msk                 (0x01UL << DMA_CFG7_HWTRIGEN_Pos)                       /*!< DMA CFG7: HWTRIGEN Mask                 */
#define DMA_CFG7_TRIGPOL_Pos                  4                                                       /*!< DMA CFG7: TRIGPOL Position              */
#define DMA_CFG7_TRIGPOL_Msk                  (0x01UL << DMA_CFG7_TRIGPOL_Pos)                        /*!< DMA CFG7: TRIGPOL Mask                  */
#define DMA_CFG7_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG7: TRIGTYPE Position             */
#define DMA_CFG7_TRIGTYPE_Msk                 (0x01UL << DMA_CFG7_TRIGTYPE_Pos)                       /*!< DMA CFG7: TRIGTYPE Mask                 */
#define DMA_CFG7_TRIGBURST_Pos                6                                                       /*!< DMA CFG7: TRIGBURST Position            */
#define DMA_CFG7_TRIGBURST_Msk                (0x01UL << DMA_CFG7_TRIGBURST_Pos)                      /*!< DMA CFG7: TRIGBURST Mask                */
#define DMA_CFG7_BURSTPOWER_Pos               8                                                       /*!< DMA CFG7: BURSTPOWER Position           */
#define DMA_CFG7_BURSTPOWER_Msk               (0x0fUL << DMA_CFG7_BURSTPOWER_Pos)                     /*!< DMA CFG7: BURSTPOWER Mask               */
#define DMA_CFG7_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG7: SRCBURSTWRAP Position         */
#define DMA_CFG7_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG7_SRCBURSTWRAP_Pos)                   /*!< DMA CFG7: SRCBURSTWRAP Mask             */
#define DMA_CFG7_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG7: DSTBURSTWRAP Position         */
#define DMA_CFG7_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG7_DSTBURSTWRAP_Pos)                   /*!< DMA CFG7: DSTBURSTWRAP Mask             */
#define DMA_CFG7_CHPRIORITY_Pos               16                                                      /*!< DMA CFG7: CHPRIORITY Position           */
#define DMA_CFG7_CHPRIORITY_Msk               (0x07UL << DMA_CFG7_CHPRIORITY_Pos)                     /*!< DMA CFG7: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT7  -------------------------------- */
#define DMA_CTLSTAT7_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT7: VALIDPENDING Position     */
#define DMA_CTLSTAT7_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT7_VALIDPENDING_Pos)               /*!< DMA CTLSTAT7: VALIDPENDING Mask         */
#define DMA_CTLSTAT7_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT7: TRIG Position             */
#define DMA_CTLSTAT7_TRIG_Msk                 (0x01UL << DMA_CTLSTAT7_TRIG_Pos)                       /*!< DMA CTLSTAT7: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG7  -------------------------------- */
#define DMA_XFERCFG7_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG7: CFGVALID Position         */
#define DMA_XFERCFG7_CFGVALID_Msk             (0x01UL << DMA_XFERCFG7_CFGVALID_Pos)                   /*!< DMA XFERCFG7: CFGVALID Mask             */
#define DMA_XFERCFG7_RELOAD_Pos               1                                                       /*!< DMA XFERCFG7: RELOAD Position           */
#define DMA_XFERCFG7_RELOAD_Msk               (0x01UL << DMA_XFERCFG7_RELOAD_Pos)                     /*!< DMA XFERCFG7: RELOAD Mask               */
#define DMA_XFERCFG7_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG7: SWTRIG Position           */
#define DMA_XFERCFG7_SWTRIG_Msk               (0x01UL << DMA_XFERCFG7_SWTRIG_Pos)                     /*!< DMA XFERCFG7: SWTRIG Mask               */
#define DMA_XFERCFG7_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG7: CLRTRIG Position          */
#define DMA_XFERCFG7_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG7_CLRTRIG_Pos)                    /*!< DMA XFERCFG7: CLRTRIG Mask              */
#define DMA_XFERCFG7_SETINTA_Pos              4                                                       /*!< DMA XFERCFG7: SETINTA Position          */
#define DMA_XFERCFG7_SETINTA_Msk              (0x01UL << DMA_XFERCFG7_SETINTA_Pos)                    /*!< DMA XFERCFG7: SETINTA Mask              */
#define DMA_XFERCFG7_SETINTB_Pos              5                                                       /*!< DMA XFERCFG7: SETINTB Position          */
#define DMA_XFERCFG7_SETINTB_Msk              (0x01UL << DMA_XFERCFG7_SETINTB_Pos)                    /*!< DMA XFERCFG7: SETINTB Mask              */
#define DMA_XFERCFG7_WIDTH_Pos                8                                                       /*!< DMA XFERCFG7: WIDTH Position            */
#define DMA_XFERCFG7_WIDTH_Msk                (0x03UL << DMA_XFERCFG7_WIDTH_Pos)                      /*!< DMA XFERCFG7: WIDTH Mask                */
#define DMA_XFERCFG7_SRCINC_Pos               12                                                      /*!< DMA XFERCFG7: SRCINC Position           */
#define DMA_XFERCFG7_SRCINC_Msk               (0x03UL << DMA_XFERCFG7_SRCINC_Pos)                     /*!< DMA XFERCFG7: SRCINC Mask               */
#define DMA_XFERCFG7_DSTINC_Pos               14                                                      /*!< DMA XFERCFG7: DSTINC Position           */
#define DMA_XFERCFG7_DSTINC_Msk               (0x03UL << DMA_XFERCFG7_DSTINC_Pos)                     /*!< DMA XFERCFG7: DSTINC Mask               */
#define DMA_XFERCFG7_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG7: XFERCOUNT Position        */
#define DMA_XFERCFG7_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG7_XFERCOUNT_Pos)            /*!< DMA XFERCFG7: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG8  ---------------------------------- */
#define DMA_CFG8_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG8: PERIPHREQEN Position          */
#define DMA_CFG8_PERIPHREQEN_Msk              (0x01UL << DMA_CFG8_PERIPHREQEN_Pos)                    /*!< DMA CFG8: PERIPHREQEN Mask              */
#define DMA_CFG8_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG8: HWTRIGEN Position             */
#define DMA_CFG8_HWTRIGEN_Msk                 (0x01UL << DMA_CFG8_HWTRIGEN_Pos)                       /*!< DMA CFG8: HWTRIGEN Mask                 */
#define DMA_CFG8_TRIGPOL_Pos                  4                                                       /*!< DMA CFG8: TRIGPOL Position              */
#define DMA_CFG8_TRIGPOL_Msk                  (0x01UL << DMA_CFG8_TRIGPOL_Pos)                        /*!< DMA CFG8: TRIGPOL Mask                  */
#define DMA_CFG8_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG8: TRIGTYPE Position             */
#define DMA_CFG8_TRIGTYPE_Msk                 (0x01UL << DMA_CFG8_TRIGTYPE_Pos)                       /*!< DMA CFG8: TRIGTYPE Mask                 */
#define DMA_CFG8_TRIGBURST_Pos                6                                                       /*!< DMA CFG8: TRIGBURST Position            */
#define DMA_CFG8_TRIGBURST_Msk                (0x01UL << DMA_CFG8_TRIGBURST_Pos)                      /*!< DMA CFG8: TRIGBURST Mask                */
#define DMA_CFG8_BURSTPOWER_Pos               8                                                       /*!< DMA CFG8: BURSTPOWER Position           */
#define DMA_CFG8_BURSTPOWER_Msk               (0x0fUL << DMA_CFG8_BURSTPOWER_Pos)                     /*!< DMA CFG8: BURSTPOWER Mask               */
#define DMA_CFG8_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG8: SRCBURSTWRAP Position         */
#define DMA_CFG8_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG8_SRCBURSTWRAP_Pos)                   /*!< DMA CFG8: SRCBURSTWRAP Mask             */
#define DMA_CFG8_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG8: DSTBURSTWRAP Position         */
#define DMA_CFG8_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG8_DSTBURSTWRAP_Pos)                   /*!< DMA CFG8: DSTBURSTWRAP Mask             */
#define DMA_CFG8_CHPRIORITY_Pos               16                                                      /*!< DMA CFG8: CHPRIORITY Position           */
#define DMA_CFG8_CHPRIORITY_Msk               (0x07UL << DMA_CFG8_CHPRIORITY_Pos)                     /*!< DMA CFG8: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT8  -------------------------------- */
#define DMA_CTLSTAT8_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT8: VALIDPENDING Position     */
#define DMA_CTLSTAT8_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT8_VALIDPENDING_Pos)               /*!< DMA CTLSTAT8: VALIDPENDING Mask         */
#define DMA_CTLSTAT8_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT8: TRIG Position             */
#define DMA_CTLSTAT8_TRIG_Msk                 (0x01UL << DMA_CTLSTAT8_TRIG_Pos)                       /*!< DMA CTLSTAT8: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG8  -------------------------------- */
#define DMA_XFERCFG8_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG8: CFGVALID Position         */
#define DMA_XFERCFG8_CFGVALID_Msk             (0x01UL << DMA_XFERCFG8_CFGVALID_Pos)                   /*!< DMA XFERCFG8: CFGVALID Mask             */
#define DMA_XFERCFG8_RELOAD_Pos               1                                                       /*!< DMA XFERCFG8: RELOAD Position           */
#define DMA_XFERCFG8_RELOAD_Msk               (0x01UL << DMA_XFERCFG8_RELOAD_Pos)                     /*!< DMA XFERCFG8: RELOAD Mask               */
#define DMA_XFERCFG8_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG8: SWTRIG Position           */
#define DMA_XFERCFG8_SWTRIG_Msk               (0x01UL << DMA_XFERCFG8_SWTRIG_Pos)                     /*!< DMA XFERCFG8: SWTRIG Mask               */
#define DMA_XFERCFG8_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG8: CLRTRIG Position          */
#define DMA_XFERCFG8_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG8_CLRTRIG_Pos)                    /*!< DMA XFERCFG8: CLRTRIG Mask              */
#define DMA_XFERCFG8_SETINTA_Pos              4                                                       /*!< DMA XFERCFG8: SETINTA Position          */
#define DMA_XFERCFG8_SETINTA_Msk              (0x01UL << DMA_XFERCFG8_SETINTA_Pos)                    /*!< DMA XFERCFG8: SETINTA Mask              */
#define DMA_XFERCFG8_SETINTB_Pos              5                                                       /*!< DMA XFERCFG8: SETINTB Position          */
#define DMA_XFERCFG8_SETINTB_Msk              (0x01UL << DMA_XFERCFG8_SETINTB_Pos)                    /*!< DMA XFERCFG8: SETINTB Mask              */
#define DMA_XFERCFG8_WIDTH_Pos                8                                                       /*!< DMA XFERCFG8: WIDTH Position            */
#define DMA_XFERCFG8_WIDTH_Msk                (0x03UL << DMA_XFERCFG8_WIDTH_Pos)                      /*!< DMA XFERCFG8: WIDTH Mask                */
#define DMA_XFERCFG8_SRCINC_Pos               12                                                      /*!< DMA XFERCFG8: SRCINC Position           */
#define DMA_XFERCFG8_SRCINC_Msk               (0x03UL << DMA_XFERCFG8_SRCINC_Pos)                     /*!< DMA XFERCFG8: SRCINC Mask               */
#define DMA_XFERCFG8_DSTINC_Pos               14                                                      /*!< DMA XFERCFG8: DSTINC Position           */
#define DMA_XFERCFG8_DSTINC_Msk               (0x03UL << DMA_XFERCFG8_DSTINC_Pos)                     /*!< DMA XFERCFG8: DSTINC Mask               */
#define DMA_XFERCFG8_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG8: XFERCOUNT Position        */
#define DMA_XFERCFG8_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG8_XFERCOUNT_Pos)            /*!< DMA XFERCFG8: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG9  ---------------------------------- */
#define DMA_CFG9_PERIPHREQEN_Pos              0                                                       /*!< DMA CFG9: PERIPHREQEN Position          */
#define DMA_CFG9_PERIPHREQEN_Msk              (0x01UL << DMA_CFG9_PERIPHREQEN_Pos)                    /*!< DMA CFG9: PERIPHREQEN Mask              */
#define DMA_CFG9_HWTRIGEN_Pos                 1                                                       /*!< DMA CFG9: HWTRIGEN Position             */
#define DMA_CFG9_HWTRIGEN_Msk                 (0x01UL << DMA_CFG9_HWTRIGEN_Pos)                       /*!< DMA CFG9: HWTRIGEN Mask                 */
#define DMA_CFG9_TRIGPOL_Pos                  4                                                       /*!< DMA CFG9: TRIGPOL Position              */
#define DMA_CFG9_TRIGPOL_Msk                  (0x01UL << DMA_CFG9_TRIGPOL_Pos)                        /*!< DMA CFG9: TRIGPOL Mask                  */
#define DMA_CFG9_TRIGTYPE_Pos                 5                                                       /*!< DMA CFG9: TRIGTYPE Position             */
#define DMA_CFG9_TRIGTYPE_Msk                 (0x01UL << DMA_CFG9_TRIGTYPE_Pos)                       /*!< DMA CFG9: TRIGTYPE Mask                 */
#define DMA_CFG9_TRIGBURST_Pos                6                                                       /*!< DMA CFG9: TRIGBURST Position            */
#define DMA_CFG9_TRIGBURST_Msk                (0x01UL << DMA_CFG9_TRIGBURST_Pos)                      /*!< DMA CFG9: TRIGBURST Mask                */
#define DMA_CFG9_BURSTPOWER_Pos               8                                                       /*!< DMA CFG9: BURSTPOWER Position           */
#define DMA_CFG9_BURSTPOWER_Msk               (0x0fUL << DMA_CFG9_BURSTPOWER_Pos)                     /*!< DMA CFG9: BURSTPOWER Mask               */
#define DMA_CFG9_SRCBURSTWRAP_Pos             14                                                      /*!< DMA CFG9: SRCBURSTWRAP Position         */
#define DMA_CFG9_SRCBURSTWRAP_Msk             (0x01UL << DMA_CFG9_SRCBURSTWRAP_Pos)                   /*!< DMA CFG9: SRCBURSTWRAP Mask             */
#define DMA_CFG9_DSTBURSTWRAP_Pos             15                                                      /*!< DMA CFG9: DSTBURSTWRAP Position         */
#define DMA_CFG9_DSTBURSTWRAP_Msk             (0x01UL << DMA_CFG9_DSTBURSTWRAP_Pos)                   /*!< DMA CFG9: DSTBURSTWRAP Mask             */
#define DMA_CFG9_CHPRIORITY_Pos               16                                                      /*!< DMA CFG9: CHPRIORITY Position           */
#define DMA_CFG9_CHPRIORITY_Msk               (0x07UL << DMA_CFG9_CHPRIORITY_Pos)                     /*!< DMA CFG9: CHPRIORITY Mask               */

/* --------------------------------  DMA_CTLSTAT9  -------------------------------- */
#define DMA_CTLSTAT9_VALIDPENDING_Pos         0                                                       /*!< DMA CTLSTAT9: VALIDPENDING Position     */
#define DMA_CTLSTAT9_VALIDPENDING_Msk         (0x01UL << DMA_CTLSTAT9_VALIDPENDING_Pos)               /*!< DMA CTLSTAT9: VALIDPENDING Mask         */
#define DMA_CTLSTAT9_TRIG_Pos                 2                                                       /*!< DMA CTLSTAT9: TRIG Position             */
#define DMA_CTLSTAT9_TRIG_Msk                 (0x01UL << DMA_CTLSTAT9_TRIG_Pos)                       /*!< DMA CTLSTAT9: TRIG Mask                 */

/* --------------------------------  DMA_XFERCFG9  -------------------------------- */
#define DMA_XFERCFG9_CFGVALID_Pos             0                                                       /*!< DMA XFERCFG9: CFGVALID Position         */
#define DMA_XFERCFG9_CFGVALID_Msk             (0x01UL << DMA_XFERCFG9_CFGVALID_Pos)                   /*!< DMA XFERCFG9: CFGVALID Mask             */
#define DMA_XFERCFG9_RELOAD_Pos               1                                                       /*!< DMA XFERCFG9: RELOAD Position           */
#define DMA_XFERCFG9_RELOAD_Msk               (0x01UL << DMA_XFERCFG9_RELOAD_Pos)                     /*!< DMA XFERCFG9: RELOAD Mask               */
#define DMA_XFERCFG9_SWTRIG_Pos               2                                                       /*!< DMA XFERCFG9: SWTRIG Position           */
#define DMA_XFERCFG9_SWTRIG_Msk               (0x01UL << DMA_XFERCFG9_SWTRIG_Pos)                     /*!< DMA XFERCFG9: SWTRIG Mask               */
#define DMA_XFERCFG9_CLRTRIG_Pos              3                                                       /*!< DMA XFERCFG9: CLRTRIG Position          */
#define DMA_XFERCFG9_CLRTRIG_Msk              (0x01UL << DMA_XFERCFG9_CLRTRIG_Pos)                    /*!< DMA XFERCFG9: CLRTRIG Mask              */
#define DMA_XFERCFG9_SETINTA_Pos              4                                                       /*!< DMA XFERCFG9: SETINTA Position          */
#define DMA_XFERCFG9_SETINTA_Msk              (0x01UL << DMA_XFERCFG9_SETINTA_Pos)                    /*!< DMA XFERCFG9: SETINTA Mask              */
#define DMA_XFERCFG9_SETINTB_Pos              5                                                       /*!< DMA XFERCFG9: SETINTB Position          */
#define DMA_XFERCFG9_SETINTB_Msk              (0x01UL << DMA_XFERCFG9_SETINTB_Pos)                    /*!< DMA XFERCFG9: SETINTB Mask              */
#define DMA_XFERCFG9_WIDTH_Pos                8                                                       /*!< DMA XFERCFG9: WIDTH Position            */
#define DMA_XFERCFG9_WIDTH_Msk                (0x03UL << DMA_XFERCFG9_WIDTH_Pos)                      /*!< DMA XFERCFG9: WIDTH Mask                */
#define DMA_XFERCFG9_SRCINC_Pos               12                                                      /*!< DMA XFERCFG9: SRCINC Position           */
#define DMA_XFERCFG9_SRCINC_Msk               (0x03UL << DMA_XFERCFG9_SRCINC_Pos)                     /*!< DMA XFERCFG9: SRCINC Mask               */
#define DMA_XFERCFG9_DSTINC_Pos               14                                                      /*!< DMA XFERCFG9: DSTINC Position           */
#define DMA_XFERCFG9_DSTINC_Msk               (0x03UL << DMA_XFERCFG9_DSTINC_Pos)                     /*!< DMA XFERCFG9: DSTINC Mask               */
#define DMA_XFERCFG9_XFERCOUNT_Pos            16                                                      /*!< DMA XFERCFG9: XFERCOUNT Position        */
#define DMA_XFERCFG9_XFERCOUNT_Msk            (0x000003ffUL << DMA_XFERCFG9_XFERCOUNT_Pos)            /*!< DMA XFERCFG9: XFERCOUNT Mask            */

/* ----------------------------------  DMA_CFG10  --------------------------------- */
#define DMA_CFG10_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG10: PERIPHREQEN Position         */
#define DMA_CFG10_PERIPHREQEN_Msk             (0x01UL << DMA_CFG10_PERIPHREQEN_Pos)                   /*!< DMA CFG10: PERIPHREQEN Mask             */
#define DMA_CFG10_HWTRIGEN_Pos                1                                                       /*!< DMA CFG10: HWTRIGEN Position            */
#define DMA_CFG10_HWTRIGEN_Msk                (0x01UL << DMA_CFG10_HWTRIGEN_Pos)                      /*!< DMA CFG10: HWTRIGEN Mask                */
#define DMA_CFG10_TRIGPOL_Pos                 4                                                       /*!< DMA CFG10: TRIGPOL Position             */
#define DMA_CFG10_TRIGPOL_Msk                 (0x01UL << DMA_CFG10_TRIGPOL_Pos)                       /*!< DMA CFG10: TRIGPOL Mask                 */
#define DMA_CFG10_TRIGTYPE_Pos                5                                                       /*!< DMA CFG10: TRIGTYPE Position            */
#define DMA_CFG10_TRIGTYPE_Msk                (0x01UL << DMA_CFG10_TRIGTYPE_Pos)                      /*!< DMA CFG10: TRIGTYPE Mask                */
#define DMA_CFG10_TRIGBURST_Pos               6                                                       /*!< DMA CFG10: TRIGBURST Position           */
#define DMA_CFG10_TRIGBURST_Msk               (0x01UL << DMA_CFG10_TRIGBURST_Pos)                     /*!< DMA CFG10: TRIGBURST Mask               */
#define DMA_CFG10_BURSTPOWER_Pos              8                                                       /*!< DMA CFG10: BURSTPOWER Position          */
#define DMA_CFG10_BURSTPOWER_Msk              (0x0fUL << DMA_CFG10_BURSTPOWER_Pos)                    /*!< DMA CFG10: BURSTPOWER Mask              */
#define DMA_CFG10_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG10: SRCBURSTWRAP Position        */
#define DMA_CFG10_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG10_SRCBURSTWRAP_Pos)                  /*!< DMA CFG10: SRCBURSTWRAP Mask            */
#define DMA_CFG10_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG10: DSTBURSTWRAP Position        */
#define DMA_CFG10_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG10_DSTBURSTWRAP_Pos)                  /*!< DMA CFG10: DSTBURSTWRAP Mask            */
#define DMA_CFG10_CHPRIORITY_Pos              16                                                      /*!< DMA CFG10: CHPRIORITY Position          */
#define DMA_CFG10_CHPRIORITY_Msk              (0x07UL << DMA_CFG10_CHPRIORITY_Pos)                    /*!< DMA CFG10: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT10  ------------------------------- */
#define DMA_CTLSTAT10_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT10: VALIDPENDING Position    */
#define DMA_CTLSTAT10_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT10_VALIDPENDING_Pos)              /*!< DMA CTLSTAT10: VALIDPENDING Mask        */
#define DMA_CTLSTAT10_TRIG_Pos                2                                                       /*!< DMA CTLSTAT10: TRIG Position            */
#define DMA_CTLSTAT10_TRIG_Msk                (0x01UL << DMA_CTLSTAT10_TRIG_Pos)                      /*!< DMA CTLSTAT10: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG10  ------------------------------- */
#define DMA_XFERCFG10_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG10: CFGVALID Position        */
#define DMA_XFERCFG10_CFGVALID_Msk            (0x01UL << DMA_XFERCFG10_CFGVALID_Pos)                  /*!< DMA XFERCFG10: CFGVALID Mask            */
#define DMA_XFERCFG10_RELOAD_Pos              1                                                       /*!< DMA XFERCFG10: RELOAD Position          */
#define DMA_XFERCFG10_RELOAD_Msk              (0x01UL << DMA_XFERCFG10_RELOAD_Pos)                    /*!< DMA XFERCFG10: RELOAD Mask              */
#define DMA_XFERCFG10_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG10: SWTRIG Position          */
#define DMA_XFERCFG10_SWTRIG_Msk              (0x01UL << DMA_XFERCFG10_SWTRIG_Pos)                    /*!< DMA XFERCFG10: SWTRIG Mask              */
#define DMA_XFERCFG10_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG10: CLRTRIG Position         */
#define DMA_XFERCFG10_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG10_CLRTRIG_Pos)                   /*!< DMA XFERCFG10: CLRTRIG Mask             */
#define DMA_XFERCFG10_SETINTA_Pos             4                                                       /*!< DMA XFERCFG10: SETINTA Position         */
#define DMA_XFERCFG10_SETINTA_Msk             (0x01UL << DMA_XFERCFG10_SETINTA_Pos)                   /*!< DMA XFERCFG10: SETINTA Mask             */
#define DMA_XFERCFG10_SETINTB_Pos             5                                                       /*!< DMA XFERCFG10: SETINTB Position         */
#define DMA_XFERCFG10_SETINTB_Msk             (0x01UL << DMA_XFERCFG10_SETINTB_Pos)                   /*!< DMA XFERCFG10: SETINTB Mask             */
#define DMA_XFERCFG10_WIDTH_Pos               8                                                       /*!< DMA XFERCFG10: WIDTH Position           */
#define DMA_XFERCFG10_WIDTH_Msk               (0x03UL << DMA_XFERCFG10_WIDTH_Pos)                     /*!< DMA XFERCFG10: WIDTH Mask               */
#define DMA_XFERCFG10_SRCINC_Pos              12                                                      /*!< DMA XFERCFG10: SRCINC Position          */
#define DMA_XFERCFG10_SRCINC_Msk              (0x03UL << DMA_XFERCFG10_SRCINC_Pos)                    /*!< DMA XFERCFG10: SRCINC Mask              */
#define DMA_XFERCFG10_DSTINC_Pos              14                                                      /*!< DMA XFERCFG10: DSTINC Position          */
#define DMA_XFERCFG10_DSTINC_Msk              (0x03UL << DMA_XFERCFG10_DSTINC_Pos)                    /*!< DMA XFERCFG10: DSTINC Mask              */
#define DMA_XFERCFG10_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG10: XFERCOUNT Position       */
#define DMA_XFERCFG10_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG10_XFERCOUNT_Pos)           /*!< DMA XFERCFG10: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG11  --------------------------------- */
#define DMA_CFG11_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG11: PERIPHREQEN Position         */
#define DMA_CFG11_PERIPHREQEN_Msk             (0x01UL << DMA_CFG11_PERIPHREQEN_Pos)                   /*!< DMA CFG11: PERIPHREQEN Mask             */
#define DMA_CFG11_HWTRIGEN_Pos                1                                                       /*!< DMA CFG11: HWTRIGEN Position            */
#define DMA_CFG11_HWTRIGEN_Msk                (0x01UL << DMA_CFG11_HWTRIGEN_Pos)                      /*!< DMA CFG11: HWTRIGEN Mask                */
#define DMA_CFG11_TRIGPOL_Pos                 4                                                       /*!< DMA CFG11: TRIGPOL Position             */
#define DMA_CFG11_TRIGPOL_Msk                 (0x01UL << DMA_CFG11_TRIGPOL_Pos)                       /*!< DMA CFG11: TRIGPOL Mask                 */
#define DMA_CFG11_TRIGTYPE_Pos                5                                                       /*!< DMA CFG11: TRIGTYPE Position            */
#define DMA_CFG11_TRIGTYPE_Msk                (0x01UL << DMA_CFG11_TRIGTYPE_Pos)                      /*!< DMA CFG11: TRIGTYPE Mask                */
#define DMA_CFG11_TRIGBURST_Pos               6                                                       /*!< DMA CFG11: TRIGBURST Position           */
#define DMA_CFG11_TRIGBURST_Msk               (0x01UL << DMA_CFG11_TRIGBURST_Pos)                     /*!< DMA CFG11: TRIGBURST Mask               */
#define DMA_CFG11_BURSTPOWER_Pos              8                                                       /*!< DMA CFG11: BURSTPOWER Position          */
#define DMA_CFG11_BURSTPOWER_Msk              (0x0fUL << DMA_CFG11_BURSTPOWER_Pos)                    /*!< DMA CFG11: BURSTPOWER Mask              */
#define DMA_CFG11_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG11: SRCBURSTWRAP Position        */
#define DMA_CFG11_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG11_SRCBURSTWRAP_Pos)                  /*!< DMA CFG11: SRCBURSTWRAP Mask            */
#define DMA_CFG11_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG11: DSTBURSTWRAP Position        */
#define DMA_CFG11_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG11_DSTBURSTWRAP_Pos)                  /*!< DMA CFG11: DSTBURSTWRAP Mask            */
#define DMA_CFG11_CHPRIORITY_Pos              16                                                      /*!< DMA CFG11: CHPRIORITY Position          */
#define DMA_CFG11_CHPRIORITY_Msk              (0x07UL << DMA_CFG11_CHPRIORITY_Pos)                    /*!< DMA CFG11: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT11  ------------------------------- */
#define DMA_CTLSTAT11_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT11: VALIDPENDING Position    */
#define DMA_CTLSTAT11_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT11_VALIDPENDING_Pos)              /*!< DMA CTLSTAT11: VALIDPENDING Mask        */
#define DMA_CTLSTAT11_TRIG_Pos                2                                                       /*!< DMA CTLSTAT11: TRIG Position            */
#define DMA_CTLSTAT11_TRIG_Msk                (0x01UL << DMA_CTLSTAT11_TRIG_Pos)                      /*!< DMA CTLSTAT11: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG11  ------------------------------- */
#define DMA_XFERCFG11_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG11: CFGVALID Position        */
#define DMA_XFERCFG11_CFGVALID_Msk            (0x01UL << DMA_XFERCFG11_CFGVALID_Pos)                  /*!< DMA XFERCFG11: CFGVALID Mask            */
#define DMA_XFERCFG11_RELOAD_Pos              1                                                       /*!< DMA XFERCFG11: RELOAD Position          */
#define DMA_XFERCFG11_RELOAD_Msk              (0x01UL << DMA_XFERCFG11_RELOAD_Pos)                    /*!< DMA XFERCFG11: RELOAD Mask              */
#define DMA_XFERCFG11_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG11: SWTRIG Position          */
#define DMA_XFERCFG11_SWTRIG_Msk              (0x01UL << DMA_XFERCFG11_SWTRIG_Pos)                    /*!< DMA XFERCFG11: SWTRIG Mask              */
#define DMA_XFERCFG11_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG11: CLRTRIG Position         */
#define DMA_XFERCFG11_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG11_CLRTRIG_Pos)                   /*!< DMA XFERCFG11: CLRTRIG Mask             */
#define DMA_XFERCFG11_SETINTA_Pos             4                                                       /*!< DMA XFERCFG11: SETINTA Position         */
#define DMA_XFERCFG11_SETINTA_Msk             (0x01UL << DMA_XFERCFG11_SETINTA_Pos)                   /*!< DMA XFERCFG11: SETINTA Mask             */
#define DMA_XFERCFG11_SETINTB_Pos             5                                                       /*!< DMA XFERCFG11: SETINTB Position         */
#define DMA_XFERCFG11_SETINTB_Msk             (0x01UL << DMA_XFERCFG11_SETINTB_Pos)                   /*!< DMA XFERCFG11: SETINTB Mask             */
#define DMA_XFERCFG11_WIDTH_Pos               8                                                       /*!< DMA XFERCFG11: WIDTH Position           */
#define DMA_XFERCFG11_WIDTH_Msk               (0x03UL << DMA_XFERCFG11_WIDTH_Pos)                     /*!< DMA XFERCFG11: WIDTH Mask               */
#define DMA_XFERCFG11_SRCINC_Pos              12                                                      /*!< DMA XFERCFG11: SRCINC Position          */
#define DMA_XFERCFG11_SRCINC_Msk              (0x03UL << DMA_XFERCFG11_SRCINC_Pos)                    /*!< DMA XFERCFG11: SRCINC Mask              */
#define DMA_XFERCFG11_DSTINC_Pos              14                                                      /*!< DMA XFERCFG11: DSTINC Position          */
#define DMA_XFERCFG11_DSTINC_Msk              (0x03UL << DMA_XFERCFG11_DSTINC_Pos)                    /*!< DMA XFERCFG11: DSTINC Mask              */
#define DMA_XFERCFG11_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG11: XFERCOUNT Position       */
#define DMA_XFERCFG11_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG11_XFERCOUNT_Pos)           /*!< DMA XFERCFG11: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG12  --------------------------------- */
#define DMA_CFG12_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG12: PERIPHREQEN Position         */
#define DMA_CFG12_PERIPHREQEN_Msk             (0x01UL << DMA_CFG12_PERIPHREQEN_Pos)                   /*!< DMA CFG12: PERIPHREQEN Mask             */
#define DMA_CFG12_HWTRIGEN_Pos                1                                                       /*!< DMA CFG12: HWTRIGEN Position            */
#define DMA_CFG12_HWTRIGEN_Msk                (0x01UL << DMA_CFG12_HWTRIGEN_Pos)                      /*!< DMA CFG12: HWTRIGEN Mask                */
#define DMA_CFG12_TRIGPOL_Pos                 4                                                       /*!< DMA CFG12: TRIGPOL Position             */
#define DMA_CFG12_TRIGPOL_Msk                 (0x01UL << DMA_CFG12_TRIGPOL_Pos)                       /*!< DMA CFG12: TRIGPOL Mask                 */
#define DMA_CFG12_TRIGTYPE_Pos                5                                                       /*!< DMA CFG12: TRIGTYPE Position            */
#define DMA_CFG12_TRIGTYPE_Msk                (0x01UL << DMA_CFG12_TRIGTYPE_Pos)                      /*!< DMA CFG12: TRIGTYPE Mask                */
#define DMA_CFG12_TRIGBURST_Pos               6                                                       /*!< DMA CFG12: TRIGBURST Position           */
#define DMA_CFG12_TRIGBURST_Msk               (0x01UL << DMA_CFG12_TRIGBURST_Pos)                     /*!< DMA CFG12: TRIGBURST Mask               */
#define DMA_CFG12_BURSTPOWER_Pos              8                                                       /*!< DMA CFG12: BURSTPOWER Position          */
#define DMA_CFG12_BURSTPOWER_Msk              (0x0fUL << DMA_CFG12_BURSTPOWER_Pos)                    /*!< DMA CFG12: BURSTPOWER Mask              */
#define DMA_CFG12_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG12: SRCBURSTWRAP Position        */
#define DMA_CFG12_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG12_SRCBURSTWRAP_Pos)                  /*!< DMA CFG12: SRCBURSTWRAP Mask            */
#define DMA_CFG12_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG12: DSTBURSTWRAP Position        */
#define DMA_CFG12_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG12_DSTBURSTWRAP_Pos)                  /*!< DMA CFG12: DSTBURSTWRAP Mask            */
#define DMA_CFG12_CHPRIORITY_Pos              16                                                      /*!< DMA CFG12: CHPRIORITY Position          */
#define DMA_CFG12_CHPRIORITY_Msk              (0x07UL << DMA_CFG12_CHPRIORITY_Pos)                    /*!< DMA CFG12: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT12  ------------------------------- */
#define DMA_CTLSTAT12_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT12: VALIDPENDING Position    */
#define DMA_CTLSTAT12_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT12_VALIDPENDING_Pos)              /*!< DMA CTLSTAT12: VALIDPENDING Mask        */
#define DMA_CTLSTAT12_TRIG_Pos                2                                                       /*!< DMA CTLSTAT12: TRIG Position            */
#define DMA_CTLSTAT12_TRIG_Msk                (0x01UL << DMA_CTLSTAT12_TRIG_Pos)                      /*!< DMA CTLSTAT12: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG12  ------------------------------- */
#define DMA_XFERCFG12_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG12: CFGVALID Position        */
#define DMA_XFERCFG12_CFGVALID_Msk            (0x01UL << DMA_XFERCFG12_CFGVALID_Pos)                  /*!< DMA XFERCFG12: CFGVALID Mask            */
#define DMA_XFERCFG12_RELOAD_Pos              1                                                       /*!< DMA XFERCFG12: RELOAD Position          */
#define DMA_XFERCFG12_RELOAD_Msk              (0x01UL << DMA_XFERCFG12_RELOAD_Pos)                    /*!< DMA XFERCFG12: RELOAD Mask              */
#define DMA_XFERCFG12_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG12: SWTRIG Position          */
#define DMA_XFERCFG12_SWTRIG_Msk              (0x01UL << DMA_XFERCFG12_SWTRIG_Pos)                    /*!< DMA XFERCFG12: SWTRIG Mask              */
#define DMA_XFERCFG12_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG12: CLRTRIG Position         */
#define DMA_XFERCFG12_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG12_CLRTRIG_Pos)                   /*!< DMA XFERCFG12: CLRTRIG Mask             */
#define DMA_XFERCFG12_SETINTA_Pos             4                                                       /*!< DMA XFERCFG12: SETINTA Position         */
#define DMA_XFERCFG12_SETINTA_Msk             (0x01UL << DMA_XFERCFG12_SETINTA_Pos)                   /*!< DMA XFERCFG12: SETINTA Mask             */
#define DMA_XFERCFG12_SETINTB_Pos             5                                                       /*!< DMA XFERCFG12: SETINTB Position         */
#define DMA_XFERCFG12_SETINTB_Msk             (0x01UL << DMA_XFERCFG12_SETINTB_Pos)                   /*!< DMA XFERCFG12: SETINTB Mask             */
#define DMA_XFERCFG12_WIDTH_Pos               8                                                       /*!< DMA XFERCFG12: WIDTH Position           */
#define DMA_XFERCFG12_WIDTH_Msk               (0x03UL << DMA_XFERCFG12_WIDTH_Pos)                     /*!< DMA XFERCFG12: WIDTH Mask               */
#define DMA_XFERCFG12_SRCINC_Pos              12                                                      /*!< DMA XFERCFG12: SRCINC Position          */
#define DMA_XFERCFG12_SRCINC_Msk              (0x03UL << DMA_XFERCFG12_SRCINC_Pos)                    /*!< DMA XFERCFG12: SRCINC Mask              */
#define DMA_XFERCFG12_DSTINC_Pos              14                                                      /*!< DMA XFERCFG12: DSTINC Position          */
#define DMA_XFERCFG12_DSTINC_Msk              (0x03UL << DMA_XFERCFG12_DSTINC_Pos)                    /*!< DMA XFERCFG12: DSTINC Mask              */
#define DMA_XFERCFG12_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG12: XFERCOUNT Position       */
#define DMA_XFERCFG12_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG12_XFERCOUNT_Pos)           /*!< DMA XFERCFG12: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG13  --------------------------------- */
#define DMA_CFG13_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG13: PERIPHREQEN Position         */
#define DMA_CFG13_PERIPHREQEN_Msk             (0x01UL << DMA_CFG13_PERIPHREQEN_Pos)                   /*!< DMA CFG13: PERIPHREQEN Mask             */
#define DMA_CFG13_HWTRIGEN_Pos                1                                                       /*!< DMA CFG13: HWTRIGEN Position            */
#define DMA_CFG13_HWTRIGEN_Msk                (0x01UL << DMA_CFG13_HWTRIGEN_Pos)                      /*!< DMA CFG13: HWTRIGEN Mask                */
#define DMA_CFG13_TRIGPOL_Pos                 4                                                       /*!< DMA CFG13: TRIGPOL Position             */
#define DMA_CFG13_TRIGPOL_Msk                 (0x01UL << DMA_CFG13_TRIGPOL_Pos)                       /*!< DMA CFG13: TRIGPOL Mask                 */
#define DMA_CFG13_TRIGTYPE_Pos                5                                                       /*!< DMA CFG13: TRIGTYPE Position            */
#define DMA_CFG13_TRIGTYPE_Msk                (0x01UL << DMA_CFG13_TRIGTYPE_Pos)                      /*!< DMA CFG13: TRIGTYPE Mask                */
#define DMA_CFG13_TRIGBURST_Pos               6                                                       /*!< DMA CFG13: TRIGBURST Position           */
#define DMA_CFG13_TRIGBURST_Msk               (0x01UL << DMA_CFG13_TRIGBURST_Pos)                     /*!< DMA CFG13: TRIGBURST Mask               */
#define DMA_CFG13_BURSTPOWER_Pos              8                                                       /*!< DMA CFG13: BURSTPOWER Position          */
#define DMA_CFG13_BURSTPOWER_Msk              (0x0fUL << DMA_CFG13_BURSTPOWER_Pos)                    /*!< DMA CFG13: BURSTPOWER Mask              */
#define DMA_CFG13_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG13: SRCBURSTWRAP Position        */
#define DMA_CFG13_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG13_SRCBURSTWRAP_Pos)                  /*!< DMA CFG13: SRCBURSTWRAP Mask            */
#define DMA_CFG13_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG13: DSTBURSTWRAP Position        */
#define DMA_CFG13_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG13_DSTBURSTWRAP_Pos)                  /*!< DMA CFG13: DSTBURSTWRAP Mask            */
#define DMA_CFG13_CHPRIORITY_Pos              16                                                      /*!< DMA CFG13: CHPRIORITY Position          */
#define DMA_CFG13_CHPRIORITY_Msk              (0x07UL << DMA_CFG13_CHPRIORITY_Pos)                    /*!< DMA CFG13: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT13  ------------------------------- */
#define DMA_CTLSTAT13_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT13: VALIDPENDING Position    */
#define DMA_CTLSTAT13_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT13_VALIDPENDING_Pos)              /*!< DMA CTLSTAT13: VALIDPENDING Mask        */
#define DMA_CTLSTAT13_TRIG_Pos                2                                                       /*!< DMA CTLSTAT13: TRIG Position            */
#define DMA_CTLSTAT13_TRIG_Msk                (0x01UL << DMA_CTLSTAT13_TRIG_Pos)                      /*!< DMA CTLSTAT13: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG13  ------------------------------- */
#define DMA_XFERCFG13_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG13: CFGVALID Position        */
#define DMA_XFERCFG13_CFGVALID_Msk            (0x01UL << DMA_XFERCFG13_CFGVALID_Pos)                  /*!< DMA XFERCFG13: CFGVALID Mask            */
#define DMA_XFERCFG13_RELOAD_Pos              1                                                       /*!< DMA XFERCFG13: RELOAD Position          */
#define DMA_XFERCFG13_RELOAD_Msk              (0x01UL << DMA_XFERCFG13_RELOAD_Pos)                    /*!< DMA XFERCFG13: RELOAD Mask              */
#define DMA_XFERCFG13_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG13: SWTRIG Position          */
#define DMA_XFERCFG13_SWTRIG_Msk              (0x01UL << DMA_XFERCFG13_SWTRIG_Pos)                    /*!< DMA XFERCFG13: SWTRIG Mask              */
#define DMA_XFERCFG13_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG13: CLRTRIG Position         */
#define DMA_XFERCFG13_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG13_CLRTRIG_Pos)                   /*!< DMA XFERCFG13: CLRTRIG Mask             */
#define DMA_XFERCFG13_SETINTA_Pos             4                                                       /*!< DMA XFERCFG13: SETINTA Position         */
#define DMA_XFERCFG13_SETINTA_Msk             (0x01UL << DMA_XFERCFG13_SETINTA_Pos)                   /*!< DMA XFERCFG13: SETINTA Mask             */
#define DMA_XFERCFG13_SETINTB_Pos             5                                                       /*!< DMA XFERCFG13: SETINTB Position         */
#define DMA_XFERCFG13_SETINTB_Msk             (0x01UL << DMA_XFERCFG13_SETINTB_Pos)                   /*!< DMA XFERCFG13: SETINTB Mask             */
#define DMA_XFERCFG13_WIDTH_Pos               8                                                       /*!< DMA XFERCFG13: WIDTH Position           */
#define DMA_XFERCFG13_WIDTH_Msk               (0x03UL << DMA_XFERCFG13_WIDTH_Pos)                     /*!< DMA XFERCFG13: WIDTH Mask               */
#define DMA_XFERCFG13_SRCINC_Pos              12                                                      /*!< DMA XFERCFG13: SRCINC Position          */
#define DMA_XFERCFG13_SRCINC_Msk              (0x03UL << DMA_XFERCFG13_SRCINC_Pos)                    /*!< DMA XFERCFG13: SRCINC Mask              */
#define DMA_XFERCFG13_DSTINC_Pos              14                                                      /*!< DMA XFERCFG13: DSTINC Position          */
#define DMA_XFERCFG13_DSTINC_Msk              (0x03UL << DMA_XFERCFG13_DSTINC_Pos)                    /*!< DMA XFERCFG13: DSTINC Mask              */
#define DMA_XFERCFG13_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG13: XFERCOUNT Position       */
#define DMA_XFERCFG13_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG13_XFERCOUNT_Pos)           /*!< DMA XFERCFG13: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG14  --------------------------------- */
#define DMA_CFG14_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG14: PERIPHREQEN Position         */
#define DMA_CFG14_PERIPHREQEN_Msk             (0x01UL << DMA_CFG14_PERIPHREQEN_Pos)                   /*!< DMA CFG14: PERIPHREQEN Mask             */
#define DMA_CFG14_HWTRIGEN_Pos                1                                                       /*!< DMA CFG14: HWTRIGEN Position            */
#define DMA_CFG14_HWTRIGEN_Msk                (0x01UL << DMA_CFG14_HWTRIGEN_Pos)                      /*!< DMA CFG14: HWTRIGEN Mask                */
#define DMA_CFG14_TRIGPOL_Pos                 4                                                       /*!< DMA CFG14: TRIGPOL Position             */
#define DMA_CFG14_TRIGPOL_Msk                 (0x01UL << DMA_CFG14_TRIGPOL_Pos)                       /*!< DMA CFG14: TRIGPOL Mask                 */
#define DMA_CFG14_TRIGTYPE_Pos                5                                                       /*!< DMA CFG14: TRIGTYPE Position            */
#define DMA_CFG14_TRIGTYPE_Msk                (0x01UL << DMA_CFG14_TRIGTYPE_Pos)                      /*!< DMA CFG14: TRIGTYPE Mask                */
#define DMA_CFG14_TRIGBURST_Pos               6                                                       /*!< DMA CFG14: TRIGBURST Position           */
#define DMA_CFG14_TRIGBURST_Msk               (0x01UL << DMA_CFG14_TRIGBURST_Pos)                     /*!< DMA CFG14: TRIGBURST Mask               */
#define DMA_CFG14_BURSTPOWER_Pos              8                                                       /*!< DMA CFG14: BURSTPOWER Position          */
#define DMA_CFG14_BURSTPOWER_Msk              (0x0fUL << DMA_CFG14_BURSTPOWER_Pos)                    /*!< DMA CFG14: BURSTPOWER Mask              */
#define DMA_CFG14_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG14: SRCBURSTWRAP Position        */
#define DMA_CFG14_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG14_SRCBURSTWRAP_Pos)                  /*!< DMA CFG14: SRCBURSTWRAP Mask            */
#define DMA_CFG14_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG14: DSTBURSTWRAP Position        */
#define DMA_CFG14_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG14_DSTBURSTWRAP_Pos)                  /*!< DMA CFG14: DSTBURSTWRAP Mask            */
#define DMA_CFG14_CHPRIORITY_Pos              16                                                      /*!< DMA CFG14: CHPRIORITY Position          */
#define DMA_CFG14_CHPRIORITY_Msk              (0x07UL << DMA_CFG14_CHPRIORITY_Pos)                    /*!< DMA CFG14: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT14  ------------------------------- */
#define DMA_CTLSTAT14_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT14: VALIDPENDING Position    */
#define DMA_CTLSTAT14_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT14_VALIDPENDING_Pos)              /*!< DMA CTLSTAT14: VALIDPENDING Mask        */
#define DMA_CTLSTAT14_TRIG_Pos                2                                                       /*!< DMA CTLSTAT14: TRIG Position            */
#define DMA_CTLSTAT14_TRIG_Msk                (0x01UL << DMA_CTLSTAT14_TRIG_Pos)                      /*!< DMA CTLSTAT14: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG14  ------------------------------- */
#define DMA_XFERCFG14_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG14: CFGVALID Position        */
#define DMA_XFERCFG14_CFGVALID_Msk            (0x01UL << DMA_XFERCFG14_CFGVALID_Pos)                  /*!< DMA XFERCFG14: CFGVALID Mask            */
#define DMA_XFERCFG14_RELOAD_Pos              1                                                       /*!< DMA XFERCFG14: RELOAD Position          */
#define DMA_XFERCFG14_RELOAD_Msk              (0x01UL << DMA_XFERCFG14_RELOAD_Pos)                    /*!< DMA XFERCFG14: RELOAD Mask              */
#define DMA_XFERCFG14_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG14: SWTRIG Position          */
#define DMA_XFERCFG14_SWTRIG_Msk              (0x01UL << DMA_XFERCFG14_SWTRIG_Pos)                    /*!< DMA XFERCFG14: SWTRIG Mask              */
#define DMA_XFERCFG14_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG14: CLRTRIG Position         */
#define DMA_XFERCFG14_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG14_CLRTRIG_Pos)                   /*!< DMA XFERCFG14: CLRTRIG Mask             */
#define DMA_XFERCFG14_SETINTA_Pos             4                                                       /*!< DMA XFERCFG14: SETINTA Position         */
#define DMA_XFERCFG14_SETINTA_Msk             (0x01UL << DMA_XFERCFG14_SETINTA_Pos)                   /*!< DMA XFERCFG14: SETINTA Mask             */
#define DMA_XFERCFG14_SETINTB_Pos             5                                                       /*!< DMA XFERCFG14: SETINTB Position         */
#define DMA_XFERCFG14_SETINTB_Msk             (0x01UL << DMA_XFERCFG14_SETINTB_Pos)                   /*!< DMA XFERCFG14: SETINTB Mask             */
#define DMA_XFERCFG14_WIDTH_Pos               8                                                       /*!< DMA XFERCFG14: WIDTH Position           */
#define DMA_XFERCFG14_WIDTH_Msk               (0x03UL << DMA_XFERCFG14_WIDTH_Pos)                     /*!< DMA XFERCFG14: WIDTH Mask               */
#define DMA_XFERCFG14_SRCINC_Pos              12                                                      /*!< DMA XFERCFG14: SRCINC Position          */
#define DMA_XFERCFG14_SRCINC_Msk              (0x03UL << DMA_XFERCFG14_SRCINC_Pos)                    /*!< DMA XFERCFG14: SRCINC Mask              */
#define DMA_XFERCFG14_DSTINC_Pos              14                                                      /*!< DMA XFERCFG14: DSTINC Position          */
#define DMA_XFERCFG14_DSTINC_Msk              (0x03UL << DMA_XFERCFG14_DSTINC_Pos)                    /*!< DMA XFERCFG14: DSTINC Mask              */
#define DMA_XFERCFG14_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG14: XFERCOUNT Position       */
#define DMA_XFERCFG14_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG14_XFERCOUNT_Pos)           /*!< DMA XFERCFG14: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG15  --------------------------------- */
#define DMA_CFG15_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG15: PERIPHREQEN Position         */
#define DMA_CFG15_PERIPHREQEN_Msk             (0x01UL << DMA_CFG15_PERIPHREQEN_Pos)                   /*!< DMA CFG15: PERIPHREQEN Mask             */
#define DMA_CFG15_HWTRIGEN_Pos                1                                                       /*!< DMA CFG15: HWTRIGEN Position            */
#define DMA_CFG15_HWTRIGEN_Msk                (0x01UL << DMA_CFG15_HWTRIGEN_Pos)                      /*!< DMA CFG15: HWTRIGEN Mask                */
#define DMA_CFG15_TRIGPOL_Pos                 4                                                       /*!< DMA CFG15: TRIGPOL Position             */
#define DMA_CFG15_TRIGPOL_Msk                 (0x01UL << DMA_CFG15_TRIGPOL_Pos)                       /*!< DMA CFG15: TRIGPOL Mask                 */
#define DMA_CFG15_TRIGTYPE_Pos                5                                                       /*!< DMA CFG15: TRIGTYPE Position            */
#define DMA_CFG15_TRIGTYPE_Msk                (0x01UL << DMA_CFG15_TRIGTYPE_Pos)                      /*!< DMA CFG15: TRIGTYPE Mask                */
#define DMA_CFG15_TRIGBURST_Pos               6                                                       /*!< DMA CFG15: TRIGBURST Position           */
#define DMA_CFG15_TRIGBURST_Msk               (0x01UL << DMA_CFG15_TRIGBURST_Pos)                     /*!< DMA CFG15: TRIGBURST Mask               */
#define DMA_CFG15_BURSTPOWER_Pos              8                                                       /*!< DMA CFG15: BURSTPOWER Position          */
#define DMA_CFG15_BURSTPOWER_Msk              (0x0fUL << DMA_CFG15_BURSTPOWER_Pos)                    /*!< DMA CFG15: BURSTPOWER Mask              */
#define DMA_CFG15_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG15: SRCBURSTWRAP Position        */
#define DMA_CFG15_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG15_SRCBURSTWRAP_Pos)                  /*!< DMA CFG15: SRCBURSTWRAP Mask            */
#define DMA_CFG15_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG15: DSTBURSTWRAP Position        */
#define DMA_CFG15_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG15_DSTBURSTWRAP_Pos)                  /*!< DMA CFG15: DSTBURSTWRAP Mask            */
#define DMA_CFG15_CHPRIORITY_Pos              16                                                      /*!< DMA CFG15: CHPRIORITY Position          */
#define DMA_CFG15_CHPRIORITY_Msk              (0x07UL << DMA_CFG15_CHPRIORITY_Pos)                    /*!< DMA CFG15: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT15  ------------------------------- */
#define DMA_CTLSTAT15_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT15: VALIDPENDING Position    */
#define DMA_CTLSTAT15_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT15_VALIDPENDING_Pos)              /*!< DMA CTLSTAT15: VALIDPENDING Mask        */
#define DMA_CTLSTAT15_TRIG_Pos                2                                                       /*!< DMA CTLSTAT15: TRIG Position            */
#define DMA_CTLSTAT15_TRIG_Msk                (0x01UL << DMA_CTLSTAT15_TRIG_Pos)                      /*!< DMA CTLSTAT15: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG15  ------------------------------- */
#define DMA_XFERCFG15_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG15: CFGVALID Position        */
#define DMA_XFERCFG15_CFGVALID_Msk            (0x01UL << DMA_XFERCFG15_CFGVALID_Pos)                  /*!< DMA XFERCFG15: CFGVALID Mask            */
#define DMA_XFERCFG15_RELOAD_Pos              1                                                       /*!< DMA XFERCFG15: RELOAD Position          */
#define DMA_XFERCFG15_RELOAD_Msk              (0x01UL << DMA_XFERCFG15_RELOAD_Pos)                    /*!< DMA XFERCFG15: RELOAD Mask              */
#define DMA_XFERCFG15_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG15: SWTRIG Position          */
#define DMA_XFERCFG15_SWTRIG_Msk              (0x01UL << DMA_XFERCFG15_SWTRIG_Pos)                    /*!< DMA XFERCFG15: SWTRIG Mask              */
#define DMA_XFERCFG15_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG15: CLRTRIG Position         */
#define DMA_XFERCFG15_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG15_CLRTRIG_Pos)                   /*!< DMA XFERCFG15: CLRTRIG Mask             */
#define DMA_XFERCFG15_SETINTA_Pos             4                                                       /*!< DMA XFERCFG15: SETINTA Position         */
#define DMA_XFERCFG15_SETINTA_Msk             (0x01UL << DMA_XFERCFG15_SETINTA_Pos)                   /*!< DMA XFERCFG15: SETINTA Mask             */
#define DMA_XFERCFG15_SETINTB_Pos             5                                                       /*!< DMA XFERCFG15: SETINTB Position         */
#define DMA_XFERCFG15_SETINTB_Msk             (0x01UL << DMA_XFERCFG15_SETINTB_Pos)                   /*!< DMA XFERCFG15: SETINTB Mask             */
#define DMA_XFERCFG15_WIDTH_Pos               8                                                       /*!< DMA XFERCFG15: WIDTH Position           */
#define DMA_XFERCFG15_WIDTH_Msk               (0x03UL << DMA_XFERCFG15_WIDTH_Pos)                     /*!< DMA XFERCFG15: WIDTH Mask               */
#define DMA_XFERCFG15_SRCINC_Pos              12                                                      /*!< DMA XFERCFG15: SRCINC Position          */
#define DMA_XFERCFG15_SRCINC_Msk              (0x03UL << DMA_XFERCFG15_SRCINC_Pos)                    /*!< DMA XFERCFG15: SRCINC Mask              */
#define DMA_XFERCFG15_DSTINC_Pos              14                                                      /*!< DMA XFERCFG15: DSTINC Position          */
#define DMA_XFERCFG15_DSTINC_Msk              (0x03UL << DMA_XFERCFG15_DSTINC_Pos)                    /*!< DMA XFERCFG15: DSTINC Mask              */
#define DMA_XFERCFG15_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG15: XFERCOUNT Position       */
#define DMA_XFERCFG15_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG15_XFERCOUNT_Pos)           /*!< DMA XFERCFG15: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG16  --------------------------------- */
#define DMA_CFG16_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG16: PERIPHREQEN Position         */
#define DMA_CFG16_PERIPHREQEN_Msk             (0x01UL << DMA_CFG16_PERIPHREQEN_Pos)                   /*!< DMA CFG16: PERIPHREQEN Mask             */
#define DMA_CFG16_HWTRIGEN_Pos                1                                                       /*!< DMA CFG16: HWTRIGEN Position            */
#define DMA_CFG16_HWTRIGEN_Msk                (0x01UL << DMA_CFG16_HWTRIGEN_Pos)                      /*!< DMA CFG16: HWTRIGEN Mask                */
#define DMA_CFG16_TRIGPOL_Pos                 4                                                       /*!< DMA CFG16: TRIGPOL Position             */
#define DMA_CFG16_TRIGPOL_Msk                 (0x01UL << DMA_CFG16_TRIGPOL_Pos)                       /*!< DMA CFG16: TRIGPOL Mask                 */
#define DMA_CFG16_TRIGTYPE_Pos                5                                                       /*!< DMA CFG16: TRIGTYPE Position            */
#define DMA_CFG16_TRIGTYPE_Msk                (0x01UL << DMA_CFG16_TRIGTYPE_Pos)                      /*!< DMA CFG16: TRIGTYPE Mask                */
#define DMA_CFG16_TRIGBURST_Pos               6                                                       /*!< DMA CFG16: TRIGBURST Position           */
#define DMA_CFG16_TRIGBURST_Msk               (0x01UL << DMA_CFG16_TRIGBURST_Pos)                     /*!< DMA CFG16: TRIGBURST Mask               */
#define DMA_CFG16_BURSTPOWER_Pos              8                                                       /*!< DMA CFG16: BURSTPOWER Position          */
#define DMA_CFG16_BURSTPOWER_Msk              (0x0fUL << DMA_CFG16_BURSTPOWER_Pos)                    /*!< DMA CFG16: BURSTPOWER Mask              */
#define DMA_CFG16_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG16: SRCBURSTWRAP Position        */
#define DMA_CFG16_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG16_SRCBURSTWRAP_Pos)                  /*!< DMA CFG16: SRCBURSTWRAP Mask            */
#define DMA_CFG16_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG16: DSTBURSTWRAP Position        */
#define DMA_CFG16_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG16_DSTBURSTWRAP_Pos)                  /*!< DMA CFG16: DSTBURSTWRAP Mask            */
#define DMA_CFG16_CHPRIORITY_Pos              16                                                      /*!< DMA CFG16: CHPRIORITY Position          */
#define DMA_CFG16_CHPRIORITY_Msk              (0x07UL << DMA_CFG16_CHPRIORITY_Pos)                    /*!< DMA CFG16: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT16  ------------------------------- */
#define DMA_CTLSTAT16_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT16: VALIDPENDING Position    */
#define DMA_CTLSTAT16_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT16_VALIDPENDING_Pos)              /*!< DMA CTLSTAT16: VALIDPENDING Mask        */
#define DMA_CTLSTAT16_TRIG_Pos                2                                                       /*!< DMA CTLSTAT16: TRIG Position            */
#define DMA_CTLSTAT16_TRIG_Msk                (0x01UL << DMA_CTLSTAT16_TRIG_Pos)                      /*!< DMA CTLSTAT16: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG16  ------------------------------- */
#define DMA_XFERCFG16_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG16: CFGVALID Position        */
#define DMA_XFERCFG16_CFGVALID_Msk            (0x01UL << DMA_XFERCFG16_CFGVALID_Pos)                  /*!< DMA XFERCFG16: CFGVALID Mask            */
#define DMA_XFERCFG16_RELOAD_Pos              1                                                       /*!< DMA XFERCFG16: RELOAD Position          */
#define DMA_XFERCFG16_RELOAD_Msk              (0x01UL << DMA_XFERCFG16_RELOAD_Pos)                    /*!< DMA XFERCFG16: RELOAD Mask              */
#define DMA_XFERCFG16_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG16: SWTRIG Position          */
#define DMA_XFERCFG16_SWTRIG_Msk              (0x01UL << DMA_XFERCFG16_SWTRIG_Pos)                    /*!< DMA XFERCFG16: SWTRIG Mask              */
#define DMA_XFERCFG16_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG16: CLRTRIG Position         */
#define DMA_XFERCFG16_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG16_CLRTRIG_Pos)                   /*!< DMA XFERCFG16: CLRTRIG Mask             */
#define DMA_XFERCFG16_SETINTA_Pos             4                                                       /*!< DMA XFERCFG16: SETINTA Position         */
#define DMA_XFERCFG16_SETINTA_Msk             (0x01UL << DMA_XFERCFG16_SETINTA_Pos)                   /*!< DMA XFERCFG16: SETINTA Mask             */
#define DMA_XFERCFG16_SETINTB_Pos             5                                                       /*!< DMA XFERCFG16: SETINTB Position         */
#define DMA_XFERCFG16_SETINTB_Msk             (0x01UL << DMA_XFERCFG16_SETINTB_Pos)                   /*!< DMA XFERCFG16: SETINTB Mask             */
#define DMA_XFERCFG16_WIDTH_Pos               8                                                       /*!< DMA XFERCFG16: WIDTH Position           */
#define DMA_XFERCFG16_WIDTH_Msk               (0x03UL << DMA_XFERCFG16_WIDTH_Pos)                     /*!< DMA XFERCFG16: WIDTH Mask               */
#define DMA_XFERCFG16_SRCINC_Pos              12                                                      /*!< DMA XFERCFG16: SRCINC Position          */
#define DMA_XFERCFG16_SRCINC_Msk              (0x03UL << DMA_XFERCFG16_SRCINC_Pos)                    /*!< DMA XFERCFG16: SRCINC Mask              */
#define DMA_XFERCFG16_DSTINC_Pos              14                                                      /*!< DMA XFERCFG16: DSTINC Position          */
#define DMA_XFERCFG16_DSTINC_Msk              (0x03UL << DMA_XFERCFG16_DSTINC_Pos)                    /*!< DMA XFERCFG16: DSTINC Mask              */
#define DMA_XFERCFG16_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG16: XFERCOUNT Position       */
#define DMA_XFERCFG16_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG16_XFERCOUNT_Pos)           /*!< DMA XFERCFG16: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG17  --------------------------------- */
#define DMA_CFG17_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG17: PERIPHREQEN Position         */
#define DMA_CFG17_PERIPHREQEN_Msk             (0x01UL << DMA_CFG17_PERIPHREQEN_Pos)                   /*!< DMA CFG17: PERIPHREQEN Mask             */
#define DMA_CFG17_HWTRIGEN_Pos                1                                                       /*!< DMA CFG17: HWTRIGEN Position            */
#define DMA_CFG17_HWTRIGEN_Msk                (0x01UL << DMA_CFG17_HWTRIGEN_Pos)                      /*!< DMA CFG17: HWTRIGEN Mask                */
#define DMA_CFG17_TRIGPOL_Pos                 4                                                       /*!< DMA CFG17: TRIGPOL Position             */
#define DMA_CFG17_TRIGPOL_Msk                 (0x01UL << DMA_CFG17_TRIGPOL_Pos)                       /*!< DMA CFG17: TRIGPOL Mask                 */
#define DMA_CFG17_TRIGTYPE_Pos                5                                                       /*!< DMA CFG17: TRIGTYPE Position            */
#define DMA_CFG17_TRIGTYPE_Msk                (0x01UL << DMA_CFG17_TRIGTYPE_Pos)                      /*!< DMA CFG17: TRIGTYPE Mask                */
#define DMA_CFG17_TRIGBURST_Pos               6                                                       /*!< DMA CFG17: TRIGBURST Position           */
#define DMA_CFG17_TRIGBURST_Msk               (0x01UL << DMA_CFG17_TRIGBURST_Pos)                     /*!< DMA CFG17: TRIGBURST Mask               */
#define DMA_CFG17_BURSTPOWER_Pos              8                                                       /*!< DMA CFG17: BURSTPOWER Position          */
#define DMA_CFG17_BURSTPOWER_Msk              (0x0fUL << DMA_CFG17_BURSTPOWER_Pos)                    /*!< DMA CFG17: BURSTPOWER Mask              */
#define DMA_CFG17_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG17: SRCBURSTWRAP Position        */
#define DMA_CFG17_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG17_SRCBURSTWRAP_Pos)                  /*!< DMA CFG17: SRCBURSTWRAP Mask            */
#define DMA_CFG17_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG17: DSTBURSTWRAP Position        */
#define DMA_CFG17_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG17_DSTBURSTWRAP_Pos)                  /*!< DMA CFG17: DSTBURSTWRAP Mask            */
#define DMA_CFG17_CHPRIORITY_Pos              16                                                      /*!< DMA CFG17: CHPRIORITY Position          */
#define DMA_CFG17_CHPRIORITY_Msk              (0x07UL << DMA_CFG17_CHPRIORITY_Pos)                    /*!< DMA CFG17: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT17  ------------------------------- */
#define DMA_CTLSTAT17_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT17: VALIDPENDING Position    */
#define DMA_CTLSTAT17_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT17_VALIDPENDING_Pos)              /*!< DMA CTLSTAT17: VALIDPENDING Mask        */
#define DMA_CTLSTAT17_TRIG_Pos                2                                                       /*!< DMA CTLSTAT17: TRIG Position            */
#define DMA_CTLSTAT17_TRIG_Msk                (0x01UL << DMA_CTLSTAT17_TRIG_Pos)                      /*!< DMA CTLSTAT17: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG17  ------------------------------- */
#define DMA_XFERCFG17_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG17: CFGVALID Position        */
#define DMA_XFERCFG17_CFGVALID_Msk            (0x01UL << DMA_XFERCFG17_CFGVALID_Pos)                  /*!< DMA XFERCFG17: CFGVALID Mask            */
#define DMA_XFERCFG17_RELOAD_Pos              1                                                       /*!< DMA XFERCFG17: RELOAD Position          */
#define DMA_XFERCFG17_RELOAD_Msk              (0x01UL << DMA_XFERCFG17_RELOAD_Pos)                    /*!< DMA XFERCFG17: RELOAD Mask              */
#define DMA_XFERCFG17_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG17: SWTRIG Position          */
#define DMA_XFERCFG17_SWTRIG_Msk              (0x01UL << DMA_XFERCFG17_SWTRIG_Pos)                    /*!< DMA XFERCFG17: SWTRIG Mask              */
#define DMA_XFERCFG17_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG17: CLRTRIG Position         */
#define DMA_XFERCFG17_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG17_CLRTRIG_Pos)                   /*!< DMA XFERCFG17: CLRTRIG Mask             */
#define DMA_XFERCFG17_SETINTA_Pos             4                                                       /*!< DMA XFERCFG17: SETINTA Position         */
#define DMA_XFERCFG17_SETINTA_Msk             (0x01UL << DMA_XFERCFG17_SETINTA_Pos)                   /*!< DMA XFERCFG17: SETINTA Mask             */
#define DMA_XFERCFG17_SETINTB_Pos             5                                                       /*!< DMA XFERCFG17: SETINTB Position         */
#define DMA_XFERCFG17_SETINTB_Msk             (0x01UL << DMA_XFERCFG17_SETINTB_Pos)                   /*!< DMA XFERCFG17: SETINTB Mask             */
#define DMA_XFERCFG17_WIDTH_Pos               8                                                       /*!< DMA XFERCFG17: WIDTH Position           */
#define DMA_XFERCFG17_WIDTH_Msk               (0x03UL << DMA_XFERCFG17_WIDTH_Pos)                     /*!< DMA XFERCFG17: WIDTH Mask               */
#define DMA_XFERCFG17_SRCINC_Pos              12                                                      /*!< DMA XFERCFG17: SRCINC Position          */
#define DMA_XFERCFG17_SRCINC_Msk              (0x03UL << DMA_XFERCFG17_SRCINC_Pos)                    /*!< DMA XFERCFG17: SRCINC Mask              */
#define DMA_XFERCFG17_DSTINC_Pos              14                                                      /*!< DMA XFERCFG17: DSTINC Position          */
#define DMA_XFERCFG17_DSTINC_Msk              (0x03UL << DMA_XFERCFG17_DSTINC_Pos)                    /*!< DMA XFERCFG17: DSTINC Mask              */
#define DMA_XFERCFG17_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG17: XFERCOUNT Position       */
#define DMA_XFERCFG17_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG17_XFERCOUNT_Pos)           /*!< DMA XFERCFG17: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG18  --------------------------------- */
#define DMA_CFG18_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG18: PERIPHREQEN Position         */
#define DMA_CFG18_PERIPHREQEN_Msk             (0x01UL << DMA_CFG18_PERIPHREQEN_Pos)                   /*!< DMA CFG18: PERIPHREQEN Mask             */
#define DMA_CFG18_HWTRIGEN_Pos                1                                                       /*!< DMA CFG18: HWTRIGEN Position            */
#define DMA_CFG18_HWTRIGEN_Msk                (0x01UL << DMA_CFG18_HWTRIGEN_Pos)                      /*!< DMA CFG18: HWTRIGEN Mask                */
#define DMA_CFG18_TRIGPOL_Pos                 4                                                       /*!< DMA CFG18: TRIGPOL Position             */
#define DMA_CFG18_TRIGPOL_Msk                 (0x01UL << DMA_CFG18_TRIGPOL_Pos)                       /*!< DMA CFG18: TRIGPOL Mask                 */
#define DMA_CFG18_TRIGTYPE_Pos                5                                                       /*!< DMA CFG18: TRIGTYPE Position            */
#define DMA_CFG18_TRIGTYPE_Msk                (0x01UL << DMA_CFG18_TRIGTYPE_Pos)                      /*!< DMA CFG18: TRIGTYPE Mask                */
#define DMA_CFG18_TRIGBURST_Pos               6                                                       /*!< DMA CFG18: TRIGBURST Position           */
#define DMA_CFG18_TRIGBURST_Msk               (0x01UL << DMA_CFG18_TRIGBURST_Pos)                     /*!< DMA CFG18: TRIGBURST Mask               */
#define DMA_CFG18_BURSTPOWER_Pos              8                                                       /*!< DMA CFG18: BURSTPOWER Position          */
#define DMA_CFG18_BURSTPOWER_Msk              (0x0fUL << DMA_CFG18_BURSTPOWER_Pos)                    /*!< DMA CFG18: BURSTPOWER Mask              */
#define DMA_CFG18_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG18: SRCBURSTWRAP Position        */
#define DMA_CFG18_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG18_SRCBURSTWRAP_Pos)                  /*!< DMA CFG18: SRCBURSTWRAP Mask            */
#define DMA_CFG18_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG18: DSTBURSTWRAP Position        */
#define DMA_CFG18_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG18_DSTBURSTWRAP_Pos)                  /*!< DMA CFG18: DSTBURSTWRAP Mask            */
#define DMA_CFG18_CHPRIORITY_Pos              16                                                      /*!< DMA CFG18: CHPRIORITY Position          */
#define DMA_CFG18_CHPRIORITY_Msk              (0x07UL << DMA_CFG18_CHPRIORITY_Pos)                    /*!< DMA CFG18: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT18  ------------------------------- */
#define DMA_CTLSTAT18_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT18: VALIDPENDING Position    */
#define DMA_CTLSTAT18_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT18_VALIDPENDING_Pos)              /*!< DMA CTLSTAT18: VALIDPENDING Mask        */
#define DMA_CTLSTAT18_TRIG_Pos                2                                                       /*!< DMA CTLSTAT18: TRIG Position            */
#define DMA_CTLSTAT18_TRIG_Msk                (0x01UL << DMA_CTLSTAT18_TRIG_Pos)                      /*!< DMA CTLSTAT18: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG18  ------------------------------- */
#define DMA_XFERCFG18_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG18: CFGVALID Position        */
#define DMA_XFERCFG18_CFGVALID_Msk            (0x01UL << DMA_XFERCFG18_CFGVALID_Pos)                  /*!< DMA XFERCFG18: CFGVALID Mask            */
#define DMA_XFERCFG18_RELOAD_Pos              1                                                       /*!< DMA XFERCFG18: RELOAD Position          */
#define DMA_XFERCFG18_RELOAD_Msk              (0x01UL << DMA_XFERCFG18_RELOAD_Pos)                    /*!< DMA XFERCFG18: RELOAD Mask              */
#define DMA_XFERCFG18_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG18: SWTRIG Position          */
#define DMA_XFERCFG18_SWTRIG_Msk              (0x01UL << DMA_XFERCFG18_SWTRIG_Pos)                    /*!< DMA XFERCFG18: SWTRIG Mask              */
#define DMA_XFERCFG18_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG18: CLRTRIG Position         */
#define DMA_XFERCFG18_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG18_CLRTRIG_Pos)                   /*!< DMA XFERCFG18: CLRTRIG Mask             */
#define DMA_XFERCFG18_SETINTA_Pos             4                                                       /*!< DMA XFERCFG18: SETINTA Position         */
#define DMA_XFERCFG18_SETINTA_Msk             (0x01UL << DMA_XFERCFG18_SETINTA_Pos)                   /*!< DMA XFERCFG18: SETINTA Mask             */
#define DMA_XFERCFG18_SETINTB_Pos             5                                                       /*!< DMA XFERCFG18: SETINTB Position         */
#define DMA_XFERCFG18_SETINTB_Msk             (0x01UL << DMA_XFERCFG18_SETINTB_Pos)                   /*!< DMA XFERCFG18: SETINTB Mask             */
#define DMA_XFERCFG18_WIDTH_Pos               8                                                       /*!< DMA XFERCFG18: WIDTH Position           */
#define DMA_XFERCFG18_WIDTH_Msk               (0x03UL << DMA_XFERCFG18_WIDTH_Pos)                     /*!< DMA XFERCFG18: WIDTH Mask               */
#define DMA_XFERCFG18_SRCINC_Pos              12                                                      /*!< DMA XFERCFG18: SRCINC Position          */
#define DMA_XFERCFG18_SRCINC_Msk              (0x03UL << DMA_XFERCFG18_SRCINC_Pos)                    /*!< DMA XFERCFG18: SRCINC Mask              */
#define DMA_XFERCFG18_DSTINC_Pos              14                                                      /*!< DMA XFERCFG18: DSTINC Position          */
#define DMA_XFERCFG18_DSTINC_Msk              (0x03UL << DMA_XFERCFG18_DSTINC_Pos)                    /*!< DMA XFERCFG18: DSTINC Mask              */
#define DMA_XFERCFG18_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG18: XFERCOUNT Position       */
#define DMA_XFERCFG18_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG18_XFERCOUNT_Pos)           /*!< DMA XFERCFG18: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG19  --------------------------------- */
#define DMA_CFG19_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG19: PERIPHREQEN Position         */
#define DMA_CFG19_PERIPHREQEN_Msk             (0x01UL << DMA_CFG19_PERIPHREQEN_Pos)                   /*!< DMA CFG19: PERIPHREQEN Mask             */
#define DMA_CFG19_HWTRIGEN_Pos                1                                                       /*!< DMA CFG19: HWTRIGEN Position            */
#define DMA_CFG19_HWTRIGEN_Msk                (0x01UL << DMA_CFG19_HWTRIGEN_Pos)                      /*!< DMA CFG19: HWTRIGEN Mask                */
#define DMA_CFG19_TRIGPOL_Pos                 4                                                       /*!< DMA CFG19: TRIGPOL Position             */
#define DMA_CFG19_TRIGPOL_Msk                 (0x01UL << DMA_CFG19_TRIGPOL_Pos)                       /*!< DMA CFG19: TRIGPOL Mask                 */
#define DMA_CFG19_TRIGTYPE_Pos                5                                                       /*!< DMA CFG19: TRIGTYPE Position            */
#define DMA_CFG19_TRIGTYPE_Msk                (0x01UL << DMA_CFG19_TRIGTYPE_Pos)                      /*!< DMA CFG19: TRIGTYPE Mask                */
#define DMA_CFG19_TRIGBURST_Pos               6                                                       /*!< DMA CFG19: TRIGBURST Position           */
#define DMA_CFG19_TRIGBURST_Msk               (0x01UL << DMA_CFG19_TRIGBURST_Pos)                     /*!< DMA CFG19: TRIGBURST Mask               */
#define DMA_CFG19_BURSTPOWER_Pos              8                                                       /*!< DMA CFG19: BURSTPOWER Position          */
#define DMA_CFG19_BURSTPOWER_Msk              (0x0fUL << DMA_CFG19_BURSTPOWER_Pos)                    /*!< DMA CFG19: BURSTPOWER Mask              */
#define DMA_CFG19_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG19: SRCBURSTWRAP Position        */
#define DMA_CFG19_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG19_SRCBURSTWRAP_Pos)                  /*!< DMA CFG19: SRCBURSTWRAP Mask            */
#define DMA_CFG19_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG19: DSTBURSTWRAP Position        */
#define DMA_CFG19_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG19_DSTBURSTWRAP_Pos)                  /*!< DMA CFG19: DSTBURSTWRAP Mask            */
#define DMA_CFG19_CHPRIORITY_Pos              16                                                      /*!< DMA CFG19: CHPRIORITY Position          */
#define DMA_CFG19_CHPRIORITY_Msk              (0x07UL << DMA_CFG19_CHPRIORITY_Pos)                    /*!< DMA CFG19: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT19  ------------------------------- */
#define DMA_CTLSTAT19_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT19: VALIDPENDING Position    */
#define DMA_CTLSTAT19_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT19_VALIDPENDING_Pos)              /*!< DMA CTLSTAT19: VALIDPENDING Mask        */
#define DMA_CTLSTAT19_TRIG_Pos                2                                                       /*!< DMA CTLSTAT19: TRIG Position            */
#define DMA_CTLSTAT19_TRIG_Msk                (0x01UL << DMA_CTLSTAT19_TRIG_Pos)                      /*!< DMA CTLSTAT19: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG19  ------------------------------- */
#define DMA_XFERCFG19_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG19: CFGVALID Position        */
#define DMA_XFERCFG19_CFGVALID_Msk            (0x01UL << DMA_XFERCFG19_CFGVALID_Pos)                  /*!< DMA XFERCFG19: CFGVALID Mask            */
#define DMA_XFERCFG19_RELOAD_Pos              1                                                       /*!< DMA XFERCFG19: RELOAD Position          */
#define DMA_XFERCFG19_RELOAD_Msk              (0x01UL << DMA_XFERCFG19_RELOAD_Pos)                    /*!< DMA XFERCFG19: RELOAD Mask              */
#define DMA_XFERCFG19_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG19: SWTRIG Position          */
#define DMA_XFERCFG19_SWTRIG_Msk              (0x01UL << DMA_XFERCFG19_SWTRIG_Pos)                    /*!< DMA XFERCFG19: SWTRIG Mask              */
#define DMA_XFERCFG19_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG19: CLRTRIG Position         */
#define DMA_XFERCFG19_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG19_CLRTRIG_Pos)                   /*!< DMA XFERCFG19: CLRTRIG Mask             */
#define DMA_XFERCFG19_SETINTA_Pos             4                                                       /*!< DMA XFERCFG19: SETINTA Position         */
#define DMA_XFERCFG19_SETINTA_Msk             (0x01UL << DMA_XFERCFG19_SETINTA_Pos)                   /*!< DMA XFERCFG19: SETINTA Mask             */
#define DMA_XFERCFG19_SETINTB_Pos             5                                                       /*!< DMA XFERCFG19: SETINTB Position         */
#define DMA_XFERCFG19_SETINTB_Msk             (0x01UL << DMA_XFERCFG19_SETINTB_Pos)                   /*!< DMA XFERCFG19: SETINTB Mask             */
#define DMA_XFERCFG19_WIDTH_Pos               8                                                       /*!< DMA XFERCFG19: WIDTH Position           */
#define DMA_XFERCFG19_WIDTH_Msk               (0x03UL << DMA_XFERCFG19_WIDTH_Pos)                     /*!< DMA XFERCFG19: WIDTH Mask               */
#define DMA_XFERCFG19_SRCINC_Pos              12                                                      /*!< DMA XFERCFG19: SRCINC Position          */
#define DMA_XFERCFG19_SRCINC_Msk              (0x03UL << DMA_XFERCFG19_SRCINC_Pos)                    /*!< DMA XFERCFG19: SRCINC Mask              */
#define DMA_XFERCFG19_DSTINC_Pos              14                                                      /*!< DMA XFERCFG19: DSTINC Position          */
#define DMA_XFERCFG19_DSTINC_Msk              (0x03UL << DMA_XFERCFG19_DSTINC_Pos)                    /*!< DMA XFERCFG19: DSTINC Mask              */
#define DMA_XFERCFG19_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG19: XFERCOUNT Position       */
#define DMA_XFERCFG19_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG19_XFERCOUNT_Pos)           /*!< DMA XFERCFG19: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG20  --------------------------------- */
#define DMA_CFG20_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG20: PERIPHREQEN Position         */
#define DMA_CFG20_PERIPHREQEN_Msk             (0x01UL << DMA_CFG20_PERIPHREQEN_Pos)                   /*!< DMA CFG20: PERIPHREQEN Mask             */
#define DMA_CFG20_HWTRIGEN_Pos                1                                                       /*!< DMA CFG20: HWTRIGEN Position            */
#define DMA_CFG20_HWTRIGEN_Msk                (0x01UL << DMA_CFG20_HWTRIGEN_Pos)                      /*!< DMA CFG20: HWTRIGEN Mask                */
#define DMA_CFG20_TRIGPOL_Pos                 4                                                       /*!< DMA CFG20: TRIGPOL Position             */
#define DMA_CFG20_TRIGPOL_Msk                 (0x01UL << DMA_CFG20_TRIGPOL_Pos)                       /*!< DMA CFG20: TRIGPOL Mask                 */
#define DMA_CFG20_TRIGTYPE_Pos                5                                                       /*!< DMA CFG20: TRIGTYPE Position            */
#define DMA_CFG20_TRIGTYPE_Msk                (0x01UL << DMA_CFG20_TRIGTYPE_Pos)                      /*!< DMA CFG20: TRIGTYPE Mask                */
#define DMA_CFG20_TRIGBURST_Pos               6                                                       /*!< DMA CFG20: TRIGBURST Position           */
#define DMA_CFG20_TRIGBURST_Msk               (0x01UL << DMA_CFG20_TRIGBURST_Pos)                     /*!< DMA CFG20: TRIGBURST Mask               */
#define DMA_CFG20_BURSTPOWER_Pos              8                                                       /*!< DMA CFG20: BURSTPOWER Position          */
#define DMA_CFG20_BURSTPOWER_Msk              (0x0fUL << DMA_CFG20_BURSTPOWER_Pos)                    /*!< DMA CFG20: BURSTPOWER Mask              */
#define DMA_CFG20_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG20: SRCBURSTWRAP Position        */
#define DMA_CFG20_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG20_SRCBURSTWRAP_Pos)                  /*!< DMA CFG20: SRCBURSTWRAP Mask            */
#define DMA_CFG20_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG20: DSTBURSTWRAP Position        */
#define DMA_CFG20_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG20_DSTBURSTWRAP_Pos)                  /*!< DMA CFG20: DSTBURSTWRAP Mask            */
#define DMA_CFG20_CHPRIORITY_Pos              16                                                      /*!< DMA CFG20: CHPRIORITY Position          */
#define DMA_CFG20_CHPRIORITY_Msk              (0x07UL << DMA_CFG20_CHPRIORITY_Pos)                    /*!< DMA CFG20: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT20  ------------------------------- */
#define DMA_CTLSTAT20_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT20: VALIDPENDING Position    */
#define DMA_CTLSTAT20_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT20_VALIDPENDING_Pos)              /*!< DMA CTLSTAT20: VALIDPENDING Mask        */
#define DMA_CTLSTAT20_TRIG_Pos                2                                                       /*!< DMA CTLSTAT20: TRIG Position            */
#define DMA_CTLSTAT20_TRIG_Msk                (0x01UL << DMA_CTLSTAT20_TRIG_Pos)                      /*!< DMA CTLSTAT20: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG20  ------------------------------- */
#define DMA_XFERCFG20_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG20: CFGVALID Position        */
#define DMA_XFERCFG20_CFGVALID_Msk            (0x01UL << DMA_XFERCFG20_CFGVALID_Pos)                  /*!< DMA XFERCFG20: CFGVALID Mask            */
#define DMA_XFERCFG20_RELOAD_Pos              1                                                       /*!< DMA XFERCFG20: RELOAD Position          */
#define DMA_XFERCFG20_RELOAD_Msk              (0x01UL << DMA_XFERCFG20_RELOAD_Pos)                    /*!< DMA XFERCFG20: RELOAD Mask              */
#define DMA_XFERCFG20_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG20: SWTRIG Position          */
#define DMA_XFERCFG20_SWTRIG_Msk              (0x01UL << DMA_XFERCFG20_SWTRIG_Pos)                    /*!< DMA XFERCFG20: SWTRIG Mask              */
#define DMA_XFERCFG20_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG20: CLRTRIG Position         */
#define DMA_XFERCFG20_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG20_CLRTRIG_Pos)                   /*!< DMA XFERCFG20: CLRTRIG Mask             */
#define DMA_XFERCFG20_SETINTA_Pos             4                                                       /*!< DMA XFERCFG20: SETINTA Position         */
#define DMA_XFERCFG20_SETINTA_Msk             (0x01UL << DMA_XFERCFG20_SETINTA_Pos)                   /*!< DMA XFERCFG20: SETINTA Mask             */
#define DMA_XFERCFG20_SETINTB_Pos             5                                                       /*!< DMA XFERCFG20: SETINTB Position         */
#define DMA_XFERCFG20_SETINTB_Msk             (0x01UL << DMA_XFERCFG20_SETINTB_Pos)                   /*!< DMA XFERCFG20: SETINTB Mask             */
#define DMA_XFERCFG20_WIDTH_Pos               8                                                       /*!< DMA XFERCFG20: WIDTH Position           */
#define DMA_XFERCFG20_WIDTH_Msk               (0x03UL << DMA_XFERCFG20_WIDTH_Pos)                     /*!< DMA XFERCFG20: WIDTH Mask               */
#define DMA_XFERCFG20_SRCINC_Pos              12                                                      /*!< DMA XFERCFG20: SRCINC Position          */
#define DMA_XFERCFG20_SRCINC_Msk              (0x03UL << DMA_XFERCFG20_SRCINC_Pos)                    /*!< DMA XFERCFG20: SRCINC Mask              */
#define DMA_XFERCFG20_DSTINC_Pos              14                                                      /*!< DMA XFERCFG20: DSTINC Position          */
#define DMA_XFERCFG20_DSTINC_Msk              (0x03UL << DMA_XFERCFG20_DSTINC_Pos)                    /*!< DMA XFERCFG20: DSTINC Mask              */
#define DMA_XFERCFG20_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG20: XFERCOUNT Position       */
#define DMA_XFERCFG20_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG20_XFERCOUNT_Pos)           /*!< DMA XFERCFG20: XFERCOUNT Mask           */

/* ----------------------------------  DMA_CFG21  --------------------------------- */
#define DMA_CFG21_PERIPHREQEN_Pos             0                                                       /*!< DMA CFG21: PERIPHREQEN Position         */
#define DMA_CFG21_PERIPHREQEN_Msk             (0x01UL << DMA_CFG21_PERIPHREQEN_Pos)                   /*!< DMA CFG21: PERIPHREQEN Mask             */
#define DMA_CFG21_HWTRIGEN_Pos                1                                                       /*!< DMA CFG21: HWTRIGEN Position            */
#define DMA_CFG21_HWTRIGEN_Msk                (0x01UL << DMA_CFG21_HWTRIGEN_Pos)                      /*!< DMA CFG21: HWTRIGEN Mask                */
#define DMA_CFG21_TRIGPOL_Pos                 4                                                       /*!< DMA CFG21: TRIGPOL Position             */
#define DMA_CFG21_TRIGPOL_Msk                 (0x01UL << DMA_CFG21_TRIGPOL_Pos)                       /*!< DMA CFG21: TRIGPOL Mask                 */
#define DMA_CFG21_TRIGTYPE_Pos                5                                                       /*!< DMA CFG21: TRIGTYPE Position            */
#define DMA_CFG21_TRIGTYPE_Msk                (0x01UL << DMA_CFG21_TRIGTYPE_Pos)                      /*!< DMA CFG21: TRIGTYPE Mask                */
#define DMA_CFG21_TRIGBURST_Pos               6                                                       /*!< DMA CFG21: TRIGBURST Position           */
#define DMA_CFG21_TRIGBURST_Msk               (0x01UL << DMA_CFG21_TRIGBURST_Pos)                     /*!< DMA CFG21: TRIGBURST Mask               */
#define DMA_CFG21_BURSTPOWER_Pos              8                                                       /*!< DMA CFG21: BURSTPOWER Position          */
#define DMA_CFG21_BURSTPOWER_Msk              (0x0fUL << DMA_CFG21_BURSTPOWER_Pos)                    /*!< DMA CFG21: BURSTPOWER Mask              */
#define DMA_CFG21_SRCBURSTWRAP_Pos            14                                                      /*!< DMA CFG21: SRCBURSTWRAP Position        */
#define DMA_CFG21_SRCBURSTWRAP_Msk            (0x01UL << DMA_CFG21_SRCBURSTWRAP_Pos)                  /*!< DMA CFG21: SRCBURSTWRAP Mask            */
#define DMA_CFG21_DSTBURSTWRAP_Pos            15                                                      /*!< DMA CFG21: DSTBURSTWRAP Position        */
#define DMA_CFG21_DSTBURSTWRAP_Msk            (0x01UL << DMA_CFG21_DSTBURSTWRAP_Pos)                  /*!< DMA CFG21: DSTBURSTWRAP Mask            */
#define DMA_CFG21_CHPRIORITY_Pos              16                                                      /*!< DMA CFG21: CHPRIORITY Position          */
#define DMA_CFG21_CHPRIORITY_Msk              (0x07UL << DMA_CFG21_CHPRIORITY_Pos)                    /*!< DMA CFG21: CHPRIORITY Mask              */

/* --------------------------------  DMA_CTLSTAT21  ------------------------------- */
#define DMA_CTLSTAT21_VALIDPENDING_Pos        0                                                       /*!< DMA CTLSTAT21: VALIDPENDING Position    */
#define DMA_CTLSTAT21_VALIDPENDING_Msk        (0x01UL << DMA_CTLSTAT21_VALIDPENDING_Pos)              /*!< DMA CTLSTAT21: VALIDPENDING Mask        */
#define DMA_CTLSTAT21_TRIG_Pos                2                                                       /*!< DMA CTLSTAT21: TRIG Position            */
#define DMA_CTLSTAT21_TRIG_Msk                (0x01UL << DMA_CTLSTAT21_TRIG_Pos)                      /*!< DMA CTLSTAT21: TRIG Mask                */

/* --------------------------------  DMA_XFERCFG21  ------------------------------- */
#define DMA_XFERCFG21_CFGVALID_Pos            0                                                       /*!< DMA XFERCFG21: CFGVALID Position        */
#define DMA_XFERCFG21_CFGVALID_Msk            (0x01UL << DMA_XFERCFG21_CFGVALID_Pos)                  /*!< DMA XFERCFG21: CFGVALID Mask            */
#define DMA_XFERCFG21_RELOAD_Pos              1                                                       /*!< DMA XFERCFG21: RELOAD Position          */
#define DMA_XFERCFG21_RELOAD_Msk              (0x01UL << DMA_XFERCFG21_RELOAD_Pos)                    /*!< DMA XFERCFG21: RELOAD Mask              */
#define DMA_XFERCFG21_SWTRIG_Pos              2                                                       /*!< DMA XFERCFG21: SWTRIG Position          */
#define DMA_XFERCFG21_SWTRIG_Msk              (0x01UL << DMA_XFERCFG21_SWTRIG_Pos)                    /*!< DMA XFERCFG21: SWTRIG Mask              */
#define DMA_XFERCFG21_CLRTRIG_Pos             3                                                       /*!< DMA XFERCFG21: CLRTRIG Position         */
#define DMA_XFERCFG21_CLRTRIG_Msk             (0x01UL << DMA_XFERCFG21_CLRTRIG_Pos)                   /*!< DMA XFERCFG21: CLRTRIG Mask             */
#define DMA_XFERCFG21_SETINTA_Pos             4                                                       /*!< DMA XFERCFG21: SETINTA Position         */
#define DMA_XFERCFG21_SETINTA_Msk             (0x01UL << DMA_XFERCFG21_SETINTA_Pos)                   /*!< DMA XFERCFG21: SETINTA Mask             */
#define DMA_XFERCFG21_SETINTB_Pos             5                                                       /*!< DMA XFERCFG21: SETINTB Position         */
#define DMA_XFERCFG21_SETINTB_Msk             (0x01UL << DMA_XFERCFG21_SETINTB_Pos)                   /*!< DMA XFERCFG21: SETINTB Mask             */
#define DMA_XFERCFG21_WIDTH_Pos               8                                                       /*!< DMA XFERCFG21: WIDTH Position           */
#define DMA_XFERCFG21_WIDTH_Msk               (0x03UL << DMA_XFERCFG21_WIDTH_Pos)                     /*!< DMA XFERCFG21: WIDTH Mask               */
#define DMA_XFERCFG21_SRCINC_Pos              12                                                      /*!< DMA XFERCFG21: SRCINC Position          */
#define DMA_XFERCFG21_SRCINC_Msk              (0x03UL << DMA_XFERCFG21_SRCINC_Pos)                    /*!< DMA XFERCFG21: SRCINC Mask              */
#define DMA_XFERCFG21_DSTINC_Pos              14                                                      /*!< DMA XFERCFG21: DSTINC Position          */
#define DMA_XFERCFG21_DSTINC_Msk              (0x03UL << DMA_XFERCFG21_DSTINC_Pos)                    /*!< DMA XFERCFG21: DSTINC Mask              */
#define DMA_XFERCFG21_XFERCOUNT_Pos           16                                                      /*!< DMA XFERCFG21: XFERCOUNT Position       */
#define DMA_XFERCFG21_XFERCOUNT_Msk           (0x000003ffUL << DMA_XFERCFG21_XFERCOUNT_Pos)           /*!< DMA XFERCFG21: XFERCOUNT Mask           */


/* ================================================================================ */
/* ================          struct 'CRC' Position & Mask          ================ */
/* ================================================================================ */


/* ----------------------------------  CRC_MODE  ---------------------------------- */
#define CRC_MODE_CRC_POLY_Pos                 0                                                       /*!< CRC MODE: CRC_POLY Position             */
#define CRC_MODE_CRC_POLY_Msk                 (0x03UL << CRC_MODE_CRC_POLY_Pos)                       /*!< CRC MODE: CRC_POLY Mask                 */
#define CRC_MODE_BIT_RVS_WR_Pos               2                                                       /*!< CRC MODE: BIT_RVS_WR Position           */
#define CRC_MODE_BIT_RVS_WR_Msk               (0x01UL << CRC_MODE_BIT_RVS_WR_Pos)                     /*!< CRC MODE: BIT_RVS_WR Mask               */
#define CRC_MODE_CMPL_WR_Pos                  3                                                       /*!< CRC MODE: CMPL_WR Position              */
#define CRC_MODE_CMPL_WR_Msk                  (0x01UL << CRC_MODE_CMPL_WR_Pos)                        /*!< CRC MODE: CMPL_WR Mask                  */
#define CRC_MODE_BIT_RVS_SUM_Pos              4                                                       /*!< CRC MODE: BIT_RVS_SUM Position          */
#define CRC_MODE_BIT_RVS_SUM_Msk              (0x01UL << CRC_MODE_BIT_RVS_SUM_Pos)                    /*!< CRC MODE: BIT_RVS_SUM Mask              */
#define CRC_MODE_CMPL_SUM_Pos                 5                                                       /*!< CRC MODE: CMPL_SUM Position             */
#define CRC_MODE_CMPL_SUM_Msk                 (0x01UL << CRC_MODE_CMPL_SUM_Pos)                       /*!< CRC MODE: CMPL_SUM Mask                 */

/* ----------------------------------  CRC_SEED  ---------------------------------- */
#define CRC_SEED_CRC_SEED_Pos                 0                                                       /*!< CRC SEED: CRC_SEED Position             */
#define CRC_SEED_CRC_SEED_Msk                 (0xffffffffUL << CRC_SEED_CRC_SEED_Pos)                 /*!< CRC SEED: CRC_SEED Mask                 */

/* -----------------------------------  CRC_SUM  ---------------------------------- */
#define CRC_SUM_CRC_SUM_Pos                   0                                                       /*!< CRC SUM: CRC_SUM Position               */
#define CRC_SUM_CRC_SUM_Msk                   (0xffffffffUL << CRC_SUM_CRC_SUM_Pos)                   /*!< CRC SUM: CRC_SUM Mask                   */

/* ---------------------------------  CRC_WR_DATA  -------------------------------- */
#define CRC_WR_DATA_CRC_WR_DATA_Pos           0                                                       /*!< CRC WR_DATA: CRC_WR_DATA Position       */
#define CRC_WR_DATA_CRC_WR_DATA_Msk           (0xffffffffUL << CRC_WR_DATA_CRC_WR_DATA_Pos)           /*!< CRC WR_DATA: CRC_WR_DATA Mask           */


/* ================================================================================ */
/* ================          struct 'SCT0' Position & Mask         ================ */
/* ================================================================================ */


/* ---------------------------------  SCT0_CONFIG  -------------------------------- */
#define SCT0_CONFIG_UNIFY_Pos                 0                                                       /*!< SCT0 CONFIG: UNIFY Position             */
#define SCT0_CONFIG_UNIFY_Msk                 (0x01UL << SCT0_CONFIG_UNIFY_Pos)                       /*!< SCT0 CONFIG: UNIFY Mask                 */
#define SCT0_CONFIG_CLKMODE_Pos               1                                                       /*!< SCT0 CONFIG: CLKMODE Position           */
#define SCT0_CONFIG_CLKMODE_Msk               (0x03UL << SCT0_CONFIG_CLKMODE_Pos)                     /*!< SCT0 CONFIG: CLKMODE Mask               */
#define SCT0_CONFIG_CKSEL_Pos                 3                                                       /*!< SCT0 CONFIG: CKSEL Position             */
#define SCT0_CONFIG_CKSEL_Msk                 (0x0fUL << SCT0_CONFIG_CKSEL_Pos)                       /*!< SCT0 CONFIG: CKSEL Mask                 */
#define SCT0_CONFIG_NORELOAD_L_Pos            7                                                       /*!< SCT0 CONFIG: NORELOAD_L Position        */
#define SCT0_CONFIG_NORELOAD_L_Msk            (0x01UL << SCT0_CONFIG_NORELOAD_L_Pos)                  /*!< SCT0 CONFIG: NORELOAD_L Mask            */
#define SCT0_CONFIG_NORELOAD_H_Pos            8                                                       /*!< SCT0 CONFIG: NORELOAD_H Position        */
#define SCT0_CONFIG_NORELOAD_H_Msk            (0x01UL << SCT0_CONFIG_NORELOAD_H_Pos)                  /*!< SCT0 CONFIG: NORELOAD_H Mask            */
#define SCT0_CONFIG_INSYNC_Pos                9                                                       /*!< SCT0 CONFIG: INSYNC Position            */
#define SCT0_CONFIG_INSYNC_Msk                (0x3fUL << SCT0_CONFIG_INSYNC_Pos)                      /*!< SCT0 CONFIG: INSYNC Mask                */
#define SCT0_CONFIG_AUTOLIMIT_L_Pos           17                                                      /*!< SCT0 CONFIG: AUTOLIMIT_L Position       */
#define SCT0_CONFIG_AUTOLIMIT_L_Msk           (0x01UL << SCT0_CONFIG_AUTOLIMIT_L_Pos)                 /*!< SCT0 CONFIG: AUTOLIMIT_L Mask           */
#define SCT0_CONFIG_AUTOLIMIT_H_Pos           18                                                      /*!< SCT0 CONFIG: AUTOLIMIT_H Position       */
#define SCT0_CONFIG_AUTOLIMIT_H_Msk           (0x01UL << SCT0_CONFIG_AUTOLIMIT_H_Pos)                 /*!< SCT0 CONFIG: AUTOLIMIT_H Mask           */

/* ----------------------------------  SCT0_CTRL  --------------------------------- */
#define SCT0_CTRL_DOWN_L_Pos                  0                                                       /*!< SCT0 CTRL: DOWN_L Position              */
#define SCT0_CTRL_DOWN_L_Msk                  (0x01UL << SCT0_CTRL_DOWN_L_Pos)                        /*!< SCT0 CTRL: DOWN_L Mask                  */
#define SCT0_CTRL_STOP_L_Pos                  1                                                       /*!< SCT0 CTRL: STOP_L Position              */
#define SCT0_CTRL_STOP_L_Msk                  (0x01UL << SCT0_CTRL_STOP_L_Pos)                        /*!< SCT0 CTRL: STOP_L Mask                  */
#define SCT0_CTRL_HALT_L_Pos                  2                                                       /*!< SCT0 CTRL: HALT_L Position              */
#define SCT0_CTRL_HALT_L_Msk                  (0x01UL << SCT0_CTRL_HALT_L_Pos)                        /*!< SCT0 CTRL: HALT_L Mask                  */
#define SCT0_CTRL_CLRCTR_L_Pos                3                                                       /*!< SCT0 CTRL: CLRCTR_L Position            */
#define SCT0_CTRL_CLRCTR_L_Msk                (0x01UL << SCT0_CTRL_CLRCTR_L_Pos)                      /*!< SCT0 CTRL: CLRCTR_L Mask                */
#define SCT0_CTRL_BIDIR_L_Pos                 4                                                       /*!< SCT0 CTRL: BIDIR_L Position             */
#define SCT0_CTRL_BIDIR_L_Msk                 (0x01UL << SCT0_CTRL_BIDIR_L_Pos)                       /*!< SCT0 CTRL: BIDIR_L Mask                 */
#define SCT0_CTRL_PRE_L_Pos                   5                                                       /*!< SCT0 CTRL: PRE_L Position               */
#define SCT0_CTRL_PRE_L_Msk                   (0x000000ffUL << SCT0_CTRL_PRE_L_Pos)                   /*!< SCT0 CTRL: PRE_L Mask                   */
#define SCT0_CTRL_DOWN_H_Pos                  16                                                      /*!< SCT0 CTRL: DOWN_H Position              */
#define SCT0_CTRL_DOWN_H_Msk                  (0x01UL << SCT0_CTRL_DOWN_H_Pos)                        /*!< SCT0 CTRL: DOWN_H Mask                  */
#define SCT0_CTRL_STOP_H_Pos                  17                                                      /*!< SCT0 CTRL: STOP_H Position              */
#define SCT0_CTRL_STOP_H_Msk                  (0x01UL << SCT0_CTRL_STOP_H_Pos)                        /*!< SCT0 CTRL: STOP_H Mask                  */
#define SCT0_CTRL_HALT_H_Pos                  18                                                      /*!< SCT0 CTRL: HALT_H Position              */
#define SCT0_CTRL_HALT_H_Msk                  (0x01UL << SCT0_CTRL_HALT_H_Pos)                        /*!< SCT0 CTRL: HALT_H Mask                  */
#define SCT0_CTRL_CLRCTR_H_Pos                19                                                      /*!< SCT0 CTRL: CLRCTR_H Position            */
#define SCT0_CTRL_CLRCTR_H_Msk                (0x01UL << SCT0_CTRL_CLRCTR_H_Pos)                      /*!< SCT0 CTRL: CLRCTR_H Mask                */
#define SCT0_CTRL_BIDIR_H_Pos                 20                                                      /*!< SCT0 CTRL: BIDIR_H Position             */
#define SCT0_CTRL_BIDIR_H_Msk                 (0x01UL << SCT0_CTRL_BIDIR_H_Pos)                       /*!< SCT0 CTRL: BIDIR_H Mask                 */
#define SCT0_CTRL_PRE_H_Pos                   21                                                      /*!< SCT0 CTRL: PRE_H Position               */
#define SCT0_CTRL_PRE_H_Msk                   (0x000000ffUL << SCT0_CTRL_PRE_H_Pos)                   /*!< SCT0 CTRL: PRE_H Mask                   */

/* ---------------------------------  SCT0_LIMIT  --------------------------------- */
#define SCT0_LIMIT_LIMMSK_L_Pos               0                                                       /*!< SCT0 LIMIT: LIMMSK_L Position           */
#define SCT0_LIMIT_LIMMSK_L_Msk               (0x0000ffffUL << SCT0_LIMIT_LIMMSK_L_Pos)               /*!< SCT0 LIMIT: LIMMSK_L Mask               */
#define SCT0_LIMIT_LIMMSK_H_Pos               16                                                      /*!< SCT0 LIMIT: LIMMSK_H Position           */
#define SCT0_LIMIT_LIMMSK_H_Msk               (0x0000ffffUL << SCT0_LIMIT_LIMMSK_H_Pos)               /*!< SCT0 LIMIT: LIMMSK_H Mask               */

/* ----------------------------------  SCT0_HALT  --------------------------------- */
#define SCT0_HALT_HALTMSK_L_Pos               0                                                       /*!< SCT0 HALT: HALTMSK_L Position           */
#define SCT0_HALT_HALTMSK_L_Msk               (0x0000ffffUL << SCT0_HALT_HALTMSK_L_Pos)               /*!< SCT0 HALT: HALTMSK_L Mask               */
#define SCT0_HALT_HALTMSK_H_Pos               16                                                      /*!< SCT0 HALT: HALTMSK_H Position           */
#define SCT0_HALT_HALTMSK_H_Msk               (0x0000ffffUL << SCT0_HALT_HALTMSK_H_Pos)               /*!< SCT0 HALT: HALTMSK_H Mask               */

/* ----------------------------------  SCT0_STOP  --------------------------------- */
#define SCT0_STOP_STOPMSK_L_Pos               0                                                       /*!< SCT0 STOP: STOPMSK_L Position           */
#define SCT0_STOP_STOPMSK_L_Msk               (0x0000ffffUL << SCT0_STOP_STOPMSK_L_Pos)               /*!< SCT0 STOP: STOPMSK_L Mask               */
#define SCT0_STOP_STOPMSK_H_Pos               16                                                      /*!< SCT0 STOP: STOPMSK_H Position           */
#define SCT0_STOP_STOPMSK_H_Msk               (0x0000ffffUL << SCT0_STOP_STOPMSK_H_Pos)               /*!< SCT0 STOP: STOPMSK_H Mask               */

/* ---------------------------------  SCT0_START  --------------------------------- */
#define SCT0_START_STARTMSK_L_Pos             0                                                       /*!< SCT0 START: STARTMSK_L Position         */
#define SCT0_START_STARTMSK_L_Msk             (0x0000ffffUL << SCT0_START_STARTMSK_L_Pos)             /*!< SCT0 START: STARTMSK_L Mask             */
#define SCT0_START_STARTMSK_H_Pos             16                                                      /*!< SCT0 START: STARTMSK_H Position         */
#define SCT0_START_STARTMSK_H_Msk             (0x0000ffffUL << SCT0_START_STARTMSK_H_Pos)             /*!< SCT0 START: STARTMSK_H Mask             */

/* ---------------------------------  SCT0_COUNT  --------------------------------- */
#define SCT0_COUNT_CTR_L_Pos                  0                                                       /*!< SCT0 COUNT: CTR_L Position              */
#define SCT0_COUNT_CTR_L_Msk                  (0x0000ffffUL << SCT0_COUNT_CTR_L_Pos)                  /*!< SCT0 COUNT: CTR_L Mask                  */
#define SCT0_COUNT_CTR_H_Pos                  16                                                      /*!< SCT0 COUNT: CTR_H Position              */
#define SCT0_COUNT_CTR_H_Msk                  (0x0000ffffUL << SCT0_COUNT_CTR_H_Pos)                  /*!< SCT0 COUNT: CTR_H Mask                  */

/* ---------------------------------  SCT0_STATE  --------------------------------- */
#define SCT0_STATE_STATE_L_Pos                0                                                       /*!< SCT0 STATE: STATE_L Position            */
#define SCT0_STATE_STATE_L_Msk                (0x1fUL << SCT0_STATE_STATE_L_Pos)                      /*!< SCT0 STATE: STATE_L Mask                */
#define SCT0_STATE_STATE_H_Pos                16                                                      /*!< SCT0 STATE: STATE_H Position            */
#define SCT0_STATE_STATE_H_Msk                (0x1fUL << SCT0_STATE_STATE_H_Pos)                      /*!< SCT0 STATE: STATE_H Mask                */

/* ---------------------------------  SCT0_INPUT  --------------------------------- */
#define SCT0_INPUT_AIN0_Pos                   0                                                       /*!< SCT0 INPUT: AIN0 Position               */
#define SCT0_INPUT_AIN0_Msk                   (0x01UL << SCT0_INPUT_AIN0_Pos)                         /*!< SCT0 INPUT: AIN0 Mask                   */
#define SCT0_INPUT_AIN1_Pos                   1                                                       /*!< SCT0 INPUT: AIN1 Position               */
#define SCT0_INPUT_AIN1_Msk                   (0x01UL << SCT0_INPUT_AIN1_Pos)                         /*!< SCT0 INPUT: AIN1 Mask                   */
#define SCT0_INPUT_AIN2_Pos                   2                                                       /*!< SCT0 INPUT: AIN2 Position               */
#define SCT0_INPUT_AIN2_Msk                   (0x01UL << SCT0_INPUT_AIN2_Pos)                         /*!< SCT0 INPUT: AIN2 Mask                   */
#define SCT0_INPUT_AIN3_Pos                   3                                                       /*!< SCT0 INPUT: AIN3 Position               */
#define SCT0_INPUT_AIN3_Msk                   (0x01UL << SCT0_INPUT_AIN3_Pos)                         /*!< SCT0 INPUT: AIN3 Mask                   */
#define SCT0_INPUT_AIN4_Pos                   4                                                       /*!< SCT0 INPUT: AIN4 Position               */
#define SCT0_INPUT_AIN4_Msk                   (0x01UL << SCT0_INPUT_AIN4_Pos)                         /*!< SCT0 INPUT: AIN4 Mask                   */
#define SCT0_INPUT_AIN5_Pos                   5                                                       /*!< SCT0 INPUT: AIN5 Position               */
#define SCT0_INPUT_AIN5_Msk                   (0x01UL << SCT0_INPUT_AIN5_Pos)                         /*!< SCT0 INPUT: AIN5 Mask                   */
#define SCT0_INPUT_SIN0_Pos                   16                                                      /*!< SCT0 INPUT: SIN0 Position               */
#define SCT0_INPUT_SIN0_Msk                   (0x01UL << SCT0_INPUT_SIN0_Pos)                         /*!< SCT0 INPUT: SIN0 Mask                   */
#define SCT0_INPUT_SIN1_Pos                   17                                                      /*!< SCT0 INPUT: SIN1 Position               */
#define SCT0_INPUT_SIN1_Msk                   (0x01UL << SCT0_INPUT_SIN1_Pos)                         /*!< SCT0 INPUT: SIN1 Mask                   */
#define SCT0_INPUT_SIN2_Pos                   18                                                      /*!< SCT0 INPUT: SIN2 Position               */
#define SCT0_INPUT_SIN2_Msk                   (0x01UL << SCT0_INPUT_SIN2_Pos)                         /*!< SCT0 INPUT: SIN2 Mask                   */
#define SCT0_INPUT_SIN3_Pos                   19                                                      /*!< SCT0 INPUT: SIN3 Position               */
#define SCT0_INPUT_SIN3_Msk                   (0x01UL << SCT0_INPUT_SIN3_Pos)                         /*!< SCT0 INPUT: SIN3 Mask                   */
#define SCT0_INPUT_SIN4_Pos                   20                                                      /*!< SCT0 INPUT: SIN4 Position               */
#define SCT0_INPUT_SIN4_Msk                   (0x01UL << SCT0_INPUT_SIN4_Pos)                         /*!< SCT0 INPUT: SIN4 Mask                   */
#define SCT0_INPUT_SIN5_Pos                   21                                                      /*!< SCT0 INPUT: SIN5 Position               */
#define SCT0_INPUT_SIN5_Msk                   (0x01UL << SCT0_INPUT_SIN5_Pos)                         /*!< SCT0 INPUT: SIN5 Mask                   */

/* --------------------------------  SCT0_REGMODE  -------------------------------- */
#define SCT0_REGMODE_REGMOD_L_Pos             0                                                       /*!< SCT0 REGMODE: REGMOD_L Position         */
#define SCT0_REGMODE_REGMOD_L_Msk             (0x0000ffffUL << SCT0_REGMODE_REGMOD_L_Pos)             /*!< SCT0 REGMODE: REGMOD_L Mask             */
#define SCT0_REGMODE_REGMOD_H_Pos             16                                                      /*!< SCT0 REGMODE: REGMOD_H Position         */
#define SCT0_REGMODE_REGMOD_H_Msk             (0x0000ffffUL << SCT0_REGMODE_REGMOD_H_Pos)             /*!< SCT0 REGMODE: REGMOD_H Mask             */

/* ---------------------------------  SCT0_OUTPUT  -------------------------------- */
#define SCT0_OUTPUT_OUT_Pos                   0                                                       /*!< SCT0 OUTPUT: OUT Position               */
#define SCT0_OUTPUT_OUT_Msk                   (0x000000ffUL << SCT0_OUTPUT_OUT_Pos)                   /*!< SCT0 OUTPUT: OUT Mask                   */

/* -----------------------------  SCT0_OUTPUTDIRCTRL  ----------------------------- */
#define SCT0_OUTPUTDIRCTRL_SETCLR0_Pos        0                                                       /*!< SCT0 OUTPUTDIRCTRL: SETCLR0 Position    */
#define SCT0_OUTPUTDIRCTRL_SETCLR0_Msk        (0x03UL << SCT0_OUTPUTDIRCTRL_SETCLR0_Pos)              /*!< SCT0 OUTPUTDIRCTRL: SETCLR0 Mask        */
#define SCT0_OUTPUTDIRCTRL_SETCLR1_Pos        2                                                       /*!< SCT0 OUTPUTDIRCTRL: SETCLR1 Position    */
#define SCT0_OUTPUTDIRCTRL_SETCLR1_Msk        (0x03UL << SCT0_OUTPUTDIRCTRL_SETCLR1_Pos)              /*!< SCT0 OUTPUTDIRCTRL: SETCLR1 Mask        */
#define SCT0_OUTPUTDIRCTRL_SETCLR2_Pos        4                                                       /*!< SCT0 OUTPUTDIRCTRL: SETCLR2 Position    */
#define SCT0_OUTPUTDIRCTRL_SETCLR2_Msk        (0x03UL << SCT0_OUTPUTDIRCTRL_SETCLR2_Pos)              /*!< SCT0 OUTPUTDIRCTRL: SETCLR2 Mask        */
#define SCT0_OUTPUTDIRCTRL_SETCLR3_Pos        6                                                       /*!< SCT0 OUTPUTDIRCTRL: SETCLR3 Position    */
#define SCT0_OUTPUTDIRCTRL_SETCLR3_Msk        (0x03UL << SCT0_OUTPUTDIRCTRL_SETCLR3_Pos)              /*!< SCT0 OUTPUTDIRCTRL: SETCLR3 Mask        */
#define SCT0_OUTPUTDIRCTRL_SETCLR4_Pos        8                                                       /*!< SCT0 OUTPUTDIRCTRL: SETCLR4 Position    */
#define SCT0_OUTPUTDIRCTRL_SETCLR4_Msk        (0x03UL << SCT0_OUTPUTDIRCTRL_SETCLR4_Pos)              /*!< SCT0 OUTPUTDIRCTRL: SETCLR4 Mask        */
#define SCT0_OUTPUTDIRCTRL_SETCLR5_Pos        10                                                      /*!< SCT0 OUTPUTDIRCTRL: SETCLR5 Position    */
#define SCT0_OUTPUTDIRCTRL_SETCLR5_Msk        (0x03UL << SCT0_OUTPUTDIRCTRL_SETCLR5_Pos)              /*!< SCT0 OUTPUTDIRCTRL: SETCLR5 Mask        */
#define SCT0_OUTPUTDIRCTRL_SETCLR6_Pos        12                                                      /*!< SCT0 OUTPUTDIRCTRL: SETCLR6 Position    */
#define SCT0_OUTPUTDIRCTRL_SETCLR6_Msk        (0x03UL << SCT0_OUTPUTDIRCTRL_SETCLR6_Pos)              /*!< SCT0 OUTPUTDIRCTRL: SETCLR6 Mask        */
#define SCT0_OUTPUTDIRCTRL_SETCLR7_Pos        14                                                      /*!< SCT0 OUTPUTDIRCTRL: SETCLR7 Position    */
#define SCT0_OUTPUTDIRCTRL_SETCLR7_Msk        (0x03UL << SCT0_OUTPUTDIRCTRL_SETCLR7_Pos)              /*!< SCT0 OUTPUTDIRCTRL: SETCLR7 Mask        */

/* ----------------------------------  SCT0_RES  ---------------------------------- */
#define SCT0_RES_O0RES_Pos                    0                                                       /*!< SCT0 RES: O0RES Position                */
#define SCT0_RES_O0RES_Msk                    (0x03UL << SCT0_RES_O0RES_Pos)                          /*!< SCT0 RES: O0RES Mask                    */
#define SCT0_RES_O1RES_Pos                    2                                                       /*!< SCT0 RES: O1RES Position                */
#define SCT0_RES_O1RES_Msk                    (0x03UL << SCT0_RES_O1RES_Pos)                          /*!< SCT0 RES: O1RES Mask                    */
#define SCT0_RES_O2RES_Pos                    4                                                       /*!< SCT0 RES: O2RES Position                */
#define SCT0_RES_O2RES_Msk                    (0x03UL << SCT0_RES_O2RES_Pos)                          /*!< SCT0 RES: O2RES Mask                    */
#define SCT0_RES_O3RES_Pos                    6                                                       /*!< SCT0 RES: O3RES Position                */
#define SCT0_RES_O3RES_Msk                    (0x03UL << SCT0_RES_O3RES_Pos)                          /*!< SCT0 RES: O3RES Mask                    */
#define SCT0_RES_O4RES_Pos                    8                                                       /*!< SCT0 RES: O4RES Position                */
#define SCT0_RES_O4RES_Msk                    (0x03UL << SCT0_RES_O4RES_Pos)                          /*!< SCT0 RES: O4RES Mask                    */
#define SCT0_RES_O5RES_Pos                    10                                                      /*!< SCT0 RES: O5RES Position                */
#define SCT0_RES_O5RES_Msk                    (0x03UL << SCT0_RES_O5RES_Pos)                          /*!< SCT0 RES: O5RES Mask                    */
#define SCT0_RES_O6RES_Pos                    12                                                      /*!< SCT0 RES: O6RES Position                */
#define SCT0_RES_O6RES_Msk                    (0x03UL << SCT0_RES_O6RES_Pos)                          /*!< SCT0 RES: O6RES Mask                    */
#define SCT0_RES_O7RES_Pos                    14                                                      /*!< SCT0 RES: O7RES Position                */
#define SCT0_RES_O7RES_Msk                    (0x03UL << SCT0_RES_O7RES_Pos)                          /*!< SCT0 RES: O7RES Mask                    */

/* --------------------------------  SCT0_DMAREQ0  -------------------------------- */
#define SCT0_DMAREQ0_DEV_0_Pos                0                                                       /*!< SCT0 DMAREQ0: DEV_0 Position            */
#define SCT0_DMAREQ0_DEV_0_Msk                (0x0000ffffUL << SCT0_DMAREQ0_DEV_0_Pos)                /*!< SCT0 DMAREQ0: DEV_0 Mask                */
#define SCT0_DMAREQ0_DRL0_Pos                 30                                                      /*!< SCT0 DMAREQ0: DRL0 Position             */
#define SCT0_DMAREQ0_DRL0_Msk                 (0x01UL << SCT0_DMAREQ0_DRL0_Pos)                       /*!< SCT0 DMAREQ0: DRL0 Mask                 */
#define SCT0_DMAREQ0_DRQ0_Pos                 31                                                      /*!< SCT0 DMAREQ0: DRQ0 Position             */
#define SCT0_DMAREQ0_DRQ0_Msk                 (0x01UL << SCT0_DMAREQ0_DRQ0_Pos)                       /*!< SCT0 DMAREQ0: DRQ0 Mask                 */

/* --------------------------------  SCT0_DMAREQ1  -------------------------------- */
#define SCT0_DMAREQ1_DEV_1_Pos                0                                                       /*!< SCT0 DMAREQ1: DEV_1 Position            */
#define SCT0_DMAREQ1_DEV_1_Msk                (0x0000ffffUL << SCT0_DMAREQ1_DEV_1_Pos)                /*!< SCT0 DMAREQ1: DEV_1 Mask                */
#define SCT0_DMAREQ1_DRL1_Pos                 30                                                      /*!< SCT0 DMAREQ1: DRL1 Position             */
#define SCT0_DMAREQ1_DRL1_Msk                 (0x01UL << SCT0_DMAREQ1_DRL1_Pos)                       /*!< SCT0 DMAREQ1: DRL1 Mask                 */
#define SCT0_DMAREQ1_DRQ1_Pos                 31                                                      /*!< SCT0 DMAREQ1: DRQ1 Position             */
#define SCT0_DMAREQ1_DRQ1_Msk                 (0x01UL << SCT0_DMAREQ1_DRQ1_Pos)                       /*!< SCT0 DMAREQ1: DRQ1 Mask                 */

/* ----------------------------------  SCT0_EVEN  --------------------------------- */
#define SCT0_EVEN_IEN_Pos                     0                                                       /*!< SCT0 EVEN: IEN Position                 */
#define SCT0_EVEN_IEN_Msk                     (0x0000ffffUL << SCT0_EVEN_IEN_Pos)                     /*!< SCT0 EVEN: IEN Mask                     */

/* ---------------------------------  SCT0_EVFLAG  -------------------------------- */
#define SCT0_EVFLAG_FLAG_Pos                  0                                                       /*!< SCT0 EVFLAG: FLAG Position              */
#define SCT0_EVFLAG_FLAG_Msk                  (0x0000ffffUL << SCT0_EVFLAG_FLAG_Pos)                  /*!< SCT0 EVFLAG: FLAG Mask                  */

/* ---------------------------------  SCT0_CONEN  --------------------------------- */
#define SCT0_CONEN_NCEN_Pos                   0                                                       /*!< SCT0 CONEN: NCEN Position               */
#define SCT0_CONEN_NCEN_Msk                   (0x000000ffUL << SCT0_CONEN_NCEN_Pos)                   /*!< SCT0 CONEN: NCEN Mask                   */

/* --------------------------------  SCT0_CONFLAG  -------------------------------- */
#define SCT0_CONFLAG_NCFLAG_Pos               0                                                       /*!< SCT0 CONFLAG: NCFLAG Position           */
#define SCT0_CONFLAG_NCFLAG_Msk               (0x000000ffUL << SCT0_CONFLAG_NCFLAG_Pos)               /*!< SCT0 CONFLAG: NCFLAG Mask               */
#define SCT0_CONFLAG_BUSERRL_Pos              30                                                      /*!< SCT0 CONFLAG: BUSERRL Position          */
#define SCT0_CONFLAG_BUSERRL_Msk              (0x01UL << SCT0_CONFLAG_BUSERRL_Pos)                    /*!< SCT0 CONFLAG: BUSERRL Mask              */
#define SCT0_CONFLAG_BUSERRH_Pos              31                                                      /*!< SCT0 CONFLAG: BUSERRH Position          */
#define SCT0_CONFLAG_BUSERRH_Msk              (0x01UL << SCT0_CONFLAG_BUSERRH_Pos)                    /*!< SCT0 CONFLAG: BUSERRH Mask              */

/* ---------------------------------  SCT0_MATCH0  -------------------------------- */
#define SCT0_MATCH0_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH0: MATCHn_L Position          */
#define SCT0_MATCH0_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH0_MATCHn_L_Pos)              /*!< SCT0 MATCH0: MATCHn_L Mask              */
#define SCT0_MATCH0_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH0: MATCHn_H Position          */
#define SCT0_MATCH0_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH0_MATCHn_H_Pos)              /*!< SCT0 MATCH0: MATCHn_H Mask              */

/* ----------------------------------  SCT0_CAP0  --------------------------------- */
#define SCT0_CAP0_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP0: CAPn_L Position              */
#define SCT0_CAP0_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP0_CAPn_L_Pos)                  /*!< SCT0 CAP0: CAPn_L Mask                  */
#define SCT0_CAP0_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP0: CAPn_H Position              */
#define SCT0_CAP0_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP0_CAPn_H_Pos)                  /*!< SCT0 CAP0: CAPn_H Mask                  */

/* ---------------------------------  SCT0_MATCH1  -------------------------------- */
#define SCT0_MATCH1_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH1: MATCHn_L Position          */
#define SCT0_MATCH1_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH1_MATCHn_L_Pos)              /*!< SCT0 MATCH1: MATCHn_L Mask              */
#define SCT0_MATCH1_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH1: MATCHn_H Position          */
#define SCT0_MATCH1_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH1_MATCHn_H_Pos)              /*!< SCT0 MATCH1: MATCHn_H Mask              */

/* ----------------------------------  SCT0_CAP1  --------------------------------- */
#define SCT0_CAP1_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP1: CAPn_L Position              */
#define SCT0_CAP1_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP1_CAPn_L_Pos)                  /*!< SCT0 CAP1: CAPn_L Mask                  */
#define SCT0_CAP1_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP1: CAPn_H Position              */
#define SCT0_CAP1_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP1_CAPn_H_Pos)                  /*!< SCT0 CAP1: CAPn_H Mask                  */

/* ----------------------------------  SCT0_CAP2  --------------------------------- */
#define SCT0_CAP2_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP2: CAPn_L Position              */
#define SCT0_CAP2_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP2_CAPn_L_Pos)                  /*!< SCT0 CAP2: CAPn_L Mask                  */
#define SCT0_CAP2_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP2: CAPn_H Position              */
#define SCT0_CAP2_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP2_CAPn_H_Pos)                  /*!< SCT0 CAP2: CAPn_H Mask                  */

/* ---------------------------------  SCT0_MATCH2  -------------------------------- */
#define SCT0_MATCH2_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH2: MATCHn_L Position          */
#define SCT0_MATCH2_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH2_MATCHn_L_Pos)              /*!< SCT0 MATCH2: MATCHn_L Mask              */
#define SCT0_MATCH2_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH2: MATCHn_H Position          */
#define SCT0_MATCH2_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH2_MATCHn_H_Pos)              /*!< SCT0 MATCH2: MATCHn_H Mask              */

/* ----------------------------------  SCT0_CAP3  --------------------------------- */
#define SCT0_CAP3_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP3: CAPn_L Position              */
#define SCT0_CAP3_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP3_CAPn_L_Pos)                  /*!< SCT0 CAP3: CAPn_L Mask                  */
#define SCT0_CAP3_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP3: CAPn_H Position              */
#define SCT0_CAP3_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP3_CAPn_H_Pos)                  /*!< SCT0 CAP3: CAPn_H Mask                  */

/* ---------------------------------  SCT0_MATCH3  -------------------------------- */
#define SCT0_MATCH3_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH3: MATCHn_L Position          */
#define SCT0_MATCH3_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH3_MATCHn_L_Pos)              /*!< SCT0 MATCH3: MATCHn_L Mask              */
#define SCT0_MATCH3_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH3: MATCHn_H Position          */
#define SCT0_MATCH3_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH3_MATCHn_H_Pos)              /*!< SCT0 MATCH3: MATCHn_H Mask              */

/* ---------------------------------  SCT0_MATCH4  -------------------------------- */
#define SCT0_MATCH4_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH4: MATCHn_L Position          */
#define SCT0_MATCH4_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH4_MATCHn_L_Pos)              /*!< SCT0 MATCH4: MATCHn_L Mask              */
#define SCT0_MATCH4_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH4: MATCHn_H Position          */
#define SCT0_MATCH4_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH4_MATCHn_H_Pos)              /*!< SCT0 MATCH4: MATCHn_H Mask              */

/* ----------------------------------  SCT0_CAP4  --------------------------------- */
#define SCT0_CAP4_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP4: CAPn_L Position              */
#define SCT0_CAP4_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP4_CAPn_L_Pos)                  /*!< SCT0 CAP4: CAPn_L Mask                  */
#define SCT0_CAP4_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP4: CAPn_H Position              */
#define SCT0_CAP4_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP4_CAPn_H_Pos)                  /*!< SCT0 CAP4: CAPn_H Mask                  */

/* ----------------------------------  SCT0_CAP5  --------------------------------- */
#define SCT0_CAP5_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP5: CAPn_L Position              */
#define SCT0_CAP5_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP5_CAPn_L_Pos)                  /*!< SCT0 CAP5: CAPn_L Mask                  */
#define SCT0_CAP5_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP5: CAPn_H Position              */
#define SCT0_CAP5_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP5_CAPn_H_Pos)                  /*!< SCT0 CAP5: CAPn_H Mask                  */

/* ---------------------------------  SCT0_MATCH5  -------------------------------- */
#define SCT0_MATCH5_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH5: MATCHn_L Position          */
#define SCT0_MATCH5_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH5_MATCHn_L_Pos)              /*!< SCT0 MATCH5: MATCHn_L Mask              */
#define SCT0_MATCH5_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH5: MATCHn_H Position          */
#define SCT0_MATCH5_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH5_MATCHn_H_Pos)              /*!< SCT0 MATCH5: MATCHn_H Mask              */

/* ---------------------------------  SCT0_MATCH6  -------------------------------- */
#define SCT0_MATCH6_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH6: MATCHn_L Position          */
#define SCT0_MATCH6_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH6_MATCHn_L_Pos)              /*!< SCT0 MATCH6: MATCHn_L Mask              */
#define SCT0_MATCH6_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH6: MATCHn_H Position          */
#define SCT0_MATCH6_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH6_MATCHn_H_Pos)              /*!< SCT0 MATCH6: MATCHn_H Mask              */

/* ----------------------------------  SCT0_CAP6  --------------------------------- */
#define SCT0_CAP6_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP6: CAPn_L Position              */
#define SCT0_CAP6_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP6_CAPn_L_Pos)                  /*!< SCT0 CAP6: CAPn_L Mask                  */
#define SCT0_CAP6_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP6: CAPn_H Position              */
#define SCT0_CAP6_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP6_CAPn_H_Pos)                  /*!< SCT0 CAP6: CAPn_H Mask                  */

/* ---------------------------------  SCT0_MATCH7  -------------------------------- */
#define SCT0_MATCH7_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH7: MATCHn_L Position          */
#define SCT0_MATCH7_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH7_MATCHn_L_Pos)              /*!< SCT0 MATCH7: MATCHn_L Mask              */
#define SCT0_MATCH7_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH7: MATCHn_H Position          */
#define SCT0_MATCH7_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH7_MATCHn_H_Pos)              /*!< SCT0 MATCH7: MATCHn_H Mask              */

/* ----------------------------------  SCT0_CAP7  --------------------------------- */
#define SCT0_CAP7_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP7: CAPn_L Position              */
#define SCT0_CAP7_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP7_CAPn_L_Pos)                  /*!< SCT0 CAP7: CAPn_L Mask                  */
#define SCT0_CAP7_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP7: CAPn_H Position              */
#define SCT0_CAP7_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP7_CAPn_H_Pos)                  /*!< SCT0 CAP7: CAPn_H Mask                  */

/* ----------------------------------  SCT0_CAP8  --------------------------------- */
#define SCT0_CAP8_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP8: CAPn_L Position              */
#define SCT0_CAP8_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP8_CAPn_L_Pos)                  /*!< SCT0 CAP8: CAPn_L Mask                  */
#define SCT0_CAP8_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP8: CAPn_H Position              */
#define SCT0_CAP8_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP8_CAPn_H_Pos)                  /*!< SCT0 CAP8: CAPn_H Mask                  */

/* ---------------------------------  SCT0_MATCH8  -------------------------------- */
#define SCT0_MATCH8_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH8: MATCHn_L Position          */
#define SCT0_MATCH8_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH8_MATCHn_L_Pos)              /*!< SCT0 MATCH8: MATCHn_L Mask              */
#define SCT0_MATCH8_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH8: MATCHn_H Position          */
#define SCT0_MATCH8_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH8_MATCHn_H_Pos)              /*!< SCT0 MATCH8: MATCHn_H Mask              */

/* ---------------------------------  SCT0_MATCH9  -------------------------------- */
#define SCT0_MATCH9_MATCHn_L_Pos              0                                                       /*!< SCT0 MATCH9: MATCHn_L Position          */
#define SCT0_MATCH9_MATCHn_L_Msk              (0x0000ffffUL << SCT0_MATCH9_MATCHn_L_Pos)              /*!< SCT0 MATCH9: MATCHn_L Mask              */
#define SCT0_MATCH9_MATCHn_H_Pos              16                                                      /*!< SCT0 MATCH9: MATCHn_H Position          */
#define SCT0_MATCH9_MATCHn_H_Msk              (0x0000ffffUL << SCT0_MATCH9_MATCHn_H_Pos)              /*!< SCT0 MATCH9: MATCHn_H Mask              */

/* ----------------------------------  SCT0_CAP9  --------------------------------- */
#define SCT0_CAP9_CAPn_L_Pos                  0                                                       /*!< SCT0 CAP9: CAPn_L Position              */
#define SCT0_CAP9_CAPn_L_Msk                  (0x0000ffffUL << SCT0_CAP9_CAPn_L_Pos)                  /*!< SCT0 CAP9: CAPn_L Mask                  */
#define SCT0_CAP9_CAPn_H_Pos                  16                                                      /*!< SCT0 CAP9: CAPn_H Position              */
#define SCT0_CAP9_CAPn_H_Msk                  (0x0000ffffUL << SCT0_CAP9_CAPn_H_Pos)                  /*!< SCT0 CAP9: CAPn_H Mask                  */

/* --------------------------------  SCT0_MATCH10  -------------------------------- */
#define SCT0_MATCH10_MATCHn_L_Pos             0                                                       /*!< SCT0 MATCH10: MATCHn_L Position         */
#define SCT0_MATCH10_MATCHn_L_Msk             (0x0000ffffUL << SCT0_MATCH10_MATCHn_L_Pos)             /*!< SCT0 MATCH10: MATCHn_L Mask             */
#define SCT0_MATCH10_MATCHn_H_Pos             16                                                      /*!< SCT0 MATCH10: MATCHn_H Position         */
#define SCT0_MATCH10_MATCHn_H_Msk             (0x0000ffffUL << SCT0_MATCH10_MATCHn_H_Pos)             /*!< SCT0 MATCH10: MATCHn_H Mask             */

/* ---------------------------------  SCT0_CAP10  --------------------------------- */
#define SCT0_CAP10_CAPn_L_Pos                 0                                                       /*!< SCT0 CAP10: CAPn_L Position             */
#define SCT0_CAP10_CAPn_L_Msk                 (0x0000ffffUL << SCT0_CAP10_CAPn_L_Pos)                 /*!< SCT0 CAP10: CAPn_L Mask                 */
#define SCT0_CAP10_CAPn_H_Pos                 16                                                      /*!< SCT0 CAP10: CAPn_H Position             */
#define SCT0_CAP10_CAPn_H_Msk                 (0x0000ffffUL << SCT0_CAP10_CAPn_H_Pos)                 /*!< SCT0 CAP10: CAPn_H Mask                 */

/* ---------------------------------  SCT0_CAP11  --------------------------------- */
#define SCT0_CAP11_CAPn_L_Pos                 0                                                       /*!< SCT0 CAP11: CAPn_L Position             */
#define SCT0_CAP11_CAPn_L_Msk                 (0x0000ffffUL << SCT0_CAP11_CAPn_L_Pos)                 /*!< SCT0 CAP11: CAPn_L Mask                 */
#define SCT0_CAP11_CAPn_H_Pos                 16                                                      /*!< SCT0 CAP11: CAPn_H Position             */
#define SCT0_CAP11_CAPn_H_Msk                 (0x0000ffffUL << SCT0_CAP11_CAPn_H_Pos)                 /*!< SCT0 CAP11: CAPn_H Mask                 */

/* --------------------------------  SCT0_MATCH11  -------------------------------- */
#define SCT0_MATCH11_MATCHn_L_Pos             0                                                       /*!< SCT0 MATCH11: MATCHn_L Position         */
#define SCT0_MATCH11_MATCHn_L_Msk             (0x0000ffffUL << SCT0_MATCH11_MATCHn_L_Pos)             /*!< SCT0 MATCH11: MATCHn_L Mask             */
#define SCT0_MATCH11_MATCHn_H_Pos             16                                                      /*!< SCT0 MATCH11: MATCHn_H Position         */
#define SCT0_MATCH11_MATCHn_H_Msk             (0x0000ffffUL << SCT0_MATCH11_MATCHn_H_Pos)             /*!< SCT0 MATCH11: MATCHn_H Mask             */

/* --------------------------------  SCT0_MATCH12  -------------------------------- */
#define SCT0_MATCH12_MATCHn_L_Pos             0                                                       /*!< SCT0 MATCH12: MATCHn_L Position         */
#define SCT0_MATCH12_MATCHn_L_Msk             (0x0000ffffUL << SCT0_MATCH12_MATCHn_L_Pos)             /*!< SCT0 MATCH12: MATCHn_L Mask             */
#define SCT0_MATCH12_MATCHn_H_Pos             16                                                      /*!< SCT0 MATCH12: MATCHn_H Position         */
#define SCT0_MATCH12_MATCHn_H_Msk             (0x0000ffffUL << SCT0_MATCH12_MATCHn_H_Pos)             /*!< SCT0 MATCH12: MATCHn_H Mask             */

/* ---------------------------------  SCT0_CAP12  --------------------------------- */
#define SCT0_CAP12_CAPn_L_Pos                 0                                                       /*!< SCT0 CAP12: CAPn_L Position             */
#define SCT0_CAP12_CAPn_L_Msk                 (0x0000ffffUL << SCT0_CAP12_CAPn_L_Pos)                 /*!< SCT0 CAP12: CAPn_L Mask                 */
#define SCT0_CAP12_CAPn_H_Pos                 16                                                      /*!< SCT0 CAP12: CAPn_H Position             */
#define SCT0_CAP12_CAPn_H_Msk                 (0x0000ffffUL << SCT0_CAP12_CAPn_H_Pos)                 /*!< SCT0 CAP12: CAPn_H Mask                 */

/* -------------------------------  SCT0_MATCHREL0  ------------------------------- */
#define SCT0_MATCHREL0_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL0: RELOADn_L Position      */
#define SCT0_MATCHREL0_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL0_RELOADn_L_Pos)          /*!< SCT0 MATCHREL0: RELOADn_L Mask          */
#define SCT0_MATCHREL0_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL0: RELOADn_H Position      */
#define SCT0_MATCHREL0_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL0_RELOADn_H_Pos)          /*!< SCT0 MATCHREL0: RELOADn_H Mask          */

/* --------------------------------  SCT0_CAPCTRL0  ------------------------------- */
#define SCT0_CAPCTRL0_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL0: CAPCONn_L Position       */
#define SCT0_CAPCTRL0_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL0_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL0: CAPCONn_L Mask           */
#define SCT0_CAPCTRL0_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL0: CAPCONn_H Position       */
#define SCT0_CAPCTRL0_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL0_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL0: CAPCONn_H Mask           */

/* -------------------------------  SCT0_MATCHREL1  ------------------------------- */
#define SCT0_MATCHREL1_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL1: RELOADn_L Position      */
#define SCT0_MATCHREL1_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL1_RELOADn_L_Pos)          /*!< SCT0 MATCHREL1: RELOADn_L Mask          */
#define SCT0_MATCHREL1_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL1: RELOADn_H Position      */
#define SCT0_MATCHREL1_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL1_RELOADn_H_Pos)          /*!< SCT0 MATCHREL1: RELOADn_H Mask          */

/* --------------------------------  SCT0_CAPCTRL1  ------------------------------- */
#define SCT0_CAPCTRL1_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL1: CAPCONn_L Position       */
#define SCT0_CAPCTRL1_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL1_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL1: CAPCONn_L Mask           */
#define SCT0_CAPCTRL1_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL1: CAPCONn_H Position       */
#define SCT0_CAPCTRL1_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL1_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL1: CAPCONn_H Mask           */

/* --------------------------------  SCT0_CAPCTRL2  ------------------------------- */
#define SCT0_CAPCTRL2_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL2: CAPCONn_L Position       */
#define SCT0_CAPCTRL2_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL2_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL2: CAPCONn_L Mask           */
#define SCT0_CAPCTRL2_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL2: CAPCONn_H Position       */
#define SCT0_CAPCTRL2_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL2_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL2: CAPCONn_H Mask           */

/* -------------------------------  SCT0_MATCHREL2  ------------------------------- */
#define SCT0_MATCHREL2_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL2: RELOADn_L Position      */
#define SCT0_MATCHREL2_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL2_RELOADn_L_Pos)          /*!< SCT0 MATCHREL2: RELOADn_L Mask          */
#define SCT0_MATCHREL2_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL2: RELOADn_H Position      */
#define SCT0_MATCHREL2_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL2_RELOADn_H_Pos)          /*!< SCT0 MATCHREL2: RELOADn_H Mask          */

/* --------------------------------  SCT0_CAPCTRL3  ------------------------------- */
#define SCT0_CAPCTRL3_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL3: CAPCONn_L Position       */
#define SCT0_CAPCTRL3_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL3_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL3: CAPCONn_L Mask           */
#define SCT0_CAPCTRL3_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL3: CAPCONn_H Position       */
#define SCT0_CAPCTRL3_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL3_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL3: CAPCONn_H Mask           */

/* -------------------------------  SCT0_MATCHREL3  ------------------------------- */
#define SCT0_MATCHREL3_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL3: RELOADn_L Position      */
#define SCT0_MATCHREL3_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL3_RELOADn_L_Pos)          /*!< SCT0 MATCHREL3: RELOADn_L Mask          */
#define SCT0_MATCHREL3_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL3: RELOADn_H Position      */
#define SCT0_MATCHREL3_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL3_RELOADn_H_Pos)          /*!< SCT0 MATCHREL3: RELOADn_H Mask          */

/* -------------------------------  SCT0_MATCHREL4  ------------------------------- */
#define SCT0_MATCHREL4_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL4: RELOADn_L Position      */
#define SCT0_MATCHREL4_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL4_RELOADn_L_Pos)          /*!< SCT0 MATCHREL4: RELOADn_L Mask          */
#define SCT0_MATCHREL4_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL4: RELOADn_H Position      */
#define SCT0_MATCHREL4_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL4_RELOADn_H_Pos)          /*!< SCT0 MATCHREL4: RELOADn_H Mask          */

/* --------------------------------  SCT0_CAPCTRL4  ------------------------------- */
#define SCT0_CAPCTRL4_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL4: CAPCONn_L Position       */
#define SCT0_CAPCTRL4_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL4_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL4: CAPCONn_L Mask           */
#define SCT0_CAPCTRL4_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL4: CAPCONn_H Position       */
#define SCT0_CAPCTRL4_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL4_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL4: CAPCONn_H Mask           */

/* -------------------------------  SCT0_MATCHREL5  ------------------------------- */
#define SCT0_MATCHREL5_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL5: RELOADn_L Position      */
#define SCT0_MATCHREL5_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL5_RELOADn_L_Pos)          /*!< SCT0 MATCHREL5: RELOADn_L Mask          */
#define SCT0_MATCHREL5_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL5: RELOADn_H Position      */
#define SCT0_MATCHREL5_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL5_RELOADn_H_Pos)          /*!< SCT0 MATCHREL5: RELOADn_H Mask          */

/* --------------------------------  SCT0_CAPCTRL5  ------------------------------- */
#define SCT0_CAPCTRL5_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL5: CAPCONn_L Position       */
#define SCT0_CAPCTRL5_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL5_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL5: CAPCONn_L Mask           */
#define SCT0_CAPCTRL5_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL5: CAPCONn_H Position       */
#define SCT0_CAPCTRL5_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL5_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL5: CAPCONn_H Mask           */

/* --------------------------------  SCT0_CAPCTRL6  ------------------------------- */
#define SCT0_CAPCTRL6_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL6: CAPCONn_L Position       */
#define SCT0_CAPCTRL6_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL6_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL6: CAPCONn_L Mask           */
#define SCT0_CAPCTRL6_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL6: CAPCONn_H Position       */
#define SCT0_CAPCTRL6_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL6_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL6: CAPCONn_H Mask           */

/* -------------------------------  SCT0_MATCHREL6  ------------------------------- */
#define SCT0_MATCHREL6_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL6: RELOADn_L Position      */
#define SCT0_MATCHREL6_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL6_RELOADn_L_Pos)          /*!< SCT0 MATCHREL6: RELOADn_L Mask          */
#define SCT0_MATCHREL6_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL6: RELOADn_H Position      */
#define SCT0_MATCHREL6_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL6_RELOADn_H_Pos)          /*!< SCT0 MATCHREL6: RELOADn_H Mask          */

/* --------------------------------  SCT0_CAPCTRL7  ------------------------------- */
#define SCT0_CAPCTRL7_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL7: CAPCONn_L Position       */
#define SCT0_CAPCTRL7_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL7_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL7: CAPCONn_L Mask           */
#define SCT0_CAPCTRL7_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL7: CAPCONn_H Position       */
#define SCT0_CAPCTRL7_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL7_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL7: CAPCONn_H Mask           */

/* -------------------------------  SCT0_MATCHREL7  ------------------------------- */
#define SCT0_MATCHREL7_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL7: RELOADn_L Position      */
#define SCT0_MATCHREL7_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL7_RELOADn_L_Pos)          /*!< SCT0 MATCHREL7: RELOADn_L Mask          */
#define SCT0_MATCHREL7_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL7: RELOADn_H Position      */
#define SCT0_MATCHREL7_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL7_RELOADn_H_Pos)          /*!< SCT0 MATCHREL7: RELOADn_H Mask          */

/* --------------------------------  SCT0_CAPCTRL8  ------------------------------- */
#define SCT0_CAPCTRL8_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL8: CAPCONn_L Position       */
#define SCT0_CAPCTRL8_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL8_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL8: CAPCONn_L Mask           */
#define SCT0_CAPCTRL8_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL8: CAPCONn_H Position       */
#define SCT0_CAPCTRL8_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL8_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL8: CAPCONn_H Mask           */

/* -------------------------------  SCT0_MATCHREL8  ------------------------------- */
#define SCT0_MATCHREL8_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL8: RELOADn_L Position      */
#define SCT0_MATCHREL8_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL8_RELOADn_L_Pos)          /*!< SCT0 MATCHREL8: RELOADn_L Mask          */
#define SCT0_MATCHREL8_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL8: RELOADn_H Position      */
#define SCT0_MATCHREL8_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL8_RELOADn_H_Pos)          /*!< SCT0 MATCHREL8: RELOADn_H Mask          */

/* --------------------------------  SCT0_CAPCTRL9  ------------------------------- */
#define SCT0_CAPCTRL9_CAPCONn_L_Pos           0                                                       /*!< SCT0 CAPCTRL9: CAPCONn_L Position       */
#define SCT0_CAPCTRL9_CAPCONn_L_Msk           (0x0000ffffUL << SCT0_CAPCTRL9_CAPCONn_L_Pos)           /*!< SCT0 CAPCTRL9: CAPCONn_L Mask           */
#define SCT0_CAPCTRL9_CAPCONn_H_Pos           16                                                      /*!< SCT0 CAPCTRL9: CAPCONn_H Position       */
#define SCT0_CAPCTRL9_CAPCONn_H_Msk           (0x0000ffffUL << SCT0_CAPCTRL9_CAPCONn_H_Pos)           /*!< SCT0 CAPCTRL9: CAPCONn_H Mask           */

/* -------------------------------  SCT0_MATCHREL9  ------------------------------- */
#define SCT0_MATCHREL9_RELOADn_L_Pos          0                                                       /*!< SCT0 MATCHREL9: RELOADn_L Position      */
#define SCT0_MATCHREL9_RELOADn_L_Msk          (0x0000ffffUL << SCT0_MATCHREL9_RELOADn_L_Pos)          /*!< SCT0 MATCHREL9: RELOADn_L Mask          */
#define SCT0_MATCHREL9_RELOADn_H_Pos          16                                                      /*!< SCT0 MATCHREL9: RELOADn_H Position      */
#define SCT0_MATCHREL9_RELOADn_H_Msk          (0x0000ffffUL << SCT0_MATCHREL9_RELOADn_H_Pos)          /*!< SCT0 MATCHREL9: RELOADn_H Mask          */

/* -------------------------------  SCT0_CAPCTRL10  ------------------------------- */
#define SCT0_CAPCTRL10_CAPCONn_L_Pos          0                                                       /*!< SCT0 CAPCTRL10: CAPCONn_L Position      */
#define SCT0_CAPCTRL10_CAPCONn_L_Msk          (0x0000ffffUL << SCT0_CAPCTRL10_CAPCONn_L_Pos)          /*!< SCT0 CAPCTRL10: CAPCONn_L Mask          */
#define SCT0_CAPCTRL10_CAPCONn_H_Pos          16                                                      /*!< SCT0 CAPCTRL10: CAPCONn_H Position      */
#define SCT0_CAPCTRL10_CAPCONn_H_Msk          (0x0000ffffUL << SCT0_CAPCTRL10_CAPCONn_H_Pos)          /*!< SCT0 CAPCTRL10: CAPCONn_H Mask          */

/* -------------------------------  SCT0_MATCHREL10  ------------------------------ */
#define SCT0_MATCHREL10_RELOADn_L_Pos         0                                                       /*!< SCT0 MATCHREL10: RELOADn_L Position     */
#define SCT0_MATCHREL10_RELOADn_L_Msk         (0x0000ffffUL << SCT0_MATCHREL10_RELOADn_L_Pos)         /*!< SCT0 MATCHREL10: RELOADn_L Mask         */
#define SCT0_MATCHREL10_RELOADn_H_Pos         16                                                      /*!< SCT0 MATCHREL10: RELOADn_H Position     */
#define SCT0_MATCHREL10_RELOADn_H_Msk         (0x0000ffffUL << SCT0_MATCHREL10_RELOADn_H_Pos)         /*!< SCT0 MATCHREL10: RELOADn_H Mask         */

/* -------------------------------  SCT0_MATCHREL11  ------------------------------ */
#define SCT0_MATCHREL11_RELOADn_L_Pos         0                                                       /*!< SCT0 MATCHREL11: RELOADn_L Position     */
#define SCT0_MATCHREL11_RELOADn_L_Msk         (0x0000ffffUL << SCT0_MATCHREL11_RELOADn_L_Pos)         /*!< SCT0 MATCHREL11: RELOADn_L Mask         */
#define SCT0_MATCHREL11_RELOADn_H_Pos         16                                                      /*!< SCT0 MATCHREL11: RELOADn_H Position     */
#define SCT0_MATCHREL11_RELOADn_H_Msk         (0x0000ffffUL << SCT0_MATCHREL11_RELOADn_H_Pos)         /*!< SCT0 MATCHREL11: RELOADn_H Mask         */

/* -------------------------------  SCT0_CAPCTRL11  ------------------------------- */
#define SCT0_CAPCTRL11_CAPCONn_L_Pos          0                                                       /*!< SCT0 CAPCTRL11: CAPCONn_L Position      */
#define SCT0_CAPCTRL11_CAPCONn_L_Msk          (0x0000ffffUL << SCT0_CAPCTRL11_CAPCONn_L_Pos)          /*!< SCT0 CAPCTRL11: CAPCONn_L Mask          */
#define SCT0_CAPCTRL11_CAPCONn_H_Pos          16                                                      /*!< SCT0 CAPCTRL11: CAPCONn_H Position      */
#define SCT0_CAPCTRL11_CAPCONn_H_Msk          (0x0000ffffUL << SCT0_CAPCTRL11_CAPCONn_H_Pos)          /*!< SCT0 CAPCTRL11: CAPCONn_H Mask          */

/* -------------------------------  SCT0_MATCHREL12  ------------------------------ */
#define SCT0_MATCHREL12_RELOADn_L_Pos         0                                                       /*!< SCT0 MATCHREL12: RELOADn_L Position     */
#define SCT0_MATCHREL12_RELOADn_L_Msk         (0x0000ffffUL << SCT0_MATCHREL12_RELOADn_L_Pos)         /*!< SCT0 MATCHREL12: RELOADn_L Mask         */
#define SCT0_MATCHREL12_RELOADn_H_Pos         16                                                      /*!< SCT0 MATCHREL12: RELOADn_H Position     */
#define SCT0_MATCHREL12_RELOADn_H_Msk         (0x0000ffffUL << SCT0_MATCHREL12_RELOADn_H_Pos)         /*!< SCT0 MATCHREL12: RELOADn_H Mask         */

/* -------------------------------  SCT0_CAPCTRL12  ------------------------------- */
#define SCT0_CAPCTRL12_CAPCONn_L_Pos          0                                                       /*!< SCT0 CAPCTRL12: CAPCONn_L Position      */
#define SCT0_CAPCTRL12_CAPCONn_L_Msk          (0x0000ffffUL << SCT0_CAPCTRL12_CAPCONn_L_Pos)          /*!< SCT0 CAPCTRL12: CAPCONn_L Mask          */
#define SCT0_CAPCTRL12_CAPCONn_H_Pos          16                                                      /*!< SCT0 CAPCTRL12: CAPCONn_H Position      */
#define SCT0_CAPCTRL12_CAPCONn_H_Msk          (0x0000ffffUL << SCT0_CAPCTRL12_CAPCONn_H_Pos)          /*!< SCT0 CAPCTRL12: CAPCONn_H Mask          */

/* -------------------------------  SCT0_EV0_STATE  ------------------------------- */
#define SCT0_EV0_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV0_STATE: STATEMSKn Position      */
#define SCT0_EV0_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV0_STATE_STATEMSKn_Pos)          /*!< SCT0 EV0_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV0_CTRL  ------------------------------- */
#define SCT0_EV0_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV0_CTRL: MATCHSEL Position        */
#define SCT0_EV0_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV0_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV0_CTRL: MATCHSEL Mask            */
#define SCT0_EV0_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV0_CTRL: HEVENT Position          */
#define SCT0_EV0_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV0_CTRL_HEVENT_Pos)                    /*!< SCT0 EV0_CTRL: HEVENT Mask              */
#define SCT0_EV0_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV0_CTRL: OUTSEL Position          */
#define SCT0_EV0_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV0_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV0_CTRL: OUTSEL Mask              */
#define SCT0_EV0_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV0_CTRL: IOSEL Position           */
#define SCT0_EV0_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV0_CTRL_IOSEL_Pos)                     /*!< SCT0 EV0_CTRL: IOSEL Mask               */
#define SCT0_EV0_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV0_CTRL: IOCOND Position          */
#define SCT0_EV0_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV0_CTRL_IOCOND_Pos)                    /*!< SCT0 EV0_CTRL: IOCOND Mask              */
#define SCT0_EV0_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV0_CTRL: COMBMODE Position        */
#define SCT0_EV0_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV0_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV0_CTRL: COMBMODE Mask            */
#define SCT0_EV0_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV0_CTRL: STATELD Position         */
#define SCT0_EV0_CTRL_STATELD_Msk             (0x01UL << SCT0_EV0_CTRL_STATELD_Pos)                   /*!< SCT0 EV0_CTRL: STATELD Mask             */
#define SCT0_EV0_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV0_CTRL: STATEV Position          */
#define SCT0_EV0_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV0_CTRL_STATEV_Pos)                    /*!< SCT0 EV0_CTRL: STATEV Mask              */
#define SCT0_EV0_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV0_CTRL: MATCHMEM Position        */
#define SCT0_EV0_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV0_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV0_CTRL: MATCHMEM Mask            */
#define SCT0_EV0_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV0_CTRL: DIRECTION Position       */
#define SCT0_EV0_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV0_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV0_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV1_STATE  ------------------------------- */
#define SCT0_EV1_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV1_STATE: STATEMSKn Position      */
#define SCT0_EV1_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV1_STATE_STATEMSKn_Pos)          /*!< SCT0 EV1_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV1_CTRL  ------------------------------- */
#define SCT0_EV1_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV1_CTRL: MATCHSEL Position        */
#define SCT0_EV1_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV1_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV1_CTRL: MATCHSEL Mask            */
#define SCT0_EV1_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV1_CTRL: HEVENT Position          */
#define SCT0_EV1_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV1_CTRL_HEVENT_Pos)                    /*!< SCT0 EV1_CTRL: HEVENT Mask              */
#define SCT0_EV1_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV1_CTRL: OUTSEL Position          */
#define SCT0_EV1_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV1_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV1_CTRL: OUTSEL Mask              */
#define SCT0_EV1_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV1_CTRL: IOSEL Position           */
#define SCT0_EV1_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV1_CTRL_IOSEL_Pos)                     /*!< SCT0 EV1_CTRL: IOSEL Mask               */
#define SCT0_EV1_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV1_CTRL: IOCOND Position          */
#define SCT0_EV1_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV1_CTRL_IOCOND_Pos)                    /*!< SCT0 EV1_CTRL: IOCOND Mask              */
#define SCT0_EV1_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV1_CTRL: COMBMODE Position        */
#define SCT0_EV1_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV1_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV1_CTRL: COMBMODE Mask            */
#define SCT0_EV1_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV1_CTRL: STATELD Position         */
#define SCT0_EV1_CTRL_STATELD_Msk             (0x01UL << SCT0_EV1_CTRL_STATELD_Pos)                   /*!< SCT0 EV1_CTRL: STATELD Mask             */
#define SCT0_EV1_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV1_CTRL: STATEV Position          */
#define SCT0_EV1_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV1_CTRL_STATEV_Pos)                    /*!< SCT0 EV1_CTRL: STATEV Mask              */
#define SCT0_EV1_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV1_CTRL: MATCHMEM Position        */
#define SCT0_EV1_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV1_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV1_CTRL: MATCHMEM Mask            */
#define SCT0_EV1_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV1_CTRL: DIRECTION Position       */
#define SCT0_EV1_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV1_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV1_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV2_STATE  ------------------------------- */
#define SCT0_EV2_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV2_STATE: STATEMSKn Position      */
#define SCT0_EV2_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV2_STATE_STATEMSKn_Pos)          /*!< SCT0 EV2_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV2_CTRL  ------------------------------- */
#define SCT0_EV2_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV2_CTRL: MATCHSEL Position        */
#define SCT0_EV2_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV2_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV2_CTRL: MATCHSEL Mask            */
#define SCT0_EV2_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV2_CTRL: HEVENT Position          */
#define SCT0_EV2_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV2_CTRL_HEVENT_Pos)                    /*!< SCT0 EV2_CTRL: HEVENT Mask              */
#define SCT0_EV2_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV2_CTRL: OUTSEL Position          */
#define SCT0_EV2_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV2_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV2_CTRL: OUTSEL Mask              */
#define SCT0_EV2_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV2_CTRL: IOSEL Position           */
#define SCT0_EV2_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV2_CTRL_IOSEL_Pos)                     /*!< SCT0 EV2_CTRL: IOSEL Mask               */
#define SCT0_EV2_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV2_CTRL: IOCOND Position          */
#define SCT0_EV2_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV2_CTRL_IOCOND_Pos)                    /*!< SCT0 EV2_CTRL: IOCOND Mask              */
#define SCT0_EV2_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV2_CTRL: COMBMODE Position        */
#define SCT0_EV2_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV2_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV2_CTRL: COMBMODE Mask            */
#define SCT0_EV2_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV2_CTRL: STATELD Position         */
#define SCT0_EV2_CTRL_STATELD_Msk             (0x01UL << SCT0_EV2_CTRL_STATELD_Pos)                   /*!< SCT0 EV2_CTRL: STATELD Mask             */
#define SCT0_EV2_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV2_CTRL: STATEV Position          */
#define SCT0_EV2_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV2_CTRL_STATEV_Pos)                    /*!< SCT0 EV2_CTRL: STATEV Mask              */
#define SCT0_EV2_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV2_CTRL: MATCHMEM Position        */
#define SCT0_EV2_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV2_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV2_CTRL: MATCHMEM Mask            */
#define SCT0_EV2_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV2_CTRL: DIRECTION Position       */
#define SCT0_EV2_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV2_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV2_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV3_STATE  ------------------------------- */
#define SCT0_EV3_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV3_STATE: STATEMSKn Position      */
#define SCT0_EV3_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV3_STATE_STATEMSKn_Pos)          /*!< SCT0 EV3_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV3_CTRL  ------------------------------- */
#define SCT0_EV3_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV3_CTRL: MATCHSEL Position        */
#define SCT0_EV3_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV3_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV3_CTRL: MATCHSEL Mask            */
#define SCT0_EV3_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV3_CTRL: HEVENT Position          */
#define SCT0_EV3_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV3_CTRL_HEVENT_Pos)                    /*!< SCT0 EV3_CTRL: HEVENT Mask              */
#define SCT0_EV3_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV3_CTRL: OUTSEL Position          */
#define SCT0_EV3_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV3_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV3_CTRL: OUTSEL Mask              */
#define SCT0_EV3_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV3_CTRL: IOSEL Position           */
#define SCT0_EV3_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV3_CTRL_IOSEL_Pos)                     /*!< SCT0 EV3_CTRL: IOSEL Mask               */
#define SCT0_EV3_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV3_CTRL: IOCOND Position          */
#define SCT0_EV3_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV3_CTRL_IOCOND_Pos)                    /*!< SCT0 EV3_CTRL: IOCOND Mask              */
#define SCT0_EV3_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV3_CTRL: COMBMODE Position        */
#define SCT0_EV3_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV3_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV3_CTRL: COMBMODE Mask            */
#define SCT0_EV3_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV3_CTRL: STATELD Position         */
#define SCT0_EV3_CTRL_STATELD_Msk             (0x01UL << SCT0_EV3_CTRL_STATELD_Pos)                   /*!< SCT0 EV3_CTRL: STATELD Mask             */
#define SCT0_EV3_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV3_CTRL: STATEV Position          */
#define SCT0_EV3_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV3_CTRL_STATEV_Pos)                    /*!< SCT0 EV3_CTRL: STATEV Mask              */
#define SCT0_EV3_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV3_CTRL: MATCHMEM Position        */
#define SCT0_EV3_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV3_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV3_CTRL: MATCHMEM Mask            */
#define SCT0_EV3_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV3_CTRL: DIRECTION Position       */
#define SCT0_EV3_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV3_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV3_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV4_STATE  ------------------------------- */
#define SCT0_EV4_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV4_STATE: STATEMSKn Position      */
#define SCT0_EV4_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV4_STATE_STATEMSKn_Pos)          /*!< SCT0 EV4_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV4_CTRL  ------------------------------- */
#define SCT0_EV4_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV4_CTRL: MATCHSEL Position        */
#define SCT0_EV4_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV4_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV4_CTRL: MATCHSEL Mask            */
#define SCT0_EV4_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV4_CTRL: HEVENT Position          */
#define SCT0_EV4_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV4_CTRL_HEVENT_Pos)                    /*!< SCT0 EV4_CTRL: HEVENT Mask              */
#define SCT0_EV4_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV4_CTRL: OUTSEL Position          */
#define SCT0_EV4_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV4_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV4_CTRL: OUTSEL Mask              */
#define SCT0_EV4_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV4_CTRL: IOSEL Position           */
#define SCT0_EV4_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV4_CTRL_IOSEL_Pos)                     /*!< SCT0 EV4_CTRL: IOSEL Mask               */
#define SCT0_EV4_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV4_CTRL: IOCOND Position          */
#define SCT0_EV4_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV4_CTRL_IOCOND_Pos)                    /*!< SCT0 EV4_CTRL: IOCOND Mask              */
#define SCT0_EV4_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV4_CTRL: COMBMODE Position        */
#define SCT0_EV4_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV4_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV4_CTRL: COMBMODE Mask            */
#define SCT0_EV4_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV4_CTRL: STATELD Position         */
#define SCT0_EV4_CTRL_STATELD_Msk             (0x01UL << SCT0_EV4_CTRL_STATELD_Pos)                   /*!< SCT0 EV4_CTRL: STATELD Mask             */
#define SCT0_EV4_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV4_CTRL: STATEV Position          */
#define SCT0_EV4_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV4_CTRL_STATEV_Pos)                    /*!< SCT0 EV4_CTRL: STATEV Mask              */
#define SCT0_EV4_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV4_CTRL: MATCHMEM Position        */
#define SCT0_EV4_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV4_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV4_CTRL: MATCHMEM Mask            */
#define SCT0_EV4_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV4_CTRL: DIRECTION Position       */
#define SCT0_EV4_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV4_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV4_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV5_STATE  ------------------------------- */
#define SCT0_EV5_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV5_STATE: STATEMSKn Position      */
#define SCT0_EV5_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV5_STATE_STATEMSKn_Pos)          /*!< SCT0 EV5_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV5_CTRL  ------------------------------- */
#define SCT0_EV5_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV5_CTRL: MATCHSEL Position        */
#define SCT0_EV5_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV5_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV5_CTRL: MATCHSEL Mask            */
#define SCT0_EV5_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV5_CTRL: HEVENT Position          */
#define SCT0_EV5_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV5_CTRL_HEVENT_Pos)                    /*!< SCT0 EV5_CTRL: HEVENT Mask              */
#define SCT0_EV5_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV5_CTRL: OUTSEL Position          */
#define SCT0_EV5_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV5_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV5_CTRL: OUTSEL Mask              */
#define SCT0_EV5_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV5_CTRL: IOSEL Position           */
#define SCT0_EV5_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV5_CTRL_IOSEL_Pos)                     /*!< SCT0 EV5_CTRL: IOSEL Mask               */
#define SCT0_EV5_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV5_CTRL: IOCOND Position          */
#define SCT0_EV5_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV5_CTRL_IOCOND_Pos)                    /*!< SCT0 EV5_CTRL: IOCOND Mask              */
#define SCT0_EV5_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV5_CTRL: COMBMODE Position        */
#define SCT0_EV5_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV5_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV5_CTRL: COMBMODE Mask            */
#define SCT0_EV5_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV5_CTRL: STATELD Position         */
#define SCT0_EV5_CTRL_STATELD_Msk             (0x01UL << SCT0_EV5_CTRL_STATELD_Pos)                   /*!< SCT0 EV5_CTRL: STATELD Mask             */
#define SCT0_EV5_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV5_CTRL: STATEV Position          */
#define SCT0_EV5_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV5_CTRL_STATEV_Pos)                    /*!< SCT0 EV5_CTRL: STATEV Mask              */
#define SCT0_EV5_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV5_CTRL: MATCHMEM Position        */
#define SCT0_EV5_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV5_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV5_CTRL: MATCHMEM Mask            */
#define SCT0_EV5_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV5_CTRL: DIRECTION Position       */
#define SCT0_EV5_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV5_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV5_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV6_STATE  ------------------------------- */
#define SCT0_EV6_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV6_STATE: STATEMSKn Position      */
#define SCT0_EV6_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV6_STATE_STATEMSKn_Pos)          /*!< SCT0 EV6_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV6_CTRL  ------------------------------- */
#define SCT0_EV6_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV6_CTRL: MATCHSEL Position        */
#define SCT0_EV6_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV6_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV6_CTRL: MATCHSEL Mask            */
#define SCT0_EV6_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV6_CTRL: HEVENT Position          */
#define SCT0_EV6_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV6_CTRL_HEVENT_Pos)                    /*!< SCT0 EV6_CTRL: HEVENT Mask              */
#define SCT0_EV6_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV6_CTRL: OUTSEL Position          */
#define SCT0_EV6_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV6_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV6_CTRL: OUTSEL Mask              */
#define SCT0_EV6_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV6_CTRL: IOSEL Position           */
#define SCT0_EV6_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV6_CTRL_IOSEL_Pos)                     /*!< SCT0 EV6_CTRL: IOSEL Mask               */
#define SCT0_EV6_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV6_CTRL: IOCOND Position          */
#define SCT0_EV6_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV6_CTRL_IOCOND_Pos)                    /*!< SCT0 EV6_CTRL: IOCOND Mask              */
#define SCT0_EV6_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV6_CTRL: COMBMODE Position        */
#define SCT0_EV6_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV6_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV6_CTRL: COMBMODE Mask            */
#define SCT0_EV6_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV6_CTRL: STATELD Position         */
#define SCT0_EV6_CTRL_STATELD_Msk             (0x01UL << SCT0_EV6_CTRL_STATELD_Pos)                   /*!< SCT0 EV6_CTRL: STATELD Mask             */
#define SCT0_EV6_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV6_CTRL: STATEV Position          */
#define SCT0_EV6_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV6_CTRL_STATEV_Pos)                    /*!< SCT0 EV6_CTRL: STATEV Mask              */
#define SCT0_EV6_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV6_CTRL: MATCHMEM Position        */
#define SCT0_EV6_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV6_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV6_CTRL: MATCHMEM Mask            */
#define SCT0_EV6_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV6_CTRL: DIRECTION Position       */
#define SCT0_EV6_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV6_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV6_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV7_STATE  ------------------------------- */
#define SCT0_EV7_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV7_STATE: STATEMSKn Position      */
#define SCT0_EV7_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV7_STATE_STATEMSKn_Pos)          /*!< SCT0 EV7_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV7_CTRL  ------------------------------- */
#define SCT0_EV7_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV7_CTRL: MATCHSEL Position        */
#define SCT0_EV7_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV7_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV7_CTRL: MATCHSEL Mask            */
#define SCT0_EV7_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV7_CTRL: HEVENT Position          */
#define SCT0_EV7_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV7_CTRL_HEVENT_Pos)                    /*!< SCT0 EV7_CTRL: HEVENT Mask              */
#define SCT0_EV7_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV7_CTRL: OUTSEL Position          */
#define SCT0_EV7_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV7_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV7_CTRL: OUTSEL Mask              */
#define SCT0_EV7_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV7_CTRL: IOSEL Position           */
#define SCT0_EV7_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV7_CTRL_IOSEL_Pos)                     /*!< SCT0 EV7_CTRL: IOSEL Mask               */
#define SCT0_EV7_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV7_CTRL: IOCOND Position          */
#define SCT0_EV7_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV7_CTRL_IOCOND_Pos)                    /*!< SCT0 EV7_CTRL: IOCOND Mask              */
#define SCT0_EV7_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV7_CTRL: COMBMODE Position        */
#define SCT0_EV7_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV7_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV7_CTRL: COMBMODE Mask            */
#define SCT0_EV7_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV7_CTRL: STATELD Position         */
#define SCT0_EV7_CTRL_STATELD_Msk             (0x01UL << SCT0_EV7_CTRL_STATELD_Pos)                   /*!< SCT0 EV7_CTRL: STATELD Mask             */
#define SCT0_EV7_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV7_CTRL: STATEV Position          */
#define SCT0_EV7_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV7_CTRL_STATEV_Pos)                    /*!< SCT0 EV7_CTRL: STATEV Mask              */
#define SCT0_EV7_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV7_CTRL: MATCHMEM Position        */
#define SCT0_EV7_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV7_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV7_CTRL: MATCHMEM Mask            */
#define SCT0_EV7_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV7_CTRL: DIRECTION Position       */
#define SCT0_EV7_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV7_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV7_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV8_STATE  ------------------------------- */
#define SCT0_EV8_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV8_STATE: STATEMSKn Position      */
#define SCT0_EV8_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV8_STATE_STATEMSKn_Pos)          /*!< SCT0 EV8_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV8_CTRL  ------------------------------- */
#define SCT0_EV8_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV8_CTRL: MATCHSEL Position        */
#define SCT0_EV8_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV8_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV8_CTRL: MATCHSEL Mask            */
#define SCT0_EV8_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV8_CTRL: HEVENT Position          */
#define SCT0_EV8_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV8_CTRL_HEVENT_Pos)                    /*!< SCT0 EV8_CTRL: HEVENT Mask              */
#define SCT0_EV8_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV8_CTRL: OUTSEL Position          */
#define SCT0_EV8_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV8_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV8_CTRL: OUTSEL Mask              */
#define SCT0_EV8_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV8_CTRL: IOSEL Position           */
#define SCT0_EV8_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV8_CTRL_IOSEL_Pos)                     /*!< SCT0 EV8_CTRL: IOSEL Mask               */
#define SCT0_EV8_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV8_CTRL: IOCOND Position          */
#define SCT0_EV8_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV8_CTRL_IOCOND_Pos)                    /*!< SCT0 EV8_CTRL: IOCOND Mask              */
#define SCT0_EV8_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV8_CTRL: COMBMODE Position        */
#define SCT0_EV8_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV8_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV8_CTRL: COMBMODE Mask            */
#define SCT0_EV8_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV8_CTRL: STATELD Position         */
#define SCT0_EV8_CTRL_STATELD_Msk             (0x01UL << SCT0_EV8_CTRL_STATELD_Pos)                   /*!< SCT0 EV8_CTRL: STATELD Mask             */
#define SCT0_EV8_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV8_CTRL: STATEV Position          */
#define SCT0_EV8_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV8_CTRL_STATEV_Pos)                    /*!< SCT0 EV8_CTRL: STATEV Mask              */
#define SCT0_EV8_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV8_CTRL: MATCHMEM Position        */
#define SCT0_EV8_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV8_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV8_CTRL: MATCHMEM Mask            */
#define SCT0_EV8_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV8_CTRL: DIRECTION Position       */
#define SCT0_EV8_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV8_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV8_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV9_STATE  ------------------------------- */
#define SCT0_EV9_STATE_STATEMSKn_Pos          0                                                       /*!< SCT0 EV9_STATE: STATEMSKn Position      */
#define SCT0_EV9_STATE_STATEMSKn_Msk          (0x00001fffUL << SCT0_EV9_STATE_STATEMSKn_Pos)          /*!< SCT0 EV9_STATE: STATEMSKn Mask          */

/* --------------------------------  SCT0_EV9_CTRL  ------------------------------- */
#define SCT0_EV9_CTRL_MATCHSEL_Pos            0                                                       /*!< SCT0 EV9_CTRL: MATCHSEL Position        */
#define SCT0_EV9_CTRL_MATCHSEL_Msk            (0x0fUL << SCT0_EV9_CTRL_MATCHSEL_Pos)                  /*!< SCT0 EV9_CTRL: MATCHSEL Mask            */
#define SCT0_EV9_CTRL_HEVENT_Pos              4                                                       /*!< SCT0 EV9_CTRL: HEVENT Position          */
#define SCT0_EV9_CTRL_HEVENT_Msk              (0x01UL << SCT0_EV9_CTRL_HEVENT_Pos)                    /*!< SCT0 EV9_CTRL: HEVENT Mask              */
#define SCT0_EV9_CTRL_OUTSEL_Pos              5                                                       /*!< SCT0 EV9_CTRL: OUTSEL Position          */
#define SCT0_EV9_CTRL_OUTSEL_Msk              (0x01UL << SCT0_EV9_CTRL_OUTSEL_Pos)                    /*!< SCT0 EV9_CTRL: OUTSEL Mask              */
#define SCT0_EV9_CTRL_IOSEL_Pos               6                                                       /*!< SCT0 EV9_CTRL: IOSEL Position           */
#define SCT0_EV9_CTRL_IOSEL_Msk               (0x0fUL << SCT0_EV9_CTRL_IOSEL_Pos)                     /*!< SCT0 EV9_CTRL: IOSEL Mask               */
#define SCT0_EV9_CTRL_IOCOND_Pos              10                                                      /*!< SCT0 EV9_CTRL: IOCOND Position          */
#define SCT0_EV9_CTRL_IOCOND_Msk              (0x03UL << SCT0_EV9_CTRL_IOCOND_Pos)                    /*!< SCT0 EV9_CTRL: IOCOND Mask              */
#define SCT0_EV9_CTRL_COMBMODE_Pos            12                                                      /*!< SCT0 EV9_CTRL: COMBMODE Position        */
#define SCT0_EV9_CTRL_COMBMODE_Msk            (0x03UL << SCT0_EV9_CTRL_COMBMODE_Pos)                  /*!< SCT0 EV9_CTRL: COMBMODE Mask            */
#define SCT0_EV9_CTRL_STATELD_Pos             14                                                      /*!< SCT0 EV9_CTRL: STATELD Position         */
#define SCT0_EV9_CTRL_STATELD_Msk             (0x01UL << SCT0_EV9_CTRL_STATELD_Pos)                   /*!< SCT0 EV9_CTRL: STATELD Mask             */
#define SCT0_EV9_CTRL_STATEV_Pos              15                                                      /*!< SCT0 EV9_CTRL: STATEV Position          */
#define SCT0_EV9_CTRL_STATEV_Msk              (0x1fUL << SCT0_EV9_CTRL_STATEV_Pos)                    /*!< SCT0 EV9_CTRL: STATEV Mask              */
#define SCT0_EV9_CTRL_MATCHMEM_Pos            20                                                      /*!< SCT0 EV9_CTRL: MATCHMEM Position        */
#define SCT0_EV9_CTRL_MATCHMEM_Msk            (0x01UL << SCT0_EV9_CTRL_MATCHMEM_Pos)                  /*!< SCT0 EV9_CTRL: MATCHMEM Mask            */
#define SCT0_EV9_CTRL_DIRECTION_Pos           21                                                      /*!< SCT0 EV9_CTRL: DIRECTION Position       */
#define SCT0_EV9_CTRL_DIRECTION_Msk           (0x03UL << SCT0_EV9_CTRL_DIRECTION_Pos)                 /*!< SCT0 EV9_CTRL: DIRECTION Mask           */

/* -------------------------------  SCT0_EV10_STATE  ------------------------------ */
#define SCT0_EV10_STATE_STATEMSKn_Pos         0                                                       /*!< SCT0 EV10_STATE: STATEMSKn Position     */
#define SCT0_EV10_STATE_STATEMSKn_Msk         (0x00001fffUL << SCT0_EV10_STATE_STATEMSKn_Pos)         /*!< SCT0 EV10_STATE: STATEMSKn Mask         */

/* -------------------------------  SCT0_EV10_CTRL  ------------------------------- */
#define SCT0_EV10_CTRL_MATCHSEL_Pos           0                                                       /*!< SCT0 EV10_CTRL: MATCHSEL Position       */
#define SCT0_EV10_CTRL_MATCHSEL_Msk           (0x0fUL << SCT0_EV10_CTRL_MATCHSEL_Pos)                 /*!< SCT0 EV10_CTRL: MATCHSEL Mask           */
#define SCT0_EV10_CTRL_HEVENT_Pos             4                                                       /*!< SCT0 EV10_CTRL: HEVENT Position         */
#define SCT0_EV10_CTRL_HEVENT_Msk             (0x01UL << SCT0_EV10_CTRL_HEVENT_Pos)                   /*!< SCT0 EV10_CTRL: HEVENT Mask             */
#define SCT0_EV10_CTRL_OUTSEL_Pos             5                                                       /*!< SCT0 EV10_CTRL: OUTSEL Position         */
#define SCT0_EV10_CTRL_OUTSEL_Msk             (0x01UL << SCT0_EV10_CTRL_OUTSEL_Pos)                   /*!< SCT0 EV10_CTRL: OUTSEL Mask             */
#define SCT0_EV10_CTRL_IOSEL_Pos              6                                                       /*!< SCT0 EV10_CTRL: IOSEL Position          */
#define SCT0_EV10_CTRL_IOSEL_Msk              (0x0fUL << SCT0_EV10_CTRL_IOSEL_Pos)                    /*!< SCT0 EV10_CTRL: IOSEL Mask              */
#define SCT0_EV10_CTRL_IOCOND_Pos             10                                                      /*!< SCT0 EV10_CTRL: IOCOND Position         */
#define SCT0_EV10_CTRL_IOCOND_Msk             (0x03UL << SCT0_EV10_CTRL_IOCOND_Pos)                   /*!< SCT0 EV10_CTRL: IOCOND Mask             */
#define SCT0_EV10_CTRL_COMBMODE_Pos           12                                                      /*!< SCT0 EV10_CTRL: COMBMODE Position       */
#define SCT0_EV10_CTRL_COMBMODE_Msk           (0x03UL << SCT0_EV10_CTRL_COMBMODE_Pos)                 /*!< SCT0 EV10_CTRL: COMBMODE Mask           */
#define SCT0_EV10_CTRL_STATELD_Pos            14                                                      /*!< SCT0 EV10_CTRL: STATELD Position        */
#define SCT0_EV10_CTRL_STATELD_Msk            (0x01UL << SCT0_EV10_CTRL_STATELD_Pos)                  /*!< SCT0 EV10_CTRL: STATELD Mask            */
#define SCT0_EV10_CTRL_STATEV_Pos             15                                                      /*!< SCT0 EV10_CTRL: STATEV Position         */
#define SCT0_EV10_CTRL_STATEV_Msk             (0x1fUL << SCT0_EV10_CTRL_STATEV_Pos)                   /*!< SCT0 EV10_CTRL: STATEV Mask             */
#define SCT0_EV10_CTRL_MATCHMEM_Pos           20                                                      /*!< SCT0 EV10_CTRL: MATCHMEM Position       */
#define SCT0_EV10_CTRL_MATCHMEM_Msk           (0x01UL << SCT0_EV10_CTRL_MATCHMEM_Pos)                 /*!< SCT0 EV10_CTRL: MATCHMEM Mask           */
#define SCT0_EV10_CTRL_DIRECTION_Pos          21                                                      /*!< SCT0 EV10_CTRL: DIRECTION Position      */
#define SCT0_EV10_CTRL_DIRECTION_Msk          (0x03UL << SCT0_EV10_CTRL_DIRECTION_Pos)                /*!< SCT0 EV10_CTRL: DIRECTION Mask          */

/* -------------------------------  SCT0_EV11_STATE  ------------------------------ */
#define SCT0_EV11_STATE_STATEMSKn_Pos         0                                                       /*!< SCT0 EV11_STATE: STATEMSKn Position     */
#define SCT0_EV11_STATE_STATEMSKn_Msk         (0x00001fffUL << SCT0_EV11_STATE_STATEMSKn_Pos)         /*!< SCT0 EV11_STATE: STATEMSKn Mask         */

/* -------------------------------  SCT0_EV11_CTRL  ------------------------------- */
#define SCT0_EV11_CTRL_MATCHSEL_Pos           0                                                       /*!< SCT0 EV11_CTRL: MATCHSEL Position       */
#define SCT0_EV11_CTRL_MATCHSEL_Msk           (0x0fUL << SCT0_EV11_CTRL_MATCHSEL_Pos)                 /*!< SCT0 EV11_CTRL: MATCHSEL Mask           */
#define SCT0_EV11_CTRL_HEVENT_Pos             4                                                       /*!< SCT0 EV11_CTRL: HEVENT Position         */
#define SCT0_EV11_CTRL_HEVENT_Msk             (0x01UL << SCT0_EV11_CTRL_HEVENT_Pos)                   /*!< SCT0 EV11_CTRL: HEVENT Mask             */
#define SCT0_EV11_CTRL_OUTSEL_Pos             5                                                       /*!< SCT0 EV11_CTRL: OUTSEL Position         */
#define SCT0_EV11_CTRL_OUTSEL_Msk             (0x01UL << SCT0_EV11_CTRL_OUTSEL_Pos)                   /*!< SCT0 EV11_CTRL: OUTSEL Mask             */
#define SCT0_EV11_CTRL_IOSEL_Pos              6                                                       /*!< SCT0 EV11_CTRL: IOSEL Position          */
#define SCT0_EV11_CTRL_IOSEL_Msk              (0x0fUL << SCT0_EV11_CTRL_IOSEL_Pos)                    /*!< SCT0 EV11_CTRL: IOSEL Mask              */
#define SCT0_EV11_CTRL_IOCOND_Pos             10                                                      /*!< SCT0 EV11_CTRL: IOCOND Position         */
#define SCT0_EV11_CTRL_IOCOND_Msk             (0x03UL << SCT0_EV11_CTRL_IOCOND_Pos)                   /*!< SCT0 EV11_CTRL: IOCOND Mask             */
#define SCT0_EV11_CTRL_COMBMODE_Pos           12                                                      /*!< SCT0 EV11_CTRL: COMBMODE Position       */
#define SCT0_EV11_CTRL_COMBMODE_Msk           (0x03UL << SCT0_EV11_CTRL_COMBMODE_Pos)                 /*!< SCT0 EV11_CTRL: COMBMODE Mask           */
#define SCT0_EV11_CTRL_STATELD_Pos            14                                                      /*!< SCT0 EV11_CTRL: STATELD Position        */
#define SCT0_EV11_CTRL_STATELD_Msk            (0x01UL << SCT0_EV11_CTRL_STATELD_Pos)                  /*!< SCT0 EV11_CTRL: STATELD Mask            */
#define SCT0_EV11_CTRL_STATEV_Pos             15                                                      /*!< SCT0 EV11_CTRL: STATEV Position         */
#define SCT0_EV11_CTRL_STATEV_Msk             (0x1fUL << SCT0_EV11_CTRL_STATEV_Pos)                   /*!< SCT0 EV11_CTRL: STATEV Mask             */
#define SCT0_EV11_CTRL_MATCHMEM_Pos           20                                                      /*!< SCT0 EV11_CTRL: MATCHMEM Position       */
#define SCT0_EV11_CTRL_MATCHMEM_Msk           (0x01UL << SCT0_EV11_CTRL_MATCHMEM_Pos)                 /*!< SCT0 EV11_CTRL: MATCHMEM Mask           */
#define SCT0_EV11_CTRL_DIRECTION_Pos          21                                                      /*!< SCT0 EV11_CTRL: DIRECTION Position      */
#define SCT0_EV11_CTRL_DIRECTION_Msk          (0x03UL << SCT0_EV11_CTRL_DIRECTION_Pos)                /*!< SCT0 EV11_CTRL: DIRECTION Mask          */

/* -------------------------------  SCT0_EV12_STATE  ------------------------------ */
#define SCT0_EV12_STATE_STATEMSKn_Pos         0                                                       /*!< SCT0 EV12_STATE: STATEMSKn Position     */
#define SCT0_EV12_STATE_STATEMSKn_Msk         (0x00001fffUL << SCT0_EV12_STATE_STATEMSKn_Pos)         /*!< SCT0 EV12_STATE: STATEMSKn Mask         */

/* -------------------------------  SCT0_EV12_CTRL  ------------------------------- */
#define SCT0_EV12_CTRL_MATCHSEL_Pos           0                                                       /*!< SCT0 EV12_CTRL: MATCHSEL Position       */
#define SCT0_EV12_CTRL_MATCHSEL_Msk           (0x0fUL << SCT0_EV12_CTRL_MATCHSEL_Pos)                 /*!< SCT0 EV12_CTRL: MATCHSEL Mask           */
#define SCT0_EV12_CTRL_HEVENT_Pos             4                                                       /*!< SCT0 EV12_CTRL: HEVENT Position         */
#define SCT0_EV12_CTRL_HEVENT_Msk             (0x01UL << SCT0_EV12_CTRL_HEVENT_Pos)                   /*!< SCT0 EV12_CTRL: HEVENT Mask             */
#define SCT0_EV12_CTRL_OUTSEL_Pos             5                                                       /*!< SCT0 EV12_CTRL: OUTSEL Position         */
#define SCT0_EV12_CTRL_OUTSEL_Msk             (0x01UL << SCT0_EV12_CTRL_OUTSEL_Pos)                   /*!< SCT0 EV12_CTRL: OUTSEL Mask             */
#define SCT0_EV12_CTRL_IOSEL_Pos              6                                                       /*!< SCT0 EV12_CTRL: IOSEL Position          */
#define SCT0_EV12_CTRL_IOSEL_Msk              (0x0fUL << SCT0_EV12_CTRL_IOSEL_Pos)                    /*!< SCT0 EV12_CTRL: IOSEL Mask              */
#define SCT0_EV12_CTRL_IOCOND_Pos             10                                                      /*!< SCT0 EV12_CTRL: IOCOND Position         */
#define SCT0_EV12_CTRL_IOCOND_Msk             (0x03UL << SCT0_EV12_CTRL_IOCOND_Pos)                   /*!< SCT0 EV12_CTRL: IOCOND Mask             */
#define SCT0_EV12_CTRL_COMBMODE_Pos           12                                                      /*!< SCT0 EV12_CTRL: COMBMODE Position       */
#define SCT0_EV12_CTRL_COMBMODE_Msk           (0x03UL << SCT0_EV12_CTRL_COMBMODE_Pos)                 /*!< SCT0 EV12_CTRL: COMBMODE Mask           */
#define SCT0_EV12_CTRL_STATELD_Pos            14                                                      /*!< SCT0 EV12_CTRL: STATELD Position        */
#define SCT0_EV12_CTRL_STATELD_Msk            (0x01UL << SCT0_EV12_CTRL_STATELD_Pos)                  /*!< SCT0 EV12_CTRL: STATELD Mask            */
#define SCT0_EV12_CTRL_STATEV_Pos             15                                                      /*!< SCT0 EV12_CTRL: STATEV Position         */
#define SCT0_EV12_CTRL_STATEV_Msk             (0x1fUL << SCT0_EV12_CTRL_STATEV_Pos)                   /*!< SCT0 EV12_CTRL: STATEV Mask             */
#define SCT0_EV12_CTRL_MATCHMEM_Pos           20                                                      /*!< SCT0 EV12_CTRL: MATCHMEM Position       */
#define SCT0_EV12_CTRL_MATCHMEM_Msk           (0x01UL << SCT0_EV12_CTRL_MATCHMEM_Pos)                 /*!< SCT0 EV12_CTRL: MATCHMEM Mask           */
#define SCT0_EV12_CTRL_DIRECTION_Pos          21                                                      /*!< SCT0 EV12_CTRL: DIRECTION Position      */
#define SCT0_EV12_CTRL_DIRECTION_Msk          (0x03UL << SCT0_EV12_CTRL_DIRECTION_Pos)                /*!< SCT0 EV12_CTRL: DIRECTION Mask          */

/* --------------------------------  SCT0_OUT0_SET  ------------------------------- */
#define SCT0_OUT0_SET_SET_Pos                 0                                                       /*!< SCT0 OUT0_SET: SET Position             */
#define SCT0_OUT0_SET_SET_Msk                 (0x0000ffffUL << SCT0_OUT0_SET_SET_Pos)                 /*!< SCT0 OUT0_SET: SET Mask                 */

/* --------------------------------  SCT0_OUT0_CLR  ------------------------------- */
#define SCT0_OUT0_CLR_CLR_Pos                 0                                                       /*!< SCT0 OUT0_CLR: CLR Position             */
#define SCT0_OUT0_CLR_CLR_Msk                 (0x0000ffffUL << SCT0_OUT0_CLR_CLR_Pos)                 /*!< SCT0 OUT0_CLR: CLR Mask                 */

/* --------------------------------  SCT0_OUT1_SET  ------------------------------- */
#define SCT0_OUT1_SET_SET_Pos                 0                                                       /*!< SCT0 OUT1_SET: SET Position             */
#define SCT0_OUT1_SET_SET_Msk                 (0x0000ffffUL << SCT0_OUT1_SET_SET_Pos)                 /*!< SCT0 OUT1_SET: SET Mask                 */

/* --------------------------------  SCT0_OUT1_CLR  ------------------------------- */
#define SCT0_OUT1_CLR_CLR_Pos                 0                                                       /*!< SCT0 OUT1_CLR: CLR Position             */
#define SCT0_OUT1_CLR_CLR_Msk                 (0x0000ffffUL << SCT0_OUT1_CLR_CLR_Pos)                 /*!< SCT0 OUT1_CLR: CLR Mask                 */

/* --------------------------------  SCT0_OUT2_SET  ------------------------------- */
#define SCT0_OUT2_SET_SET_Pos                 0                                                       /*!< SCT0 OUT2_SET: SET Position             */
#define SCT0_OUT2_SET_SET_Msk                 (0x0000ffffUL << SCT0_OUT2_SET_SET_Pos)                 /*!< SCT0 OUT2_SET: SET Mask                 */

/* --------------------------------  SCT0_OUT2_CLR  ------------------------------- */
#define SCT0_OUT2_CLR_CLR_Pos                 0                                                       /*!< SCT0 OUT2_CLR: CLR Position             */
#define SCT0_OUT2_CLR_CLR_Msk                 (0x0000ffffUL << SCT0_OUT2_CLR_CLR_Pos)                 /*!< SCT0 OUT2_CLR: CLR Mask                 */

/* --------------------------------  SCT0_OUT3_SET  ------------------------------- */
#define SCT0_OUT3_SET_SET_Pos                 0                                                       /*!< SCT0 OUT3_SET: SET Position             */
#define SCT0_OUT3_SET_SET_Msk                 (0x0000ffffUL << SCT0_OUT3_SET_SET_Pos)                 /*!< SCT0 OUT3_SET: SET Mask                 */

/* --------------------------------  SCT0_OUT3_CLR  ------------------------------- */
#define SCT0_OUT3_CLR_CLR_Pos                 0                                                       /*!< SCT0 OUT3_CLR: CLR Position             */
#define SCT0_OUT3_CLR_CLR_Msk                 (0x0000ffffUL << SCT0_OUT3_CLR_CLR_Pos)                 /*!< SCT0 OUT3_CLR: CLR Mask                 */

/* --------------------------------  SCT0_OUT4_SET  ------------------------------- */
#define SCT0_OUT4_SET_SET_Pos                 0                                                       /*!< SCT0 OUT4_SET: SET Position             */
#define SCT0_OUT4_SET_SET_Msk                 (0x0000ffffUL << SCT0_OUT4_SET_SET_Pos)                 /*!< SCT0 OUT4_SET: SET Mask                 */

/* --------------------------------  SCT0_OUT4_CLR  ------------------------------- */
#define SCT0_OUT4_CLR_CLR_Pos                 0                                                       /*!< SCT0 OUT4_CLR: CLR Position             */
#define SCT0_OUT4_CLR_CLR_Msk                 (0x0000ffffUL << SCT0_OUT4_CLR_CLR_Pos)                 /*!< SCT0 OUT4_CLR: CLR Mask                 */

/* --------------------------------  SCT0_OUT5_SET  ------------------------------- */
#define SCT0_OUT5_SET_SET_Pos                 0                                                       /*!< SCT0 OUT5_SET: SET Position             */
#define SCT0_OUT5_SET_SET_Msk                 (0x0000ffffUL << SCT0_OUT5_SET_SET_Pos)                 /*!< SCT0 OUT5_SET: SET Mask                 */

/* --------------------------------  SCT0_OUT5_CLR  ------------------------------- */
#define SCT0_OUT5_CLR_CLR_Pos                 0                                                       /*!< SCT0 OUT5_CLR: CLR Position             */
#define SCT0_OUT5_CLR_CLR_Msk                 (0x0000ffffUL << SCT0_OUT5_CLR_CLR_Pos)                 /*!< SCT0 OUT5_CLR: CLR Mask                 */

/* --------------------------------  SCT0_OUT6_SET  ------------------------------- */
#define SCT0_OUT6_SET_SET_Pos                 0                                                       /*!< SCT0 OUT6_SET: SET Position             */
#define SCT0_OUT6_SET_SET_Msk                 (0x0000ffffUL << SCT0_OUT6_SET_SET_Pos)                 /*!< SCT0 OUT6_SET: SET Mask                 */

/* --------------------------------  SCT0_OUT6_CLR  ------------------------------- */
#define SCT0_OUT6_CLR_CLR_Pos                 0                                                       /*!< SCT0 OUT6_CLR: CLR Position             */
#define SCT0_OUT6_CLR_CLR_Msk                 (0x0000ffffUL << SCT0_OUT6_CLR_CLR_Pos)                 /*!< SCT0 OUT6_CLR: CLR Mask                 */

/* --------------------------------  SCT0_OUT7_SET  ------------------------------- */
#define SCT0_OUT7_SET_SET_Pos                 0                                                       /*!< SCT0 OUT7_SET: SET Position             */
#define SCT0_OUT7_SET_SET_Msk                 (0x0000ffffUL << SCT0_OUT7_SET_SET_Pos)                 /*!< SCT0 OUT7_SET: SET Mask                 */

/* --------------------------------  SCT0_OUT7_CLR  ------------------------------- */
#define SCT0_OUT7_CLR_CLR_Pos                 0                                                       /*!< SCT0 OUT7_CLR: CLR Position             */
#define SCT0_OUT7_CLR_CLR_Msk                 (0x0000ffffUL << SCT0_OUT7_CLR_CLR_Pos)                 /*!< SCT0 OUT7_CLR: CLR Mask                 */


/* ================================================================================ */
/* ================        struct 'MAILBOX' Position & Mask        ================ */
/* ================================================================================ */


/* --------------------------------  MAILBOX_IRQ0  -------------------------------- */
#define MAILBOX_IRQ0_INTREQ_Pos               0                                                       /*!< MAILBOX IRQ0: INTREQ Position           */
#define MAILBOX_IRQ0_INTREQ_Msk               (0xffffffffUL << MAILBOX_IRQ0_INTREQ_Pos)               /*!< MAILBOX IRQ0: INTREQ Mask               */

/* -------------------------------  MAILBOX_IRQ0SET  ------------------------------ */
#define MAILBOX_IRQ0SET_INTREQSET_Pos         0                                                       /*!< MAILBOX IRQ0SET: INTREQSET Position     */
#define MAILBOX_IRQ0SET_INTREQSET_Msk         (0xffffffffUL << MAILBOX_IRQ0SET_INTREQSET_Pos)         /*!< MAILBOX IRQ0SET: INTREQSET Mask         */

/* -------------------------------  MAILBOX_IRQ0CLR  ------------------------------ */
#define MAILBOX_IRQ0CLR_INTREQCLR_Pos         0                                                       /*!< MAILBOX IRQ0CLR: INTREQCLR Position     */
#define MAILBOX_IRQ0CLR_INTREQCLR_Msk         (0xffffffffUL << MAILBOX_IRQ0CLR_INTREQCLR_Pos)         /*!< MAILBOX IRQ0CLR: INTREQCLR Mask         */

/* --------------------------------  MAILBOX_IRQ1  -------------------------------- */
#define MAILBOX_IRQ1_INTREQ_Pos               0                                                       /*!< MAILBOX IRQ1: INTREQ Position           */
#define MAILBOX_IRQ1_INTREQ_Msk               (0xffffffffUL << MAILBOX_IRQ1_INTREQ_Pos)               /*!< MAILBOX IRQ1: INTREQ Mask               */

/* -------------------------------  MAILBOX_IRQ1SET  ------------------------------ */
#define MAILBOX_IRQ1SET_INTREQSET_Pos         0                                                       /*!< MAILBOX IRQ1SET: INTREQSET Position     */
#define MAILBOX_IRQ1SET_INTREQSET_Msk         (0xffffffffUL << MAILBOX_IRQ1SET_INTREQSET_Pos)         /*!< MAILBOX IRQ1SET: INTREQSET Mask         */

/* -------------------------------  MAILBOX_IRQ1CLR  ------------------------------ */
#define MAILBOX_IRQ1CLR_INTREQCLR_Pos         0                                                       /*!< MAILBOX IRQ1CLR: INTREQCLR Position     */
#define MAILBOX_IRQ1CLR_INTREQCLR_Msk         (0xffffffffUL << MAILBOX_IRQ1CLR_INTREQCLR_Pos)         /*!< MAILBOX IRQ1CLR: INTREQCLR Mask         */

/* --------------------------------  MAILBOX_MUTEX  ------------------------------- */
#define MAILBOX_MUTEX_EX_Pos                  0                                                       /*!< MAILBOX MUTEX: EX Position              */
#define MAILBOX_MUTEX_EX_Msk                  (0x01UL << MAILBOX_MUTEX_EX_Pos)                        /*!< MAILBOX MUTEX: EX Mask                  */


/* ================================================================================ */
/* ================          struct 'ADC0' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  ADC0_CTRL  --------------------------------- */
#define ADC0_CTRL_CLKDIV_Pos                  0                                                       /*!< ADC0 CTRL: CLKDIV Position              */
#define ADC0_CTRL_CLKDIV_Msk                  (0x000000ffUL << ADC0_CTRL_CLKDIV_Pos)                  /*!< ADC0 CTRL: CLKDIV Mask                  */
#define ADC0_CTRL_ASYNMODE_Pos                8                                                       /*!< ADC0 CTRL: ASYNMODE Position            */
#define ADC0_CTRL_ASYNMODE_Msk                (0x01UL << ADC0_CTRL_ASYNMODE_Pos)                      /*!< ADC0 CTRL: ASYNMODE Mask                */
#define ADC0_CTRL_RESOL_Pos                   9                                                       /*!< ADC0 CTRL: RESOL Position               */
#define ADC0_CTRL_RESOL_Msk                   (0x03UL << ADC0_CTRL_RESOL_Pos)                         /*!< ADC0 CTRL: RESOL Mask                   */
#define ADC0_CTRL_BYPASSCAL_Pos               11                                                      /*!< ADC0 CTRL: BYPASSCAL Position           */
#define ADC0_CTRL_BYPASSCAL_Msk               (0x01UL << ADC0_CTRL_BYPASSCAL_Pos)                     /*!< ADC0 CTRL: BYPASSCAL Mask               */
#define ADC0_CTRL_TSAMP_Pos                   12                                                      /*!< ADC0 CTRL: TSAMP Position               */
#define ADC0_CTRL_TSAMP_Msk                   (0x07UL << ADC0_CTRL_TSAMP_Pos)                         /*!< ADC0 CTRL: TSAMP Mask                   */

/* -------------------------------  ADC0_SEQA_CTRL  ------------------------------- */
#define ADC0_SEQA_CTRL_CHANNELS_Pos           0                                                       /*!< ADC0 SEQA_CTRL: CHANNELS Position       */
#define ADC0_SEQA_CTRL_CHANNELS_Msk           (0x00000fffUL << ADC0_SEQA_CTRL_CHANNELS_Pos)           /*!< ADC0 SEQA_CTRL: CHANNELS Mask           */
#define ADC0_SEQA_CTRL_TRIGGER_Pos            12                                                      /*!< ADC0 SEQA_CTRL: TRIGGER Position        */
#define ADC0_SEQA_CTRL_TRIGGER_Msk            (0x3fUL << ADC0_SEQA_CTRL_TRIGGER_Pos)                  /*!< ADC0 SEQA_CTRL: TRIGGER Mask            */
#define ADC0_SEQA_CTRL_TRIGPOL_Pos            18                                                      /*!< ADC0 SEQA_CTRL: TRIGPOL Position        */
#define ADC0_SEQA_CTRL_TRIGPOL_Msk            (0x01UL << ADC0_SEQA_CTRL_TRIGPOL_Pos)                  /*!< ADC0 SEQA_CTRL: TRIGPOL Mask            */
#define ADC0_SEQA_CTRL_SYNCBYPASS_Pos         19                                                      /*!< ADC0 SEQA_CTRL: SYNCBYPASS Position     */
#define ADC0_SEQA_CTRL_SYNCBYPASS_Msk         (0x01UL << ADC0_SEQA_CTRL_SYNCBYPASS_Pos)               /*!< ADC0 SEQA_CTRL: SYNCBYPASS Mask         */
#define ADC0_SEQA_CTRL_START_Pos              26                                                      /*!< ADC0 SEQA_CTRL: START Position          */
#define ADC0_SEQA_CTRL_START_Msk              (0x01UL << ADC0_SEQA_CTRL_START_Pos)                    /*!< ADC0 SEQA_CTRL: START Mask              */
#define ADC0_SEQA_CTRL_BURST_Pos              27                                                      /*!< ADC0 SEQA_CTRL: BURST Position          */
#define ADC0_SEQA_CTRL_BURST_Msk              (0x01UL << ADC0_SEQA_CTRL_BURST_Pos)                    /*!< ADC0 SEQA_CTRL: BURST Mask              */
#define ADC0_SEQA_CTRL_SINGLESTEP_Pos         28                                                      /*!< ADC0 SEQA_CTRL: SINGLESTEP Position     */
#define ADC0_SEQA_CTRL_SINGLESTEP_Msk         (0x01UL << ADC0_SEQA_CTRL_SINGLESTEP_Pos)               /*!< ADC0 SEQA_CTRL: SINGLESTEP Mask         */
#define ADC0_SEQA_CTRL_LOWPRIO_Pos            29                                                      /*!< ADC0 SEQA_CTRL: LOWPRIO Position        */
#define ADC0_SEQA_CTRL_LOWPRIO_Msk            (0x01UL << ADC0_SEQA_CTRL_LOWPRIO_Pos)                  /*!< ADC0 SEQA_CTRL: LOWPRIO Mask            */
#define ADC0_SEQA_CTRL_MODE_Pos               30                                                      /*!< ADC0 SEQA_CTRL: MODE Position           */
#define ADC0_SEQA_CTRL_MODE_Msk               (0x01UL << ADC0_SEQA_CTRL_MODE_Pos)                     /*!< ADC0 SEQA_CTRL: MODE Mask               */
#define ADC0_SEQA_CTRL_SEQA_ENA_Pos           31                                                      /*!< ADC0 SEQA_CTRL: SEQA_ENA Position       */
#define ADC0_SEQA_CTRL_SEQA_ENA_Msk           (0x01UL << ADC0_SEQA_CTRL_SEQA_ENA_Pos)                 /*!< ADC0 SEQA_CTRL: SEQA_ENA Mask           */

/* -------------------------------  ADC0_SEQB_CTRL  ------------------------------- */
#define ADC0_SEQB_CTRL_CHANNELS_Pos           0                                                       /*!< ADC0 SEQB_CTRL: CHANNELS Position       */
#define ADC0_SEQB_CTRL_CHANNELS_Msk           (0x00000fffUL << ADC0_SEQB_CTRL_CHANNELS_Pos)           /*!< ADC0 SEQB_CTRL: CHANNELS Mask           */
#define ADC0_SEQB_CTRL_TRIGGER_Pos            12                                                      /*!< ADC0 SEQB_CTRL: TRIGGER Position        */
#define ADC0_SEQB_CTRL_TRIGGER_Msk            (0x3fUL << ADC0_SEQB_CTRL_TRIGGER_Pos)                  /*!< ADC0 SEQB_CTRL: TRIGGER Mask            */
#define ADC0_SEQB_CTRL_TRIGPOL_Pos            18                                                      /*!< ADC0 SEQB_CTRL: TRIGPOL Position        */
#define ADC0_SEQB_CTRL_TRIGPOL_Msk            (0x01UL << ADC0_SEQB_CTRL_TRIGPOL_Pos)                  /*!< ADC0 SEQB_CTRL: TRIGPOL Mask            */
#define ADC0_SEQB_CTRL_SYNCBYPASS_Pos         19                                                      /*!< ADC0 SEQB_CTRL: SYNCBYPASS Position     */
#define ADC0_SEQB_CTRL_SYNCBYPASS_Msk         (0x01UL << ADC0_SEQB_CTRL_SYNCBYPASS_Pos)               /*!< ADC0 SEQB_CTRL: SYNCBYPASS Mask         */
#define ADC0_SEQB_CTRL_START_Pos              26                                                      /*!< ADC0 SEQB_CTRL: START Position          */
#define ADC0_SEQB_CTRL_START_Msk              (0x01UL << ADC0_SEQB_CTRL_START_Pos)                    /*!< ADC0 SEQB_CTRL: START Mask              */
#define ADC0_SEQB_CTRL_BURST_Pos              27                                                      /*!< ADC0 SEQB_CTRL: BURST Position          */
#define ADC0_SEQB_CTRL_BURST_Msk              (0x01UL << ADC0_SEQB_CTRL_BURST_Pos)                    /*!< ADC0 SEQB_CTRL: BURST Mask              */
#define ADC0_SEQB_CTRL_SINGLESTEP_Pos         28                                                      /*!< ADC0 SEQB_CTRL: SINGLESTEP Position     */
#define ADC0_SEQB_CTRL_SINGLESTEP_Msk         (0x01UL << ADC0_SEQB_CTRL_SINGLESTEP_Pos)               /*!< ADC0 SEQB_CTRL: SINGLESTEP Mask         */
#define ADC0_SEQB_CTRL_MODE_Pos               30                                                      /*!< ADC0 SEQB_CTRL: MODE Position           */
#define ADC0_SEQB_CTRL_MODE_Msk               (0x01UL << ADC0_SEQB_CTRL_MODE_Pos)                     /*!< ADC0 SEQB_CTRL: MODE Mask               */
#define ADC0_SEQB_CTRL_SEQB_ENA_Pos           31                                                      /*!< ADC0 SEQB_CTRL: SEQB_ENA Position       */
#define ADC0_SEQB_CTRL_SEQB_ENA_Msk           (0x01UL << ADC0_SEQB_CTRL_SEQB_ENA_Pos)                 /*!< ADC0 SEQB_CTRL: SEQB_ENA Mask           */

/* -------------------------------  ADC0_SEQA_GDAT  ------------------------------- */
#define ADC0_SEQA_GDAT_RESULT_Pos             4                                                       /*!< ADC0 SEQA_GDAT: RESULT Position         */
#define ADC0_SEQA_GDAT_RESULT_Msk             (0x00000fffUL << ADC0_SEQA_GDAT_RESULT_Pos)             /*!< ADC0 SEQA_GDAT: RESULT Mask             */
#define ADC0_SEQA_GDAT_THCMPRANGE_Pos         16                                                      /*!< ADC0 SEQA_GDAT: THCMPRANGE Position     */
#define ADC0_SEQA_GDAT_THCMPRANGE_Msk         (0x03UL << ADC0_SEQA_GDAT_THCMPRANGE_Pos)               /*!< ADC0 SEQA_GDAT: THCMPRANGE Mask         */
#define ADC0_SEQA_GDAT_THCMPCROSS_Pos         18                                                      /*!< ADC0 SEQA_GDAT: THCMPCROSS Position     */
#define ADC0_SEQA_GDAT_THCMPCROSS_Msk         (0x03UL << ADC0_SEQA_GDAT_THCMPCROSS_Pos)               /*!< ADC0 SEQA_GDAT: THCMPCROSS Mask         */
#define ADC0_SEQA_GDAT_CHN_Pos                26                                                      /*!< ADC0 SEQA_GDAT: CHN Position            */
#define ADC0_SEQA_GDAT_CHN_Msk                (0x0fUL << ADC0_SEQA_GDAT_CHN_Pos)                      /*!< ADC0 SEQA_GDAT: CHN Mask                */
#define ADC0_SEQA_GDAT_OVERRUN_Pos            30                                                      /*!< ADC0 SEQA_GDAT: OVERRUN Position        */
#define ADC0_SEQA_GDAT_OVERRUN_Msk            (0x01UL << ADC0_SEQA_GDAT_OVERRUN_Pos)                  /*!< ADC0 SEQA_GDAT: OVERRUN Mask            */
#define ADC0_SEQA_GDAT_DATAVALID_Pos          31                                                      /*!< ADC0 SEQA_GDAT: DATAVALID Position      */
#define ADC0_SEQA_GDAT_DATAVALID_Msk          (0x01UL << ADC0_SEQA_GDAT_DATAVALID_Pos)                /*!< ADC0 SEQA_GDAT: DATAVALID Mask          */

/* -------------------------------  ADC0_SEQB_GDAT  ------------------------------- */
#define ADC0_SEQB_GDAT_RESULT_Pos             4                                                       /*!< ADC0 SEQB_GDAT: RESULT Position         */
#define ADC0_SEQB_GDAT_RESULT_Msk             (0x00000fffUL << ADC0_SEQB_GDAT_RESULT_Pos)             /*!< ADC0 SEQB_GDAT: RESULT Mask             */
#define ADC0_SEQB_GDAT_THCMPRANGE_Pos         16                                                      /*!< ADC0 SEQB_GDAT: THCMPRANGE Position     */
#define ADC0_SEQB_GDAT_THCMPRANGE_Msk         (0x03UL << ADC0_SEQB_GDAT_THCMPRANGE_Pos)               /*!< ADC0 SEQB_GDAT: THCMPRANGE Mask         */
#define ADC0_SEQB_GDAT_THCMPCROSS_Pos         18                                                      /*!< ADC0 SEQB_GDAT: THCMPCROSS Position     */
#define ADC0_SEQB_GDAT_THCMPCROSS_Msk         (0x03UL << ADC0_SEQB_GDAT_THCMPCROSS_Pos)               /*!< ADC0 SEQB_GDAT: THCMPCROSS Mask         */
#define ADC0_SEQB_GDAT_CHN_Pos                26                                                      /*!< ADC0 SEQB_GDAT: CHN Position            */
#define ADC0_SEQB_GDAT_CHN_Msk                (0x0fUL << ADC0_SEQB_GDAT_CHN_Pos)                      /*!< ADC0 SEQB_GDAT: CHN Mask                */
#define ADC0_SEQB_GDAT_OVERRUN_Pos            30                                                      /*!< ADC0 SEQB_GDAT: OVERRUN Position        */
#define ADC0_SEQB_GDAT_OVERRUN_Msk            (0x01UL << ADC0_SEQB_GDAT_OVERRUN_Pos)                  /*!< ADC0 SEQB_GDAT: OVERRUN Mask            */
#define ADC0_SEQB_GDAT_DATAVALID_Pos          31                                                      /*!< ADC0 SEQB_GDAT: DATAVALID Position      */
#define ADC0_SEQB_GDAT_DATAVALID_Msk          (0x01UL << ADC0_SEQB_GDAT_DATAVALID_Pos)                /*!< ADC0 SEQB_GDAT: DATAVALID Mask          */

/* ----------------------------------  ADC0_DAT0  --------------------------------- */
#define ADC0_DAT0_RESULT_Pos                  4                                                       /*!< ADC0 DAT0: RESULT Position              */
#define ADC0_DAT0_RESULT_Msk                  (0x00000fffUL << ADC0_DAT0_RESULT_Pos)                  /*!< ADC0 DAT0: RESULT Mask                  */
#define ADC0_DAT0_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT0: THCMPRANGE Position          */
#define ADC0_DAT0_THCMPRANGE_Msk              (0x03UL << ADC0_DAT0_THCMPRANGE_Pos)                    /*!< ADC0 DAT0: THCMPRANGE Mask              */
#define ADC0_DAT0_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT0: THCMPCROSS Position          */
#define ADC0_DAT0_THCMPCROSS_Msk              (0x03UL << ADC0_DAT0_THCMPCROSS_Pos)                    /*!< ADC0 DAT0: THCMPCROSS Mask              */
#define ADC0_DAT0_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT0: CHANNEL Position             */
#define ADC0_DAT0_CHANNEL_Msk                 (0x0fUL << ADC0_DAT0_CHANNEL_Pos)                       /*!< ADC0 DAT0: CHANNEL Mask                 */
#define ADC0_DAT0_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT0: OVERRUN Position             */
#define ADC0_DAT0_OVERRUN_Msk                 (0x01UL << ADC0_DAT0_OVERRUN_Pos)                       /*!< ADC0 DAT0: OVERRUN Mask                 */
#define ADC0_DAT0_DATAVALID_Pos               31                                                      /*!< ADC0 DAT0: DATAVALID Position           */
#define ADC0_DAT0_DATAVALID_Msk               (0x01UL << ADC0_DAT0_DATAVALID_Pos)                     /*!< ADC0 DAT0: DATAVALID Mask               */

/* ----------------------------------  ADC0_DAT1  --------------------------------- */
#define ADC0_DAT1_RESULT_Pos                  4                                                       /*!< ADC0 DAT1: RESULT Position              */
#define ADC0_DAT1_RESULT_Msk                  (0x00000fffUL << ADC0_DAT1_RESULT_Pos)                  /*!< ADC0 DAT1: RESULT Mask                  */
#define ADC0_DAT1_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT1: THCMPRANGE Position          */
#define ADC0_DAT1_THCMPRANGE_Msk              (0x03UL << ADC0_DAT1_THCMPRANGE_Pos)                    /*!< ADC0 DAT1: THCMPRANGE Mask              */
#define ADC0_DAT1_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT1: THCMPCROSS Position          */
#define ADC0_DAT1_THCMPCROSS_Msk              (0x03UL << ADC0_DAT1_THCMPCROSS_Pos)                    /*!< ADC0 DAT1: THCMPCROSS Mask              */
#define ADC0_DAT1_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT1: CHANNEL Position             */
#define ADC0_DAT1_CHANNEL_Msk                 (0x0fUL << ADC0_DAT1_CHANNEL_Pos)                       /*!< ADC0 DAT1: CHANNEL Mask                 */
#define ADC0_DAT1_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT1: OVERRUN Position             */
#define ADC0_DAT1_OVERRUN_Msk                 (0x01UL << ADC0_DAT1_OVERRUN_Pos)                       /*!< ADC0 DAT1: OVERRUN Mask                 */
#define ADC0_DAT1_DATAVALID_Pos               31                                                      /*!< ADC0 DAT1: DATAVALID Position           */
#define ADC0_DAT1_DATAVALID_Msk               (0x01UL << ADC0_DAT1_DATAVALID_Pos)                     /*!< ADC0 DAT1: DATAVALID Mask               */

/* ----------------------------------  ADC0_DAT2  --------------------------------- */
#define ADC0_DAT2_RESULT_Pos                  4                                                       /*!< ADC0 DAT2: RESULT Position              */
#define ADC0_DAT2_RESULT_Msk                  (0x00000fffUL << ADC0_DAT2_RESULT_Pos)                  /*!< ADC0 DAT2: RESULT Mask                  */
#define ADC0_DAT2_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT2: THCMPRANGE Position          */
#define ADC0_DAT2_THCMPRANGE_Msk              (0x03UL << ADC0_DAT2_THCMPRANGE_Pos)                    /*!< ADC0 DAT2: THCMPRANGE Mask              */
#define ADC0_DAT2_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT2: THCMPCROSS Position          */
#define ADC0_DAT2_THCMPCROSS_Msk              (0x03UL << ADC0_DAT2_THCMPCROSS_Pos)                    /*!< ADC0 DAT2: THCMPCROSS Mask              */
#define ADC0_DAT2_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT2: CHANNEL Position             */
#define ADC0_DAT2_CHANNEL_Msk                 (0x0fUL << ADC0_DAT2_CHANNEL_Pos)                       /*!< ADC0 DAT2: CHANNEL Mask                 */
#define ADC0_DAT2_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT2: OVERRUN Position             */
#define ADC0_DAT2_OVERRUN_Msk                 (0x01UL << ADC0_DAT2_OVERRUN_Pos)                       /*!< ADC0 DAT2: OVERRUN Mask                 */
#define ADC0_DAT2_DATAVALID_Pos               31                                                      /*!< ADC0 DAT2: DATAVALID Position           */
#define ADC0_DAT2_DATAVALID_Msk               (0x01UL << ADC0_DAT2_DATAVALID_Pos)                     /*!< ADC0 DAT2: DATAVALID Mask               */

/* ----------------------------------  ADC0_DAT3  --------------------------------- */
#define ADC0_DAT3_RESULT_Pos                  4                                                       /*!< ADC0 DAT3: RESULT Position              */
#define ADC0_DAT3_RESULT_Msk                  (0x00000fffUL << ADC0_DAT3_RESULT_Pos)                  /*!< ADC0 DAT3: RESULT Mask                  */
#define ADC0_DAT3_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT3: THCMPRANGE Position          */
#define ADC0_DAT3_THCMPRANGE_Msk              (0x03UL << ADC0_DAT3_THCMPRANGE_Pos)                    /*!< ADC0 DAT3: THCMPRANGE Mask              */
#define ADC0_DAT3_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT3: THCMPCROSS Position          */
#define ADC0_DAT3_THCMPCROSS_Msk              (0x03UL << ADC0_DAT3_THCMPCROSS_Pos)                    /*!< ADC0 DAT3: THCMPCROSS Mask              */
#define ADC0_DAT3_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT3: CHANNEL Position             */
#define ADC0_DAT3_CHANNEL_Msk                 (0x0fUL << ADC0_DAT3_CHANNEL_Pos)                       /*!< ADC0 DAT3: CHANNEL Mask                 */
#define ADC0_DAT3_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT3: OVERRUN Position             */
#define ADC0_DAT3_OVERRUN_Msk                 (0x01UL << ADC0_DAT3_OVERRUN_Pos)                       /*!< ADC0 DAT3: OVERRUN Mask                 */
#define ADC0_DAT3_DATAVALID_Pos               31                                                      /*!< ADC0 DAT3: DATAVALID Position           */
#define ADC0_DAT3_DATAVALID_Msk               (0x01UL << ADC0_DAT3_DATAVALID_Pos)                     /*!< ADC0 DAT3: DATAVALID Mask               */

/* ----------------------------------  ADC0_DAT4  --------------------------------- */
#define ADC0_DAT4_RESULT_Pos                  4                                                       /*!< ADC0 DAT4: RESULT Position              */
#define ADC0_DAT4_RESULT_Msk                  (0x00000fffUL << ADC0_DAT4_RESULT_Pos)                  /*!< ADC0 DAT4: RESULT Mask                  */
#define ADC0_DAT4_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT4: THCMPRANGE Position          */
#define ADC0_DAT4_THCMPRANGE_Msk              (0x03UL << ADC0_DAT4_THCMPRANGE_Pos)                    /*!< ADC0 DAT4: THCMPRANGE Mask              */
#define ADC0_DAT4_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT4: THCMPCROSS Position          */
#define ADC0_DAT4_THCMPCROSS_Msk              (0x03UL << ADC0_DAT4_THCMPCROSS_Pos)                    /*!< ADC0 DAT4: THCMPCROSS Mask              */
#define ADC0_DAT4_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT4: CHANNEL Position             */
#define ADC0_DAT4_CHANNEL_Msk                 (0x0fUL << ADC0_DAT4_CHANNEL_Pos)                       /*!< ADC0 DAT4: CHANNEL Mask                 */
#define ADC0_DAT4_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT4: OVERRUN Position             */
#define ADC0_DAT4_OVERRUN_Msk                 (0x01UL << ADC0_DAT4_OVERRUN_Pos)                       /*!< ADC0 DAT4: OVERRUN Mask                 */
#define ADC0_DAT4_DATAVALID_Pos               31                                                      /*!< ADC0 DAT4: DATAVALID Position           */
#define ADC0_DAT4_DATAVALID_Msk               (0x01UL << ADC0_DAT4_DATAVALID_Pos)                     /*!< ADC0 DAT4: DATAVALID Mask               */

/* ----------------------------------  ADC0_DAT5  --------------------------------- */
#define ADC0_DAT5_RESULT_Pos                  4                                                       /*!< ADC0 DAT5: RESULT Position              */
#define ADC0_DAT5_RESULT_Msk                  (0x00000fffUL << ADC0_DAT5_RESULT_Pos)                  /*!< ADC0 DAT5: RESULT Mask                  */
#define ADC0_DAT5_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT5: THCMPRANGE Position          */
#define ADC0_DAT5_THCMPRANGE_Msk              (0x03UL << ADC0_DAT5_THCMPRANGE_Pos)                    /*!< ADC0 DAT5: THCMPRANGE Mask              */
#define ADC0_DAT5_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT5: THCMPCROSS Position          */
#define ADC0_DAT5_THCMPCROSS_Msk              (0x03UL << ADC0_DAT5_THCMPCROSS_Pos)                    /*!< ADC0 DAT5: THCMPCROSS Mask              */
#define ADC0_DAT5_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT5: CHANNEL Position             */
#define ADC0_DAT5_CHANNEL_Msk                 (0x0fUL << ADC0_DAT5_CHANNEL_Pos)                       /*!< ADC0 DAT5: CHANNEL Mask                 */
#define ADC0_DAT5_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT5: OVERRUN Position             */
#define ADC0_DAT5_OVERRUN_Msk                 (0x01UL << ADC0_DAT5_OVERRUN_Pos)                       /*!< ADC0 DAT5: OVERRUN Mask                 */
#define ADC0_DAT5_DATAVALID_Pos               31                                                      /*!< ADC0 DAT5: DATAVALID Position           */
#define ADC0_DAT5_DATAVALID_Msk               (0x01UL << ADC0_DAT5_DATAVALID_Pos)                     /*!< ADC0 DAT5: DATAVALID Mask               */

/* ----------------------------------  ADC0_DAT6  --------------------------------- */
#define ADC0_DAT6_RESULT_Pos                  4                                                       /*!< ADC0 DAT6: RESULT Position              */
#define ADC0_DAT6_RESULT_Msk                  (0x00000fffUL << ADC0_DAT6_RESULT_Pos)                  /*!< ADC0 DAT6: RESULT Mask                  */
#define ADC0_DAT6_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT6: THCMPRANGE Position          */
#define ADC0_DAT6_THCMPRANGE_Msk              (0x03UL << ADC0_DAT6_THCMPRANGE_Pos)                    /*!< ADC0 DAT6: THCMPRANGE Mask              */
#define ADC0_DAT6_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT6: THCMPCROSS Position          */
#define ADC0_DAT6_THCMPCROSS_Msk              (0x03UL << ADC0_DAT6_THCMPCROSS_Pos)                    /*!< ADC0 DAT6: THCMPCROSS Mask              */
#define ADC0_DAT6_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT6: CHANNEL Position             */
#define ADC0_DAT6_CHANNEL_Msk                 (0x0fUL << ADC0_DAT6_CHANNEL_Pos)                       /*!< ADC0 DAT6: CHANNEL Mask                 */
#define ADC0_DAT6_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT6: OVERRUN Position             */
#define ADC0_DAT6_OVERRUN_Msk                 (0x01UL << ADC0_DAT6_OVERRUN_Pos)                       /*!< ADC0 DAT6: OVERRUN Mask                 */
#define ADC0_DAT6_DATAVALID_Pos               31                                                      /*!< ADC0 DAT6: DATAVALID Position           */
#define ADC0_DAT6_DATAVALID_Msk               (0x01UL << ADC0_DAT6_DATAVALID_Pos)                     /*!< ADC0 DAT6: DATAVALID Mask               */

/* ----------------------------------  ADC0_DAT7  --------------------------------- */
#define ADC0_DAT7_RESULT_Pos                  4                                                       /*!< ADC0 DAT7: RESULT Position              */
#define ADC0_DAT7_RESULT_Msk                  (0x00000fffUL << ADC0_DAT7_RESULT_Pos)                  /*!< ADC0 DAT7: RESULT Mask                  */
#define ADC0_DAT7_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT7: THCMPRANGE Position          */
#define ADC0_DAT7_THCMPRANGE_Msk              (0x03UL << ADC0_DAT7_THCMPRANGE_Pos)                    /*!< ADC0 DAT7: THCMPRANGE Mask              */
#define ADC0_DAT7_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT7: THCMPCROSS Position          */
#define ADC0_DAT7_THCMPCROSS_Msk              (0x03UL << ADC0_DAT7_THCMPCROSS_Pos)                    /*!< ADC0 DAT7: THCMPCROSS Mask              */
#define ADC0_DAT7_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT7: CHANNEL Position             */
#define ADC0_DAT7_CHANNEL_Msk                 (0x0fUL << ADC0_DAT7_CHANNEL_Pos)                       /*!< ADC0 DAT7: CHANNEL Mask                 */
#define ADC0_DAT7_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT7: OVERRUN Position             */
#define ADC0_DAT7_OVERRUN_Msk                 (0x01UL << ADC0_DAT7_OVERRUN_Pos)                       /*!< ADC0 DAT7: OVERRUN Mask                 */
#define ADC0_DAT7_DATAVALID_Pos               31                                                      /*!< ADC0 DAT7: DATAVALID Position           */
#define ADC0_DAT7_DATAVALID_Msk               (0x01UL << ADC0_DAT7_DATAVALID_Pos)                     /*!< ADC0 DAT7: DATAVALID Mask               */

/* ----------------------------------  ADC0_DAT8  --------------------------------- */
#define ADC0_DAT8_RESULT_Pos                  4                                                       /*!< ADC0 DAT8: RESULT Position              */
#define ADC0_DAT8_RESULT_Msk                  (0x00000fffUL << ADC0_DAT8_RESULT_Pos)                  /*!< ADC0 DAT8: RESULT Mask                  */
#define ADC0_DAT8_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT8: THCMPRANGE Position          */
#define ADC0_DAT8_THCMPRANGE_Msk              (0x03UL << ADC0_DAT8_THCMPRANGE_Pos)                    /*!< ADC0 DAT8: THCMPRANGE Mask              */
#define ADC0_DAT8_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT8: THCMPCROSS Position          */
#define ADC0_DAT8_THCMPCROSS_Msk              (0x03UL << ADC0_DAT8_THCMPCROSS_Pos)                    /*!< ADC0 DAT8: THCMPCROSS Mask              */
#define ADC0_DAT8_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT8: CHANNEL Position             */
#define ADC0_DAT8_CHANNEL_Msk                 (0x0fUL << ADC0_DAT8_CHANNEL_Pos)                       /*!< ADC0 DAT8: CHANNEL Mask                 */
#define ADC0_DAT8_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT8: OVERRUN Position             */
#define ADC0_DAT8_OVERRUN_Msk                 (0x01UL << ADC0_DAT8_OVERRUN_Pos)                       /*!< ADC0 DAT8: OVERRUN Mask                 */
#define ADC0_DAT8_DATAVALID_Pos               31                                                      /*!< ADC0 DAT8: DATAVALID Position           */
#define ADC0_DAT8_DATAVALID_Msk               (0x01UL << ADC0_DAT8_DATAVALID_Pos)                     /*!< ADC0 DAT8: DATAVALID Mask               */

/* ----------------------------------  ADC0_DAT9  --------------------------------- */
#define ADC0_DAT9_RESULT_Pos                  4                                                       /*!< ADC0 DAT9: RESULT Position              */
#define ADC0_DAT9_RESULT_Msk                  (0x00000fffUL << ADC0_DAT9_RESULT_Pos)                  /*!< ADC0 DAT9: RESULT Mask                  */
#define ADC0_DAT9_THCMPRANGE_Pos              16                                                      /*!< ADC0 DAT9: THCMPRANGE Position          */
#define ADC0_DAT9_THCMPRANGE_Msk              (0x03UL << ADC0_DAT9_THCMPRANGE_Pos)                    /*!< ADC0 DAT9: THCMPRANGE Mask              */
#define ADC0_DAT9_THCMPCROSS_Pos              18                                                      /*!< ADC0 DAT9: THCMPCROSS Position          */
#define ADC0_DAT9_THCMPCROSS_Msk              (0x03UL << ADC0_DAT9_THCMPCROSS_Pos)                    /*!< ADC0 DAT9: THCMPCROSS Mask              */
#define ADC0_DAT9_CHANNEL_Pos                 26                                                      /*!< ADC0 DAT9: CHANNEL Position             */
#define ADC0_DAT9_CHANNEL_Msk                 (0x0fUL << ADC0_DAT9_CHANNEL_Pos)                       /*!< ADC0 DAT9: CHANNEL Mask                 */
#define ADC0_DAT9_OVERRUN_Pos                 30                                                      /*!< ADC0 DAT9: OVERRUN Position             */
#define ADC0_DAT9_OVERRUN_Msk                 (0x01UL << ADC0_DAT9_OVERRUN_Pos)                       /*!< ADC0 DAT9: OVERRUN Mask                 */
#define ADC0_DAT9_DATAVALID_Pos               31                                                      /*!< ADC0 DAT9: DATAVALID Position           */
#define ADC0_DAT9_DATAVALID_Msk               (0x01UL << ADC0_DAT9_DATAVALID_Pos)                     /*!< ADC0 DAT9: DATAVALID Mask               */

/* ---------------------------------  ADC0_DAT10  --------------------------------- */
#define ADC0_DAT10_RESULT_Pos                 4                                                       /*!< ADC0 DAT10: RESULT Position             */
#define ADC0_DAT10_RESULT_Msk                 (0x00000fffUL << ADC0_DAT10_RESULT_Pos)                 /*!< ADC0 DAT10: RESULT Mask                 */
#define ADC0_DAT10_THCMPRANGE_Pos             16                                                      /*!< ADC0 DAT10: THCMPRANGE Position         */
#define ADC0_DAT10_THCMPRANGE_Msk             (0x03UL << ADC0_DAT10_THCMPRANGE_Pos)                   /*!< ADC0 DAT10: THCMPRANGE Mask             */
#define ADC0_DAT10_THCMPCROSS_Pos             18                                                      /*!< ADC0 DAT10: THCMPCROSS Position         */
#define ADC0_DAT10_THCMPCROSS_Msk             (0x03UL << ADC0_DAT10_THCMPCROSS_Pos)                   /*!< ADC0 DAT10: THCMPCROSS Mask             */
#define ADC0_DAT10_CHANNEL_Pos                26                                                      /*!< ADC0 DAT10: CHANNEL Position            */
#define ADC0_DAT10_CHANNEL_Msk                (0x0fUL << ADC0_DAT10_CHANNEL_Pos)                      /*!< ADC0 DAT10: CHANNEL Mask                */
#define ADC0_DAT10_OVERRUN_Pos                30                                                      /*!< ADC0 DAT10: OVERRUN Position            */
#define ADC0_DAT10_OVERRUN_Msk                (0x01UL << ADC0_DAT10_OVERRUN_Pos)                      /*!< ADC0 DAT10: OVERRUN Mask                */
#define ADC0_DAT10_DATAVALID_Pos              31                                                      /*!< ADC0 DAT10: DATAVALID Position          */
#define ADC0_DAT10_DATAVALID_Msk              (0x01UL << ADC0_DAT10_DATAVALID_Pos)                    /*!< ADC0 DAT10: DATAVALID Mask              */

/* ---------------------------------  ADC0_DAT11  --------------------------------- */
#define ADC0_DAT11_RESULT_Pos                 4                                                       /*!< ADC0 DAT11: RESULT Position             */
#define ADC0_DAT11_RESULT_Msk                 (0x00000fffUL << ADC0_DAT11_RESULT_Pos)                 /*!< ADC0 DAT11: RESULT Mask                 */
#define ADC0_DAT11_THCMPRANGE_Pos             16                                                      /*!< ADC0 DAT11: THCMPRANGE Position         */
#define ADC0_DAT11_THCMPRANGE_Msk             (0x03UL << ADC0_DAT11_THCMPRANGE_Pos)                   /*!< ADC0 DAT11: THCMPRANGE Mask             */
#define ADC0_DAT11_THCMPCROSS_Pos             18                                                      /*!< ADC0 DAT11: THCMPCROSS Position         */
#define ADC0_DAT11_THCMPCROSS_Msk             (0x03UL << ADC0_DAT11_THCMPCROSS_Pos)                   /*!< ADC0 DAT11: THCMPCROSS Mask             */
#define ADC0_DAT11_CHANNEL_Pos                26                                                      /*!< ADC0 DAT11: CHANNEL Position            */
#define ADC0_DAT11_CHANNEL_Msk                (0x0fUL << ADC0_DAT11_CHANNEL_Pos)                      /*!< ADC0 DAT11: CHANNEL Mask                */
#define ADC0_DAT11_OVERRUN_Pos                30                                                      /*!< ADC0 DAT11: OVERRUN Position            */
#define ADC0_DAT11_OVERRUN_Msk                (0x01UL << ADC0_DAT11_OVERRUN_Pos)                      /*!< ADC0 DAT11: OVERRUN Mask                */
#define ADC0_DAT11_DATAVALID_Pos              31                                                      /*!< ADC0 DAT11: DATAVALID Position          */
#define ADC0_DAT11_DATAVALID_Msk              (0x01UL << ADC0_DAT11_DATAVALID_Pos)                    /*!< ADC0 DAT11: DATAVALID Mask              */

/* --------------------------------  ADC0_THR0_LOW  ------------------------------- */
#define ADC0_THR0_LOW_THRLOW_Pos              4                                                       /*!< ADC0 THR0_LOW: THRLOW Position          */
#define ADC0_THR0_LOW_THRLOW_Msk              (0x00000fffUL << ADC0_THR0_LOW_THRLOW_Pos)              /*!< ADC0 THR0_LOW: THRLOW Mask              */

/* --------------------------------  ADC0_THR1_LOW  ------------------------------- */
#define ADC0_THR1_LOW_THRLOW_Pos              4                                                       /*!< ADC0 THR1_LOW: THRLOW Position          */
#define ADC0_THR1_LOW_THRLOW_Msk              (0x00000fffUL << ADC0_THR1_LOW_THRLOW_Pos)              /*!< ADC0 THR1_LOW: THRLOW Mask              */

/* -------------------------------  ADC0_THR0_HIGH  ------------------------------- */
#define ADC0_THR0_HIGH_THRHIGH_Pos            4                                                       /*!< ADC0 THR0_HIGH: THRHIGH Position        */
#define ADC0_THR0_HIGH_THRHIGH_Msk            (0x00000fffUL << ADC0_THR0_HIGH_THRHIGH_Pos)            /*!< ADC0 THR0_HIGH: THRHIGH Mask            */

/* -------------------------------  ADC0_THR1_HIGH  ------------------------------- */
#define ADC0_THR1_HIGH_THRHIGH_Pos            4                                                       /*!< ADC0 THR1_HIGH: THRHIGH Position        */
#define ADC0_THR1_HIGH_THRHIGH_Msk            (0x00000fffUL << ADC0_THR1_HIGH_THRHIGH_Pos)            /*!< ADC0 THR1_HIGH: THRHIGH Mask            */

/* ------------------------------  ADC0_CHAN_THRSEL  ------------------------------ */
#define ADC0_CHAN_THRSEL_CH0_THRSEL_Pos       0                                                       /*!< ADC0 CHAN_THRSEL: CH0_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH0_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH0_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH0_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH1_THRSEL_Pos       1                                                       /*!< ADC0 CHAN_THRSEL: CH1_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH1_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH1_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH1_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH2_THRSEL_Pos       2                                                       /*!< ADC0 CHAN_THRSEL: CH2_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH2_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH2_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH2_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH3_THRSEL_Pos       3                                                       /*!< ADC0 CHAN_THRSEL: CH3_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH3_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH3_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH3_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH4_THRSEL_Pos       4                                                       /*!< ADC0 CHAN_THRSEL: CH4_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH4_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH4_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH4_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH5_THRSEL_Pos       5                                                       /*!< ADC0 CHAN_THRSEL: CH5_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH5_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH5_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH5_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH6_THRSEL_Pos       6                                                       /*!< ADC0 CHAN_THRSEL: CH6_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH6_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH6_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH6_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH7_THRSEL_Pos       7                                                       /*!< ADC0 CHAN_THRSEL: CH7_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH7_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH7_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH7_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH8_THRSEL_Pos       8                                                       /*!< ADC0 CHAN_THRSEL: CH8_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH8_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH8_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH8_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH9_THRSEL_Pos       9                                                       /*!< ADC0 CHAN_THRSEL: CH9_THRSEL Position   */
#define ADC0_CHAN_THRSEL_CH9_THRSEL_Msk       (0x01UL << ADC0_CHAN_THRSEL_CH9_THRSEL_Pos)             /*!< ADC0 CHAN_THRSEL: CH9_THRSEL Mask       */
#define ADC0_CHAN_THRSEL_CH10_THRSEL_Pos      10                                                      /*!< ADC0 CHAN_THRSEL: CH10_THRSEL Position  */
#define ADC0_CHAN_THRSEL_CH10_THRSEL_Msk      (0x01UL << ADC0_CHAN_THRSEL_CH10_THRSEL_Pos)            /*!< ADC0 CHAN_THRSEL: CH10_THRSEL Mask      */
#define ADC0_CHAN_THRSEL_CH11_THRSEL_Pos      11                                                      /*!< ADC0 CHAN_THRSEL: CH11_THRSEL Position  */
#define ADC0_CHAN_THRSEL_CH11_THRSEL_Msk      (0x01UL << ADC0_CHAN_THRSEL_CH11_THRSEL_Pos)            /*!< ADC0 CHAN_THRSEL: CH11_THRSEL Mask      */

/* ---------------------------------  ADC0_INTEN  --------------------------------- */
#define ADC0_INTEN_SEQA_INTEN_Pos             0                                                       /*!< ADC0 INTEN: SEQA_INTEN Position         */
#define ADC0_INTEN_SEQA_INTEN_Msk             (0x01UL << ADC0_INTEN_SEQA_INTEN_Pos)                   /*!< ADC0 INTEN: SEQA_INTEN Mask             */
#define ADC0_INTEN_SEQB_INTEN_Pos             1                                                       /*!< ADC0 INTEN: SEQB_INTEN Position         */
#define ADC0_INTEN_SEQB_INTEN_Msk             (0x01UL << ADC0_INTEN_SEQB_INTEN_Pos)                   /*!< ADC0 INTEN: SEQB_INTEN Mask             */
#define ADC0_INTEN_OVR_INTEN_Pos              2                                                       /*!< ADC0 INTEN: OVR_INTEN Position          */
#define ADC0_INTEN_OVR_INTEN_Msk              (0x01UL << ADC0_INTEN_OVR_INTEN_Pos)                    /*!< ADC0 INTEN: OVR_INTEN Mask              */
#define ADC0_INTEN_ADCMPINTEN0_Pos            3                                                       /*!< ADC0 INTEN: ADCMPINTEN0 Position        */
#define ADC0_INTEN_ADCMPINTEN0_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN0_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN0 Mask            */
#define ADC0_INTEN_ADCMPINTEN1_Pos            5                                                       /*!< ADC0 INTEN: ADCMPINTEN1 Position        */
#define ADC0_INTEN_ADCMPINTEN1_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN1_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN1 Mask            */
#define ADC0_INTEN_ADCMPINTEN2_Pos            7                                                       /*!< ADC0 INTEN: ADCMPINTEN2 Position        */
#define ADC0_INTEN_ADCMPINTEN2_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN2_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN2 Mask            */
#define ADC0_INTEN_ADCMPINTEN3_Pos            9                                                       /*!< ADC0 INTEN: ADCMPINTEN3 Position        */
#define ADC0_INTEN_ADCMPINTEN3_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN3_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN3 Mask            */
#define ADC0_INTEN_ADCMPINTEN4_Pos            11                                                      /*!< ADC0 INTEN: ADCMPINTEN4 Position        */
#define ADC0_INTEN_ADCMPINTEN4_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN4_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN4 Mask            */
#define ADC0_INTEN_ADCMPINTEN5_Pos            13                                                      /*!< ADC0 INTEN: ADCMPINTEN5 Position        */
#define ADC0_INTEN_ADCMPINTEN5_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN5_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN5 Mask            */
#define ADC0_INTEN_ADCMPINTEN6_Pos            15                                                      /*!< ADC0 INTEN: ADCMPINTEN6 Position        */
#define ADC0_INTEN_ADCMPINTEN6_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN6_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN6 Mask            */
#define ADC0_INTEN_ADCMPINTEN7_Pos            17                                                      /*!< ADC0 INTEN: ADCMPINTEN7 Position        */
#define ADC0_INTEN_ADCMPINTEN7_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN7_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN7 Mask            */
#define ADC0_INTEN_ADCMPINTEN8_Pos            19                                                      /*!< ADC0 INTEN: ADCMPINTEN8 Position        */
#define ADC0_INTEN_ADCMPINTEN8_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN8_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN8 Mask            */
#define ADC0_INTEN_ADCMPINTEN9_Pos            21                                                      /*!< ADC0 INTEN: ADCMPINTEN9 Position        */
#define ADC0_INTEN_ADCMPINTEN9_Msk            (0x03UL << ADC0_INTEN_ADCMPINTEN9_Pos)                  /*!< ADC0 INTEN: ADCMPINTEN9 Mask            */
#define ADC0_INTEN_ADCMPINTEN10_Pos           23                                                      /*!< ADC0 INTEN: ADCMPINTEN10 Position       */
#define ADC0_INTEN_ADCMPINTEN10_Msk           (0x03UL << ADC0_INTEN_ADCMPINTEN10_Pos)                 /*!< ADC0 INTEN: ADCMPINTEN10 Mask           */
#define ADC0_INTEN_ADCMPINTEN11_Pos           25                                                      /*!< ADC0 INTEN: ADCMPINTEN11 Position       */
#define ADC0_INTEN_ADCMPINTEN11_Msk           (0x03UL << ADC0_INTEN_ADCMPINTEN11_Pos)                 /*!< ADC0 INTEN: ADCMPINTEN11 Mask           */

/* ---------------------------------  ADC0_FLAGS  --------------------------------- */
#define ADC0_FLAGS_THCMP0_Pos                 0                                                       /*!< ADC0 FLAGS: THCMP0 Position             */
#define ADC0_FLAGS_THCMP0_Msk                 (0x01UL << ADC0_FLAGS_THCMP0_Pos)                       /*!< ADC0 FLAGS: THCMP0 Mask                 */
#define ADC0_FLAGS_THCMP1_Pos                 1                                                       /*!< ADC0 FLAGS: THCMP1 Position             */
#define ADC0_FLAGS_THCMP1_Msk                 (0x01UL << ADC0_FLAGS_THCMP1_Pos)                       /*!< ADC0 FLAGS: THCMP1 Mask                 */
#define ADC0_FLAGS_THCMP2_Pos                 2                                                       /*!< ADC0 FLAGS: THCMP2 Position             */
#define ADC0_FLAGS_THCMP2_Msk                 (0x01UL << ADC0_FLAGS_THCMP2_Pos)                       /*!< ADC0 FLAGS: THCMP2 Mask                 */
#define ADC0_FLAGS_THCMP3_Pos                 3                                                       /*!< ADC0 FLAGS: THCMP3 Position             */
#define ADC0_FLAGS_THCMP3_Msk                 (0x01UL << ADC0_FLAGS_THCMP3_Pos)                       /*!< ADC0 FLAGS: THCMP3 Mask                 */
#define ADC0_FLAGS_THCMP4_Pos                 4                                                       /*!< ADC0 FLAGS: THCMP4 Position             */
#define ADC0_FLAGS_THCMP4_Msk                 (0x01UL << ADC0_FLAGS_THCMP4_Pos)                       /*!< ADC0 FLAGS: THCMP4 Mask                 */
#define ADC0_FLAGS_THCMP5_Pos                 5                                                       /*!< ADC0 FLAGS: THCMP5 Position             */
#define ADC0_FLAGS_THCMP5_Msk                 (0x01UL << ADC0_FLAGS_THCMP5_Pos)                       /*!< ADC0 FLAGS: THCMP5 Mask                 */
#define ADC0_FLAGS_THCMP6_Pos                 6                                                       /*!< ADC0 FLAGS: THCMP6 Position             */
#define ADC0_FLAGS_THCMP6_Msk                 (0x01UL << ADC0_FLAGS_THCMP6_Pos)                       /*!< ADC0 FLAGS: THCMP6 Mask                 */
#define ADC0_FLAGS_THCMP7_Pos                 7                                                       /*!< ADC0 FLAGS: THCMP7 Position             */
#define ADC0_FLAGS_THCMP7_Msk                 (0x01UL << ADC0_FLAGS_THCMP7_Pos)                       /*!< ADC0 FLAGS: THCMP7 Mask                 */
#define ADC0_FLAGS_THCMP8_Pos                 8                                                       /*!< ADC0 FLAGS: THCMP8 Position             */
#define ADC0_FLAGS_THCMP8_Msk                 (0x01UL << ADC0_FLAGS_THCMP8_Pos)                       /*!< ADC0 FLAGS: THCMP8 Mask                 */
#define ADC0_FLAGS_THCMP9_Pos                 9                                                       /*!< ADC0 FLAGS: THCMP9 Position             */
#define ADC0_FLAGS_THCMP9_Msk                 (0x01UL << ADC0_FLAGS_THCMP9_Pos)                       /*!< ADC0 FLAGS: THCMP9 Mask                 */
#define ADC0_FLAGS_THCMP10_Pos                10                                                      /*!< ADC0 FLAGS: THCMP10 Position            */
#define ADC0_FLAGS_THCMP10_Msk                (0x01UL << ADC0_FLAGS_THCMP10_Pos)                      /*!< ADC0 FLAGS: THCMP10 Mask                */
#define ADC0_FLAGS_THCMP11_Pos                11                                                      /*!< ADC0 FLAGS: THCMP11 Position            */
#define ADC0_FLAGS_THCMP11_Msk                (0x01UL << ADC0_FLAGS_THCMP11_Pos)                      /*!< ADC0 FLAGS: THCMP11 Mask                */
#define ADC0_FLAGS_OVERRUN0_Pos               12                                                      /*!< ADC0 FLAGS: OVERRUN0 Position           */
#define ADC0_FLAGS_OVERRUN0_Msk               (0x01UL << ADC0_FLAGS_OVERRUN0_Pos)                     /*!< ADC0 FLAGS: OVERRUN0 Mask               */
#define ADC0_FLAGS_OVERRUN1_Pos               13                                                      /*!< ADC0 FLAGS: OVERRUN1 Position           */
#define ADC0_FLAGS_OVERRUN1_Msk               (0x01UL << ADC0_FLAGS_OVERRUN1_Pos)                     /*!< ADC0 FLAGS: OVERRUN1 Mask               */
#define ADC0_FLAGS_OVERRUN2_Pos               14                                                      /*!< ADC0 FLAGS: OVERRUN2 Position           */
#define ADC0_FLAGS_OVERRUN2_Msk               (0x01UL << ADC0_FLAGS_OVERRUN2_Pos)                     /*!< ADC0 FLAGS: OVERRUN2 Mask               */
#define ADC0_FLAGS_OVERRUN3_Pos               15                                                      /*!< ADC0 FLAGS: OVERRUN3 Position           */
#define ADC0_FLAGS_OVERRUN3_Msk               (0x01UL << ADC0_FLAGS_OVERRUN3_Pos)                     /*!< ADC0 FLAGS: OVERRUN3 Mask               */
#define ADC0_FLAGS_OVERRUN4_Pos               16                                                      /*!< ADC0 FLAGS: OVERRUN4 Position           */
#define ADC0_FLAGS_OVERRUN4_Msk               (0x01UL << ADC0_FLAGS_OVERRUN4_Pos)                     /*!< ADC0 FLAGS: OVERRUN4 Mask               */
#define ADC0_FLAGS_OVERRUN5_Pos               17                                                      /*!< ADC0 FLAGS: OVERRUN5 Position           */
#define ADC0_FLAGS_OVERRUN5_Msk               (0x01UL << ADC0_FLAGS_OVERRUN5_Pos)                     /*!< ADC0 FLAGS: OVERRUN5 Mask               */
#define ADC0_FLAGS_OVERRUN6_Pos               18                                                      /*!< ADC0 FLAGS: OVERRUN6 Position           */
#define ADC0_FLAGS_OVERRUN6_Msk               (0x01UL << ADC0_FLAGS_OVERRUN6_Pos)                     /*!< ADC0 FLAGS: OVERRUN6 Mask               */
#define ADC0_FLAGS_OVERRUN7_Pos               19                                                      /*!< ADC0 FLAGS: OVERRUN7 Position           */
#define ADC0_FLAGS_OVERRUN7_Msk               (0x01UL << ADC0_FLAGS_OVERRUN7_Pos)                     /*!< ADC0 FLAGS: OVERRUN7 Mask               */
#define ADC0_FLAGS_OVERRUN8_Pos               20                                                      /*!< ADC0 FLAGS: OVERRUN8 Position           */
#define ADC0_FLAGS_OVERRUN8_Msk               (0x01UL << ADC0_FLAGS_OVERRUN8_Pos)                     /*!< ADC0 FLAGS: OVERRUN8 Mask               */
#define ADC0_FLAGS_OVERRUN9_Pos               21                                                      /*!< ADC0 FLAGS: OVERRUN9 Position           */
#define ADC0_FLAGS_OVERRUN9_Msk               (0x01UL << ADC0_FLAGS_OVERRUN9_Pos)                     /*!< ADC0 FLAGS: OVERRUN9 Mask               */
#define ADC0_FLAGS_OVERRUN10_Pos              22                                                      /*!< ADC0 FLAGS: OVERRUN10 Position          */
#define ADC0_FLAGS_OVERRUN10_Msk              (0x01UL << ADC0_FLAGS_OVERRUN10_Pos)                    /*!< ADC0 FLAGS: OVERRUN10 Mask              */
#define ADC0_FLAGS_OVERRUN11_Pos              23                                                      /*!< ADC0 FLAGS: OVERRUN11 Position          */
#define ADC0_FLAGS_OVERRUN11_Msk              (0x01UL << ADC0_FLAGS_OVERRUN11_Pos)                    /*!< ADC0 FLAGS: OVERRUN11 Mask              */
#define ADC0_FLAGS_SEQA_OVR_Pos               24                                                      /*!< ADC0 FLAGS: SEQA_OVR Position           */
#define ADC0_FLAGS_SEQA_OVR_Msk               (0x01UL << ADC0_FLAGS_SEQA_OVR_Pos)                     /*!< ADC0 FLAGS: SEQA_OVR Mask               */
#define ADC0_FLAGS_SEQB_OVR_Pos               25                                                      /*!< ADC0 FLAGS: SEQB_OVR Position           */
#define ADC0_FLAGS_SEQB_OVR_Msk               (0x01UL << ADC0_FLAGS_SEQB_OVR_Pos)                     /*!< ADC0 FLAGS: SEQB_OVR Mask               */
#define ADC0_FLAGS_SEQA_INT_Pos               28                                                      /*!< ADC0 FLAGS: SEQA_INT Position           */
#define ADC0_FLAGS_SEQA_INT_Msk               (0x01UL << ADC0_FLAGS_SEQA_INT_Pos)                     /*!< ADC0 FLAGS: SEQA_INT Mask               */
#define ADC0_FLAGS_SEQB_INT_Pos               29                                                      /*!< ADC0 FLAGS: SEQB_INT Position           */
#define ADC0_FLAGS_SEQB_INT_Msk               (0x01UL << ADC0_FLAGS_SEQB_INT_Pos)                     /*!< ADC0 FLAGS: SEQB_INT Mask               */
#define ADC0_FLAGS_THCMP_INT_Pos              30                                                      /*!< ADC0 FLAGS: THCMP_INT Position          */
#define ADC0_FLAGS_THCMP_INT_Msk              (0x01UL << ADC0_FLAGS_THCMP_INT_Pos)                    /*!< ADC0 FLAGS: THCMP_INT Mask              */
#define ADC0_FLAGS_OVR_INT_Pos                31                                                      /*!< ADC0 FLAGS: OVR_INT Position            */
#define ADC0_FLAGS_OVR_INT_Msk                (0x01UL << ADC0_FLAGS_OVR_INT_Pos)                      /*!< ADC0 FLAGS: OVR_INT Mask                */

/* --------------------------------  ADC0_STARTUP  -------------------------------- */
#define ADC0_STARTUP_ADC_ENA_Pos              0                                                       /*!< ADC0 STARTUP: ADC_ENA Position          */
#define ADC0_STARTUP_ADC_ENA_Msk              (0x01UL << ADC0_STARTUP_ADC_ENA_Pos)                    /*!< ADC0 STARTUP: ADC_ENA Mask              */
#define ADC0_STARTUP_ADC_INT_Pos              1                                                       /*!< ADC0 STARTUP: ADC_INT Position          */
#define ADC0_STARTUP_ADC_INT_Msk              (0x01UL << ADC0_STARTUP_ADC_INT_Pos)                    /*!< ADC0 STARTUP: ADC_INT Mask              */

/* ---------------------------------  ADC0_CALIB  --------------------------------- */
#define ADC0_CALIB_CALIB_Pos                  0                                                       /*!< ADC0 CALIB: CALIB Position              */
#define ADC0_CALIB_CALIB_Msk                  (0x01UL << ADC0_CALIB_CALIB_Pos)                        /*!< ADC0 CALIB: CALIB Mask                  */
#define ADC0_CALIB_CALREQD_Pos                1                                                       /*!< ADC0 CALIB: CALREQD Position            */
#define ADC0_CALIB_CALREQD_Msk                (0x01UL << ADC0_CALIB_CALREQD_Pos)                      /*!< ADC0 CALIB: CALREQD Mask                */
#define ADC0_CALIB_CALVALUE_Pos               2                                                       /*!< ADC0 CALIB: CALVALUE Position           */
#define ADC0_CALIB_CALVALUE_Msk               (0x7fUL << ADC0_CALIB_CALVALUE_Pos)                     /*!< ADC0 CALIB: CALVALUE Mask               */


/* ================================================================================ */
/* ================         struct 'VFIFO' Position & Mask         ================ */
/* ================================================================================ */


/* -----------------------------  VFIFO_FIFOCTLUSART  ----------------------------- */
#define VFIFO_FIFOCTLUSART_RXPAUSE_Pos        0                                                       /*!< VFIFO FIFOCTLUSART: RXPAUSE Position    */
#define VFIFO_FIFOCTLUSART_RXPAUSE_Msk        (0x01UL << VFIFO_FIFOCTLUSART_RXPAUSE_Pos)              /*!< VFIFO FIFOCTLUSART: RXPAUSE Mask        */
#define VFIFO_FIFOCTLUSART_RXPAUSED_Pos       1                                                       /*!< VFIFO FIFOCTLUSART: RXPAUSED Position   */
#define VFIFO_FIFOCTLUSART_RXPAUSED_Msk       (0x01UL << VFIFO_FIFOCTLUSART_RXPAUSED_Pos)             /*!< VFIFO FIFOCTLUSART: RXPAUSED Mask       */
#define VFIFO_FIFOCTLUSART_RXEMPTY_Pos        2                                                       /*!< VFIFO FIFOCTLUSART: RXEMPTY Position    */
#define VFIFO_FIFOCTLUSART_RXEMPTY_Msk        (0x01UL << VFIFO_FIFOCTLUSART_RXEMPTY_Pos)              /*!< VFIFO FIFOCTLUSART: RXEMPTY Mask        */
#define VFIFO_FIFOCTLUSART_TXPAUSE_Pos        8                                                       /*!< VFIFO FIFOCTLUSART: TXPAUSE Position    */
#define VFIFO_FIFOCTLUSART_TXPAUSE_Msk        (0x01UL << VFIFO_FIFOCTLUSART_TXPAUSE_Pos)              /*!< VFIFO FIFOCTLUSART: TXPAUSE Mask        */
#define VFIFO_FIFOCTLUSART_TXPAUSED_Pos       9                                                       /*!< VFIFO FIFOCTLUSART: TXPAUSED Position   */
#define VFIFO_FIFOCTLUSART_TXPAUSED_Msk       (0x01UL << VFIFO_FIFOCTLUSART_TXPAUSED_Pos)             /*!< VFIFO FIFOCTLUSART: TXPAUSED Mask       */
#define VFIFO_FIFOCTLUSART_TXEMPTY_Pos        10                                                      /*!< VFIFO FIFOCTLUSART: TXEMPTY Position    */
#define VFIFO_FIFOCTLUSART_TXEMPTY_Msk        (0x01UL << VFIFO_FIFOCTLUSART_TXEMPTY_Pos)              /*!< VFIFO FIFOCTLUSART: TXEMPTY Mask        */
#define VFIFO_FIFOCTLUSART_RXFIFOTOTAL_Pos    16                                                      /*!< VFIFO FIFOCTLUSART: RXFIFOTOTAL Position */
#define VFIFO_FIFOCTLUSART_RXFIFOTOTAL_Msk    (0x000000ffUL << VFIFO_FIFOCTLUSART_RXFIFOTOTAL_Pos)    /*!< VFIFO FIFOCTLUSART: RXFIFOTOTAL Mask    */
#define VFIFO_FIFOCTLUSART_TXFIFOTOTAL_Pos    24                                                      /*!< VFIFO FIFOCTLUSART: TXFIFOTOTAL Position */
#define VFIFO_FIFOCTLUSART_TXFIFOTOTAL_Msk    (0x000000ffUL << VFIFO_FIFOCTLUSART_TXFIFOTOTAL_Pos)    /*!< VFIFO FIFOCTLUSART: TXFIFOTOTAL Mask    */

/* ----------------------------  VFIFO_FIFOUPDATEUSART  --------------------------- */
#define VFIFO_FIFOUPDATEUSART_USART0RXUPDATESIZE_Pos 0                                                /*!< VFIFO FIFOUPDATEUSART: USART0RXUPDATESIZE Position */
#define VFIFO_FIFOUPDATEUSART_USART0RXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATEUSART_USART0RXUPDATESIZE_Pos)/*!< VFIFO FIFOUPDATEUSART: USART0RXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATEUSART_USART1RXUPDATESIZE_Pos 1                                                /*!< VFIFO FIFOUPDATEUSART: USART1RXUPDATESIZE Position */
#define VFIFO_FIFOUPDATEUSART_USART1RXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATEUSART_USART1RXUPDATESIZE_Pos)/*!< VFIFO FIFOUPDATEUSART: USART1RXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATEUSART_USART2RXUPDATESIZE_Pos 2                                                /*!< VFIFO FIFOUPDATEUSART: USART2RXUPDATESIZE Position */
#define VFIFO_FIFOUPDATEUSART_USART2RXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATEUSART_USART2RXUPDATESIZE_Pos)/*!< VFIFO FIFOUPDATEUSART: USART2RXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATEUSART_USART3RXUPDATESIZE_Pos 3                                                /*!< VFIFO FIFOUPDATEUSART: USART3RXUPDATESIZE Position */
#define VFIFO_FIFOUPDATEUSART_USART3RXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATEUSART_USART3RXUPDATESIZE_Pos)/*!< VFIFO FIFOUPDATEUSART: USART3RXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATEUSART_USART0TXUPDATESIZE_Pos 16                                               /*!< VFIFO FIFOUPDATEUSART: USART0TXUPDATESIZE Position */
#define VFIFO_FIFOUPDATEUSART_USART0TXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATEUSART_USART0TXUPDATESIZE_Pos)/*!< VFIFO FIFOUPDATEUSART: USART0TXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATEUSART_USART1TXUPDATESIZE_Pos 17                                               /*!< VFIFO FIFOUPDATEUSART: USART1TXUPDATESIZE Position */
#define VFIFO_FIFOUPDATEUSART_USART1TXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATEUSART_USART1TXUPDATESIZE_Pos)/*!< VFIFO FIFOUPDATEUSART: USART1TXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATEUSART_USART2TXUPDATESIZE_Pos 18                                               /*!< VFIFO FIFOUPDATEUSART: USART2TXUPDATESIZE Position */
#define VFIFO_FIFOUPDATEUSART_USART2TXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATEUSART_USART2TXUPDATESIZE_Pos)/*!< VFIFO FIFOUPDATEUSART: USART2TXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATEUSART_USART3TXUPDATESIZE_Pos 19                                               /*!< VFIFO FIFOUPDATEUSART: USART3TXUPDATESIZE Position */
#define VFIFO_FIFOUPDATEUSART_USART3TXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATEUSART_USART3TXUPDATESIZE_Pos)/*!< VFIFO FIFOUPDATEUSART: USART3TXUPDATESIZE Mask */

/* -----------------------------  VFIFO_FIFOCFGUSART0  ---------------------------- */
#define VFIFO_FIFOCFGUSART0_RXSIZE_Pos        0                                                       /*!< VFIFO FIFOCFGUSART0: RXSIZE Position    */
#define VFIFO_FIFOCFGUSART0_RXSIZE_Msk        (0x000000ffUL << VFIFO_FIFOCFGUSART0_RXSIZE_Pos)        /*!< VFIFO FIFOCFGUSART0: RXSIZE Mask        */
#define VFIFO_FIFOCFGUSART0_TXSIZE_Pos        8                                                       /*!< VFIFO FIFOCFGUSART0: TXSIZE Position    */
#define VFIFO_FIFOCFGUSART0_TXSIZE_Msk        (0x000000ffUL << VFIFO_FIFOCFGUSART0_TXSIZE_Pos)        /*!< VFIFO FIFOCFGUSART0: TXSIZE Mask        */

/* -----------------------------  VFIFO_FIFOCFGUSART1  ---------------------------- */
#define VFIFO_FIFOCFGUSART1_RXSIZE_Pos        0                                                       /*!< VFIFO FIFOCFGUSART1: RXSIZE Position    */
#define VFIFO_FIFOCFGUSART1_RXSIZE_Msk        (0x000000ffUL << VFIFO_FIFOCFGUSART1_RXSIZE_Pos)        /*!< VFIFO FIFOCFGUSART1: RXSIZE Mask        */
#define VFIFO_FIFOCFGUSART1_TXSIZE_Pos        8                                                       /*!< VFIFO FIFOCFGUSART1: TXSIZE Position    */
#define VFIFO_FIFOCFGUSART1_TXSIZE_Msk        (0x000000ffUL << VFIFO_FIFOCFGUSART1_TXSIZE_Pos)        /*!< VFIFO FIFOCFGUSART1: TXSIZE Mask        */

/* -----------------------------  VFIFO_FIFOCFGUSART2  ---------------------------- */
#define VFIFO_FIFOCFGUSART2_RXSIZE_Pos        0                                                       /*!< VFIFO FIFOCFGUSART2: RXSIZE Position    */
#define VFIFO_FIFOCFGUSART2_RXSIZE_Msk        (0x000000ffUL << VFIFO_FIFOCFGUSART2_RXSIZE_Pos)        /*!< VFIFO FIFOCFGUSART2: RXSIZE Mask        */
#define VFIFO_FIFOCFGUSART2_TXSIZE_Pos        8                                                       /*!< VFIFO FIFOCFGUSART2: TXSIZE Position    */
#define VFIFO_FIFOCFGUSART2_TXSIZE_Msk        (0x000000ffUL << VFIFO_FIFOCFGUSART2_TXSIZE_Pos)        /*!< VFIFO FIFOCFGUSART2: TXSIZE Mask        */

/* -----------------------------  VFIFO_FIFOCFGUSART3  ---------------------------- */
#define VFIFO_FIFOCFGUSART3_RXSIZE_Pos        0                                                       /*!< VFIFO FIFOCFGUSART3: RXSIZE Position    */
#define VFIFO_FIFOCFGUSART3_RXSIZE_Msk        (0x000000ffUL << VFIFO_FIFOCFGUSART3_RXSIZE_Pos)        /*!< VFIFO FIFOCFGUSART3: RXSIZE Mask        */
#define VFIFO_FIFOCFGUSART3_TXSIZE_Pos        8                                                       /*!< VFIFO FIFOCFGUSART3: TXSIZE Position    */
#define VFIFO_FIFOCFGUSART3_TXSIZE_Msk        (0x000000ffUL << VFIFO_FIFOCFGUSART3_TXSIZE_Pos)        /*!< VFIFO FIFOCFGUSART3: TXSIZE Mask        */

/* ------------------------------  VFIFO_FIFOCTLSPI  ------------------------------ */
#define VFIFO_FIFOCTLSPI_RXPAUSE_Pos          0                                                       /*!< VFIFO FIFOCTLSPI: RXPAUSE Position      */
#define VFIFO_FIFOCTLSPI_RXPAUSE_Msk          (0x01UL << VFIFO_FIFOCTLSPI_RXPAUSE_Pos)                /*!< VFIFO FIFOCTLSPI: RXPAUSE Mask          */
#define VFIFO_FIFOCTLSPI_RXPAUSED_Pos         1                                                       /*!< VFIFO FIFOCTLSPI: RXPAUSED Position     */
#define VFIFO_FIFOCTLSPI_RXPAUSED_Msk         (0x01UL << VFIFO_FIFOCTLSPI_RXPAUSED_Pos)               /*!< VFIFO FIFOCTLSPI: RXPAUSED Mask         */
#define VFIFO_FIFOCTLSPI_RXEMPTY_Pos          2                                                       /*!< VFIFO FIFOCTLSPI: RXEMPTY Position      */
#define VFIFO_FIFOCTLSPI_RXEMPTY_Msk          (0x01UL << VFIFO_FIFOCTLSPI_RXEMPTY_Pos)                /*!< VFIFO FIFOCTLSPI: RXEMPTY Mask          */
#define VFIFO_FIFOCTLSPI_TXPAUSE_Pos          8                                                       /*!< VFIFO FIFOCTLSPI: TXPAUSE Position      */
#define VFIFO_FIFOCTLSPI_TXPAUSE_Msk          (0x01UL << VFIFO_FIFOCTLSPI_TXPAUSE_Pos)                /*!< VFIFO FIFOCTLSPI: TXPAUSE Mask          */
#define VFIFO_FIFOCTLSPI_TXPAUSED_Pos         9                                                       /*!< VFIFO FIFOCTLSPI: TXPAUSED Position     */
#define VFIFO_FIFOCTLSPI_TXPAUSED_Msk         (0x01UL << VFIFO_FIFOCTLSPI_TXPAUSED_Pos)               /*!< VFIFO FIFOCTLSPI: TXPAUSED Mask         */
#define VFIFO_FIFOCTLSPI_TXEMPTY_Pos          10                                                      /*!< VFIFO FIFOCTLSPI: TXEMPTY Position      */
#define VFIFO_FIFOCTLSPI_TXEMPTY_Msk          (0x01UL << VFIFO_FIFOCTLSPI_TXEMPTY_Pos)                /*!< VFIFO FIFOCTLSPI: TXEMPTY Mask          */
#define VFIFO_FIFOCTLSPI_RXFIFOTOTAL_Pos      16                                                      /*!< VFIFO FIFOCTLSPI: RXFIFOTOTAL Position  */
#define VFIFO_FIFOCTLSPI_RXFIFOTOTAL_Msk      (0x000000ffUL << VFIFO_FIFOCTLSPI_RXFIFOTOTAL_Pos)      /*!< VFIFO FIFOCTLSPI: RXFIFOTOTAL Mask      */
#define VFIFO_FIFOCTLSPI_TXFIFOTOTAL_Pos      24                                                      /*!< VFIFO FIFOCTLSPI: TXFIFOTOTAL Position  */
#define VFIFO_FIFOCTLSPI_TXFIFOTOTAL_Msk      (0x000000ffUL << VFIFO_FIFOCTLSPI_TXFIFOTOTAL_Pos)      /*!< VFIFO FIFOCTLSPI: TXFIFOTOTAL Mask      */

/* -----------------------------  VFIFO_FIFOUPDATESPI  ---------------------------- */
#define VFIFO_FIFOUPDATESPI_SPI0RXUPDATESIZE_Pos 0                                                    /*!< VFIFO FIFOUPDATESPI: SPI0RXUPDATESIZE Position */
#define VFIFO_FIFOUPDATESPI_SPI0RXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATESPI_SPI0RXUPDATESIZE_Pos) /*!< VFIFO FIFOUPDATESPI: SPI0RXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATESPI_SPI1RXUPDATESIZE_Pos 1                                                    /*!< VFIFO FIFOUPDATESPI: SPI1RXUPDATESIZE Position */
#define VFIFO_FIFOUPDATESPI_SPI1RXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATESPI_SPI1RXUPDATESIZE_Pos) /*!< VFIFO FIFOUPDATESPI: SPI1RXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATESPI_SPI0TXUPDATESIZE_Pos 16                                                   /*!< VFIFO FIFOUPDATESPI: SPI0TXUPDATESIZE Position */
#define VFIFO_FIFOUPDATESPI_SPI0TXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATESPI_SPI0TXUPDATESIZE_Pos) /*!< VFIFO FIFOUPDATESPI: SPI0TXUPDATESIZE Mask */
#define VFIFO_FIFOUPDATESPI_SPI1TXUPDATESIZE_Pos 17                                                   /*!< VFIFO FIFOUPDATESPI: SPI1TXUPDATESIZE Position */
#define VFIFO_FIFOUPDATESPI_SPI1TXUPDATESIZE_Msk (0x01UL << VFIFO_FIFOUPDATESPI_SPI1TXUPDATESIZE_Pos) /*!< VFIFO FIFOUPDATESPI: SPI1TXUPDATESIZE Mask */

/* ------------------------------  VFIFO_FIFOCFGSPI0  ----------------------------- */
#define VFIFO_FIFOCFGSPI0_RXSIZE_Pos          0                                                       /*!< VFIFO FIFOCFGSPI0: RXSIZE Position      */
#define VFIFO_FIFOCFGSPI0_RXSIZE_Msk          (0x000000ffUL << VFIFO_FIFOCFGSPI0_RXSIZE_Pos)          /*!< VFIFO FIFOCFGSPI0: RXSIZE Mask          */
#define VFIFO_FIFOCFGSPI0_TXSIZE_Pos          8                                                       /*!< VFIFO FIFOCFGSPI0: TXSIZE Position      */
#define VFIFO_FIFOCFGSPI0_TXSIZE_Msk          (0x000000ffUL << VFIFO_FIFOCFGSPI0_TXSIZE_Pos)          /*!< VFIFO FIFOCFGSPI0: TXSIZE Mask          */

/* ------------------------------  VFIFO_FIFOCFGSPI1  ----------------------------- */
#define VFIFO_FIFOCFGSPI1_RXSIZE_Pos          0                                                       /*!< VFIFO FIFOCFGSPI1: RXSIZE Position      */
#define VFIFO_FIFOCFGSPI1_RXSIZE_Msk          (0x000000ffUL << VFIFO_FIFOCFGSPI1_RXSIZE_Pos)          /*!< VFIFO FIFOCFGSPI1: RXSIZE Mask          */
#define VFIFO_FIFOCFGSPI1_TXSIZE_Pos          8                                                       /*!< VFIFO FIFOCFGSPI1: TXSIZE Position      */
#define VFIFO_FIFOCFGSPI1_TXSIZE_Msk          (0x000000ffUL << VFIFO_FIFOCFGSPI1_TXSIZE_Pos)          /*!< VFIFO FIFOCFGSPI1: TXSIZE Mask          */

/* -------------------------------  VFIFO_CFGUSART0  ------------------------------ */
#define VFIFO_CFGUSART0_TIMEOUTCONTONWRITE_Pos 4                                                      /*!< VFIFO CFGUSART0: TIMEOUTCONTONWRITE Position */
#define VFIFO_CFGUSART0_TIMEOUTCONTONWRITE_Msk (0x01UL << VFIFO_CFGUSART0_TIMEOUTCONTONWRITE_Pos)     /*!< VFIFO CFGUSART0: TIMEOUTCONTONWRITE Mask */
#define VFIFO_CFGUSART0_TIMEOUTCONTONEMPTY_Pos 5                                                      /*!< VFIFO CFGUSART0: TIMEOUTCONTONEMPTY Position */
#define VFIFO_CFGUSART0_TIMEOUTCONTONEMPTY_Msk (0x01UL << VFIFO_CFGUSART0_TIMEOUTCONTONEMPTY_Pos)     /*!< VFIFO CFGUSART0: TIMEOUTCONTONEMPTY Mask */
#define VFIFO_CFGUSART0_TIMEOUTBASE_Pos       8                                                       /*!< VFIFO CFGUSART0: TIMEOUTBASE Position   */
#define VFIFO_CFGUSART0_TIMEOUTBASE_Msk       (0x0fUL << VFIFO_CFGUSART0_TIMEOUTBASE_Pos)             /*!< VFIFO CFGUSART0: TIMEOUTBASE Mask       */
#define VFIFO_CFGUSART0_TIMEOUTVALUE_Pos      12                                                      /*!< VFIFO CFGUSART0: TIMEOUTVALUE Position  */
#define VFIFO_CFGUSART0_TIMEOUTVALUE_Msk      (0x0fUL << VFIFO_CFGUSART0_TIMEOUTVALUE_Pos)            /*!< VFIFO CFGUSART0: TIMEOUTVALUE Mask      */
#define VFIFO_CFGUSART0_RXTHRESHOLD_Pos       16                                                      /*!< VFIFO CFGUSART0: RXTHRESHOLD Position   */
#define VFIFO_CFGUSART0_RXTHRESHOLD_Msk       (0x000000ffUL << VFIFO_CFGUSART0_RXTHRESHOLD_Pos)       /*!< VFIFO CFGUSART0: RXTHRESHOLD Mask       */
#define VFIFO_CFGUSART0_TXTHRESHOLD_Pos       24                                                      /*!< VFIFO CFGUSART0: TXTHRESHOLD Position   */
#define VFIFO_CFGUSART0_TXTHRESHOLD_Msk       (0x000000ffUL << VFIFO_CFGUSART0_TXTHRESHOLD_Pos)       /*!< VFIFO CFGUSART0: TXTHRESHOLD Mask       */

/* ------------------------------  VFIFO_STATUSART0  ------------------------------ */
#define VFIFO_STATUSART0_RXTH_Pos             0                                                       /*!< VFIFO STATUSART0: RXTH Position         */
#define VFIFO_STATUSART0_RXTH_Msk             (0x01UL << VFIFO_STATUSART0_RXTH_Pos)                   /*!< VFIFO STATUSART0: RXTH Mask             */
#define VFIFO_STATUSART0_TXTH_Pos             1                                                       /*!< VFIFO STATUSART0: TXTH Position         */
#define VFIFO_STATUSART0_TXTH_Msk             (0x01UL << VFIFO_STATUSART0_TXTH_Pos)                   /*!< VFIFO STATUSART0: TXTH Mask             */
#define VFIFO_STATUSART0_RXTIMEOUT_Pos        4                                                       /*!< VFIFO STATUSART0: RXTIMEOUT Position    */
#define VFIFO_STATUSART0_RXTIMEOUT_Msk        (0x01UL << VFIFO_STATUSART0_RXTIMEOUT_Pos)              /*!< VFIFO STATUSART0: RXTIMEOUT Mask        */
#define VFIFO_STATUSART0_BUSERR_Pos           7                                                       /*!< VFIFO STATUSART0: BUSERR Position       */
#define VFIFO_STATUSART0_BUSERR_Msk           (0x01UL << VFIFO_STATUSART0_BUSERR_Pos)                 /*!< VFIFO STATUSART0: BUSERR Mask           */
#define VFIFO_STATUSART0_RXEMPTY_Pos          8                                                       /*!< VFIFO STATUSART0: RXEMPTY Position      */
#define VFIFO_STATUSART0_RXEMPTY_Msk          (0x01UL << VFIFO_STATUSART0_RXEMPTY_Pos)                /*!< VFIFO STATUSART0: RXEMPTY Mask          */
#define VFIFO_STATUSART0_TXEMPTY_Pos          9                                                       /*!< VFIFO STATUSART0: TXEMPTY Position      */
#define VFIFO_STATUSART0_TXEMPTY_Msk          (0x01UL << VFIFO_STATUSART0_TXEMPTY_Pos)                /*!< VFIFO STATUSART0: TXEMPTY Mask          */
#define VFIFO_STATUSART0_RXCOUNT_Pos          16                                                      /*!< VFIFO STATUSART0: RXCOUNT Position      */
#define VFIFO_STATUSART0_RXCOUNT_Msk          (0x000000ffUL << VFIFO_STATUSART0_RXCOUNT_Pos)          /*!< VFIFO STATUSART0: RXCOUNT Mask          */
#define VFIFO_STATUSART0_TXCOUNT_Pos          24                                                      /*!< VFIFO STATUSART0: TXCOUNT Position      */
#define VFIFO_STATUSART0_TXCOUNT_Msk          (0x000000ffUL << VFIFO_STATUSART0_TXCOUNT_Pos)          /*!< VFIFO STATUSART0: TXCOUNT Mask          */

/* -----------------------------  VFIFO_INTSTATUSART0  ---------------------------- */
#define VFIFO_INTSTATUSART0_RXTH_Pos          0                                                       /*!< VFIFO INTSTATUSART0: RXTH Position      */
#define VFIFO_INTSTATUSART0_RXTH_Msk          (0x01UL << VFIFO_INTSTATUSART0_RXTH_Pos)                /*!< VFIFO INTSTATUSART0: RXTH Mask          */
#define VFIFO_INTSTATUSART0_TXTH_Pos          1                                                       /*!< VFIFO INTSTATUSART0: TXTH Position      */
#define VFIFO_INTSTATUSART0_TXTH_Msk          (0x01UL << VFIFO_INTSTATUSART0_TXTH_Pos)                /*!< VFIFO INTSTATUSART0: TXTH Mask          */
#define VFIFO_INTSTATUSART0_RXTIMEOUT_Pos     4                                                       /*!< VFIFO INTSTATUSART0: RXTIMEOUT Position */
#define VFIFO_INTSTATUSART0_RXTIMEOUT_Msk     (0x01UL << VFIFO_INTSTATUSART0_RXTIMEOUT_Pos)           /*!< VFIFO INTSTATUSART0: RXTIMEOUT Mask     */
#define VFIFO_INTSTATUSART0_BUSERR_Pos        7                                                       /*!< VFIFO INTSTATUSART0: BUSERR Position    */
#define VFIFO_INTSTATUSART0_BUSERR_Msk        (0x01UL << VFIFO_INTSTATUSART0_BUSERR_Pos)              /*!< VFIFO INTSTATUSART0: BUSERR Mask        */
#define VFIFO_INTSTATUSART0_RXEMPTY_Pos       8                                                       /*!< VFIFO INTSTATUSART0: RXEMPTY Position   */
#define VFIFO_INTSTATUSART0_RXEMPTY_Msk       (0x01UL << VFIFO_INTSTATUSART0_RXEMPTY_Pos)             /*!< VFIFO INTSTATUSART0: RXEMPTY Mask       */
#define VFIFO_INTSTATUSART0_TXEMPTY_Pos       9                                                       /*!< VFIFO INTSTATUSART0: TXEMPTY Position   */
#define VFIFO_INTSTATUSART0_TXEMPTY_Msk       (0x01UL << VFIFO_INTSTATUSART0_TXEMPTY_Pos)             /*!< VFIFO INTSTATUSART0: TXEMPTY Mask       */
#define VFIFO_INTSTATUSART0_RXCOUNT_Pos       16                                                      /*!< VFIFO INTSTATUSART0: RXCOUNT Position   */
#define VFIFO_INTSTATUSART0_RXCOUNT_Msk       (0x000000ffUL << VFIFO_INTSTATUSART0_RXCOUNT_Pos)       /*!< VFIFO INTSTATUSART0: RXCOUNT Mask       */
#define VFIFO_INTSTATUSART0_TXCOUNT_Pos       24                                                      /*!< VFIFO INTSTATUSART0: TXCOUNT Position   */
#define VFIFO_INTSTATUSART0_TXCOUNT_Msk       (0x000000ffUL << VFIFO_INTSTATUSART0_TXCOUNT_Pos)       /*!< VFIFO INTSTATUSART0: TXCOUNT Mask       */

/* -----------------------------  VFIFO_CTLSETUSART0  ----------------------------- */
#define VFIFO_CTLSETUSART0_RXTHINTEN_Pos      0                                                       /*!< VFIFO CTLSETUSART0: RXTHINTEN Position  */
#define VFIFO_CTLSETUSART0_RXTHINTEN_Msk      (0x01UL << VFIFO_CTLSETUSART0_RXTHINTEN_Pos)            /*!< VFIFO CTLSETUSART0: RXTHINTEN Mask      */
#define VFIFO_CTLSETUSART0_TXTHINTEN_Pos      1                                                       /*!< VFIFO CTLSETUSART0: TXTHINTEN Position  */
#define VFIFO_CTLSETUSART0_TXTHINTEN_Msk      (0x01UL << VFIFO_CTLSETUSART0_TXTHINTEN_Pos)            /*!< VFIFO CTLSETUSART0: TXTHINTEN Mask      */
#define VFIFO_CTLSETUSART0_RXTIMEOUTINTEN_Pos 4                                                       /*!< VFIFO CTLSETUSART0: RXTIMEOUTINTEN Position */
#define VFIFO_CTLSETUSART0_RXTIMEOUTINTEN_Msk (0x01UL << VFIFO_CTLSETUSART0_RXTIMEOUTINTEN_Pos)       /*!< VFIFO CTLSETUSART0: RXTIMEOUTINTEN Mask */
#define VFIFO_CTLSETUSART0_RXFLUSH_Pos        8                                                       /*!< VFIFO CTLSETUSART0: RXFLUSH Position    */
#define VFIFO_CTLSETUSART0_RXFLUSH_Msk        (0x01UL << VFIFO_CTLSETUSART0_RXFLUSH_Pos)              /*!< VFIFO CTLSETUSART0: RXFLUSH Mask        */
#define VFIFO_CTLSETUSART0_TXFLUSH_Pos        9                                                       /*!< VFIFO CTLSETUSART0: TXFLUSH Position    */
#define VFIFO_CTLSETUSART0_TXFLUSH_Msk        (0x01UL << VFIFO_CTLSETUSART0_TXFLUSH_Pos)              /*!< VFIFO CTLSETUSART0: TXFLUSH Mask        */

/* -----------------------------  VFIFO_CTLCLRUSART0  ----------------------------- */
#define VFIFO_CTLCLRUSART0_RXTHINTCLR_Pos     0                                                       /*!< VFIFO CTLCLRUSART0: RXTHINTCLR Position */
#define VFIFO_CTLCLRUSART0_RXTHINTCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART0_RXTHINTCLR_Pos)           /*!< VFIFO CTLCLRUSART0: RXTHINTCLR Mask     */
#define VFIFO_CTLCLRUSART0_TXTHINTCLR_Pos     1                                                       /*!< VFIFO CTLCLRUSART0: TXTHINTCLR Position */
#define VFIFO_CTLCLRUSART0_TXTHINTCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART0_TXTHINTCLR_Pos)           /*!< VFIFO CTLCLRUSART0: TXTHINTCLR Mask     */
#define VFIFO_CTLCLRUSART0_RXTIMEOUTINTCLR_Pos 4                                                      /*!< VFIFO CTLCLRUSART0: RXTIMEOUTINTCLR Position */
#define VFIFO_CTLCLRUSART0_RXTIMEOUTINTCLR_Msk (0x01UL << VFIFO_CTLCLRUSART0_RXTIMEOUTINTCLR_Pos)     /*!< VFIFO CTLCLRUSART0: RXTIMEOUTINTCLR Mask */
#define VFIFO_CTLCLRUSART0_RXFLUSHCLR_Pos     8                                                       /*!< VFIFO CTLCLRUSART0: RXFLUSHCLR Position */
#define VFIFO_CTLCLRUSART0_RXFLUSHCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART0_RXFLUSHCLR_Pos)           /*!< VFIFO CTLCLRUSART0: RXFLUSHCLR Mask     */
#define VFIFO_CTLCLRUSART0_TXFLUSHCLR_Pos     9                                                       /*!< VFIFO CTLCLRUSART0: TXFLUSHCLR Position */
#define VFIFO_CTLCLRUSART0_TXFLUSHCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART0_TXFLUSHCLR_Pos)           /*!< VFIFO CTLCLRUSART0: TXFLUSHCLR Mask     */

/* ------------------------------  VFIFO_RXDATUSART0  ----------------------------- */
#define VFIFO_RXDATUSART0_RXDAT_Pos           0                                                       /*!< VFIFO RXDATUSART0: RXDAT Position       */
#define VFIFO_RXDATUSART0_RXDAT_Msk           (0x000001ffUL << VFIFO_RXDATUSART0_RXDAT_Pos)           /*!< VFIFO RXDATUSART0: RXDAT Mask           */

/* ----------------------------  VFIFO_RXDATSTATUSART0  --------------------------- */
#define VFIFO_RXDATSTATUSART0_RXDAT_Pos       0                                                       /*!< VFIFO RXDATSTATUSART0: RXDAT Position   */
#define VFIFO_RXDATSTATUSART0_RXDAT_Msk       (0x000001ffUL << VFIFO_RXDATSTATUSART0_RXDAT_Pos)       /*!< VFIFO RXDATSTATUSART0: RXDAT Mask       */
#define VFIFO_RXDATSTATUSART0_FRAMERR_Pos     13                                                      /*!< VFIFO RXDATSTATUSART0: FRAMERR Position */
#define VFIFO_RXDATSTATUSART0_FRAMERR_Msk     (0x01UL << VFIFO_RXDATSTATUSART0_FRAMERR_Pos)           /*!< VFIFO RXDATSTATUSART0: FRAMERR Mask     */
#define VFIFO_RXDATSTATUSART0_PARITYERR_Pos   14                                                      /*!< VFIFO RXDATSTATUSART0: PARITYERR Position */
#define VFIFO_RXDATSTATUSART0_PARITYERR_Msk   (0x01UL << VFIFO_RXDATSTATUSART0_PARITYERR_Pos)         /*!< VFIFO RXDATSTATUSART0: PARITYERR Mask   */
#define VFIFO_RXDATSTATUSART0_RXNOISE_Pos     15                                                      /*!< VFIFO RXDATSTATUSART0: RXNOISE Position */
#define VFIFO_RXDATSTATUSART0_RXNOISE_Msk     (0x01UL << VFIFO_RXDATSTATUSART0_RXNOISE_Pos)           /*!< VFIFO RXDATSTATUSART0: RXNOISE Mask     */

/* ------------------------------  VFIFO_TXDATUSART0  ----------------------------- */
#define VFIFO_TXDATUSART0_TXDAT_Pos           0                                                       /*!< VFIFO TXDATUSART0: TXDAT Position       */
#define VFIFO_TXDATUSART0_TXDAT_Msk           (0x000001ffUL << VFIFO_TXDATUSART0_TXDAT_Pos)           /*!< VFIFO TXDATUSART0: TXDAT Mask           */

/* -------------------------------  VFIFO_CFGUSART1  ------------------------------ */
#define VFIFO_CFGUSART1_TIMEOUTCONTONWRITE_Pos 4                                                      /*!< VFIFO CFGUSART1: TIMEOUTCONTONWRITE Position */
#define VFIFO_CFGUSART1_TIMEOUTCONTONWRITE_Msk (0x01UL << VFIFO_CFGUSART1_TIMEOUTCONTONWRITE_Pos)     /*!< VFIFO CFGUSART1: TIMEOUTCONTONWRITE Mask */
#define VFIFO_CFGUSART1_TIMEOUTCONTONEMPTY_Pos 5                                                      /*!< VFIFO CFGUSART1: TIMEOUTCONTONEMPTY Position */
#define VFIFO_CFGUSART1_TIMEOUTCONTONEMPTY_Msk (0x01UL << VFIFO_CFGUSART1_TIMEOUTCONTONEMPTY_Pos)     /*!< VFIFO CFGUSART1: TIMEOUTCONTONEMPTY Mask */
#define VFIFO_CFGUSART1_TIMEOUTBASE_Pos       8                                                       /*!< VFIFO CFGUSART1: TIMEOUTBASE Position   */
#define VFIFO_CFGUSART1_TIMEOUTBASE_Msk       (0x0fUL << VFIFO_CFGUSART1_TIMEOUTBASE_Pos)             /*!< VFIFO CFGUSART1: TIMEOUTBASE Mask       */
#define VFIFO_CFGUSART1_TIMEOUTVALUE_Pos      12                                                      /*!< VFIFO CFGUSART1: TIMEOUTVALUE Position  */
#define VFIFO_CFGUSART1_TIMEOUTVALUE_Msk      (0x0fUL << VFIFO_CFGUSART1_TIMEOUTVALUE_Pos)            /*!< VFIFO CFGUSART1: TIMEOUTVALUE Mask      */
#define VFIFO_CFGUSART1_RXTHRESHOLD_Pos       16                                                      /*!< VFIFO CFGUSART1: RXTHRESHOLD Position   */
#define VFIFO_CFGUSART1_RXTHRESHOLD_Msk       (0x000000ffUL << VFIFO_CFGUSART1_RXTHRESHOLD_Pos)       /*!< VFIFO CFGUSART1: RXTHRESHOLD Mask       */
#define VFIFO_CFGUSART1_TXTHRESHOLD_Pos       24                                                      /*!< VFIFO CFGUSART1: TXTHRESHOLD Position   */
#define VFIFO_CFGUSART1_TXTHRESHOLD_Msk       (0x000000ffUL << VFIFO_CFGUSART1_TXTHRESHOLD_Pos)       /*!< VFIFO CFGUSART1: TXTHRESHOLD Mask       */

/* ------------------------------  VFIFO_STATUSART1  ------------------------------ */
#define VFIFO_STATUSART1_RXTH_Pos             0                                                       /*!< VFIFO STATUSART1: RXTH Position         */
#define VFIFO_STATUSART1_RXTH_Msk             (0x01UL << VFIFO_STATUSART1_RXTH_Pos)                   /*!< VFIFO STATUSART1: RXTH Mask             */
#define VFIFO_STATUSART1_TXTH_Pos             1                                                       /*!< VFIFO STATUSART1: TXTH Position         */
#define VFIFO_STATUSART1_TXTH_Msk             (0x01UL << VFIFO_STATUSART1_TXTH_Pos)                   /*!< VFIFO STATUSART1: TXTH Mask             */
#define VFIFO_STATUSART1_RXTIMEOUT_Pos        4                                                       /*!< VFIFO STATUSART1: RXTIMEOUT Position    */
#define VFIFO_STATUSART1_RXTIMEOUT_Msk        (0x01UL << VFIFO_STATUSART1_RXTIMEOUT_Pos)              /*!< VFIFO STATUSART1: RXTIMEOUT Mask        */
#define VFIFO_STATUSART1_BUSERR_Pos           7                                                       /*!< VFIFO STATUSART1: BUSERR Position       */
#define VFIFO_STATUSART1_BUSERR_Msk           (0x01UL << VFIFO_STATUSART1_BUSERR_Pos)                 /*!< VFIFO STATUSART1: BUSERR Mask           */
#define VFIFO_STATUSART1_RXEMPTY_Pos          8                                                       /*!< VFIFO STATUSART1: RXEMPTY Position      */
#define VFIFO_STATUSART1_RXEMPTY_Msk          (0x01UL << VFIFO_STATUSART1_RXEMPTY_Pos)                /*!< VFIFO STATUSART1: RXEMPTY Mask          */
#define VFIFO_STATUSART1_TXEMPTY_Pos          9                                                       /*!< VFIFO STATUSART1: TXEMPTY Position      */
#define VFIFO_STATUSART1_TXEMPTY_Msk          (0x01UL << VFIFO_STATUSART1_TXEMPTY_Pos)                /*!< VFIFO STATUSART1: TXEMPTY Mask          */
#define VFIFO_STATUSART1_RXCOUNT_Pos          16                                                      /*!< VFIFO STATUSART1: RXCOUNT Position      */
#define VFIFO_STATUSART1_RXCOUNT_Msk          (0x000000ffUL << VFIFO_STATUSART1_RXCOUNT_Pos)          /*!< VFIFO STATUSART1: RXCOUNT Mask          */
#define VFIFO_STATUSART1_TXCOUNT_Pos          24                                                      /*!< VFIFO STATUSART1: TXCOUNT Position      */
#define VFIFO_STATUSART1_TXCOUNT_Msk          (0x000000ffUL << VFIFO_STATUSART1_TXCOUNT_Pos)          /*!< VFIFO STATUSART1: TXCOUNT Mask          */

/* -----------------------------  VFIFO_INTSTATUSART1  ---------------------------- */
#define VFIFO_INTSTATUSART1_RXTH_Pos          0                                                       /*!< VFIFO INTSTATUSART1: RXTH Position      */
#define VFIFO_INTSTATUSART1_RXTH_Msk          (0x01UL << VFIFO_INTSTATUSART1_RXTH_Pos)                /*!< VFIFO INTSTATUSART1: RXTH Mask          */
#define VFIFO_INTSTATUSART1_TXTH_Pos          1                                                       /*!< VFIFO INTSTATUSART1: TXTH Position      */
#define VFIFO_INTSTATUSART1_TXTH_Msk          (0x01UL << VFIFO_INTSTATUSART1_TXTH_Pos)                /*!< VFIFO INTSTATUSART1: TXTH Mask          */
#define VFIFO_INTSTATUSART1_RXTIMEOUT_Pos     4                                                       /*!< VFIFO INTSTATUSART1: RXTIMEOUT Position */
#define VFIFO_INTSTATUSART1_RXTIMEOUT_Msk     (0x01UL << VFIFO_INTSTATUSART1_RXTIMEOUT_Pos)           /*!< VFIFO INTSTATUSART1: RXTIMEOUT Mask     */
#define VFIFO_INTSTATUSART1_BUSERR_Pos        7                                                       /*!< VFIFO INTSTATUSART1: BUSERR Position    */
#define VFIFO_INTSTATUSART1_BUSERR_Msk        (0x01UL << VFIFO_INTSTATUSART1_BUSERR_Pos)              /*!< VFIFO INTSTATUSART1: BUSERR Mask        */
#define VFIFO_INTSTATUSART1_RXEMPTY_Pos       8                                                       /*!< VFIFO INTSTATUSART1: RXEMPTY Position   */
#define VFIFO_INTSTATUSART1_RXEMPTY_Msk       (0x01UL << VFIFO_INTSTATUSART1_RXEMPTY_Pos)             /*!< VFIFO INTSTATUSART1: RXEMPTY Mask       */
#define VFIFO_INTSTATUSART1_TXEMPTY_Pos       9                                                       /*!< VFIFO INTSTATUSART1: TXEMPTY Position   */
#define VFIFO_INTSTATUSART1_TXEMPTY_Msk       (0x01UL << VFIFO_INTSTATUSART1_TXEMPTY_Pos)             /*!< VFIFO INTSTATUSART1: TXEMPTY Mask       */
#define VFIFO_INTSTATUSART1_RXCOUNT_Pos       16                                                      /*!< VFIFO INTSTATUSART1: RXCOUNT Position   */
#define VFIFO_INTSTATUSART1_RXCOUNT_Msk       (0x000000ffUL << VFIFO_INTSTATUSART1_RXCOUNT_Pos)       /*!< VFIFO INTSTATUSART1: RXCOUNT Mask       */
#define VFIFO_INTSTATUSART1_TXCOUNT_Pos       24                                                      /*!< VFIFO INTSTATUSART1: TXCOUNT Position   */
#define VFIFO_INTSTATUSART1_TXCOUNT_Msk       (0x000000ffUL << VFIFO_INTSTATUSART1_TXCOUNT_Pos)       /*!< VFIFO INTSTATUSART1: TXCOUNT Mask       */

/* -----------------------------  VFIFO_CTLSETUSART1  ----------------------------- */
#define VFIFO_CTLSETUSART1_RXTHINTEN_Pos      0                                                       /*!< VFIFO CTLSETUSART1: RXTHINTEN Position  */
#define VFIFO_CTLSETUSART1_RXTHINTEN_Msk      (0x01UL << VFIFO_CTLSETUSART1_RXTHINTEN_Pos)            /*!< VFIFO CTLSETUSART1: RXTHINTEN Mask      */
#define VFIFO_CTLSETUSART1_TXTHINTEN_Pos      1                                                       /*!< VFIFO CTLSETUSART1: TXTHINTEN Position  */
#define VFIFO_CTLSETUSART1_TXTHINTEN_Msk      (0x01UL << VFIFO_CTLSETUSART1_TXTHINTEN_Pos)            /*!< VFIFO CTLSETUSART1: TXTHINTEN Mask      */
#define VFIFO_CTLSETUSART1_RXTIMEOUTINTEN_Pos 4                                                       /*!< VFIFO CTLSETUSART1: RXTIMEOUTINTEN Position */
#define VFIFO_CTLSETUSART1_RXTIMEOUTINTEN_Msk (0x01UL << VFIFO_CTLSETUSART1_RXTIMEOUTINTEN_Pos)       /*!< VFIFO CTLSETUSART1: RXTIMEOUTINTEN Mask */
#define VFIFO_CTLSETUSART1_RXFLUSH_Pos        8                                                       /*!< VFIFO CTLSETUSART1: RXFLUSH Position    */
#define VFIFO_CTLSETUSART1_RXFLUSH_Msk        (0x01UL << VFIFO_CTLSETUSART1_RXFLUSH_Pos)              /*!< VFIFO CTLSETUSART1: RXFLUSH Mask        */
#define VFIFO_CTLSETUSART1_TXFLUSH_Pos        9                                                       /*!< VFIFO CTLSETUSART1: TXFLUSH Position    */
#define VFIFO_CTLSETUSART1_TXFLUSH_Msk        (0x01UL << VFIFO_CTLSETUSART1_TXFLUSH_Pos)              /*!< VFIFO CTLSETUSART1: TXFLUSH Mask        */

/* -----------------------------  VFIFO_CTLCLRUSART1  ----------------------------- */
#define VFIFO_CTLCLRUSART1_RXTHINTCLR_Pos     0                                                       /*!< VFIFO CTLCLRUSART1: RXTHINTCLR Position */
#define VFIFO_CTLCLRUSART1_RXTHINTCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART1_RXTHINTCLR_Pos)           /*!< VFIFO CTLCLRUSART1: RXTHINTCLR Mask     */
#define VFIFO_CTLCLRUSART1_TXTHINTCLR_Pos     1                                                       /*!< VFIFO CTLCLRUSART1: TXTHINTCLR Position */
#define VFIFO_CTLCLRUSART1_TXTHINTCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART1_TXTHINTCLR_Pos)           /*!< VFIFO CTLCLRUSART1: TXTHINTCLR Mask     */
#define VFIFO_CTLCLRUSART1_RXTIMEOUTINTCLR_Pos 4                                                      /*!< VFIFO CTLCLRUSART1: RXTIMEOUTINTCLR Position */
#define VFIFO_CTLCLRUSART1_RXTIMEOUTINTCLR_Msk (0x01UL << VFIFO_CTLCLRUSART1_RXTIMEOUTINTCLR_Pos)     /*!< VFIFO CTLCLRUSART1: RXTIMEOUTINTCLR Mask */
#define VFIFO_CTLCLRUSART1_RXFLUSHCLR_Pos     8                                                       /*!< VFIFO CTLCLRUSART1: RXFLUSHCLR Position */
#define VFIFO_CTLCLRUSART1_RXFLUSHCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART1_RXFLUSHCLR_Pos)           /*!< VFIFO CTLCLRUSART1: RXFLUSHCLR Mask     */
#define VFIFO_CTLCLRUSART1_TXFLUSHCLR_Pos     9                                                       /*!< VFIFO CTLCLRUSART1: TXFLUSHCLR Position */
#define VFIFO_CTLCLRUSART1_TXFLUSHCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART1_TXFLUSHCLR_Pos)           /*!< VFIFO CTLCLRUSART1: TXFLUSHCLR Mask     */

/* ------------------------------  VFIFO_RXDATUSART1  ----------------------------- */
#define VFIFO_RXDATUSART1_RXDAT_Pos           0                                                       /*!< VFIFO RXDATUSART1: RXDAT Position       */
#define VFIFO_RXDATUSART1_RXDAT_Msk           (0x000001ffUL << VFIFO_RXDATUSART1_RXDAT_Pos)           /*!< VFIFO RXDATUSART1: RXDAT Mask           */

/* ----------------------------  VFIFO_RXDATSTATUSART1  --------------------------- */
#define VFIFO_RXDATSTATUSART1_RXDAT_Pos       0                                                       /*!< VFIFO RXDATSTATUSART1: RXDAT Position   */
#define VFIFO_RXDATSTATUSART1_RXDAT_Msk       (0x000001ffUL << VFIFO_RXDATSTATUSART1_RXDAT_Pos)       /*!< VFIFO RXDATSTATUSART1: RXDAT Mask       */
#define VFIFO_RXDATSTATUSART1_FRAMERR_Pos     13                                                      /*!< VFIFO RXDATSTATUSART1: FRAMERR Position */
#define VFIFO_RXDATSTATUSART1_FRAMERR_Msk     (0x01UL << VFIFO_RXDATSTATUSART1_FRAMERR_Pos)           /*!< VFIFO RXDATSTATUSART1: FRAMERR Mask     */
#define VFIFO_RXDATSTATUSART1_PARITYERR_Pos   14                                                      /*!< VFIFO RXDATSTATUSART1: PARITYERR Position */
#define VFIFO_RXDATSTATUSART1_PARITYERR_Msk   (0x01UL << VFIFO_RXDATSTATUSART1_PARITYERR_Pos)         /*!< VFIFO RXDATSTATUSART1: PARITYERR Mask   */
#define VFIFO_RXDATSTATUSART1_RXNOISE_Pos     15                                                      /*!< VFIFO RXDATSTATUSART1: RXNOISE Position */
#define VFIFO_RXDATSTATUSART1_RXNOISE_Msk     (0x01UL << VFIFO_RXDATSTATUSART1_RXNOISE_Pos)           /*!< VFIFO RXDATSTATUSART1: RXNOISE Mask     */

/* ------------------------------  VFIFO_TXDATUSART1  ----------------------------- */
#define VFIFO_TXDATUSART1_TXDAT_Pos           0                                                       /*!< VFIFO TXDATUSART1: TXDAT Position       */
#define VFIFO_TXDATUSART1_TXDAT_Msk           (0x000001ffUL << VFIFO_TXDATUSART1_TXDAT_Pos)           /*!< VFIFO TXDATUSART1: TXDAT Mask           */

/* -------------------------------  VFIFO_CFGUSART2  ------------------------------ */
#define VFIFO_CFGUSART2_TIMEOUTCONTONWRITE_Pos 4                                                      /*!< VFIFO CFGUSART2: TIMEOUTCONTONWRITE Position */
#define VFIFO_CFGUSART2_TIMEOUTCONTONWRITE_Msk (0x01UL << VFIFO_CFGUSART2_TIMEOUTCONTONWRITE_Pos)     /*!< VFIFO CFGUSART2: TIMEOUTCONTONWRITE Mask */
#define VFIFO_CFGUSART2_TIMEOUTCONTONEMPTY_Pos 5                                                      /*!< VFIFO CFGUSART2: TIMEOUTCONTONEMPTY Position */
#define VFIFO_CFGUSART2_TIMEOUTCONTONEMPTY_Msk (0x01UL << VFIFO_CFGUSART2_TIMEOUTCONTONEMPTY_Pos)     /*!< VFIFO CFGUSART2: TIMEOUTCONTONEMPTY Mask */
#define VFIFO_CFGUSART2_TIMEOUTBASE_Pos       8                                                       /*!< VFIFO CFGUSART2: TIMEOUTBASE Position   */
#define VFIFO_CFGUSART2_TIMEOUTBASE_Msk       (0x0fUL << VFIFO_CFGUSART2_TIMEOUTBASE_Pos)             /*!< VFIFO CFGUSART2: TIMEOUTBASE Mask       */
#define VFIFO_CFGUSART2_TIMEOUTVALUE_Pos      12                                                      /*!< VFIFO CFGUSART2: TIMEOUTVALUE Position  */
#define VFIFO_CFGUSART2_TIMEOUTVALUE_Msk      (0x0fUL << VFIFO_CFGUSART2_TIMEOUTVALUE_Pos)            /*!< VFIFO CFGUSART2: TIMEOUTVALUE Mask      */
#define VFIFO_CFGUSART2_RXTHRESHOLD_Pos       16                                                      /*!< VFIFO CFGUSART2: RXTHRESHOLD Position   */
#define VFIFO_CFGUSART2_RXTHRESHOLD_Msk       (0x000000ffUL << VFIFO_CFGUSART2_RXTHRESHOLD_Pos)       /*!< VFIFO CFGUSART2: RXTHRESHOLD Mask       */
#define VFIFO_CFGUSART2_TXTHRESHOLD_Pos       24                                                      /*!< VFIFO CFGUSART2: TXTHRESHOLD Position   */
#define VFIFO_CFGUSART2_TXTHRESHOLD_Msk       (0x000000ffUL << VFIFO_CFGUSART2_TXTHRESHOLD_Pos)       /*!< VFIFO CFGUSART2: TXTHRESHOLD Mask       */

/* ------------------------------  VFIFO_STATUSART2  ------------------------------ */
#define VFIFO_STATUSART2_RXTH_Pos             0                                                       /*!< VFIFO STATUSART2: RXTH Position         */
#define VFIFO_STATUSART2_RXTH_Msk             (0x01UL << VFIFO_STATUSART2_RXTH_Pos)                   /*!< VFIFO STATUSART2: RXTH Mask             */
#define VFIFO_STATUSART2_TXTH_Pos             1                                                       /*!< VFIFO STATUSART2: TXTH Position         */
#define VFIFO_STATUSART2_TXTH_Msk             (0x01UL << VFIFO_STATUSART2_TXTH_Pos)                   /*!< VFIFO STATUSART2: TXTH Mask             */
#define VFIFO_STATUSART2_RXTIMEOUT_Pos        4                                                       /*!< VFIFO STATUSART2: RXTIMEOUT Position    */
#define VFIFO_STATUSART2_RXTIMEOUT_Msk        (0x01UL << VFIFO_STATUSART2_RXTIMEOUT_Pos)              /*!< VFIFO STATUSART2: RXTIMEOUT Mask        */
#define VFIFO_STATUSART2_BUSERR_Pos           7                                                       /*!< VFIFO STATUSART2: BUSERR Position       */
#define VFIFO_STATUSART2_BUSERR_Msk           (0x01UL << VFIFO_STATUSART2_BUSERR_Pos)                 /*!< VFIFO STATUSART2: BUSERR Mask           */
#define VFIFO_STATUSART2_RXEMPTY_Pos          8                                                       /*!< VFIFO STATUSART2: RXEMPTY Position      */
#define VFIFO_STATUSART2_RXEMPTY_Msk          (0x01UL << VFIFO_STATUSART2_RXEMPTY_Pos)                /*!< VFIFO STATUSART2: RXEMPTY Mask          */
#define VFIFO_STATUSART2_TXEMPTY_Pos          9                                                       /*!< VFIFO STATUSART2: TXEMPTY Position      */
#define VFIFO_STATUSART2_TXEMPTY_Msk          (0x01UL << VFIFO_STATUSART2_TXEMPTY_Pos)                /*!< VFIFO STATUSART2: TXEMPTY Mask          */
#define VFIFO_STATUSART2_RXCOUNT_Pos          16                                                      /*!< VFIFO STATUSART2: RXCOUNT Position      */
#define VFIFO_STATUSART2_RXCOUNT_Msk          (0x000000ffUL << VFIFO_STATUSART2_RXCOUNT_Pos)          /*!< VFIFO STATUSART2: RXCOUNT Mask          */
#define VFIFO_STATUSART2_TXCOUNT_Pos          24                                                      /*!< VFIFO STATUSART2: TXCOUNT Position      */
#define VFIFO_STATUSART2_TXCOUNT_Msk          (0x000000ffUL << VFIFO_STATUSART2_TXCOUNT_Pos)          /*!< VFIFO STATUSART2: TXCOUNT Mask          */

/* -----------------------------  VFIFO_INTSTATUSART2  ---------------------------- */
#define VFIFO_INTSTATUSART2_RXTH_Pos          0                                                       /*!< VFIFO INTSTATUSART2: RXTH Position      */
#define VFIFO_INTSTATUSART2_RXTH_Msk          (0x01UL << VFIFO_INTSTATUSART2_RXTH_Pos)                /*!< VFIFO INTSTATUSART2: RXTH Mask          */
#define VFIFO_INTSTATUSART2_TXTH_Pos          1                                                       /*!< VFIFO INTSTATUSART2: TXTH Position      */
#define VFIFO_INTSTATUSART2_TXTH_Msk          (0x01UL << VFIFO_INTSTATUSART2_TXTH_Pos)                /*!< VFIFO INTSTATUSART2: TXTH Mask          */
#define VFIFO_INTSTATUSART2_RXTIMEOUT_Pos     4                                                       /*!< VFIFO INTSTATUSART2: RXTIMEOUT Position */
#define VFIFO_INTSTATUSART2_RXTIMEOUT_Msk     (0x01UL << VFIFO_INTSTATUSART2_RXTIMEOUT_Pos)           /*!< VFIFO INTSTATUSART2: RXTIMEOUT Mask     */
#define VFIFO_INTSTATUSART2_BUSERR_Pos        7                                                       /*!< VFIFO INTSTATUSART2: BUSERR Position    */
#define VFIFO_INTSTATUSART2_BUSERR_Msk        (0x01UL << VFIFO_INTSTATUSART2_BUSERR_Pos)              /*!< VFIFO INTSTATUSART2: BUSERR Mask        */
#define VFIFO_INTSTATUSART2_RXEMPTY_Pos       8                                                       /*!< VFIFO INTSTATUSART2: RXEMPTY Position   */
#define VFIFO_INTSTATUSART2_RXEMPTY_Msk       (0x01UL << VFIFO_INTSTATUSART2_RXEMPTY_Pos)             /*!< VFIFO INTSTATUSART2: RXEMPTY Mask       */
#define VFIFO_INTSTATUSART2_TXEMPTY_Pos       9                                                       /*!< VFIFO INTSTATUSART2: TXEMPTY Position   */
#define VFIFO_INTSTATUSART2_TXEMPTY_Msk       (0x01UL << VFIFO_INTSTATUSART2_TXEMPTY_Pos)             /*!< VFIFO INTSTATUSART2: TXEMPTY Mask       */
#define VFIFO_INTSTATUSART2_RXCOUNT_Pos       16                                                      /*!< VFIFO INTSTATUSART2: RXCOUNT Position   */
#define VFIFO_INTSTATUSART2_RXCOUNT_Msk       (0x000000ffUL << VFIFO_INTSTATUSART2_RXCOUNT_Pos)       /*!< VFIFO INTSTATUSART2: RXCOUNT Mask       */
#define VFIFO_INTSTATUSART2_TXCOUNT_Pos       24                                                      /*!< VFIFO INTSTATUSART2: TXCOUNT Position   */
#define VFIFO_INTSTATUSART2_TXCOUNT_Msk       (0x000000ffUL << VFIFO_INTSTATUSART2_TXCOUNT_Pos)       /*!< VFIFO INTSTATUSART2: TXCOUNT Mask       */

/* -----------------------------  VFIFO_CTLSETUSART2  ----------------------------- */
#define VFIFO_CTLSETUSART2_RXTHINTEN_Pos      0                                                       /*!< VFIFO CTLSETUSART2: RXTHINTEN Position  */
#define VFIFO_CTLSETUSART2_RXTHINTEN_Msk      (0x01UL << VFIFO_CTLSETUSART2_RXTHINTEN_Pos)            /*!< VFIFO CTLSETUSART2: RXTHINTEN Mask      */
#define VFIFO_CTLSETUSART2_TXTHINTEN_Pos      1                                                       /*!< VFIFO CTLSETUSART2: TXTHINTEN Position  */
#define VFIFO_CTLSETUSART2_TXTHINTEN_Msk      (0x01UL << VFIFO_CTLSETUSART2_TXTHINTEN_Pos)            /*!< VFIFO CTLSETUSART2: TXTHINTEN Mask      */
#define VFIFO_CTLSETUSART2_RXTIMEOUTINTEN_Pos 4                                                       /*!< VFIFO CTLSETUSART2: RXTIMEOUTINTEN Position */
#define VFIFO_CTLSETUSART2_RXTIMEOUTINTEN_Msk (0x01UL << VFIFO_CTLSETUSART2_RXTIMEOUTINTEN_Pos)       /*!< VFIFO CTLSETUSART2: RXTIMEOUTINTEN Mask */
#define VFIFO_CTLSETUSART2_RXFLUSH_Pos        8                                                       /*!< VFIFO CTLSETUSART2: RXFLUSH Position    */
#define VFIFO_CTLSETUSART2_RXFLUSH_Msk        (0x01UL << VFIFO_CTLSETUSART2_RXFLUSH_Pos)              /*!< VFIFO CTLSETUSART2: RXFLUSH Mask        */
#define VFIFO_CTLSETUSART2_TXFLUSH_Pos        9                                                       /*!< VFIFO CTLSETUSART2: TXFLUSH Position    */
#define VFIFO_CTLSETUSART2_TXFLUSH_Msk        (0x01UL << VFIFO_CTLSETUSART2_TXFLUSH_Pos)              /*!< VFIFO CTLSETUSART2: TXFLUSH Mask        */

/* -----------------------------  VFIFO_CTLCLRUSART2  ----------------------------- */
#define VFIFO_CTLCLRUSART2_RXTHINTCLR_Pos     0                                                       /*!< VFIFO CTLCLRUSART2: RXTHINTCLR Position */
#define VFIFO_CTLCLRUSART2_RXTHINTCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART2_RXTHINTCLR_Pos)           /*!< VFIFO CTLCLRUSART2: RXTHINTCLR Mask     */
#define VFIFO_CTLCLRUSART2_TXTHINTCLR_Pos     1                                                       /*!< VFIFO CTLCLRUSART2: TXTHINTCLR Position */
#define VFIFO_CTLCLRUSART2_TXTHINTCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART2_TXTHINTCLR_Pos)           /*!< VFIFO CTLCLRUSART2: TXTHINTCLR Mask     */
#define VFIFO_CTLCLRUSART2_RXTIMEOUTINTCLR_Pos 4                                                      /*!< VFIFO CTLCLRUSART2: RXTIMEOUTINTCLR Position */
#define VFIFO_CTLCLRUSART2_RXTIMEOUTINTCLR_Msk (0x01UL << VFIFO_CTLCLRUSART2_RXTIMEOUTINTCLR_Pos)     /*!< VFIFO CTLCLRUSART2: RXTIMEOUTINTCLR Mask */
#define VFIFO_CTLCLRUSART2_RXFLUSHCLR_Pos     8                                                       /*!< VFIFO CTLCLRUSART2: RXFLUSHCLR Position */
#define VFIFO_CTLCLRUSART2_RXFLUSHCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART2_RXFLUSHCLR_Pos)           /*!< VFIFO CTLCLRUSART2: RXFLUSHCLR Mask     */
#define VFIFO_CTLCLRUSART2_TXFLUSHCLR_Pos     9                                                       /*!< VFIFO CTLCLRUSART2: TXFLUSHCLR Position */
#define VFIFO_CTLCLRUSART2_TXFLUSHCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART2_TXFLUSHCLR_Pos)           /*!< VFIFO CTLCLRUSART2: TXFLUSHCLR Mask     */

/* ------------------------------  VFIFO_RXDATUSART2  ----------------------------- */
#define VFIFO_RXDATUSART2_RXDAT_Pos           0                                                       /*!< VFIFO RXDATUSART2: RXDAT Position       */
#define VFIFO_RXDATUSART2_RXDAT_Msk           (0x000001ffUL << VFIFO_RXDATUSART2_RXDAT_Pos)           /*!< VFIFO RXDATUSART2: RXDAT Mask           */

/* ----------------------------  VFIFO_RXDATSTATUSART2  --------------------------- */
#define VFIFO_RXDATSTATUSART2_RXDAT_Pos       0                                                       /*!< VFIFO RXDATSTATUSART2: RXDAT Position   */
#define VFIFO_RXDATSTATUSART2_RXDAT_Msk       (0x000001ffUL << VFIFO_RXDATSTATUSART2_RXDAT_Pos)       /*!< VFIFO RXDATSTATUSART2: RXDAT Mask       */
#define VFIFO_RXDATSTATUSART2_FRAMERR_Pos     13                                                      /*!< VFIFO RXDATSTATUSART2: FRAMERR Position */
#define VFIFO_RXDATSTATUSART2_FRAMERR_Msk     (0x01UL << VFIFO_RXDATSTATUSART2_FRAMERR_Pos)           /*!< VFIFO RXDATSTATUSART2: FRAMERR Mask     */
#define VFIFO_RXDATSTATUSART2_PARITYERR_Pos   14                                                      /*!< VFIFO RXDATSTATUSART2: PARITYERR Position */
#define VFIFO_RXDATSTATUSART2_PARITYERR_Msk   (0x01UL << VFIFO_RXDATSTATUSART2_PARITYERR_Pos)         /*!< VFIFO RXDATSTATUSART2: PARITYERR Mask   */
#define VFIFO_RXDATSTATUSART2_RXNOISE_Pos     15                                                      /*!< VFIFO RXDATSTATUSART2: RXNOISE Position */
#define VFIFO_RXDATSTATUSART2_RXNOISE_Msk     (0x01UL << VFIFO_RXDATSTATUSART2_RXNOISE_Pos)           /*!< VFIFO RXDATSTATUSART2: RXNOISE Mask     */

/* ------------------------------  VFIFO_TXDATUSART2  ----------------------------- */
#define VFIFO_TXDATUSART2_TXDAT_Pos           0                                                       /*!< VFIFO TXDATUSART2: TXDAT Position       */
#define VFIFO_TXDATUSART2_TXDAT_Msk           (0x000001ffUL << VFIFO_TXDATUSART2_TXDAT_Pos)           /*!< VFIFO TXDATUSART2: TXDAT Mask           */

/* -------------------------------  VFIFO_CFGUSART3  ------------------------------ */
#define VFIFO_CFGUSART3_TIMEOUTCONTONWRITE_Pos 4                                                      /*!< VFIFO CFGUSART3: TIMEOUTCONTONWRITE Position */
#define VFIFO_CFGUSART3_TIMEOUTCONTONWRITE_Msk (0x01UL << VFIFO_CFGUSART3_TIMEOUTCONTONWRITE_Pos)     /*!< VFIFO CFGUSART3: TIMEOUTCONTONWRITE Mask */
#define VFIFO_CFGUSART3_TIMEOUTCONTONEMPTY_Pos 5                                                      /*!< VFIFO CFGUSART3: TIMEOUTCONTONEMPTY Position */
#define VFIFO_CFGUSART3_TIMEOUTCONTONEMPTY_Msk (0x01UL << VFIFO_CFGUSART3_TIMEOUTCONTONEMPTY_Pos)     /*!< VFIFO CFGUSART3: TIMEOUTCONTONEMPTY Mask */
#define VFIFO_CFGUSART3_TIMEOUTBASE_Pos       8                                                       /*!< VFIFO CFGUSART3: TIMEOUTBASE Position   */
#define VFIFO_CFGUSART3_TIMEOUTBASE_Msk       (0x0fUL << VFIFO_CFGUSART3_TIMEOUTBASE_Pos)             /*!< VFIFO CFGUSART3: TIMEOUTBASE Mask       */
#define VFIFO_CFGUSART3_TIMEOUTVALUE_Pos      12                                                      /*!< VFIFO CFGUSART3: TIMEOUTVALUE Position  */
#define VFIFO_CFGUSART3_TIMEOUTVALUE_Msk      (0x0fUL << VFIFO_CFGUSART3_TIMEOUTVALUE_Pos)            /*!< VFIFO CFGUSART3: TIMEOUTVALUE Mask      */
#define VFIFO_CFGUSART3_RXTHRESHOLD_Pos       16                                                      /*!< VFIFO CFGUSART3: RXTHRESHOLD Position   */
#define VFIFO_CFGUSART3_RXTHRESHOLD_Msk       (0x000000ffUL << VFIFO_CFGUSART3_RXTHRESHOLD_Pos)       /*!< VFIFO CFGUSART3: RXTHRESHOLD Mask       */
#define VFIFO_CFGUSART3_TXTHRESHOLD_Pos       24                                                      /*!< VFIFO CFGUSART3: TXTHRESHOLD Position   */
#define VFIFO_CFGUSART3_TXTHRESHOLD_Msk       (0x000000ffUL << VFIFO_CFGUSART3_TXTHRESHOLD_Pos)       /*!< VFIFO CFGUSART3: TXTHRESHOLD Mask       */

/* ------------------------------  VFIFO_STATUSART3  ------------------------------ */
#define VFIFO_STATUSART3_RXTH_Pos             0                                                       /*!< VFIFO STATUSART3: RXTH Position         */
#define VFIFO_STATUSART3_RXTH_Msk             (0x01UL << VFIFO_STATUSART3_RXTH_Pos)                   /*!< VFIFO STATUSART3: RXTH Mask             */
#define VFIFO_STATUSART3_TXTH_Pos             1                                                       /*!< VFIFO STATUSART3: TXTH Position         */
#define VFIFO_STATUSART3_TXTH_Msk             (0x01UL << VFIFO_STATUSART3_TXTH_Pos)                   /*!< VFIFO STATUSART3: TXTH Mask             */
#define VFIFO_STATUSART3_RXTIMEOUT_Pos        4                                                       /*!< VFIFO STATUSART3: RXTIMEOUT Position    */
#define VFIFO_STATUSART3_RXTIMEOUT_Msk        (0x01UL << VFIFO_STATUSART3_RXTIMEOUT_Pos)              /*!< VFIFO STATUSART3: RXTIMEOUT Mask        */
#define VFIFO_STATUSART3_BUSERR_Pos           7                                                       /*!< VFIFO STATUSART3: BUSERR Position       */
#define VFIFO_STATUSART3_BUSERR_Msk           (0x01UL << VFIFO_STATUSART3_BUSERR_Pos)                 /*!< VFIFO STATUSART3: BUSERR Mask           */
#define VFIFO_STATUSART3_RXEMPTY_Pos          8                                                       /*!< VFIFO STATUSART3: RXEMPTY Position      */
#define VFIFO_STATUSART3_RXEMPTY_Msk          (0x01UL << VFIFO_STATUSART3_RXEMPTY_Pos)                /*!< VFIFO STATUSART3: RXEMPTY Mask          */
#define VFIFO_STATUSART3_TXEMPTY_Pos          9                                                       /*!< VFIFO STATUSART3: TXEMPTY Position      */
#define VFIFO_STATUSART3_TXEMPTY_Msk          (0x01UL << VFIFO_STATUSART3_TXEMPTY_Pos)                /*!< VFIFO STATUSART3: TXEMPTY Mask          */
#define VFIFO_STATUSART3_RXCOUNT_Pos          16                                                      /*!< VFIFO STATUSART3: RXCOUNT Position      */
#define VFIFO_STATUSART3_RXCOUNT_Msk          (0x000000ffUL << VFIFO_STATUSART3_RXCOUNT_Pos)          /*!< VFIFO STATUSART3: RXCOUNT Mask          */
#define VFIFO_STATUSART3_TXCOUNT_Pos          24                                                      /*!< VFIFO STATUSART3: TXCOUNT Position      */
#define VFIFO_STATUSART3_TXCOUNT_Msk          (0x000000ffUL << VFIFO_STATUSART3_TXCOUNT_Pos)          /*!< VFIFO STATUSART3: TXCOUNT Mask          */

/* -----------------------------  VFIFO_INTSTATUSART3  ---------------------------- */
#define VFIFO_INTSTATUSART3_RXTH_Pos          0                                                       /*!< VFIFO INTSTATUSART3: RXTH Position      */
#define VFIFO_INTSTATUSART3_RXTH_Msk          (0x01UL << VFIFO_INTSTATUSART3_RXTH_Pos)                /*!< VFIFO INTSTATUSART3: RXTH Mask          */
#define VFIFO_INTSTATUSART3_TXTH_Pos          1                                                       /*!< VFIFO INTSTATUSART3: TXTH Position      */
#define VFIFO_INTSTATUSART3_TXTH_Msk          (0x01UL << VFIFO_INTSTATUSART3_TXTH_Pos)                /*!< VFIFO INTSTATUSART3: TXTH Mask          */
#define VFIFO_INTSTATUSART3_RXTIMEOUT_Pos     4                                                       /*!< VFIFO INTSTATUSART3: RXTIMEOUT Position */
#define VFIFO_INTSTATUSART3_RXTIMEOUT_Msk     (0x01UL << VFIFO_INTSTATUSART3_RXTIMEOUT_Pos)           /*!< VFIFO INTSTATUSART3: RXTIMEOUT Mask     */
#define VFIFO_INTSTATUSART3_BUSERR_Pos        7                                                       /*!< VFIFO INTSTATUSART3: BUSERR Position    */
#define VFIFO_INTSTATUSART3_BUSERR_Msk        (0x01UL << VFIFO_INTSTATUSART3_BUSERR_Pos)              /*!< VFIFO INTSTATUSART3: BUSERR Mask        */
#define VFIFO_INTSTATUSART3_RXEMPTY_Pos       8                                                       /*!< VFIFO INTSTATUSART3: RXEMPTY Position   */
#define VFIFO_INTSTATUSART3_RXEMPTY_Msk       (0x01UL << VFIFO_INTSTATUSART3_RXEMPTY_Pos)             /*!< VFIFO INTSTATUSART3: RXEMPTY Mask       */
#define VFIFO_INTSTATUSART3_TXEMPTY_Pos       9                                                       /*!< VFIFO INTSTATUSART3: TXEMPTY Position   */
#define VFIFO_INTSTATUSART3_TXEMPTY_Msk       (0x01UL << VFIFO_INTSTATUSART3_TXEMPTY_Pos)             /*!< VFIFO INTSTATUSART3: TXEMPTY Mask       */
#define VFIFO_INTSTATUSART3_RXCOUNT_Pos       16                                                      /*!< VFIFO INTSTATUSART3: RXCOUNT Position   */
#define VFIFO_INTSTATUSART3_RXCOUNT_Msk       (0x000000ffUL << VFIFO_INTSTATUSART3_RXCOUNT_Pos)       /*!< VFIFO INTSTATUSART3: RXCOUNT Mask       */
#define VFIFO_INTSTATUSART3_TXCOUNT_Pos       24                                                      /*!< VFIFO INTSTATUSART3: TXCOUNT Position   */
#define VFIFO_INTSTATUSART3_TXCOUNT_Msk       (0x000000ffUL << VFIFO_INTSTATUSART3_TXCOUNT_Pos)       /*!< VFIFO INTSTATUSART3: TXCOUNT Mask       */

/* -----------------------------  VFIFO_CTLSETUSART3  ----------------------------- */
#define VFIFO_CTLSETUSART3_RXTHINTEN_Pos      0                                                       /*!< VFIFO CTLSETUSART3: RXTHINTEN Position  */
#define VFIFO_CTLSETUSART3_RXTHINTEN_Msk      (0x01UL << VFIFO_CTLSETUSART3_RXTHINTEN_Pos)            /*!< VFIFO CTLSETUSART3: RXTHINTEN Mask      */
#define VFIFO_CTLSETUSART3_TXTHINTEN_Pos      1                                                       /*!< VFIFO CTLSETUSART3: TXTHINTEN Position  */
#define VFIFO_CTLSETUSART3_TXTHINTEN_Msk      (0x01UL << VFIFO_CTLSETUSART3_TXTHINTEN_Pos)            /*!< VFIFO CTLSETUSART3: TXTHINTEN Mask      */
#define VFIFO_CTLSETUSART3_RXTIMEOUTINTEN_Pos 4                                                       /*!< VFIFO CTLSETUSART3: RXTIMEOUTINTEN Position */
#define VFIFO_CTLSETUSART3_RXTIMEOUTINTEN_Msk (0x01UL << VFIFO_CTLSETUSART3_RXTIMEOUTINTEN_Pos)       /*!< VFIFO CTLSETUSART3: RXTIMEOUTINTEN Mask */
#define VFIFO_CTLSETUSART3_RXFLUSH_Pos        8                                                       /*!< VFIFO CTLSETUSART3: RXFLUSH Position    */
#define VFIFO_CTLSETUSART3_RXFLUSH_Msk        (0x01UL << VFIFO_CTLSETUSART3_RXFLUSH_Pos)              /*!< VFIFO CTLSETUSART3: RXFLUSH Mask        */
#define VFIFO_CTLSETUSART3_TXFLUSH_Pos        9                                                       /*!< VFIFO CTLSETUSART3: TXFLUSH Position    */
#define VFIFO_CTLSETUSART3_TXFLUSH_Msk        (0x01UL << VFIFO_CTLSETUSART3_TXFLUSH_Pos)              /*!< VFIFO CTLSETUSART3: TXFLUSH Mask        */

/* -----------------------------  VFIFO_CTLCLRUSART3  ----------------------------- */
#define VFIFO_CTLCLRUSART3_RXTHINTCLR_Pos     0                                                       /*!< VFIFO CTLCLRUSART3: RXTHINTCLR Position */
#define VFIFO_CTLCLRUSART3_RXTHINTCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART3_RXTHINTCLR_Pos)           /*!< VFIFO CTLCLRUSART3: RXTHINTCLR Mask     */
#define VFIFO_CTLCLRUSART3_TXTHINTCLR_Pos     1                                                       /*!< VFIFO CTLCLRUSART3: TXTHINTCLR Position */
#define VFIFO_CTLCLRUSART3_TXTHINTCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART3_TXTHINTCLR_Pos)           /*!< VFIFO CTLCLRUSART3: TXTHINTCLR Mask     */
#define VFIFO_CTLCLRUSART3_RXTIMEOUTINTCLR_Pos 4                                                      /*!< VFIFO CTLCLRUSART3: RXTIMEOUTINTCLR Position */
#define VFIFO_CTLCLRUSART3_RXTIMEOUTINTCLR_Msk (0x01UL << VFIFO_CTLCLRUSART3_RXTIMEOUTINTCLR_Pos)     /*!< VFIFO CTLCLRUSART3: RXTIMEOUTINTCLR Mask */
#define VFIFO_CTLCLRUSART3_RXFLUSHCLR_Pos     8                                                       /*!< VFIFO CTLCLRUSART3: RXFLUSHCLR Position */
#define VFIFO_CTLCLRUSART3_RXFLUSHCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART3_RXFLUSHCLR_Pos)           /*!< VFIFO CTLCLRUSART3: RXFLUSHCLR Mask     */
#define VFIFO_CTLCLRUSART3_TXFLUSHCLR_Pos     9                                                       /*!< VFIFO CTLCLRUSART3: TXFLUSHCLR Position */
#define VFIFO_CTLCLRUSART3_TXFLUSHCLR_Msk     (0x01UL << VFIFO_CTLCLRUSART3_TXFLUSHCLR_Pos)           /*!< VFIFO CTLCLRUSART3: TXFLUSHCLR Mask     */

/* ------------------------------  VFIFO_RXDATUSART3  ----------------------------- */
#define VFIFO_RXDATUSART3_RXDAT_Pos           0                                                       /*!< VFIFO RXDATUSART3: RXDAT Position       */
#define VFIFO_RXDATUSART3_RXDAT_Msk           (0x000001ffUL << VFIFO_RXDATUSART3_RXDAT_Pos)           /*!< VFIFO RXDATUSART3: RXDAT Mask           */

/* ----------------------------  VFIFO_RXDATSTATUSART3  --------------------------- */
#define VFIFO_RXDATSTATUSART3_RXDAT_Pos       0                                                       /*!< VFIFO RXDATSTATUSART3: RXDAT Position   */
#define VFIFO_RXDATSTATUSART3_RXDAT_Msk       (0x000001ffUL << VFIFO_RXDATSTATUSART3_RXDAT_Pos)       /*!< VFIFO RXDATSTATUSART3: RXDAT Mask       */
#define VFIFO_RXDATSTATUSART3_FRAMERR_Pos     13                                                      /*!< VFIFO RXDATSTATUSART3: FRAMERR Position */
#define VFIFO_RXDATSTATUSART3_FRAMERR_Msk     (0x01UL << VFIFO_RXDATSTATUSART3_FRAMERR_Pos)           /*!< VFIFO RXDATSTATUSART3: FRAMERR Mask     */
#define VFIFO_RXDATSTATUSART3_PARITYERR_Pos   14                                                      /*!< VFIFO RXDATSTATUSART3: PARITYERR Position */
#define VFIFO_RXDATSTATUSART3_PARITYERR_Msk   (0x01UL << VFIFO_RXDATSTATUSART3_PARITYERR_Pos)         /*!< VFIFO RXDATSTATUSART3: PARITYERR Mask   */
#define VFIFO_RXDATSTATUSART3_RXNOISE_Pos     15                                                      /*!< VFIFO RXDATSTATUSART3: RXNOISE Position */
#define VFIFO_RXDATSTATUSART3_RXNOISE_Msk     (0x01UL << VFIFO_RXDATSTATUSART3_RXNOISE_Pos)           /*!< VFIFO RXDATSTATUSART3: RXNOISE Mask     */

/* ------------------------------  VFIFO_TXDATUSART3  ----------------------------- */
#define VFIFO_TXDATUSART3_TXDAT_Pos           0                                                       /*!< VFIFO TXDATUSART3: TXDAT Position       */
#define VFIFO_TXDATUSART3_TXDAT_Msk           (0x000001ffUL << VFIFO_TXDATUSART3_TXDAT_Pos)           /*!< VFIFO TXDATUSART3: TXDAT Mask           */

/* --------------------------------  VFIFO_CFGSPI0  ------------------------------- */
#define VFIFO_CFGSPI0_TIMEOUTCONTONWRITE_Pos  4                                                       /*!< VFIFO CFGSPI0: TIMEOUTCONTONWRITE Position */
#define VFIFO_CFGSPI0_TIMEOUTCONTONWRITE_Msk  (0x01UL << VFIFO_CFGSPI0_TIMEOUTCONTONWRITE_Pos)        /*!< VFIFO CFGSPI0: TIMEOUTCONTONWRITE Mask  */
#define VFIFO_CFGSPI0_TIMEOUTCONTONEMPTY_Pos  5                                                       /*!< VFIFO CFGSPI0: TIMEOUTCONTONEMPTY Position */
#define VFIFO_CFGSPI0_TIMEOUTCONTONEMPTY_Msk  (0x01UL << VFIFO_CFGSPI0_TIMEOUTCONTONEMPTY_Pos)        /*!< VFIFO CFGSPI0: TIMEOUTCONTONEMPTY Mask  */
#define VFIFO_CFGSPI0_TIMEOUTBASE_Pos         8                                                       /*!< VFIFO CFGSPI0: TIMEOUTBASE Position     */
#define VFIFO_CFGSPI0_TIMEOUTBASE_Msk         (0x0fUL << VFIFO_CFGSPI0_TIMEOUTBASE_Pos)               /*!< VFIFO CFGSPI0: TIMEOUTBASE Mask         */
#define VFIFO_CFGSPI0_TIMEOUTVALUE_Pos        12                                                      /*!< VFIFO CFGSPI0: TIMEOUTVALUE Position    */
#define VFIFO_CFGSPI0_TIMEOUTVALUE_Msk        (0x0fUL << VFIFO_CFGSPI0_TIMEOUTVALUE_Pos)              /*!< VFIFO CFGSPI0: TIMEOUTVALUE Mask        */
#define VFIFO_CFGSPI0_RXTHRESHOLD_Pos         16                                                      /*!< VFIFO CFGSPI0: RXTHRESHOLD Position     */
#define VFIFO_CFGSPI0_RXTHRESHOLD_Msk         (0x000000ffUL << VFIFO_CFGSPI0_RXTHRESHOLD_Pos)         /*!< VFIFO CFGSPI0: RXTHRESHOLD Mask         */
#define VFIFO_CFGSPI0_TXTHRESHOLD_Pos         24                                                      /*!< VFIFO CFGSPI0: TXTHRESHOLD Position     */
#define VFIFO_CFGSPI0_TXTHRESHOLD_Msk         (0x000000ffUL << VFIFO_CFGSPI0_TXTHRESHOLD_Pos)         /*!< VFIFO CFGSPI0: TXTHRESHOLD Mask         */

/* -------------------------------  VFIFO_STATSPI0  ------------------------------- */
#define VFIFO_STATSPI0_RXTH_Pos               0                                                       /*!< VFIFO STATSPI0: RXTH Position           */
#define VFIFO_STATSPI0_RXTH_Msk               (0x01UL << VFIFO_STATSPI0_RXTH_Pos)                     /*!< VFIFO STATSPI0: RXTH Mask               */
#define VFIFO_STATSPI0_TXTH_Pos               1                                                       /*!< VFIFO STATSPI0: TXTH Position           */
#define VFIFO_STATSPI0_TXTH_Msk               (0x01UL << VFIFO_STATSPI0_TXTH_Pos)                     /*!< VFIFO STATSPI0: TXTH Mask               */
#define VFIFO_STATSPI0_RXTIMEOUT_Pos          4                                                       /*!< VFIFO STATSPI0: RXTIMEOUT Position      */
#define VFIFO_STATSPI0_RXTIMEOUT_Msk          (0x01UL << VFIFO_STATSPI0_RXTIMEOUT_Pos)                /*!< VFIFO STATSPI0: RXTIMEOUT Mask          */
#define VFIFO_STATSPI0_BUSERR_Pos             7                                                       /*!< VFIFO STATSPI0: BUSERR Position         */
#define VFIFO_STATSPI0_BUSERR_Msk             (0x01UL << VFIFO_STATSPI0_BUSERR_Pos)                   /*!< VFIFO STATSPI0: BUSERR Mask             */
#define VFIFO_STATSPI0_RXEMPTY_Pos            8                                                       /*!< VFIFO STATSPI0: RXEMPTY Position        */
#define VFIFO_STATSPI0_RXEMPTY_Msk            (0x01UL << VFIFO_STATSPI0_RXEMPTY_Pos)                  /*!< VFIFO STATSPI0: RXEMPTY Mask            */
#define VFIFO_STATSPI0_TXEMPTY_Pos            9                                                       /*!< VFIFO STATSPI0: TXEMPTY Position        */
#define VFIFO_STATSPI0_TXEMPTY_Msk            (0x01UL << VFIFO_STATSPI0_TXEMPTY_Pos)                  /*!< VFIFO STATSPI0: TXEMPTY Mask            */
#define VFIFO_STATSPI0_RXCOUNT_Pos            16                                                      /*!< VFIFO STATSPI0: RXCOUNT Position        */
#define VFIFO_STATSPI0_RXCOUNT_Msk            (0x000000ffUL << VFIFO_STATSPI0_RXCOUNT_Pos)            /*!< VFIFO STATSPI0: RXCOUNT Mask            */
#define VFIFO_STATSPI0_TXCOUNT_Pos            24                                                      /*!< VFIFO STATSPI0: TXCOUNT Position        */
#define VFIFO_STATSPI0_TXCOUNT_Msk            (0x000000ffUL << VFIFO_STATSPI0_TXCOUNT_Pos)            /*!< VFIFO STATSPI0: TXCOUNT Mask            */

/* ------------------------------  VFIFO_INTSTATSPI0  ----------------------------- */
#define VFIFO_INTSTATSPI0_RXTH_Pos            0                                                       /*!< VFIFO INTSTATSPI0: RXTH Position        */
#define VFIFO_INTSTATSPI0_RXTH_Msk            (0x01UL << VFIFO_INTSTATSPI0_RXTH_Pos)                  /*!< VFIFO INTSTATSPI0: RXTH Mask            */
#define VFIFO_INTSTATSPI0_TXTH_Pos            1                                                       /*!< VFIFO INTSTATSPI0: TXTH Position        */
#define VFIFO_INTSTATSPI0_TXTH_Msk            (0x01UL << VFIFO_INTSTATSPI0_TXTH_Pos)                  /*!< VFIFO INTSTATSPI0: TXTH Mask            */
#define VFIFO_INTSTATSPI0_RXTIMEOUT_Pos       4                                                       /*!< VFIFO INTSTATSPI0: RXTIMEOUT Position   */
#define VFIFO_INTSTATSPI0_RXTIMEOUT_Msk       (0x01UL << VFIFO_INTSTATSPI0_RXTIMEOUT_Pos)             /*!< VFIFO INTSTATSPI0: RXTIMEOUT Mask       */
#define VFIFO_INTSTATSPI0_BUSERR_Pos          7                                                       /*!< VFIFO INTSTATSPI0: BUSERR Position      */
#define VFIFO_INTSTATSPI0_BUSERR_Msk          (0x01UL << VFIFO_INTSTATSPI0_BUSERR_Pos)                /*!< VFIFO INTSTATSPI0: BUSERR Mask          */
#define VFIFO_INTSTATSPI0_RXEMPTY_Pos         8                                                       /*!< VFIFO INTSTATSPI0: RXEMPTY Position     */
#define VFIFO_INTSTATSPI0_RXEMPTY_Msk         (0x01UL << VFIFO_INTSTATSPI0_RXEMPTY_Pos)               /*!< VFIFO INTSTATSPI0: RXEMPTY Mask         */
#define VFIFO_INTSTATSPI0_TXEMPTY_Pos         9                                                       /*!< VFIFO INTSTATSPI0: TXEMPTY Position     */
#define VFIFO_INTSTATSPI0_TXEMPTY_Msk         (0x01UL << VFIFO_INTSTATSPI0_TXEMPTY_Pos)               /*!< VFIFO INTSTATSPI0: TXEMPTY Mask         */
#define VFIFO_INTSTATSPI0_RXCOUNT_Pos         16                                                      /*!< VFIFO INTSTATSPI0: RXCOUNT Position     */
#define VFIFO_INTSTATSPI0_RXCOUNT_Msk         (0x000000ffUL << VFIFO_INTSTATSPI0_RXCOUNT_Pos)         /*!< VFIFO INTSTATSPI0: RXCOUNT Mask         */
#define VFIFO_INTSTATSPI0_TXCOUNT_Pos         24                                                      /*!< VFIFO INTSTATSPI0: TXCOUNT Position     */
#define VFIFO_INTSTATSPI0_TXCOUNT_Msk         (0x000000ffUL << VFIFO_INTSTATSPI0_TXCOUNT_Pos)         /*!< VFIFO INTSTATSPI0: TXCOUNT Mask         */

/* ------------------------------  VFIFO_CTLSETSPI0  ------------------------------ */
#define VFIFO_CTLSETSPI0_RXTHINTEN_Pos        0                                                       /*!< VFIFO CTLSETSPI0: RXTHINTEN Position    */
#define VFIFO_CTLSETSPI0_RXTHINTEN_Msk        (0x01UL << VFIFO_CTLSETSPI0_RXTHINTEN_Pos)              /*!< VFIFO CTLSETSPI0: RXTHINTEN Mask        */
#define VFIFO_CTLSETSPI0_TXTHINTEN_Pos        1                                                       /*!< VFIFO CTLSETSPI0: TXTHINTEN Position    */
#define VFIFO_CTLSETSPI0_TXTHINTEN_Msk        (0x01UL << VFIFO_CTLSETSPI0_TXTHINTEN_Pos)              /*!< VFIFO CTLSETSPI0: TXTHINTEN Mask        */
#define VFIFO_CTLSETSPI0_RXTIMEOUTINTEN_Pos   4                                                       /*!< VFIFO CTLSETSPI0: RXTIMEOUTINTEN Position */
#define VFIFO_CTLSETSPI0_RXTIMEOUTINTEN_Msk   (0x01UL << VFIFO_CTLSETSPI0_RXTIMEOUTINTEN_Pos)         /*!< VFIFO CTLSETSPI0: RXTIMEOUTINTEN Mask   */
#define VFIFO_CTLSETSPI0_RXFLUSH_Pos          8                                                       /*!< VFIFO CTLSETSPI0: RXFLUSH Position      */
#define VFIFO_CTLSETSPI0_RXFLUSH_Msk          (0x01UL << VFIFO_CTLSETSPI0_RXFLUSH_Pos)                /*!< VFIFO CTLSETSPI0: RXFLUSH Mask          */
#define VFIFO_CTLSETSPI0_TXFLUSH_Pos          9                                                       /*!< VFIFO CTLSETSPI0: TXFLUSH Position      */
#define VFIFO_CTLSETSPI0_TXFLUSH_Msk          (0x01UL << VFIFO_CTLSETSPI0_TXFLUSH_Pos)                /*!< VFIFO CTLSETSPI0: TXFLUSH Mask          */

/* ------------------------------  VFIFO_CTLCLRSPI0  ------------------------------ */
#define VFIFO_CTLCLRSPI0_RXTHINTCLR_Pos       0                                                       /*!< VFIFO CTLCLRSPI0: RXTHINTCLR Position   */
#define VFIFO_CTLCLRSPI0_RXTHINTCLR_Msk       (0x01UL << VFIFO_CTLCLRSPI0_RXTHINTCLR_Pos)             /*!< VFIFO CTLCLRSPI0: RXTHINTCLR Mask       */
#define VFIFO_CTLCLRSPI0_TXTHINTCLR_Pos       1                                                       /*!< VFIFO CTLCLRSPI0: TXTHINTCLR Position   */
#define VFIFO_CTLCLRSPI0_TXTHINTCLR_Msk       (0x01UL << VFIFO_CTLCLRSPI0_TXTHINTCLR_Pos)             /*!< VFIFO CTLCLRSPI0: TXTHINTCLR Mask       */
#define VFIFO_CTLCLRSPI0_RXTIMEOUTINTCLR_Pos  4                                                       /*!< VFIFO CTLCLRSPI0: RXTIMEOUTINTCLR Position */
#define VFIFO_CTLCLRSPI0_RXTIMEOUTINTCLR_Msk  (0x01UL << VFIFO_CTLCLRSPI0_RXTIMEOUTINTCLR_Pos)        /*!< VFIFO CTLCLRSPI0: RXTIMEOUTINTCLR Mask  */
#define VFIFO_CTLCLRSPI0_RXFLUSHCLR_Pos       8                                                       /*!< VFIFO CTLCLRSPI0: RXFLUSHCLR Position   */
#define VFIFO_CTLCLRSPI0_RXFLUSHCLR_Msk       (0x01UL << VFIFO_CTLCLRSPI0_RXFLUSHCLR_Pos)             /*!< VFIFO CTLCLRSPI0: RXFLUSHCLR Mask       */
#define VFIFO_CTLCLRSPI0_TXFLUSHCLR_Pos       9                                                       /*!< VFIFO CTLCLRSPI0: TXFLUSHCLR Position   */
#define VFIFO_CTLCLRSPI0_TXFLUSHCLR_Msk       (0x01UL << VFIFO_CTLCLRSPI0_TXFLUSHCLR_Pos)             /*!< VFIFO CTLCLRSPI0: TXFLUSHCLR Mask       */

/* -------------------------------  VFIFO_RXDATSPI0  ------------------------------ */
#define VFIFO_RXDATSPI0_RXDAT_Pos             0                                                       /*!< VFIFO RXDATSPI0: RXDAT Position         */
#define VFIFO_RXDATSPI0_RXDAT_Msk             (0x0000ffffUL << VFIFO_RXDATSPI0_RXDAT_Pos)             /*!< VFIFO RXDATSPI0: RXDAT Mask             */
#define VFIFO_RXDATSPI0_RXSSEL0_N_Pos         16                                                      /*!< VFIFO RXDATSPI0: RXSSEL0_N Position     */
#define VFIFO_RXDATSPI0_RXSSEL0_N_Msk         (0x01UL << VFIFO_RXDATSPI0_RXSSEL0_N_Pos)               /*!< VFIFO RXDATSPI0: RXSSEL0_N Mask         */
#define VFIFO_RXDATSPI0_RXSSEL1_N_Pos         17                                                      /*!< VFIFO RXDATSPI0: RXSSEL1_N Position     */
#define VFIFO_RXDATSPI0_RXSSEL1_N_Msk         (0x01UL << VFIFO_RXDATSPI0_RXSSEL1_N_Pos)               /*!< VFIFO RXDATSPI0: RXSSEL1_N Mask         */
#define VFIFO_RXDATSPI0_RXSSEL2_N_Pos         18                                                      /*!< VFIFO RXDATSPI0: RXSSEL2_N Position     */
#define VFIFO_RXDATSPI0_RXSSEL2_N_Msk         (0x01UL << VFIFO_RXDATSPI0_RXSSEL2_N_Pos)               /*!< VFIFO RXDATSPI0: RXSSEL2_N Mask         */
#define VFIFO_RXDATSPI0_RXSSEL3_N_Pos         19                                                      /*!< VFIFO RXDATSPI0: RXSSEL3_N Position     */
#define VFIFO_RXDATSPI0_RXSSEL3_N_Msk         (0x01UL << VFIFO_RXDATSPI0_RXSSEL3_N_Pos)               /*!< VFIFO RXDATSPI0: RXSSEL3_N Mask         */
#define VFIFO_RXDATSPI0_SOT_Pos               20                                                      /*!< VFIFO RXDATSPI0: SOT Position           */
#define VFIFO_RXDATSPI0_SOT_Msk               (0x01UL << VFIFO_RXDATSPI0_SOT_Pos)                     /*!< VFIFO RXDATSPI0: SOT Mask               */

/* -------------------------------  VFIFO_TXDATSPI0  ------------------------------ */
#define VFIFO_TXDATSPI0_TXDAT_Pos             0                                                       /*!< VFIFO TXDATSPI0: TXDAT Position         */
#define VFIFO_TXDATSPI0_TXDAT_Msk             (0x0000ffffUL << VFIFO_TXDATSPI0_TXDAT_Pos)             /*!< VFIFO TXDATSPI0: TXDAT Mask             */
#define VFIFO_TXDATSPI0_TXSSEL0_N_Pos         16                                                      /*!< VFIFO TXDATSPI0: TXSSEL0_N Position     */
#define VFIFO_TXDATSPI0_TXSSEL0_N_Msk         (0x01UL << VFIFO_TXDATSPI0_TXSSEL0_N_Pos)               /*!< VFIFO TXDATSPI0: TXSSEL0_N Mask         */
#define VFIFO_TXDATSPI0_TXSSEL1_N_Pos         17                                                      /*!< VFIFO TXDATSPI0: TXSSEL1_N Position     */
#define VFIFO_TXDATSPI0_TXSSEL1_N_Msk         (0x01UL << VFIFO_TXDATSPI0_TXSSEL1_N_Pos)               /*!< VFIFO TXDATSPI0: TXSSEL1_N Mask         */
#define VFIFO_TXDATSPI0_TXSSEL2_N_Pos         18                                                      /*!< VFIFO TXDATSPI0: TXSSEL2_N Position     */
#define VFIFO_TXDATSPI0_TXSSEL2_N_Msk         (0x01UL << VFIFO_TXDATSPI0_TXSSEL2_N_Pos)               /*!< VFIFO TXDATSPI0: TXSSEL2_N Mask         */
#define VFIFO_TXDATSPI0_TXSSEL3_N_Pos         19                                                      /*!< VFIFO TXDATSPI0: TXSSEL3_N Position     */
#define VFIFO_TXDATSPI0_TXSSEL3_N_Msk         (0x01UL << VFIFO_TXDATSPI0_TXSSEL3_N_Pos)               /*!< VFIFO TXDATSPI0: TXSSEL3_N Mask         */
#define VFIFO_TXDATSPI0_EOT_Pos               20                                                      /*!< VFIFO TXDATSPI0: EOT Position           */
#define VFIFO_TXDATSPI0_EOT_Msk               (0x01UL << VFIFO_TXDATSPI0_EOT_Pos)                     /*!< VFIFO TXDATSPI0: EOT Mask               */
#define VFIFO_TXDATSPI0_EOF_Pos               21                                                      /*!< VFIFO TXDATSPI0: EOF Position           */
#define VFIFO_TXDATSPI0_EOF_Msk               (0x01UL << VFIFO_TXDATSPI0_EOF_Pos)                     /*!< VFIFO TXDATSPI0: EOF Mask               */
#define VFIFO_TXDATSPI0_RXIGNORE_Pos          22                                                      /*!< VFIFO TXDATSPI0: RXIGNORE Position      */
#define VFIFO_TXDATSPI0_RXIGNORE_Msk          (0x01UL << VFIFO_TXDATSPI0_RXIGNORE_Pos)                /*!< VFIFO TXDATSPI0: RXIGNORE Mask          */
#define VFIFO_TXDATSPI0_LEN_Pos               24                                                      /*!< VFIFO TXDATSPI0: LEN Position           */
#define VFIFO_TXDATSPI0_LEN_Msk               (0x0fUL << VFIFO_TXDATSPI0_LEN_Pos)                     /*!< VFIFO TXDATSPI0: LEN Mask               */

/* --------------------------------  VFIFO_CFGSPI1  ------------------------------- */
#define VFIFO_CFGSPI1_TIMEOUTCONTONWRITE_Pos  4                                                       /*!< VFIFO CFGSPI1: TIMEOUTCONTONWRITE Position */
#define VFIFO_CFGSPI1_TIMEOUTCONTONWRITE_Msk  (0x01UL << VFIFO_CFGSPI1_TIMEOUTCONTONWRITE_Pos)        /*!< VFIFO CFGSPI1: TIMEOUTCONTONWRITE Mask  */
#define VFIFO_CFGSPI1_TIMEOUTCONTONEMPTY_Pos  5                                                       /*!< VFIFO CFGSPI1: TIMEOUTCONTONEMPTY Position */
#define VFIFO_CFGSPI1_TIMEOUTCONTONEMPTY_Msk  (0x01UL << VFIFO_CFGSPI1_TIMEOUTCONTONEMPTY_Pos)        /*!< VFIFO CFGSPI1: TIMEOUTCONTONEMPTY Mask  */
#define VFIFO_CFGSPI1_TIMEOUTBASE_Pos         8                                                       /*!< VFIFO CFGSPI1: TIMEOUTBASE Position     */
#define VFIFO_CFGSPI1_TIMEOUTBASE_Msk         (0x0fUL << VFIFO_CFGSPI1_TIMEOUTBASE_Pos)               /*!< VFIFO CFGSPI1: TIMEOUTBASE Mask         */
#define VFIFO_CFGSPI1_TIMEOUTVALUE_Pos        12                                                      /*!< VFIFO CFGSPI1: TIMEOUTVALUE Position    */
#define VFIFO_CFGSPI1_TIMEOUTVALUE_Msk        (0x0fUL << VFIFO_CFGSPI1_TIMEOUTVALUE_Pos)              /*!< VFIFO CFGSPI1: TIMEOUTVALUE Mask        */
#define VFIFO_CFGSPI1_RXTHRESHOLD_Pos         16                                                      /*!< VFIFO CFGSPI1: RXTHRESHOLD Position     */
#define VFIFO_CFGSPI1_RXTHRESHOLD_Msk         (0x000000ffUL << VFIFO_CFGSPI1_RXTHRESHOLD_Pos)         /*!< VFIFO CFGSPI1: RXTHRESHOLD Mask         */
#define VFIFO_CFGSPI1_TXTHRESHOLD_Pos         24                                                      /*!< VFIFO CFGSPI1: TXTHRESHOLD Position     */
#define VFIFO_CFGSPI1_TXTHRESHOLD_Msk         (0x000000ffUL << VFIFO_CFGSPI1_TXTHRESHOLD_Pos)         /*!< VFIFO CFGSPI1: TXTHRESHOLD Mask         */

/* -------------------------------  VFIFO_STATSPI1  ------------------------------- */
#define VFIFO_STATSPI1_RXTH_Pos               0                                                       /*!< VFIFO STATSPI1: RXTH Position           */
#define VFIFO_STATSPI1_RXTH_Msk               (0x01UL << VFIFO_STATSPI1_RXTH_Pos)                     /*!< VFIFO STATSPI1: RXTH Mask               */
#define VFIFO_STATSPI1_TXTH_Pos               1                                                       /*!< VFIFO STATSPI1: TXTH Position           */
#define VFIFO_STATSPI1_TXTH_Msk               (0x01UL << VFIFO_STATSPI1_TXTH_Pos)                     /*!< VFIFO STATSPI1: TXTH Mask               */
#define VFIFO_STATSPI1_RXTIMEOUT_Pos          4                                                       /*!< VFIFO STATSPI1: RXTIMEOUT Position      */
#define VFIFO_STATSPI1_RXTIMEOUT_Msk          (0x01UL << VFIFO_STATSPI1_RXTIMEOUT_Pos)                /*!< VFIFO STATSPI1: RXTIMEOUT Mask          */
#define VFIFO_STATSPI1_BUSERR_Pos             7                                                       /*!< VFIFO STATSPI1: BUSERR Position         */
#define VFIFO_STATSPI1_BUSERR_Msk             (0x01UL << VFIFO_STATSPI1_BUSERR_Pos)                   /*!< VFIFO STATSPI1: BUSERR Mask             */
#define VFIFO_STATSPI1_RXEMPTY_Pos            8                                                       /*!< VFIFO STATSPI1: RXEMPTY Position        */
#define VFIFO_STATSPI1_RXEMPTY_Msk            (0x01UL << VFIFO_STATSPI1_RXEMPTY_Pos)                  /*!< VFIFO STATSPI1: RXEMPTY Mask            */
#define VFIFO_STATSPI1_TXEMPTY_Pos            9                                                       /*!< VFIFO STATSPI1: TXEMPTY Position        */
#define VFIFO_STATSPI1_TXEMPTY_Msk            (0x01UL << VFIFO_STATSPI1_TXEMPTY_Pos)                  /*!< VFIFO STATSPI1: TXEMPTY Mask            */
#define VFIFO_STATSPI1_RXCOUNT_Pos            16                                                      /*!< VFIFO STATSPI1: RXCOUNT Position        */
#define VFIFO_STATSPI1_RXCOUNT_Msk            (0x000000ffUL << VFIFO_STATSPI1_RXCOUNT_Pos)            /*!< VFIFO STATSPI1: RXCOUNT Mask            */
#define VFIFO_STATSPI1_TXCOUNT_Pos            24                                                      /*!< VFIFO STATSPI1: TXCOUNT Position        */
#define VFIFO_STATSPI1_TXCOUNT_Msk            (0x000000ffUL << VFIFO_STATSPI1_TXCOUNT_Pos)            /*!< VFIFO STATSPI1: TXCOUNT Mask            */

/* ------------------------------  VFIFO_INTSTATSPI1  ----------------------------- */
#define VFIFO_INTSTATSPI1_RXTH_Pos            0                                                       /*!< VFIFO INTSTATSPI1: RXTH Position        */
#define VFIFO_INTSTATSPI1_RXTH_Msk            (0x01UL << VFIFO_INTSTATSPI1_RXTH_Pos)                  /*!< VFIFO INTSTATSPI1: RXTH Mask            */
#define VFIFO_INTSTATSPI1_TXTH_Pos            1                                                       /*!< VFIFO INTSTATSPI1: TXTH Position        */
#define VFIFO_INTSTATSPI1_TXTH_Msk            (0x01UL << VFIFO_INTSTATSPI1_TXTH_Pos)                  /*!< VFIFO INTSTATSPI1: TXTH Mask            */
#define VFIFO_INTSTATSPI1_RXTIMEOUT_Pos       4                                                       /*!< VFIFO INTSTATSPI1: RXTIMEOUT Position   */
#define VFIFO_INTSTATSPI1_RXTIMEOUT_Msk       (0x01UL << VFIFO_INTSTATSPI1_RXTIMEOUT_Pos)             /*!< VFIFO INTSTATSPI1: RXTIMEOUT Mask       */
#define VFIFO_INTSTATSPI1_BUSERR_Pos          7                                                       /*!< VFIFO INTSTATSPI1: BUSERR Position      */
#define VFIFO_INTSTATSPI1_BUSERR_Msk          (0x01UL << VFIFO_INTSTATSPI1_BUSERR_Pos)                /*!< VFIFO INTSTATSPI1: BUSERR Mask          */
#define VFIFO_INTSTATSPI1_RXEMPTY_Pos         8                                                       /*!< VFIFO INTSTATSPI1: RXEMPTY Position     */
#define VFIFO_INTSTATSPI1_RXEMPTY_Msk         (0x01UL << VFIFO_INTSTATSPI1_RXEMPTY_Pos)               /*!< VFIFO INTSTATSPI1: RXEMPTY Mask         */
#define VFIFO_INTSTATSPI1_TXEMPTY_Pos         9                                                       /*!< VFIFO INTSTATSPI1: TXEMPTY Position     */
#define VFIFO_INTSTATSPI1_TXEMPTY_Msk         (0x01UL << VFIFO_INTSTATSPI1_TXEMPTY_Pos)               /*!< VFIFO INTSTATSPI1: TXEMPTY Mask         */
#define VFIFO_INTSTATSPI1_RXCOUNT_Pos         16                                                      /*!< VFIFO INTSTATSPI1: RXCOUNT Position     */
#define VFIFO_INTSTATSPI1_RXCOUNT_Msk         (0x000000ffUL << VFIFO_INTSTATSPI1_RXCOUNT_Pos)         /*!< VFIFO INTSTATSPI1: RXCOUNT Mask         */
#define VFIFO_INTSTATSPI1_TXCOUNT_Pos         24                                                      /*!< VFIFO INTSTATSPI1: TXCOUNT Position     */
#define VFIFO_INTSTATSPI1_TXCOUNT_Msk         (0x000000ffUL << VFIFO_INTSTATSPI1_TXCOUNT_Pos)         /*!< VFIFO INTSTATSPI1: TXCOUNT Mask         */

/* ------------------------------  VFIFO_CTLSETSPI1  ------------------------------ */
#define VFIFO_CTLSETSPI1_RXTHINTEN_Pos        0                                                       /*!< VFIFO CTLSETSPI1: RXTHINTEN Position    */
#define VFIFO_CTLSETSPI1_RXTHINTEN_Msk        (0x01UL << VFIFO_CTLSETSPI1_RXTHINTEN_Pos)              /*!< VFIFO CTLSETSPI1: RXTHINTEN Mask        */
#define VFIFO_CTLSETSPI1_TXTHINTEN_Pos        1                                                       /*!< VFIFO CTLSETSPI1: TXTHINTEN Position    */
#define VFIFO_CTLSETSPI1_TXTHINTEN_Msk        (0x01UL << VFIFO_CTLSETSPI1_TXTHINTEN_Pos)              /*!< VFIFO CTLSETSPI1: TXTHINTEN Mask        */
#define VFIFO_CTLSETSPI1_RXTIMEOUTINTEN_Pos   4                                                       /*!< VFIFO CTLSETSPI1: RXTIMEOUTINTEN Position */
#define VFIFO_CTLSETSPI1_RXTIMEOUTINTEN_Msk   (0x01UL << VFIFO_CTLSETSPI1_RXTIMEOUTINTEN_Pos)         /*!< VFIFO CTLSETSPI1: RXTIMEOUTINTEN Mask   */
#define VFIFO_CTLSETSPI1_RXFLUSH_Pos          8                                                       /*!< VFIFO CTLSETSPI1: RXFLUSH Position      */
#define VFIFO_CTLSETSPI1_RXFLUSH_Msk          (0x01UL << VFIFO_CTLSETSPI1_RXFLUSH_Pos)                /*!< VFIFO CTLSETSPI1: RXFLUSH Mask          */
#define VFIFO_CTLSETSPI1_TXFLUSH_Pos          9                                                       /*!< VFIFO CTLSETSPI1: TXFLUSH Position      */
#define VFIFO_CTLSETSPI1_TXFLUSH_Msk          (0x01UL << VFIFO_CTLSETSPI1_TXFLUSH_Pos)                /*!< VFIFO CTLSETSPI1: TXFLUSH Mask          */

/* ------------------------------  VFIFO_CTLCLRSPI1  ------------------------------ */
#define VFIFO_CTLCLRSPI1_RXTHINTCLR_Pos       0                                                       /*!< VFIFO CTLCLRSPI1: RXTHINTCLR Position   */
#define VFIFO_CTLCLRSPI1_RXTHINTCLR_Msk       (0x01UL << VFIFO_CTLCLRSPI1_RXTHINTCLR_Pos)             /*!< VFIFO CTLCLRSPI1: RXTHINTCLR Mask       */
#define VFIFO_CTLCLRSPI1_TXTHINTCLR_Pos       1                                                       /*!< VFIFO CTLCLRSPI1: TXTHINTCLR Position   */
#define VFIFO_CTLCLRSPI1_TXTHINTCLR_Msk       (0x01UL << VFIFO_CTLCLRSPI1_TXTHINTCLR_Pos)             /*!< VFIFO CTLCLRSPI1: TXTHINTCLR Mask       */
#define VFIFO_CTLCLRSPI1_RXTIMEOUTINTCLR_Pos  4                                                       /*!< VFIFO CTLCLRSPI1: RXTIMEOUTINTCLR Position */
#define VFIFO_CTLCLRSPI1_RXTIMEOUTINTCLR_Msk  (0x01UL << VFIFO_CTLCLRSPI1_RXTIMEOUTINTCLR_Pos)        /*!< VFIFO CTLCLRSPI1: RXTIMEOUTINTCLR Mask  */
#define VFIFO_CTLCLRSPI1_RXFLUSHCLR_Pos       8                                                       /*!< VFIFO CTLCLRSPI1: RXFLUSHCLR Position   */
#define VFIFO_CTLCLRSPI1_RXFLUSHCLR_Msk       (0x01UL << VFIFO_CTLCLRSPI1_RXFLUSHCLR_Pos)             /*!< VFIFO CTLCLRSPI1: RXFLUSHCLR Mask       */
#define VFIFO_CTLCLRSPI1_TXFLUSHCLR_Pos       9                                                       /*!< VFIFO CTLCLRSPI1: TXFLUSHCLR Position   */
#define VFIFO_CTLCLRSPI1_TXFLUSHCLR_Msk       (0x01UL << VFIFO_CTLCLRSPI1_TXFLUSHCLR_Pos)             /*!< VFIFO CTLCLRSPI1: TXFLUSHCLR Mask       */

/* -------------------------------  VFIFO_RXDATSPI1  ------------------------------ */
#define VFIFO_RXDATSPI1_RXDAT_Pos             0                                                       /*!< VFIFO RXDATSPI1: RXDAT Position         */
#define VFIFO_RXDATSPI1_RXDAT_Msk             (0x0000ffffUL << VFIFO_RXDATSPI1_RXDAT_Pos)             /*!< VFIFO RXDATSPI1: RXDAT Mask             */
#define VFIFO_RXDATSPI1_RXSSEL0_N_Pos         16                                                      /*!< VFIFO RXDATSPI1: RXSSEL0_N Position     */
#define VFIFO_RXDATSPI1_RXSSEL0_N_Msk         (0x01UL << VFIFO_RXDATSPI1_RXSSEL0_N_Pos)               /*!< VFIFO RXDATSPI1: RXSSEL0_N Mask         */
#define VFIFO_RXDATSPI1_RXSSEL1_N_Pos         17                                                      /*!< VFIFO RXDATSPI1: RXSSEL1_N Position     */
#define VFIFO_RXDATSPI1_RXSSEL1_N_Msk         (0x01UL << VFIFO_RXDATSPI1_RXSSEL1_N_Pos)               /*!< VFIFO RXDATSPI1: RXSSEL1_N Mask         */
#define VFIFO_RXDATSPI1_RXSSEL2_N_Pos         18                                                      /*!< VFIFO RXDATSPI1: RXSSEL2_N Position     */
#define VFIFO_RXDATSPI1_RXSSEL2_N_Msk         (0x01UL << VFIFO_RXDATSPI1_RXSSEL2_N_Pos)               /*!< VFIFO RXDATSPI1: RXSSEL2_N Mask         */
#define VFIFO_RXDATSPI1_RXSSEL3_N_Pos         19                                                      /*!< VFIFO RXDATSPI1: RXSSEL3_N Position     */
#define VFIFO_RXDATSPI1_RXSSEL3_N_Msk         (0x01UL << VFIFO_RXDATSPI1_RXSSEL3_N_Pos)               /*!< VFIFO RXDATSPI1: RXSSEL3_N Mask         */
#define VFIFO_RXDATSPI1_SOT_Pos               20                                                      /*!< VFIFO RXDATSPI1: SOT Position           */
#define VFIFO_RXDATSPI1_SOT_Msk               (0x01UL << VFIFO_RXDATSPI1_SOT_Pos)                     /*!< VFIFO RXDATSPI1: SOT Mask               */

/* -------------------------------  VFIFO_TXDATSPI1  ------------------------------ */
#define VFIFO_TXDATSPI1_TXDAT_Pos             0                                                       /*!< VFIFO TXDATSPI1: TXDAT Position         */
#define VFIFO_TXDATSPI1_TXDAT_Msk             (0x0000ffffUL << VFIFO_TXDATSPI1_TXDAT_Pos)             /*!< VFIFO TXDATSPI1: TXDAT Mask             */
#define VFIFO_TXDATSPI1_TXSSEL0_N_Pos         16                                                      /*!< VFIFO TXDATSPI1: TXSSEL0_N Position     */
#define VFIFO_TXDATSPI1_TXSSEL0_N_Msk         (0x01UL << VFIFO_TXDATSPI1_TXSSEL0_N_Pos)               /*!< VFIFO TXDATSPI1: TXSSEL0_N Mask         */
#define VFIFO_TXDATSPI1_TXSSEL1_N_Pos         17                                                      /*!< VFIFO TXDATSPI1: TXSSEL1_N Position     */
#define VFIFO_TXDATSPI1_TXSSEL1_N_Msk         (0x01UL << VFIFO_TXDATSPI1_TXSSEL1_N_Pos)               /*!< VFIFO TXDATSPI1: TXSSEL1_N Mask         */
#define VFIFO_TXDATSPI1_TXSSEL2_N_Pos         18                                                      /*!< VFIFO TXDATSPI1: TXSSEL2_N Position     */
#define VFIFO_TXDATSPI1_TXSSEL2_N_Msk         (0x01UL << VFIFO_TXDATSPI1_TXSSEL2_N_Pos)               /*!< VFIFO TXDATSPI1: TXSSEL2_N Mask         */
#define VFIFO_TXDATSPI1_TXSSEL3_N_Pos         19                                                      /*!< VFIFO TXDATSPI1: TXSSEL3_N Position     */
#define VFIFO_TXDATSPI1_TXSSEL3_N_Msk         (0x01UL << VFIFO_TXDATSPI1_TXSSEL3_N_Pos)               /*!< VFIFO TXDATSPI1: TXSSEL3_N Mask         */
#define VFIFO_TXDATSPI1_EOT_Pos               20                                                      /*!< VFIFO TXDATSPI1: EOT Position           */
#define VFIFO_TXDATSPI1_EOT_Msk               (0x01UL << VFIFO_TXDATSPI1_EOT_Pos)                     /*!< VFIFO TXDATSPI1: EOT Mask               */
#define VFIFO_TXDATSPI1_EOF_Pos               21                                                      /*!< VFIFO TXDATSPI1: EOF Position           */
#define VFIFO_TXDATSPI1_EOF_Msk               (0x01UL << VFIFO_TXDATSPI1_EOF_Pos)                     /*!< VFIFO TXDATSPI1: EOF Mask               */
#define VFIFO_TXDATSPI1_RXIGNORE_Pos          22                                                      /*!< VFIFO TXDATSPI1: RXIGNORE Position      */
#define VFIFO_TXDATSPI1_RXIGNORE_Msk          (0x01UL << VFIFO_TXDATSPI1_RXIGNORE_Pos)                /*!< VFIFO TXDATSPI1: RXIGNORE Mask          */
#define VFIFO_TXDATSPI1_LEN_Pos               24                                                      /*!< VFIFO TXDATSPI1: LEN Position           */
#define VFIFO_TXDATSPI1_LEN_Msk               (0x0fUL << VFIFO_TXDATSPI1_LEN_Pos)                     /*!< VFIFO TXDATSPI1: LEN Mask               */


/* ================================================================================ */
/* ================         struct 'SYSCON' Position & Mask        ================ */
/* ================================================================================ */


/* -----------------------------  SYSCON_SYSMEMREMAP  ----------------------------- */
#define SYSCON_SYSMEMREMAP_MAP_Pos            0                                                       /*!< SYSCON SYSMEMREMAP: MAP Position        */
#define SYSCON_SYSMEMREMAP_MAP_Msk            (0x03UL << SYSCON_SYSMEMREMAP_MAP_Pos)                  /*!< SYSCON SYSMEMREMAP: MAP Mask            */

/* ------------------------------  SYSCON_AHBMATPRIO  ----------------------------- */
#define SYSCON_AHBMATPRIO_PRI_ICODE_Pos       0                                                       /*!< SYSCON AHBMATPRIO: PRI_ICODE Position   */
#define SYSCON_AHBMATPRIO_PRI_ICODE_Msk       (0x03UL << SYSCON_AHBMATPRIO_PRI_ICODE_Pos)             /*!< SYSCON AHBMATPRIO: PRI_ICODE Mask       */
#define SYSCON_AHBMATPRIO_PRI_DCODE_Pos       2                                                       /*!< SYSCON AHBMATPRIO: PRI_DCODE Position   */
#define SYSCON_AHBMATPRIO_PRI_DCODE_Msk       (0x03UL << SYSCON_AHBMATPRIO_PRI_DCODE_Pos)             /*!< SYSCON AHBMATPRIO: PRI_DCODE Mask       */
#define SYSCON_AHBMATPRIO_PRI_SYS_Pos         4                                                       /*!< SYSCON AHBMATPRIO: PRI_SYS Position     */
#define SYSCON_AHBMATPRIO_PRI_SYS_Msk         (0x03UL << SYSCON_AHBMATPRIO_PRI_SYS_Pos)               /*!< SYSCON AHBMATPRIO: PRI_SYS Mask         */
#define SYSCON_AHBMATPRIO_PRI_DMA_Pos         8                                                       /*!< SYSCON AHBMATPRIO: PRI_DMA Position     */
#define SYSCON_AHBMATPRIO_PRI_DMA_Msk         (0x03UL << SYSCON_AHBMATPRIO_PRI_DMA_Pos)               /*!< SYSCON AHBMATPRIO: PRI_DMA Mask         */
#define SYSCON_AHBMATPRIO_PRI_FIFO_Pos        14                                                      /*!< SYSCON AHBMATPRIO: PRI_FIFO Position    */
#define SYSCON_AHBMATPRIO_PRI_FIFO_Msk        (0x03UL << SYSCON_AHBMATPRIO_PRI_FIFO_Pos)              /*!< SYSCON AHBMATPRIO: PRI_FIFO Mask        */
#define SYSCON_AHBMATPRIO_PRI_M0_Pos          16                                                      /*!< SYSCON AHBMATPRIO: PRI_M0 Position      */
#define SYSCON_AHBMATPRIO_PRI_M0_Msk          (0x03UL << SYSCON_AHBMATPRIO_PRI_M0_Pos)                /*!< SYSCON AHBMATPRIO: PRI_M0 Mask          */

/* ------------------------------  SYSCON_SYSTCKCAL  ------------------------------ */
#define SYSCON_SYSTCKCAL_CAL_Pos              0                                                       /*!< SYSCON SYSTCKCAL: CAL Position          */
#define SYSCON_SYSTCKCAL_CAL_Msk              (0x00ffffffUL << SYSCON_SYSTCKCAL_CAL_Pos)              /*!< SYSCON SYSTCKCAL: CAL Mask              */
#define SYSCON_SYSTCKCAL_SKEW_Pos             24                                                      /*!< SYSCON SYSTCKCAL: SKEW Position         */
#define SYSCON_SYSTCKCAL_SKEW_Msk             (0x01UL << SYSCON_SYSTCKCAL_SKEW_Pos)                   /*!< SYSCON SYSTCKCAL: SKEW Mask             */
#define SYSCON_SYSTCKCAL_NOREF_Pos            25                                                      /*!< SYSCON SYSTCKCAL: NOREF Position        */
#define SYSCON_SYSTCKCAL_NOREF_Msk            (0x01UL << SYSCON_SYSTCKCAL_NOREF_Pos)                  /*!< SYSCON SYSTCKCAL: NOREF Mask            */

/* --------------------------------  SYSCON_NMISRC  ------------------------------- */
#define SYSCON_NMISRC_IRQM4_Pos               0                                                       /*!< SYSCON NMISRC: IRQM4 Position           */
#define SYSCON_NMISRC_IRQM4_Msk               (0x3fUL << SYSCON_NMISRC_IRQM4_Pos)                     /*!< SYSCON NMISRC: IRQM4 Mask               */
#define SYSCON_NMISRC_IRQM0_Pos               8                                                       /*!< SYSCON NMISRC: IRQM0 Position           */
#define SYSCON_NMISRC_IRQM0_Msk               (0x3fUL << SYSCON_NMISRC_IRQM0_Pos)                     /*!< SYSCON NMISRC: IRQM0 Mask               */
#define SYSCON_NMISRC_NMIENM0_Pos             30                                                      /*!< SYSCON NMISRC: NMIENM0 Position         */
#define SYSCON_NMISRC_NMIENM0_Msk             (0x01UL << SYSCON_NMISRC_NMIENM0_Pos)                   /*!< SYSCON NMISRC: NMIENM0 Mask             */
#define SYSCON_NMISRC_NMIENM4_Pos             31                                                      /*!< SYSCON NMISRC: NMIENM4 Position         */
#define SYSCON_NMISRC_NMIENM4_Msk             (0x01UL << SYSCON_NMISRC_NMIENM4_Pos)                   /*!< SYSCON NMISRC: NMIENM4 Mask             */

/* -----------------------------  SYSCON_ASYNCAPBCTRL  ---------------------------- */
#define SYSCON_ASYNCAPBCTRL_ENABLE_Pos        0                                                       /*!< SYSCON ASYNCAPBCTRL: ENABLE Position    */
#define SYSCON_ASYNCAPBCTRL_ENABLE_Msk        (0x01UL << SYSCON_ASYNCAPBCTRL_ENABLE_Pos)              /*!< SYSCON ASYNCAPBCTRL: ENABLE Mask        */

/* ------------------------------  SYSCON_SYSRSTSTAT  ----------------------------- */
#define SYSCON_SYSRSTSTAT_POR_Pos             0                                                       /*!< SYSCON SYSRSTSTAT: POR Position         */
#define SYSCON_SYSRSTSTAT_POR_Msk             (0x01UL << SYSCON_SYSRSTSTAT_POR_Pos)                   /*!< SYSCON SYSRSTSTAT: POR Mask             */
#define SYSCON_SYSRSTSTAT_EXTRST_Pos          1                                                       /*!< SYSCON SYSRSTSTAT: EXTRST Position      */
#define SYSCON_SYSRSTSTAT_EXTRST_Msk          (0x01UL << SYSCON_SYSRSTSTAT_EXTRST_Pos)                /*!< SYSCON SYSRSTSTAT: EXTRST Mask          */
#define SYSCON_SYSRSTSTAT_WDT_Pos             2                                                       /*!< SYSCON SYSRSTSTAT: WDT Position         */
#define SYSCON_SYSRSTSTAT_WDT_Msk             (0x01UL << SYSCON_SYSRSTSTAT_WDT_Pos)                   /*!< SYSCON SYSRSTSTAT: WDT Mask             */
#define SYSCON_SYSRSTSTAT_BOD_Pos             3                                                       /*!< SYSCON SYSRSTSTAT: BOD Position         */
#define SYSCON_SYSRSTSTAT_BOD_Msk             (0x01UL << SYSCON_SYSRSTSTAT_BOD_Pos)                   /*!< SYSCON SYSRSTSTAT: BOD Mask             */
#define SYSCON_SYSRSTSTAT_SYSRST_Pos          4                                                       /*!< SYSCON SYSRSTSTAT: SYSRST Position      */
#define SYSCON_SYSRSTSTAT_SYSRST_Msk          (0x01UL << SYSCON_SYSRSTSTAT_SYSRST_Pos)                /*!< SYSCON SYSRSTSTAT: SYSRST Mask          */

/* -----------------------------  SYSCON_PRESETCTRL0  ----------------------------- */
#define SYSCON_PRESETCTRL0_FLASH_RST_Pos      7                                                       /*!< SYSCON PRESETCTRL0: FLASH_RST Position  */
#define SYSCON_PRESETCTRL0_FLASH_RST_Msk      (0x01UL << SYSCON_PRESETCTRL0_FLASH_RST_Pos)            /*!< SYSCON PRESETCTRL0: FLASH_RST Mask      */
#define SYSCON_PRESETCTRL0_FMC_RST_Pos        8                                                       /*!< SYSCON PRESETCTRL0: FMC_RST Position    */
#define SYSCON_PRESETCTRL0_FMC_RST_Msk        (0x01UL << SYSCON_PRESETCTRL0_FMC_RST_Pos)              /*!< SYSCON PRESETCTRL0: FMC_RST Mask        */
#define SYSCON_PRESETCTRL0_MUX_RST_Pos        11                                                      /*!< SYSCON PRESETCTRL0: MUX_RST Position    */
#define SYSCON_PRESETCTRL0_MUX_RST_Msk        (0x01UL << SYSCON_PRESETCTRL0_MUX_RST_Pos)              /*!< SYSCON PRESETCTRL0: MUX_RST Mask        */
#define SYSCON_PRESETCTRL0_IOCON_RST_Pos      13                                                      /*!< SYSCON PRESETCTRL0: IOCON_RST Position  */
#define SYSCON_PRESETCTRL0_IOCON_RST_Msk      (0x01UL << SYSCON_PRESETCTRL0_IOCON_RST_Pos)            /*!< SYSCON PRESETCTRL0: IOCON_RST Mask      */
#define SYSCON_PRESETCTRL0_GPIO0_RST_Pos      14                                                      /*!< SYSCON PRESETCTRL0: GPIO0_RST Position  */
#define SYSCON_PRESETCTRL0_GPIO0_RST_Msk      (0x01UL << SYSCON_PRESETCTRL0_GPIO0_RST_Pos)            /*!< SYSCON PRESETCTRL0: GPIO0_RST Mask      */
#define SYSCON_PRESETCTRL0_GPIO1_RST_Pos      15                                                      /*!< SYSCON PRESETCTRL0: GPIO1_RST Position  */
#define SYSCON_PRESETCTRL0_GPIO1_RST_Msk      (0x01UL << SYSCON_PRESETCTRL0_GPIO1_RST_Pos)            /*!< SYSCON PRESETCTRL0: GPIO1_RST Mask      */
#define SYSCON_PRESETCTRL0_PINT_RST_Pos       18                                                      /*!< SYSCON PRESETCTRL0: PINT_RST Position   */
#define SYSCON_PRESETCTRL0_PINT_RST_Msk       (0x01UL << SYSCON_PRESETCTRL0_PINT_RST_Pos)             /*!< SYSCON PRESETCTRL0: PINT_RST Mask       */
#define SYSCON_PRESETCTRL0_GINT_RST_Pos       19                                                      /*!< SYSCON PRESETCTRL0: GINT_RST Position   */
#define SYSCON_PRESETCTRL0_GINT_RST_Msk       (0x01UL << SYSCON_PRESETCTRL0_GINT_RST_Pos)             /*!< SYSCON PRESETCTRL0: GINT_RST Mask       */
#define SYSCON_PRESETCTRL0_DMA_RST_Pos        20                                                      /*!< SYSCON PRESETCTRL0: DMA_RST Position    */
#define SYSCON_PRESETCTRL0_DMA_RST_Msk        (0x01UL << SYSCON_PRESETCTRL0_DMA_RST_Pos)              /*!< SYSCON PRESETCTRL0: DMA_RST Mask        */
#define SYSCON_PRESETCTRL0_CRC_RST_Pos        21                                                      /*!< SYSCON PRESETCTRL0: CRC_RST Position    */
#define SYSCON_PRESETCTRL0_CRC_RST_Msk        (0x01UL << SYSCON_PRESETCTRL0_CRC_RST_Pos)              /*!< SYSCON PRESETCTRL0: CRC_RST Mask        */
#define SYSCON_PRESETCTRL0_WWDT_RST_Pos       22                                                      /*!< SYSCON PRESETCTRL0: WWDT_RST Position   */
#define SYSCON_PRESETCTRL0_WWDT_RST_Msk       (0x01UL << SYSCON_PRESETCTRL0_WWDT_RST_Pos)             /*!< SYSCON PRESETCTRL0: WWDT_RST Mask       */
#define SYSCON_PRESETCTRL0_RTC_RST_Pos        23                                                      /*!< SYSCON PRESETCTRL0: RTC_RST Position    */
#define SYSCON_PRESETCTRL0_RTC_RST_Msk        (0x01UL << SYSCON_PRESETCTRL0_RTC_RST_Pos)              /*!< SYSCON PRESETCTRL0: RTC_RST Mask        */
#define SYSCON_PRESETCTRL0_MAILBOX_RST_Pos    26                                                      /*!< SYSCON PRESETCTRL0: MAILBOX_RST Position */
#define SYSCON_PRESETCTRL0_MAILBOX_RST_Msk    (0x01UL << SYSCON_PRESETCTRL0_MAILBOX_RST_Pos)          /*!< SYSCON PRESETCTRL0: MAILBOX_RST Mask    */
#define SYSCON_PRESETCTRL0_ADC0_RST_Pos       27                                                      /*!< SYSCON PRESETCTRL0: ADC0_RST Position   */
#define SYSCON_PRESETCTRL0_ADC0_RST_Msk       (0x01UL << SYSCON_PRESETCTRL0_ADC0_RST_Pos)             /*!< SYSCON PRESETCTRL0: ADC0_RST Mask       */

/* -----------------------------  SYSCON_PRESETCTRL1  ----------------------------- */
#define SYSCON_PRESETCTRL1_MRT_RST_Pos        0                                                       /*!< SYSCON PRESETCTRL1: MRT_RST Position    */
#define SYSCON_PRESETCTRL1_MRT_RST_Msk        (0x01UL << SYSCON_PRESETCTRL1_MRT_RST_Pos)              /*!< SYSCON PRESETCTRL1: MRT_RST Mask        */
#define SYSCON_PRESETCTRL1_RIT_RST_Pos        1                                                       /*!< SYSCON PRESETCTRL1: RIT_RST Position    */
#define SYSCON_PRESETCTRL1_RIT_RST_Msk        (0x01UL << SYSCON_PRESETCTRL1_RIT_RST_Pos)              /*!< SYSCON PRESETCTRL1: RIT_RST Mask        */
#define SYSCON_PRESETCTRL1_SCT0_RST_Pos       2                                                       /*!< SYSCON PRESETCTRL1: SCT0_RST Position   */
#define SYSCON_PRESETCTRL1_SCT0_RST_Msk       (0x01UL << SYSCON_PRESETCTRL1_SCT0_RST_Pos)             /*!< SYSCON PRESETCTRL1: SCT0_RST Mask       */
#define SYSCON_PRESETCTRL1_FIFO_RST_Pos       9                                                       /*!< SYSCON PRESETCTRL1: FIFO_RST Position   */
#define SYSCON_PRESETCTRL1_FIFO_RST_Msk       (0x01UL << SYSCON_PRESETCTRL1_FIFO_RST_Pos)             /*!< SYSCON PRESETCTRL1: FIFO_RST Mask       */
#define SYSCON_PRESETCTRL1_UTICK_RST_Pos      10                                                      /*!< SYSCON PRESETCTRL1: UTICK_RST Position  */
#define SYSCON_PRESETCTRL1_UTICK_RST_Msk      (0x01UL << SYSCON_PRESETCTRL1_UTICK_RST_Pos)            /*!< SYSCON PRESETCTRL1: UTICK_RST Mask      */
#define SYSCON_PRESETCTRL1_TIMER2_RST_Pos     22                                                      /*!< SYSCON PRESETCTRL1: TIMER2_RST Position */
#define SYSCON_PRESETCTRL1_TIMER2_RST_Msk     (0x01UL << SYSCON_PRESETCTRL1_TIMER2_RST_Pos)           /*!< SYSCON PRESETCTRL1: TIMER2_RST Mask     */
#define SYSCON_PRESETCTRL1_TIMER3_RST_Pos     26                                                      /*!< SYSCON PRESETCTRL1: TIMER3_RST Position */
#define SYSCON_PRESETCTRL1_TIMER3_RST_Msk     (0x01UL << SYSCON_PRESETCTRL1_TIMER3_RST_Pos)           /*!< SYSCON PRESETCTRL1: TIMER3_RST Mask     */
#define SYSCON_PRESETCTRL1_TIMER4_RST_Pos     27                                                      /*!< SYSCON PRESETCTRL1: TIMER4_RST Position */
#define SYSCON_PRESETCTRL1_TIMER4_RST_Msk     (0x01UL << SYSCON_PRESETCTRL1_TIMER4_RST_Pos)           /*!< SYSCON PRESETCTRL1: TIMER4_RST Mask     */

/* ----------------------------  SYSCON_PRESETCTRLSET0  --------------------------- */
#define SYSCON_PRESETCTRLSET0_RST_SET0_Pos    0                                                       /*!< SYSCON PRESETCTRLSET0: RST_SET0 Position */
#define SYSCON_PRESETCTRLSET0_RST_SET0_Msk    (0xffffffffUL << SYSCON_PRESETCTRLSET0_RST_SET0_Pos)    /*!< SYSCON PRESETCTRLSET0: RST_SET0 Mask    */

/* ----------------------------  SYSCON_PRESETCTRLSET1  --------------------------- */
#define SYSCON_PRESETCTRLSET1_RST_SET1_Pos    0                                                       /*!< SYSCON PRESETCTRLSET1: RST_SET1 Position */
#define SYSCON_PRESETCTRLSET1_RST_SET1_Msk    (0xffffffffUL << SYSCON_PRESETCTRLSET1_RST_SET1_Pos)    /*!< SYSCON PRESETCTRLSET1: RST_SET1 Mask    */

/* ----------------------------  SYSCON_PRESETCTRLCLR0  --------------------------- */
#define SYSCON_PRESETCTRLCLR0_RST_CLR0_Pos    0                                                       /*!< SYSCON PRESETCTRLCLR0: RST_CLR0 Position */
#define SYSCON_PRESETCTRLCLR0_RST_CLR0_Msk    (0xffffffffUL << SYSCON_PRESETCTRLCLR0_RST_CLR0_Pos)    /*!< SYSCON PRESETCTRLCLR0: RST_CLR0 Mask    */

/* ----------------------------  SYSCON_PRESETCTRLCLR1  --------------------------- */
#define SYSCON_PRESETCTRLCLR1_RST_CLR1_Pos    0                                                       /*!< SYSCON PRESETCTRLCLR1: RST_CLR1 Position */
#define SYSCON_PRESETCTRLCLR1_RST_CLR1_Msk    (0xffffffffUL << SYSCON_PRESETCTRLCLR1_RST_CLR1_Pos)    /*!< SYSCON PRESETCTRLCLR1: RST_CLR1 Mask    */

/* ------------------------------  SYSCON_PIOPORCAP0  ----------------------------- */
#define SYSCON_PIOPORCAP0_PIOPORSTAT_Pos      0                                                       /*!< SYSCON PIOPORCAP0: PIOPORSTAT Position  */
#define SYSCON_PIOPORCAP0_PIOPORSTAT_Msk      (0xffffffffUL << SYSCON_PIOPORCAP0_PIOPORSTAT_Pos)      /*!< SYSCON PIOPORCAP0: PIOPORSTAT Mask      */

/* ------------------------------  SYSCON_PIOPORCAP1  ----------------------------- */
#define SYSCON_PIOPORCAP1_PIOPORSTAT_Pos      0                                                       /*!< SYSCON PIOPORCAP1: PIOPORSTAT Position  */
#define SYSCON_PIOPORCAP1_PIOPORSTAT_Msk      (0xffffffffUL << SYSCON_PIOPORCAP1_PIOPORSTAT_Pos)      /*!< SYSCON PIOPORCAP1: PIOPORSTAT Mask      */

/* ------------------------------  SYSCON_PIORESCAP0  ----------------------------- */
#define SYSCON_PIORESCAP0_PIORESSTAT_Pos      0                                                       /*!< SYSCON PIORESCAP0: PIORESSTAT Position  */
#define SYSCON_PIORESCAP0_PIORESSTAT_Msk      (0xffffffffUL << SYSCON_PIORESCAP0_PIORESSTAT_Pos)      /*!< SYSCON PIORESCAP0: PIORESSTAT Mask      */

/* ------------------------------  SYSCON_PIORESCAP1  ----------------------------- */
#define SYSCON_PIORESCAP1_PIORESSTAT_Pos      0                                                       /*!< SYSCON PIORESCAP1: PIORESSTAT Position  */
#define SYSCON_PIORESCAP1_PIORESSTAT_Msk      (0xffffffffUL << SYSCON_PIORESCAP1_PIORESSTAT_Pos)      /*!< SYSCON PIORESCAP1: PIORESSTAT Mask      */

/* -----------------------------  SYSCON_MAINCLKSELA  ----------------------------- */
#define SYSCON_MAINCLKSELA_SEL_Pos            0                                                       /*!< SYSCON MAINCLKSELA: SEL Position        */
#define SYSCON_MAINCLKSELA_SEL_Msk            (0x03UL << SYSCON_MAINCLKSELA_SEL_Pos)                  /*!< SYSCON MAINCLKSELA: SEL Mask            */

/* -----------------------------  SYSCON_MAINCLKSELB  ----------------------------- */
#define SYSCON_MAINCLKSELB_SEL_Pos            0                                                       /*!< SYSCON MAINCLKSELB: SEL Position        */
#define SYSCON_MAINCLKSELB_SEL_Msk            (0x03UL << SYSCON_MAINCLKSELB_SEL_Pos)                  /*!< SYSCON MAINCLKSELB: SEL Mask            */

/* ------------------------------  SYSCON_ADCCLKSEL  ------------------------------ */
#define SYSCON_ADCCLKSEL_SEL_Pos              0                                                       /*!< SYSCON ADCCLKSEL: SEL Position          */
#define SYSCON_ADCCLKSEL_SEL_Msk              (0x03UL << SYSCON_ADCCLKSEL_SEL_Pos)                    /*!< SYSCON ADCCLKSEL: SEL Mask              */

/* ------------------------------  SYSCON_CLKOUTSELA  ----------------------------- */
#define SYSCON_CLKOUTSELA_SEL_Pos             0                                                       /*!< SYSCON CLKOUTSELA: SEL Position         */
#define SYSCON_CLKOUTSELA_SEL_Msk             (0x03UL << SYSCON_CLKOUTSELA_SEL_Pos)                   /*!< SYSCON CLKOUTSELA: SEL Mask             */

/* ------------------------------  SYSCON_CLKOUTSELB  ----------------------------- */
#define SYSCON_CLKOUTSELB_SEL_Pos             0                                                       /*!< SYSCON CLKOUTSELB: SEL Position         */
#define SYSCON_CLKOUTSELB_SEL_Msk             (0x03UL << SYSCON_CLKOUTSELB_SEL_Pos)                   /*!< SYSCON CLKOUTSELB: SEL Mask             */

/* -----------------------------  SYSCON_SYSPLLCLKSEL  ---------------------------- */
#define SYSCON_SYSPLLCLKSEL_SEL_Pos           0                                                       /*!< SYSCON SYSPLLCLKSEL: SEL Position       */
#define SYSCON_SYSPLLCLKSEL_SEL_Msk           (0x03UL << SYSCON_SYSPLLCLKSEL_SEL_Pos)                 /*!< SYSCON SYSPLLCLKSEL: SEL Mask           */

/* -----------------------------  SYSCON_AHBCLKCTRL0  ----------------------------- */
#define SYSCON_AHBCLKCTRL0_ROM_Pos            1                                                       /*!< SYSCON AHBCLKCTRL0: ROM Position        */
#define SYSCON_AHBCLKCTRL0_ROM_Msk            (0x01UL << SYSCON_AHBCLKCTRL0_ROM_Pos)                  /*!< SYSCON AHBCLKCTRL0: ROM Mask            */
#define SYSCON_AHBCLKCTRL0_SRAM1_Pos          3                                                       /*!< SYSCON AHBCLKCTRL0: SRAM1 Position      */
#define SYSCON_AHBCLKCTRL0_SRAM1_Msk          (0x01UL << SYSCON_AHBCLKCTRL0_SRAM1_Pos)                /*!< SYSCON AHBCLKCTRL0: SRAM1 Mask          */
#define SYSCON_AHBCLKCTRL0_SRAM2_Pos          4                                                       /*!< SYSCON AHBCLKCTRL0: SRAM2 Position      */
#define SYSCON_AHBCLKCTRL0_SRAM2_Msk          (0x01UL << SYSCON_AHBCLKCTRL0_SRAM2_Pos)                /*!< SYSCON AHBCLKCTRL0: SRAM2 Mask          */
#define SYSCON_AHBCLKCTRL0_FLASH_Pos          7                                                       /*!< SYSCON AHBCLKCTRL0: FLASH Position      */
#define SYSCON_AHBCLKCTRL0_FLASH_Msk          (0x01UL << SYSCON_AHBCLKCTRL0_FLASH_Pos)                /*!< SYSCON AHBCLKCTRL0: FLASH Mask          */
#define SYSCON_AHBCLKCTRL0_FMC_Pos            8                                                       /*!< SYSCON AHBCLKCTRL0: FMC Position        */
#define SYSCON_AHBCLKCTRL0_FMC_Msk            (0x01UL << SYSCON_AHBCLKCTRL0_FMC_Pos)                  /*!< SYSCON AHBCLKCTRL0: FMC Mask            */
#define SYSCON_AHBCLKCTRL0_INPUTMUX_Pos       11                                                      /*!< SYSCON AHBCLKCTRL0: INPUTMUX Position   */
#define SYSCON_AHBCLKCTRL0_INPUTMUX_Msk       (0x01UL << SYSCON_AHBCLKCTRL0_INPUTMUX_Pos)             /*!< SYSCON AHBCLKCTRL0: INPUTMUX Mask       */
#define SYSCON_AHBCLKCTRL0_IOCON_Pos          13                                                      /*!< SYSCON AHBCLKCTRL0: IOCON Position      */
#define SYSCON_AHBCLKCTRL0_IOCON_Msk          (0x01UL << SYSCON_AHBCLKCTRL0_IOCON_Pos)                /*!< SYSCON AHBCLKCTRL0: IOCON Mask          */
#define SYSCON_AHBCLKCTRL0_GPIO0_Pos          14                                                      /*!< SYSCON AHBCLKCTRL0: GPIO0 Position      */
#define SYSCON_AHBCLKCTRL0_GPIO0_Msk          (0x01UL << SYSCON_AHBCLKCTRL0_GPIO0_Pos)                /*!< SYSCON AHBCLKCTRL0: GPIO0 Mask          */
#define SYSCON_AHBCLKCTRL0_GPIO1_Pos          15                                                      /*!< SYSCON AHBCLKCTRL0: GPIO1 Position      */
#define SYSCON_AHBCLKCTRL0_GPIO1_Msk          (0x01UL << SYSCON_AHBCLKCTRL0_GPIO1_Pos)                /*!< SYSCON AHBCLKCTRL0: GPIO1 Mask          */
#define SYSCON_AHBCLKCTRL0_PINT_Pos           18                                                      /*!< SYSCON AHBCLKCTRL0: PINT Position       */
#define SYSCON_AHBCLKCTRL0_PINT_Msk           (0x01UL << SYSCON_AHBCLKCTRL0_PINT_Pos)                 /*!< SYSCON AHBCLKCTRL0: PINT Mask           */
#define SYSCON_AHBCLKCTRL0_GINT_Pos           19                                                      /*!< SYSCON AHBCLKCTRL0: GINT Position       */
#define SYSCON_AHBCLKCTRL0_GINT_Msk           (0x01UL << SYSCON_AHBCLKCTRL0_GINT_Pos)                 /*!< SYSCON AHBCLKCTRL0: GINT Mask           */
#define SYSCON_AHBCLKCTRL0_DMA_Pos            20                                                      /*!< SYSCON AHBCLKCTRL0: DMA Position        */
#define SYSCON_AHBCLKCTRL0_DMA_Msk            (0x01UL << SYSCON_AHBCLKCTRL0_DMA_Pos)                  /*!< SYSCON AHBCLKCTRL0: DMA Mask            */
#define SYSCON_AHBCLKCTRL0_CRC_Pos            21                                                      /*!< SYSCON AHBCLKCTRL0: CRC Position        */
#define SYSCON_AHBCLKCTRL0_CRC_Msk            (0x01UL << SYSCON_AHBCLKCTRL0_CRC_Pos)                  /*!< SYSCON AHBCLKCTRL0: CRC Mask            */
#define SYSCON_AHBCLKCTRL0_WWDT_Pos           22                                                      /*!< SYSCON AHBCLKCTRL0: WWDT Position       */
#define SYSCON_AHBCLKCTRL0_WWDT_Msk           (0x01UL << SYSCON_AHBCLKCTRL0_WWDT_Pos)                 /*!< SYSCON AHBCLKCTRL0: WWDT Mask           */
#define SYSCON_AHBCLKCTRL0_RTC_Pos            23                                                      /*!< SYSCON AHBCLKCTRL0: RTC Position        */
#define SYSCON_AHBCLKCTRL0_RTC_Msk            (0x01UL << SYSCON_AHBCLKCTRL0_RTC_Pos)                  /*!< SYSCON AHBCLKCTRL0: RTC Mask            */
#define SYSCON_AHBCLKCTRL0_MAILBOX_Pos        26                                                      /*!< SYSCON AHBCLKCTRL0: MAILBOX Position    */
#define SYSCON_AHBCLKCTRL0_MAILBOX_Msk        (0x01UL << SYSCON_AHBCLKCTRL0_MAILBOX_Pos)              /*!< SYSCON AHBCLKCTRL0: MAILBOX Mask        */
#define SYSCON_AHBCLKCTRL0_ADC0_Pos           27                                                      /*!< SYSCON AHBCLKCTRL0: ADC0 Position       */
#define SYSCON_AHBCLKCTRL0_ADC0_Msk           (0x01UL << SYSCON_AHBCLKCTRL0_ADC0_Pos)                 /*!< SYSCON AHBCLKCTRL0: ADC0 Mask           */

/* -----------------------------  SYSCON_AHBCLKCTRL1  ----------------------------- */
#define SYSCON_AHBCLKCTRL1_MRT_Pos            0                                                       /*!< SYSCON AHBCLKCTRL1: MRT Position        */
#define SYSCON_AHBCLKCTRL1_MRT_Msk            (0x01UL << SYSCON_AHBCLKCTRL1_MRT_Pos)                  /*!< SYSCON AHBCLKCTRL1: MRT Mask            */
#define SYSCON_AHBCLKCTRL1_RIT_Pos            1                                                       /*!< SYSCON AHBCLKCTRL1: RIT Position        */
#define SYSCON_AHBCLKCTRL1_RIT_Msk            (0x01UL << SYSCON_AHBCLKCTRL1_RIT_Pos)                  /*!< SYSCON AHBCLKCTRL1: RIT Mask            */
#define SYSCON_AHBCLKCTRL1_SCT0_Pos           2                                                       /*!< SYSCON AHBCLKCTRL1: SCT0 Position       */
#define SYSCON_AHBCLKCTRL1_SCT0_Msk           (0x01UL << SYSCON_AHBCLKCTRL1_SCT0_Pos)                 /*!< SYSCON AHBCLKCTRL1: SCT0 Mask           */
#define SYSCON_AHBCLKCTRL1_FIFO_Pos           9                                                       /*!< SYSCON AHBCLKCTRL1: FIFO Position       */
#define SYSCON_AHBCLKCTRL1_FIFO_Msk           (0x01UL << SYSCON_AHBCLKCTRL1_FIFO_Pos)                 /*!< SYSCON AHBCLKCTRL1: FIFO Mask           */
#define SYSCON_AHBCLKCTRL1_UTICK_Pos          10                                                      /*!< SYSCON AHBCLKCTRL1: UTICK Position      */
#define SYSCON_AHBCLKCTRL1_UTICK_Msk          (0x01UL << SYSCON_AHBCLKCTRL1_UTICK_Pos)                /*!< SYSCON AHBCLKCTRL1: UTICK Mask          */
#define SYSCON_AHBCLKCTRL1_TIMER2_Pos         22                                                      /*!< SYSCON AHBCLKCTRL1: TIMER2 Position     */
#define SYSCON_AHBCLKCTRL1_TIMER2_Msk         (0x01UL << SYSCON_AHBCLKCTRL1_TIMER2_Pos)               /*!< SYSCON AHBCLKCTRL1: TIMER2 Mask         */
#define SYSCON_AHBCLKCTRL1_TIMER3_Pos         26                                                      /*!< SYSCON AHBCLKCTRL1: TIMER3 Position     */
#define SYSCON_AHBCLKCTRL1_TIMER3_Msk         (0x01UL << SYSCON_AHBCLKCTRL1_TIMER3_Pos)               /*!< SYSCON AHBCLKCTRL1: TIMER3 Mask         */
#define SYSCON_AHBCLKCTRL1_TIMER4_Pos         27                                                      /*!< SYSCON AHBCLKCTRL1: TIMER4 Position     */
#define SYSCON_AHBCLKCTRL1_TIMER4_Msk         (0x01UL << SYSCON_AHBCLKCTRL1_TIMER4_Pos)               /*!< SYSCON AHBCLKCTRL1: TIMER4 Mask         */

/* ----------------------------  SYSCON_AHBCLKCTRLSET0  --------------------------- */
#define SYSCON_AHBCLKCTRLSET0_CLK_SET0_Pos    0                                                       /*!< SYSCON AHBCLKCTRLSET0: CLK_SET0 Position */
#define SYSCON_AHBCLKCTRLSET0_CLK_SET0_Msk    (0xffffffffUL << SYSCON_AHBCLKCTRLSET0_CLK_SET0_Pos)    /*!< SYSCON AHBCLKCTRLSET0: CLK_SET0 Mask    */

/* ----------------------------  SYSCON_AHBCLKCTRLSET1  --------------------------- */
#define SYSCON_AHBCLKCTRLSET1_CLK_SET1_Pos    0                                                       /*!< SYSCON AHBCLKCTRLSET1: CLK_SET1 Position */
#define SYSCON_AHBCLKCTRLSET1_CLK_SET1_Msk    (0xffffffffUL << SYSCON_AHBCLKCTRLSET1_CLK_SET1_Pos)    /*!< SYSCON AHBCLKCTRLSET1: CLK_SET1 Mask    */

/* ----------------------------  SYSCON_AHBCLKCTRLCLR0  --------------------------- */
#define SYSCON_AHBCLKCTRLCLR0_CLK_CLR0_Pos    0                                                       /*!< SYSCON AHBCLKCTRLCLR0: CLK_CLR0 Position */
#define SYSCON_AHBCLKCTRLCLR0_CLK_CLR0_Msk    (0xffffffffUL << SYSCON_AHBCLKCTRLCLR0_CLK_CLR0_Pos)    /*!< SYSCON AHBCLKCTRLCLR0: CLK_CLR0 Mask    */

/* ----------------------------  SYSCON_AHBCLKCTRLCLR1  --------------------------- */
#define SYSCON_AHBCLKCTRLCLR1_CLK_CLR1_Pos    0                                                       /*!< SYSCON AHBCLKCTRLCLR1: CLK_CLR1 Position */
#define SYSCON_AHBCLKCTRLCLR1_CLK_CLR1_Msk    (0xffffffffUL << SYSCON_AHBCLKCTRLCLR1_CLK_CLR1_Pos)    /*!< SYSCON AHBCLKCTRLCLR1: CLK_CLR1 Mask    */

/* ----------------------------  SYSCON_SYSTICKCLKDIV  ---------------------------- */
#define SYSCON_SYSTICKCLKDIV_DIV_Pos          0                                                       /*!< SYSCON SYSTICKCLKDIV: DIV Position      */
#define SYSCON_SYSTICKCLKDIV_DIV_Msk          (0x000000ffUL << SYSCON_SYSTICKCLKDIV_DIV_Pos)          /*!< SYSCON SYSTICKCLKDIV: DIV Mask          */

/* ------------------------------  SYSCON_AHBCLKDIV  ------------------------------ */
#define SYSCON_AHBCLKDIV_DIV_Pos              0                                                       /*!< SYSCON AHBCLKDIV: DIV Position          */
#define SYSCON_AHBCLKDIV_DIV_Msk              (0x000000ffUL << SYSCON_AHBCLKDIV_DIV_Pos)              /*!< SYSCON AHBCLKDIV: DIV Mask              */

/* ------------------------------  SYSCON_ADCCLKDIV  ------------------------------ */
#define SYSCON_ADCCLKDIV_DIV_Pos              0                                                       /*!< SYSCON ADCCLKDIV: DIV Position          */
#define SYSCON_ADCCLKDIV_DIV_Msk              (0x000000ffUL << SYSCON_ADCCLKDIV_DIV_Pos)              /*!< SYSCON ADCCLKDIV: DIV Mask              */

/* ------------------------------  SYSCON_CLKOUTDIV  ------------------------------ */
#define SYSCON_CLKOUTDIV_DIV_Pos              0                                                       /*!< SYSCON CLKOUTDIV: DIV Position          */
#define SYSCON_CLKOUTDIV_DIV_Msk              (0x000000ffUL << SYSCON_CLKOUTDIV_DIV_Pos)              /*!< SYSCON CLKOUTDIV: DIV Mask              */

/* ------------------------------  SYSCON_FREQMECTRL  ----------------------------- */
#define SYSCON_FREQMECTRL_CAPVAL_Pos          0                                                       /*!< SYSCON FREQMECTRL: CAPVAL Position      */
#define SYSCON_FREQMECTRL_CAPVAL_Msk          (0x00003fffUL << SYSCON_FREQMECTRL_CAPVAL_Pos)          /*!< SYSCON FREQMECTRL: CAPVAL Mask          */
#define SYSCON_FREQMECTRL_PROG_Pos            31                                                      /*!< SYSCON FREQMECTRL: PROG Position        */
#define SYSCON_FREQMECTRL_PROG_Msk            (0x01UL << SYSCON_FREQMECTRL_PROG_Pos)                  /*!< SYSCON FREQMECTRL: PROG Mask            */

/* -------------------------------  SYSCON_FLASHCFG  ------------------------------ */
#define SYSCON_FLASHCFG_FLASHTIM_Pos          12                                                      /*!< SYSCON FLASHCFG: FLASHTIM Position      */
#define SYSCON_FLASHCFG_FLASHTIM_Msk          (0x07UL << SYSCON_FLASHCFG_FLASHTIM_Pos)                /*!< SYSCON FLASHCFG: FLASHTIM Mask          */

/* -------------------------------  SYSCON_FIFOCTRL  ------------------------------ */
#define SYSCON_FIFOCTRL_U0TXFIFOEN_Pos        0                                                       /*!< SYSCON FIFOCTRL: U0TXFIFOEN Position    */
#define SYSCON_FIFOCTRL_U0TXFIFOEN_Msk        (0x01UL << SYSCON_FIFOCTRL_U0TXFIFOEN_Pos)              /*!< SYSCON FIFOCTRL: U0TXFIFOEN Mask        */
#define SYSCON_FIFOCTRL_U1TXFIFOEN_Pos        1                                                       /*!< SYSCON FIFOCTRL: U1TXFIFOEN Position    */
#define SYSCON_FIFOCTRL_U1TXFIFOEN_Msk        (0x01UL << SYSCON_FIFOCTRL_U1TXFIFOEN_Pos)              /*!< SYSCON FIFOCTRL: U1TXFIFOEN Mask        */
#define SYSCON_FIFOCTRL_U2TXFIFOEN_Pos        2                                                       /*!< SYSCON FIFOCTRL: U2TXFIFOEN Position    */
#define SYSCON_FIFOCTRL_U2TXFIFOEN_Msk        (0x01UL << SYSCON_FIFOCTRL_U2TXFIFOEN_Pos)              /*!< SYSCON FIFOCTRL: U2TXFIFOEN Mask        */
#define SYSCON_FIFOCTRL_U3TXFIFOEN_Pos        3                                                       /*!< SYSCON FIFOCTRL: U3TXFIFOEN Position    */
#define SYSCON_FIFOCTRL_U3TXFIFOEN_Msk        (0x01UL << SYSCON_FIFOCTRL_U3TXFIFOEN_Pos)              /*!< SYSCON FIFOCTRL: U3TXFIFOEN Mask        */
#define SYSCON_FIFOCTRL_SPI0TXFIFOEN_Pos      4                                                       /*!< SYSCON FIFOCTRL: SPI0TXFIFOEN Position  */
#define SYSCON_FIFOCTRL_SPI0TXFIFOEN_Msk      (0x01UL << SYSCON_FIFOCTRL_SPI0TXFIFOEN_Pos)            /*!< SYSCON FIFOCTRL: SPI0TXFIFOEN Mask      */
#define SYSCON_FIFOCTRL_SPI1TXFIFOEN_Pos      5                                                       /*!< SYSCON FIFOCTRL: SPI1TXFIFOEN Position  */
#define SYSCON_FIFOCTRL_SPI1TXFIFOEN_Msk      (0x01UL << SYSCON_FIFOCTRL_SPI1TXFIFOEN_Pos)            /*!< SYSCON FIFOCTRL: SPI1TXFIFOEN Mask      */
#define SYSCON_FIFOCTRL_U0RXFIFOEN_Pos        8                                                       /*!< SYSCON FIFOCTRL: U0RXFIFOEN Position    */
#define SYSCON_FIFOCTRL_U0RXFIFOEN_Msk        (0x01UL << SYSCON_FIFOCTRL_U0RXFIFOEN_Pos)              /*!< SYSCON FIFOCTRL: U0RXFIFOEN Mask        */
#define SYSCON_FIFOCTRL_U1RXFIFOEN_Pos        9                                                       /*!< SYSCON FIFOCTRL: U1RXFIFOEN Position    */
#define SYSCON_FIFOCTRL_U1RXFIFOEN_Msk        (0x01UL << SYSCON_FIFOCTRL_U1RXFIFOEN_Pos)              /*!< SYSCON FIFOCTRL: U1RXFIFOEN Mask        */
#define SYSCON_FIFOCTRL_U2RXFIFOEN_Pos        10                                                      /*!< SYSCON FIFOCTRL: U2RXFIFOEN Position    */
#define SYSCON_FIFOCTRL_U2RXFIFOEN_Msk        (0x01UL << SYSCON_FIFOCTRL_U2RXFIFOEN_Pos)              /*!< SYSCON FIFOCTRL: U2RXFIFOEN Mask        */
#define SYSCON_FIFOCTRL_U3RXFIFOEN_Pos        11                                                      /*!< SYSCON FIFOCTRL: U3RXFIFOEN Position    */
#define SYSCON_FIFOCTRL_U3RXFIFOEN_Msk        (0x01UL << SYSCON_FIFOCTRL_U3RXFIFOEN_Pos)              /*!< SYSCON FIFOCTRL: U3RXFIFOEN Mask        */
#define SYSCON_FIFOCTRL_SPI0RXFIFOEN_Pos      12                                                      /*!< SYSCON FIFOCTRL: SPI0RXFIFOEN Position  */
#define SYSCON_FIFOCTRL_SPI0RXFIFOEN_Msk      (0x01UL << SYSCON_FIFOCTRL_SPI0RXFIFOEN_Pos)            /*!< SYSCON FIFOCTRL: SPI0RXFIFOEN Mask      */
#define SYSCON_FIFOCTRL_SPI1RXFIFOEN_Pos      13                                                      /*!< SYSCON FIFOCTRL: SPI1RXFIFOEN Position  */
#define SYSCON_FIFOCTRL_SPI1RXFIFOEN_Msk      (0x01UL << SYSCON_FIFOCTRL_SPI1RXFIFOEN_Pos)            /*!< SYSCON FIFOCTRL: SPI1RXFIFOEN Mask      */

/* -------------------------------  SYSCON_IRCCTRL  ------------------------------- */
#define SYSCON_IRCCTRL_TRIM_Pos               0                                                       /*!< SYSCON IRCCTRL: TRIM Position           */
#define SYSCON_IRCCTRL_TRIM_Msk               (0x000000ffUL << SYSCON_IRCCTRL_TRIM_Pos)               /*!< SYSCON IRCCTRL: TRIM Mask               */

/* ------------------------------  SYSCON_RTCOSCCTRL  ----------------------------- */
#define SYSCON_RTCOSCCTRL_EN_Pos              0                                                       /*!< SYSCON RTCOSCCTRL: EN Position          */
#define SYSCON_RTCOSCCTRL_EN_Msk              (0x01UL << SYSCON_RTCOSCCTRL_EN_Pos)                    /*!< SYSCON RTCOSCCTRL: EN Mask              */

/* ------------------------------  SYSCON_SYSPLLCTRL  ----------------------------- */
#define SYSCON_SYSPLLCTRL_SELR_Pos            0                                                       /*!< SYSCON SYSPLLCTRL: SELR Position        */
#define SYSCON_SYSPLLCTRL_SELR_Msk            (0x0fUL << SYSCON_SYSPLLCTRL_SELR_Pos)                  /*!< SYSCON SYSPLLCTRL: SELR Mask            */
#define SYSCON_SYSPLLCTRL_SELI_Pos            4                                                       /*!< SYSCON SYSPLLCTRL: SELI Position        */
#define SYSCON_SYSPLLCTRL_SELI_Msk            (0x3fUL << SYSCON_SYSPLLCTRL_SELI_Pos)                  /*!< SYSCON SYSPLLCTRL: SELI Mask            */
#define SYSCON_SYSPLLCTRL_SELP_Pos            10                                                      /*!< SYSCON SYSPLLCTRL: SELP Position        */
#define SYSCON_SYSPLLCTRL_SELP_Msk            (0x1fUL << SYSCON_SYSPLLCTRL_SELP_Pos)                  /*!< SYSCON SYSPLLCTRL: SELP Mask            */
#define SYSCON_SYSPLLCTRL_BYPASS_Pos          15                                                      /*!< SYSCON SYSPLLCTRL: BYPASS Position      */
#define SYSCON_SYSPLLCTRL_BYPASS_Msk          (0x01UL << SYSCON_SYSPLLCTRL_BYPASS_Pos)                /*!< SYSCON SYSPLLCTRL: BYPASS Mask          */
#define SYSCON_SYSPLLCTRL_BYPASSCCODIV2_Pos   16                                                      /*!< SYSCON SYSPLLCTRL: BYPASSCCODIV2 Position */
#define SYSCON_SYSPLLCTRL_BYPASSCCODIV2_Msk   (0x01UL << SYSCON_SYSPLLCTRL_BYPASSCCODIV2_Pos)         /*!< SYSCON SYSPLLCTRL: BYPASSCCODIV2 Mask   */
#define SYSCON_SYSPLLCTRL_UPLIMOFF_Pos        17                                                      /*!< SYSCON SYSPLLCTRL: UPLIMOFF Position    */
#define SYSCON_SYSPLLCTRL_UPLIMOFF_Msk        (0x01UL << SYSCON_SYSPLLCTRL_UPLIMOFF_Pos)              /*!< SYSCON SYSPLLCTRL: UPLIMOFF Mask        */
#define SYSCON_SYSPLLCTRL_BANDSEL_Pos         18                                                      /*!< SYSCON SYSPLLCTRL: BANDSEL Position     */
#define SYSCON_SYSPLLCTRL_BANDSEL_Msk         (0x01UL << SYSCON_SYSPLLCTRL_BANDSEL_Pos)               /*!< SYSCON SYSPLLCTRL: BANDSEL Mask         */
#define SYSCON_SYSPLLCTRL_DIRECTI_Pos         19                                                      /*!< SYSCON SYSPLLCTRL: DIRECTI Position     */
#define SYSCON_SYSPLLCTRL_DIRECTI_Msk         (0x01UL << SYSCON_SYSPLLCTRL_DIRECTI_Pos)               /*!< SYSCON SYSPLLCTRL: DIRECTI Mask         */
#define SYSCON_SYSPLLCTRL_DIRECTO_Pos         20                                                      /*!< SYSCON SYSPLLCTRL: DIRECTO Position     */
#define SYSCON_SYSPLLCTRL_DIRECTO_Msk         (0x01UL << SYSCON_SYSPLLCTRL_DIRECTO_Pos)               /*!< SYSCON SYSPLLCTRL: DIRECTO Mask         */

/* ------------------------------  SYSCON_SYSPLLSTAT  ----------------------------- */
#define SYSCON_SYSPLLSTAT_LOCK_Pos            0                                                       /*!< SYSCON SYSPLLSTAT: LOCK Position        */
#define SYSCON_SYSPLLSTAT_LOCK_Msk            (0x01UL << SYSCON_SYSPLLSTAT_LOCK_Pos)                  /*!< SYSCON SYSPLLSTAT: LOCK Mask            */

/* ------------------------------  SYSCON_SYSPLLNDEC  ----------------------------- */
#define SYSCON_SYSPLLNDEC_NDEC_Pos            0                                                       /*!< SYSCON SYSPLLNDEC: NDEC Position        */
#define SYSCON_SYSPLLNDEC_NDEC_Msk            (0x000003ffUL << SYSCON_SYSPLLNDEC_NDEC_Pos)            /*!< SYSCON SYSPLLNDEC: NDEC Mask            */
#define SYSCON_SYSPLLNDEC_NREQ_Pos            10                                                      /*!< SYSCON SYSPLLNDEC: NREQ Position        */
#define SYSCON_SYSPLLNDEC_NREQ_Msk            (0x01UL << SYSCON_SYSPLLNDEC_NREQ_Pos)                  /*!< SYSCON SYSPLLNDEC: NREQ Mask            */

/* ------------------------------  SYSCON_SYSPLLPDEC  ----------------------------- */
#define SYSCON_SYSPLLPDEC_PDEC_Pos            0                                                       /*!< SYSCON SYSPLLPDEC: PDEC Position        */
#define SYSCON_SYSPLLPDEC_PDEC_Msk            (0x7fUL << SYSCON_SYSPLLPDEC_PDEC_Pos)                  /*!< SYSCON SYSPLLPDEC: PDEC Mask            */
#define SYSCON_SYSPLLPDEC_PREQ_Pos            7                                                       /*!< SYSCON SYSPLLPDEC: PREQ Position        */
#define SYSCON_SYSPLLPDEC_PREQ_Msk            (0x01UL << SYSCON_SYSPLLPDEC_PREQ_Pos)                  /*!< SYSCON SYSPLLPDEC: PREQ Mask            */

/* ----------------------------  SYSCON_SYSPLLSSCTRL0  ---------------------------- */
#define SYSCON_SYSPLLSSCTRL0_MDEC_Pos         0                                                       /*!< SYSCON SYSPLLSSCTRL0: MDEC Position     */
#define SYSCON_SYSPLLSSCTRL0_MDEC_Msk         (0x0001ffffUL << SYSCON_SYSPLLSSCTRL0_MDEC_Pos)         /*!< SYSCON SYSPLLSSCTRL0: MDEC Mask         */
#define SYSCON_SYSPLLSSCTRL0_MREQ_Pos         17                                                      /*!< SYSCON SYSPLLSSCTRL0: MREQ Position     */
#define SYSCON_SYSPLLSSCTRL0_MREQ_Msk         (0x01UL << SYSCON_SYSPLLSSCTRL0_MREQ_Pos)               /*!< SYSCON SYSPLLSSCTRL0: MREQ Mask         */
#define SYSCON_SYSPLLSSCTRL0_SEL_EXT_Pos      18                                                      /*!< SYSCON SYSPLLSSCTRL0: SEL_EXT Position  */
#define SYSCON_SYSPLLSSCTRL0_SEL_EXT_Msk      (0x01UL << SYSCON_SYSPLLSSCTRL0_SEL_EXT_Pos)            /*!< SYSCON SYSPLLSSCTRL0: SEL_EXT Mask      */

/* ----------------------------  SYSCON_SYSPLLSSCTRL1  ---------------------------- */
#define SYSCON_SYSPLLSSCTRL1_MD_Pos           0                                                       /*!< SYSCON SYSPLLSSCTRL1: MD Position       */
#define SYSCON_SYSPLLSSCTRL1_MD_Msk           (0x0007ffffUL << SYSCON_SYSPLLSSCTRL1_MD_Pos)           /*!< SYSCON SYSPLLSSCTRL1: MD Mask           */
#define SYSCON_SYSPLLSSCTRL1_MDREQ_Pos        19                                                      /*!< SYSCON SYSPLLSSCTRL1: MDREQ Position    */
#define SYSCON_SYSPLLSSCTRL1_MDREQ_Msk        (0x01UL << SYSCON_SYSPLLSSCTRL1_MDREQ_Pos)              /*!< SYSCON SYSPLLSSCTRL1: MDREQ Mask        */
#define SYSCON_SYSPLLSSCTRL1_MF_Pos           20                                                      /*!< SYSCON SYSPLLSSCTRL1: MF Position       */
#define SYSCON_SYSPLLSSCTRL1_MF_Msk           (0x07UL << SYSCON_SYSPLLSSCTRL1_MF_Pos)                 /*!< SYSCON SYSPLLSSCTRL1: MF Mask           */
#define SYSCON_SYSPLLSSCTRL1_MR_Pos           23                                                      /*!< SYSCON SYSPLLSSCTRL1: MR Position       */
#define SYSCON_SYSPLLSSCTRL1_MR_Msk           (0x07UL << SYSCON_SYSPLLSSCTRL1_MR_Pos)                 /*!< SYSCON SYSPLLSSCTRL1: MR Mask           */
#define SYSCON_SYSPLLSSCTRL1_MC_Pos           26                                                      /*!< SYSCON SYSPLLSSCTRL1: MC Position       */
#define SYSCON_SYSPLLSSCTRL1_MC_Msk           (0x03UL << SYSCON_SYSPLLSSCTRL1_MC_Pos)                 /*!< SYSCON SYSPLLSSCTRL1: MC Mask           */
#define SYSCON_SYSPLLSSCTRL1_PD_Pos           28                                                      /*!< SYSCON SYSPLLSSCTRL1: PD Position       */
#define SYSCON_SYSPLLSSCTRL1_PD_Msk           (0x01UL << SYSCON_SYSPLLSSCTRL1_PD_Pos)                 /*!< SYSCON SYSPLLSSCTRL1: PD Mask           */
#define SYSCON_SYSPLLSSCTRL1_DITHER_Pos       29                                                      /*!< SYSCON SYSPLLSSCTRL1: DITHER Position   */
#define SYSCON_SYSPLLSSCTRL1_DITHER_Msk       (0x01UL << SYSCON_SYSPLLSSCTRL1_DITHER_Pos)             /*!< SYSCON SYSPLLSSCTRL1: DITHER Mask       */

/* -------------------------------  SYSCON_PDRUNCFG  ------------------------------ */
#define SYSCON_PDRUNCFG_PDEN_IRC_OSC_Pos      3                                                       /*!< SYSCON PDRUNCFG: PDEN_IRC_OSC Position  */
#define SYSCON_PDRUNCFG_PDEN_IRC_OSC_Msk      (0x01UL << SYSCON_PDRUNCFG_PDEN_IRC_OSC_Pos)            /*!< SYSCON PDRUNCFG: PDEN_IRC_OSC Mask      */
#define SYSCON_PDRUNCFG_PDEN_IRC_Pos          4                                                       /*!< SYSCON PDRUNCFG: PDEN_IRC Position      */
#define SYSCON_PDRUNCFG_PDEN_IRC_Msk          (0x01UL << SYSCON_PDRUNCFG_PDEN_IRC_Pos)                /*!< SYSCON PDRUNCFG: PDEN_IRC Mask          */
#define SYSCON_PDRUNCFG_PDEN_FLASH_Pos        5                                                       /*!< SYSCON PDRUNCFG: PDEN_FLASH Position    */
#define SYSCON_PDRUNCFG_PDEN_FLASH_Msk        (0x01UL << SYSCON_PDRUNCFG_PDEN_FLASH_Pos)              /*!< SYSCON PDRUNCFG: PDEN_FLASH Mask        */
#define SYSCON_PDRUNCFG_PDEN_BOD_RST_Pos      7                                                       /*!< SYSCON PDRUNCFG: PDEN_BOD_RST Position  */
#define SYSCON_PDRUNCFG_PDEN_BOD_RST_Msk      (0x01UL << SYSCON_PDRUNCFG_PDEN_BOD_RST_Pos)            /*!< SYSCON PDRUNCFG: PDEN_BOD_RST Mask      */
#define SYSCON_PDRUNCFG_PDEN_BOD_INTR_Pos     8                                                       /*!< SYSCON PDRUNCFG: PDEN_BOD_INTR Position */
#define SYSCON_PDRUNCFG_PDEN_BOD_INTR_Msk     (0x01UL << SYSCON_PDRUNCFG_PDEN_BOD_INTR_Pos)           /*!< SYSCON PDRUNCFG: PDEN_BOD_INTR Mask     */
#define SYSCON_PDRUNCFG_PDEN_ADC0_Pos         10                                                      /*!< SYSCON PDRUNCFG: PDEN_ADC0 Position     */
#define SYSCON_PDRUNCFG_PDEN_ADC0_Msk         (0x01UL << SYSCON_PDRUNCFG_PDEN_ADC0_Pos)               /*!< SYSCON PDRUNCFG: PDEN_ADC0 Mask         */
#define SYSCON_PDRUNCFG_PDEN_SRAM0A_Pos       13                                                      /*!< SYSCON PDRUNCFG: PDEN_SRAM0A Position   */
#define SYSCON_PDRUNCFG_PDEN_SRAM0A_Msk       (0x01UL << SYSCON_PDRUNCFG_PDEN_SRAM0A_Pos)             /*!< SYSCON PDRUNCFG: PDEN_SRAM0A Mask       */
#define SYSCON_PDRUNCFG_PDEN_SRAM0B_Pos       14                                                      /*!< SYSCON PDRUNCFG: PDEN_SRAM0B Position   */
#define SYSCON_PDRUNCFG_PDEN_SRAM0B_Msk       (0x01UL << SYSCON_PDRUNCFG_PDEN_SRAM0B_Pos)             /*!< SYSCON PDRUNCFG: PDEN_SRAM0B Mask       */
#define SYSCON_PDRUNCFG_PDEN_SRAM1_Pos        15                                                      /*!< SYSCON PDRUNCFG: PDEN_SRAM1 Position    */
#define SYSCON_PDRUNCFG_PDEN_SRAM1_Msk        (0x01UL << SYSCON_PDRUNCFG_PDEN_SRAM1_Pos)              /*!< SYSCON PDRUNCFG: PDEN_SRAM1 Mask        */
#define SYSCON_PDRUNCFG_PDEN_SRAM2_Pos        16                                                      /*!< SYSCON PDRUNCFG: PDEN_SRAM2 Position    */
#define SYSCON_PDRUNCFG_PDEN_SRAM2_Msk        (0x01UL << SYSCON_PDRUNCFG_PDEN_SRAM2_Pos)              /*!< SYSCON PDRUNCFG: PDEN_SRAM2 Mask        */
#define SYSCON_PDRUNCFG_PDEN_ROM_Pos          17                                                      /*!< SYSCON PDRUNCFG: PDEN_ROM Position      */
#define SYSCON_PDRUNCFG_PDEN_ROM_Msk          (0x01UL << SYSCON_PDRUNCFG_PDEN_ROM_Pos)                /*!< SYSCON PDRUNCFG: PDEN_ROM Mask          */
#define SYSCON_PDRUNCFG_PDEN_VDDA_Pos         19                                                      /*!< SYSCON PDRUNCFG: PDEN_VDDA Position     */
#define SYSCON_PDRUNCFG_PDEN_VDDA_Msk         (0x01UL << SYSCON_PDRUNCFG_PDEN_VDDA_Pos)               /*!< SYSCON PDRUNCFG: PDEN_VDDA Mask         */
#define SYSCON_PDRUNCFG_PDEN_WDT_OSC_Pos      20                                                      /*!< SYSCON PDRUNCFG: PDEN_WDT_OSC Position  */
#define SYSCON_PDRUNCFG_PDEN_WDT_OSC_Msk      (0x01UL << SYSCON_PDRUNCFG_PDEN_WDT_OSC_Pos)            /*!< SYSCON PDRUNCFG: PDEN_WDT_OSC Mask      */
#define SYSCON_PDRUNCFG_PDEN_SYS_PLL_Pos      22                                                      /*!< SYSCON PDRUNCFG: PDEN_SYS_PLL Position  */
#define SYSCON_PDRUNCFG_PDEN_SYS_PLL_Msk      (0x01UL << SYSCON_PDRUNCFG_PDEN_SYS_PLL_Pos)            /*!< SYSCON PDRUNCFG: PDEN_SYS_PLL Mask      */
#define SYSCON_PDRUNCFG_PDEN_VREFP_Pos        23                                                      /*!< SYSCON PDRUNCFG: PDEN_VREFP Position    */
#define SYSCON_PDRUNCFG_PDEN_VREFP_Msk        (0x01UL << SYSCON_PDRUNCFG_PDEN_VREFP_Pos)              /*!< SYSCON PDRUNCFG: PDEN_VREFP Mask        */
#define SYSCON_PDRUNCFG_PDEN_32K_OSC_Pos      24                                                      /*!< SYSCON PDRUNCFG: PDEN_32K_OSC Position  */
#define SYSCON_PDRUNCFG_PDEN_32K_OSC_Msk      (0x01UL << SYSCON_PDRUNCFG_PDEN_32K_OSC_Pos)            /*!< SYSCON PDRUNCFG: PDEN_32K_OSC Mask      */

/* -----------------------------  SYSCON_PDRUNCFGSET  ----------------------------- */
#define SYSCON_PDRUNCFGSET_PD_SET_Pos         0                                                       /*!< SYSCON PDRUNCFGSET: PD_SET Position     */
#define SYSCON_PDRUNCFGSET_PD_SET_Msk         (0xffffffffUL << SYSCON_PDRUNCFGSET_PD_SET_Pos)         /*!< SYSCON PDRUNCFGSET: PD_SET Mask         */

/* -----------------------------  SYSCON_PDRUNCFGCLR  ----------------------------- */
#define SYSCON_PDRUNCFGCLR_PD_CLR_Pos         0                                                       /*!< SYSCON PDRUNCFGCLR: PD_CLR Position     */
#define SYSCON_PDRUNCFGCLR_PD_CLR_Msk         (0xffffffffUL << SYSCON_PDRUNCFGCLR_PD_CLR_Pos)         /*!< SYSCON PDRUNCFGCLR: PD_CLR Mask         */

/* ------------------------------  SYSCON_STARTERP0  ------------------------------ */
#define SYSCON_STARTERP0_WWDT_Pos             0                                                       /*!< SYSCON STARTERP0: WWDT Position         */
#define SYSCON_STARTERP0_WWDT_Msk             (0x01UL << SYSCON_STARTERP0_WWDT_Pos)                   /*!< SYSCON STARTERP0: WWDT Mask             */
#define SYSCON_STARTERP0_BOD_Pos              1                                                       /*!< SYSCON STARTERP0: BOD Position          */
#define SYSCON_STARTERP0_BOD_Msk              (0x01UL << SYSCON_STARTERP0_BOD_Pos)                    /*!< SYSCON STARTERP0: BOD Mask              */
#define SYSCON_STARTERP0_DMA_Pos              3                                                       /*!< SYSCON STARTERP0: DMA Position          */
#define SYSCON_STARTERP0_DMA_Msk              (0x01UL << SYSCON_STARTERP0_DMA_Pos)                    /*!< SYSCON STARTERP0: DMA Mask              */
#define SYSCON_STARTERP0_GINT0_Pos            4                                                       /*!< SYSCON STARTERP0: GINT0 Position        */
#define SYSCON_STARTERP0_GINT0_Msk            (0x01UL << SYSCON_STARTERP0_GINT0_Pos)                  /*!< SYSCON STARTERP0: GINT0 Mask            */
#define SYSCON_STARTERP0_PINT0_Pos            5                                                       /*!< SYSCON STARTERP0: PINT0 Position        */
#define SYSCON_STARTERP0_PINT0_Msk            (0x01UL << SYSCON_STARTERP0_PINT0_Pos)                  /*!< SYSCON STARTERP0: PINT0 Mask            */
#define SYSCON_STARTERP0_PINT1_Pos            6                                                       /*!< SYSCON STARTERP0: PINT1 Position        */
#define SYSCON_STARTERP0_PINT1_Msk            (0x01UL << SYSCON_STARTERP0_PINT1_Pos)                  /*!< SYSCON STARTERP0: PINT1 Mask            */
#define SYSCON_STARTERP0_PINT2_Pos            7                                                       /*!< SYSCON STARTERP0: PINT2 Position        */
#define SYSCON_STARTERP0_PINT2_Msk            (0x01UL << SYSCON_STARTERP0_PINT2_Pos)                  /*!< SYSCON STARTERP0: PINT2 Mask            */
#define SYSCON_STARTERP0_PINT3_Pos            8                                                       /*!< SYSCON STARTERP0: PINT3 Position        */
#define SYSCON_STARTERP0_PINT3_Msk            (0x01UL << SYSCON_STARTERP0_PINT3_Pos)                  /*!< SYSCON STARTERP0: PINT3 Mask            */
#define SYSCON_STARTERP0_UTICK_Pos            9                                                       /*!< SYSCON STARTERP0: UTICK Position        */
#define SYSCON_STARTERP0_UTICK_Msk            (0x01UL << SYSCON_STARTERP0_UTICK_Pos)                  /*!< SYSCON STARTERP0: UTICK Mask            */
#define SYSCON_STARTERP0_MRT_Pos              10                                                      /*!< SYSCON STARTERP0: MRT Position          */
#define SYSCON_STARTERP0_MRT_Msk              (0x01UL << SYSCON_STARTERP0_MRT_Pos)                    /*!< SYSCON STARTERP0: MRT Mask              */
#define SYSCON_STARTERP0_TIMER0_Pos           11                                                      /*!< SYSCON STARTERP0: TIMER0 Position       */
#define SYSCON_STARTERP0_TIMER0_Msk           (0x01UL << SYSCON_STARTERP0_TIMER0_Pos)                 /*!< SYSCON STARTERP0: TIMER0 Mask           */
#define SYSCON_STARTERP0_TIMER1_Pos           12                                                      /*!< SYSCON STARTERP0: TIMER1 Position       */
#define SYSCON_STARTERP0_TIMER1_Msk           (0x01UL << SYSCON_STARTERP0_TIMER1_Pos)                 /*!< SYSCON STARTERP0: TIMER1 Mask           */
#define SYSCON_STARTERP0_TIMER2_Pos           13                                                      /*!< SYSCON STARTERP0: TIMER2 Position       */
#define SYSCON_STARTERP0_TIMER2_Msk           (0x01UL << SYSCON_STARTERP0_TIMER2_Pos)                 /*!< SYSCON STARTERP0: TIMER2 Mask           */
#define SYSCON_STARTERP0_TIMER3_Pos           14                                                      /*!< SYSCON STARTERP0: TIMER3 Position       */
#define SYSCON_STARTERP0_TIMER3_Msk           (0x01UL << SYSCON_STARTERP0_TIMER3_Pos)                 /*!< SYSCON STARTERP0: TIMER3 Mask           */
#define SYSCON_STARTERP0_TIMER4_Pos           15                                                      /*!< SYSCON STARTERP0: TIMER4 Position       */
#define SYSCON_STARTERP0_TIMER4_Msk           (0x01UL << SYSCON_STARTERP0_TIMER4_Pos)                 /*!< SYSCON STARTERP0: TIMER4 Mask           */
#define SYSCON_STARTERP0_SCT0_Pos             16                                                      /*!< SYSCON STARTERP0: SCT0 Position         */
#define SYSCON_STARTERP0_SCT0_Msk             (0x01UL << SYSCON_STARTERP0_SCT0_Pos)                   /*!< SYSCON STARTERP0: SCT0 Mask             */
#define SYSCON_STARTERP0_USART0_Pos           17                                                      /*!< SYSCON STARTERP0: USART0 Position       */
#define SYSCON_STARTERP0_USART0_Msk           (0x01UL << SYSCON_STARTERP0_USART0_Pos)                 /*!< SYSCON STARTERP0: USART0 Mask           */
#define SYSCON_STARTERP0_USART1_Pos           18                                                      /*!< SYSCON STARTERP0: USART1 Position       */
#define SYSCON_STARTERP0_USART1_Msk           (0x01UL << SYSCON_STARTERP0_USART1_Pos)                 /*!< SYSCON STARTERP0: USART1 Mask           */
#define SYSCON_STARTERP0_USART2_Pos           19                                                      /*!< SYSCON STARTERP0: USART2 Position       */
#define SYSCON_STARTERP0_USART2_Msk           (0x01UL << SYSCON_STARTERP0_USART2_Pos)                 /*!< SYSCON STARTERP0: USART2 Mask           */
#define SYSCON_STARTERP0_USART3_Pos           20                                                      /*!< SYSCON STARTERP0: USART3 Position       */
#define SYSCON_STARTERP0_USART3_Msk           (0x01UL << SYSCON_STARTERP0_USART3_Pos)                 /*!< SYSCON STARTERP0: USART3 Mask           */
#define SYSCON_STARTERP0_I2C0_Pos             21                                                      /*!< SYSCON STARTERP0: I2C0 Position         */
#define SYSCON_STARTERP0_I2C0_Msk             (0x01UL << SYSCON_STARTERP0_I2C0_Pos)                   /*!< SYSCON STARTERP0: I2C0 Mask             */
#define SYSCON_STARTERP0_I2C1_Pos             22                                                      /*!< SYSCON STARTERP0: I2C1 Position         */
#define SYSCON_STARTERP0_I2C1_Msk             (0x01UL << SYSCON_STARTERP0_I2C1_Pos)                   /*!< SYSCON STARTERP0: I2C1 Mask             */
#define SYSCON_STARTERP0_I2C2_Pos             23                                                      /*!< SYSCON STARTERP0: I2C2 Position         */
#define SYSCON_STARTERP0_I2C2_Msk             (0x01UL << SYSCON_STARTERP0_I2C2_Pos)                   /*!< SYSCON STARTERP0: I2C2 Mask             */
#define SYSCON_STARTERP0_SPI0_Pos             24                                                      /*!< SYSCON STARTERP0: SPI0 Position         */
#define SYSCON_STARTERP0_SPI0_Msk             (0x01UL << SYSCON_STARTERP0_SPI0_Pos)                   /*!< SYSCON STARTERP0: SPI0 Mask             */
#define SYSCON_STARTERP0_SPI1_Pos             25                                                      /*!< SYSCON STARTERP0: SPI1 Position         */
#define SYSCON_STARTERP0_SPI1_Msk             (0x01UL << SYSCON_STARTERP0_SPI1_Pos)                   /*!< SYSCON STARTERP0: SPI1 Mask             */
#define SYSCON_STARTERP0_ADC0_SEQA_Pos        26                                                      /*!< SYSCON STARTERP0: ADC0_SEQA Position    */
#define SYSCON_STARTERP0_ADC0_SEQA_Msk        (0x01UL << SYSCON_STARTERP0_ADC0_SEQA_Pos)              /*!< SYSCON STARTERP0: ADC0_SEQA Mask        */
#define SYSCON_STARTERP0_ADC0_SEQB_Pos        27                                                      /*!< SYSCON STARTERP0: ADC0_SEQB Position    */
#define SYSCON_STARTERP0_ADC0_SEQB_Msk        (0x01UL << SYSCON_STARTERP0_ADC0_SEQB_Pos)              /*!< SYSCON STARTERP0: ADC0_SEQB Mask        */
#define SYSCON_STARTERP0_ADC0_THCMP_Pos       28                                                      /*!< SYSCON STARTERP0: ADC0_THCMP Position   */
#define SYSCON_STARTERP0_ADC0_THCMP_Msk       (0x01UL << SYSCON_STARTERP0_ADC0_THCMP_Pos)             /*!< SYSCON STARTERP0: ADC0_THCMP Mask       */
#define SYSCON_STARTERP0_RTC_Pos              29                                                      /*!< SYSCON STARTERP0: RTC Position          */
#define SYSCON_STARTERP0_RTC_Msk              (0x01UL << SYSCON_STARTERP0_RTC_Pos)                    /*!< SYSCON STARTERP0: RTC Mask              */
#define SYSCON_STARTERP0_MAILBOX_Pos          31                                                      /*!< SYSCON STARTERP0: MAILBOX Position      */
#define SYSCON_STARTERP0_MAILBOX_Msk          (0x01UL << SYSCON_STARTERP0_MAILBOX_Pos)                /*!< SYSCON STARTERP0: MAILBOX Mask          */

/* ------------------------------  SYSCON_STARTERP1  ------------------------------ */
#define SYSCON_STARTERP1_GINT1_Pos            0                                                       /*!< SYSCON STARTERP1: GINT1 Position        */
#define SYSCON_STARTERP1_GINT1_Msk            (0x01UL << SYSCON_STARTERP1_GINT1_Pos)                  /*!< SYSCON STARTERP1: GINT1 Mask            */
#define SYSCON_STARTERP1_PINT4_Pos            1                                                       /*!< SYSCON STARTERP1: PINT4 Position        */
#define SYSCON_STARTERP1_PINT4_Msk            (0x01UL << SYSCON_STARTERP1_PINT4_Pos)                  /*!< SYSCON STARTERP1: PINT4 Mask            */
#define SYSCON_STARTERP1_PINT5_Pos            2                                                       /*!< SYSCON STARTERP1: PINT5 Position        */
#define SYSCON_STARTERP1_PINT5_Msk            (0x01UL << SYSCON_STARTERP1_PINT5_Pos)                  /*!< SYSCON STARTERP1: PINT5 Mask            */
#define SYSCON_STARTERP1_PINT6_Pos            3                                                       /*!< SYSCON STARTERP1: PINT6 Position        */
#define SYSCON_STARTERP1_PINT6_Msk            (0x01UL << SYSCON_STARTERP1_PINT6_Pos)                  /*!< SYSCON STARTERP1: PINT6 Mask            */
#define SYSCON_STARTERP1_PINT7_Pos            4                                                       /*!< SYSCON STARTERP1: PINT7 Position        */
#define SYSCON_STARTERP1_PINT7_Msk            (0x01UL << SYSCON_STARTERP1_PINT7_Pos)                  /*!< SYSCON STARTERP1: PINT7 Mask            */
#define SYSCON_STARTERP1_RIT_Pos              8                                                       /*!< SYSCON STARTERP1: RIT Position          */
#define SYSCON_STARTERP1_RIT_Msk              (0x01UL << SYSCON_STARTERP1_RIT_Pos)                    /*!< SYSCON STARTERP1: RIT Mask              */

/* -----------------------------  SYSCON_STARTERPSET0  ---------------------------- */
#define SYSCON_STARTERPSET0_START_SET0_Pos    0                                                       /*!< SYSCON STARTERPSET0: START_SET0 Position */
#define SYSCON_STARTERPSET0_START_SET0_Msk    (0xffffffffUL << SYSCON_STARTERPSET0_START_SET0_Pos)    /*!< SYSCON STARTERPSET0: START_SET0 Mask    */

/* -----------------------------  SYSCON_STARTERPSET1  ---------------------------- */
#define SYSCON_STARTERPSET1_START_SET1_Pos    0                                                       /*!< SYSCON STARTERPSET1: START_SET1 Position */
#define SYSCON_STARTERPSET1_START_SET1_Msk    (0xffffffffUL << SYSCON_STARTERPSET1_START_SET1_Pos)    /*!< SYSCON STARTERPSET1: START_SET1 Mask    */

/* -----------------------------  SYSCON_STARTERPCLR0  ---------------------------- */
#define SYSCON_STARTERPCLR0_START_CLR0_Pos    0                                                       /*!< SYSCON STARTERPCLR0: START_CLR0 Position */
#define SYSCON_STARTERPCLR0_START_CLR0_Msk    (0xffffffffUL << SYSCON_STARTERPCLR0_START_CLR0_Pos)    /*!< SYSCON STARTERPCLR0: START_CLR0 Mask    */

/* -----------------------------  SYSCON_STARTERPCLR1  ---------------------------- */
#define SYSCON_STARTERPCLR1_START_CLR1_Pos    0                                                       /*!< SYSCON STARTERPCLR1: START_CLR1 Position */
#define SYSCON_STARTERPCLR1_START_CLR1_Msk    (0xffffffffUL << SYSCON_STARTERPCLR1_START_CLR1_Pos)    /*!< SYSCON STARTERPCLR1: START_CLR1 Mask    */

/* -------------------------------  SYSCON_CPUCTRL  ------------------------------- */
#define SYSCON_CPUCTRL_MASTERCPU_Pos          0                                                       /*!< SYSCON CPUCTRL: MASTERCPU Position      */
#define SYSCON_CPUCTRL_MASTERCPU_Msk          (0x01UL << SYSCON_CPUCTRL_MASTERCPU_Pos)                /*!< SYSCON CPUCTRL: MASTERCPU Mask          */
#define SYSCON_CPUCTRL_CM4CLKEN_Pos           2                                                       /*!< SYSCON CPUCTRL: CM4CLKEN Position       */
#define SYSCON_CPUCTRL_CM4CLKEN_Msk           (0x01UL << SYSCON_CPUCTRL_CM4CLKEN_Pos)                 /*!< SYSCON CPUCTRL: CM4CLKEN Mask           */
#define SYSCON_CPUCTRL_CM0CLKEN_Pos           3                                                       /*!< SYSCON CPUCTRL: CM0CLKEN Position       */
#define SYSCON_CPUCTRL_CM0CLKEN_Msk           (0x01UL << SYSCON_CPUCTRL_CM0CLKEN_Pos)                 /*!< SYSCON CPUCTRL: CM0CLKEN Mask           */
#define SYSCON_CPUCTRL_CM4RSTEN_Pos           4                                                       /*!< SYSCON CPUCTRL: CM4RSTEN Position       */
#define SYSCON_CPUCTRL_CM4RSTEN_Msk           (0x01UL << SYSCON_CPUCTRL_CM4RSTEN_Pos)                 /*!< SYSCON CPUCTRL: CM4RSTEN Mask           */
#define SYSCON_CPUCTRL_CM0RSTEN_Pos           5                                                       /*!< SYSCON CPUCTRL: CM0RSTEN Position       */
#define SYSCON_CPUCTRL_CM0RSTEN_Msk           (0x01UL << SYSCON_CPUCTRL_CM0RSTEN_Pos)                 /*!< SYSCON CPUCTRL: CM0RSTEN Mask           */
#define SYSCON_CPUCTRL_POWERCPU_Pos           6                                                       /*!< SYSCON CPUCTRL: POWERCPU Position       */
#define SYSCON_CPUCTRL_POWERCPU_Msk           (0x01UL << SYSCON_CPUCTRL_POWERCPU_Pos)                 /*!< SYSCON CPUCTRL: POWERCPU Mask           */

/* --------------------------------  SYSCON_CPBOOT  ------------------------------- */
#define SYSCON_CPBOOT_BOOTADDR_Pos            0                                                       /*!< SYSCON CPBOOT: BOOTADDR Position        */
#define SYSCON_CPBOOT_BOOTADDR_Msk            (0xffffffffUL << SYSCON_CPBOOT_BOOTADDR_Pos)            /*!< SYSCON CPBOOT: BOOTADDR Mask            */

/* -------------------------------  SYSCON_CPSTACK  ------------------------------- */
#define SYSCON_CPSTACK_STACKADDR_Pos          0                                                       /*!< SYSCON CPSTACK: STACKADDR Position      */
#define SYSCON_CPSTACK_STACKADDR_Msk          (0xffffffffUL << SYSCON_CPSTACK_STACKADDR_Pos)          /*!< SYSCON CPSTACK: STACKADDR Mask          */

/* ------------------------------  SYSCON_JTAGIDCODE  ----------------------------- */
#define SYSCON_JTAGIDCODE_JTAGID_Pos          0                                                       /*!< SYSCON JTAGIDCODE: JTAGID Position      */
#define SYSCON_JTAGIDCODE_JTAGID_Msk          (0xffffffffUL << SYSCON_JTAGIDCODE_JTAGID_Pos)          /*!< SYSCON JTAGIDCODE: JTAGID Mask          */

/* ------------------------------  SYSCON_DEVICE_ID0  ----------------------------- */
#define SYSCON_DEVICE_ID0_PARTID_Pos          0                                                       /*!< SYSCON DEVICE_ID0: PARTID Position      */
#define SYSCON_DEVICE_ID0_PARTID_Msk          (0xffffffffUL << SYSCON_DEVICE_ID0_PARTID_Pos)          /*!< SYSCON DEVICE_ID0: PARTID Mask          */

/* ------------------------------  SYSCON_DEVICE_ID1  ----------------------------- */
#define SYSCON_DEVICE_ID1_REVID_Pos           0                                                       /*!< SYSCON DEVICE_ID1: REVID Position       */
#define SYSCON_DEVICE_ID1_REVID_Msk           (0xffffffffUL << SYSCON_DEVICE_ID1_REVID_Pos)           /*!< SYSCON DEVICE_ID1: REVID Mask           */


/* ================================================================================ */
/* ================         struct 'CT32B2' Position & Mask        ================ */
/* ================================================================================ */


/* ----------------------------------  CT32B2_IR  --------------------------------- */
#define CT32B2_IR_MR0INT_Pos                  0                                                       /*!< CT32B2 IR: MR0INT Position              */
#define CT32B2_IR_MR0INT_Msk                  (0x01UL << CT32B2_IR_MR0INT_Pos)                        /*!< CT32B2 IR: MR0INT Mask                  */
#define CT32B2_IR_MR1INT_Pos                  1                                                       /*!< CT32B2 IR: MR1INT Position              */
#define CT32B2_IR_MR1INT_Msk                  (0x01UL << CT32B2_IR_MR1INT_Pos)                        /*!< CT32B2 IR: MR1INT Mask                  */
#define CT32B2_IR_MR2INT_Pos                  2                                                       /*!< CT32B2 IR: MR2INT Position              */
#define CT32B2_IR_MR2INT_Msk                  (0x01UL << CT32B2_IR_MR2INT_Pos)                        /*!< CT32B2 IR: MR2INT Mask                  */
#define CT32B2_IR_MR3INT_Pos                  3                                                       /*!< CT32B2 IR: MR3INT Position              */
#define CT32B2_IR_MR3INT_Msk                  (0x01UL << CT32B2_IR_MR3INT_Pos)                        /*!< CT32B2 IR: MR3INT Mask                  */
#define CT32B2_IR_CR0INT_Pos                  4                                                       /*!< CT32B2 IR: CR0INT Position              */
#define CT32B2_IR_CR0INT_Msk                  (0x01UL << CT32B2_IR_CR0INT_Pos)                        /*!< CT32B2 IR: CR0INT Mask                  */
#define CT32B2_IR_CR1INT_Pos                  5                                                       /*!< CT32B2 IR: CR1INT Position              */
#define CT32B2_IR_CR1INT_Msk                  (0x01UL << CT32B2_IR_CR1INT_Pos)                        /*!< CT32B2 IR: CR1INT Mask                  */
#define CT32B2_IR_CR2INT_Pos                  6                                                       /*!< CT32B2 IR: CR2INT Position              */
#define CT32B2_IR_CR2INT_Msk                  (0x01UL << CT32B2_IR_CR2INT_Pos)                        /*!< CT32B2 IR: CR2INT Mask                  */
#define CT32B2_IR_CR3INT_Pos                  7                                                       /*!< CT32B2 IR: CR3INT Position              */
#define CT32B2_IR_CR3INT_Msk                  (0x01UL << CT32B2_IR_CR3INT_Pos)                        /*!< CT32B2 IR: CR3INT Mask                  */

/* ---------------------------------  CT32B2_TCR  --------------------------------- */
#define CT32B2_TCR_CEN_Pos                    0                                                       /*!< CT32B2 TCR: CEN Position                */
#define CT32B2_TCR_CEN_Msk                    (0x01UL << CT32B2_TCR_CEN_Pos)                          /*!< CT32B2 TCR: CEN Mask                    */
#define CT32B2_TCR_CRST_Pos                   1                                                       /*!< CT32B2 TCR: CRST Position               */
#define CT32B2_TCR_CRST_Msk                   (0x01UL << CT32B2_TCR_CRST_Pos)                         /*!< CT32B2 TCR: CRST Mask                   */

/* ----------------------------------  CT32B2_TC  --------------------------------- */
#define CT32B2_TC_TCVAL_Pos                   0                                                       /*!< CT32B2 TC: TCVAL Position               */
#define CT32B2_TC_TCVAL_Msk                   (0xffffffffUL << CT32B2_TC_TCVAL_Pos)                   /*!< CT32B2 TC: TCVAL Mask                   */

/* ----------------------------------  CT32B2_PR  --------------------------------- */
#define CT32B2_PR_PRVAL_Pos                   0                                                       /*!< CT32B2 PR: PRVAL Position               */
#define CT32B2_PR_PRVAL_Msk                   (0xffffffffUL << CT32B2_PR_PRVAL_Pos)                   /*!< CT32B2 PR: PRVAL Mask                   */

/* ----------------------------------  CT32B2_PC  --------------------------------- */
#define CT32B2_PC_PCVAL_Pos                   0                                                       /*!< CT32B2 PC: PCVAL Position               */
#define CT32B2_PC_PCVAL_Msk                   (0xffffffffUL << CT32B2_PC_PCVAL_Pos)                   /*!< CT32B2 PC: PCVAL Mask                   */

/* ---------------------------------  CT32B2_MCR  --------------------------------- */
#define CT32B2_MCR_MR0I_Pos                   0                                                       /*!< CT32B2 MCR: MR0I Position               */
#define CT32B2_MCR_MR0I_Msk                   (0x01UL << CT32B2_MCR_MR0I_Pos)                         /*!< CT32B2 MCR: MR0I Mask                   */
#define CT32B2_MCR_MR0R_Pos                   1                                                       /*!< CT32B2 MCR: MR0R Position               */
#define CT32B2_MCR_MR0R_Msk                   (0x01UL << CT32B2_MCR_MR0R_Pos)                         /*!< CT32B2 MCR: MR0R Mask                   */
#define CT32B2_MCR_MR0S_Pos                   2                                                       /*!< CT32B2 MCR: MR0S Position               */
#define CT32B2_MCR_MR0S_Msk                   (0x01UL << CT32B2_MCR_MR0S_Pos)                         /*!< CT32B2 MCR: MR0S Mask                   */
#define CT32B2_MCR_MR1I_Pos                   3                                                       /*!< CT32B2 MCR: MR1I Position               */
#define CT32B2_MCR_MR1I_Msk                   (0x01UL << CT32B2_MCR_MR1I_Pos)                         /*!< CT32B2 MCR: MR1I Mask                   */
#define CT32B2_MCR_MR1R_Pos                   4                                                       /*!< CT32B2 MCR: MR1R Position               */
#define CT32B2_MCR_MR1R_Msk                   (0x01UL << CT32B2_MCR_MR1R_Pos)                         /*!< CT32B2 MCR: MR1R Mask                   */
#define CT32B2_MCR_MR1S_Pos                   5                                                       /*!< CT32B2 MCR: MR1S Position               */
#define CT32B2_MCR_MR1S_Msk                   (0x01UL << CT32B2_MCR_MR1S_Pos)                         /*!< CT32B2 MCR: MR1S Mask                   */
#define CT32B2_MCR_MR2I_Pos                   6                                                       /*!< CT32B2 MCR: MR2I Position               */
#define CT32B2_MCR_MR2I_Msk                   (0x01UL << CT32B2_MCR_MR2I_Pos)                         /*!< CT32B2 MCR: MR2I Mask                   */
#define CT32B2_MCR_MR2R_Pos                   7                                                       /*!< CT32B2 MCR: MR2R Position               */
#define CT32B2_MCR_MR2R_Msk                   (0x01UL << CT32B2_MCR_MR2R_Pos)                         /*!< CT32B2 MCR: MR2R Mask                   */
#define CT32B2_MCR_MR2S_Pos                   8                                                       /*!< CT32B2 MCR: MR2S Position               */
#define CT32B2_MCR_MR2S_Msk                   (0x01UL << CT32B2_MCR_MR2S_Pos)                         /*!< CT32B2 MCR: MR2S Mask                   */
#define CT32B2_MCR_MR3I_Pos                   9                                                       /*!< CT32B2 MCR: MR3I Position               */
#define CT32B2_MCR_MR3I_Msk                   (0x01UL << CT32B2_MCR_MR3I_Pos)                         /*!< CT32B2 MCR: MR3I Mask                   */
#define CT32B2_MCR_MR3R_Pos                   10                                                      /*!< CT32B2 MCR: MR3R Position               */
#define CT32B2_MCR_MR3R_Msk                   (0x01UL << CT32B2_MCR_MR3R_Pos)                         /*!< CT32B2 MCR: MR3R Mask                   */
#define CT32B2_MCR_MR3S_Pos                   11                                                      /*!< CT32B2 MCR: MR3S Position               */
#define CT32B2_MCR_MR3S_Msk                   (0x01UL << CT32B2_MCR_MR3S_Pos)                         /*!< CT32B2 MCR: MR3S Mask                   */

/* ---------------------------------  CT32B2_MR0  --------------------------------- */
#define CT32B2_MR0_MATCH_Pos                  0                                                       /*!< CT32B2 MR0: MATCH Position              */
#define CT32B2_MR0_MATCH_Msk                  (0xffffffffUL << CT32B2_MR0_MATCH_Pos)                  /*!< CT32B2 MR0: MATCH Mask                  */

/* ---------------------------------  CT32B2_MR1  --------------------------------- */
#define CT32B2_MR1_MATCH_Pos                  0                                                       /*!< CT32B2 MR1: MATCH Position              */
#define CT32B2_MR1_MATCH_Msk                  (0xffffffffUL << CT32B2_MR1_MATCH_Pos)                  /*!< CT32B2 MR1: MATCH Mask                  */

/* ---------------------------------  CT32B2_MR2  --------------------------------- */
#define CT32B2_MR2_MATCH_Pos                  0                                                       /*!< CT32B2 MR2: MATCH Position              */
#define CT32B2_MR2_MATCH_Msk                  (0xffffffffUL << CT32B2_MR2_MATCH_Pos)                  /*!< CT32B2 MR2: MATCH Mask                  */

/* ---------------------------------  CT32B2_MR3  --------------------------------- */
#define CT32B2_MR3_MATCH_Pos                  0                                                       /*!< CT32B2 MR3: MATCH Position              */
#define CT32B2_MR3_MATCH_Msk                  (0xffffffffUL << CT32B2_MR3_MATCH_Pos)                  /*!< CT32B2 MR3: MATCH Mask                  */

/* ---------------------------------  CT32B2_CCR  --------------------------------- */
#define CT32B2_CCR_CAP0RE_Pos                 0                                                       /*!< CT32B2 CCR: CAP0RE Position             */
#define CT32B2_CCR_CAP0RE_Msk                 (0x01UL << CT32B2_CCR_CAP0RE_Pos)                       /*!< CT32B2 CCR: CAP0RE Mask                 */
#define CT32B2_CCR_CAP0FE_Pos                 1                                                       /*!< CT32B2 CCR: CAP0FE Position             */
#define CT32B2_CCR_CAP0FE_Msk                 (0x01UL << CT32B2_CCR_CAP0FE_Pos)                       /*!< CT32B2 CCR: CAP0FE Mask                 */
#define CT32B2_CCR_CAP0I_Pos                  2                                                       /*!< CT32B2 CCR: CAP0I Position              */
#define CT32B2_CCR_CAP0I_Msk                  (0x01UL << CT32B2_CCR_CAP0I_Pos)                        /*!< CT32B2 CCR: CAP0I Mask                  */
#define CT32B2_CCR_CAP1RE_Pos                 3                                                       /*!< CT32B2 CCR: CAP1RE Position             */
#define CT32B2_CCR_CAP1RE_Msk                 (0x01UL << CT32B2_CCR_CAP1RE_Pos)                       /*!< CT32B2 CCR: CAP1RE Mask                 */
#define CT32B2_CCR_CAP1FE_Pos                 4                                                       /*!< CT32B2 CCR: CAP1FE Position             */
#define CT32B2_CCR_CAP1FE_Msk                 (0x01UL << CT32B2_CCR_CAP1FE_Pos)                       /*!< CT32B2 CCR: CAP1FE Mask                 */
#define CT32B2_CCR_CAP1I_Pos                  5                                                       /*!< CT32B2 CCR: CAP1I Position              */
#define CT32B2_CCR_CAP1I_Msk                  (0x01UL << CT32B2_CCR_CAP1I_Pos)                        /*!< CT32B2 CCR: CAP1I Mask                  */
#define CT32B2_CCR_CAP2RE_Pos                 6                                                       /*!< CT32B2 CCR: CAP2RE Position             */
#define CT32B2_CCR_CAP2RE_Msk                 (0x01UL << CT32B2_CCR_CAP2RE_Pos)                       /*!< CT32B2 CCR: CAP2RE Mask                 */
#define CT32B2_CCR_CAP2FE_Pos                 7                                                       /*!< CT32B2 CCR: CAP2FE Position             */
#define CT32B2_CCR_CAP2FE_Msk                 (0x01UL << CT32B2_CCR_CAP2FE_Pos)                       /*!< CT32B2 CCR: CAP2FE Mask                 */
#define CT32B2_CCR_CAP2I_Pos                  8                                                       /*!< CT32B2 CCR: CAP2I Position              */
#define CT32B2_CCR_CAP2I_Msk                  (0x01UL << CT32B2_CCR_CAP2I_Pos)                        /*!< CT32B2 CCR: CAP2I Mask                  */
#define CT32B2_CCR_CAP3RE_Pos                 9                                                       /*!< CT32B2 CCR: CAP3RE Position             */
#define CT32B2_CCR_CAP3RE_Msk                 (0x01UL << CT32B2_CCR_CAP3RE_Pos)                       /*!< CT32B2 CCR: CAP3RE Mask                 */
#define CT32B2_CCR_CAP3FE_Pos                 10                                                      /*!< CT32B2 CCR: CAP3FE Position             */
#define CT32B2_CCR_CAP3FE_Msk                 (0x01UL << CT32B2_CCR_CAP3FE_Pos)                       /*!< CT32B2 CCR: CAP3FE Mask                 */
#define CT32B2_CCR_CAP3I_Pos                  11                                                      /*!< CT32B2 CCR: CAP3I Position              */
#define CT32B2_CCR_CAP3I_Msk                  (0x01UL << CT32B2_CCR_CAP3I_Pos)                        /*!< CT32B2 CCR: CAP3I Mask                  */

/* ---------------------------------  CT32B2_CR0  --------------------------------- */
#define CT32B2_CR0_CAP_Pos                    0                                                       /*!< CT32B2 CR0: CAP Position                */
#define CT32B2_CR0_CAP_Msk                    (0xffffffffUL << CT32B2_CR0_CAP_Pos)                    /*!< CT32B2 CR0: CAP Mask                    */

/* ---------------------------------  CT32B2_CR1  --------------------------------- */
#define CT32B2_CR1_CAP_Pos                    0                                                       /*!< CT32B2 CR1: CAP Position                */
#define CT32B2_CR1_CAP_Msk                    (0xffffffffUL << CT32B2_CR1_CAP_Pos)                    /*!< CT32B2 CR1: CAP Mask                    */

/* ---------------------------------  CT32B2_CR2  --------------------------------- */
#define CT32B2_CR2_CAP_Pos                    0                                                       /*!< CT32B2 CR2: CAP Position                */
#define CT32B2_CR2_CAP_Msk                    (0xffffffffUL << CT32B2_CR2_CAP_Pos)                    /*!< CT32B2 CR2: CAP Mask                    */

/* ---------------------------------  CT32B2_CR3  --------------------------------- */
#define CT32B2_CR3_CAP_Pos                    0                                                       /*!< CT32B2 CR3: CAP Position                */
#define CT32B2_CR3_CAP_Msk                    (0xffffffffUL << CT32B2_CR3_CAP_Pos)                    /*!< CT32B2 CR3: CAP Mask                    */

/* ---------------------------------  CT32B2_EMR  --------------------------------- */
#define CT32B2_EMR_EM0_Pos                    0                                                       /*!< CT32B2 EMR: EM0 Position                */
#define CT32B2_EMR_EM0_Msk                    (0x01UL << CT32B2_EMR_EM0_Pos)                          /*!< CT32B2 EMR: EM0 Mask                    */
#define CT32B2_EMR_EM1_Pos                    1                                                       /*!< CT32B2 EMR: EM1 Position                */
#define CT32B2_EMR_EM1_Msk                    (0x01UL << CT32B2_EMR_EM1_Pos)                          /*!< CT32B2 EMR: EM1 Mask                    */
#define CT32B2_EMR_EM2_Pos                    2                                                       /*!< CT32B2 EMR: EM2 Position                */
#define CT32B2_EMR_EM2_Msk                    (0x01UL << CT32B2_EMR_EM2_Pos)                          /*!< CT32B2 EMR: EM2 Mask                    */
#define CT32B2_EMR_EM3_Pos                    3                                                       /*!< CT32B2 EMR: EM3 Position                */
#define CT32B2_EMR_EM3_Msk                    (0x01UL << CT32B2_EMR_EM3_Pos)                          /*!< CT32B2 EMR: EM3 Mask                    */
#define CT32B2_EMR_EMC0_Pos                   4                                                       /*!< CT32B2 EMR: EMC0 Position               */
#define CT32B2_EMR_EMC0_Msk                   (0x03UL << CT32B2_EMR_EMC0_Pos)                         /*!< CT32B2 EMR: EMC0 Mask                   */
#define CT32B2_EMR_EMC1_Pos                   6                                                       /*!< CT32B2 EMR: EMC1 Position               */
#define CT32B2_EMR_EMC1_Msk                   (0x03UL << CT32B2_EMR_EMC1_Pos)                         /*!< CT32B2 EMR: EMC1 Mask                   */
#define CT32B2_EMR_EMC2_Pos                   8                                                       /*!< CT32B2 EMR: EMC2 Position               */
#define CT32B2_EMR_EMC2_Msk                   (0x03UL << CT32B2_EMR_EMC2_Pos)                         /*!< CT32B2 EMR: EMC2 Mask                   */
#define CT32B2_EMR_EMC3_Pos                   10                                                      /*!< CT32B2 EMR: EMC3 Position               */
#define CT32B2_EMR_EMC3_Msk                   (0x03UL << CT32B2_EMR_EMC3_Pos)                         /*!< CT32B2 EMR: EMC3 Mask                   */

/* ---------------------------------  CT32B2_CTCR  -------------------------------- */
#define CT32B2_CTCR_CTMODE_Pos                0                                                       /*!< CT32B2 CTCR: CTMODE Position            */
#define CT32B2_CTCR_CTMODE_Msk                (0x03UL << CT32B2_CTCR_CTMODE_Pos)                      /*!< CT32B2 CTCR: CTMODE Mask                */
#define CT32B2_CTCR_CINSEL_Pos                2                                                       /*!< CT32B2 CTCR: CINSEL Position            */
#define CT32B2_CTCR_CINSEL_Msk                (0x03UL << CT32B2_CTCR_CINSEL_Pos)                      /*!< CT32B2 CTCR: CINSEL Mask                */
#define CT32B2_CTCR_ENCC_Pos                  4                                                       /*!< CT32B2 CTCR: ENCC Position              */
#define CT32B2_CTCR_ENCC_Msk                  (0x01UL << CT32B2_CTCR_ENCC_Pos)                        /*!< CT32B2 CTCR: ENCC Mask                  */
#define CT32B2_CTCR_SELCC_Pos                 5                                                       /*!< CT32B2 CTCR: SELCC Position             */
#define CT32B2_CTCR_SELCC_Msk                 (0x07UL << CT32B2_CTCR_SELCC_Pos)                       /*!< CT32B2 CTCR: SELCC Mask                 */

/* ---------------------------------  CT32B2_PWMC  -------------------------------- */
#define CT32B2_PWMC_PWMEN0_Pos                0                                                       /*!< CT32B2 PWMC: PWMEN0 Position            */
#define CT32B2_PWMC_PWMEN0_Msk                (0x01UL << CT32B2_PWMC_PWMEN0_Pos)                      /*!< CT32B2 PWMC: PWMEN0 Mask                */
#define CT32B2_PWMC_PWMEN1_Pos                1                                                       /*!< CT32B2 PWMC: PWMEN1 Position            */
#define CT32B2_PWMC_PWMEN1_Msk                (0x01UL << CT32B2_PWMC_PWMEN1_Pos)                      /*!< CT32B2 PWMC: PWMEN1 Mask                */
#define CT32B2_PWMC_PWMEN2_Pos                2                                                       /*!< CT32B2 PWMC: PWMEN2 Position            */
#define CT32B2_PWMC_PWMEN2_Msk                (0x01UL << CT32B2_PWMC_PWMEN2_Pos)                      /*!< CT32B2 PWMC: PWMEN2 Mask                */
#define CT32B2_PWMC_PWMEN3_Pos                3                                                       /*!< CT32B2 PWMC: PWMEN3 Position            */
#define CT32B2_PWMC_PWMEN3_Msk                (0x01UL << CT32B2_PWMC_PWMEN3_Pos)                      /*!< CT32B2 PWMC: PWMEN3 Mask                */


/* ================================================================================ */
/* ================         struct 'CT32B3' Position & Mask        ================ */
/* ================================================================================ */


/* ----------------------------------  CT32B3_IR  --------------------------------- */
#define CT32B3_IR_MR0INT_Pos                  0                                                       /*!< CT32B3 IR: MR0INT Position              */
#define CT32B3_IR_MR0INT_Msk                  (0x01UL << CT32B3_IR_MR0INT_Pos)                        /*!< CT32B3 IR: MR0INT Mask                  */
#define CT32B3_IR_MR1INT_Pos                  1                                                       /*!< CT32B3 IR: MR1INT Position              */
#define CT32B3_IR_MR1INT_Msk                  (0x01UL << CT32B3_IR_MR1INT_Pos)                        /*!< CT32B3 IR: MR1INT Mask                  */
#define CT32B3_IR_MR2INT_Pos                  2                                                       /*!< CT32B3 IR: MR2INT Position              */
#define CT32B3_IR_MR2INT_Msk                  (0x01UL << CT32B3_IR_MR2INT_Pos)                        /*!< CT32B3 IR: MR2INT Mask                  */
#define CT32B3_IR_MR3INT_Pos                  3                                                       /*!< CT32B3 IR: MR3INT Position              */
#define CT32B3_IR_MR3INT_Msk                  (0x01UL << CT32B3_IR_MR3INT_Pos)                        /*!< CT32B3 IR: MR3INT Mask                  */
#define CT32B3_IR_CR0INT_Pos                  4                                                       /*!< CT32B3 IR: CR0INT Position              */
#define CT32B3_IR_CR0INT_Msk                  (0x01UL << CT32B3_IR_CR0INT_Pos)                        /*!< CT32B3 IR: CR0INT Mask                  */
#define CT32B3_IR_CR1INT_Pos                  5                                                       /*!< CT32B3 IR: CR1INT Position              */
#define CT32B3_IR_CR1INT_Msk                  (0x01UL << CT32B3_IR_CR1INT_Pos)                        /*!< CT32B3 IR: CR1INT Mask                  */
#define CT32B3_IR_CR2INT_Pos                  6                                                       /*!< CT32B3 IR: CR2INT Position              */
#define CT32B3_IR_CR2INT_Msk                  (0x01UL << CT32B3_IR_CR2INT_Pos)                        /*!< CT32B3 IR: CR2INT Mask                  */
#define CT32B3_IR_CR3INT_Pos                  7                                                       /*!< CT32B3 IR: CR3INT Position              */
#define CT32B3_IR_CR3INT_Msk                  (0x01UL << CT32B3_IR_CR3INT_Pos)                        /*!< CT32B3 IR: CR3INT Mask                  */

/* ---------------------------------  CT32B3_TCR  --------------------------------- */
#define CT32B3_TCR_CEN_Pos                    0                                                       /*!< CT32B3 TCR: CEN Position                */
#define CT32B3_TCR_CEN_Msk                    (0x01UL << CT32B3_TCR_CEN_Pos)                          /*!< CT32B3 TCR: CEN Mask                    */
#define CT32B3_TCR_CRST_Pos                   1                                                       /*!< CT32B3 TCR: CRST Position               */
#define CT32B3_TCR_CRST_Msk                   (0x01UL << CT32B3_TCR_CRST_Pos)                         /*!< CT32B3 TCR: CRST Mask                   */

/* ----------------------------------  CT32B3_TC  --------------------------------- */
#define CT32B3_TC_TCVAL_Pos                   0                                                       /*!< CT32B3 TC: TCVAL Position               */
#define CT32B3_TC_TCVAL_Msk                   (0xffffffffUL << CT32B3_TC_TCVAL_Pos)                   /*!< CT32B3 TC: TCVAL Mask                   */

/* ----------------------------------  CT32B3_PR  --------------------------------- */
#define CT32B3_PR_PRVAL_Pos                   0                                                       /*!< CT32B3 PR: PRVAL Position               */
#define CT32B3_PR_PRVAL_Msk                   (0xffffffffUL << CT32B3_PR_PRVAL_Pos)                   /*!< CT32B3 PR: PRVAL Mask                   */

/* ----------------------------------  CT32B3_PC  --------------------------------- */
#define CT32B3_PC_PCVAL_Pos                   0                                                       /*!< CT32B3 PC: PCVAL Position               */
#define CT32B3_PC_PCVAL_Msk                   (0xffffffffUL << CT32B3_PC_PCVAL_Pos)                   /*!< CT32B3 PC: PCVAL Mask                   */

/* ---------------------------------  CT32B3_MCR  --------------------------------- */
#define CT32B3_MCR_MR0I_Pos                   0                                                       /*!< CT32B3 MCR: MR0I Position               */
#define CT32B3_MCR_MR0I_Msk                   (0x01UL << CT32B3_MCR_MR0I_Pos)                         /*!< CT32B3 MCR: MR0I Mask                   */
#define CT32B3_MCR_MR0R_Pos                   1                                                       /*!< CT32B3 MCR: MR0R Position               */
#define CT32B3_MCR_MR0R_Msk                   (0x01UL << CT32B3_MCR_MR0R_Pos)                         /*!< CT32B3 MCR: MR0R Mask                   */
#define CT32B3_MCR_MR0S_Pos                   2                                                       /*!< CT32B3 MCR: MR0S Position               */
#define CT32B3_MCR_MR0S_Msk                   (0x01UL << CT32B3_MCR_MR0S_Pos)                         /*!< CT32B3 MCR: MR0S Mask                   */
#define CT32B3_MCR_MR1I_Pos                   3                                                       /*!< CT32B3 MCR: MR1I Position               */
#define CT32B3_MCR_MR1I_Msk                   (0x01UL << CT32B3_MCR_MR1I_Pos)                         /*!< CT32B3 MCR: MR1I Mask                   */
#define CT32B3_MCR_MR1R_Pos                   4                                                       /*!< CT32B3 MCR: MR1R Position               */
#define CT32B3_MCR_MR1R_Msk                   (0x01UL << CT32B3_MCR_MR1R_Pos)                         /*!< CT32B3 MCR: MR1R Mask                   */
#define CT32B3_MCR_MR1S_Pos                   5                                                       /*!< CT32B3 MCR: MR1S Position               */
#define CT32B3_MCR_MR1S_Msk                   (0x01UL << CT32B3_MCR_MR1S_Pos)                         /*!< CT32B3 MCR: MR1S Mask                   */
#define CT32B3_MCR_MR2I_Pos                   6                                                       /*!< CT32B3 MCR: MR2I Position               */
#define CT32B3_MCR_MR2I_Msk                   (0x01UL << CT32B3_MCR_MR2I_Pos)                         /*!< CT32B3 MCR: MR2I Mask                   */
#define CT32B3_MCR_MR2R_Pos                   7                                                       /*!< CT32B3 MCR: MR2R Position               */
#define CT32B3_MCR_MR2R_Msk                   (0x01UL << CT32B3_MCR_MR2R_Pos)                         /*!< CT32B3 MCR: MR2R Mask                   */
#define CT32B3_MCR_MR2S_Pos                   8                                                       /*!< CT32B3 MCR: MR2S Position               */
#define CT32B3_MCR_MR2S_Msk                   (0x01UL << CT32B3_MCR_MR2S_Pos)                         /*!< CT32B3 MCR: MR2S Mask                   */
#define CT32B3_MCR_MR3I_Pos                   9                                                       /*!< CT32B3 MCR: MR3I Position               */
#define CT32B3_MCR_MR3I_Msk                   (0x01UL << CT32B3_MCR_MR3I_Pos)                         /*!< CT32B3 MCR: MR3I Mask                   */
#define CT32B3_MCR_MR3R_Pos                   10                                                      /*!< CT32B3 MCR: MR3R Position               */
#define CT32B3_MCR_MR3R_Msk                   (0x01UL << CT32B3_MCR_MR3R_Pos)                         /*!< CT32B3 MCR: MR3R Mask                   */
#define CT32B3_MCR_MR3S_Pos                   11                                                      /*!< CT32B3 MCR: MR3S Position               */
#define CT32B3_MCR_MR3S_Msk                   (0x01UL << CT32B3_MCR_MR3S_Pos)                         /*!< CT32B3 MCR: MR3S Mask                   */

/* ---------------------------------  CT32B3_MR0  --------------------------------- */
#define CT32B3_MR0_MATCH_Pos                  0                                                       /*!< CT32B3 MR0: MATCH Position              */
#define CT32B3_MR0_MATCH_Msk                  (0xffffffffUL << CT32B3_MR0_MATCH_Pos)                  /*!< CT32B3 MR0: MATCH Mask                  */

/* ---------------------------------  CT32B3_MR1  --------------------------------- */
#define CT32B3_MR1_MATCH_Pos                  0                                                       /*!< CT32B3 MR1: MATCH Position              */
#define CT32B3_MR1_MATCH_Msk                  (0xffffffffUL << CT32B3_MR1_MATCH_Pos)                  /*!< CT32B3 MR1: MATCH Mask                  */

/* ---------------------------------  CT32B3_MR2  --------------------------------- */
#define CT32B3_MR2_MATCH_Pos                  0                                                       /*!< CT32B3 MR2: MATCH Position              */
#define CT32B3_MR2_MATCH_Msk                  (0xffffffffUL << CT32B3_MR2_MATCH_Pos)                  /*!< CT32B3 MR2: MATCH Mask                  */

/* ---------------------------------  CT32B3_MR3  --------------------------------- */
#define CT32B3_MR3_MATCH_Pos                  0                                                       /*!< CT32B3 MR3: MATCH Position              */
#define CT32B3_MR3_MATCH_Msk                  (0xffffffffUL << CT32B3_MR3_MATCH_Pos)                  /*!< CT32B3 MR3: MATCH Mask                  */

/* ---------------------------------  CT32B3_CCR  --------------------------------- */
#define CT32B3_CCR_CAP0RE_Pos                 0                                                       /*!< CT32B3 CCR: CAP0RE Position             */
#define CT32B3_CCR_CAP0RE_Msk                 (0x01UL << CT32B3_CCR_CAP0RE_Pos)                       /*!< CT32B3 CCR: CAP0RE Mask                 */
#define CT32B3_CCR_CAP0FE_Pos                 1                                                       /*!< CT32B3 CCR: CAP0FE Position             */
#define CT32B3_CCR_CAP0FE_Msk                 (0x01UL << CT32B3_CCR_CAP0FE_Pos)                       /*!< CT32B3 CCR: CAP0FE Mask                 */
#define CT32B3_CCR_CAP0I_Pos                  2                                                       /*!< CT32B3 CCR: CAP0I Position              */
#define CT32B3_CCR_CAP0I_Msk                  (0x01UL << CT32B3_CCR_CAP0I_Pos)                        /*!< CT32B3 CCR: CAP0I Mask                  */
#define CT32B3_CCR_CAP1RE_Pos                 3                                                       /*!< CT32B3 CCR: CAP1RE Position             */
#define CT32B3_CCR_CAP1RE_Msk                 (0x01UL << CT32B3_CCR_CAP1RE_Pos)                       /*!< CT32B3 CCR: CAP1RE Mask                 */
#define CT32B3_CCR_CAP1FE_Pos                 4                                                       /*!< CT32B3 CCR: CAP1FE Position             */
#define CT32B3_CCR_CAP1FE_Msk                 (0x01UL << CT32B3_CCR_CAP1FE_Pos)                       /*!< CT32B3 CCR: CAP1FE Mask                 */
#define CT32B3_CCR_CAP1I_Pos                  5                                                       /*!< CT32B3 CCR: CAP1I Position              */
#define CT32B3_CCR_CAP1I_Msk                  (0x01UL << CT32B3_CCR_CAP1I_Pos)                        /*!< CT32B3 CCR: CAP1I Mask                  */
#define CT32B3_CCR_CAP2RE_Pos                 6                                                       /*!< CT32B3 CCR: CAP2RE Position             */
#define CT32B3_CCR_CAP2RE_Msk                 (0x01UL << CT32B3_CCR_CAP2RE_Pos)                       /*!< CT32B3 CCR: CAP2RE Mask                 */
#define CT32B3_CCR_CAP2FE_Pos                 7                                                       /*!< CT32B3 CCR: CAP2FE Position             */
#define CT32B3_CCR_CAP2FE_Msk                 (0x01UL << CT32B3_CCR_CAP2FE_Pos)                       /*!< CT32B3 CCR: CAP2FE Mask                 */
#define CT32B3_CCR_CAP2I_Pos                  8                                                       /*!< CT32B3 CCR: CAP2I Position              */
#define CT32B3_CCR_CAP2I_Msk                  (0x01UL << CT32B3_CCR_CAP2I_Pos)                        /*!< CT32B3 CCR: CAP2I Mask                  */
#define CT32B3_CCR_CAP3RE_Pos                 9                                                       /*!< CT32B3 CCR: CAP3RE Position             */
#define CT32B3_CCR_CAP3RE_Msk                 (0x01UL << CT32B3_CCR_CAP3RE_Pos)                       /*!< CT32B3 CCR: CAP3RE Mask                 */
#define CT32B3_CCR_CAP3FE_Pos                 10                                                      /*!< CT32B3 CCR: CAP3FE Position             */
#define CT32B3_CCR_CAP3FE_Msk                 (0x01UL << CT32B3_CCR_CAP3FE_Pos)                       /*!< CT32B3 CCR: CAP3FE Mask                 */
#define CT32B3_CCR_CAP3I_Pos                  11                                                      /*!< CT32B3 CCR: CAP3I Position              */
#define CT32B3_CCR_CAP3I_Msk                  (0x01UL << CT32B3_CCR_CAP3I_Pos)                        /*!< CT32B3 CCR: CAP3I Mask                  */

/* ---------------------------------  CT32B3_CR0  --------------------------------- */
#define CT32B3_CR0_CAP_Pos                    0                                                       /*!< CT32B3 CR0: CAP Position                */
#define CT32B3_CR0_CAP_Msk                    (0xffffffffUL << CT32B3_CR0_CAP_Pos)                    /*!< CT32B3 CR0: CAP Mask                    */

/* ---------------------------------  CT32B3_CR1  --------------------------------- */
#define CT32B3_CR1_CAP_Pos                    0                                                       /*!< CT32B3 CR1: CAP Position                */
#define CT32B3_CR1_CAP_Msk                    (0xffffffffUL << CT32B3_CR1_CAP_Pos)                    /*!< CT32B3 CR1: CAP Mask                    */

/* ---------------------------------  CT32B3_CR2  --------------------------------- */
#define CT32B3_CR2_CAP_Pos                    0                                                       /*!< CT32B3 CR2: CAP Position                */
#define CT32B3_CR2_CAP_Msk                    (0xffffffffUL << CT32B3_CR2_CAP_Pos)                    /*!< CT32B3 CR2: CAP Mask                    */

/* ---------------------------------  CT32B3_CR3  --------------------------------- */
#define CT32B3_CR3_CAP_Pos                    0                                                       /*!< CT32B3 CR3: CAP Position                */
#define CT32B3_CR3_CAP_Msk                    (0xffffffffUL << CT32B3_CR3_CAP_Pos)                    /*!< CT32B3 CR3: CAP Mask                    */

/* ---------------------------------  CT32B3_EMR  --------------------------------- */
#define CT32B3_EMR_EM0_Pos                    0                                                       /*!< CT32B3 EMR: EM0 Position                */
#define CT32B3_EMR_EM0_Msk                    (0x01UL << CT32B3_EMR_EM0_Pos)                          /*!< CT32B3 EMR: EM0 Mask                    */
#define CT32B3_EMR_EM1_Pos                    1                                                       /*!< CT32B3 EMR: EM1 Position                */
#define CT32B3_EMR_EM1_Msk                    (0x01UL << CT32B3_EMR_EM1_Pos)                          /*!< CT32B3 EMR: EM1 Mask                    */
#define CT32B3_EMR_EM2_Pos                    2                                                       /*!< CT32B3 EMR: EM2 Position                */
#define CT32B3_EMR_EM2_Msk                    (0x01UL << CT32B3_EMR_EM2_Pos)                          /*!< CT32B3 EMR: EM2 Mask                    */
#define CT32B3_EMR_EM3_Pos                    3                                                       /*!< CT32B3 EMR: EM3 Position                */
#define CT32B3_EMR_EM3_Msk                    (0x01UL << CT32B3_EMR_EM3_Pos)                          /*!< CT32B3 EMR: EM3 Mask                    */
#define CT32B3_EMR_EMC0_Pos                   4                                                       /*!< CT32B3 EMR: EMC0 Position               */
#define CT32B3_EMR_EMC0_Msk                   (0x03UL << CT32B3_EMR_EMC0_Pos)                         /*!< CT32B3 EMR: EMC0 Mask                   */
#define CT32B3_EMR_EMC1_Pos                   6                                                       /*!< CT32B3 EMR: EMC1 Position               */
#define CT32B3_EMR_EMC1_Msk                   (0x03UL << CT32B3_EMR_EMC1_Pos)                         /*!< CT32B3 EMR: EMC1 Mask                   */
#define CT32B3_EMR_EMC2_Pos                   8                                                       /*!< CT32B3 EMR: EMC2 Position               */
#define CT32B3_EMR_EMC2_Msk                   (0x03UL << CT32B3_EMR_EMC2_Pos)                         /*!< CT32B3 EMR: EMC2 Mask                   */
#define CT32B3_EMR_EMC3_Pos                   10                                                      /*!< CT32B3 EMR: EMC3 Position               */
#define CT32B3_EMR_EMC3_Msk                   (0x03UL << CT32B3_EMR_EMC3_Pos)                         /*!< CT32B3 EMR: EMC3 Mask                   */

/* ---------------------------------  CT32B3_CTCR  -------------------------------- */
#define CT32B3_CTCR_CTMODE_Pos                0                                                       /*!< CT32B3 CTCR: CTMODE Position            */
#define CT32B3_CTCR_CTMODE_Msk                (0x03UL << CT32B3_CTCR_CTMODE_Pos)                      /*!< CT32B3 CTCR: CTMODE Mask                */
#define CT32B3_CTCR_CINSEL_Pos                2                                                       /*!< CT32B3 CTCR: CINSEL Position            */
#define CT32B3_CTCR_CINSEL_Msk                (0x03UL << CT32B3_CTCR_CINSEL_Pos)                      /*!< CT32B3 CTCR: CINSEL Mask                */
#define CT32B3_CTCR_ENCC_Pos                  4                                                       /*!< CT32B3 CTCR: ENCC Position              */
#define CT32B3_CTCR_ENCC_Msk                  (0x01UL << CT32B3_CTCR_ENCC_Pos)                        /*!< CT32B3 CTCR: ENCC Mask                  */
#define CT32B3_CTCR_SELCC_Pos                 5                                                       /*!< CT32B3 CTCR: SELCC Position             */
#define CT32B3_CTCR_SELCC_Msk                 (0x07UL << CT32B3_CTCR_SELCC_Pos)                       /*!< CT32B3 CTCR: SELCC Mask                 */

/* ---------------------------------  CT32B3_PWMC  -------------------------------- */
#define CT32B3_PWMC_PWMEN0_Pos                0                                                       /*!< CT32B3 PWMC: PWMEN0 Position            */
#define CT32B3_PWMC_PWMEN0_Msk                (0x01UL << CT32B3_PWMC_PWMEN0_Pos)                      /*!< CT32B3 PWMC: PWMEN0 Mask                */
#define CT32B3_PWMC_PWMEN1_Pos                1                                                       /*!< CT32B3 PWMC: PWMEN1 Position            */
#define CT32B3_PWMC_PWMEN1_Msk                (0x01UL << CT32B3_PWMC_PWMEN1_Pos)                      /*!< CT32B3 PWMC: PWMEN1 Mask                */
#define CT32B3_PWMC_PWMEN2_Pos                2                                                       /*!< CT32B3 PWMC: PWMEN2 Position            */
#define CT32B3_PWMC_PWMEN2_Msk                (0x01UL << CT32B3_PWMC_PWMEN2_Pos)                      /*!< CT32B3 PWMC: PWMEN2 Mask                */
#define CT32B3_PWMC_PWMEN3_Pos                3                                                       /*!< CT32B3 PWMC: PWMEN3 Position            */
#define CT32B3_PWMC_PWMEN3_Msk                (0x01UL << CT32B3_PWMC_PWMEN3_Pos)                      /*!< CT32B3 PWMC: PWMEN3 Mask                */


/* ================================================================================ */
/* ================         struct 'CT32B4' Position & Mask        ================ */
/* ================================================================================ */


/* ----------------------------------  CT32B4_IR  --------------------------------- */
#define CT32B4_IR_MR0INT_Pos                  0                                                       /*!< CT32B4 IR: MR0INT Position              */
#define CT32B4_IR_MR0INT_Msk                  (0x01UL << CT32B4_IR_MR0INT_Pos)                        /*!< CT32B4 IR: MR0INT Mask                  */
#define CT32B4_IR_MR1INT_Pos                  1                                                       /*!< CT32B4 IR: MR1INT Position              */
#define CT32B4_IR_MR1INT_Msk                  (0x01UL << CT32B4_IR_MR1INT_Pos)                        /*!< CT32B4 IR: MR1INT Mask                  */
#define CT32B4_IR_MR2INT_Pos                  2                                                       /*!< CT32B4 IR: MR2INT Position              */
#define CT32B4_IR_MR2INT_Msk                  (0x01UL << CT32B4_IR_MR2INT_Pos)                        /*!< CT32B4 IR: MR2INT Mask                  */
#define CT32B4_IR_MR3INT_Pos                  3                                                       /*!< CT32B4 IR: MR3INT Position              */
#define CT32B4_IR_MR3INT_Msk                  (0x01UL << CT32B4_IR_MR3INT_Pos)                        /*!< CT32B4 IR: MR3INT Mask                  */
#define CT32B4_IR_CR0INT_Pos                  4                                                       /*!< CT32B4 IR: CR0INT Position              */
#define CT32B4_IR_CR0INT_Msk                  (0x01UL << CT32B4_IR_CR0INT_Pos)                        /*!< CT32B4 IR: CR0INT Mask                  */
#define CT32B4_IR_CR1INT_Pos                  5                                                       /*!< CT32B4 IR: CR1INT Position              */
#define CT32B4_IR_CR1INT_Msk                  (0x01UL << CT32B4_IR_CR1INT_Pos)                        /*!< CT32B4 IR: CR1INT Mask                  */
#define CT32B4_IR_CR2INT_Pos                  6                                                       /*!< CT32B4 IR: CR2INT Position              */
#define CT32B4_IR_CR2INT_Msk                  (0x01UL << CT32B4_IR_CR2INT_Pos)                        /*!< CT32B4 IR: CR2INT Mask                  */
#define CT32B4_IR_CR3INT_Pos                  7                                                       /*!< CT32B4 IR: CR3INT Position              */
#define CT32B4_IR_CR3INT_Msk                  (0x01UL << CT32B4_IR_CR3INT_Pos)                        /*!< CT32B4 IR: CR3INT Mask                  */

/* ---------------------------------  CT32B4_TCR  --------------------------------- */
#define CT32B4_TCR_CEN_Pos                    0                                                       /*!< CT32B4 TCR: CEN Position                */
#define CT32B4_TCR_CEN_Msk                    (0x01UL << CT32B4_TCR_CEN_Pos)                          /*!< CT32B4 TCR: CEN Mask                    */
#define CT32B4_TCR_CRST_Pos                   1                                                       /*!< CT32B4 TCR: CRST Position               */
#define CT32B4_TCR_CRST_Msk                   (0x01UL << CT32B4_TCR_CRST_Pos)                         /*!< CT32B4 TCR: CRST Mask                   */

/* ----------------------------------  CT32B4_TC  --------------------------------- */
#define CT32B4_TC_TCVAL_Pos                   0                                                       /*!< CT32B4 TC: TCVAL Position               */
#define CT32B4_TC_TCVAL_Msk                   (0xffffffffUL << CT32B4_TC_TCVAL_Pos)                   /*!< CT32B4 TC: TCVAL Mask                   */

/* ----------------------------------  CT32B4_PR  --------------------------------- */
#define CT32B4_PR_PRVAL_Pos                   0                                                       /*!< CT32B4 PR: PRVAL Position               */
#define CT32B4_PR_PRVAL_Msk                   (0xffffffffUL << CT32B4_PR_PRVAL_Pos)                   /*!< CT32B4 PR: PRVAL Mask                   */

/* ----------------------------------  CT32B4_PC  --------------------------------- */
#define CT32B4_PC_PCVAL_Pos                   0                                                       /*!< CT32B4 PC: PCVAL Position               */
#define CT32B4_PC_PCVAL_Msk                   (0xffffffffUL << CT32B4_PC_PCVAL_Pos)                   /*!< CT32B4 PC: PCVAL Mask                   */

/* ---------------------------------  CT32B4_MCR  --------------------------------- */
#define CT32B4_MCR_MR0I_Pos                   0                                                       /*!< CT32B4 MCR: MR0I Position               */
#define CT32B4_MCR_MR0I_Msk                   (0x01UL << CT32B4_MCR_MR0I_Pos)                         /*!< CT32B4 MCR: MR0I Mask                   */
#define CT32B4_MCR_MR0R_Pos                   1                                                       /*!< CT32B4 MCR: MR0R Position               */
#define CT32B4_MCR_MR0R_Msk                   (0x01UL << CT32B4_MCR_MR0R_Pos)                         /*!< CT32B4 MCR: MR0R Mask                   */
#define CT32B4_MCR_MR0S_Pos                   2                                                       /*!< CT32B4 MCR: MR0S Position               */
#define CT32B4_MCR_MR0S_Msk                   (0x01UL << CT32B4_MCR_MR0S_Pos)                         /*!< CT32B4 MCR: MR0S Mask                   */
#define CT32B4_MCR_MR1I_Pos                   3                                                       /*!< CT32B4 MCR: MR1I Position               */
#define CT32B4_MCR_MR1I_Msk                   (0x01UL << CT32B4_MCR_MR1I_Pos)                         /*!< CT32B4 MCR: MR1I Mask                   */
#define CT32B4_MCR_MR1R_Pos                   4                                                       /*!< CT32B4 MCR: MR1R Position               */
#define CT32B4_MCR_MR1R_Msk                   (0x01UL << CT32B4_MCR_MR1R_Pos)                         /*!< CT32B4 MCR: MR1R Mask                   */
#define CT32B4_MCR_MR1S_Pos                   5                                                       /*!< CT32B4 MCR: MR1S Position               */
#define CT32B4_MCR_MR1S_Msk                   (0x01UL << CT32B4_MCR_MR1S_Pos)                         /*!< CT32B4 MCR: MR1S Mask                   */
#define CT32B4_MCR_MR2I_Pos                   6                                                       /*!< CT32B4 MCR: MR2I Position               */
#define CT32B4_MCR_MR2I_Msk                   (0x01UL << CT32B4_MCR_MR2I_Pos)                         /*!< CT32B4 MCR: MR2I Mask                   */
#define CT32B4_MCR_MR2R_Pos                   7                                                       /*!< CT32B4 MCR: MR2R Position               */
#define CT32B4_MCR_MR2R_Msk                   (0x01UL << CT32B4_MCR_MR2R_Pos)                         /*!< CT32B4 MCR: MR2R Mask                   */
#define CT32B4_MCR_MR2S_Pos                   8                                                       /*!< CT32B4 MCR: MR2S Position               */
#define CT32B4_MCR_MR2S_Msk                   (0x01UL << CT32B4_MCR_MR2S_Pos)                         /*!< CT32B4 MCR: MR2S Mask                   */
#define CT32B4_MCR_MR3I_Pos                   9                                                       /*!< CT32B4 MCR: MR3I Position               */
#define CT32B4_MCR_MR3I_Msk                   (0x01UL << CT32B4_MCR_MR3I_Pos)                         /*!< CT32B4 MCR: MR3I Mask                   */
#define CT32B4_MCR_MR3R_Pos                   10                                                      /*!< CT32B4 MCR: MR3R Position               */
#define CT32B4_MCR_MR3R_Msk                   (0x01UL << CT32B4_MCR_MR3R_Pos)                         /*!< CT32B4 MCR: MR3R Mask                   */
#define CT32B4_MCR_MR3S_Pos                   11                                                      /*!< CT32B4 MCR: MR3S Position               */
#define CT32B4_MCR_MR3S_Msk                   (0x01UL << CT32B4_MCR_MR3S_Pos)                         /*!< CT32B4 MCR: MR3S Mask                   */

/* ---------------------------------  CT32B4_MR0  --------------------------------- */
#define CT32B4_MR0_MATCH_Pos                  0                                                       /*!< CT32B4 MR0: MATCH Position              */
#define CT32B4_MR0_MATCH_Msk                  (0xffffffffUL << CT32B4_MR0_MATCH_Pos)                  /*!< CT32B4 MR0: MATCH Mask                  */

/* ---------------------------------  CT32B4_MR1  --------------------------------- */
#define CT32B4_MR1_MATCH_Pos                  0                                                       /*!< CT32B4 MR1: MATCH Position              */
#define CT32B4_MR1_MATCH_Msk                  (0xffffffffUL << CT32B4_MR1_MATCH_Pos)                  /*!< CT32B4 MR1: MATCH Mask                  */

/* ---------------------------------  CT32B4_MR2  --------------------------------- */
#define CT32B4_MR2_MATCH_Pos                  0                                                       /*!< CT32B4 MR2: MATCH Position              */
#define CT32B4_MR2_MATCH_Msk                  (0xffffffffUL << CT32B4_MR2_MATCH_Pos)                  /*!< CT32B4 MR2: MATCH Mask                  */

/* ---------------------------------  CT32B4_MR3  --------------------------------- */
#define CT32B4_MR3_MATCH_Pos                  0                                                       /*!< CT32B4 MR3: MATCH Position              */
#define CT32B4_MR3_MATCH_Msk                  (0xffffffffUL << CT32B4_MR3_MATCH_Pos)                  /*!< CT32B4 MR3: MATCH Mask                  */

/* ---------------------------------  CT32B4_CCR  --------------------------------- */
#define CT32B4_CCR_CAP0RE_Pos                 0                                                       /*!< CT32B4 CCR: CAP0RE Position             */
#define CT32B4_CCR_CAP0RE_Msk                 (0x01UL << CT32B4_CCR_CAP0RE_Pos)                       /*!< CT32B4 CCR: CAP0RE Mask                 */
#define CT32B4_CCR_CAP0FE_Pos                 1                                                       /*!< CT32B4 CCR: CAP0FE Position             */
#define CT32B4_CCR_CAP0FE_Msk                 (0x01UL << CT32B4_CCR_CAP0FE_Pos)                       /*!< CT32B4 CCR: CAP0FE Mask                 */
#define CT32B4_CCR_CAP0I_Pos                  2                                                       /*!< CT32B4 CCR: CAP0I Position              */
#define CT32B4_CCR_CAP0I_Msk                  (0x01UL << CT32B4_CCR_CAP0I_Pos)                        /*!< CT32B4 CCR: CAP0I Mask                  */
#define CT32B4_CCR_CAP1RE_Pos                 3                                                       /*!< CT32B4 CCR: CAP1RE Position             */
#define CT32B4_CCR_CAP1RE_Msk                 (0x01UL << CT32B4_CCR_CAP1RE_Pos)                       /*!< CT32B4 CCR: CAP1RE Mask                 */
#define CT32B4_CCR_CAP1FE_Pos                 4                                                       /*!< CT32B4 CCR: CAP1FE Position             */
#define CT32B4_CCR_CAP1FE_Msk                 (0x01UL << CT32B4_CCR_CAP1FE_Pos)                       /*!< CT32B4 CCR: CAP1FE Mask                 */
#define CT32B4_CCR_CAP1I_Pos                  5                                                       /*!< CT32B4 CCR: CAP1I Position              */
#define CT32B4_CCR_CAP1I_Msk                  (0x01UL << CT32B4_CCR_CAP1I_Pos)                        /*!< CT32B4 CCR: CAP1I Mask                  */
#define CT32B4_CCR_CAP2RE_Pos                 6                                                       /*!< CT32B4 CCR: CAP2RE Position             */
#define CT32B4_CCR_CAP2RE_Msk                 (0x01UL << CT32B4_CCR_CAP2RE_Pos)                       /*!< CT32B4 CCR: CAP2RE Mask                 */
#define CT32B4_CCR_CAP2FE_Pos                 7                                                       /*!< CT32B4 CCR: CAP2FE Position             */
#define CT32B4_CCR_CAP2FE_Msk                 (0x01UL << CT32B4_CCR_CAP2FE_Pos)                       /*!< CT32B4 CCR: CAP2FE Mask                 */
#define CT32B4_CCR_CAP2I_Pos                  8                                                       /*!< CT32B4 CCR: CAP2I Position              */
#define CT32B4_CCR_CAP2I_Msk                  (0x01UL << CT32B4_CCR_CAP2I_Pos)                        /*!< CT32B4 CCR: CAP2I Mask                  */
#define CT32B4_CCR_CAP3RE_Pos                 9                                                       /*!< CT32B4 CCR: CAP3RE Position             */
#define CT32B4_CCR_CAP3RE_Msk                 (0x01UL << CT32B4_CCR_CAP3RE_Pos)                       /*!< CT32B4 CCR: CAP3RE Mask                 */
#define CT32B4_CCR_CAP3FE_Pos                 10                                                      /*!< CT32B4 CCR: CAP3FE Position             */
#define CT32B4_CCR_CAP3FE_Msk                 (0x01UL << CT32B4_CCR_CAP3FE_Pos)                       /*!< CT32B4 CCR: CAP3FE Mask                 */
#define CT32B4_CCR_CAP3I_Pos                  11                                                      /*!< CT32B4 CCR: CAP3I Position              */
#define CT32B4_CCR_CAP3I_Msk                  (0x01UL << CT32B4_CCR_CAP3I_Pos)                        /*!< CT32B4 CCR: CAP3I Mask                  */

/* ---------------------------------  CT32B4_CR0  --------------------------------- */
#define CT32B4_CR0_CAP_Pos                    0                                                       /*!< CT32B4 CR0: CAP Position                */
#define CT32B4_CR0_CAP_Msk                    (0xffffffffUL << CT32B4_CR0_CAP_Pos)                    /*!< CT32B4 CR0: CAP Mask                    */

/* ---------------------------------  CT32B4_CR1  --------------------------------- */
#define CT32B4_CR1_CAP_Pos                    0                                                       /*!< CT32B4 CR1: CAP Position                */
#define CT32B4_CR1_CAP_Msk                    (0xffffffffUL << CT32B4_CR1_CAP_Pos)                    /*!< CT32B4 CR1: CAP Mask                    */

/* ---------------------------------  CT32B4_CR2  --------------------------------- */
#define CT32B4_CR2_CAP_Pos                    0                                                       /*!< CT32B4 CR2: CAP Position                */
#define CT32B4_CR2_CAP_Msk                    (0xffffffffUL << CT32B4_CR2_CAP_Pos)                    /*!< CT32B4 CR2: CAP Mask                    */

/* ---------------------------------  CT32B4_CR3  --------------------------------- */
#define CT32B4_CR3_CAP_Pos                    0                                                       /*!< CT32B4 CR3: CAP Position                */
#define CT32B4_CR3_CAP_Msk                    (0xffffffffUL << CT32B4_CR3_CAP_Pos)                    /*!< CT32B4 CR3: CAP Mask                    */

/* ---------------------------------  CT32B4_EMR  --------------------------------- */
#define CT32B4_EMR_EM0_Pos                    0                                                       /*!< CT32B4 EMR: EM0 Position                */
#define CT32B4_EMR_EM0_Msk                    (0x01UL << CT32B4_EMR_EM0_Pos)                          /*!< CT32B4 EMR: EM0 Mask                    */
#define CT32B4_EMR_EM1_Pos                    1                                                       /*!< CT32B4 EMR: EM1 Position                */
#define CT32B4_EMR_EM1_Msk                    (0x01UL << CT32B4_EMR_EM1_Pos)                          /*!< CT32B4 EMR: EM1 Mask                    */
#define CT32B4_EMR_EM2_Pos                    2                                                       /*!< CT32B4 EMR: EM2 Position                */
#define CT32B4_EMR_EM2_Msk                    (0x01UL << CT32B4_EMR_EM2_Pos)                          /*!< CT32B4 EMR: EM2 Mask                    */
#define CT32B4_EMR_EM3_Pos                    3                                                       /*!< CT32B4 EMR: EM3 Position                */
#define CT32B4_EMR_EM3_Msk                    (0x01UL << CT32B4_EMR_EM3_Pos)                          /*!< CT32B4 EMR: EM3 Mask                    */
#define CT32B4_EMR_EMC0_Pos                   4                                                       /*!< CT32B4 EMR: EMC0 Position               */
#define CT32B4_EMR_EMC0_Msk                   (0x03UL << CT32B4_EMR_EMC0_Pos)                         /*!< CT32B4 EMR: EMC0 Mask                   */
#define CT32B4_EMR_EMC1_Pos                   6                                                       /*!< CT32B4 EMR: EMC1 Position               */
#define CT32B4_EMR_EMC1_Msk                   (0x03UL << CT32B4_EMR_EMC1_Pos)                         /*!< CT32B4 EMR: EMC1 Mask                   */
#define CT32B4_EMR_EMC2_Pos                   8                                                       /*!< CT32B4 EMR: EMC2 Position               */
#define CT32B4_EMR_EMC2_Msk                   (0x03UL << CT32B4_EMR_EMC2_Pos)                         /*!< CT32B4 EMR: EMC2 Mask                   */
#define CT32B4_EMR_EMC3_Pos                   10                                                      /*!< CT32B4 EMR: EMC3 Position               */
#define CT32B4_EMR_EMC3_Msk                   (0x03UL << CT32B4_EMR_EMC3_Pos)                         /*!< CT32B4 EMR: EMC3 Mask                   */

/* ---------------------------------  CT32B4_CTCR  -------------------------------- */
#define CT32B4_CTCR_CTMODE_Pos                0                                                       /*!< CT32B4 CTCR: CTMODE Position            */
#define CT32B4_CTCR_CTMODE_Msk                (0x03UL << CT32B4_CTCR_CTMODE_Pos)                      /*!< CT32B4 CTCR: CTMODE Mask                */
#define CT32B4_CTCR_CINSEL_Pos                2                                                       /*!< CT32B4 CTCR: CINSEL Position            */
#define CT32B4_CTCR_CINSEL_Msk                (0x03UL << CT32B4_CTCR_CINSEL_Pos)                      /*!< CT32B4 CTCR: CINSEL Mask                */
#define CT32B4_CTCR_ENCC_Pos                  4                                                       /*!< CT32B4 CTCR: ENCC Position              */
#define CT32B4_CTCR_ENCC_Msk                  (0x01UL << CT32B4_CTCR_ENCC_Pos)                        /*!< CT32B4 CTCR: ENCC Mask                  */
#define CT32B4_CTCR_SELCC_Pos                 5                                                       /*!< CT32B4 CTCR: SELCC Position             */
#define CT32B4_CTCR_SELCC_Msk                 (0x07UL << CT32B4_CTCR_SELCC_Pos)                       /*!< CT32B4 CTCR: SELCC Mask                 */

/* ---------------------------------  CT32B4_PWMC  -------------------------------- */
#define CT32B4_PWMC_PWMEN0_Pos                0                                                       /*!< CT32B4 PWMC: PWMEN0 Position            */
#define CT32B4_PWMC_PWMEN0_Msk                (0x01UL << CT32B4_PWMC_PWMEN0_Pos)                      /*!< CT32B4 PWMC: PWMEN0 Mask                */
#define CT32B4_PWMC_PWMEN1_Pos                1                                                       /*!< CT32B4 PWMC: PWMEN1 Position            */
#define CT32B4_PWMC_PWMEN1_Msk                (0x01UL << CT32B4_PWMC_PWMEN1_Pos)                      /*!< CT32B4 PWMC: PWMEN1 Mask                */
#define CT32B4_PWMC_PWMEN2_Pos                2                                                       /*!< CT32B4 PWMC: PWMEN2 Position            */
#define CT32B4_PWMC_PWMEN2_Msk                (0x01UL << CT32B4_PWMC_PWMEN2_Pos)                      /*!< CT32B4 PWMC: PWMEN2 Mask                */
#define CT32B4_PWMC_PWMEN3_Pos                3                                                       /*!< CT32B4 PWMC: PWMEN3 Position            */
#define CT32B4_PWMC_PWMEN3_Msk                (0x01UL << CT32B4_PWMC_PWMEN3_Pos)                      /*!< CT32B4 PWMC: PWMEN3 Mask                */


/* ================================================================================ */
/* ================         struct 'GINT0' Position & Mask         ================ */
/* ================================================================================ */


/* ---------------------------------  GINT0_CTRL  --------------------------------- */
#define GINT0_CTRL_INT_Pos                    0                                                       /*!< GINT0 CTRL: INT Position                */
#define GINT0_CTRL_INT_Msk                    (0x01UL << GINT0_CTRL_INT_Pos)                          /*!< GINT0 CTRL: INT Mask                    */
#define GINT0_CTRL_COMB_Pos                   1                                                       /*!< GINT0 CTRL: COMB Position               */
#define GINT0_CTRL_COMB_Msk                   (0x01UL << GINT0_CTRL_COMB_Pos)                         /*!< GINT0 CTRL: COMB Mask                   */
#define GINT0_CTRL_TRIG_Pos                   2                                                       /*!< GINT0 CTRL: TRIG Position               */
#define GINT0_CTRL_TRIG_Msk                   (0x01UL << GINT0_CTRL_TRIG_Pos)                         /*!< GINT0 CTRL: TRIG Mask                   */

/* -------------------------------  GINT0_PORT_POL0  ------------------------------ */
#define GINT0_PORT_POL0_POL_Pos               0                                                       /*!< GINT0 PORT_POL0: POL Position           */
#define GINT0_PORT_POL0_POL_Msk               (0xffffffffUL << GINT0_PORT_POL0_POL_Pos)               /*!< GINT0 PORT_POL0: POL Mask               */

/* -------------------------------  GINT0_PORT_POL1  ------------------------------ */
#define GINT0_PORT_POL1_POL_Pos               0                                                       /*!< GINT0 PORT_POL1: POL Position           */
#define GINT0_PORT_POL1_POL_Msk               (0xffffffffUL << GINT0_PORT_POL1_POL_Pos)               /*!< GINT0 PORT_POL1: POL Mask               */

/* -------------------------------  GINT0_PORT_POL2  ------------------------------ */
#define GINT0_PORT_POL2_POL_Pos               0                                                       /*!< GINT0 PORT_POL2: POL Position           */
#define GINT0_PORT_POL2_POL_Msk               (0xffffffffUL << GINT0_PORT_POL2_POL_Pos)               /*!< GINT0 PORT_POL2: POL Mask               */

/* -------------------------------  GINT0_PORT_ENA0  ------------------------------ */
#define GINT0_PORT_ENA0_ENA_Pos               0                                                       /*!< GINT0 PORT_ENA0: ENA Position           */
#define GINT0_PORT_ENA0_ENA_Msk               (0xffffffffUL << GINT0_PORT_ENA0_ENA_Pos)               /*!< GINT0 PORT_ENA0: ENA Mask               */

/* -------------------------------  GINT0_PORT_ENA1  ------------------------------ */
#define GINT0_PORT_ENA1_ENA_Pos               0                                                       /*!< GINT0 PORT_ENA1: ENA Position           */
#define GINT0_PORT_ENA1_ENA_Msk               (0xffffffffUL << GINT0_PORT_ENA1_ENA_Pos)               /*!< GINT0 PORT_ENA1: ENA Mask               */

/* -------------------------------  GINT0_PORT_ENA2  ------------------------------ */
#define GINT0_PORT_ENA2_ENA_Pos               0                                                       /*!< GINT0 PORT_ENA2: ENA Position           */
#define GINT0_PORT_ENA2_ENA_Msk               (0xffffffffUL << GINT0_PORT_ENA2_ENA_Pos)               /*!< GINT0 PORT_ENA2: ENA Mask               */


/* ================================================================================ */
/* ================         struct 'GINT1' Position & Mask         ================ */
/* ================================================================================ */


/* ---------------------------------  GINT1_CTRL  --------------------------------- */
#define GINT1_CTRL_INT_Pos                    0                                                       /*!< GINT1 CTRL: INT Position                */
#define GINT1_CTRL_INT_Msk                    (0x01UL << GINT1_CTRL_INT_Pos)                          /*!< GINT1 CTRL: INT Mask                    */
#define GINT1_CTRL_COMB_Pos                   1                                                       /*!< GINT1 CTRL: COMB Position               */
#define GINT1_CTRL_COMB_Msk                   (0x01UL << GINT1_CTRL_COMB_Pos)                         /*!< GINT1 CTRL: COMB Mask                   */
#define GINT1_CTRL_TRIG_Pos                   2                                                       /*!< GINT1 CTRL: TRIG Position               */
#define GINT1_CTRL_TRIG_Msk                   (0x01UL << GINT1_CTRL_TRIG_Pos)                         /*!< GINT1 CTRL: TRIG Mask                   */

/* -------------------------------  GINT1_PORT_POL0  ------------------------------ */
#define GINT1_PORT_POL0_POL_Pos               0                                                       /*!< GINT1 PORT_POL0: POL Position           */
#define GINT1_PORT_POL0_POL_Msk               (0xffffffffUL << GINT1_PORT_POL0_POL_Pos)               /*!< GINT1 PORT_POL0: POL Mask               */

/* -------------------------------  GINT1_PORT_POL1  ------------------------------ */
#define GINT1_PORT_POL1_POL_Pos               0                                                       /*!< GINT1 PORT_POL1: POL Position           */
#define GINT1_PORT_POL1_POL_Msk               (0xffffffffUL << GINT1_PORT_POL1_POL_Pos)               /*!< GINT1 PORT_POL1: POL Mask               */

/* -------------------------------  GINT1_PORT_POL2  ------------------------------ */
#define GINT1_PORT_POL2_POL_Pos               0                                                       /*!< GINT1 PORT_POL2: POL Position           */
#define GINT1_PORT_POL2_POL_Msk               (0xffffffffUL << GINT1_PORT_POL2_POL_Pos)               /*!< GINT1 PORT_POL2: POL Mask               */

/* -------------------------------  GINT1_PORT_ENA0  ------------------------------ */
#define GINT1_PORT_ENA0_ENA_Pos               0                                                       /*!< GINT1 PORT_ENA0: ENA Position           */
#define GINT1_PORT_ENA0_ENA_Msk               (0xffffffffUL << GINT1_PORT_ENA0_ENA_Pos)               /*!< GINT1 PORT_ENA0: ENA Mask               */

/* -------------------------------  GINT1_PORT_ENA1  ------------------------------ */
#define GINT1_PORT_ENA1_ENA_Pos               0                                                       /*!< GINT1 PORT_ENA1: ENA Position           */
#define GINT1_PORT_ENA1_ENA_Msk               (0xffffffffUL << GINT1_PORT_ENA1_ENA_Pos)               /*!< GINT1 PORT_ENA1: ENA Mask               */

/* -------------------------------  GINT1_PORT_ENA2  ------------------------------ */
#define GINT1_PORT_ENA2_ENA_Pos               0                                                       /*!< GINT1 PORT_ENA2: ENA Position           */
#define GINT1_PORT_ENA2_ENA_Msk               (0xffffffffUL << GINT1_PORT_ENA2_ENA_Pos)               /*!< GINT1 PORT_ENA2: ENA Mask               */


/* ================================================================================ */
/* ================          struct 'PINT' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  PINT_ISEL  --------------------------------- */
#define PINT_ISEL_PMODE_Pos                   0                                                       /*!< PINT ISEL: PMODE Position               */
#define PINT_ISEL_PMODE_Msk                   (0x000000ffUL << PINT_ISEL_PMODE_Pos)                   /*!< PINT ISEL: PMODE Mask                   */

/* ----------------------------------  PINT_IENR  --------------------------------- */
#define PINT_IENR_ENRL_Pos                    0                                                       /*!< PINT IENR: ENRL Position                */
#define PINT_IENR_ENRL_Msk                    (0x000000ffUL << PINT_IENR_ENRL_Pos)                    /*!< PINT IENR: ENRL Mask                    */

/* ---------------------------------  PINT_SIENR  --------------------------------- */
#define PINT_SIENR_SETENRL_Pos                0                                                       /*!< PINT SIENR: SETENRL Position            */
#define PINT_SIENR_SETENRL_Msk                (0x000000ffUL << PINT_SIENR_SETENRL_Pos)                /*!< PINT SIENR: SETENRL Mask                */

/* ---------------------------------  PINT_CIENR  --------------------------------- */
#define PINT_CIENR_CENRL_Pos                  0                                                       /*!< PINT CIENR: CENRL Position              */
#define PINT_CIENR_CENRL_Msk                  (0x000000ffUL << PINT_CIENR_CENRL_Pos)                  /*!< PINT CIENR: CENRL Mask                  */

/* ----------------------------------  PINT_IENF  --------------------------------- */
#define PINT_IENF_ENAF_Pos                    0                                                       /*!< PINT IENF: ENAF Position                */
#define PINT_IENF_ENAF_Msk                    (0x000000ffUL << PINT_IENF_ENAF_Pos)                    /*!< PINT IENF: ENAF Mask                    */

/* ---------------------------------  PINT_SIENF  --------------------------------- */
#define PINT_SIENF_SETENAF_Pos                0                                                       /*!< PINT SIENF: SETENAF Position            */
#define PINT_SIENF_SETENAF_Msk                (0x000000ffUL << PINT_SIENF_SETENAF_Pos)                /*!< PINT SIENF: SETENAF Mask                */

/* ---------------------------------  PINT_CIENF  --------------------------------- */
#define PINT_CIENF_CENAF_Pos                  0                                                       /*!< PINT CIENF: CENAF Position              */
#define PINT_CIENF_CENAF_Msk                  (0x000000ffUL << PINT_CIENF_CENAF_Pos)                  /*!< PINT CIENF: CENAF Mask                  */

/* ----------------------------------  PINT_RISE  --------------------------------- */
#define PINT_RISE_RDET_Pos                    0                                                       /*!< PINT RISE: RDET Position                */
#define PINT_RISE_RDET_Msk                    (0x000000ffUL << PINT_RISE_RDET_Pos)                    /*!< PINT RISE: RDET Mask                    */

/* ----------------------------------  PINT_FALL  --------------------------------- */
#define PINT_FALL_FDET_Pos                    0                                                       /*!< PINT FALL: FDET Position                */
#define PINT_FALL_FDET_Msk                    (0x000000ffUL << PINT_FALL_FDET_Pos)                    /*!< PINT FALL: FDET Mask                    */

/* ----------------------------------  PINT_IST  ---------------------------------- */
#define PINT_IST_PSTAT_Pos                    0                                                       /*!< PINT IST: PSTAT Position                */
#define PINT_IST_PSTAT_Msk                    (0x000000ffUL << PINT_IST_PSTAT_Pos)                    /*!< PINT IST: PSTAT Mask                    */

/* ---------------------------------  PINT_PMCTRL  -------------------------------- */
#define PINT_PMCTRL_SEL_PMATCH_Pos            0                                                       /*!< PINT PMCTRL: SEL_PMATCH Position        */
#define PINT_PMCTRL_SEL_PMATCH_Msk            (0x01UL << PINT_PMCTRL_SEL_PMATCH_Pos)                  /*!< PINT PMCTRL: SEL_PMATCH Mask            */
#define PINT_PMCTRL_ENA_RXEV_Pos              1                                                       /*!< PINT PMCTRL: ENA_RXEV Position          */
#define PINT_PMCTRL_ENA_RXEV_Msk              (0x01UL << PINT_PMCTRL_ENA_RXEV_Pos)                    /*!< PINT PMCTRL: ENA_RXEV Mask              */
#define PINT_PMCTRL_PMAT_Pos                  24                                                      /*!< PINT PMCTRL: PMAT Position              */
#define PINT_PMCTRL_PMAT_Msk                  (0x000000ffUL << PINT_PMCTRL_PMAT_Pos)                  /*!< PINT PMCTRL: PMAT Mask                  */

/* ---------------------------------  PINT_PMSRC  --------------------------------- */
#define PINT_PMSRC_SRC0_Pos                   8                                                       /*!< PINT PMSRC: SRC0 Position               */
#define PINT_PMSRC_SRC0_Msk                   (0x07UL << PINT_PMSRC_SRC0_Pos)                         /*!< PINT PMSRC: SRC0 Mask                   */
#define PINT_PMSRC_SRC1_Pos                   11                                                      /*!< PINT PMSRC: SRC1 Position               */
#define PINT_PMSRC_SRC1_Msk                   (0x07UL << PINT_PMSRC_SRC1_Pos)                         /*!< PINT PMSRC: SRC1 Mask                   */
#define PINT_PMSRC_SRC2_Pos                   14                                                      /*!< PINT PMSRC: SRC2 Position               */
#define PINT_PMSRC_SRC2_Msk                   (0x07UL << PINT_PMSRC_SRC2_Pos)                         /*!< PINT PMSRC: SRC2 Mask                   */
#define PINT_PMSRC_SRC3_Pos                   17                                                      /*!< PINT PMSRC: SRC3 Position               */
#define PINT_PMSRC_SRC3_Msk                   (0x07UL << PINT_PMSRC_SRC3_Pos)                         /*!< PINT PMSRC: SRC3 Mask                   */
#define PINT_PMSRC_SRC4_Pos                   20                                                      /*!< PINT PMSRC: SRC4 Position               */
#define PINT_PMSRC_SRC4_Msk                   (0x07UL << PINT_PMSRC_SRC4_Pos)                         /*!< PINT PMSRC: SRC4 Mask                   */
#define PINT_PMSRC_SRC5_Pos                   23                                                      /*!< PINT PMSRC: SRC5 Position               */
#define PINT_PMSRC_SRC5_Msk                   (0x07UL << PINT_PMSRC_SRC5_Pos)                         /*!< PINT PMSRC: SRC5 Mask                   */
#define PINT_PMSRC_SRC6_Pos                   26                                                      /*!< PINT PMSRC: SRC6 Position               */
#define PINT_PMSRC_SRC6_Msk                   (0x07UL << PINT_PMSRC_SRC6_Pos)                         /*!< PINT PMSRC: SRC6 Mask                   */
#define PINT_PMSRC_SRC7_Pos                   29                                                      /*!< PINT PMSRC: SRC7 Position               */
#define PINT_PMSRC_SRC7_Msk                   (0x07UL << PINT_PMSRC_SRC7_Pos)                         /*!< PINT PMSRC: SRC7 Mask                   */

/* ---------------------------------  PINT_PMCFG  --------------------------------- */
#define PINT_PMCFG_PROD_ENDPTS0_Pos           0                                                       /*!< PINT PMCFG: PROD_ENDPTS0 Position       */
#define PINT_PMCFG_PROD_ENDPTS0_Msk           (0x01UL << PINT_PMCFG_PROD_ENDPTS0_Pos)                 /*!< PINT PMCFG: PROD_ENDPTS0 Mask           */
#define PINT_PMCFG_PROD_ENDPTS1_Pos           1                                                       /*!< PINT PMCFG: PROD_ENDPTS1 Position       */
#define PINT_PMCFG_PROD_ENDPTS1_Msk           (0x01UL << PINT_PMCFG_PROD_ENDPTS1_Pos)                 /*!< PINT PMCFG: PROD_ENDPTS1 Mask           */
#define PINT_PMCFG_PROD_ENDPTS2_Pos           2                                                       /*!< PINT PMCFG: PROD_ENDPTS2 Position       */
#define PINT_PMCFG_PROD_ENDPTS2_Msk           (0x01UL << PINT_PMCFG_PROD_ENDPTS2_Pos)                 /*!< PINT PMCFG: PROD_ENDPTS2 Mask           */
#define PINT_PMCFG_PROD_ENDPTS3_Pos           3                                                       /*!< PINT PMCFG: PROD_ENDPTS3 Position       */
#define PINT_PMCFG_PROD_ENDPTS3_Msk           (0x01UL << PINT_PMCFG_PROD_ENDPTS3_Pos)                 /*!< PINT PMCFG: PROD_ENDPTS3 Mask           */
#define PINT_PMCFG_PROD_ENDPTS4_Pos           4                                                       /*!< PINT PMCFG: PROD_ENDPTS4 Position       */
#define PINT_PMCFG_PROD_ENDPTS4_Msk           (0x01UL << PINT_PMCFG_PROD_ENDPTS4_Pos)                 /*!< PINT PMCFG: PROD_ENDPTS4 Mask           */
#define PINT_PMCFG_PROD_ENDPTS5_Pos           5                                                       /*!< PINT PMCFG: PROD_ENDPTS5 Position       */
#define PINT_PMCFG_PROD_ENDPTS5_Msk           (0x01UL << PINT_PMCFG_PROD_ENDPTS5_Pos)                 /*!< PINT PMCFG: PROD_ENDPTS5 Mask           */
#define PINT_PMCFG_PROD_ENDPTS6_Pos           6                                                       /*!< PINT PMCFG: PROD_ENDPTS6 Position       */
#define PINT_PMCFG_PROD_ENDPTS6_Msk           (0x01UL << PINT_PMCFG_PROD_ENDPTS6_Pos)                 /*!< PINT PMCFG: PROD_ENDPTS6 Mask           */
#define PINT_PMCFG_CFG0_Pos                   8                                                       /*!< PINT PMCFG: CFG0 Position               */
#define PINT_PMCFG_CFG0_Msk                   (0x07UL << PINT_PMCFG_CFG0_Pos)                         /*!< PINT PMCFG: CFG0 Mask                   */
#define PINT_PMCFG_CFG1_Pos                   11                                                      /*!< PINT PMCFG: CFG1 Position               */
#define PINT_PMCFG_CFG1_Msk                   (0x07UL << PINT_PMCFG_CFG1_Pos)                         /*!< PINT PMCFG: CFG1 Mask                   */
#define PINT_PMCFG_CFG2_Pos                   14                                                      /*!< PINT PMCFG: CFG2 Position               */
#define PINT_PMCFG_CFG2_Msk                   (0x07UL << PINT_PMCFG_CFG2_Pos)                         /*!< PINT PMCFG: CFG2 Mask                   */
#define PINT_PMCFG_CFG3_Pos                   17                                                      /*!< PINT PMCFG: CFG3 Position               */
#define PINT_PMCFG_CFG3_Msk                   (0x07UL << PINT_PMCFG_CFG3_Pos)                         /*!< PINT PMCFG: CFG3 Mask                   */
#define PINT_PMCFG_CFG4_Pos                   20                                                      /*!< PINT PMCFG: CFG4 Position               */
#define PINT_PMCFG_CFG4_Msk                   (0x07UL << PINT_PMCFG_CFG4_Pos)                         /*!< PINT PMCFG: CFG4 Mask                   */
#define PINT_PMCFG_CFG5_Pos                   23                                                      /*!< PINT PMCFG: CFG5 Position               */
#define PINT_PMCFG_CFG5_Msk                   (0x07UL << PINT_PMCFG_CFG5_Pos)                         /*!< PINT PMCFG: CFG5 Mask                   */
#define PINT_PMCFG_CFG6_Pos                   26                                                      /*!< PINT PMCFG: CFG6 Position               */
#define PINT_PMCFG_CFG6_Msk                   (0x07UL << PINT_PMCFG_CFG6_Pos)                         /*!< PINT PMCFG: CFG6 Mask                   */
#define PINT_PMCFG_CFG7_Pos                   29                                                      /*!< PINT PMCFG: CFG7 Position               */
#define PINT_PMCFG_CFG7_Msk                   (0x07UL << PINT_PMCFG_CFG7_Pos)                         /*!< PINT PMCFG: CFG7 Mask                   */


/* ================================================================================ */
/* ================         struct 'IOCON' Position & Mask         ================ */
/* ================================================================================ */


/* --------------------------------  IOCON_PIO0_0  -------------------------------- */
#define IOCON_PIO0_0_FUNC_Pos                 0                                                       /*!< IOCON PIO0_0: FUNC Position             */
#define IOCON_PIO0_0_FUNC_Msk                 (0x07UL << IOCON_PIO0_0_FUNC_Pos)                       /*!< IOCON PIO0_0: FUNC Mask                 */
#define IOCON_PIO0_0_MODE_Pos                 3                                                       /*!< IOCON PIO0_0: MODE Position             */
#define IOCON_PIO0_0_MODE_Msk                 (0x03UL << IOCON_PIO0_0_MODE_Pos)                       /*!< IOCON PIO0_0: MODE Mask                 */
#define IOCON_PIO0_0_INVERT_Pos               6                                                       /*!< IOCON PIO0_0: INVERT Position           */
#define IOCON_PIO0_0_INVERT_Msk               (0x01UL << IOCON_PIO0_0_INVERT_Pos)                     /*!< IOCON PIO0_0: INVERT Mask               */
#define IOCON_PIO0_0_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_0: DIGIMODE Position         */
#define IOCON_PIO0_0_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_0_DIGIMODE_Pos)                   /*!< IOCON PIO0_0: DIGIMODE Mask             */
#define IOCON_PIO0_0_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_0: FILTEROFF Position        */
#define IOCON_PIO0_0_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_0_FILTEROFF_Pos)                  /*!< IOCON PIO0_0: FILTEROFF Mask            */
#define IOCON_PIO0_0_SLEW_Pos                 9                                                       /*!< IOCON PIO0_0: SLEW Position             */
#define IOCON_PIO0_0_SLEW_Msk                 (0x01UL << IOCON_PIO0_0_SLEW_Pos)                       /*!< IOCON PIO0_0: SLEW Mask                 */
#define IOCON_PIO0_0_OD_Pos                   10                                                      /*!< IOCON PIO0_0: OD Position               */
#define IOCON_PIO0_0_OD_Msk                   (0x01UL << IOCON_PIO0_0_OD_Pos)                         /*!< IOCON PIO0_0: OD Mask                   */

/* --------------------------------  IOCON_PIO0_1  -------------------------------- */
#define IOCON_PIO0_1_FUNC_Pos                 0                                                       /*!< IOCON PIO0_1: FUNC Position             */
#define IOCON_PIO0_1_FUNC_Msk                 (0x07UL << IOCON_PIO0_1_FUNC_Pos)                       /*!< IOCON PIO0_1: FUNC Mask                 */
#define IOCON_PIO0_1_MODE_Pos                 3                                                       /*!< IOCON PIO0_1: MODE Position             */
#define IOCON_PIO0_1_MODE_Msk                 (0x03UL << IOCON_PIO0_1_MODE_Pos)                       /*!< IOCON PIO0_1: MODE Mask                 */
#define IOCON_PIO0_1_INVERT_Pos               6                                                       /*!< IOCON PIO0_1: INVERT Position           */
#define IOCON_PIO0_1_INVERT_Msk               (0x01UL << IOCON_PIO0_1_INVERT_Pos)                     /*!< IOCON PIO0_1: INVERT Mask               */
#define IOCON_PIO0_1_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_1: DIGIMODE Position         */
#define IOCON_PIO0_1_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_1_DIGIMODE_Pos)                   /*!< IOCON PIO0_1: DIGIMODE Mask             */
#define IOCON_PIO0_1_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_1: FILTEROFF Position        */
#define IOCON_PIO0_1_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_1_FILTEROFF_Pos)                  /*!< IOCON PIO0_1: FILTEROFF Mask            */
#define IOCON_PIO0_1_SLEW_Pos                 9                                                       /*!< IOCON PIO0_1: SLEW Position             */
#define IOCON_PIO0_1_SLEW_Msk                 (0x01UL << IOCON_PIO0_1_SLEW_Pos)                       /*!< IOCON PIO0_1: SLEW Mask                 */
#define IOCON_PIO0_1_OD_Pos                   10                                                      /*!< IOCON PIO0_1: OD Position               */
#define IOCON_PIO0_1_OD_Msk                   (0x01UL << IOCON_PIO0_1_OD_Pos)                         /*!< IOCON PIO0_1: OD Mask                   */

/* --------------------------------  IOCON_PIO0_2  -------------------------------- */
#define IOCON_PIO0_2_FUNC_Pos                 0                                                       /*!< IOCON PIO0_2: FUNC Position             */
#define IOCON_PIO0_2_FUNC_Msk                 (0x07UL << IOCON_PIO0_2_FUNC_Pos)                       /*!< IOCON PIO0_2: FUNC Mask                 */
#define IOCON_PIO0_2_MODE_Pos                 3                                                       /*!< IOCON PIO0_2: MODE Position             */
#define IOCON_PIO0_2_MODE_Msk                 (0x03UL << IOCON_PIO0_2_MODE_Pos)                       /*!< IOCON PIO0_2: MODE Mask                 */
#define IOCON_PIO0_2_INVERT_Pos               6                                                       /*!< IOCON PIO0_2: INVERT Position           */
#define IOCON_PIO0_2_INVERT_Msk               (0x01UL << IOCON_PIO0_2_INVERT_Pos)                     /*!< IOCON PIO0_2: INVERT Mask               */
#define IOCON_PIO0_2_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_2: DIGIMODE Position         */
#define IOCON_PIO0_2_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_2_DIGIMODE_Pos)                   /*!< IOCON PIO0_2: DIGIMODE Mask             */
#define IOCON_PIO0_2_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_2: FILTEROFF Position        */
#define IOCON_PIO0_2_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_2_FILTEROFF_Pos)                  /*!< IOCON PIO0_2: FILTEROFF Mask            */
#define IOCON_PIO0_2_SLEW_Pos                 9                                                       /*!< IOCON PIO0_2: SLEW Position             */
#define IOCON_PIO0_2_SLEW_Msk                 (0x01UL << IOCON_PIO0_2_SLEW_Pos)                       /*!< IOCON PIO0_2: SLEW Mask                 */
#define IOCON_PIO0_2_OD_Pos                   10                                                      /*!< IOCON PIO0_2: OD Position               */
#define IOCON_PIO0_2_OD_Msk                   (0x01UL << IOCON_PIO0_2_OD_Pos)                         /*!< IOCON PIO0_2: OD Mask                   */

/* --------------------------------  IOCON_PIO0_3  -------------------------------- */
#define IOCON_PIO0_3_FUNC_Pos                 0                                                       /*!< IOCON PIO0_3: FUNC Position             */
#define IOCON_PIO0_3_FUNC_Msk                 (0x07UL << IOCON_PIO0_3_FUNC_Pos)                       /*!< IOCON PIO0_3: FUNC Mask                 */
#define IOCON_PIO0_3_MODE_Pos                 3                                                       /*!< IOCON PIO0_3: MODE Position             */
#define IOCON_PIO0_3_MODE_Msk                 (0x03UL << IOCON_PIO0_3_MODE_Pos)                       /*!< IOCON PIO0_3: MODE Mask                 */
#define IOCON_PIO0_3_INVERT_Pos               6                                                       /*!< IOCON PIO0_3: INVERT Position           */
#define IOCON_PIO0_3_INVERT_Msk               (0x01UL << IOCON_PIO0_3_INVERT_Pos)                     /*!< IOCON PIO0_3: INVERT Mask               */
#define IOCON_PIO0_3_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_3: DIGIMODE Position         */
#define IOCON_PIO0_3_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_3_DIGIMODE_Pos)                   /*!< IOCON PIO0_3: DIGIMODE Mask             */
#define IOCON_PIO0_3_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_3: FILTEROFF Position        */
#define IOCON_PIO0_3_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_3_FILTEROFF_Pos)                  /*!< IOCON PIO0_3: FILTEROFF Mask            */
#define IOCON_PIO0_3_SLEW_Pos                 9                                                       /*!< IOCON PIO0_3: SLEW Position             */
#define IOCON_PIO0_3_SLEW_Msk                 (0x01UL << IOCON_PIO0_3_SLEW_Pos)                       /*!< IOCON PIO0_3: SLEW Mask                 */
#define IOCON_PIO0_3_OD_Pos                   10                                                      /*!< IOCON PIO0_3: OD Position               */
#define IOCON_PIO0_3_OD_Msk                   (0x01UL << IOCON_PIO0_3_OD_Pos)                         /*!< IOCON PIO0_3: OD Mask                   */

/* --------------------------------  IOCON_PIO0_4  -------------------------------- */
#define IOCON_PIO0_4_FUNC_Pos                 0                                                       /*!< IOCON PIO0_4: FUNC Position             */
#define IOCON_PIO0_4_FUNC_Msk                 (0x07UL << IOCON_PIO0_4_FUNC_Pos)                       /*!< IOCON PIO0_4: FUNC Mask                 */
#define IOCON_PIO0_4_MODE_Pos                 3                                                       /*!< IOCON PIO0_4: MODE Position             */
#define IOCON_PIO0_4_MODE_Msk                 (0x03UL << IOCON_PIO0_4_MODE_Pos)                       /*!< IOCON PIO0_4: MODE Mask                 */
#define IOCON_PIO0_4_INVERT_Pos               6                                                       /*!< IOCON PIO0_4: INVERT Position           */
#define IOCON_PIO0_4_INVERT_Msk               (0x01UL << IOCON_PIO0_4_INVERT_Pos)                     /*!< IOCON PIO0_4: INVERT Mask               */
#define IOCON_PIO0_4_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_4: DIGIMODE Position         */
#define IOCON_PIO0_4_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_4_DIGIMODE_Pos)                   /*!< IOCON PIO0_4: DIGIMODE Mask             */
#define IOCON_PIO0_4_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_4: FILTEROFF Position        */
#define IOCON_PIO0_4_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_4_FILTEROFF_Pos)                  /*!< IOCON PIO0_4: FILTEROFF Mask            */
#define IOCON_PIO0_4_SLEW_Pos                 9                                                       /*!< IOCON PIO0_4: SLEW Position             */
#define IOCON_PIO0_4_SLEW_Msk                 (0x01UL << IOCON_PIO0_4_SLEW_Pos)                       /*!< IOCON PIO0_4: SLEW Mask                 */
#define IOCON_PIO0_4_OD_Pos                   10                                                      /*!< IOCON PIO0_4: OD Position               */
#define IOCON_PIO0_4_OD_Msk                   (0x01UL << IOCON_PIO0_4_OD_Pos)                         /*!< IOCON PIO0_4: OD Mask                   */

/* --------------------------------  IOCON_PIO0_5  -------------------------------- */
#define IOCON_PIO0_5_FUNC_Pos                 0                                                       /*!< IOCON PIO0_5: FUNC Position             */
#define IOCON_PIO0_5_FUNC_Msk                 (0x07UL << IOCON_PIO0_5_FUNC_Pos)                       /*!< IOCON PIO0_5: FUNC Mask                 */
#define IOCON_PIO0_5_MODE_Pos                 3                                                       /*!< IOCON PIO0_5: MODE Position             */
#define IOCON_PIO0_5_MODE_Msk                 (0x03UL << IOCON_PIO0_5_MODE_Pos)                       /*!< IOCON PIO0_5: MODE Mask                 */
#define IOCON_PIO0_5_INVERT_Pos               6                                                       /*!< IOCON PIO0_5: INVERT Position           */
#define IOCON_PIO0_5_INVERT_Msk               (0x01UL << IOCON_PIO0_5_INVERT_Pos)                     /*!< IOCON PIO0_5: INVERT Mask               */
#define IOCON_PIO0_5_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_5: DIGIMODE Position         */
#define IOCON_PIO0_5_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_5_DIGIMODE_Pos)                   /*!< IOCON PIO0_5: DIGIMODE Mask             */
#define IOCON_PIO0_5_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_5: FILTEROFF Position        */
#define IOCON_PIO0_5_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_5_FILTEROFF_Pos)                  /*!< IOCON PIO0_5: FILTEROFF Mask            */
#define IOCON_PIO0_5_SLEW_Pos                 9                                                       /*!< IOCON PIO0_5: SLEW Position             */
#define IOCON_PIO0_5_SLEW_Msk                 (0x01UL << IOCON_PIO0_5_SLEW_Pos)                       /*!< IOCON PIO0_5: SLEW Mask                 */
#define IOCON_PIO0_5_OD_Pos                   10                                                      /*!< IOCON PIO0_5: OD Position               */
#define IOCON_PIO0_5_OD_Msk                   (0x01UL << IOCON_PIO0_5_OD_Pos)                         /*!< IOCON PIO0_5: OD Mask                   */

/* --------------------------------  IOCON_PIO0_6  -------------------------------- */
#define IOCON_PIO0_6_FUNC_Pos                 0                                                       /*!< IOCON PIO0_6: FUNC Position             */
#define IOCON_PIO0_6_FUNC_Msk                 (0x07UL << IOCON_PIO0_6_FUNC_Pos)                       /*!< IOCON PIO0_6: FUNC Mask                 */
#define IOCON_PIO0_6_MODE_Pos                 3                                                       /*!< IOCON PIO0_6: MODE Position             */
#define IOCON_PIO0_6_MODE_Msk                 (0x03UL << IOCON_PIO0_6_MODE_Pos)                       /*!< IOCON PIO0_6: MODE Mask                 */
#define IOCON_PIO0_6_INVERT_Pos               6                                                       /*!< IOCON PIO0_6: INVERT Position           */
#define IOCON_PIO0_6_INVERT_Msk               (0x01UL << IOCON_PIO0_6_INVERT_Pos)                     /*!< IOCON PIO0_6: INVERT Mask               */
#define IOCON_PIO0_6_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_6: DIGIMODE Position         */
#define IOCON_PIO0_6_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_6_DIGIMODE_Pos)                   /*!< IOCON PIO0_6: DIGIMODE Mask             */
#define IOCON_PIO0_6_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_6: FILTEROFF Position        */
#define IOCON_PIO0_6_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_6_FILTEROFF_Pos)                  /*!< IOCON PIO0_6: FILTEROFF Mask            */
#define IOCON_PIO0_6_SLEW_Pos                 9                                                       /*!< IOCON PIO0_6: SLEW Position             */
#define IOCON_PIO0_6_SLEW_Msk                 (0x01UL << IOCON_PIO0_6_SLEW_Pos)                       /*!< IOCON PIO0_6: SLEW Mask                 */
#define IOCON_PIO0_6_OD_Pos                   10                                                      /*!< IOCON PIO0_6: OD Position               */
#define IOCON_PIO0_6_OD_Msk                   (0x01UL << IOCON_PIO0_6_OD_Pos)                         /*!< IOCON PIO0_6: OD Mask                   */

/* --------------------------------  IOCON_PIO0_7  -------------------------------- */
#define IOCON_PIO0_7_FUNC_Pos                 0                                                       /*!< IOCON PIO0_7: FUNC Position             */
#define IOCON_PIO0_7_FUNC_Msk                 (0x07UL << IOCON_PIO0_7_FUNC_Pos)                       /*!< IOCON PIO0_7: FUNC Mask                 */
#define IOCON_PIO0_7_MODE_Pos                 3                                                       /*!< IOCON PIO0_7: MODE Position             */
#define IOCON_PIO0_7_MODE_Msk                 (0x03UL << IOCON_PIO0_7_MODE_Pos)                       /*!< IOCON PIO0_7: MODE Mask                 */
#define IOCON_PIO0_7_INVERT_Pos               6                                                       /*!< IOCON PIO0_7: INVERT Position           */
#define IOCON_PIO0_7_INVERT_Msk               (0x01UL << IOCON_PIO0_7_INVERT_Pos)                     /*!< IOCON PIO0_7: INVERT Mask               */
#define IOCON_PIO0_7_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_7: DIGIMODE Position         */
#define IOCON_PIO0_7_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_7_DIGIMODE_Pos)                   /*!< IOCON PIO0_7: DIGIMODE Mask             */
#define IOCON_PIO0_7_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_7: FILTEROFF Position        */
#define IOCON_PIO0_7_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_7_FILTEROFF_Pos)                  /*!< IOCON PIO0_7: FILTEROFF Mask            */
#define IOCON_PIO0_7_SLEW_Pos                 9                                                       /*!< IOCON PIO0_7: SLEW Position             */
#define IOCON_PIO0_7_SLEW_Msk                 (0x01UL << IOCON_PIO0_7_SLEW_Pos)                       /*!< IOCON PIO0_7: SLEW Mask                 */
#define IOCON_PIO0_7_OD_Pos                   10                                                      /*!< IOCON PIO0_7: OD Position               */
#define IOCON_PIO0_7_OD_Msk                   (0x01UL << IOCON_PIO0_7_OD_Pos)                         /*!< IOCON PIO0_7: OD Mask                   */

/* --------------------------------  IOCON_PIO0_8  -------------------------------- */
#define IOCON_PIO0_8_FUNC_Pos                 0                                                       /*!< IOCON PIO0_8: FUNC Position             */
#define IOCON_PIO0_8_FUNC_Msk                 (0x07UL << IOCON_PIO0_8_FUNC_Pos)                       /*!< IOCON PIO0_8: FUNC Mask                 */
#define IOCON_PIO0_8_MODE_Pos                 3                                                       /*!< IOCON PIO0_8: MODE Position             */
#define IOCON_PIO0_8_MODE_Msk                 (0x03UL << IOCON_PIO0_8_MODE_Pos)                       /*!< IOCON PIO0_8: MODE Mask                 */
#define IOCON_PIO0_8_INVERT_Pos               6                                                       /*!< IOCON PIO0_8: INVERT Position           */
#define IOCON_PIO0_8_INVERT_Msk               (0x01UL << IOCON_PIO0_8_INVERT_Pos)                     /*!< IOCON PIO0_8: INVERT Mask               */
#define IOCON_PIO0_8_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_8: DIGIMODE Position         */
#define IOCON_PIO0_8_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_8_DIGIMODE_Pos)                   /*!< IOCON PIO0_8: DIGIMODE Mask             */
#define IOCON_PIO0_8_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_8: FILTEROFF Position        */
#define IOCON_PIO0_8_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_8_FILTEROFF_Pos)                  /*!< IOCON PIO0_8: FILTEROFF Mask            */
#define IOCON_PIO0_8_SLEW_Pos                 9                                                       /*!< IOCON PIO0_8: SLEW Position             */
#define IOCON_PIO0_8_SLEW_Msk                 (0x01UL << IOCON_PIO0_8_SLEW_Pos)                       /*!< IOCON PIO0_8: SLEW Mask                 */
#define IOCON_PIO0_8_OD_Pos                   10                                                      /*!< IOCON PIO0_8: OD Position               */
#define IOCON_PIO0_8_OD_Msk                   (0x01UL << IOCON_PIO0_8_OD_Pos)                         /*!< IOCON PIO0_8: OD Mask                   */

/* --------------------------------  IOCON_PIO0_9  -------------------------------- */
#define IOCON_PIO0_9_FUNC_Pos                 0                                                       /*!< IOCON PIO0_9: FUNC Position             */
#define IOCON_PIO0_9_FUNC_Msk                 (0x07UL << IOCON_PIO0_9_FUNC_Pos)                       /*!< IOCON PIO0_9: FUNC Mask                 */
#define IOCON_PIO0_9_MODE_Pos                 3                                                       /*!< IOCON PIO0_9: MODE Position             */
#define IOCON_PIO0_9_MODE_Msk                 (0x03UL << IOCON_PIO0_9_MODE_Pos)                       /*!< IOCON PIO0_9: MODE Mask                 */
#define IOCON_PIO0_9_INVERT_Pos               6                                                       /*!< IOCON PIO0_9: INVERT Position           */
#define IOCON_PIO0_9_INVERT_Msk               (0x01UL << IOCON_PIO0_9_INVERT_Pos)                     /*!< IOCON PIO0_9: INVERT Mask               */
#define IOCON_PIO0_9_DIGIMODE_Pos             7                                                       /*!< IOCON PIO0_9: DIGIMODE Position         */
#define IOCON_PIO0_9_DIGIMODE_Msk             (0x01UL << IOCON_PIO0_9_DIGIMODE_Pos)                   /*!< IOCON PIO0_9: DIGIMODE Mask             */
#define IOCON_PIO0_9_FILTEROFF_Pos            8                                                       /*!< IOCON PIO0_9: FILTEROFF Position        */
#define IOCON_PIO0_9_FILTEROFF_Msk            (0x01UL << IOCON_PIO0_9_FILTEROFF_Pos)                  /*!< IOCON PIO0_9: FILTEROFF Mask            */
#define IOCON_PIO0_9_SLEW_Pos                 9                                                       /*!< IOCON PIO0_9: SLEW Position             */
#define IOCON_PIO0_9_SLEW_Msk                 (0x01UL << IOCON_PIO0_9_SLEW_Pos)                       /*!< IOCON PIO0_9: SLEW Mask                 */
#define IOCON_PIO0_9_OD_Pos                   10                                                      /*!< IOCON PIO0_9: OD Position               */
#define IOCON_PIO0_9_OD_Msk                   (0x01UL << IOCON_PIO0_9_OD_Pos)                         /*!< IOCON PIO0_9: OD Mask                   */

/* --------------------------------  IOCON_PIO0_10  ------------------------------- */
#define IOCON_PIO0_10_FUNC_Pos                0                                                       /*!< IOCON PIO0_10: FUNC Position            */
#define IOCON_PIO0_10_FUNC_Msk                (0x07UL << IOCON_PIO0_10_FUNC_Pos)                      /*!< IOCON PIO0_10: FUNC Mask                */
#define IOCON_PIO0_10_MODE_Pos                3                                                       /*!< IOCON PIO0_10: MODE Position            */
#define IOCON_PIO0_10_MODE_Msk                (0x03UL << IOCON_PIO0_10_MODE_Pos)                      /*!< IOCON PIO0_10: MODE Mask                */
#define IOCON_PIO0_10_INVERT_Pos              6                                                       /*!< IOCON PIO0_10: INVERT Position          */
#define IOCON_PIO0_10_INVERT_Msk              (0x01UL << IOCON_PIO0_10_INVERT_Pos)                    /*!< IOCON PIO0_10: INVERT Mask              */
#define IOCON_PIO0_10_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_10: DIGIMODE Position        */
#define IOCON_PIO0_10_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_10_DIGIMODE_Pos)                  /*!< IOCON PIO0_10: DIGIMODE Mask            */
#define IOCON_PIO0_10_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_10: FILTEROFF Position       */
#define IOCON_PIO0_10_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_10_FILTEROFF_Pos)                 /*!< IOCON PIO0_10: FILTEROFF Mask           */
#define IOCON_PIO0_10_SLEW_Pos                9                                                       /*!< IOCON PIO0_10: SLEW Position            */
#define IOCON_PIO0_10_SLEW_Msk                (0x01UL << IOCON_PIO0_10_SLEW_Pos)                      /*!< IOCON PIO0_10: SLEW Mask                */
#define IOCON_PIO0_10_OD_Pos                  10                                                      /*!< IOCON PIO0_10: OD Position              */
#define IOCON_PIO0_10_OD_Msk                  (0x01UL << IOCON_PIO0_10_OD_Pos)                        /*!< IOCON PIO0_10: OD Mask                  */

/* --------------------------------  IOCON_PIO0_11  ------------------------------- */
#define IOCON_PIO0_11_FUNC_Pos                0                                                       /*!< IOCON PIO0_11: FUNC Position            */
#define IOCON_PIO0_11_FUNC_Msk                (0x07UL << IOCON_PIO0_11_FUNC_Pos)                      /*!< IOCON PIO0_11: FUNC Mask                */
#define IOCON_PIO0_11_MODE_Pos                3                                                       /*!< IOCON PIO0_11: MODE Position            */
#define IOCON_PIO0_11_MODE_Msk                (0x03UL << IOCON_PIO0_11_MODE_Pos)                      /*!< IOCON PIO0_11: MODE Mask                */
#define IOCON_PIO0_11_INVERT_Pos              6                                                       /*!< IOCON PIO0_11: INVERT Position          */
#define IOCON_PIO0_11_INVERT_Msk              (0x01UL << IOCON_PIO0_11_INVERT_Pos)                    /*!< IOCON PIO0_11: INVERT Mask              */
#define IOCON_PIO0_11_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_11: DIGIMODE Position        */
#define IOCON_PIO0_11_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_11_DIGIMODE_Pos)                  /*!< IOCON PIO0_11: DIGIMODE Mask            */
#define IOCON_PIO0_11_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_11: FILTEROFF Position       */
#define IOCON_PIO0_11_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_11_FILTEROFF_Pos)                 /*!< IOCON PIO0_11: FILTEROFF Mask           */
#define IOCON_PIO0_11_SLEW_Pos                9                                                       /*!< IOCON PIO0_11: SLEW Position            */
#define IOCON_PIO0_11_SLEW_Msk                (0x01UL << IOCON_PIO0_11_SLEW_Pos)                      /*!< IOCON PIO0_11: SLEW Mask                */
#define IOCON_PIO0_11_OD_Pos                  10                                                      /*!< IOCON PIO0_11: OD Position              */
#define IOCON_PIO0_11_OD_Msk                  (0x01UL << IOCON_PIO0_11_OD_Pos)                        /*!< IOCON PIO0_11: OD Mask                  */

/* --------------------------------  IOCON_PIO0_12  ------------------------------- */
#define IOCON_PIO0_12_FUNC_Pos                0                                                       /*!< IOCON PIO0_12: FUNC Position            */
#define IOCON_PIO0_12_FUNC_Msk                (0x07UL << IOCON_PIO0_12_FUNC_Pos)                      /*!< IOCON PIO0_12: FUNC Mask                */
#define IOCON_PIO0_12_MODE_Pos                3                                                       /*!< IOCON PIO0_12: MODE Position            */
#define IOCON_PIO0_12_MODE_Msk                (0x03UL << IOCON_PIO0_12_MODE_Pos)                      /*!< IOCON PIO0_12: MODE Mask                */
#define IOCON_PIO0_12_INVERT_Pos              6                                                       /*!< IOCON PIO0_12: INVERT Position          */
#define IOCON_PIO0_12_INVERT_Msk              (0x01UL << IOCON_PIO0_12_INVERT_Pos)                    /*!< IOCON PIO0_12: INVERT Mask              */
#define IOCON_PIO0_12_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_12: DIGIMODE Position        */
#define IOCON_PIO0_12_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_12_DIGIMODE_Pos)                  /*!< IOCON PIO0_12: DIGIMODE Mask            */
#define IOCON_PIO0_12_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_12: FILTEROFF Position       */
#define IOCON_PIO0_12_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_12_FILTEROFF_Pos)                 /*!< IOCON PIO0_12: FILTEROFF Mask           */
#define IOCON_PIO0_12_SLEW_Pos                9                                                       /*!< IOCON PIO0_12: SLEW Position            */
#define IOCON_PIO0_12_SLEW_Msk                (0x01UL << IOCON_PIO0_12_SLEW_Pos)                      /*!< IOCON PIO0_12: SLEW Mask                */
#define IOCON_PIO0_12_OD_Pos                  10                                                      /*!< IOCON PIO0_12: OD Position              */
#define IOCON_PIO0_12_OD_Msk                  (0x01UL << IOCON_PIO0_12_OD_Pos)                        /*!< IOCON PIO0_12: OD Mask                  */

/* --------------------------------  IOCON_PIO0_13  ------------------------------- */
#define IOCON_PIO0_13_FUNC_Pos                0                                                       /*!< IOCON PIO0_13: FUNC Position            */
#define IOCON_PIO0_13_FUNC_Msk                (0x07UL << IOCON_PIO0_13_FUNC_Pos)                      /*!< IOCON PIO0_13: FUNC Mask                */
#define IOCON_PIO0_13_MODE_Pos                3                                                       /*!< IOCON PIO0_13: MODE Position            */
#define IOCON_PIO0_13_MODE_Msk                (0x03UL << IOCON_PIO0_13_MODE_Pos)                      /*!< IOCON PIO0_13: MODE Mask                */
#define IOCON_PIO0_13_INVERT_Pos              6                                                       /*!< IOCON PIO0_13: INVERT Position          */
#define IOCON_PIO0_13_INVERT_Msk              (0x01UL << IOCON_PIO0_13_INVERT_Pos)                    /*!< IOCON PIO0_13: INVERT Mask              */
#define IOCON_PIO0_13_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_13: DIGIMODE Position        */
#define IOCON_PIO0_13_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_13_DIGIMODE_Pos)                  /*!< IOCON PIO0_13: DIGIMODE Mask            */
#define IOCON_PIO0_13_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_13: FILTEROFF Position       */
#define IOCON_PIO0_13_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_13_FILTEROFF_Pos)                 /*!< IOCON PIO0_13: FILTEROFF Mask           */
#define IOCON_PIO0_13_SLEW_Pos                9                                                       /*!< IOCON PIO0_13: SLEW Position            */
#define IOCON_PIO0_13_SLEW_Msk                (0x01UL << IOCON_PIO0_13_SLEW_Pos)                      /*!< IOCON PIO0_13: SLEW Mask                */
#define IOCON_PIO0_13_OD_Pos                  10                                                      /*!< IOCON PIO0_13: OD Position              */
#define IOCON_PIO0_13_OD_Msk                  (0x01UL << IOCON_PIO0_13_OD_Pos)                        /*!< IOCON PIO0_13: OD Mask                  */

/* --------------------------------  IOCON_PIO0_14  ------------------------------- */
#define IOCON_PIO0_14_FUNC_Pos                0                                                       /*!< IOCON PIO0_14: FUNC Position            */
#define IOCON_PIO0_14_FUNC_Msk                (0x07UL << IOCON_PIO0_14_FUNC_Pos)                      /*!< IOCON PIO0_14: FUNC Mask                */
#define IOCON_PIO0_14_MODE_Pos                3                                                       /*!< IOCON PIO0_14: MODE Position            */
#define IOCON_PIO0_14_MODE_Msk                (0x03UL << IOCON_PIO0_14_MODE_Pos)                      /*!< IOCON PIO0_14: MODE Mask                */
#define IOCON_PIO0_14_INVERT_Pos              6                                                       /*!< IOCON PIO0_14: INVERT Position          */
#define IOCON_PIO0_14_INVERT_Msk              (0x01UL << IOCON_PIO0_14_INVERT_Pos)                    /*!< IOCON PIO0_14: INVERT Mask              */
#define IOCON_PIO0_14_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_14: DIGIMODE Position        */
#define IOCON_PIO0_14_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_14_DIGIMODE_Pos)                  /*!< IOCON PIO0_14: DIGIMODE Mask            */
#define IOCON_PIO0_14_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_14: FILTEROFF Position       */
#define IOCON_PIO0_14_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_14_FILTEROFF_Pos)                 /*!< IOCON PIO0_14: FILTEROFF Mask           */
#define IOCON_PIO0_14_SLEW_Pos                9                                                       /*!< IOCON PIO0_14: SLEW Position            */
#define IOCON_PIO0_14_SLEW_Msk                (0x01UL << IOCON_PIO0_14_SLEW_Pos)                      /*!< IOCON PIO0_14: SLEW Mask                */
#define IOCON_PIO0_14_OD_Pos                  10                                                      /*!< IOCON PIO0_14: OD Position              */
#define IOCON_PIO0_14_OD_Msk                  (0x01UL << IOCON_PIO0_14_OD_Pos)                        /*!< IOCON PIO0_14: OD Mask                  */

/* --------------------------------  IOCON_PIO0_15  ------------------------------- */
#define IOCON_PIO0_15_FUNC_Pos                0                                                       /*!< IOCON PIO0_15: FUNC Position            */
#define IOCON_PIO0_15_FUNC_Msk                (0x07UL << IOCON_PIO0_15_FUNC_Pos)                      /*!< IOCON PIO0_15: FUNC Mask                */
#define IOCON_PIO0_15_MODE_Pos                3                                                       /*!< IOCON PIO0_15: MODE Position            */
#define IOCON_PIO0_15_MODE_Msk                (0x03UL << IOCON_PIO0_15_MODE_Pos)                      /*!< IOCON PIO0_15: MODE Mask                */
#define IOCON_PIO0_15_INVERT_Pos              6                                                       /*!< IOCON PIO0_15: INVERT Position          */
#define IOCON_PIO0_15_INVERT_Msk              (0x01UL << IOCON_PIO0_15_INVERT_Pos)                    /*!< IOCON PIO0_15: INVERT Mask              */
#define IOCON_PIO0_15_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_15: DIGIMODE Position        */
#define IOCON_PIO0_15_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_15_DIGIMODE_Pos)                  /*!< IOCON PIO0_15: DIGIMODE Mask            */
#define IOCON_PIO0_15_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_15: FILTEROFF Position       */
#define IOCON_PIO0_15_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_15_FILTEROFF_Pos)                 /*!< IOCON PIO0_15: FILTEROFF Mask           */
#define IOCON_PIO0_15_SLEW_Pos                9                                                       /*!< IOCON PIO0_15: SLEW Position            */
#define IOCON_PIO0_15_SLEW_Msk                (0x01UL << IOCON_PIO0_15_SLEW_Pos)                      /*!< IOCON PIO0_15: SLEW Mask                */
#define IOCON_PIO0_15_OD_Pos                  10                                                      /*!< IOCON PIO0_15: OD Position              */
#define IOCON_PIO0_15_OD_Msk                  (0x01UL << IOCON_PIO0_15_OD_Pos)                        /*!< IOCON PIO0_15: OD Mask                  */

/* --------------------------------  IOCON_PIO0_16  ------------------------------- */
#define IOCON_PIO0_16_FUNC_Pos                0                                                       /*!< IOCON PIO0_16: FUNC Position            */
#define IOCON_PIO0_16_FUNC_Msk                (0x07UL << IOCON_PIO0_16_FUNC_Pos)                      /*!< IOCON PIO0_16: FUNC Mask                */
#define IOCON_PIO0_16_MODE_Pos                3                                                       /*!< IOCON PIO0_16: MODE Position            */
#define IOCON_PIO0_16_MODE_Msk                (0x03UL << IOCON_PIO0_16_MODE_Pos)                      /*!< IOCON PIO0_16: MODE Mask                */
#define IOCON_PIO0_16_INVERT_Pos              6                                                       /*!< IOCON PIO0_16: INVERT Position          */
#define IOCON_PIO0_16_INVERT_Msk              (0x01UL << IOCON_PIO0_16_INVERT_Pos)                    /*!< IOCON PIO0_16: INVERT Mask              */
#define IOCON_PIO0_16_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_16: DIGIMODE Position        */
#define IOCON_PIO0_16_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_16_DIGIMODE_Pos)                  /*!< IOCON PIO0_16: DIGIMODE Mask            */
#define IOCON_PIO0_16_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_16: FILTEROFF Position       */
#define IOCON_PIO0_16_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_16_FILTEROFF_Pos)                 /*!< IOCON PIO0_16: FILTEROFF Mask           */
#define IOCON_PIO0_16_SLEW_Pos                9                                                       /*!< IOCON PIO0_16: SLEW Position            */
#define IOCON_PIO0_16_SLEW_Msk                (0x01UL << IOCON_PIO0_16_SLEW_Pos)                      /*!< IOCON PIO0_16: SLEW Mask                */
#define IOCON_PIO0_16_OD_Pos                  10                                                      /*!< IOCON PIO0_16: OD Position              */
#define IOCON_PIO0_16_OD_Msk                  (0x01UL << IOCON_PIO0_16_OD_Pos)                        /*!< IOCON PIO0_16: OD Mask                  */

/* --------------------------------  IOCON_PIO0_17  ------------------------------- */
#define IOCON_PIO0_17_FUNC_Pos                0                                                       /*!< IOCON PIO0_17: FUNC Position            */
#define IOCON_PIO0_17_FUNC_Msk                (0x07UL << IOCON_PIO0_17_FUNC_Pos)                      /*!< IOCON PIO0_17: FUNC Mask                */
#define IOCON_PIO0_17_MODE_Pos                3                                                       /*!< IOCON PIO0_17: MODE Position            */
#define IOCON_PIO0_17_MODE_Msk                (0x03UL << IOCON_PIO0_17_MODE_Pos)                      /*!< IOCON PIO0_17: MODE Mask                */
#define IOCON_PIO0_17_INVERT_Pos              6                                                       /*!< IOCON PIO0_17: INVERT Position          */
#define IOCON_PIO0_17_INVERT_Msk              (0x01UL << IOCON_PIO0_17_INVERT_Pos)                    /*!< IOCON PIO0_17: INVERT Mask              */
#define IOCON_PIO0_17_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_17: DIGIMODE Position        */
#define IOCON_PIO0_17_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_17_DIGIMODE_Pos)                  /*!< IOCON PIO0_17: DIGIMODE Mask            */
#define IOCON_PIO0_17_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_17: FILTEROFF Position       */
#define IOCON_PIO0_17_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_17_FILTEROFF_Pos)                 /*!< IOCON PIO0_17: FILTEROFF Mask           */
#define IOCON_PIO0_17_SLEW_Pos                9                                                       /*!< IOCON PIO0_17: SLEW Position            */
#define IOCON_PIO0_17_SLEW_Msk                (0x01UL << IOCON_PIO0_17_SLEW_Pos)                      /*!< IOCON PIO0_17: SLEW Mask                */
#define IOCON_PIO0_17_OD_Pos                  10                                                      /*!< IOCON PIO0_17: OD Position              */
#define IOCON_PIO0_17_OD_Msk                  (0x01UL << IOCON_PIO0_17_OD_Pos)                        /*!< IOCON PIO0_17: OD Mask                  */

/* --------------------------------  IOCON_PIO0_18  ------------------------------- */
#define IOCON_PIO0_18_FUNC_Pos                0                                                       /*!< IOCON PIO0_18: FUNC Position            */
#define IOCON_PIO0_18_FUNC_Msk                (0x07UL << IOCON_PIO0_18_FUNC_Pos)                      /*!< IOCON PIO0_18: FUNC Mask                */
#define IOCON_PIO0_18_MODE_Pos                3                                                       /*!< IOCON PIO0_18: MODE Position            */
#define IOCON_PIO0_18_MODE_Msk                (0x03UL << IOCON_PIO0_18_MODE_Pos)                      /*!< IOCON PIO0_18: MODE Mask                */
#define IOCON_PIO0_18_INVERT_Pos              6                                                       /*!< IOCON PIO0_18: INVERT Position          */
#define IOCON_PIO0_18_INVERT_Msk              (0x01UL << IOCON_PIO0_18_INVERT_Pos)                    /*!< IOCON PIO0_18: INVERT Mask              */
#define IOCON_PIO0_18_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_18: DIGIMODE Position        */
#define IOCON_PIO0_18_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_18_DIGIMODE_Pos)                  /*!< IOCON PIO0_18: DIGIMODE Mask            */
#define IOCON_PIO0_18_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_18: FILTEROFF Position       */
#define IOCON_PIO0_18_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_18_FILTEROFF_Pos)                 /*!< IOCON PIO0_18: FILTEROFF Mask           */
#define IOCON_PIO0_18_SLEW_Pos                9                                                       /*!< IOCON PIO0_18: SLEW Position            */
#define IOCON_PIO0_18_SLEW_Msk                (0x01UL << IOCON_PIO0_18_SLEW_Pos)                      /*!< IOCON PIO0_18: SLEW Mask                */
#define IOCON_PIO0_18_OD_Pos                  10                                                      /*!< IOCON PIO0_18: OD Position              */
#define IOCON_PIO0_18_OD_Msk                  (0x01UL << IOCON_PIO0_18_OD_Pos)                        /*!< IOCON PIO0_18: OD Mask                  */

/* --------------------------------  IOCON_PIO0_19  ------------------------------- */
#define IOCON_PIO0_19_FUNC_Pos                0                                                       /*!< IOCON PIO0_19: FUNC Position            */
#define IOCON_PIO0_19_FUNC_Msk                (0x07UL << IOCON_PIO0_19_FUNC_Pos)                      /*!< IOCON PIO0_19: FUNC Mask                */
#define IOCON_PIO0_19_MODE_Pos                3                                                       /*!< IOCON PIO0_19: MODE Position            */
#define IOCON_PIO0_19_MODE_Msk                (0x03UL << IOCON_PIO0_19_MODE_Pos)                      /*!< IOCON PIO0_19: MODE Mask                */
#define IOCON_PIO0_19_INVERT_Pos              6                                                       /*!< IOCON PIO0_19: INVERT Position          */
#define IOCON_PIO0_19_INVERT_Msk              (0x01UL << IOCON_PIO0_19_INVERT_Pos)                    /*!< IOCON PIO0_19: INVERT Mask              */
#define IOCON_PIO0_19_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_19: DIGIMODE Position        */
#define IOCON_PIO0_19_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_19_DIGIMODE_Pos)                  /*!< IOCON PIO0_19: DIGIMODE Mask            */
#define IOCON_PIO0_19_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_19: FILTEROFF Position       */
#define IOCON_PIO0_19_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_19_FILTEROFF_Pos)                 /*!< IOCON PIO0_19: FILTEROFF Mask           */
#define IOCON_PIO0_19_SLEW_Pos                9                                                       /*!< IOCON PIO0_19: SLEW Position            */
#define IOCON_PIO0_19_SLEW_Msk                (0x01UL << IOCON_PIO0_19_SLEW_Pos)                      /*!< IOCON PIO0_19: SLEW Mask                */
#define IOCON_PIO0_19_OD_Pos                  10                                                      /*!< IOCON PIO0_19: OD Position              */
#define IOCON_PIO0_19_OD_Msk                  (0x01UL << IOCON_PIO0_19_OD_Pos)                        /*!< IOCON PIO0_19: OD Mask                  */

/* --------------------------------  IOCON_PIO0_20  ------------------------------- */
#define IOCON_PIO0_20_FUNC_Pos                0                                                       /*!< IOCON PIO0_20: FUNC Position            */
#define IOCON_PIO0_20_FUNC_Msk                (0x07UL << IOCON_PIO0_20_FUNC_Pos)                      /*!< IOCON PIO0_20: FUNC Mask                */
#define IOCON_PIO0_20_MODE_Pos                3                                                       /*!< IOCON PIO0_20: MODE Position            */
#define IOCON_PIO0_20_MODE_Msk                (0x03UL << IOCON_PIO0_20_MODE_Pos)                      /*!< IOCON PIO0_20: MODE Mask                */
#define IOCON_PIO0_20_INVERT_Pos              6                                                       /*!< IOCON PIO0_20: INVERT Position          */
#define IOCON_PIO0_20_INVERT_Msk              (0x01UL << IOCON_PIO0_20_INVERT_Pos)                    /*!< IOCON PIO0_20: INVERT Mask              */
#define IOCON_PIO0_20_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_20: DIGIMODE Position        */
#define IOCON_PIO0_20_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_20_DIGIMODE_Pos)                  /*!< IOCON PIO0_20: DIGIMODE Mask            */
#define IOCON_PIO0_20_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_20: FILTEROFF Position       */
#define IOCON_PIO0_20_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_20_FILTEROFF_Pos)                 /*!< IOCON PIO0_20: FILTEROFF Mask           */
#define IOCON_PIO0_20_SLEW_Pos                9                                                       /*!< IOCON PIO0_20: SLEW Position            */
#define IOCON_PIO0_20_SLEW_Msk                (0x01UL << IOCON_PIO0_20_SLEW_Pos)                      /*!< IOCON PIO0_20: SLEW Mask                */
#define IOCON_PIO0_20_OD_Pos                  10                                                      /*!< IOCON PIO0_20: OD Position              */
#define IOCON_PIO0_20_OD_Msk                  (0x01UL << IOCON_PIO0_20_OD_Pos)                        /*!< IOCON PIO0_20: OD Mask                  */

/* --------------------------------  IOCON_PIO0_21  ------------------------------- */
#define IOCON_PIO0_21_FUNC_Pos                0                                                       /*!< IOCON PIO0_21: FUNC Position            */
#define IOCON_PIO0_21_FUNC_Msk                (0x07UL << IOCON_PIO0_21_FUNC_Pos)                      /*!< IOCON PIO0_21: FUNC Mask                */
#define IOCON_PIO0_21_MODE_Pos                3                                                       /*!< IOCON PIO0_21: MODE Position            */
#define IOCON_PIO0_21_MODE_Msk                (0x03UL << IOCON_PIO0_21_MODE_Pos)                      /*!< IOCON PIO0_21: MODE Mask                */
#define IOCON_PIO0_21_INVERT_Pos              6                                                       /*!< IOCON PIO0_21: INVERT Position          */
#define IOCON_PIO0_21_INVERT_Msk              (0x01UL << IOCON_PIO0_21_INVERT_Pos)                    /*!< IOCON PIO0_21: INVERT Mask              */
#define IOCON_PIO0_21_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_21: DIGIMODE Position        */
#define IOCON_PIO0_21_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_21_DIGIMODE_Pos)                  /*!< IOCON PIO0_21: DIGIMODE Mask            */
#define IOCON_PIO0_21_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_21: FILTEROFF Position       */
#define IOCON_PIO0_21_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_21_FILTEROFF_Pos)                 /*!< IOCON PIO0_21: FILTEROFF Mask           */
#define IOCON_PIO0_21_SLEW_Pos                9                                                       /*!< IOCON PIO0_21: SLEW Position            */
#define IOCON_PIO0_21_SLEW_Msk                (0x01UL << IOCON_PIO0_21_SLEW_Pos)                      /*!< IOCON PIO0_21: SLEW Mask                */
#define IOCON_PIO0_21_OD_Pos                  10                                                      /*!< IOCON PIO0_21: OD Position              */
#define IOCON_PIO0_21_OD_Msk                  (0x01UL << IOCON_PIO0_21_OD_Pos)                        /*!< IOCON PIO0_21: OD Mask                  */

/* --------------------------------  IOCON_PIO0_22  ------------------------------- */
#define IOCON_PIO0_22_FUNC_Pos                0                                                       /*!< IOCON PIO0_22: FUNC Position            */
#define IOCON_PIO0_22_FUNC_Msk                (0x07UL << IOCON_PIO0_22_FUNC_Pos)                      /*!< IOCON PIO0_22: FUNC Mask                */
#define IOCON_PIO0_22_MODE_Pos                3                                                       /*!< IOCON PIO0_22: MODE Position            */
#define IOCON_PIO0_22_MODE_Msk                (0x03UL << IOCON_PIO0_22_MODE_Pos)                      /*!< IOCON PIO0_22: MODE Mask                */
#define IOCON_PIO0_22_INVERT_Pos              6                                                       /*!< IOCON PIO0_22: INVERT Position          */
#define IOCON_PIO0_22_INVERT_Msk              (0x01UL << IOCON_PIO0_22_INVERT_Pos)                    /*!< IOCON PIO0_22: INVERT Mask              */
#define IOCON_PIO0_22_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_22: DIGIMODE Position        */
#define IOCON_PIO0_22_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_22_DIGIMODE_Pos)                  /*!< IOCON PIO0_22: DIGIMODE Mask            */
#define IOCON_PIO0_22_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_22: FILTEROFF Position       */
#define IOCON_PIO0_22_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_22_FILTEROFF_Pos)                 /*!< IOCON PIO0_22: FILTEROFF Mask           */
#define IOCON_PIO0_22_SLEW_Pos                9                                                       /*!< IOCON PIO0_22: SLEW Position            */
#define IOCON_PIO0_22_SLEW_Msk                (0x01UL << IOCON_PIO0_22_SLEW_Pos)                      /*!< IOCON PIO0_22: SLEW Mask                */
#define IOCON_PIO0_22_OD_Pos                  10                                                      /*!< IOCON PIO0_22: OD Position              */
#define IOCON_PIO0_22_OD_Msk                  (0x01UL << IOCON_PIO0_22_OD_Pos)                        /*!< IOCON PIO0_22: OD Mask                  */

/* --------------------------------  IOCON_PIO0_23  ------------------------------- */
#define IOCON_PIO0_23_FUNC_Pos                0                                                       /*!< IOCON PIO0_23: FUNC Position            */
#define IOCON_PIO0_23_FUNC_Msk                (0x07UL << IOCON_PIO0_23_FUNC_Pos)                      /*!< IOCON PIO0_23: FUNC Mask                */
#define IOCON_PIO0_23_I2CSLEW_Pos             5                                                       /*!< IOCON PIO0_23: I2CSLEW Position         */
#define IOCON_PIO0_23_I2CSLEW_Msk             (0x01UL << IOCON_PIO0_23_I2CSLEW_Pos)                   /*!< IOCON PIO0_23: I2CSLEW Mask             */
#define IOCON_PIO0_23_INVERT_Pos              6                                                       /*!< IOCON PIO0_23: INVERT Position          */
#define IOCON_PIO0_23_INVERT_Msk              (0x01UL << IOCON_PIO0_23_INVERT_Pos)                    /*!< IOCON PIO0_23: INVERT Mask              */
#define IOCON_PIO0_23_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_23: DIGIMODE Position        */
#define IOCON_PIO0_23_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_23_DIGIMODE_Pos)                  /*!< IOCON PIO0_23: DIGIMODE Mask            */
#define IOCON_PIO0_23_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_23: FILTEROFF Position       */
#define IOCON_PIO0_23_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_23_FILTEROFF_Pos)                 /*!< IOCON PIO0_23: FILTEROFF Mask           */
#define IOCON_PIO0_23_I2CDRIVE_Pos            9                                                       /*!< IOCON PIO0_23: I2CDRIVE Position        */
#define IOCON_PIO0_23_I2CDRIVE_Msk            (0x01UL << IOCON_PIO0_23_I2CDRIVE_Pos)                  /*!< IOCON PIO0_23: I2CDRIVE Mask            */
#define IOCON_PIO0_23_I2CFILTER_Pos           10                                                      /*!< IOCON PIO0_23: I2CFILTER Position       */
#define IOCON_PIO0_23_I2CFILTER_Msk           (0x01UL << IOCON_PIO0_23_I2CFILTER_Pos)                 /*!< IOCON PIO0_23: I2CFILTER Mask           */

/* --------------------------------  IOCON_PIO0_24  ------------------------------- */
#define IOCON_PIO0_24_FUNC_Pos                0                                                       /*!< IOCON PIO0_24: FUNC Position            */
#define IOCON_PIO0_24_FUNC_Msk                (0x07UL << IOCON_PIO0_24_FUNC_Pos)                      /*!< IOCON PIO0_24: FUNC Mask                */
#define IOCON_PIO0_24_I2CSLEW_Pos             5                                                       /*!< IOCON PIO0_24: I2CSLEW Position         */
#define IOCON_PIO0_24_I2CSLEW_Msk             (0x01UL << IOCON_PIO0_24_I2CSLEW_Pos)                   /*!< IOCON PIO0_24: I2CSLEW Mask             */
#define IOCON_PIO0_24_INVERT_Pos              6                                                       /*!< IOCON PIO0_24: INVERT Position          */
#define IOCON_PIO0_24_INVERT_Msk              (0x01UL << IOCON_PIO0_24_INVERT_Pos)                    /*!< IOCON PIO0_24: INVERT Mask              */
#define IOCON_PIO0_24_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_24: DIGIMODE Position        */
#define IOCON_PIO0_24_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_24_DIGIMODE_Pos)                  /*!< IOCON PIO0_24: DIGIMODE Mask            */
#define IOCON_PIO0_24_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_24: FILTEROFF Position       */
#define IOCON_PIO0_24_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_24_FILTEROFF_Pos)                 /*!< IOCON PIO0_24: FILTEROFF Mask           */
#define IOCON_PIO0_24_I2CDRIVE_Pos            9                                                       /*!< IOCON PIO0_24: I2CDRIVE Position        */
#define IOCON_PIO0_24_I2CDRIVE_Msk            (0x01UL << IOCON_PIO0_24_I2CDRIVE_Pos)                  /*!< IOCON PIO0_24: I2CDRIVE Mask            */
#define IOCON_PIO0_24_I2CFILTER_Pos           10                                                      /*!< IOCON PIO0_24: I2CFILTER Position       */
#define IOCON_PIO0_24_I2CFILTER_Msk           (0x01UL << IOCON_PIO0_24_I2CFILTER_Pos)                 /*!< IOCON PIO0_24: I2CFILTER Mask           */

/* --------------------------------  IOCON_PIO0_25  ------------------------------- */
#define IOCON_PIO0_25_FUNC_Pos                0                                                       /*!< IOCON PIO0_25: FUNC Position            */
#define IOCON_PIO0_25_FUNC_Msk                (0x07UL << IOCON_PIO0_25_FUNC_Pos)                      /*!< IOCON PIO0_25: FUNC Mask                */
#define IOCON_PIO0_25_I2CSLEW_Pos             5                                                       /*!< IOCON PIO0_25: I2CSLEW Position         */
#define IOCON_PIO0_25_I2CSLEW_Msk             (0x01UL << IOCON_PIO0_25_I2CSLEW_Pos)                   /*!< IOCON PIO0_25: I2CSLEW Mask             */
#define IOCON_PIO0_25_INVERT_Pos              6                                                       /*!< IOCON PIO0_25: INVERT Position          */
#define IOCON_PIO0_25_INVERT_Msk              (0x01UL << IOCON_PIO0_25_INVERT_Pos)                    /*!< IOCON PIO0_25: INVERT Mask              */
#define IOCON_PIO0_25_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_25: DIGIMODE Position        */
#define IOCON_PIO0_25_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_25_DIGIMODE_Pos)                  /*!< IOCON PIO0_25: DIGIMODE Mask            */
#define IOCON_PIO0_25_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_25: FILTEROFF Position       */
#define IOCON_PIO0_25_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_25_FILTEROFF_Pos)                 /*!< IOCON PIO0_25: FILTEROFF Mask           */
#define IOCON_PIO0_25_I2CDRIVE_Pos            9                                                       /*!< IOCON PIO0_25: I2CDRIVE Position        */
#define IOCON_PIO0_25_I2CDRIVE_Msk            (0x01UL << IOCON_PIO0_25_I2CDRIVE_Pos)                  /*!< IOCON PIO0_25: I2CDRIVE Mask            */
#define IOCON_PIO0_25_I2CFILTER_Pos           10                                                      /*!< IOCON PIO0_25: I2CFILTER Position       */
#define IOCON_PIO0_25_I2CFILTER_Msk           (0x01UL << IOCON_PIO0_25_I2CFILTER_Pos)                 /*!< IOCON PIO0_25: I2CFILTER Mask           */

/* --------------------------------  IOCON_PIO0_26  ------------------------------- */
#define IOCON_PIO0_26_FUNC_Pos                0                                                       /*!< IOCON PIO0_26: FUNC Position            */
#define IOCON_PIO0_26_FUNC_Msk                (0x07UL << IOCON_PIO0_26_FUNC_Pos)                      /*!< IOCON PIO0_26: FUNC Mask                */
#define IOCON_PIO0_26_I2CSLEW_Pos             5                                                       /*!< IOCON PIO0_26: I2CSLEW Position         */
#define IOCON_PIO0_26_I2CSLEW_Msk             (0x01UL << IOCON_PIO0_26_I2CSLEW_Pos)                   /*!< IOCON PIO0_26: I2CSLEW Mask             */
#define IOCON_PIO0_26_INVERT_Pos              6                                                       /*!< IOCON PIO0_26: INVERT Position          */
#define IOCON_PIO0_26_INVERT_Msk              (0x01UL << IOCON_PIO0_26_INVERT_Pos)                    /*!< IOCON PIO0_26: INVERT Mask              */
#define IOCON_PIO0_26_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_26: DIGIMODE Position        */
#define IOCON_PIO0_26_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_26_DIGIMODE_Pos)                  /*!< IOCON PIO0_26: DIGIMODE Mask            */
#define IOCON_PIO0_26_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_26: FILTEROFF Position       */
#define IOCON_PIO0_26_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_26_FILTEROFF_Pos)                 /*!< IOCON PIO0_26: FILTEROFF Mask           */
#define IOCON_PIO0_26_I2CDRIVE_Pos            9                                                       /*!< IOCON PIO0_26: I2CDRIVE Position        */
#define IOCON_PIO0_26_I2CDRIVE_Msk            (0x01UL << IOCON_PIO0_26_I2CDRIVE_Pos)                  /*!< IOCON PIO0_26: I2CDRIVE Mask            */
#define IOCON_PIO0_26_I2CFILTER_Pos           10                                                      /*!< IOCON PIO0_26: I2CFILTER Position       */
#define IOCON_PIO0_26_I2CFILTER_Msk           (0x01UL << IOCON_PIO0_26_I2CFILTER_Pos)                 /*!< IOCON PIO0_26: I2CFILTER Mask           */

/* --------------------------------  IOCON_PIO0_27  ------------------------------- */
#define IOCON_PIO0_27_FUNC_Pos                0                                                       /*!< IOCON PIO0_27: FUNC Position            */
#define IOCON_PIO0_27_FUNC_Msk                (0x07UL << IOCON_PIO0_27_FUNC_Pos)                      /*!< IOCON PIO0_27: FUNC Mask                */
#define IOCON_PIO0_27_I2CSLEW_Pos             5                                                       /*!< IOCON PIO0_27: I2CSLEW Position         */
#define IOCON_PIO0_27_I2CSLEW_Msk             (0x01UL << IOCON_PIO0_27_I2CSLEW_Pos)                   /*!< IOCON PIO0_27: I2CSLEW Mask             */
#define IOCON_PIO0_27_INVERT_Pos              6                                                       /*!< IOCON PIO0_27: INVERT Position          */
#define IOCON_PIO0_27_INVERT_Msk              (0x01UL << IOCON_PIO0_27_INVERT_Pos)                    /*!< IOCON PIO0_27: INVERT Mask              */
#define IOCON_PIO0_27_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_27: DIGIMODE Position        */
#define IOCON_PIO0_27_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_27_DIGIMODE_Pos)                  /*!< IOCON PIO0_27: DIGIMODE Mask            */
#define IOCON_PIO0_27_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_27: FILTEROFF Position       */
#define IOCON_PIO0_27_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_27_FILTEROFF_Pos)                 /*!< IOCON PIO0_27: FILTEROFF Mask           */
#define IOCON_PIO0_27_I2CDRIVE_Pos            9                                                       /*!< IOCON PIO0_27: I2CDRIVE Position        */
#define IOCON_PIO0_27_I2CDRIVE_Msk            (0x01UL << IOCON_PIO0_27_I2CDRIVE_Pos)                  /*!< IOCON PIO0_27: I2CDRIVE Mask            */
#define IOCON_PIO0_27_I2CFILTER_Pos           10                                                      /*!< IOCON PIO0_27: I2CFILTER Position       */
#define IOCON_PIO0_27_I2CFILTER_Msk           (0x01UL << IOCON_PIO0_27_I2CFILTER_Pos)                 /*!< IOCON PIO0_27: I2CFILTER Mask           */

/* --------------------------------  IOCON_PIO0_28  ------------------------------- */
#define IOCON_PIO0_28_FUNC_Pos                0                                                       /*!< IOCON PIO0_28: FUNC Position            */
#define IOCON_PIO0_28_FUNC_Msk                (0x07UL << IOCON_PIO0_28_FUNC_Pos)                      /*!< IOCON PIO0_28: FUNC Mask                */
#define IOCON_PIO0_28_I2CSLEW_Pos             5                                                       /*!< IOCON PIO0_28: I2CSLEW Position         */
#define IOCON_PIO0_28_I2CSLEW_Msk             (0x01UL << IOCON_PIO0_28_I2CSLEW_Pos)                   /*!< IOCON PIO0_28: I2CSLEW Mask             */
#define IOCON_PIO0_28_INVERT_Pos              6                                                       /*!< IOCON PIO0_28: INVERT Position          */
#define IOCON_PIO0_28_INVERT_Msk              (0x01UL << IOCON_PIO0_28_INVERT_Pos)                    /*!< IOCON PIO0_28: INVERT Mask              */
#define IOCON_PIO0_28_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_28: DIGIMODE Position        */
#define IOCON_PIO0_28_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_28_DIGIMODE_Pos)                  /*!< IOCON PIO0_28: DIGIMODE Mask            */
#define IOCON_PIO0_28_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_28: FILTEROFF Position       */
#define IOCON_PIO0_28_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_28_FILTEROFF_Pos)                 /*!< IOCON PIO0_28: FILTEROFF Mask           */
#define IOCON_PIO0_28_I2CDRIVE_Pos            9                                                       /*!< IOCON PIO0_28: I2CDRIVE Position        */
#define IOCON_PIO0_28_I2CDRIVE_Msk            (0x01UL << IOCON_PIO0_28_I2CDRIVE_Pos)                  /*!< IOCON PIO0_28: I2CDRIVE Mask            */
#define IOCON_PIO0_28_I2CFILTER_Pos           10                                                      /*!< IOCON PIO0_28: I2CFILTER Position       */
#define IOCON_PIO0_28_I2CFILTER_Msk           (0x01UL << IOCON_PIO0_28_I2CFILTER_Pos)                 /*!< IOCON PIO0_28: I2CFILTER Mask           */

/* --------------------------------  IOCON_PIO0_29  ------------------------------- */
#define IOCON_PIO0_29_FUNC_Pos                0                                                       /*!< IOCON PIO0_29: FUNC Position            */
#define IOCON_PIO0_29_FUNC_Msk                (0x07UL << IOCON_PIO0_29_FUNC_Pos)                      /*!< IOCON PIO0_29: FUNC Mask                */
#define IOCON_PIO0_29_MODE_Pos                3                                                       /*!< IOCON PIO0_29: MODE Position            */
#define IOCON_PIO0_29_MODE_Msk                (0x03UL << IOCON_PIO0_29_MODE_Pos)                      /*!< IOCON PIO0_29: MODE Mask                */
#define IOCON_PIO0_29_INVERT_Pos              6                                                       /*!< IOCON PIO0_29: INVERT Position          */
#define IOCON_PIO0_29_INVERT_Msk              (0x01UL << IOCON_PIO0_29_INVERT_Pos)                    /*!< IOCON PIO0_29: INVERT Mask              */
#define IOCON_PIO0_29_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_29: DIGIMODE Position        */
#define IOCON_PIO0_29_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_29_DIGIMODE_Pos)                  /*!< IOCON PIO0_29: DIGIMODE Mask            */
#define IOCON_PIO0_29_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_29: FILTEROFF Position       */
#define IOCON_PIO0_29_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_29_FILTEROFF_Pos)                 /*!< IOCON PIO0_29: FILTEROFF Mask           */
#define IOCON_PIO0_29_OD_Pos                  10                                                      /*!< IOCON PIO0_29: OD Position              */
#define IOCON_PIO0_29_OD_Msk                  (0x01UL << IOCON_PIO0_29_OD_Pos)                        /*!< IOCON PIO0_29: OD Mask                  */

/* --------------------------------  IOCON_PIO0_30  ------------------------------- */
#define IOCON_PIO0_30_FUNC_Pos                0                                                       /*!< IOCON PIO0_30: FUNC Position            */
#define IOCON_PIO0_30_FUNC_Msk                (0x07UL << IOCON_PIO0_30_FUNC_Pos)                      /*!< IOCON PIO0_30: FUNC Mask                */
#define IOCON_PIO0_30_MODE_Pos                3                                                       /*!< IOCON PIO0_30: MODE Position            */
#define IOCON_PIO0_30_MODE_Msk                (0x03UL << IOCON_PIO0_30_MODE_Pos)                      /*!< IOCON PIO0_30: MODE Mask                */
#define IOCON_PIO0_30_INVERT_Pos              6                                                       /*!< IOCON PIO0_30: INVERT Position          */
#define IOCON_PIO0_30_INVERT_Msk              (0x01UL << IOCON_PIO0_30_INVERT_Pos)                    /*!< IOCON PIO0_30: INVERT Mask              */
#define IOCON_PIO0_30_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_30: DIGIMODE Position        */
#define IOCON_PIO0_30_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_30_DIGIMODE_Pos)                  /*!< IOCON PIO0_30: DIGIMODE Mask            */
#define IOCON_PIO0_30_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_30: FILTEROFF Position       */
#define IOCON_PIO0_30_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_30_FILTEROFF_Pos)                 /*!< IOCON PIO0_30: FILTEROFF Mask           */
#define IOCON_PIO0_30_OD_Pos                  10                                                      /*!< IOCON PIO0_30: OD Position              */
#define IOCON_PIO0_30_OD_Msk                  (0x01UL << IOCON_PIO0_30_OD_Pos)                        /*!< IOCON PIO0_30: OD Mask                  */

/* --------------------------------  IOCON_PIO0_31  ------------------------------- */
#define IOCON_PIO0_31_FUNC_Pos                0                                                       /*!< IOCON PIO0_31: FUNC Position            */
#define IOCON_PIO0_31_FUNC_Msk                (0x07UL << IOCON_PIO0_31_FUNC_Pos)                      /*!< IOCON PIO0_31: FUNC Mask                */
#define IOCON_PIO0_31_MODE_Pos                3                                                       /*!< IOCON PIO0_31: MODE Position            */
#define IOCON_PIO0_31_MODE_Msk                (0x03UL << IOCON_PIO0_31_MODE_Pos)                      /*!< IOCON PIO0_31: MODE Mask                */
#define IOCON_PIO0_31_INVERT_Pos              6                                                       /*!< IOCON PIO0_31: INVERT Position          */
#define IOCON_PIO0_31_INVERT_Msk              (0x01UL << IOCON_PIO0_31_INVERT_Pos)                    /*!< IOCON PIO0_31: INVERT Mask              */
#define IOCON_PIO0_31_DIGIMODE_Pos            7                                                       /*!< IOCON PIO0_31: DIGIMODE Position        */
#define IOCON_PIO0_31_DIGIMODE_Msk            (0x01UL << IOCON_PIO0_31_DIGIMODE_Pos)                  /*!< IOCON PIO0_31: DIGIMODE Mask            */
#define IOCON_PIO0_31_FILTEROFF_Pos           8                                                       /*!< IOCON PIO0_31: FILTEROFF Position       */
#define IOCON_PIO0_31_FILTEROFF_Msk           (0x01UL << IOCON_PIO0_31_FILTEROFF_Pos)                 /*!< IOCON PIO0_31: FILTEROFF Mask           */
#define IOCON_PIO0_31_OD_Pos                  10                                                      /*!< IOCON PIO0_31: OD Position              */
#define IOCON_PIO0_31_OD_Msk                  (0x01UL << IOCON_PIO0_31_OD_Pos)                        /*!< IOCON PIO0_31: OD Mask                  */

/* --------------------------------  IOCON_PIO1_0  -------------------------------- */
#define IOCON_PIO1_0_FUNC_Pos                 0                                                       /*!< IOCON PIO1_0: FUNC Position             */
#define IOCON_PIO1_0_FUNC_Msk                 (0x07UL << IOCON_PIO1_0_FUNC_Pos)                       /*!< IOCON PIO1_0: FUNC Mask                 */
#define IOCON_PIO1_0_MODE_Pos                 3                                                       /*!< IOCON PIO1_0: MODE Position             */
#define IOCON_PIO1_0_MODE_Msk                 (0x03UL << IOCON_PIO1_0_MODE_Pos)                       /*!< IOCON PIO1_0: MODE Mask                 */
#define IOCON_PIO1_0_INVERT_Pos               6                                                       /*!< IOCON PIO1_0: INVERT Position           */
#define IOCON_PIO1_0_INVERT_Msk               (0x01UL << IOCON_PIO1_0_INVERT_Pos)                     /*!< IOCON PIO1_0: INVERT Mask               */
#define IOCON_PIO1_0_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_0: DIGIMODE Position         */
#define IOCON_PIO1_0_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_0_DIGIMODE_Pos)                   /*!< IOCON PIO1_0: DIGIMODE Mask             */
#define IOCON_PIO1_0_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_0: FILTEROFF Position        */
#define IOCON_PIO1_0_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_0_FILTEROFF_Pos)                  /*!< IOCON PIO1_0: FILTEROFF Mask            */
#define IOCON_PIO1_0_OD_Pos                   10                                                      /*!< IOCON PIO1_0: OD Position               */
#define IOCON_PIO1_0_OD_Msk                   (0x01UL << IOCON_PIO1_0_OD_Pos)                         /*!< IOCON PIO1_0: OD Mask                   */

/* --------------------------------  IOCON_PIO1_1  -------------------------------- */
#define IOCON_PIO1_1_FUNC_Pos                 0                                                       /*!< IOCON PIO1_1: FUNC Position             */
#define IOCON_PIO1_1_FUNC_Msk                 (0x07UL << IOCON_PIO1_1_FUNC_Pos)                       /*!< IOCON PIO1_1: FUNC Mask                 */
#define IOCON_PIO1_1_MODE_Pos                 3                                                       /*!< IOCON PIO1_1: MODE Position             */
#define IOCON_PIO1_1_MODE_Msk                 (0x03UL << IOCON_PIO1_1_MODE_Pos)                       /*!< IOCON PIO1_1: MODE Mask                 */
#define IOCON_PIO1_1_INVERT_Pos               6                                                       /*!< IOCON PIO1_1: INVERT Position           */
#define IOCON_PIO1_1_INVERT_Msk               (0x01UL << IOCON_PIO1_1_INVERT_Pos)                     /*!< IOCON PIO1_1: INVERT Mask               */
#define IOCON_PIO1_1_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_1: DIGIMODE Position         */
#define IOCON_PIO1_1_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_1_DIGIMODE_Pos)                   /*!< IOCON PIO1_1: DIGIMODE Mask             */
#define IOCON_PIO1_1_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_1: FILTEROFF Position        */
#define IOCON_PIO1_1_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_1_FILTEROFF_Pos)                  /*!< IOCON PIO1_1: FILTEROFF Mask            */
#define IOCON_PIO1_1_OD_Pos                   10                                                      /*!< IOCON PIO1_1: OD Position               */
#define IOCON_PIO1_1_OD_Msk                   (0x01UL << IOCON_PIO1_1_OD_Pos)                         /*!< IOCON PIO1_1: OD Mask                   */

/* --------------------------------  IOCON_PIO1_2  -------------------------------- */
#define IOCON_PIO1_2_FUNC_Pos                 0                                                       /*!< IOCON PIO1_2: FUNC Position             */
#define IOCON_PIO1_2_FUNC_Msk                 (0x07UL << IOCON_PIO1_2_FUNC_Pos)                       /*!< IOCON PIO1_2: FUNC Mask                 */
#define IOCON_PIO1_2_MODE_Pos                 3                                                       /*!< IOCON PIO1_2: MODE Position             */
#define IOCON_PIO1_2_MODE_Msk                 (0x03UL << IOCON_PIO1_2_MODE_Pos)                       /*!< IOCON PIO1_2: MODE Mask                 */
#define IOCON_PIO1_2_INVERT_Pos               6                                                       /*!< IOCON PIO1_2: INVERT Position           */
#define IOCON_PIO1_2_INVERT_Msk               (0x01UL << IOCON_PIO1_2_INVERT_Pos)                     /*!< IOCON PIO1_2: INVERT Mask               */
#define IOCON_PIO1_2_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_2: DIGIMODE Position         */
#define IOCON_PIO1_2_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_2_DIGIMODE_Pos)                   /*!< IOCON PIO1_2: DIGIMODE Mask             */
#define IOCON_PIO1_2_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_2: FILTEROFF Position        */
#define IOCON_PIO1_2_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_2_FILTEROFF_Pos)                  /*!< IOCON PIO1_2: FILTEROFF Mask            */
#define IOCON_PIO1_2_OD_Pos                   10                                                      /*!< IOCON PIO1_2: OD Position               */
#define IOCON_PIO1_2_OD_Msk                   (0x01UL << IOCON_PIO1_2_OD_Pos)                         /*!< IOCON PIO1_2: OD Mask                   */

/* --------------------------------  IOCON_PIO1_3  -------------------------------- */
#define IOCON_PIO1_3_FUNC_Pos                 0                                                       /*!< IOCON PIO1_3: FUNC Position             */
#define IOCON_PIO1_3_FUNC_Msk                 (0x07UL << IOCON_PIO1_3_FUNC_Pos)                       /*!< IOCON PIO1_3: FUNC Mask                 */
#define IOCON_PIO1_3_MODE_Pos                 3                                                       /*!< IOCON PIO1_3: MODE Position             */
#define IOCON_PIO1_3_MODE_Msk                 (0x03UL << IOCON_PIO1_3_MODE_Pos)                       /*!< IOCON PIO1_3: MODE Mask                 */
#define IOCON_PIO1_3_INVERT_Pos               6                                                       /*!< IOCON PIO1_3: INVERT Position           */
#define IOCON_PIO1_3_INVERT_Msk               (0x01UL << IOCON_PIO1_3_INVERT_Pos)                     /*!< IOCON PIO1_3: INVERT Mask               */
#define IOCON_PIO1_3_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_3: DIGIMODE Position         */
#define IOCON_PIO1_3_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_3_DIGIMODE_Pos)                   /*!< IOCON PIO1_3: DIGIMODE Mask             */
#define IOCON_PIO1_3_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_3: FILTEROFF Position        */
#define IOCON_PIO1_3_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_3_FILTEROFF_Pos)                  /*!< IOCON PIO1_3: FILTEROFF Mask            */
#define IOCON_PIO1_3_OD_Pos                   10                                                      /*!< IOCON PIO1_3: OD Position               */
#define IOCON_PIO1_3_OD_Msk                   (0x01UL << IOCON_PIO1_3_OD_Pos)                         /*!< IOCON PIO1_3: OD Mask                   */

/* --------------------------------  IOCON_PIO1_4  -------------------------------- */
#define IOCON_PIO1_4_FUNC_Pos                 0                                                       /*!< IOCON PIO1_4: FUNC Position             */
#define IOCON_PIO1_4_FUNC_Msk                 (0x07UL << IOCON_PIO1_4_FUNC_Pos)                       /*!< IOCON PIO1_4: FUNC Mask                 */
#define IOCON_PIO1_4_MODE_Pos                 3                                                       /*!< IOCON PIO1_4: MODE Position             */
#define IOCON_PIO1_4_MODE_Msk                 (0x03UL << IOCON_PIO1_4_MODE_Pos)                       /*!< IOCON PIO1_4: MODE Mask                 */
#define IOCON_PIO1_4_INVERT_Pos               6                                                       /*!< IOCON PIO1_4: INVERT Position           */
#define IOCON_PIO1_4_INVERT_Msk               (0x01UL << IOCON_PIO1_4_INVERT_Pos)                     /*!< IOCON PIO1_4: INVERT Mask               */
#define IOCON_PIO1_4_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_4: DIGIMODE Position         */
#define IOCON_PIO1_4_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_4_DIGIMODE_Pos)                   /*!< IOCON PIO1_4: DIGIMODE Mask             */
#define IOCON_PIO1_4_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_4: FILTEROFF Position        */
#define IOCON_PIO1_4_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_4_FILTEROFF_Pos)                  /*!< IOCON PIO1_4: FILTEROFF Mask            */
#define IOCON_PIO1_4_OD_Pos                   10                                                      /*!< IOCON PIO1_4: OD Position               */
#define IOCON_PIO1_4_OD_Msk                   (0x01UL << IOCON_PIO1_4_OD_Pos)                         /*!< IOCON PIO1_4: OD Mask                   */

/* --------------------------------  IOCON_PIO1_5  -------------------------------- */
#define IOCON_PIO1_5_FUNC_Pos                 0                                                       /*!< IOCON PIO1_5: FUNC Position             */
#define IOCON_PIO1_5_FUNC_Msk                 (0x07UL << IOCON_PIO1_5_FUNC_Pos)                       /*!< IOCON PIO1_5: FUNC Mask                 */
#define IOCON_PIO1_5_MODE_Pos                 3                                                       /*!< IOCON PIO1_5: MODE Position             */
#define IOCON_PIO1_5_MODE_Msk                 (0x03UL << IOCON_PIO1_5_MODE_Pos)                       /*!< IOCON PIO1_5: MODE Mask                 */
#define IOCON_PIO1_5_INVERT_Pos               6                                                       /*!< IOCON PIO1_5: INVERT Position           */
#define IOCON_PIO1_5_INVERT_Msk               (0x01UL << IOCON_PIO1_5_INVERT_Pos)                     /*!< IOCON PIO1_5: INVERT Mask               */
#define IOCON_PIO1_5_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_5: DIGIMODE Position         */
#define IOCON_PIO1_5_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_5_DIGIMODE_Pos)                   /*!< IOCON PIO1_5: DIGIMODE Mask             */
#define IOCON_PIO1_5_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_5: FILTEROFF Position        */
#define IOCON_PIO1_5_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_5_FILTEROFF_Pos)                  /*!< IOCON PIO1_5: FILTEROFF Mask            */
#define IOCON_PIO1_5_OD_Pos                   10                                                      /*!< IOCON PIO1_5: OD Position               */
#define IOCON_PIO1_5_OD_Msk                   (0x01UL << IOCON_PIO1_5_OD_Pos)                         /*!< IOCON PIO1_5: OD Mask                   */

/* --------------------------------  IOCON_PIO1_6  -------------------------------- */
#define IOCON_PIO1_6_FUNC_Pos                 0                                                       /*!< IOCON PIO1_6: FUNC Position             */
#define IOCON_PIO1_6_FUNC_Msk                 (0x07UL << IOCON_PIO1_6_FUNC_Pos)                       /*!< IOCON PIO1_6: FUNC Mask                 */
#define IOCON_PIO1_6_MODE_Pos                 3                                                       /*!< IOCON PIO1_6: MODE Position             */
#define IOCON_PIO1_6_MODE_Msk                 (0x03UL << IOCON_PIO1_6_MODE_Pos)                       /*!< IOCON PIO1_6: MODE Mask                 */
#define IOCON_PIO1_6_INVERT_Pos               6                                                       /*!< IOCON PIO1_6: INVERT Position           */
#define IOCON_PIO1_6_INVERT_Msk               (0x01UL << IOCON_PIO1_6_INVERT_Pos)                     /*!< IOCON PIO1_6: INVERT Mask               */
#define IOCON_PIO1_6_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_6: DIGIMODE Position         */
#define IOCON_PIO1_6_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_6_DIGIMODE_Pos)                   /*!< IOCON PIO1_6: DIGIMODE Mask             */
#define IOCON_PIO1_6_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_6: FILTEROFF Position        */
#define IOCON_PIO1_6_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_6_FILTEROFF_Pos)                  /*!< IOCON PIO1_6: FILTEROFF Mask            */
#define IOCON_PIO1_6_OD_Pos                   10                                                      /*!< IOCON PIO1_6: OD Position               */
#define IOCON_PIO1_6_OD_Msk                   (0x01UL << IOCON_PIO1_6_OD_Pos)                         /*!< IOCON PIO1_6: OD Mask                   */

/* --------------------------------  IOCON_PIO1_7  -------------------------------- */
#define IOCON_PIO1_7_FUNC_Pos                 0                                                       /*!< IOCON PIO1_7: FUNC Position             */
#define IOCON_PIO1_7_FUNC_Msk                 (0x07UL << IOCON_PIO1_7_FUNC_Pos)                       /*!< IOCON PIO1_7: FUNC Mask                 */
#define IOCON_PIO1_7_MODE_Pos                 3                                                       /*!< IOCON PIO1_7: MODE Position             */
#define IOCON_PIO1_7_MODE_Msk                 (0x03UL << IOCON_PIO1_7_MODE_Pos)                       /*!< IOCON PIO1_7: MODE Mask                 */
#define IOCON_PIO1_7_INVERT_Pos               6                                                       /*!< IOCON PIO1_7: INVERT Position           */
#define IOCON_PIO1_7_INVERT_Msk               (0x01UL << IOCON_PIO1_7_INVERT_Pos)                     /*!< IOCON PIO1_7: INVERT Mask               */
#define IOCON_PIO1_7_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_7: DIGIMODE Position         */
#define IOCON_PIO1_7_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_7_DIGIMODE_Pos)                   /*!< IOCON PIO1_7: DIGIMODE Mask             */
#define IOCON_PIO1_7_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_7: FILTEROFF Position        */
#define IOCON_PIO1_7_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_7_FILTEROFF_Pos)                  /*!< IOCON PIO1_7: FILTEROFF Mask            */
#define IOCON_PIO1_7_OD_Pos                   10                                                      /*!< IOCON PIO1_7: OD Position               */
#define IOCON_PIO1_7_OD_Msk                   (0x01UL << IOCON_PIO1_7_OD_Pos)                         /*!< IOCON PIO1_7: OD Mask                   */

/* --------------------------------  IOCON_PIO1_8  -------------------------------- */
#define IOCON_PIO1_8_FUNC_Pos                 0                                                       /*!< IOCON PIO1_8: FUNC Position             */
#define IOCON_PIO1_8_FUNC_Msk                 (0x07UL << IOCON_PIO1_8_FUNC_Pos)                       /*!< IOCON PIO1_8: FUNC Mask                 */
#define IOCON_PIO1_8_MODE_Pos                 3                                                       /*!< IOCON PIO1_8: MODE Position             */
#define IOCON_PIO1_8_MODE_Msk                 (0x03UL << IOCON_PIO1_8_MODE_Pos)                       /*!< IOCON PIO1_8: MODE Mask                 */
#define IOCON_PIO1_8_INVERT_Pos               6                                                       /*!< IOCON PIO1_8: INVERT Position           */
#define IOCON_PIO1_8_INVERT_Msk               (0x01UL << IOCON_PIO1_8_INVERT_Pos)                     /*!< IOCON PIO1_8: INVERT Mask               */
#define IOCON_PIO1_8_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_8: DIGIMODE Position         */
#define IOCON_PIO1_8_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_8_DIGIMODE_Pos)                   /*!< IOCON PIO1_8: DIGIMODE Mask             */
#define IOCON_PIO1_8_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_8: FILTEROFF Position        */
#define IOCON_PIO1_8_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_8_FILTEROFF_Pos)                  /*!< IOCON PIO1_8: FILTEROFF Mask            */
#define IOCON_PIO1_8_OD_Pos                   10                                                      /*!< IOCON PIO1_8: OD Position               */
#define IOCON_PIO1_8_OD_Msk                   (0x01UL << IOCON_PIO1_8_OD_Pos)                         /*!< IOCON PIO1_8: OD Mask                   */

/* --------------------------------  IOCON_PIO1_9  -------------------------------- */
#define IOCON_PIO1_9_FUNC_Pos                 0                                                       /*!< IOCON PIO1_9: FUNC Position             */
#define IOCON_PIO1_9_FUNC_Msk                 (0x07UL << IOCON_PIO1_9_FUNC_Pos)                       /*!< IOCON PIO1_9: FUNC Mask                 */
#define IOCON_PIO1_9_MODE_Pos                 3                                                       /*!< IOCON PIO1_9: MODE Position             */
#define IOCON_PIO1_9_MODE_Msk                 (0x03UL << IOCON_PIO1_9_MODE_Pos)                       /*!< IOCON PIO1_9: MODE Mask                 */
#define IOCON_PIO1_9_INVERT_Pos               6                                                       /*!< IOCON PIO1_9: INVERT Position           */
#define IOCON_PIO1_9_INVERT_Msk               (0x01UL << IOCON_PIO1_9_INVERT_Pos)                     /*!< IOCON PIO1_9: INVERT Mask               */
#define IOCON_PIO1_9_DIGIMODE_Pos             7                                                       /*!< IOCON PIO1_9: DIGIMODE Position         */
#define IOCON_PIO1_9_DIGIMODE_Msk             (0x01UL << IOCON_PIO1_9_DIGIMODE_Pos)                   /*!< IOCON PIO1_9: DIGIMODE Mask             */
#define IOCON_PIO1_9_FILTEROFF_Pos            8                                                       /*!< IOCON PIO1_9: FILTEROFF Position        */
#define IOCON_PIO1_9_FILTEROFF_Msk            (0x01UL << IOCON_PIO1_9_FILTEROFF_Pos)                  /*!< IOCON PIO1_9: FILTEROFF Mask            */
#define IOCON_PIO1_9_SLEW_Pos                 9                                                       /*!< IOCON PIO1_9: SLEW Position             */
#define IOCON_PIO1_9_SLEW_Msk                 (0x01UL << IOCON_PIO1_9_SLEW_Pos)                       /*!< IOCON PIO1_9: SLEW Mask                 */
#define IOCON_PIO1_9_OD_Pos                   10                                                      /*!< IOCON PIO1_9: OD Position               */
#define IOCON_PIO1_9_OD_Msk                   (0x01UL << IOCON_PIO1_9_OD_Pos)                         /*!< IOCON PIO1_9: OD Mask                   */

/* --------------------------------  IOCON_PIO1_10  ------------------------------- */
#define IOCON_PIO1_10_FUNC_Pos                0                                                       /*!< IOCON PIO1_10: FUNC Position            */
#define IOCON_PIO1_10_FUNC_Msk                (0x07UL << IOCON_PIO1_10_FUNC_Pos)                      /*!< IOCON PIO1_10: FUNC Mask                */
#define IOCON_PIO1_10_MODE_Pos                3                                                       /*!< IOCON PIO1_10: MODE Position            */
#define IOCON_PIO1_10_MODE_Msk                (0x03UL << IOCON_PIO1_10_MODE_Pos)                      /*!< IOCON PIO1_10: MODE Mask                */
#define IOCON_PIO1_10_INVERT_Pos              6                                                       /*!< IOCON PIO1_10: INVERT Position          */
#define IOCON_PIO1_10_INVERT_Msk              (0x01UL << IOCON_PIO1_10_INVERT_Pos)                    /*!< IOCON PIO1_10: INVERT Mask              */
#define IOCON_PIO1_10_DIGIMODE_Pos            7                                                       /*!< IOCON PIO1_10: DIGIMODE Position        */
#define IOCON_PIO1_10_DIGIMODE_Msk            (0x01UL << IOCON_PIO1_10_DIGIMODE_Pos)                  /*!< IOCON PIO1_10: DIGIMODE Mask            */
#define IOCON_PIO1_10_FILTEROFF_Pos           8                                                       /*!< IOCON PIO1_10: FILTEROFF Position       */
#define IOCON_PIO1_10_FILTEROFF_Msk           (0x01UL << IOCON_PIO1_10_FILTEROFF_Pos)                 /*!< IOCON PIO1_10: FILTEROFF Mask           */
#define IOCON_PIO1_10_SLEW_Pos                9                                                       /*!< IOCON PIO1_10: SLEW Position            */
#define IOCON_PIO1_10_SLEW_Msk                (0x01UL << IOCON_PIO1_10_SLEW_Pos)                      /*!< IOCON PIO1_10: SLEW Mask                */
#define IOCON_PIO1_10_OD_Pos                  10                                                      /*!< IOCON PIO1_10: OD Position              */
#define IOCON_PIO1_10_OD_Msk                  (0x01UL << IOCON_PIO1_10_OD_Pos)                        /*!< IOCON PIO1_10: OD Mask                  */

/* --------------------------------  IOCON_PIO1_11  ------------------------------- */
#define IOCON_PIO1_11_FUNC_Pos                0                                                       /*!< IOCON PIO1_11: FUNC Position            */
#define IOCON_PIO1_11_FUNC_Msk                (0x07UL << IOCON_PIO1_11_FUNC_Pos)                      /*!< IOCON PIO1_11: FUNC Mask                */
#define IOCON_PIO1_11_MODE_Pos                3                                                       /*!< IOCON PIO1_11: MODE Position            */
#define IOCON_PIO1_11_MODE_Msk                (0x03UL << IOCON_PIO1_11_MODE_Pos)                      /*!< IOCON PIO1_11: MODE Mask                */
#define IOCON_PIO1_11_INVERT_Pos              6                                                       /*!< IOCON PIO1_11: INVERT Position          */
#define IOCON_PIO1_11_INVERT_Msk              (0x01UL << IOCON_PIO1_11_INVERT_Pos)                    /*!< IOCON PIO1_11: INVERT Mask              */
#define IOCON_PIO1_11_DIGIMODE_Pos            7                                                       /*!< IOCON PIO1_11: DIGIMODE Position        */
#define IOCON_PIO1_11_DIGIMODE_Msk            (0x01UL << IOCON_PIO1_11_DIGIMODE_Pos)                  /*!< IOCON PIO1_11: DIGIMODE Mask            */
#define IOCON_PIO1_11_FILTEROFF_Pos           8                                                       /*!< IOCON PIO1_11: FILTEROFF Position       */
#define IOCON_PIO1_11_FILTEROFF_Msk           (0x01UL << IOCON_PIO1_11_FILTEROFF_Pos)                 /*!< IOCON PIO1_11: FILTEROFF Mask           */
#define IOCON_PIO1_11_SLEW_Pos                9                                                       /*!< IOCON PIO1_11: SLEW Position            */
#define IOCON_PIO1_11_SLEW_Msk                (0x01UL << IOCON_PIO1_11_SLEW_Pos)                      /*!< IOCON PIO1_11: SLEW Mask                */
#define IOCON_PIO1_11_OD_Pos                  10                                                      /*!< IOCON PIO1_11: OD Position              */
#define IOCON_PIO1_11_OD_Msk                  (0x01UL << IOCON_PIO1_11_OD_Pos)                        /*!< IOCON PIO1_11: OD Mask                  */

/* --------------------------------  IOCON_PIO1_12  ------------------------------- */
#define IOCON_PIO1_12_FUNC_Pos                0                                                       /*!< IOCON PIO1_12: FUNC Position            */
#define IOCON_PIO1_12_FUNC_Msk                (0x07UL << IOCON_PIO1_12_FUNC_Pos)                      /*!< IOCON PIO1_12: FUNC Mask                */
#define IOCON_PIO1_12_MODE_Pos                3                                                       /*!< IOCON PIO1_12: MODE Position            */
#define IOCON_PIO1_12_MODE_Msk                (0x03UL << IOCON_PIO1_12_MODE_Pos)                      /*!< IOCON PIO1_12: MODE Mask                */
#define IOCON_PIO1_12_INVERT_Pos              6                                                       /*!< IOCON PIO1_12: INVERT Position          */
#define IOCON_PIO1_12_INVERT_Msk              (0x01UL << IOCON_PIO1_12_INVERT_Pos)                    /*!< IOCON PIO1_12: INVERT Mask              */
#define IOCON_PIO1_12_DIGIMODE_Pos            7                                                       /*!< IOCON PIO1_12: DIGIMODE Position        */
#define IOCON_PIO1_12_DIGIMODE_Msk            (0x01UL << IOCON_PIO1_12_DIGIMODE_Pos)                  /*!< IOCON PIO1_12: DIGIMODE Mask            */
#define IOCON_PIO1_12_FILTEROFF_Pos           8                                                       /*!< IOCON PIO1_12: FILTEROFF Position       */
#define IOCON_PIO1_12_FILTEROFF_Msk           (0x01UL << IOCON_PIO1_12_FILTEROFF_Pos)                 /*!< IOCON PIO1_12: FILTEROFF Mask           */
#define IOCON_PIO1_12_SLEW_Pos                9                                                       /*!< IOCON PIO1_12: SLEW Position            */
#define IOCON_PIO1_12_SLEW_Msk                (0x01UL << IOCON_PIO1_12_SLEW_Pos)                      /*!< IOCON PIO1_12: SLEW Mask                */
#define IOCON_PIO1_12_OD_Pos                  10                                                      /*!< IOCON PIO1_12: OD Position              */
#define IOCON_PIO1_12_OD_Msk                  (0x01UL << IOCON_PIO1_12_OD_Pos)                        /*!< IOCON PIO1_12: OD Mask                  */

/* --------------------------------  IOCON_PIO1_13  ------------------------------- */
#define IOCON_PIO1_13_FUNC_Pos                0                                                       /*!< IOCON PIO1_13: FUNC Position            */
#define IOCON_PIO1_13_FUNC_Msk                (0x07UL << IOCON_PIO1_13_FUNC_Pos)                      /*!< IOCON PIO1_13: FUNC Mask                */
#define IOCON_PIO1_13_MODE_Pos                3                                                       /*!< IOCON PIO1_13: MODE Position            */
#define IOCON_PIO1_13_MODE_Msk                (0x03UL << IOCON_PIO1_13_MODE_Pos)                      /*!< IOCON PIO1_13: MODE Mask                */
#define IOCON_PIO1_13_INVERT_Pos              6                                                       /*!< IOCON PIO1_13: INVERT Position          */
#define IOCON_PIO1_13_INVERT_Msk              (0x01UL << IOCON_PIO1_13_INVERT_Pos)                    /*!< IOCON PIO1_13: INVERT Mask              */
#define IOCON_PIO1_13_DIGIMODE_Pos            7                                                       /*!< IOCON PIO1_13: DIGIMODE Position        */
#define IOCON_PIO1_13_DIGIMODE_Msk            (0x01UL << IOCON_PIO1_13_DIGIMODE_Pos)                  /*!< IOCON PIO1_13: DIGIMODE Mask            */
#define IOCON_PIO1_13_FILTEROFF_Pos           8                                                       /*!< IOCON PIO1_13: FILTEROFF Position       */
#define IOCON_PIO1_13_FILTEROFF_Msk           (0x01UL << IOCON_PIO1_13_FILTEROFF_Pos)                 /*!< IOCON PIO1_13: FILTEROFF Mask           */
#define IOCON_PIO1_13_SLEW_Pos                9                                                       /*!< IOCON PIO1_13: SLEW Position            */
#define IOCON_PIO1_13_SLEW_Msk                (0x01UL << IOCON_PIO1_13_SLEW_Pos)                      /*!< IOCON PIO1_13: SLEW Mask                */
#define IOCON_PIO1_13_OD_Pos                  10                                                      /*!< IOCON PIO1_13: OD Position              */
#define IOCON_PIO1_13_OD_Msk                  (0x01UL << IOCON_PIO1_13_OD_Pos)                        /*!< IOCON PIO1_13: OD Mask                  */

/* --------------------------------  IOCON_PIO1_14  ------------------------------- */
#define IOCON_PIO1_14_FUNC_Pos                0                                                       /*!< IOCON PIO1_14: FUNC Position            */
#define IOCON_PIO1_14_FUNC_Msk                (0x07UL << IOCON_PIO1_14_FUNC_Pos)                      /*!< IOCON PIO1_14: FUNC Mask                */
#define IOCON_PIO1_14_MODE_Pos                3                                                       /*!< IOCON PIO1_14: MODE Position            */
#define IOCON_PIO1_14_MODE_Msk                (0x03UL << IOCON_PIO1_14_MODE_Pos)                      /*!< IOCON PIO1_14: MODE Mask                */
#define IOCON_PIO1_14_INVERT_Pos              6                                                       /*!< IOCON PIO1_14: INVERT Position          */
#define IOCON_PIO1_14_INVERT_Msk              (0x01UL << IOCON_PIO1_14_INVERT_Pos)                    /*!< IOCON PIO1_14: INVERT Mask              */
#define IOCON_PIO1_14_DIGIMODE_Pos            7                                                       /*!< IOCON PIO1_14: DIGIMODE Position        */
#define IOCON_PIO1_14_DIGIMODE_Msk            (0x01UL << IOCON_PIO1_14_DIGIMODE_Pos)                  /*!< IOCON PIO1_14: DIGIMODE Mask            */
#define IOCON_PIO1_14_FILTEROFF_Pos           8                                                       /*!< IOCON PIO1_14: FILTEROFF Position       */
#define IOCON_PIO1_14_FILTEROFF_Msk           (0x01UL << IOCON_PIO1_14_FILTEROFF_Pos)                 /*!< IOCON PIO1_14: FILTEROFF Mask           */
#define IOCON_PIO1_14_SLEW_Pos                9                                                       /*!< IOCON PIO1_14: SLEW Position            */
#define IOCON_PIO1_14_SLEW_Msk                (0x01UL << IOCON_PIO1_14_SLEW_Pos)                      /*!< IOCON PIO1_14: SLEW Mask                */
#define IOCON_PIO1_14_OD_Pos                  10                                                      /*!< IOCON PIO1_14: OD Position              */
#define IOCON_PIO1_14_OD_Msk                  (0x01UL << IOCON_PIO1_14_OD_Pos)                        /*!< IOCON PIO1_14: OD Mask                  */

/* --------------------------------  IOCON_PIO1_15  ------------------------------- */
#define IOCON_PIO1_15_FUNC_Pos                0                                                       /*!< IOCON PIO1_15: FUNC Position            */
#define IOCON_PIO1_15_FUNC_Msk                (0x07UL << IOCON_PIO1_15_FUNC_Pos)                      /*!< IOCON PIO1_15: FUNC Mask                */
#define IOCON_PIO1_15_MODE_Pos                3                                                       /*!< IOCON PIO1_15: MODE Position            */
#define IOCON_PIO1_15_MODE_Msk                (0x03UL << IOCON_PIO1_15_MODE_Pos)                      /*!< IOCON PIO1_15: MODE Mask                */
#define IOCON_PIO1_15_INVERT_Pos              6                                                       /*!< IOCON PIO1_15: INVERT Position          */
#define IOCON_PIO1_15_INVERT_Msk              (0x01UL << IOCON_PIO1_15_INVERT_Pos)                    /*!< IOCON PIO1_15: INVERT Mask              */
#define IOCON_PIO1_15_DIGIMODE_Pos            7                                                       /*!< IOCON PIO1_15: DIGIMODE Position        */
#define IOCON_PIO1_15_DIGIMODE_Msk            (0x01UL << IOCON_PIO1_15_DIGIMODE_Pos)                  /*!< IOCON PIO1_15: DIGIMODE Mask            */
#define IOCON_PIO1_15_FILTEROFF_Pos           8                                                       /*!< IOCON PIO1_15: FILTEROFF Position       */
#define IOCON_PIO1_15_FILTEROFF_Msk           (0x01UL << IOCON_PIO1_15_FILTEROFF_Pos)                 /*!< IOCON PIO1_15: FILTEROFF Mask           */
#define IOCON_PIO1_15_SLEW_Pos                9                                                       /*!< IOCON PIO1_15: SLEW Position            */
#define IOCON_PIO1_15_SLEW_Msk                (0x01UL << IOCON_PIO1_15_SLEW_Pos)                      /*!< IOCON PIO1_15: SLEW Mask                */
#define IOCON_PIO1_15_OD_Pos                  10                                                      /*!< IOCON PIO1_15: OD Position              */
#define IOCON_PIO1_15_OD_Msk                  (0x01UL << IOCON_PIO1_15_OD_Pos)                        /*!< IOCON PIO1_15: OD Mask                  */

/* --------------------------------  IOCON_PIO1_16  ------------------------------- */
#define IOCON_PIO1_16_FUNC_Pos                0                                                       /*!< IOCON PIO1_16: FUNC Position            */
#define IOCON_PIO1_16_FUNC_Msk                (0x07UL << IOCON_PIO1_16_FUNC_Pos)                      /*!< IOCON PIO1_16: FUNC Mask                */
#define IOCON_PIO1_16_MODE_Pos                3                                                       /*!< IOCON PIO1_16: MODE Position            */
#define IOCON_PIO1_16_MODE_Msk                (0x03UL << IOCON_PIO1_16_MODE_Pos)                      /*!< IOCON PIO1_16: MODE Mask                */
#define IOCON_PIO1_16_INVERT_Pos              6                                                       /*!< IOCON PIO1_16: INVERT Position          */
#define IOCON_PIO1_16_INVERT_Msk              (0x01UL << IOCON_PIO1_16_INVERT_Pos)                    /*!< IOCON PIO1_16: INVERT Mask              */
#define IOCON_PIO1_16_DIGIMODE_Pos            7                                                       /*!< IOCON PIO1_16: DIGIMODE Position        */
#define IOCON_PIO1_16_DIGIMODE_Msk            (0x01UL << IOCON_PIO1_16_DIGIMODE_Pos)                  /*!< IOCON PIO1_16: DIGIMODE Mask            */
#define IOCON_PIO1_16_FILTEROFF_Pos           8                                                       /*!< IOCON PIO1_16: FILTEROFF Position       */
#define IOCON_PIO1_16_FILTEROFF_Msk           (0x01UL << IOCON_PIO1_16_FILTEROFF_Pos)                 /*!< IOCON PIO1_16: FILTEROFF Mask           */
#define IOCON_PIO1_16_SLEW_Pos                9                                                       /*!< IOCON PIO1_16: SLEW Position            */
#define IOCON_PIO1_16_SLEW_Msk                (0x01UL << IOCON_PIO1_16_SLEW_Pos)                      /*!< IOCON PIO1_16: SLEW Mask                */
#define IOCON_PIO1_16_OD_Pos                  10                                                      /*!< IOCON PIO1_16: OD Position              */
#define IOCON_PIO1_16_OD_Msk                  (0x01UL << IOCON_PIO1_16_OD_Pos)                        /*!< IOCON PIO1_16: OD Mask                  */

/* --------------------------------  IOCON_PIO1_17  ------------------------------- */
#define IOCON_PIO1_17_FUNC_Pos                0                                                       /*!< IOCON PIO1_17: FUNC Position            */
#define IOCON_PIO1_17_FUNC_Msk                (0x07UL << IOCON_PIO1_17_FUNC_Pos)                      /*!< IOCON PIO1_17: FUNC Mask                */
#define IOCON_PIO1_17_MODE_Pos                3                                                       /*!< IOCON PIO1_17: MODE Position            */
#define IOCON_PIO1_17_MODE_Msk                (0x03UL << IOCON_PIO1_17_MODE_Pos)                      /*!< IOCON PIO1_17: MODE Mask                */
#define IOCON_PIO1_17_INVERT_Pos              6                                                       /*!< IOCON PIO1_17: INVERT Position          */
#define IOCON_PIO1_17_INVERT_Msk              (0x01UL << IOCON_PIO1_17_INVERT_Pos)                    /*!< IOCON PIO1_17: INVERT Mask              */
#define IOCON_PIO1_17_DIGIMODE_Pos            7                                                       /*!< IOCON PIO1_17: DIGIMODE Position        */
#define IOCON_PIO1_17_DIGIMODE_Msk            (0x01UL << IOCON_PIO1_17_DIGIMODE_Pos)                  /*!< IOCON PIO1_17: DIGIMODE Mask            */
#define IOCON_PIO1_17_FILTEROFF_Pos           8                                                       /*!< IOCON PIO1_17: FILTEROFF Position       */
#define IOCON_PIO1_17_FILTEROFF_Msk           (0x01UL << IOCON_PIO1_17_FILTEROFF_Pos)                 /*!< IOCON PIO1_17: FILTEROFF Mask           */
#define IOCON_PIO1_17_SLEW_Pos                9                                                       /*!< IOCON PIO1_17: SLEW Position            */
#define IOCON_PIO1_17_SLEW_Msk                (0x01UL << IOCON_PIO1_17_SLEW_Pos)                      /*!< IOCON PIO1_17: SLEW Mask                */
#define IOCON_PIO1_17_OD_Pos                  10                                                      /*!< IOCON PIO1_17: OD Position              */
#define IOCON_PIO1_17_OD_Msk                  (0x01UL << IOCON_PIO1_17_OD_Pos)                        /*!< IOCON PIO1_17: OD Mask                  */


/* ================================================================================ */
/* ================         struct 'UTICK' Position & Mask         ================ */
/* ================================================================================ */


/* ---------------------------------  UTICK_CTRL  --------------------------------- */
#define UTICK_CTRL_DELAYVAL_Pos               0                                                       /*!< UTICK CTRL: DELAYVAL Position           */
#define UTICK_CTRL_DELAYVAL_Msk               (0x7fffffffUL << UTICK_CTRL_DELAYVAL_Pos)               /*!< UTICK CTRL: DELAYVAL Mask               */
#define UTICK_CTRL_REPEAT_Pos                 31                                                      /*!< UTICK CTRL: REPEAT Position             */
#define UTICK_CTRL_REPEAT_Msk                 (0x01UL << UTICK_CTRL_REPEAT_Pos)                       /*!< UTICK CTRL: REPEAT Mask                 */

/* ---------------------------------  UTICK_STAT  --------------------------------- */
#define UTICK_STAT_INTR_Pos                   0                                                       /*!< UTICK STAT: INTR Position               */
#define UTICK_STAT_INTR_Msk                   (0x01UL << UTICK_STAT_INTR_Pos)                         /*!< UTICK STAT: INTR Mask                   */
#define UTICK_STAT_ACTIVE_Pos                 1                                                       /*!< UTICK STAT: ACTIVE Position             */
#define UTICK_STAT_ACTIVE_Msk                 (0x01UL << UTICK_STAT_ACTIVE_Pos)                       /*!< UTICK STAT: ACTIVE Mask                 */


/* ================================================================================ */
/* ================       struct 'ADVSYSCON' Position & Mask       ================ */
/* ================================================================================ */


/* ------------------------------  ADVSYSCON_BODCTRL  ----------------------------- */
#define ADVSYSCON_BODCTRL_BODRSTLEV_Pos       0                                                       /*!< ADVSYSCON BODCTRL: BODRSTLEV Position   */
#define ADVSYSCON_BODCTRL_BODRSTLEV_Msk       (0x03UL << ADVSYSCON_BODCTRL_BODRSTLEV_Pos)             /*!< ADVSYSCON BODCTRL: BODRSTLEV Mask       */
#define ADVSYSCON_BODCTRL_BODINTVAL_Pos       2                                                       /*!< ADVSYSCON BODCTRL: BODINTVAL Position   */
#define ADVSYSCON_BODCTRL_BODINTVAL_Msk       (0x03UL << ADVSYSCON_BODCTRL_BODINTVAL_Pos)             /*!< ADVSYSCON BODCTRL: BODINTVAL Mask       */
#define ADVSYSCON_BODCTRL_BODRSTENA_Pos       4                                                       /*!< ADVSYSCON BODCTRL: BODRSTENA Position   */
#define ADVSYSCON_BODCTRL_BODRSTENA_Msk       (0x01UL << ADVSYSCON_BODCTRL_BODRSTENA_Pos)             /*!< ADVSYSCON BODCTRL: BODRSTENA Mask       */


/* ================================================================================ */
/* ================          struct 'WWDT' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  WWDT_MOD  ---------------------------------- */
#define WWDT_MOD_WDEN_Pos                     0                                                       /*!< WWDT MOD: WDEN Position                 */
#define WWDT_MOD_WDEN_Msk                     (0x01UL << WWDT_MOD_WDEN_Pos)                           /*!< WWDT MOD: WDEN Mask                     */
#define WWDT_MOD_WDRESET_Pos                  1                                                       /*!< WWDT MOD: WDRESET Position              */
#define WWDT_MOD_WDRESET_Msk                  (0x01UL << WWDT_MOD_WDRESET_Pos)                        /*!< WWDT MOD: WDRESET Mask                  */
#define WWDT_MOD_WDTOF_Pos                    2                                                       /*!< WWDT MOD: WDTOF Position                */
#define WWDT_MOD_WDTOF_Msk                    (0x01UL << WWDT_MOD_WDTOF_Pos)                          /*!< WWDT MOD: WDTOF Mask                    */
#define WWDT_MOD_WDINT_Pos                    3                                                       /*!< WWDT MOD: WDINT Position                */
#define WWDT_MOD_WDINT_Msk                    (0x01UL << WWDT_MOD_WDINT_Pos)                          /*!< WWDT MOD: WDINT Mask                    */
#define WWDT_MOD_WDPROTECT_Pos                4                                                       /*!< WWDT MOD: WDPROTECT Position            */
#define WWDT_MOD_WDPROTECT_Msk                (0x01UL << WWDT_MOD_WDPROTECT_Pos)                      /*!< WWDT MOD: WDPROTECT Mask                */
#define WWDT_MOD_LOCK_Pos                     5                                                       /*!< WWDT MOD: LOCK Position                 */
#define WWDT_MOD_LOCK_Msk                     (0x01UL << WWDT_MOD_LOCK_Pos)                           /*!< WWDT MOD: LOCK Mask                     */

/* -----------------------------------  WWDT_TC  ---------------------------------- */
#define WWDT_TC_COUNT_Pos                     0                                                       /*!< WWDT TC: COUNT Position                 */
#define WWDT_TC_COUNT_Msk                     (0x00ffffffUL << WWDT_TC_COUNT_Pos)                     /*!< WWDT TC: COUNT Mask                     */

/* ----------------------------------  WWDT_FEED  --------------------------------- */
#define WWDT_FEED_FEED_Pos                    0                                                       /*!< WWDT FEED: FEED Position                */
#define WWDT_FEED_FEED_Msk                    (0x000000ffUL << WWDT_FEED_FEED_Pos)                    /*!< WWDT FEED: FEED Mask                    */

/* -----------------------------------  WWDT_TV  ---------------------------------- */
#define WWDT_TV_COUNT_Pos                     0                                                       /*!< WWDT TV: COUNT Position                 */
#define WWDT_TV_COUNT_Msk                     (0x00ffffffUL << WWDT_TV_COUNT_Pos)                     /*!< WWDT TV: COUNT Mask                     */

/* --------------------------------  WWDT_WARNINT  -------------------------------- */
#define WWDT_WARNINT_WARNINT_Pos              0                                                       /*!< WWDT WARNINT: WARNINT Position          */
#define WWDT_WARNINT_WARNINT_Msk              (0x000003ffUL << WWDT_WARNINT_WARNINT_Pos)              /*!< WWDT WARNINT: WARNINT Mask              */

/* ---------------------------------  WWDT_WINDOW  -------------------------------- */
#define WWDT_WINDOW_WINDOW_Pos                0                                                       /*!< WWDT WINDOW: WINDOW Position            */
#define WWDT_WINDOW_WINDOW_Msk                (0x00ffffffUL << WWDT_WINDOW_WINDOW_Pos)                /*!< WWDT WINDOW: WINDOW Mask                */


/* ================================================================================ */
/* ================          struct 'RTC' Position & Mask          ================ */
/* ================================================================================ */


/* ----------------------------------  RTC_CTRL  ---------------------------------- */
#define RTC_CTRL_SWRESET_Pos                  0                                                       /*!< RTC CTRL: SWRESET Position              */
#define RTC_CTRL_SWRESET_Msk                  (0x01UL << RTC_CTRL_SWRESET_Pos)                        /*!< RTC CTRL: SWRESET Mask                  */
#define RTC_CTRL_OFD_Pos                      1                                                       /*!< RTC CTRL: OFD Position                  */
#define RTC_CTRL_OFD_Msk                      (0x01UL << RTC_CTRL_OFD_Pos)                            /*!< RTC CTRL: OFD Mask                      */
#define RTC_CTRL_ALARM1HZ_Pos                 2                                                       /*!< RTC CTRL: ALARM1HZ Position             */
#define RTC_CTRL_ALARM1HZ_Msk                 (0x01UL << RTC_CTRL_ALARM1HZ_Pos)                       /*!< RTC CTRL: ALARM1HZ Mask                 */
#define RTC_CTRL_WAKE1KHZ_Pos                 3                                                       /*!< RTC CTRL: WAKE1KHZ Position             */
#define RTC_CTRL_WAKE1KHZ_Msk                 (0x01UL << RTC_CTRL_WAKE1KHZ_Pos)                       /*!< RTC CTRL: WAKE1KHZ Mask                 */
#define RTC_CTRL_ALARMDPD_EN_Pos              4                                                       /*!< RTC CTRL: ALARMDPD_EN Position          */
#define RTC_CTRL_ALARMDPD_EN_Msk              (0x01UL << RTC_CTRL_ALARMDPD_EN_Pos)                    /*!< RTC CTRL: ALARMDPD_EN Mask              */
#define RTC_CTRL_WAKEDPD_EN_Pos               5                                                       /*!< RTC CTRL: WAKEDPD_EN Position           */
#define RTC_CTRL_WAKEDPD_EN_Msk               (0x01UL << RTC_CTRL_WAKEDPD_EN_Pos)                     /*!< RTC CTRL: WAKEDPD_EN Mask               */
#define RTC_CTRL_RTC1KHZ_EN_Pos               6                                                       /*!< RTC CTRL: RTC1KHZ_EN Position           */
#define RTC_CTRL_RTC1KHZ_EN_Msk               (0x01UL << RTC_CTRL_RTC1KHZ_EN_Pos)                     /*!< RTC CTRL: RTC1KHZ_EN Mask               */
#define RTC_CTRL_RTC_EN_Pos                   7                                                       /*!< RTC CTRL: RTC_EN Position               */
#define RTC_CTRL_RTC_EN_Msk                   (0x01UL << RTC_CTRL_RTC_EN_Pos)                         /*!< RTC CTRL: RTC_EN Mask                   */

/* ----------------------------------  RTC_MATCH  --------------------------------- */
#define RTC_MATCH_MATVAL_Pos                  0                                                       /*!< RTC MATCH: MATVAL Position              */
#define RTC_MATCH_MATVAL_Msk                  (0xffffffffUL << RTC_MATCH_MATVAL_Pos)                  /*!< RTC MATCH: MATVAL Mask                  */

/* ----------------------------------  RTC_COUNT  --------------------------------- */
#define RTC_COUNT_VAL_Pos                     0                                                       /*!< RTC COUNT: VAL Position                 */
#define RTC_COUNT_VAL_Msk                     (0xffffffffUL << RTC_COUNT_VAL_Pos)                     /*!< RTC COUNT: VAL Mask                     */

/* ----------------------------------  RTC_WAKE  ---------------------------------- */
#define RTC_WAKE_VAL_Pos                      0                                                       /*!< RTC WAKE: VAL Position                  */
#define RTC_WAKE_VAL_Msk                      (0x0000ffffUL << RTC_WAKE_VAL_Pos)                      /*!< RTC WAKE: VAL Mask                      */


/* ================================================================================ */
/* ================        struct 'INPUTMUX' Position & Mask       ================ */
/* ================================================================================ */


/* ----------------------------  INPUTMUX_SCT0_INMUX0  ---------------------------- */
#define INPUTMUX_SCT0_INMUX0_INP_N_Pos        0                                                       /*!< INPUTMUX SCT0_INMUX0: INP_N Position    */
#define INPUTMUX_SCT0_INMUX0_INP_N_Msk        (0x1fUL << INPUTMUX_SCT0_INMUX0_INP_N_Pos)              /*!< INPUTMUX SCT0_INMUX0: INP_N Mask        */

/* ----------------------------  INPUTMUX_SCT0_INMUX1  ---------------------------- */
#define INPUTMUX_SCT0_INMUX1_INP_N_Pos        0                                                       /*!< INPUTMUX SCT0_INMUX1: INP_N Position    */
#define INPUTMUX_SCT0_INMUX1_INP_N_Msk        (0x1fUL << INPUTMUX_SCT0_INMUX1_INP_N_Pos)              /*!< INPUTMUX SCT0_INMUX1: INP_N Mask        */

/* ----------------------------  INPUTMUX_SCT0_INMUX2  ---------------------------- */
#define INPUTMUX_SCT0_INMUX2_INP_N_Pos        0                                                       /*!< INPUTMUX SCT0_INMUX2: INP_N Position    */
#define INPUTMUX_SCT0_INMUX2_INP_N_Msk        (0x1fUL << INPUTMUX_SCT0_INMUX2_INP_N_Pos)              /*!< INPUTMUX SCT0_INMUX2: INP_N Mask        */

/* ----------------------------  INPUTMUX_SCT0_INMUX3  ---------------------------- */
#define INPUTMUX_SCT0_INMUX3_INP_N_Pos        0                                                       /*!< INPUTMUX SCT0_INMUX3: INP_N Position    */
#define INPUTMUX_SCT0_INMUX3_INP_N_Msk        (0x1fUL << INPUTMUX_SCT0_INMUX3_INP_N_Pos)              /*!< INPUTMUX SCT0_INMUX3: INP_N Mask        */

/* ----------------------------  INPUTMUX_SCT0_INMUX4  ---------------------------- */
#define INPUTMUX_SCT0_INMUX4_INP_N_Pos        0                                                       /*!< INPUTMUX SCT0_INMUX4: INP_N Position    */
#define INPUTMUX_SCT0_INMUX4_INP_N_Msk        (0x1fUL << INPUTMUX_SCT0_INMUX4_INP_N_Pos)              /*!< INPUTMUX SCT0_INMUX4: INP_N Mask        */

/* ----------------------------  INPUTMUX_SCT0_INMUX5  ---------------------------- */
#define INPUTMUX_SCT0_INMUX5_INP_N_Pos        0                                                       /*!< INPUTMUX SCT0_INMUX5: INP_N Position    */
#define INPUTMUX_SCT0_INMUX5_INP_N_Msk        (0x1fUL << INPUTMUX_SCT0_INMUX5_INP_N_Pos)              /*!< INPUTMUX SCT0_INMUX5: INP_N Mask        */

/* ------------------------------  INPUTMUX_PINTSEL0  ----------------------------- */
#define INPUTMUX_PINTSEL0_INTPIN_Pos          0                                                       /*!< INPUTMUX PINTSEL0: INTPIN Position      */
#define INPUTMUX_PINTSEL0_INTPIN_Msk          (0x000000ffUL << INPUTMUX_PINTSEL0_INTPIN_Pos)          /*!< INPUTMUX PINTSEL0: INTPIN Mask          */

/* ------------------------------  INPUTMUX_PINTSEL1  ----------------------------- */
#define INPUTMUX_PINTSEL1_INTPIN_Pos          0                                                       /*!< INPUTMUX PINTSEL1: INTPIN Position      */
#define INPUTMUX_PINTSEL1_INTPIN_Msk          (0x000000ffUL << INPUTMUX_PINTSEL1_INTPIN_Pos)          /*!< INPUTMUX PINTSEL1: INTPIN Mask          */

/* ------------------------------  INPUTMUX_PINTSEL2  ----------------------------- */
#define INPUTMUX_PINTSEL2_INTPIN_Pos          0                                                       /*!< INPUTMUX PINTSEL2: INTPIN Position      */
#define INPUTMUX_PINTSEL2_INTPIN_Msk          (0x000000ffUL << INPUTMUX_PINTSEL2_INTPIN_Pos)          /*!< INPUTMUX PINTSEL2: INTPIN Mask          */

/* ------------------------------  INPUTMUX_PINTSEL3  ----------------------------- */
#define INPUTMUX_PINTSEL3_INTPIN_Pos          0                                                       /*!< INPUTMUX PINTSEL3: INTPIN Position      */
#define INPUTMUX_PINTSEL3_INTPIN_Msk          (0x000000ffUL << INPUTMUX_PINTSEL3_INTPIN_Pos)          /*!< INPUTMUX PINTSEL3: INTPIN Mask          */

/* ------------------------------  INPUTMUX_PINTSEL4  ----------------------------- */
#define INPUTMUX_PINTSEL4_INTPIN_Pos          0                                                       /*!< INPUTMUX PINTSEL4: INTPIN Position      */
#define INPUTMUX_PINTSEL4_INTPIN_Msk          (0x000000ffUL << INPUTMUX_PINTSEL4_INTPIN_Pos)          /*!< INPUTMUX PINTSEL4: INTPIN Mask          */

/* ------------------------------  INPUTMUX_PINTSEL5  ----------------------------- */
#define INPUTMUX_PINTSEL5_INTPIN_Pos          0                                                       /*!< INPUTMUX PINTSEL5: INTPIN Position      */
#define INPUTMUX_PINTSEL5_INTPIN_Msk          (0x000000ffUL << INPUTMUX_PINTSEL5_INTPIN_Pos)          /*!< INPUTMUX PINTSEL5: INTPIN Mask          */

/* ------------------------------  INPUTMUX_PINTSEL6  ----------------------------- */
#define INPUTMUX_PINTSEL6_INTPIN_Pos          0                                                       /*!< INPUTMUX PINTSEL6: INTPIN Position      */
#define INPUTMUX_PINTSEL6_INTPIN_Msk          (0x000000ffUL << INPUTMUX_PINTSEL6_INTPIN_Pos)          /*!< INPUTMUX PINTSEL6: INTPIN Mask          */

/* ------------------------------  INPUTMUX_PINTSEL7  ----------------------------- */
#define INPUTMUX_PINTSEL7_INTPIN_Pos          0                                                       /*!< INPUTMUX PINTSEL7: INTPIN Position      */
#define INPUTMUX_PINTSEL7_INTPIN_Msk          (0x000000ffUL << INPUTMUX_PINTSEL7_INTPIN_Pos)          /*!< INPUTMUX PINTSEL7: INTPIN Mask          */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX0  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX0_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX0: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX0_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX0_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX0: INP Mask     */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX1  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX1_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX1: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX1_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX1_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX1: INP Mask     */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX2  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX2_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX2: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX2_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX2_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX2: INP Mask     */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX3  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX3_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX3: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX3_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX3_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX3: INP Mask     */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX4  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX4_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX4: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX4_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX4_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX4: INP Mask     */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX5  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX5_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX5: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX5_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX5_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX5: INP Mask     */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX6  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX6_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX6: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX6_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX6_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX6: INP Mask     */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX7  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX7_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX7: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX7_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX7_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX7: INP Mask     */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX8  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX8_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX8: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX8_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX8_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX8: INP Mask     */

/* --------------------------  INPUTMUX_DMA_ITRIG_INMUX9  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX9_INP_Pos     0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX9: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX9_INP_Msk     (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX9_INP_Pos)           /*!< INPUTMUX DMA_ITRIG_INMUX9: INP Mask     */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX10  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX10_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX10: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX10_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX10_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX10: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX11  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX11_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX11: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX11_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX11_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX11: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX12  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX12_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX12: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX12_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX12_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX12: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX13  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX13_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX13: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX13_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX13_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX13: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX14  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX14_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX14: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX14_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX14_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX14: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX15  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX15_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX15: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX15_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX15_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX15: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX16  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX16_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX16: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX16_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX16_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX16: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX17  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX17_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX17: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX17_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX17_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX17: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX18  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX18_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX18: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX18_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX18_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX18: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX19  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX19_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX19: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX19_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX19_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX19: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX20  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX20_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX20: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX20_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX20_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX20: INP Mask    */

/* -------------------------  INPUTMUX_DMA_ITRIG_INMUX21  ------------------------- */
#define INPUTMUX_DMA_ITRIG_INMUX21_INP_Pos    0                                                       /*!< INPUTMUX DMA_ITRIG_INMUX21: INP Position */
#define INPUTMUX_DMA_ITRIG_INMUX21_INP_Msk    (0x1fUL << INPUTMUX_DMA_ITRIG_INMUX21_INP_Pos)          /*!< INPUTMUX DMA_ITRIG_INMUX21: INP Mask    */

/* --------------------------  INPUTMUX_DMA_OTRIG_INMUX0  ------------------------- */
#define INPUTMUX_DMA_OTRIG_INMUX0_INP_Pos     0                                                       /*!< INPUTMUX DMA_OTRIG_INMUX0: INP Position */
#define INPUTMUX_DMA_OTRIG_INMUX0_INP_Msk     (0x1fUL << INPUTMUX_DMA_OTRIG_INMUX0_INP_Pos)           /*!< INPUTMUX DMA_OTRIG_INMUX0: INP Mask     */

/* --------------------------  INPUTMUX_DMA_OTRIG_INMUX1  ------------------------- */
#define INPUTMUX_DMA_OTRIG_INMUX1_INP_Pos     0                                                       /*!< INPUTMUX DMA_OTRIG_INMUX1: INP Position */
#define INPUTMUX_DMA_OTRIG_INMUX1_INP_Msk     (0x1fUL << INPUTMUX_DMA_OTRIG_INMUX1_INP_Pos)           /*!< INPUTMUX DMA_OTRIG_INMUX1: INP Mask     */

/* --------------------------  INPUTMUX_DMA_OTRIG_INMUX2  ------------------------- */
#define INPUTMUX_DMA_OTRIG_INMUX2_INP_Pos     0                                                       /*!< INPUTMUX DMA_OTRIG_INMUX2: INP Position */
#define INPUTMUX_DMA_OTRIG_INMUX2_INP_Msk     (0x1fUL << INPUTMUX_DMA_OTRIG_INMUX2_INP_Pos)           /*!< INPUTMUX DMA_OTRIG_INMUX2: INP Mask     */

/* --------------------------  INPUTMUX_DMA_OTRIG_INMUX3  ------------------------- */
#define INPUTMUX_DMA_OTRIG_INMUX3_INP_Pos     0                                                       /*!< INPUTMUX DMA_OTRIG_INMUX3: INP Position */
#define INPUTMUX_DMA_OTRIG_INMUX3_INP_Msk     (0x1fUL << INPUTMUX_DMA_OTRIG_INMUX3_INP_Pos)           /*!< INPUTMUX DMA_OTRIG_INMUX3: INP Mask     */

/* ----------------------------  INPUTMUX_FREQMEAS_REF  --------------------------- */
#define INPUTMUX_FREQMEAS_REF_CLKIN_Pos       0                                                       /*!< INPUTMUX FREQMEAS_REF: CLKIN Position   */
#define INPUTMUX_FREQMEAS_REF_CLKIN_Msk       (0x1fUL << INPUTMUX_FREQMEAS_REF_CLKIN_Pos)             /*!< INPUTMUX FREQMEAS_REF: CLKIN Mask       */

/* --------------------------  INPUTMUX_FREQMEAS_TARGET  -------------------------- */
#define INPUTMUX_FREQMEAS_TARGET_CLKIN_Pos    0                                                       /*!< INPUTMUX FREQMEAS_TARGET: CLKIN Position */
#define INPUTMUX_FREQMEAS_TARGET_CLKIN_Msk    (0x1fUL << INPUTMUX_FREQMEAS_TARGET_CLKIN_Pos)          /*!< INPUTMUX FREQMEAS_TARGET: CLKIN Mask    */


/* ================================================================================ */
/* ================          struct 'RIT' Position & Mask          ================ */
/* ================================================================================ */


/* ---------------------------------  RIT_COMPVAL  -------------------------------- */
#define RIT_COMPVAL_RICOMP_Pos                0                                                       /*!< RIT COMPVAL: RICOMP Position            */
#define RIT_COMPVAL_RICOMP_Msk                (0xffffffffUL << RIT_COMPVAL_RICOMP_Pos)                /*!< RIT COMPVAL: RICOMP Mask                */

/* ----------------------------------  RIT_MASK  ---------------------------------- */
#define RIT_MASK_RIMASK_Pos                   0                                                       /*!< RIT MASK: RIMASK Position               */
#define RIT_MASK_RIMASK_Msk                   (0xffffffffUL << RIT_MASK_RIMASK_Pos)                   /*!< RIT MASK: RIMASK Mask                   */

/* ----------------------------------  RIT_CTRL  ---------------------------------- */
#define RIT_CTRL_RITINT_Pos                   0                                                       /*!< RIT CTRL: RITINT Position               */
#define RIT_CTRL_RITINT_Msk                   (0x01UL << RIT_CTRL_RITINT_Pos)                         /*!< RIT CTRL: RITINT Mask                   */
#define RIT_CTRL_RITENCLR_Pos                 1                                                       /*!< RIT CTRL: RITENCLR Position             */
#define RIT_CTRL_RITENCLR_Msk                 (0x01UL << RIT_CTRL_RITENCLR_Pos)                       /*!< RIT CTRL: RITENCLR Mask                 */
#define RIT_CTRL_RITENBR_Pos                  2                                                       /*!< RIT CTRL: RITENBR Position              */
#define RIT_CTRL_RITENBR_Msk                  (0x01UL << RIT_CTRL_RITENBR_Pos)                        /*!< RIT CTRL: RITENBR Mask                  */
#define RIT_CTRL_RITEN_Pos                    3                                                       /*!< RIT CTRL: RITEN Position                */
#define RIT_CTRL_RITEN_Msk                    (0x01UL << RIT_CTRL_RITEN_Pos)                          /*!< RIT CTRL: RITEN Mask                    */

/* ---------------------------------  RIT_COUNTER  -------------------------------- */
#define RIT_COUNTER_RICOUNTER_Pos             0                                                       /*!< RIT COUNTER: RICOUNTER Position         */
#define RIT_COUNTER_RICOUNTER_Msk             (0xffffffffUL << RIT_COUNTER_RICOUNTER_Pos)             /*!< RIT COUNTER: RICOUNTER Mask             */

/* --------------------------------  RIT_COMPVAL_H  ------------------------------- */
#define RIT_COMPVAL_H_RICOMP_Pos              0                                                       /*!< RIT COMPVAL_H: RICOMP Position          */
#define RIT_COMPVAL_H_RICOMP_Msk              (0x0000ffffUL << RIT_COMPVAL_H_RICOMP_Pos)              /*!< RIT COMPVAL_H: RICOMP Mask              */

/* ---------------------------------  RIT_MASK_H  --------------------------------- */
#define RIT_MASK_H_RIMASK_Pos                 0                                                       /*!< RIT MASK_H: RIMASK Position             */
#define RIT_MASK_H_RIMASK_Msk                 (0x0000ffffUL << RIT_MASK_H_RIMASK_Pos)                 /*!< RIT MASK_H: RIMASK Mask                 */

/* --------------------------------  RIT_COUNTER_H  ------------------------------- */
#define RIT_COUNTER_H_RICOUNTER_Pos           0                                                       /*!< RIT COUNTER_H: RICOUNTER Position       */
#define RIT_COUNTER_H_RICOUNTER_Msk           (0x0000ffffUL << RIT_COUNTER_H_RICOUNTER_Pos)           /*!< RIT COUNTER_H: RICOUNTER Mask           */


/* ================================================================================ */
/* ================          struct 'MRT' Position & Mask          ================ */
/* ================================================================================ */


/* ---------------------------------  MRT_INTVAL0  -------------------------------- */
#define MRT_INTVAL0_IVALUE_Pos                0                                                       /*!< MRT INTVAL0: IVALUE Position            */
#define MRT_INTVAL0_IVALUE_Msk                (0x00ffffffUL << MRT_INTVAL0_IVALUE_Pos)                /*!< MRT INTVAL0: IVALUE Mask                */
#define MRT_INTVAL0_LOAD_Pos                  31                                                      /*!< MRT INTVAL0: LOAD Position              */
#define MRT_INTVAL0_LOAD_Msk                  (0x01UL << MRT_INTVAL0_LOAD_Pos)                        /*!< MRT INTVAL0: LOAD Mask                  */

/* ---------------------------------  MRT_TIMER0  --------------------------------- */
#define MRT_TIMER0_VALUE_Pos                  0                                                       /*!< MRT TIMER0: VALUE Position              */
#define MRT_TIMER0_VALUE_Msk                  (0x00ffffffUL << MRT_TIMER0_VALUE_Pos)                  /*!< MRT TIMER0: VALUE Mask                  */

/* ----------------------------------  MRT_CTRL0  --------------------------------- */
#define MRT_CTRL0_INTEN_Pos                   0                                                       /*!< MRT CTRL0: INTEN Position               */
#define MRT_CTRL0_INTEN_Msk                   (0x01UL << MRT_CTRL0_INTEN_Pos)                         /*!< MRT CTRL0: INTEN Mask                   */
#define MRT_CTRL0_MODE_Pos                    1                                                       /*!< MRT CTRL0: MODE Position                */
#define MRT_CTRL0_MODE_Msk                    (0x03UL << MRT_CTRL0_MODE_Pos)                          /*!< MRT CTRL0: MODE Mask                    */

/* ----------------------------------  MRT_STAT0  --------------------------------- */
#define MRT_STAT0_INTFLAG_Pos                 0                                                       /*!< MRT STAT0: INTFLAG Position             */
#define MRT_STAT0_INTFLAG_Msk                 (0x01UL << MRT_STAT0_INTFLAG_Pos)                       /*!< MRT STAT0: INTFLAG Mask                 */
#define MRT_STAT0_RUN_Pos                     1                                                       /*!< MRT STAT0: RUN Position                 */
#define MRT_STAT0_RUN_Msk                     (0x01UL << MRT_STAT0_RUN_Pos)                           /*!< MRT STAT0: RUN Mask                     */
#define MRT_STAT0_INUSE_Pos                   2                                                       /*!< MRT STAT0: INUSE Position               */
#define MRT_STAT0_INUSE_Msk                   (0x01UL << MRT_STAT0_INUSE_Pos)                         /*!< MRT STAT0: INUSE Mask                   */

/* ---------------------------------  MRT_INTVAL1  -------------------------------- */
#define MRT_INTVAL1_IVALUE_Pos                0                                                       /*!< MRT INTVAL1: IVALUE Position            */
#define MRT_INTVAL1_IVALUE_Msk                (0x00ffffffUL << MRT_INTVAL1_IVALUE_Pos)                /*!< MRT INTVAL1: IVALUE Mask                */
#define MRT_INTVAL1_LOAD_Pos                  31                                                      /*!< MRT INTVAL1: LOAD Position              */
#define MRT_INTVAL1_LOAD_Msk                  (0x01UL << MRT_INTVAL1_LOAD_Pos)                        /*!< MRT INTVAL1: LOAD Mask                  */

/* ---------------------------------  MRT_TIMER1  --------------------------------- */
#define MRT_TIMER1_VALUE_Pos                  0                                                       /*!< MRT TIMER1: VALUE Position              */
#define MRT_TIMER1_VALUE_Msk                  (0x00ffffffUL << MRT_TIMER1_VALUE_Pos)                  /*!< MRT TIMER1: VALUE Mask                  */

/* ----------------------------------  MRT_CTRL1  --------------------------------- */
#define MRT_CTRL1_INTEN_Pos                   0                                                       /*!< MRT CTRL1: INTEN Position               */
#define MRT_CTRL1_INTEN_Msk                   (0x01UL << MRT_CTRL1_INTEN_Pos)                         /*!< MRT CTRL1: INTEN Mask                   */
#define MRT_CTRL1_MODE_Pos                    1                                                       /*!< MRT CTRL1: MODE Position                */
#define MRT_CTRL1_MODE_Msk                    (0x03UL << MRT_CTRL1_MODE_Pos)                          /*!< MRT CTRL1: MODE Mask                    */

/* ----------------------------------  MRT_STAT1  --------------------------------- */
#define MRT_STAT1_INTFLAG_Pos                 0                                                       /*!< MRT STAT1: INTFLAG Position             */
#define MRT_STAT1_INTFLAG_Msk                 (0x01UL << MRT_STAT1_INTFLAG_Pos)                       /*!< MRT STAT1: INTFLAG Mask                 */
#define MRT_STAT1_RUN_Pos                     1                                                       /*!< MRT STAT1: RUN Position                 */
#define MRT_STAT1_RUN_Msk                     (0x01UL << MRT_STAT1_RUN_Pos)                           /*!< MRT STAT1: RUN Mask                     */
#define MRT_STAT1_INUSE_Pos                   2                                                       /*!< MRT STAT1: INUSE Position               */
#define MRT_STAT1_INUSE_Msk                   (0x01UL << MRT_STAT1_INUSE_Pos)                         /*!< MRT STAT1: INUSE Mask                   */

/* ---------------------------------  MRT_INTVAL2  -------------------------------- */
#define MRT_INTVAL2_IVALUE_Pos                0                                                       /*!< MRT INTVAL2: IVALUE Position            */
#define MRT_INTVAL2_IVALUE_Msk                (0x00ffffffUL << MRT_INTVAL2_IVALUE_Pos)                /*!< MRT INTVAL2: IVALUE Mask                */
#define MRT_INTVAL2_LOAD_Pos                  31                                                      /*!< MRT INTVAL2: LOAD Position              */
#define MRT_INTVAL2_LOAD_Msk                  (0x01UL << MRT_INTVAL2_LOAD_Pos)                        /*!< MRT INTVAL2: LOAD Mask                  */

/* ---------------------------------  MRT_TIMER2  --------------------------------- */
#define MRT_TIMER2_VALUE_Pos                  0                                                       /*!< MRT TIMER2: VALUE Position              */
#define MRT_TIMER2_VALUE_Msk                  (0x00ffffffUL << MRT_TIMER2_VALUE_Pos)                  /*!< MRT TIMER2: VALUE Mask                  */

/* ----------------------------------  MRT_CTRL2  --------------------------------- */
#define MRT_CTRL2_INTEN_Pos                   0                                                       /*!< MRT CTRL2: INTEN Position               */
#define MRT_CTRL2_INTEN_Msk                   (0x01UL << MRT_CTRL2_INTEN_Pos)                         /*!< MRT CTRL2: INTEN Mask                   */
#define MRT_CTRL2_MODE_Pos                    1                                                       /*!< MRT CTRL2: MODE Position                */
#define MRT_CTRL2_MODE_Msk                    (0x03UL << MRT_CTRL2_MODE_Pos)                          /*!< MRT CTRL2: MODE Mask                    */

/* ----------------------------------  MRT_STAT2  --------------------------------- */
#define MRT_STAT2_INTFLAG_Pos                 0                                                       /*!< MRT STAT2: INTFLAG Position             */
#define MRT_STAT2_INTFLAG_Msk                 (0x01UL << MRT_STAT2_INTFLAG_Pos)                       /*!< MRT STAT2: INTFLAG Mask                 */
#define MRT_STAT2_RUN_Pos                     1                                                       /*!< MRT STAT2: RUN Position                 */
#define MRT_STAT2_RUN_Msk                     (0x01UL << MRT_STAT2_RUN_Pos)                           /*!< MRT STAT2: RUN Mask                     */
#define MRT_STAT2_INUSE_Pos                   2                                                       /*!< MRT STAT2: INUSE Position               */
#define MRT_STAT2_INUSE_Msk                   (0x01UL << MRT_STAT2_INUSE_Pos)                         /*!< MRT STAT2: INUSE Mask                   */

/* ---------------------------------  MRT_INTVAL3  -------------------------------- */
#define MRT_INTVAL3_IVALUE_Pos                0                                                       /*!< MRT INTVAL3: IVALUE Position            */
#define MRT_INTVAL3_IVALUE_Msk                (0x00ffffffUL << MRT_INTVAL3_IVALUE_Pos)                /*!< MRT INTVAL3: IVALUE Mask                */
#define MRT_INTVAL3_LOAD_Pos                  31                                                      /*!< MRT INTVAL3: LOAD Position              */
#define MRT_INTVAL3_LOAD_Msk                  (0x01UL << MRT_INTVAL3_LOAD_Pos)                        /*!< MRT INTVAL3: LOAD Mask                  */

/* ---------------------------------  MRT_TIMER3  --------------------------------- */
#define MRT_TIMER3_VALUE_Pos                  0                                                       /*!< MRT TIMER3: VALUE Position              */
#define MRT_TIMER3_VALUE_Msk                  (0x00ffffffUL << MRT_TIMER3_VALUE_Pos)                  /*!< MRT TIMER3: VALUE Mask                  */

/* ----------------------------------  MRT_CTRL3  --------------------------------- */
#define MRT_CTRL3_INTEN_Pos                   0                                                       /*!< MRT CTRL3: INTEN Position               */
#define MRT_CTRL3_INTEN_Msk                   (0x01UL << MRT_CTRL3_INTEN_Pos)                         /*!< MRT CTRL3: INTEN Mask                   */
#define MRT_CTRL3_MODE_Pos                    1                                                       /*!< MRT CTRL3: MODE Position                */
#define MRT_CTRL3_MODE_Msk                    (0x03UL << MRT_CTRL3_MODE_Pos)                          /*!< MRT CTRL3: MODE Mask                    */

/* ----------------------------------  MRT_STAT3  --------------------------------- */
#define MRT_STAT3_INTFLAG_Pos                 0                                                       /*!< MRT STAT3: INTFLAG Position             */
#define MRT_STAT3_INTFLAG_Msk                 (0x01UL << MRT_STAT3_INTFLAG_Pos)                       /*!< MRT STAT3: INTFLAG Mask                 */
#define MRT_STAT3_RUN_Pos                     1                                                       /*!< MRT STAT3: RUN Position                 */
#define MRT_STAT3_RUN_Msk                     (0x01UL << MRT_STAT3_RUN_Pos)                           /*!< MRT STAT3: RUN Mask                     */
#define MRT_STAT3_INUSE_Pos                   2                                                       /*!< MRT STAT3: INUSE Position               */
#define MRT_STAT3_INUSE_Msk                   (0x01UL << MRT_STAT3_INUSE_Pos)                         /*!< MRT STAT3: INUSE Mask                   */

/* ---------------------------------  MRT_MODCFG  --------------------------------- */
#define MRT_MODCFG_NOC_Pos                    0                                                       /*!< MRT MODCFG: NOC Position                */
#define MRT_MODCFG_NOC_Msk                    (0x0fUL << MRT_MODCFG_NOC_Pos)                          /*!< MRT MODCFG: NOC Mask                    */
#define MRT_MODCFG_NOB_Pos                    4                                                       /*!< MRT MODCFG: NOB Position                */
#define MRT_MODCFG_NOB_Msk                    (0x1fUL << MRT_MODCFG_NOB_Pos)                          /*!< MRT MODCFG: NOB Mask                    */
#define MRT_MODCFG_MULTITASK_Pos              31                                                      /*!< MRT MODCFG: MULTITASK Position          */
#define MRT_MODCFG_MULTITASK_Msk              (0x01UL << MRT_MODCFG_MULTITASK_Pos)                    /*!< MRT MODCFG: MULTITASK Mask              */

/* ---------------------------------  MRT_IDLE_CH  -------------------------------- */
#define MRT_IDLE_CH_CHAN_Pos                  4                                                       /*!< MRT IDLE_CH: CHAN Position              */
#define MRT_IDLE_CH_CHAN_Msk                  (0x0fUL << MRT_IDLE_CH_CHAN_Pos)                        /*!< MRT IDLE_CH: CHAN Mask                  */

/* --------------------------------  MRT_IRQ_FLAG  -------------------------------- */
#define MRT_IRQ_FLAG_GFLAG0_Pos               0                                                       /*!< MRT IRQ_FLAG: GFLAG0 Position           */
#define MRT_IRQ_FLAG_GFLAG0_Msk               (0x01UL << MRT_IRQ_FLAG_GFLAG0_Pos)                     /*!< MRT IRQ_FLAG: GFLAG0 Mask               */
#define MRT_IRQ_FLAG_GFLAG1_Pos               1                                                       /*!< MRT IRQ_FLAG: GFLAG1 Position           */
#define MRT_IRQ_FLAG_GFLAG1_Msk               (0x01UL << MRT_IRQ_FLAG_GFLAG1_Pos)                     /*!< MRT IRQ_FLAG: GFLAG1 Mask               */
#define MRT_IRQ_FLAG_GFLAG2_Pos               2                                                       /*!< MRT IRQ_FLAG: GFLAG2 Position           */
#define MRT_IRQ_FLAG_GFLAG2_Msk               (0x01UL << MRT_IRQ_FLAG_GFLAG2_Pos)                     /*!< MRT IRQ_FLAG: GFLAG2 Mask               */
#define MRT_IRQ_FLAG_GFLAG3_Pos               3                                                       /*!< MRT IRQ_FLAG: GFLAG3 Position           */
#define MRT_IRQ_FLAG_GFLAG3_Msk               (0x01UL << MRT_IRQ_FLAG_GFLAG3_Pos)                     /*!< MRT IRQ_FLAG: GFLAG3 Mask               */


/* ================================================================================ */
/* ================      struct 'ASYNCSYSCON' Position & Mask      ================ */
/* ================================================================================ */


/* -------------------------  ASYNCSYSCON_AYSNCPRESETCTRL  ------------------------ */
#define ASYNCSYSCON_AYSNCPRESETCTRL_USART0_Pos 1                                                      /*!< ASYNCSYSCON AYSNCPRESETCTRL: USART0 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_USART0_Msk (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_USART0_Pos)     /*!< ASYNCSYSCON AYSNCPRESETCTRL: USART0 Mask */
#define ASYNCSYSCON_AYSNCPRESETCTRL_USART1_Pos 2                                                      /*!< ASYNCSYSCON AYSNCPRESETCTRL: USART1 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_USART1_Msk (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_USART1_Pos)     /*!< ASYNCSYSCON AYSNCPRESETCTRL: USART1 Mask */
#define ASYNCSYSCON_AYSNCPRESETCTRL_USART2_Pos 3                                                      /*!< ASYNCSYSCON AYSNCPRESETCTRL: USART2 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_USART2_Msk (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_USART2_Pos)     /*!< ASYNCSYSCON AYSNCPRESETCTRL: USART2 Mask */
#define ASYNCSYSCON_AYSNCPRESETCTRL_USART3_Pos 4                                                      /*!< ASYNCSYSCON AYSNCPRESETCTRL: USART3 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_USART3_Msk (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_USART3_Pos)     /*!< ASYNCSYSCON AYSNCPRESETCTRL: USART3 Mask */
#define ASYNCSYSCON_AYSNCPRESETCTRL_I2C0_Pos  5                                                       /*!< ASYNCSYSCON AYSNCPRESETCTRL: I2C0 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_I2C0_Msk  (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_I2C0_Pos)        /*!< ASYNCSYSCON AYSNCPRESETCTRL: I2C0 Mask  */
#define ASYNCSYSCON_AYSNCPRESETCTRL_I2C1_Pos  6                                                       /*!< ASYNCSYSCON AYSNCPRESETCTRL: I2C1 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_I2C1_Msk  (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_I2C1_Pos)        /*!< ASYNCSYSCON AYSNCPRESETCTRL: I2C1 Mask  */
#define ASYNCSYSCON_AYSNCPRESETCTRL_I2C2_Pos  7                                                       /*!< ASYNCSYSCON AYSNCPRESETCTRL: I2C2 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_I2C2_Msk  (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_I2C2_Pos)        /*!< ASYNCSYSCON AYSNCPRESETCTRL: I2C2 Mask  */
#define ASYNCSYSCON_AYSNCPRESETCTRL_SPI0_Pos  9                                                       /*!< ASYNCSYSCON AYSNCPRESETCTRL: SPI0 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_SPI0_Msk  (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_SPI0_Pos)        /*!< ASYNCSYSCON AYSNCPRESETCTRL: SPI0 Mask  */
#define ASYNCSYSCON_AYSNCPRESETCTRL_SPI1_Pos  10                                                      /*!< ASYNCSYSCON AYSNCPRESETCTRL: SPI1 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_SPI1_Msk  (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_SPI1_Pos)        /*!< ASYNCSYSCON AYSNCPRESETCTRL: SPI1 Mask  */
#define ASYNCSYSCON_AYSNCPRESETCTRL_TIMER0_Pos 13                                                     /*!< ASYNCSYSCON AYSNCPRESETCTRL: TIMER0 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_TIMER0_Msk (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_TIMER0_Pos)     /*!< ASYNCSYSCON AYSNCPRESETCTRL: TIMER0 Mask */
#define ASYNCSYSCON_AYSNCPRESETCTRL_TIMER1_Pos 14                                                     /*!< ASYNCSYSCON AYSNCPRESETCTRL: TIMER1 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_TIMER1_Msk (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_TIMER1_Pos)     /*!< ASYNCSYSCON AYSNCPRESETCTRL: TIMER1 Mask */
#define ASYNCSYSCON_AYSNCPRESETCTRL_FRG0_Pos  15                                                      /*!< ASYNCSYSCON AYSNCPRESETCTRL: FRG0 Position */
#define ASYNCSYSCON_AYSNCPRESETCTRL_FRG0_Msk  (0x01UL << ASYNCSYSCON_AYSNCPRESETCTRL_FRG0_Pos)        /*!< ASYNCSYSCON AYSNCPRESETCTRL: FRG0 Mask  */

/* -----------------------  ASYNCSYSCON_AYSNCPRESETCTRLSET  ----------------------- */
#define ASYNCSYSCON_AYSNCPRESETCTRLSET_ARST_SET_Pos 0                                                 /*!< ASYNCSYSCON AYSNCPRESETCTRLSET: ARST_SET Position */
#define ASYNCSYSCON_AYSNCPRESETCTRLSET_ARST_SET_Msk (0xffffffffUL << ASYNCSYSCON_AYSNCPRESETCTRLSET_ARST_SET_Pos)/*!< ASYNCSYSCON AYSNCPRESETCTRLSET: ARST_SET Mask */

/* -----------------------  ASYNCSYSCON_AYSNCPRESETCTRLCLR  ----------------------- */
#define ASYNCSYSCON_AYSNCPRESETCTRLCLR_ARST_CLR_Pos 0                                                 /*!< ASYNCSYSCON AYSNCPRESETCTRLCLR: ARST_CLR Position */
#define ASYNCSYSCON_AYSNCPRESETCTRLCLR_ARST_CLR_Msk (0xffffffffUL << ASYNCSYSCON_AYSNCPRESETCTRLCLR_ARST_CLR_Pos)/*!< ASYNCSYSCON AYSNCPRESETCTRLCLR: ARST_CLR Mask */

/* -------------------------  ASYNCSYSCON_ASYNCAPBCLKCTRL  ------------------------ */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_USART0_Pos 1                                                      /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: USART0 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_USART0_Msk (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_USART0_Pos)     /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: USART0 Mask */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_USART1_Pos 2                                                      /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: USART1 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_USART1_Msk (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_USART1_Pos)     /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: USART1 Mask */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_USART2_Pos 3                                                      /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: USART2 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_USART2_Msk (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_USART2_Pos)     /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: USART2 Mask */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_USART3_Pos 4                                                      /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: USART3 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_USART3_Msk (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_USART3_Pos)     /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: USART3 Mask */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_I2C0_Pos  5                                                       /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: I2C0 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_I2C0_Msk  (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_I2C0_Pos)        /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: I2C0 Mask  */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_I2C1_Pos  6                                                       /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: I2C1 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_I2C1_Msk  (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_I2C1_Pos)        /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: I2C1 Mask  */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_I2C2_Pos  7                                                       /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: I2C2 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_I2C2_Msk  (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_I2C2_Pos)        /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: I2C2 Mask  */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_SPI0_Pos  9                                                       /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: SPI0 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_SPI0_Msk  (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_SPI0_Pos)        /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: SPI0 Mask  */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_SPI1_Pos  10                                                      /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: SPI1 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_SPI1_Msk  (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_SPI1_Pos)        /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: SPI1 Mask  */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_TIMER0_Pos 13                                                     /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: TIMER0 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_TIMER0_Msk (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_TIMER0_Pos)     /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: TIMER0 Mask */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_TIMER1_Pos 14                                                     /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: TIMER1 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_TIMER1_Msk (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_TIMER1_Pos)     /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: TIMER1 Mask */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_FRG0_Pos  15                                                      /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: FRG0 Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRL_FRG0_Msk  (0x01UL << ASYNCSYSCON_ASYNCAPBCLKCTRL_FRG0_Pos)        /*!< ASYNCSYSCON ASYNCAPBCLKCTRL: FRG0 Mask  */

/* -----------------------  ASYNCSYSCON_ASYNCAPBCLKCTRLSET  ----------------------- */
#define ASYNCSYSCON_ASYNCAPBCLKCTRLSET_ACLK_SET_Pos 0                                                 /*!< ASYNCSYSCON ASYNCAPBCLKCTRLSET: ACLK_SET Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRLSET_ACLK_SET_Msk (0xffffffffUL << ASYNCSYSCON_ASYNCAPBCLKCTRLSET_ACLK_SET_Pos)/*!< ASYNCSYSCON ASYNCAPBCLKCTRLSET: ACLK_SET Mask */

/* -----------------------  ASYNCSYSCON_ASYNCAPBCLKCTRLCLR  ----------------------- */
#define ASYNCSYSCON_ASYNCAPBCLKCTRLCLR_ACLK_CLR_Pos 0                                                 /*!< ASYNCSYSCON ASYNCAPBCLKCTRLCLR: ACLK_CLR Position */
#define ASYNCSYSCON_ASYNCAPBCLKCTRLCLR_ACLK_CLR_Msk (0xffffffffUL << ASYNCSYSCON_ASYNCAPBCLKCTRLCLR_ACLK_CLR_Pos)/*!< ASYNCSYSCON ASYNCAPBCLKCTRLCLR: ACLK_CLR Mask */

/* -------------------------  ASYNCSYSCON_ASYNCAPBCLKSELA  ------------------------ */
#define ASYNCSYSCON_ASYNCAPBCLKSELA_SEL_Pos   0                                                       /*!< ASYNCSYSCON ASYNCAPBCLKSELA: SEL Position */
#define ASYNCSYSCON_ASYNCAPBCLKSELA_SEL_Msk   (0x03UL << ASYNCSYSCON_ASYNCAPBCLKSELA_SEL_Pos)         /*!< ASYNCSYSCON ASYNCAPBCLKSELA: SEL Mask   */

/* -------------------------  ASYNCSYSCON_ASYNCAPBCLKSELB  ------------------------ */
#define ASYNCSYSCON_ASYNCAPBCLKSELB_SEL_Pos   0                                                       /*!< ASYNCSYSCON ASYNCAPBCLKSELB: SEL Position */
#define ASYNCSYSCON_ASYNCAPBCLKSELB_SEL_Msk   (0x03UL << ASYNCSYSCON_ASYNCAPBCLKSELB_SEL_Pos)         /*!< ASYNCSYSCON ASYNCAPBCLKSELB: SEL Mask   */

/* ---------------------------  ASYNCSYSCON_ASYNCCLKDIV  -------------------------- */
#define ASYNCSYSCON_ASYNCCLKDIV_DIV_Pos       0                                                       /*!< ASYNCSYSCON ASYNCCLKDIV: DIV Position   */
#define ASYNCSYSCON_ASYNCCLKDIV_DIV_Msk       (0x000000ffUL << ASYNCSYSCON_ASYNCCLKDIV_DIV_Pos)       /*!< ASYNCSYSCON ASYNCCLKDIV: DIV Mask       */

/* -----------------------------  ASYNCSYSCON_FRGCTRL  ---------------------------- */
#define ASYNCSYSCON_FRGCTRL_DIV_Pos           0                                                       /*!< ASYNCSYSCON FRGCTRL: DIV Position       */
#define ASYNCSYSCON_FRGCTRL_DIV_Msk           (0x000000ffUL << ASYNCSYSCON_FRGCTRL_DIV_Pos)           /*!< ASYNCSYSCON FRGCTRL: DIV Mask           */
#define ASYNCSYSCON_FRGCTRL_MULT_Pos          8                                                       /*!< ASYNCSYSCON FRGCTRL: MULT Position      */
#define ASYNCSYSCON_FRGCTRL_MULT_Msk          (0x000000ffUL << ASYNCSYSCON_FRGCTRL_MULT_Pos)          /*!< ASYNCSYSCON FRGCTRL: MULT Mask          */

/* -----------------------------  ASYNCSYSCON_BODCTRL  ---------------------------- */
#define ASYNCSYSCON_BODCTRL_BODRSTLEV_Pos     0                                                       /*!< ASYNCSYSCON BODCTRL: BODRSTLEV Position */
#define ASYNCSYSCON_BODCTRL_BODRSTLEV_Msk     (0x03UL << ASYNCSYSCON_BODCTRL_BODRSTLEV_Pos)           /*!< ASYNCSYSCON BODCTRL: BODRSTLEV Mask     */
#define ASYNCSYSCON_BODCTRL_BODINTVAL_Pos     2                                                       /*!< ASYNCSYSCON BODCTRL: BODINTVAL Position */
#define ASYNCSYSCON_BODCTRL_BODINTVAL_Msk     (0x03UL << ASYNCSYSCON_BODCTRL_BODINTVAL_Pos)           /*!< ASYNCSYSCON BODCTRL: BODINTVAL Mask     */
#define ASYNCSYSCON_BODCTRL_BODRSTENA_Pos     4                                                       /*!< ASYNCSYSCON BODCTRL: BODRSTENA Position */
#define ASYNCSYSCON_BODCTRL_BODRSTENA_Msk     (0x01UL << ASYNCSYSCON_BODCTRL_BODRSTENA_Pos)           /*!< ASYNCSYSCON BODCTRL: BODRSTENA Mask     */


/* ================================================================================ */
/* ================         struct 'USART0' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  USART0_CFG  --------------------------------- */
#define USART0_CFG_ENABLE_Pos                 0                                                       /*!< USART0 CFG: ENABLE Position             */
#define USART0_CFG_ENABLE_Msk                 (0x01UL << USART0_CFG_ENABLE_Pos)                       /*!< USART0 CFG: ENABLE Mask                 */
#define USART0_CFG_DATALEN_Pos                2                                                       /*!< USART0 CFG: DATALEN Position            */
#define USART0_CFG_DATALEN_Msk                (0x03UL << USART0_CFG_DATALEN_Pos)                      /*!< USART0 CFG: DATALEN Mask                */
#define USART0_CFG_PARITYSEL_Pos              4                                                       /*!< USART0 CFG: PARITYSEL Position          */
#define USART0_CFG_PARITYSEL_Msk              (0x03UL << USART0_CFG_PARITYSEL_Pos)                    /*!< USART0 CFG: PARITYSEL Mask              */
#define USART0_CFG_STOPLEN_Pos                6                                                       /*!< USART0 CFG: STOPLEN Position            */
#define USART0_CFG_STOPLEN_Msk                (0x01UL << USART0_CFG_STOPLEN_Pos)                      /*!< USART0 CFG: STOPLEN Mask                */
#define USART0_CFG_MODE32K_Pos                7                                                       /*!< USART0 CFG: MODE32K Position            */
#define USART0_CFG_MODE32K_Msk                (0x01UL << USART0_CFG_MODE32K_Pos)                      /*!< USART0 CFG: MODE32K Mask                */
#define USART0_CFG_LINMODE_Pos                8                                                       /*!< USART0 CFG: LINMODE Position            */
#define USART0_CFG_LINMODE_Msk                (0x01UL << USART0_CFG_LINMODE_Pos)                      /*!< USART0 CFG: LINMODE Mask                */
#define USART0_CFG_CTSEN_Pos                  9                                                       /*!< USART0 CFG: CTSEN Position              */
#define USART0_CFG_CTSEN_Msk                  (0x01UL << USART0_CFG_CTSEN_Pos)                        /*!< USART0 CFG: CTSEN Mask                  */
#define USART0_CFG_SYNCEN_Pos                 11                                                      /*!< USART0 CFG: SYNCEN Position             */
#define USART0_CFG_SYNCEN_Msk                 (0x01UL << USART0_CFG_SYNCEN_Pos)                       /*!< USART0 CFG: SYNCEN Mask                 */
#define USART0_CFG_CLKPOL_Pos                 12                                                      /*!< USART0 CFG: CLKPOL Position             */
#define USART0_CFG_CLKPOL_Msk                 (0x01UL << USART0_CFG_CLKPOL_Pos)                       /*!< USART0 CFG: CLKPOL Mask                 */
#define USART0_CFG_SYNCMST_Pos                14                                                      /*!< USART0 CFG: SYNCMST Position            */
#define USART0_CFG_SYNCMST_Msk                (0x01UL << USART0_CFG_SYNCMST_Pos)                      /*!< USART0 CFG: SYNCMST Mask                */
#define USART0_CFG_LOOP_Pos                   15                                                      /*!< USART0 CFG: LOOP Position               */
#define USART0_CFG_LOOP_Msk                   (0x01UL << USART0_CFG_LOOP_Pos)                         /*!< USART0 CFG: LOOP Mask                   */
#define USART0_CFG_IOMODE_Pos                 16                                                      /*!< USART0 CFG: IOMODE Position             */
#define USART0_CFG_IOMODE_Msk                 (0x01UL << USART0_CFG_IOMODE_Pos)                       /*!< USART0 CFG: IOMODE Mask                 */
#define USART0_CFG_OETA_Pos                   18                                                      /*!< USART0 CFG: OETA Position               */
#define USART0_CFG_OETA_Msk                   (0x01UL << USART0_CFG_OETA_Pos)                         /*!< USART0 CFG: OETA Mask                   */
#define USART0_CFG_AUTOADDR_Pos               19                                                      /*!< USART0 CFG: AUTOADDR Position           */
#define USART0_CFG_AUTOADDR_Msk               (0x01UL << USART0_CFG_AUTOADDR_Pos)                     /*!< USART0 CFG: AUTOADDR Mask               */
#define USART0_CFG_OESEL_Pos                  20                                                      /*!< USART0 CFG: OESEL Position              */
#define USART0_CFG_OESEL_Msk                  (0x01UL << USART0_CFG_OESEL_Pos)                        /*!< USART0 CFG: OESEL Mask                  */
#define USART0_CFG_OEPOL_Pos                  21                                                      /*!< USART0 CFG: OEPOL Position              */
#define USART0_CFG_OEPOL_Msk                  (0x01UL << USART0_CFG_OEPOL_Pos)                        /*!< USART0 CFG: OEPOL Mask                  */
#define USART0_CFG_RXPOL_Pos                  22                                                      /*!< USART0 CFG: RXPOL Position              */
#define USART0_CFG_RXPOL_Msk                  (0x01UL << USART0_CFG_RXPOL_Pos)                        /*!< USART0 CFG: RXPOL Mask                  */
#define USART0_CFG_TXPOL_Pos                  23                                                      /*!< USART0 CFG: TXPOL Position              */
#define USART0_CFG_TXPOL_Msk                  (0x01UL << USART0_CFG_TXPOL_Pos)                        /*!< USART0 CFG: TXPOL Mask                  */

/* ---------------------------------  USART0_CTL  --------------------------------- */
#define USART0_CTL_TXBRKEN_Pos                1                                                       /*!< USART0 CTL: TXBRKEN Position            */
#define USART0_CTL_TXBRKEN_Msk                (0x01UL << USART0_CTL_TXBRKEN_Pos)                      /*!< USART0 CTL: TXBRKEN Mask                */
#define USART0_CTL_ADDRDET_Pos                2                                                       /*!< USART0 CTL: ADDRDET Position            */
#define USART0_CTL_ADDRDET_Msk                (0x01UL << USART0_CTL_ADDRDET_Pos)                      /*!< USART0 CTL: ADDRDET Mask                */
#define USART0_CTL_TXDIS_Pos                  6                                                       /*!< USART0 CTL: TXDIS Position              */
#define USART0_CTL_TXDIS_Msk                  (0x01UL << USART0_CTL_TXDIS_Pos)                        /*!< USART0 CTL: TXDIS Mask                  */
#define USART0_CTL_CC_Pos                     8                                                       /*!< USART0 CTL: CC Position                 */
#define USART0_CTL_CC_Msk                     (0x01UL << USART0_CTL_CC_Pos)                           /*!< USART0 CTL: CC Mask                     */
#define USART0_CTL_CLRCCONRX_Pos              9                                                       /*!< USART0 CTL: CLRCCONRX Position          */
#define USART0_CTL_CLRCCONRX_Msk              (0x01UL << USART0_CTL_CLRCCONRX_Pos)                    /*!< USART0 CTL: CLRCCONRX Mask              */
#define USART0_CTL_AUTOBAUD_Pos               16                                                      /*!< USART0 CTL: AUTOBAUD Position           */
#define USART0_CTL_AUTOBAUD_Msk               (0x01UL << USART0_CTL_AUTOBAUD_Pos)                     /*!< USART0 CTL: AUTOBAUD Mask               */

/* ---------------------------------  USART0_STAT  -------------------------------- */
#define USART0_STAT_RXRDY_Pos                 0                                                       /*!< USART0 STAT: RXRDY Position             */
#define USART0_STAT_RXRDY_Msk                 (0x01UL << USART0_STAT_RXRDY_Pos)                       /*!< USART0 STAT: RXRDY Mask                 */
#define USART0_STAT_RXIDLE_Pos                1                                                       /*!< USART0 STAT: RXIDLE Position            */
#define USART0_STAT_RXIDLE_Msk                (0x01UL << USART0_STAT_RXIDLE_Pos)                      /*!< USART0 STAT: RXIDLE Mask                */
#define USART0_STAT_TXRDY_Pos                 2                                                       /*!< USART0 STAT: TXRDY Position             */
#define USART0_STAT_TXRDY_Msk                 (0x01UL << USART0_STAT_TXRDY_Pos)                       /*!< USART0 STAT: TXRDY Mask                 */
#define USART0_STAT_TXIDLE_Pos                3                                                       /*!< USART0 STAT: TXIDLE Position            */
#define USART0_STAT_TXIDLE_Msk                (0x01UL << USART0_STAT_TXIDLE_Pos)                      /*!< USART0 STAT: TXIDLE Mask                */
#define USART0_STAT_CTS_Pos                   4                                                       /*!< USART0 STAT: CTS Position               */
#define USART0_STAT_CTS_Msk                   (0x01UL << USART0_STAT_CTS_Pos)                         /*!< USART0 STAT: CTS Mask                   */
#define USART0_STAT_DELTACTS_Pos              5                                                       /*!< USART0 STAT: DELTACTS Position          */
#define USART0_STAT_DELTACTS_Msk              (0x01UL << USART0_STAT_DELTACTS_Pos)                    /*!< USART0 STAT: DELTACTS Mask              */
#define USART0_STAT_TXDISSTAT_Pos             6                                                       /*!< USART0 STAT: TXDISSTAT Position         */
#define USART0_STAT_TXDISSTAT_Msk             (0x01UL << USART0_STAT_TXDISSTAT_Pos)                   /*!< USART0 STAT: TXDISSTAT Mask             */
#define USART0_STAT_OVERRUNINT_Pos            8                                                       /*!< USART0 STAT: OVERRUNINT Position        */
#define USART0_STAT_OVERRUNINT_Msk            (0x01UL << USART0_STAT_OVERRUNINT_Pos)                  /*!< USART0 STAT: OVERRUNINT Mask            */
#define USART0_STAT_RXBRK_Pos                 10                                                      /*!< USART0 STAT: RXBRK Position             */
#define USART0_STAT_RXBRK_Msk                 (0x01UL << USART0_STAT_RXBRK_Pos)                       /*!< USART0 STAT: RXBRK Mask                 */
#define USART0_STAT_DELTARXBRK_Pos            11                                                      /*!< USART0 STAT: DELTARXBRK Position        */
#define USART0_STAT_DELTARXBRK_Msk            (0x01UL << USART0_STAT_DELTARXBRK_Pos)                  /*!< USART0 STAT: DELTARXBRK Mask            */
#define USART0_STAT_START_Pos                 12                                                      /*!< USART0 STAT: START Position             */
#define USART0_STAT_START_Msk                 (0x01UL << USART0_STAT_START_Pos)                       /*!< USART0 STAT: START Mask                 */
#define USART0_STAT_FRAMERRINT_Pos            13                                                      /*!< USART0 STAT: FRAMERRINT Position        */
#define USART0_STAT_FRAMERRINT_Msk            (0x01UL << USART0_STAT_FRAMERRINT_Pos)                  /*!< USART0 STAT: FRAMERRINT Mask            */
#define USART0_STAT_PARITYERRINT_Pos          14                                                      /*!< USART0 STAT: PARITYERRINT Position      */
#define USART0_STAT_PARITYERRINT_Msk          (0x01UL << USART0_STAT_PARITYERRINT_Pos)                /*!< USART0 STAT: PARITYERRINT Mask          */
#define USART0_STAT_RXNOISEINT_Pos            15                                                      /*!< USART0 STAT: RXNOISEINT Position        */
#define USART0_STAT_RXNOISEINT_Msk            (0x01UL << USART0_STAT_RXNOISEINT_Pos)                  /*!< USART0 STAT: RXNOISEINT Mask            */
#define USART0_STAT_ABERR_Pos                 16                                                      /*!< USART0 STAT: ABERR Position             */
#define USART0_STAT_ABERR_Msk                 (0x01UL << USART0_STAT_ABERR_Pos)                       /*!< USART0 STAT: ABERR Mask                 */

/* -------------------------------  USART0_INTENSET  ------------------------------ */
#define USART0_INTENSET_RXRDYEN_Pos           0                                                       /*!< USART0 INTENSET: RXRDYEN Position       */
#define USART0_INTENSET_RXRDYEN_Msk           (0x01UL << USART0_INTENSET_RXRDYEN_Pos)                 /*!< USART0 INTENSET: RXRDYEN Mask           */
#define USART0_INTENSET_TXRDYEN_Pos           2                                                       /*!< USART0 INTENSET: TXRDYEN Position       */
#define USART0_INTENSET_TXRDYEN_Msk           (0x01UL << USART0_INTENSET_TXRDYEN_Pos)                 /*!< USART0 INTENSET: TXRDYEN Mask           */
#define USART0_INTENSET_TXIDLEEN_Pos          3                                                       /*!< USART0 INTENSET: TXIDLEEN Position      */
#define USART0_INTENSET_TXIDLEEN_Msk          (0x01UL << USART0_INTENSET_TXIDLEEN_Pos)                /*!< USART0 INTENSET: TXIDLEEN Mask          */
#define USART0_INTENSET_DELTACTSEN_Pos        5                                                       /*!< USART0 INTENSET: DELTACTSEN Position    */
#define USART0_INTENSET_DELTACTSEN_Msk        (0x01UL << USART0_INTENSET_DELTACTSEN_Pos)              /*!< USART0 INTENSET: DELTACTSEN Mask        */
#define USART0_INTENSET_TXDISEN_Pos           6                                                       /*!< USART0 INTENSET: TXDISEN Position       */
#define USART0_INTENSET_TXDISEN_Msk           (0x01UL << USART0_INTENSET_TXDISEN_Pos)                 /*!< USART0 INTENSET: TXDISEN Mask           */
#define USART0_INTENSET_OVERRUNEN_Pos         8                                                       /*!< USART0 INTENSET: OVERRUNEN Position     */
#define USART0_INTENSET_OVERRUNEN_Msk         (0x01UL << USART0_INTENSET_OVERRUNEN_Pos)               /*!< USART0 INTENSET: OVERRUNEN Mask         */
#define USART0_INTENSET_DELTARXBRKEN_Pos      11                                                      /*!< USART0 INTENSET: DELTARXBRKEN Position  */
#define USART0_INTENSET_DELTARXBRKEN_Msk      (0x01UL << USART0_INTENSET_DELTARXBRKEN_Pos)            /*!< USART0 INTENSET: DELTARXBRKEN Mask      */
#define USART0_INTENSET_STARTEN_Pos           12                                                      /*!< USART0 INTENSET: STARTEN Position       */
#define USART0_INTENSET_STARTEN_Msk           (0x01UL << USART0_INTENSET_STARTEN_Pos)                 /*!< USART0 INTENSET: STARTEN Mask           */
#define USART0_INTENSET_FRAMERREN_Pos         13                                                      /*!< USART0 INTENSET: FRAMERREN Position     */
#define USART0_INTENSET_FRAMERREN_Msk         (0x01UL << USART0_INTENSET_FRAMERREN_Pos)               /*!< USART0 INTENSET: FRAMERREN Mask         */
#define USART0_INTENSET_PARITYERREN_Pos       14                                                      /*!< USART0 INTENSET: PARITYERREN Position   */
#define USART0_INTENSET_PARITYERREN_Msk       (0x01UL << USART0_INTENSET_PARITYERREN_Pos)             /*!< USART0 INTENSET: PARITYERREN Mask       */
#define USART0_INTENSET_RXNOISEEN_Pos         15                                                      /*!< USART0 INTENSET: RXNOISEEN Position     */
#define USART0_INTENSET_RXNOISEEN_Msk         (0x01UL << USART0_INTENSET_RXNOISEEN_Pos)               /*!< USART0 INTENSET: RXNOISEEN Mask         */
#define USART0_INTENSET_ABERREN_Pos           16                                                      /*!< USART0 INTENSET: ABERREN Position       */
#define USART0_INTENSET_ABERREN_Msk           (0x01UL << USART0_INTENSET_ABERREN_Pos)                 /*!< USART0 INTENSET: ABERREN Mask           */

/* -------------------------------  USART0_INTENCLR  ------------------------------ */
#define USART0_INTENCLR_RXRDYCLR_Pos          0                                                       /*!< USART0 INTENCLR: RXRDYCLR Position      */
#define USART0_INTENCLR_RXRDYCLR_Msk          (0x01UL << USART0_INTENCLR_RXRDYCLR_Pos)                /*!< USART0 INTENCLR: RXRDYCLR Mask          */
#define USART0_INTENCLR_TXRDYCLR_Pos          2                                                       /*!< USART0 INTENCLR: TXRDYCLR Position      */
#define USART0_INTENCLR_TXRDYCLR_Msk          (0x01UL << USART0_INTENCLR_TXRDYCLR_Pos)                /*!< USART0 INTENCLR: TXRDYCLR Mask          */
#define USART0_INTENCLR_TXIDLECLR_Pos         3                                                       /*!< USART0 INTENCLR: TXIDLECLR Position     */
#define USART0_INTENCLR_TXIDLECLR_Msk         (0x01UL << USART0_INTENCLR_TXIDLECLR_Pos)               /*!< USART0 INTENCLR: TXIDLECLR Mask         */
#define USART0_INTENCLR_DELTACTSCLR_Pos       5                                                       /*!< USART0 INTENCLR: DELTACTSCLR Position   */
#define USART0_INTENCLR_DELTACTSCLR_Msk       (0x01UL << USART0_INTENCLR_DELTACTSCLR_Pos)             /*!< USART0 INTENCLR: DELTACTSCLR Mask       */
#define USART0_INTENCLR_TXDISCLR_Pos          6                                                       /*!< USART0 INTENCLR: TXDISCLR Position      */
#define USART0_INTENCLR_TXDISCLR_Msk          (0x01UL << USART0_INTENCLR_TXDISCLR_Pos)                /*!< USART0 INTENCLR: TXDISCLR Mask          */
#define USART0_INTENCLR_OVERRUNCLR_Pos        8                                                       /*!< USART0 INTENCLR: OVERRUNCLR Position    */
#define USART0_INTENCLR_OVERRUNCLR_Msk        (0x01UL << USART0_INTENCLR_OVERRUNCLR_Pos)              /*!< USART0 INTENCLR: OVERRUNCLR Mask        */
#define USART0_INTENCLR_DELTARXBRKCLR_Pos     11                                                      /*!< USART0 INTENCLR: DELTARXBRKCLR Position */
#define USART0_INTENCLR_DELTARXBRKCLR_Msk     (0x01UL << USART0_INTENCLR_DELTARXBRKCLR_Pos)           /*!< USART0 INTENCLR: DELTARXBRKCLR Mask     */
#define USART0_INTENCLR_STARTCLR_Pos          12                                                      /*!< USART0 INTENCLR: STARTCLR Position      */
#define USART0_INTENCLR_STARTCLR_Msk          (0x01UL << USART0_INTENCLR_STARTCLR_Pos)                /*!< USART0 INTENCLR: STARTCLR Mask          */
#define USART0_INTENCLR_FRAMERRCLR_Pos        13                                                      /*!< USART0 INTENCLR: FRAMERRCLR Position    */
#define USART0_INTENCLR_FRAMERRCLR_Msk        (0x01UL << USART0_INTENCLR_FRAMERRCLR_Pos)              /*!< USART0 INTENCLR: FRAMERRCLR Mask        */
#define USART0_INTENCLR_PARITYERRCLR_Pos      14                                                      /*!< USART0 INTENCLR: PARITYERRCLR Position  */
#define USART0_INTENCLR_PARITYERRCLR_Msk      (0x01UL << USART0_INTENCLR_PARITYERRCLR_Pos)            /*!< USART0 INTENCLR: PARITYERRCLR Mask      */
#define USART0_INTENCLR_RXNOISECLR_Pos        15                                                      /*!< USART0 INTENCLR: RXNOISECLR Position    */
#define USART0_INTENCLR_RXNOISECLR_Msk        (0x01UL << USART0_INTENCLR_RXNOISECLR_Pos)              /*!< USART0 INTENCLR: RXNOISECLR Mask        */
#define USART0_INTENCLR_ABERRCLR_Pos          16                                                      /*!< USART0 INTENCLR: ABERRCLR Position      */
#define USART0_INTENCLR_ABERRCLR_Msk          (0x01UL << USART0_INTENCLR_ABERRCLR_Pos)                /*!< USART0 INTENCLR: ABERRCLR Mask          */

/* --------------------------------  USART0_RXDAT  -------------------------------- */
#define USART0_RXDAT_DATA_Pos                 0                                                       /*!< USART0 RXDAT: DATA Position             */
#define USART0_RXDAT_DATA_Msk                 (0x000001ffUL << USART0_RXDAT_DATA_Pos)                 /*!< USART0 RXDAT: DATA Mask                 */

/* ------------------------------  USART0_RXDATSTAT  ------------------------------ */
#define USART0_RXDATSTAT_RXDATA_Pos           0                                                       /*!< USART0 RXDATSTAT: RXDATA Position       */
#define USART0_RXDATSTAT_RXDATA_Msk           (0x000001ffUL << USART0_RXDATSTAT_RXDATA_Pos)           /*!< USART0 RXDATSTAT: RXDATA Mask           */
#define USART0_RXDATSTAT_FRAMERR_Pos          13                                                      /*!< USART0 RXDATSTAT: FRAMERR Position      */
#define USART0_RXDATSTAT_FRAMERR_Msk          (0x01UL << USART0_RXDATSTAT_FRAMERR_Pos)                /*!< USART0 RXDATSTAT: FRAMERR Mask          */
#define USART0_RXDATSTAT_PARITYERR_Pos        14                                                      /*!< USART0 RXDATSTAT: PARITYERR Position    */
#define USART0_RXDATSTAT_PARITYERR_Msk        (0x01UL << USART0_RXDATSTAT_PARITYERR_Pos)              /*!< USART0 RXDATSTAT: PARITYERR Mask        */
#define USART0_RXDATSTAT_RXNOISE_Pos          15                                                      /*!< USART0 RXDATSTAT: RXNOISE Position      */
#define USART0_RXDATSTAT_RXNOISE_Msk          (0x01UL << USART0_RXDATSTAT_RXNOISE_Pos)                /*!< USART0 RXDATSTAT: RXNOISE Mask          */

/* --------------------------------  USART0_TXDAT  -------------------------------- */
#define USART0_TXDAT_TXDATA_Pos               0                                                       /*!< USART0 TXDAT: TXDATA Position           */
#define USART0_TXDAT_TXDATA_Msk               (0x000001ffUL << USART0_TXDAT_TXDATA_Pos)               /*!< USART0 TXDAT: TXDATA Mask               */

/* ---------------------------------  USART0_BRG  --------------------------------- */
#define USART0_BRG_BRGVAL_Pos                 0                                                       /*!< USART0 BRG: BRGVAL Position             */
#define USART0_BRG_BRGVAL_Msk                 (0x0000ffffUL << USART0_BRG_BRGVAL_Pos)                 /*!< USART0 BRG: BRGVAL Mask                 */

/* -------------------------------  USART0_INTSTAT  ------------------------------- */
#define USART0_INTSTAT_RXRDY_Pos              0                                                       /*!< USART0 INTSTAT: RXRDY Position          */
#define USART0_INTSTAT_RXRDY_Msk              (0x01UL << USART0_INTSTAT_RXRDY_Pos)                    /*!< USART0 INTSTAT: RXRDY Mask              */
#define USART0_INTSTAT_TXRDY_Pos              2                                                       /*!< USART0 INTSTAT: TXRDY Position          */
#define USART0_INTSTAT_TXRDY_Msk              (0x01UL << USART0_INTSTAT_TXRDY_Pos)                    /*!< USART0 INTSTAT: TXRDY Mask              */
#define USART0_INTSTAT_TXIDLE_Pos             3                                                       /*!< USART0 INTSTAT: TXIDLE Position         */
#define USART0_INTSTAT_TXIDLE_Msk             (0x01UL << USART0_INTSTAT_TXIDLE_Pos)                   /*!< USART0 INTSTAT: TXIDLE Mask             */
#define USART0_INTSTAT_DELTACTS_Pos           5                                                       /*!< USART0 INTSTAT: DELTACTS Position       */
#define USART0_INTSTAT_DELTACTS_Msk           (0x01UL << USART0_INTSTAT_DELTACTS_Pos)                 /*!< USART0 INTSTAT: DELTACTS Mask           */
#define USART0_INTSTAT_TXDISINT_Pos           6                                                       /*!< USART0 INTSTAT: TXDISINT Position       */
#define USART0_INTSTAT_TXDISINT_Msk           (0x01UL << USART0_INTSTAT_TXDISINT_Pos)                 /*!< USART0 INTSTAT: TXDISINT Mask           */
#define USART0_INTSTAT_OVERRUNINT_Pos         8                                                       /*!< USART0 INTSTAT: OVERRUNINT Position     */
#define USART0_INTSTAT_OVERRUNINT_Msk         (0x01UL << USART0_INTSTAT_OVERRUNINT_Pos)               /*!< USART0 INTSTAT: OVERRUNINT Mask         */
#define USART0_INTSTAT_DELTARXBRK_Pos         11                                                      /*!< USART0 INTSTAT: DELTARXBRK Position     */
#define USART0_INTSTAT_DELTARXBRK_Msk         (0x01UL << USART0_INTSTAT_DELTARXBRK_Pos)               /*!< USART0 INTSTAT: DELTARXBRK Mask         */
#define USART0_INTSTAT_START_Pos              12                                                      /*!< USART0 INTSTAT: START Position          */
#define USART0_INTSTAT_START_Msk              (0x01UL << USART0_INTSTAT_START_Pos)                    /*!< USART0 INTSTAT: START Mask              */
#define USART0_INTSTAT_FRAMERRINT_Pos         13                                                      /*!< USART0 INTSTAT: FRAMERRINT Position     */
#define USART0_INTSTAT_FRAMERRINT_Msk         (0x01UL << USART0_INTSTAT_FRAMERRINT_Pos)               /*!< USART0 INTSTAT: FRAMERRINT Mask         */
#define USART0_INTSTAT_PARITYERRINT_Pos       14                                                      /*!< USART0 INTSTAT: PARITYERRINT Position   */
#define USART0_INTSTAT_PARITYERRINT_Msk       (0x01UL << USART0_INTSTAT_PARITYERRINT_Pos)             /*!< USART0 INTSTAT: PARITYERRINT Mask       */
#define USART0_INTSTAT_RXNOISEINT_Pos         15                                                      /*!< USART0 INTSTAT: RXNOISEINT Position     */
#define USART0_INTSTAT_RXNOISEINT_Msk         (0x01UL << USART0_INTSTAT_RXNOISEINT_Pos)               /*!< USART0 INTSTAT: RXNOISEINT Mask         */
#define USART0_INTSTAT_ABERRINT_Pos           16                                                      /*!< USART0 INTSTAT: ABERRINT Position       */
#define USART0_INTSTAT_ABERRINT_Msk           (0x01UL << USART0_INTSTAT_ABERRINT_Pos)                 /*!< USART0 INTSTAT: ABERRINT Mask           */

/* ---------------------------------  USART0_OSR  --------------------------------- */
#define USART0_OSR_OSRVAL_Pos                 0                                                       /*!< USART0 OSR: OSRVAL Position             */
#define USART0_OSR_OSRVAL_Msk                 (0x0fUL << USART0_OSR_OSRVAL_Pos)                       /*!< USART0 OSR: OSRVAL Mask                 */

/* ---------------------------------  USART0_ADDR  -------------------------------- */
#define USART0_ADDR_ADDRESS_Pos               0                                                       /*!< USART0 ADDR: ADDRESS Position           */
#define USART0_ADDR_ADDRESS_Msk               (0x000000ffUL << USART0_ADDR_ADDRESS_Pos)               /*!< USART0 ADDR: ADDRESS Mask               */


/* ================================================================================ */
/* ================         struct 'USART1' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  USART1_CFG  --------------------------------- */
#define USART1_CFG_ENABLE_Pos                 0                                                       /*!< USART1 CFG: ENABLE Position             */
#define USART1_CFG_ENABLE_Msk                 (0x01UL << USART1_CFG_ENABLE_Pos)                       /*!< USART1 CFG: ENABLE Mask                 */
#define USART1_CFG_DATALEN_Pos                2                                                       /*!< USART1 CFG: DATALEN Position            */
#define USART1_CFG_DATALEN_Msk                (0x03UL << USART1_CFG_DATALEN_Pos)                      /*!< USART1 CFG: DATALEN Mask                */
#define USART1_CFG_PARITYSEL_Pos              4                                                       /*!< USART1 CFG: PARITYSEL Position          */
#define USART1_CFG_PARITYSEL_Msk              (0x03UL << USART1_CFG_PARITYSEL_Pos)                    /*!< USART1 CFG: PARITYSEL Mask              */
#define USART1_CFG_STOPLEN_Pos                6                                                       /*!< USART1 CFG: STOPLEN Position            */
#define USART1_CFG_STOPLEN_Msk                (0x01UL << USART1_CFG_STOPLEN_Pos)                      /*!< USART1 CFG: STOPLEN Mask                */
#define USART1_CFG_MODE32K_Pos                7                                                       /*!< USART1 CFG: MODE32K Position            */
#define USART1_CFG_MODE32K_Msk                (0x01UL << USART1_CFG_MODE32K_Pos)                      /*!< USART1 CFG: MODE32K Mask                */
#define USART1_CFG_LINMODE_Pos                8                                                       /*!< USART1 CFG: LINMODE Position            */
#define USART1_CFG_LINMODE_Msk                (0x01UL << USART1_CFG_LINMODE_Pos)                      /*!< USART1 CFG: LINMODE Mask                */
#define USART1_CFG_CTSEN_Pos                  9                                                       /*!< USART1 CFG: CTSEN Position              */
#define USART1_CFG_CTSEN_Msk                  (0x01UL << USART1_CFG_CTSEN_Pos)                        /*!< USART1 CFG: CTSEN Mask                  */
#define USART1_CFG_SYNCEN_Pos                 11                                                      /*!< USART1 CFG: SYNCEN Position             */
#define USART1_CFG_SYNCEN_Msk                 (0x01UL << USART1_CFG_SYNCEN_Pos)                       /*!< USART1 CFG: SYNCEN Mask                 */
#define USART1_CFG_CLKPOL_Pos                 12                                                      /*!< USART1 CFG: CLKPOL Position             */
#define USART1_CFG_CLKPOL_Msk                 (0x01UL << USART1_CFG_CLKPOL_Pos)                       /*!< USART1 CFG: CLKPOL Mask                 */
#define USART1_CFG_SYNCMST_Pos                14                                                      /*!< USART1 CFG: SYNCMST Position            */
#define USART1_CFG_SYNCMST_Msk                (0x01UL << USART1_CFG_SYNCMST_Pos)                      /*!< USART1 CFG: SYNCMST Mask                */
#define USART1_CFG_LOOP_Pos                   15                                                      /*!< USART1 CFG: LOOP Position               */
#define USART1_CFG_LOOP_Msk                   (0x01UL << USART1_CFG_LOOP_Pos)                         /*!< USART1 CFG: LOOP Mask                   */
#define USART1_CFG_IOMODE_Pos                 16                                                      /*!< USART1 CFG: IOMODE Position             */
#define USART1_CFG_IOMODE_Msk                 (0x01UL << USART1_CFG_IOMODE_Pos)                       /*!< USART1 CFG: IOMODE Mask                 */
#define USART1_CFG_OETA_Pos                   18                                                      /*!< USART1 CFG: OETA Position               */
#define USART1_CFG_OETA_Msk                   (0x01UL << USART1_CFG_OETA_Pos)                         /*!< USART1 CFG: OETA Mask                   */
#define USART1_CFG_AUTOADDR_Pos               19                                                      /*!< USART1 CFG: AUTOADDR Position           */
#define USART1_CFG_AUTOADDR_Msk               (0x01UL << USART1_CFG_AUTOADDR_Pos)                     /*!< USART1 CFG: AUTOADDR Mask               */
#define USART1_CFG_OESEL_Pos                  20                                                      /*!< USART1 CFG: OESEL Position              */
#define USART1_CFG_OESEL_Msk                  (0x01UL << USART1_CFG_OESEL_Pos)                        /*!< USART1 CFG: OESEL Mask                  */
#define USART1_CFG_OEPOL_Pos                  21                                                      /*!< USART1 CFG: OEPOL Position              */
#define USART1_CFG_OEPOL_Msk                  (0x01UL << USART1_CFG_OEPOL_Pos)                        /*!< USART1 CFG: OEPOL Mask                  */
#define USART1_CFG_RXPOL_Pos                  22                                                      /*!< USART1 CFG: RXPOL Position              */
#define USART1_CFG_RXPOL_Msk                  (0x01UL << USART1_CFG_RXPOL_Pos)                        /*!< USART1 CFG: RXPOL Mask                  */
#define USART1_CFG_TXPOL_Pos                  23                                                      /*!< USART1 CFG: TXPOL Position              */
#define USART1_CFG_TXPOL_Msk                  (0x01UL << USART1_CFG_TXPOL_Pos)                        /*!< USART1 CFG: TXPOL Mask                  */

/* ---------------------------------  USART1_CTL  --------------------------------- */
#define USART1_CTL_TXBRKEN_Pos                1                                                       /*!< USART1 CTL: TXBRKEN Position            */
#define USART1_CTL_TXBRKEN_Msk                (0x01UL << USART1_CTL_TXBRKEN_Pos)                      /*!< USART1 CTL: TXBRKEN Mask                */
#define USART1_CTL_ADDRDET_Pos                2                                                       /*!< USART1 CTL: ADDRDET Position            */
#define USART1_CTL_ADDRDET_Msk                (0x01UL << USART1_CTL_ADDRDET_Pos)                      /*!< USART1 CTL: ADDRDET Mask                */
#define USART1_CTL_TXDIS_Pos                  6                                                       /*!< USART1 CTL: TXDIS Position              */
#define USART1_CTL_TXDIS_Msk                  (0x01UL << USART1_CTL_TXDIS_Pos)                        /*!< USART1 CTL: TXDIS Mask                  */
#define USART1_CTL_CC_Pos                     8                                                       /*!< USART1 CTL: CC Position                 */
#define USART1_CTL_CC_Msk                     (0x01UL << USART1_CTL_CC_Pos)                           /*!< USART1 CTL: CC Mask                     */
#define USART1_CTL_CLRCCONRX_Pos              9                                                       /*!< USART1 CTL: CLRCCONRX Position          */
#define USART1_CTL_CLRCCONRX_Msk              (0x01UL << USART1_CTL_CLRCCONRX_Pos)                    /*!< USART1 CTL: CLRCCONRX Mask              */
#define USART1_CTL_AUTOBAUD_Pos               16                                                      /*!< USART1 CTL: AUTOBAUD Position           */
#define USART1_CTL_AUTOBAUD_Msk               (0x01UL << USART1_CTL_AUTOBAUD_Pos)                     /*!< USART1 CTL: AUTOBAUD Mask               */

/* ---------------------------------  USART1_STAT  -------------------------------- */
#define USART1_STAT_RXRDY_Pos                 0                                                       /*!< USART1 STAT: RXRDY Position             */
#define USART1_STAT_RXRDY_Msk                 (0x01UL << USART1_STAT_RXRDY_Pos)                       /*!< USART1 STAT: RXRDY Mask                 */
#define USART1_STAT_RXIDLE_Pos                1                                                       /*!< USART1 STAT: RXIDLE Position            */
#define USART1_STAT_RXIDLE_Msk                (0x01UL << USART1_STAT_RXIDLE_Pos)                      /*!< USART1 STAT: RXIDLE Mask                */
#define USART1_STAT_TXRDY_Pos                 2                                                       /*!< USART1 STAT: TXRDY Position             */
#define USART1_STAT_TXRDY_Msk                 (0x01UL << USART1_STAT_TXRDY_Pos)                       /*!< USART1 STAT: TXRDY Mask                 */
#define USART1_STAT_TXIDLE_Pos                3                                                       /*!< USART1 STAT: TXIDLE Position            */
#define USART1_STAT_TXIDLE_Msk                (0x01UL << USART1_STAT_TXIDLE_Pos)                      /*!< USART1 STAT: TXIDLE Mask                */
#define USART1_STAT_CTS_Pos                   4                                                       /*!< USART1 STAT: CTS Position               */
#define USART1_STAT_CTS_Msk                   (0x01UL << USART1_STAT_CTS_Pos)                         /*!< USART1 STAT: CTS Mask                   */
#define USART1_STAT_DELTACTS_Pos              5                                                       /*!< USART1 STAT: DELTACTS Position          */
#define USART1_STAT_DELTACTS_Msk              (0x01UL << USART1_STAT_DELTACTS_Pos)                    /*!< USART1 STAT: DELTACTS Mask              */
#define USART1_STAT_TXDISSTAT_Pos             6                                                       /*!< USART1 STAT: TXDISSTAT Position         */
#define USART1_STAT_TXDISSTAT_Msk             (0x01UL << USART1_STAT_TXDISSTAT_Pos)                   /*!< USART1 STAT: TXDISSTAT Mask             */
#define USART1_STAT_OVERRUNINT_Pos            8                                                       /*!< USART1 STAT: OVERRUNINT Position        */
#define USART1_STAT_OVERRUNINT_Msk            (0x01UL << USART1_STAT_OVERRUNINT_Pos)                  /*!< USART1 STAT: OVERRUNINT Mask            */
#define USART1_STAT_RXBRK_Pos                 10                                                      /*!< USART1 STAT: RXBRK Position             */
#define USART1_STAT_RXBRK_Msk                 (0x01UL << USART1_STAT_RXBRK_Pos)                       /*!< USART1 STAT: RXBRK Mask                 */
#define USART1_STAT_DELTARXBRK_Pos            11                                                      /*!< USART1 STAT: DELTARXBRK Position        */
#define USART1_STAT_DELTARXBRK_Msk            (0x01UL << USART1_STAT_DELTARXBRK_Pos)                  /*!< USART1 STAT: DELTARXBRK Mask            */
#define USART1_STAT_START_Pos                 12                                                      /*!< USART1 STAT: START Position             */
#define USART1_STAT_START_Msk                 (0x01UL << USART1_STAT_START_Pos)                       /*!< USART1 STAT: START Mask                 */
#define USART1_STAT_FRAMERRINT_Pos            13                                                      /*!< USART1 STAT: FRAMERRINT Position        */
#define USART1_STAT_FRAMERRINT_Msk            (0x01UL << USART1_STAT_FRAMERRINT_Pos)                  /*!< USART1 STAT: FRAMERRINT Mask            */
#define USART1_STAT_PARITYERRINT_Pos          14                                                      /*!< USART1 STAT: PARITYERRINT Position      */
#define USART1_STAT_PARITYERRINT_Msk          (0x01UL << USART1_STAT_PARITYERRINT_Pos)                /*!< USART1 STAT: PARITYERRINT Mask          */
#define USART1_STAT_RXNOISEINT_Pos            15                                                      /*!< USART1 STAT: RXNOISEINT Position        */
#define USART1_STAT_RXNOISEINT_Msk            (0x01UL << USART1_STAT_RXNOISEINT_Pos)                  /*!< USART1 STAT: RXNOISEINT Mask            */
#define USART1_STAT_ABERR_Pos                 16                                                      /*!< USART1 STAT: ABERR Position             */
#define USART1_STAT_ABERR_Msk                 (0x01UL << USART1_STAT_ABERR_Pos)                       /*!< USART1 STAT: ABERR Mask                 */

/* -------------------------------  USART1_INTENSET  ------------------------------ */
#define USART1_INTENSET_RXRDYEN_Pos           0                                                       /*!< USART1 INTENSET: RXRDYEN Position       */
#define USART1_INTENSET_RXRDYEN_Msk           (0x01UL << USART1_INTENSET_RXRDYEN_Pos)                 /*!< USART1 INTENSET: RXRDYEN Mask           */
#define USART1_INTENSET_TXRDYEN_Pos           2                                                       /*!< USART1 INTENSET: TXRDYEN Position       */
#define USART1_INTENSET_TXRDYEN_Msk           (0x01UL << USART1_INTENSET_TXRDYEN_Pos)                 /*!< USART1 INTENSET: TXRDYEN Mask           */
#define USART1_INTENSET_TXIDLEEN_Pos          3                                                       /*!< USART1 INTENSET: TXIDLEEN Position      */
#define USART1_INTENSET_TXIDLEEN_Msk          (0x01UL << USART1_INTENSET_TXIDLEEN_Pos)                /*!< USART1 INTENSET: TXIDLEEN Mask          */
#define USART1_INTENSET_DELTACTSEN_Pos        5                                                       /*!< USART1 INTENSET: DELTACTSEN Position    */
#define USART1_INTENSET_DELTACTSEN_Msk        (0x01UL << USART1_INTENSET_DELTACTSEN_Pos)              /*!< USART1 INTENSET: DELTACTSEN Mask        */
#define USART1_INTENSET_TXDISEN_Pos           6                                                       /*!< USART1 INTENSET: TXDISEN Position       */
#define USART1_INTENSET_TXDISEN_Msk           (0x01UL << USART1_INTENSET_TXDISEN_Pos)                 /*!< USART1 INTENSET: TXDISEN Mask           */
#define USART1_INTENSET_OVERRUNEN_Pos         8                                                       /*!< USART1 INTENSET: OVERRUNEN Position     */
#define USART1_INTENSET_OVERRUNEN_Msk         (0x01UL << USART1_INTENSET_OVERRUNEN_Pos)               /*!< USART1 INTENSET: OVERRUNEN Mask         */
#define USART1_INTENSET_DELTARXBRKEN_Pos      11                                                      /*!< USART1 INTENSET: DELTARXBRKEN Position  */
#define USART1_INTENSET_DELTARXBRKEN_Msk      (0x01UL << USART1_INTENSET_DELTARXBRKEN_Pos)            /*!< USART1 INTENSET: DELTARXBRKEN Mask      */
#define USART1_INTENSET_STARTEN_Pos           12                                                      /*!< USART1 INTENSET: STARTEN Position       */
#define USART1_INTENSET_STARTEN_Msk           (0x01UL << USART1_INTENSET_STARTEN_Pos)                 /*!< USART1 INTENSET: STARTEN Mask           */
#define USART1_INTENSET_FRAMERREN_Pos         13                                                      /*!< USART1 INTENSET: FRAMERREN Position     */
#define USART1_INTENSET_FRAMERREN_Msk         (0x01UL << USART1_INTENSET_FRAMERREN_Pos)               /*!< USART1 INTENSET: FRAMERREN Mask         */
#define USART1_INTENSET_PARITYERREN_Pos       14                                                      /*!< USART1 INTENSET: PARITYERREN Position   */
#define USART1_INTENSET_PARITYERREN_Msk       (0x01UL << USART1_INTENSET_PARITYERREN_Pos)             /*!< USART1 INTENSET: PARITYERREN Mask       */
#define USART1_INTENSET_RXNOISEEN_Pos         15                                                      /*!< USART1 INTENSET: RXNOISEEN Position     */
#define USART1_INTENSET_RXNOISEEN_Msk         (0x01UL << USART1_INTENSET_RXNOISEEN_Pos)               /*!< USART1 INTENSET: RXNOISEEN Mask         */
#define USART1_INTENSET_ABERREN_Pos           16                                                      /*!< USART1 INTENSET: ABERREN Position       */
#define USART1_INTENSET_ABERREN_Msk           (0x01UL << USART1_INTENSET_ABERREN_Pos)                 /*!< USART1 INTENSET: ABERREN Mask           */

/* -------------------------------  USART1_INTENCLR  ------------------------------ */
#define USART1_INTENCLR_RXRDYCLR_Pos          0                                                       /*!< USART1 INTENCLR: RXRDYCLR Position      */
#define USART1_INTENCLR_RXRDYCLR_Msk          (0x01UL << USART1_INTENCLR_RXRDYCLR_Pos)                /*!< USART1 INTENCLR: RXRDYCLR Mask          */
#define USART1_INTENCLR_TXRDYCLR_Pos          2                                                       /*!< USART1 INTENCLR: TXRDYCLR Position      */
#define USART1_INTENCLR_TXRDYCLR_Msk          (0x01UL << USART1_INTENCLR_TXRDYCLR_Pos)                /*!< USART1 INTENCLR: TXRDYCLR Mask          */
#define USART1_INTENCLR_TXIDLECLR_Pos         3                                                       /*!< USART1 INTENCLR: TXIDLECLR Position     */
#define USART1_INTENCLR_TXIDLECLR_Msk         (0x01UL << USART1_INTENCLR_TXIDLECLR_Pos)               /*!< USART1 INTENCLR: TXIDLECLR Mask         */
#define USART1_INTENCLR_DELTACTSCLR_Pos       5                                                       /*!< USART1 INTENCLR: DELTACTSCLR Position   */
#define USART1_INTENCLR_DELTACTSCLR_Msk       (0x01UL << USART1_INTENCLR_DELTACTSCLR_Pos)             /*!< USART1 INTENCLR: DELTACTSCLR Mask       */
#define USART1_INTENCLR_TXDISCLR_Pos          6                                                       /*!< USART1 INTENCLR: TXDISCLR Position      */
#define USART1_INTENCLR_TXDISCLR_Msk          (0x01UL << USART1_INTENCLR_TXDISCLR_Pos)                /*!< USART1 INTENCLR: TXDISCLR Mask          */
#define USART1_INTENCLR_OVERRUNCLR_Pos        8                                                       /*!< USART1 INTENCLR: OVERRUNCLR Position    */
#define USART1_INTENCLR_OVERRUNCLR_Msk        (0x01UL << USART1_INTENCLR_OVERRUNCLR_Pos)              /*!< USART1 INTENCLR: OVERRUNCLR Mask        */
#define USART1_INTENCLR_DELTARXBRKCLR_Pos     11                                                      /*!< USART1 INTENCLR: DELTARXBRKCLR Position */
#define USART1_INTENCLR_DELTARXBRKCLR_Msk     (0x01UL << USART1_INTENCLR_DELTARXBRKCLR_Pos)           /*!< USART1 INTENCLR: DELTARXBRKCLR Mask     */
#define USART1_INTENCLR_STARTCLR_Pos          12                                                      /*!< USART1 INTENCLR: STARTCLR Position      */
#define USART1_INTENCLR_STARTCLR_Msk          (0x01UL << USART1_INTENCLR_STARTCLR_Pos)                /*!< USART1 INTENCLR: STARTCLR Mask          */
#define USART1_INTENCLR_FRAMERRCLR_Pos        13                                                      /*!< USART1 INTENCLR: FRAMERRCLR Position    */
#define USART1_INTENCLR_FRAMERRCLR_Msk        (0x01UL << USART1_INTENCLR_FRAMERRCLR_Pos)              /*!< USART1 INTENCLR: FRAMERRCLR Mask        */
#define USART1_INTENCLR_PARITYERRCLR_Pos      14                                                      /*!< USART1 INTENCLR: PARITYERRCLR Position  */
#define USART1_INTENCLR_PARITYERRCLR_Msk      (0x01UL << USART1_INTENCLR_PARITYERRCLR_Pos)            /*!< USART1 INTENCLR: PARITYERRCLR Mask      */
#define USART1_INTENCLR_RXNOISECLR_Pos        15                                                      /*!< USART1 INTENCLR: RXNOISECLR Position    */
#define USART1_INTENCLR_RXNOISECLR_Msk        (0x01UL << USART1_INTENCLR_RXNOISECLR_Pos)              /*!< USART1 INTENCLR: RXNOISECLR Mask        */
#define USART1_INTENCLR_ABERRCLR_Pos          16                                                      /*!< USART1 INTENCLR: ABERRCLR Position      */
#define USART1_INTENCLR_ABERRCLR_Msk          (0x01UL << USART1_INTENCLR_ABERRCLR_Pos)                /*!< USART1 INTENCLR: ABERRCLR Mask          */

/* --------------------------------  USART1_RXDAT  -------------------------------- */
#define USART1_RXDAT_DATA_Pos                 0                                                       /*!< USART1 RXDAT: DATA Position             */
#define USART1_RXDAT_DATA_Msk                 (0x000001ffUL << USART1_RXDAT_DATA_Pos)                 /*!< USART1 RXDAT: DATA Mask                 */

/* ------------------------------  USART1_RXDATSTAT  ------------------------------ */
#define USART1_RXDATSTAT_RXDATA_Pos           0                                                       /*!< USART1 RXDATSTAT: RXDATA Position       */
#define USART1_RXDATSTAT_RXDATA_Msk           (0x000001ffUL << USART1_RXDATSTAT_RXDATA_Pos)           /*!< USART1 RXDATSTAT: RXDATA Mask           */
#define USART1_RXDATSTAT_FRAMERR_Pos          13                                                      /*!< USART1 RXDATSTAT: FRAMERR Position      */
#define USART1_RXDATSTAT_FRAMERR_Msk          (0x01UL << USART1_RXDATSTAT_FRAMERR_Pos)                /*!< USART1 RXDATSTAT: FRAMERR Mask          */
#define USART1_RXDATSTAT_PARITYERR_Pos        14                                                      /*!< USART1 RXDATSTAT: PARITYERR Position    */
#define USART1_RXDATSTAT_PARITYERR_Msk        (0x01UL << USART1_RXDATSTAT_PARITYERR_Pos)              /*!< USART1 RXDATSTAT: PARITYERR Mask        */
#define USART1_RXDATSTAT_RXNOISE_Pos          15                                                      /*!< USART1 RXDATSTAT: RXNOISE Position      */
#define USART1_RXDATSTAT_RXNOISE_Msk          (0x01UL << USART1_RXDATSTAT_RXNOISE_Pos)                /*!< USART1 RXDATSTAT: RXNOISE Mask          */

/* --------------------------------  USART1_TXDAT  -------------------------------- */
#define USART1_TXDAT_TXDATA_Pos               0                                                       /*!< USART1 TXDAT: TXDATA Position           */
#define USART1_TXDAT_TXDATA_Msk               (0x000001ffUL << USART1_TXDAT_TXDATA_Pos)               /*!< USART1 TXDAT: TXDATA Mask               */

/* ---------------------------------  USART1_BRG  --------------------------------- */
#define USART1_BRG_BRGVAL_Pos                 0                                                       /*!< USART1 BRG: BRGVAL Position             */
#define USART1_BRG_BRGVAL_Msk                 (0x0000ffffUL << USART1_BRG_BRGVAL_Pos)                 /*!< USART1 BRG: BRGVAL Mask                 */

/* -------------------------------  USART1_INTSTAT  ------------------------------- */
#define USART1_INTSTAT_RXRDY_Pos              0                                                       /*!< USART1 INTSTAT: RXRDY Position          */
#define USART1_INTSTAT_RXRDY_Msk              (0x01UL << USART1_INTSTAT_RXRDY_Pos)                    /*!< USART1 INTSTAT: RXRDY Mask              */
#define USART1_INTSTAT_TXRDY_Pos              2                                                       /*!< USART1 INTSTAT: TXRDY Position          */
#define USART1_INTSTAT_TXRDY_Msk              (0x01UL << USART1_INTSTAT_TXRDY_Pos)                    /*!< USART1 INTSTAT: TXRDY Mask              */
#define USART1_INTSTAT_TXIDLE_Pos             3                                                       /*!< USART1 INTSTAT: TXIDLE Position         */
#define USART1_INTSTAT_TXIDLE_Msk             (0x01UL << USART1_INTSTAT_TXIDLE_Pos)                   /*!< USART1 INTSTAT: TXIDLE Mask             */
#define USART1_INTSTAT_DELTACTS_Pos           5                                                       /*!< USART1 INTSTAT: DELTACTS Position       */
#define USART1_INTSTAT_DELTACTS_Msk           (0x01UL << USART1_INTSTAT_DELTACTS_Pos)                 /*!< USART1 INTSTAT: DELTACTS Mask           */
#define USART1_INTSTAT_TXDISINT_Pos           6                                                       /*!< USART1 INTSTAT: TXDISINT Position       */
#define USART1_INTSTAT_TXDISINT_Msk           (0x01UL << USART1_INTSTAT_TXDISINT_Pos)                 /*!< USART1 INTSTAT: TXDISINT Mask           */
#define USART1_INTSTAT_OVERRUNINT_Pos         8                                                       /*!< USART1 INTSTAT: OVERRUNINT Position     */
#define USART1_INTSTAT_OVERRUNINT_Msk         (0x01UL << USART1_INTSTAT_OVERRUNINT_Pos)               /*!< USART1 INTSTAT: OVERRUNINT Mask         */
#define USART1_INTSTAT_DELTARXBRK_Pos         11                                                      /*!< USART1 INTSTAT: DELTARXBRK Position     */
#define USART1_INTSTAT_DELTARXBRK_Msk         (0x01UL << USART1_INTSTAT_DELTARXBRK_Pos)               /*!< USART1 INTSTAT: DELTARXBRK Mask         */
#define USART1_INTSTAT_START_Pos              12                                                      /*!< USART1 INTSTAT: START Position          */
#define USART1_INTSTAT_START_Msk              (0x01UL << USART1_INTSTAT_START_Pos)                    /*!< USART1 INTSTAT: START Mask              */
#define USART1_INTSTAT_FRAMERRINT_Pos         13                                                      /*!< USART1 INTSTAT: FRAMERRINT Position     */
#define USART1_INTSTAT_FRAMERRINT_Msk         (0x01UL << USART1_INTSTAT_FRAMERRINT_Pos)               /*!< USART1 INTSTAT: FRAMERRINT Mask         */
#define USART1_INTSTAT_PARITYERRINT_Pos       14                                                      /*!< USART1 INTSTAT: PARITYERRINT Position   */
#define USART1_INTSTAT_PARITYERRINT_Msk       (0x01UL << USART1_INTSTAT_PARITYERRINT_Pos)             /*!< USART1 INTSTAT: PARITYERRINT Mask       */
#define USART1_INTSTAT_RXNOISEINT_Pos         15                                                      /*!< USART1 INTSTAT: RXNOISEINT Position     */
#define USART1_INTSTAT_RXNOISEINT_Msk         (0x01UL << USART1_INTSTAT_RXNOISEINT_Pos)               /*!< USART1 INTSTAT: RXNOISEINT Mask         */
#define USART1_INTSTAT_ABERRINT_Pos           16                                                      /*!< USART1 INTSTAT: ABERRINT Position       */
#define USART1_INTSTAT_ABERRINT_Msk           (0x01UL << USART1_INTSTAT_ABERRINT_Pos)                 /*!< USART1 INTSTAT: ABERRINT Mask           */

/* ---------------------------------  USART1_OSR  --------------------------------- */
#define USART1_OSR_OSRVAL_Pos                 0                                                       /*!< USART1 OSR: OSRVAL Position             */
#define USART1_OSR_OSRVAL_Msk                 (0x0fUL << USART1_OSR_OSRVAL_Pos)                       /*!< USART1 OSR: OSRVAL Mask                 */

/* ---------------------------------  USART1_ADDR  -------------------------------- */
#define USART1_ADDR_ADDRESS_Pos               0                                                       /*!< USART1 ADDR: ADDRESS Position           */
#define USART1_ADDR_ADDRESS_Msk               (0x000000ffUL << USART1_ADDR_ADDRESS_Pos)               /*!< USART1 ADDR: ADDRESS Mask               */


/* ================================================================================ */
/* ================         struct 'USART2' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  USART2_CFG  --------------------------------- */
#define USART2_CFG_ENABLE_Pos                 0                                                       /*!< USART2 CFG: ENABLE Position             */
#define USART2_CFG_ENABLE_Msk                 (0x01UL << USART2_CFG_ENABLE_Pos)                       /*!< USART2 CFG: ENABLE Mask                 */
#define USART2_CFG_DATALEN_Pos                2                                                       /*!< USART2 CFG: DATALEN Position            */
#define USART2_CFG_DATALEN_Msk                (0x03UL << USART2_CFG_DATALEN_Pos)                      /*!< USART2 CFG: DATALEN Mask                */
#define USART2_CFG_PARITYSEL_Pos              4                                                       /*!< USART2 CFG: PARITYSEL Position          */
#define USART2_CFG_PARITYSEL_Msk              (0x03UL << USART2_CFG_PARITYSEL_Pos)                    /*!< USART2 CFG: PARITYSEL Mask              */
#define USART2_CFG_STOPLEN_Pos                6                                                       /*!< USART2 CFG: STOPLEN Position            */
#define USART2_CFG_STOPLEN_Msk                (0x01UL << USART2_CFG_STOPLEN_Pos)                      /*!< USART2 CFG: STOPLEN Mask                */
#define USART2_CFG_MODE32K_Pos                7                                                       /*!< USART2 CFG: MODE32K Position            */
#define USART2_CFG_MODE32K_Msk                (0x01UL << USART2_CFG_MODE32K_Pos)                      /*!< USART2 CFG: MODE32K Mask                */
#define USART2_CFG_LINMODE_Pos                8                                                       /*!< USART2 CFG: LINMODE Position            */
#define USART2_CFG_LINMODE_Msk                (0x01UL << USART2_CFG_LINMODE_Pos)                      /*!< USART2 CFG: LINMODE Mask                */
#define USART2_CFG_CTSEN_Pos                  9                                                       /*!< USART2 CFG: CTSEN Position              */
#define USART2_CFG_CTSEN_Msk                  (0x01UL << USART2_CFG_CTSEN_Pos)                        /*!< USART2 CFG: CTSEN Mask                  */
#define USART2_CFG_SYNCEN_Pos                 11                                                      /*!< USART2 CFG: SYNCEN Position             */
#define USART2_CFG_SYNCEN_Msk                 (0x01UL << USART2_CFG_SYNCEN_Pos)                       /*!< USART2 CFG: SYNCEN Mask                 */
#define USART2_CFG_CLKPOL_Pos                 12                                                      /*!< USART2 CFG: CLKPOL Position             */
#define USART2_CFG_CLKPOL_Msk                 (0x01UL << USART2_CFG_CLKPOL_Pos)                       /*!< USART2 CFG: CLKPOL Mask                 */
#define USART2_CFG_SYNCMST_Pos                14                                                      /*!< USART2 CFG: SYNCMST Position            */
#define USART2_CFG_SYNCMST_Msk                (0x01UL << USART2_CFG_SYNCMST_Pos)                      /*!< USART2 CFG: SYNCMST Mask                */
#define USART2_CFG_LOOP_Pos                   15                                                      /*!< USART2 CFG: LOOP Position               */
#define USART2_CFG_LOOP_Msk                   (0x01UL << USART2_CFG_LOOP_Pos)                         /*!< USART2 CFG: LOOP Mask                   */
#define USART2_CFG_IOMODE_Pos                 16                                                      /*!< USART2 CFG: IOMODE Position             */
#define USART2_CFG_IOMODE_Msk                 (0x01UL << USART2_CFG_IOMODE_Pos)                       /*!< USART2 CFG: IOMODE Mask                 */
#define USART2_CFG_OETA_Pos                   18                                                      /*!< USART2 CFG: OETA Position               */
#define USART2_CFG_OETA_Msk                   (0x01UL << USART2_CFG_OETA_Pos)                         /*!< USART2 CFG: OETA Mask                   */
#define USART2_CFG_AUTOADDR_Pos               19                                                      /*!< USART2 CFG: AUTOADDR Position           */
#define USART2_CFG_AUTOADDR_Msk               (0x01UL << USART2_CFG_AUTOADDR_Pos)                     /*!< USART2 CFG: AUTOADDR Mask               */
#define USART2_CFG_OESEL_Pos                  20                                                      /*!< USART2 CFG: OESEL Position              */
#define USART2_CFG_OESEL_Msk                  (0x01UL << USART2_CFG_OESEL_Pos)                        /*!< USART2 CFG: OESEL Mask                  */
#define USART2_CFG_OEPOL_Pos                  21                                                      /*!< USART2 CFG: OEPOL Position              */
#define USART2_CFG_OEPOL_Msk                  (0x01UL << USART2_CFG_OEPOL_Pos)                        /*!< USART2 CFG: OEPOL Mask                  */
#define USART2_CFG_RXPOL_Pos                  22                                                      /*!< USART2 CFG: RXPOL Position              */
#define USART2_CFG_RXPOL_Msk                  (0x01UL << USART2_CFG_RXPOL_Pos)                        /*!< USART2 CFG: RXPOL Mask                  */
#define USART2_CFG_TXPOL_Pos                  23                                                      /*!< USART2 CFG: TXPOL Position              */
#define USART2_CFG_TXPOL_Msk                  (0x01UL << USART2_CFG_TXPOL_Pos)                        /*!< USART2 CFG: TXPOL Mask                  */

/* ---------------------------------  USART2_CTL  --------------------------------- */
#define USART2_CTL_TXBRKEN_Pos                1                                                       /*!< USART2 CTL: TXBRKEN Position            */
#define USART2_CTL_TXBRKEN_Msk                (0x01UL << USART2_CTL_TXBRKEN_Pos)                      /*!< USART2 CTL: TXBRKEN Mask                */
#define USART2_CTL_ADDRDET_Pos                2                                                       /*!< USART2 CTL: ADDRDET Position            */
#define USART2_CTL_ADDRDET_Msk                (0x01UL << USART2_CTL_ADDRDET_Pos)                      /*!< USART2 CTL: ADDRDET Mask                */
#define USART2_CTL_TXDIS_Pos                  6                                                       /*!< USART2 CTL: TXDIS Position              */
#define USART2_CTL_TXDIS_Msk                  (0x01UL << USART2_CTL_TXDIS_Pos)                        /*!< USART2 CTL: TXDIS Mask                  */
#define USART2_CTL_CC_Pos                     8                                                       /*!< USART2 CTL: CC Position                 */
#define USART2_CTL_CC_Msk                     (0x01UL << USART2_CTL_CC_Pos)                           /*!< USART2 CTL: CC Mask                     */
#define USART2_CTL_CLRCCONRX_Pos              9                                                       /*!< USART2 CTL: CLRCCONRX Position          */
#define USART2_CTL_CLRCCONRX_Msk              (0x01UL << USART2_CTL_CLRCCONRX_Pos)                    /*!< USART2 CTL: CLRCCONRX Mask              */
#define USART2_CTL_AUTOBAUD_Pos               16                                                      /*!< USART2 CTL: AUTOBAUD Position           */
#define USART2_CTL_AUTOBAUD_Msk               (0x01UL << USART2_CTL_AUTOBAUD_Pos)                     /*!< USART2 CTL: AUTOBAUD Mask               */

/* ---------------------------------  USART2_STAT  -------------------------------- */
#define USART2_STAT_RXRDY_Pos                 0                                                       /*!< USART2 STAT: RXRDY Position             */
#define USART2_STAT_RXRDY_Msk                 (0x01UL << USART2_STAT_RXRDY_Pos)                       /*!< USART2 STAT: RXRDY Mask                 */
#define USART2_STAT_RXIDLE_Pos                1                                                       /*!< USART2 STAT: RXIDLE Position            */
#define USART2_STAT_RXIDLE_Msk                (0x01UL << USART2_STAT_RXIDLE_Pos)                      /*!< USART2 STAT: RXIDLE Mask                */
#define USART2_STAT_TXRDY_Pos                 2                                                       /*!< USART2 STAT: TXRDY Position             */
#define USART2_STAT_TXRDY_Msk                 (0x01UL << USART2_STAT_TXRDY_Pos)                       /*!< USART2 STAT: TXRDY Mask                 */
#define USART2_STAT_TXIDLE_Pos                3                                                       /*!< USART2 STAT: TXIDLE Position            */
#define USART2_STAT_TXIDLE_Msk                (0x01UL << USART2_STAT_TXIDLE_Pos)                      /*!< USART2 STAT: TXIDLE Mask                */
#define USART2_STAT_CTS_Pos                   4                                                       /*!< USART2 STAT: CTS Position               */
#define USART2_STAT_CTS_Msk                   (0x01UL << USART2_STAT_CTS_Pos)                         /*!< USART2 STAT: CTS Mask                   */
#define USART2_STAT_DELTACTS_Pos              5                                                       /*!< USART2 STAT: DELTACTS Position          */
#define USART2_STAT_DELTACTS_Msk              (0x01UL << USART2_STAT_DELTACTS_Pos)                    /*!< USART2 STAT: DELTACTS Mask              */
#define USART2_STAT_TXDISSTAT_Pos             6                                                       /*!< USART2 STAT: TXDISSTAT Position         */
#define USART2_STAT_TXDISSTAT_Msk             (0x01UL << USART2_STAT_TXDISSTAT_Pos)                   /*!< USART2 STAT: TXDISSTAT Mask             */
#define USART2_STAT_OVERRUNINT_Pos            8                                                       /*!< USART2 STAT: OVERRUNINT Position        */
#define USART2_STAT_OVERRUNINT_Msk            (0x01UL << USART2_STAT_OVERRUNINT_Pos)                  /*!< USART2 STAT: OVERRUNINT Mask            */
#define USART2_STAT_RXBRK_Pos                 10                                                      /*!< USART2 STAT: RXBRK Position             */
#define USART2_STAT_RXBRK_Msk                 (0x01UL << USART2_STAT_RXBRK_Pos)                       /*!< USART2 STAT: RXBRK Mask                 */
#define USART2_STAT_DELTARXBRK_Pos            11                                                      /*!< USART2 STAT: DELTARXBRK Position        */
#define USART2_STAT_DELTARXBRK_Msk            (0x01UL << USART2_STAT_DELTARXBRK_Pos)                  /*!< USART2 STAT: DELTARXBRK Mask            */
#define USART2_STAT_START_Pos                 12                                                      /*!< USART2 STAT: START Position             */
#define USART2_STAT_START_Msk                 (0x01UL << USART2_STAT_START_Pos)                       /*!< USART2 STAT: START Mask                 */
#define USART2_STAT_FRAMERRINT_Pos            13                                                      /*!< USART2 STAT: FRAMERRINT Position        */
#define USART2_STAT_FRAMERRINT_Msk            (0x01UL << USART2_STAT_FRAMERRINT_Pos)                  /*!< USART2 STAT: FRAMERRINT Mask            */
#define USART2_STAT_PARITYERRINT_Pos          14                                                      /*!< USART2 STAT: PARITYERRINT Position      */
#define USART2_STAT_PARITYERRINT_Msk          (0x01UL << USART2_STAT_PARITYERRINT_Pos)                /*!< USART2 STAT: PARITYERRINT Mask          */
#define USART2_STAT_RXNOISEINT_Pos            15                                                      /*!< USART2 STAT: RXNOISEINT Position        */
#define USART2_STAT_RXNOISEINT_Msk            (0x01UL << USART2_STAT_RXNOISEINT_Pos)                  /*!< USART2 STAT: RXNOISEINT Mask            */
#define USART2_STAT_ABERR_Pos                 16                                                      /*!< USART2 STAT: ABERR Position             */
#define USART2_STAT_ABERR_Msk                 (0x01UL << USART2_STAT_ABERR_Pos)                       /*!< USART2 STAT: ABERR Mask                 */

/* -------------------------------  USART2_INTENSET  ------------------------------ */
#define USART2_INTENSET_RXRDYEN_Pos           0                                                       /*!< USART2 INTENSET: RXRDYEN Position       */
#define USART2_INTENSET_RXRDYEN_Msk           (0x01UL << USART2_INTENSET_RXRDYEN_Pos)                 /*!< USART2 INTENSET: RXRDYEN Mask           */
#define USART2_INTENSET_TXRDYEN_Pos           2                                                       /*!< USART2 INTENSET: TXRDYEN Position       */
#define USART2_INTENSET_TXRDYEN_Msk           (0x01UL << USART2_INTENSET_TXRDYEN_Pos)                 /*!< USART2 INTENSET: TXRDYEN Mask           */
#define USART2_INTENSET_TXIDLEEN_Pos          3                                                       /*!< USART2 INTENSET: TXIDLEEN Position      */
#define USART2_INTENSET_TXIDLEEN_Msk          (0x01UL << USART2_INTENSET_TXIDLEEN_Pos)                /*!< USART2 INTENSET: TXIDLEEN Mask          */
#define USART2_INTENSET_DELTACTSEN_Pos        5                                                       /*!< USART2 INTENSET: DELTACTSEN Position    */
#define USART2_INTENSET_DELTACTSEN_Msk        (0x01UL << USART2_INTENSET_DELTACTSEN_Pos)              /*!< USART2 INTENSET: DELTACTSEN Mask        */
#define USART2_INTENSET_TXDISEN_Pos           6                                                       /*!< USART2 INTENSET: TXDISEN Position       */
#define USART2_INTENSET_TXDISEN_Msk           (0x01UL << USART2_INTENSET_TXDISEN_Pos)                 /*!< USART2 INTENSET: TXDISEN Mask           */
#define USART2_INTENSET_OVERRUNEN_Pos         8                                                       /*!< USART2 INTENSET: OVERRUNEN Position     */
#define USART2_INTENSET_OVERRUNEN_Msk         (0x01UL << USART2_INTENSET_OVERRUNEN_Pos)               /*!< USART2 INTENSET: OVERRUNEN Mask         */
#define USART2_INTENSET_DELTARXBRKEN_Pos      11                                                      /*!< USART2 INTENSET: DELTARXBRKEN Position  */
#define USART2_INTENSET_DELTARXBRKEN_Msk      (0x01UL << USART2_INTENSET_DELTARXBRKEN_Pos)            /*!< USART2 INTENSET: DELTARXBRKEN Mask      */
#define USART2_INTENSET_STARTEN_Pos           12                                                      /*!< USART2 INTENSET: STARTEN Position       */
#define USART2_INTENSET_STARTEN_Msk           (0x01UL << USART2_INTENSET_STARTEN_Pos)                 /*!< USART2 INTENSET: STARTEN Mask           */
#define USART2_INTENSET_FRAMERREN_Pos         13                                                      /*!< USART2 INTENSET: FRAMERREN Position     */
#define USART2_INTENSET_FRAMERREN_Msk         (0x01UL << USART2_INTENSET_FRAMERREN_Pos)               /*!< USART2 INTENSET: FRAMERREN Mask         */
#define USART2_INTENSET_PARITYERREN_Pos       14                                                      /*!< USART2 INTENSET: PARITYERREN Position   */
#define USART2_INTENSET_PARITYERREN_Msk       (0x01UL << USART2_INTENSET_PARITYERREN_Pos)             /*!< USART2 INTENSET: PARITYERREN Mask       */
#define USART2_INTENSET_RXNOISEEN_Pos         15                                                      /*!< USART2 INTENSET: RXNOISEEN Position     */
#define USART2_INTENSET_RXNOISEEN_Msk         (0x01UL << USART2_INTENSET_RXNOISEEN_Pos)               /*!< USART2 INTENSET: RXNOISEEN Mask         */
#define USART2_INTENSET_ABERREN_Pos           16                                                      /*!< USART2 INTENSET: ABERREN Position       */
#define USART2_INTENSET_ABERREN_Msk           (0x01UL << USART2_INTENSET_ABERREN_Pos)                 /*!< USART2 INTENSET: ABERREN Mask           */

/* -------------------------------  USART2_INTENCLR  ------------------------------ */
#define USART2_INTENCLR_RXRDYCLR_Pos          0                                                       /*!< USART2 INTENCLR: RXRDYCLR Position      */
#define USART2_INTENCLR_RXRDYCLR_Msk          (0x01UL << USART2_INTENCLR_RXRDYCLR_Pos)                /*!< USART2 INTENCLR: RXRDYCLR Mask          */
#define USART2_INTENCLR_TXRDYCLR_Pos          2                                                       /*!< USART2 INTENCLR: TXRDYCLR Position      */
#define USART2_INTENCLR_TXRDYCLR_Msk          (0x01UL << USART2_INTENCLR_TXRDYCLR_Pos)                /*!< USART2 INTENCLR: TXRDYCLR Mask          */
#define USART2_INTENCLR_TXIDLECLR_Pos         3                                                       /*!< USART2 INTENCLR: TXIDLECLR Position     */
#define USART2_INTENCLR_TXIDLECLR_Msk         (0x01UL << USART2_INTENCLR_TXIDLECLR_Pos)               /*!< USART2 INTENCLR: TXIDLECLR Mask         */
#define USART2_INTENCLR_DELTACTSCLR_Pos       5                                                       /*!< USART2 INTENCLR: DELTACTSCLR Position   */
#define USART2_INTENCLR_DELTACTSCLR_Msk       (0x01UL << USART2_INTENCLR_DELTACTSCLR_Pos)             /*!< USART2 INTENCLR: DELTACTSCLR Mask       */
#define USART2_INTENCLR_TXDISCLR_Pos          6                                                       /*!< USART2 INTENCLR: TXDISCLR Position      */
#define USART2_INTENCLR_TXDISCLR_Msk          (0x01UL << USART2_INTENCLR_TXDISCLR_Pos)                /*!< USART2 INTENCLR: TXDISCLR Mask          */
#define USART2_INTENCLR_OVERRUNCLR_Pos        8                                                       /*!< USART2 INTENCLR: OVERRUNCLR Position    */
#define USART2_INTENCLR_OVERRUNCLR_Msk        (0x01UL << USART2_INTENCLR_OVERRUNCLR_Pos)              /*!< USART2 INTENCLR: OVERRUNCLR Mask        */
#define USART2_INTENCLR_DELTARXBRKCLR_Pos     11                                                      /*!< USART2 INTENCLR: DELTARXBRKCLR Position */
#define USART2_INTENCLR_DELTARXBRKCLR_Msk     (0x01UL << USART2_INTENCLR_DELTARXBRKCLR_Pos)           /*!< USART2 INTENCLR: DELTARXBRKCLR Mask     */
#define USART2_INTENCLR_STARTCLR_Pos          12                                                      /*!< USART2 INTENCLR: STARTCLR Position      */
#define USART2_INTENCLR_STARTCLR_Msk          (0x01UL << USART2_INTENCLR_STARTCLR_Pos)                /*!< USART2 INTENCLR: STARTCLR Mask          */
#define USART2_INTENCLR_FRAMERRCLR_Pos        13                                                      /*!< USART2 INTENCLR: FRAMERRCLR Position    */
#define USART2_INTENCLR_FRAMERRCLR_Msk        (0x01UL << USART2_INTENCLR_FRAMERRCLR_Pos)              /*!< USART2 INTENCLR: FRAMERRCLR Mask        */
#define USART2_INTENCLR_PARITYERRCLR_Pos      14                                                      /*!< USART2 INTENCLR: PARITYERRCLR Position  */
#define USART2_INTENCLR_PARITYERRCLR_Msk      (0x01UL << USART2_INTENCLR_PARITYERRCLR_Pos)            /*!< USART2 INTENCLR: PARITYERRCLR Mask      */
#define USART2_INTENCLR_RXNOISECLR_Pos        15                                                      /*!< USART2 INTENCLR: RXNOISECLR Position    */
#define USART2_INTENCLR_RXNOISECLR_Msk        (0x01UL << USART2_INTENCLR_RXNOISECLR_Pos)              /*!< USART2 INTENCLR: RXNOISECLR Mask        */
#define USART2_INTENCLR_ABERRCLR_Pos          16                                                      /*!< USART2 INTENCLR: ABERRCLR Position      */
#define USART2_INTENCLR_ABERRCLR_Msk          (0x01UL << USART2_INTENCLR_ABERRCLR_Pos)                /*!< USART2 INTENCLR: ABERRCLR Mask          */

/* --------------------------------  USART2_RXDAT  -------------------------------- */
#define USART2_RXDAT_DATA_Pos                 0                                                       /*!< USART2 RXDAT: DATA Position             */
#define USART2_RXDAT_DATA_Msk                 (0x000001ffUL << USART2_RXDAT_DATA_Pos)                 /*!< USART2 RXDAT: DATA Mask                 */

/* ------------------------------  USART2_RXDATSTAT  ------------------------------ */
#define USART2_RXDATSTAT_RXDATA_Pos           0                                                       /*!< USART2 RXDATSTAT: RXDATA Position       */
#define USART2_RXDATSTAT_RXDATA_Msk           (0x000001ffUL << USART2_RXDATSTAT_RXDATA_Pos)           /*!< USART2 RXDATSTAT: RXDATA Mask           */
#define USART2_RXDATSTAT_FRAMERR_Pos          13                                                      /*!< USART2 RXDATSTAT: FRAMERR Position      */
#define USART2_RXDATSTAT_FRAMERR_Msk          (0x01UL << USART2_RXDATSTAT_FRAMERR_Pos)                /*!< USART2 RXDATSTAT: FRAMERR Mask          */
#define USART2_RXDATSTAT_PARITYERR_Pos        14                                                      /*!< USART2 RXDATSTAT: PARITYERR Position    */
#define USART2_RXDATSTAT_PARITYERR_Msk        (0x01UL << USART2_RXDATSTAT_PARITYERR_Pos)              /*!< USART2 RXDATSTAT: PARITYERR Mask        */
#define USART2_RXDATSTAT_RXNOISE_Pos          15                                                      /*!< USART2 RXDATSTAT: RXNOISE Position      */
#define USART2_RXDATSTAT_RXNOISE_Msk          (0x01UL << USART2_RXDATSTAT_RXNOISE_Pos)                /*!< USART2 RXDATSTAT: RXNOISE Mask          */

/* --------------------------------  USART2_TXDAT  -------------------------------- */
#define USART2_TXDAT_TXDATA_Pos               0                                                       /*!< USART2 TXDAT: TXDATA Position           */
#define USART2_TXDAT_TXDATA_Msk               (0x000001ffUL << USART2_TXDAT_TXDATA_Pos)               /*!< USART2 TXDAT: TXDATA Mask               */

/* ---------------------------------  USART2_BRG  --------------------------------- */
#define USART2_BRG_BRGVAL_Pos                 0                                                       /*!< USART2 BRG: BRGVAL Position             */
#define USART2_BRG_BRGVAL_Msk                 (0x0000ffffUL << USART2_BRG_BRGVAL_Pos)                 /*!< USART2 BRG: BRGVAL Mask                 */

/* -------------------------------  USART2_INTSTAT  ------------------------------- */
#define USART2_INTSTAT_RXRDY_Pos              0                                                       /*!< USART2 INTSTAT: RXRDY Position          */
#define USART2_INTSTAT_RXRDY_Msk              (0x01UL << USART2_INTSTAT_RXRDY_Pos)                    /*!< USART2 INTSTAT: RXRDY Mask              */
#define USART2_INTSTAT_TXRDY_Pos              2                                                       /*!< USART2 INTSTAT: TXRDY Position          */
#define USART2_INTSTAT_TXRDY_Msk              (0x01UL << USART2_INTSTAT_TXRDY_Pos)                    /*!< USART2 INTSTAT: TXRDY Mask              */
#define USART2_INTSTAT_TXIDLE_Pos             3                                                       /*!< USART2 INTSTAT: TXIDLE Position         */
#define USART2_INTSTAT_TXIDLE_Msk             (0x01UL << USART2_INTSTAT_TXIDLE_Pos)                   /*!< USART2 INTSTAT: TXIDLE Mask             */
#define USART2_INTSTAT_DELTACTS_Pos           5                                                       /*!< USART2 INTSTAT: DELTACTS Position       */
#define USART2_INTSTAT_DELTACTS_Msk           (0x01UL << USART2_INTSTAT_DELTACTS_Pos)                 /*!< USART2 INTSTAT: DELTACTS Mask           */
#define USART2_INTSTAT_TXDISINT_Pos           6                                                       /*!< USART2 INTSTAT: TXDISINT Position       */
#define USART2_INTSTAT_TXDISINT_Msk           (0x01UL << USART2_INTSTAT_TXDISINT_Pos)                 /*!< USART2 INTSTAT: TXDISINT Mask           */
#define USART2_INTSTAT_OVERRUNINT_Pos         8                                                       /*!< USART2 INTSTAT: OVERRUNINT Position     */
#define USART2_INTSTAT_OVERRUNINT_Msk         (0x01UL << USART2_INTSTAT_OVERRUNINT_Pos)               /*!< USART2 INTSTAT: OVERRUNINT Mask         */
#define USART2_INTSTAT_DELTARXBRK_Pos         11                                                      /*!< USART2 INTSTAT: DELTARXBRK Position     */
#define USART2_INTSTAT_DELTARXBRK_Msk         (0x01UL << USART2_INTSTAT_DELTARXBRK_Pos)               /*!< USART2 INTSTAT: DELTARXBRK Mask         */
#define USART2_INTSTAT_START_Pos              12                                                      /*!< USART2 INTSTAT: START Position          */
#define USART2_INTSTAT_START_Msk              (0x01UL << USART2_INTSTAT_START_Pos)                    /*!< USART2 INTSTAT: START Mask              */
#define USART2_INTSTAT_FRAMERRINT_Pos         13                                                      /*!< USART2 INTSTAT: FRAMERRINT Position     */
#define USART2_INTSTAT_FRAMERRINT_Msk         (0x01UL << USART2_INTSTAT_FRAMERRINT_Pos)               /*!< USART2 INTSTAT: FRAMERRINT Mask         */
#define USART2_INTSTAT_PARITYERRINT_Pos       14                                                      /*!< USART2 INTSTAT: PARITYERRINT Position   */
#define USART2_INTSTAT_PARITYERRINT_Msk       (0x01UL << USART2_INTSTAT_PARITYERRINT_Pos)             /*!< USART2 INTSTAT: PARITYERRINT Mask       */
#define USART2_INTSTAT_RXNOISEINT_Pos         15                                                      /*!< USART2 INTSTAT: RXNOISEINT Position     */
#define USART2_INTSTAT_RXNOISEINT_Msk         (0x01UL << USART2_INTSTAT_RXNOISEINT_Pos)               /*!< USART2 INTSTAT: RXNOISEINT Mask         */
#define USART2_INTSTAT_ABERRINT_Pos           16                                                      /*!< USART2 INTSTAT: ABERRINT Position       */
#define USART2_INTSTAT_ABERRINT_Msk           (0x01UL << USART2_INTSTAT_ABERRINT_Pos)                 /*!< USART2 INTSTAT: ABERRINT Mask           */

/* ---------------------------------  USART2_OSR  --------------------------------- */
#define USART2_OSR_OSRVAL_Pos                 0                                                       /*!< USART2 OSR: OSRVAL Position             */
#define USART2_OSR_OSRVAL_Msk                 (0x0fUL << USART2_OSR_OSRVAL_Pos)                       /*!< USART2 OSR: OSRVAL Mask                 */

/* ---------------------------------  USART2_ADDR  -------------------------------- */
#define USART2_ADDR_ADDRESS_Pos               0                                                       /*!< USART2 ADDR: ADDRESS Position           */
#define USART2_ADDR_ADDRESS_Msk               (0x000000ffUL << USART2_ADDR_ADDRESS_Pos)               /*!< USART2 ADDR: ADDRESS Mask               */


/* ================================================================================ */
/* ================         struct 'USART3' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  USART3_CFG  --------------------------------- */
#define USART3_CFG_ENABLE_Pos                 0                                                       /*!< USART3 CFG: ENABLE Position             */
#define USART3_CFG_ENABLE_Msk                 (0x01UL << USART3_CFG_ENABLE_Pos)                       /*!< USART3 CFG: ENABLE Mask                 */
#define USART3_CFG_DATALEN_Pos                2                                                       /*!< USART3 CFG: DATALEN Position            */
#define USART3_CFG_DATALEN_Msk                (0x03UL << USART3_CFG_DATALEN_Pos)                      /*!< USART3 CFG: DATALEN Mask                */
#define USART3_CFG_PARITYSEL_Pos              4                                                       /*!< USART3 CFG: PARITYSEL Position          */
#define USART3_CFG_PARITYSEL_Msk              (0x03UL << USART3_CFG_PARITYSEL_Pos)                    /*!< USART3 CFG: PARITYSEL Mask              */
#define USART3_CFG_STOPLEN_Pos                6                                                       /*!< USART3 CFG: STOPLEN Position            */
#define USART3_CFG_STOPLEN_Msk                (0x01UL << USART3_CFG_STOPLEN_Pos)                      /*!< USART3 CFG: STOPLEN Mask                */
#define USART3_CFG_MODE32K_Pos                7                                                       /*!< USART3 CFG: MODE32K Position            */
#define USART3_CFG_MODE32K_Msk                (0x01UL << USART3_CFG_MODE32K_Pos)                      /*!< USART3 CFG: MODE32K Mask                */
#define USART3_CFG_LINMODE_Pos                8                                                       /*!< USART3 CFG: LINMODE Position            */
#define USART3_CFG_LINMODE_Msk                (0x01UL << USART3_CFG_LINMODE_Pos)                      /*!< USART3 CFG: LINMODE Mask                */
#define USART3_CFG_CTSEN_Pos                  9                                                       /*!< USART3 CFG: CTSEN Position              */
#define USART3_CFG_CTSEN_Msk                  (0x01UL << USART3_CFG_CTSEN_Pos)                        /*!< USART3 CFG: CTSEN Mask                  */
#define USART3_CFG_SYNCEN_Pos                 11                                                      /*!< USART3 CFG: SYNCEN Position             */
#define USART3_CFG_SYNCEN_Msk                 (0x01UL << USART3_CFG_SYNCEN_Pos)                       /*!< USART3 CFG: SYNCEN Mask                 */
#define USART3_CFG_CLKPOL_Pos                 12                                                      /*!< USART3 CFG: CLKPOL Position             */
#define USART3_CFG_CLKPOL_Msk                 (0x01UL << USART3_CFG_CLKPOL_Pos)                       /*!< USART3 CFG: CLKPOL Mask                 */
#define USART3_CFG_SYNCMST_Pos                14                                                      /*!< USART3 CFG: SYNCMST Position            */
#define USART3_CFG_SYNCMST_Msk                (0x01UL << USART3_CFG_SYNCMST_Pos)                      /*!< USART3 CFG: SYNCMST Mask                */
#define USART3_CFG_LOOP_Pos                   15                                                      /*!< USART3 CFG: LOOP Position               */
#define USART3_CFG_LOOP_Msk                   (0x01UL << USART3_CFG_LOOP_Pos)                         /*!< USART3 CFG: LOOP Mask                   */
#define USART3_CFG_IOMODE_Pos                 16                                                      /*!< USART3 CFG: IOMODE Position             */
#define USART3_CFG_IOMODE_Msk                 (0x01UL << USART3_CFG_IOMODE_Pos)                       /*!< USART3 CFG: IOMODE Mask                 */
#define USART3_CFG_OETA_Pos                   18                                                      /*!< USART3 CFG: OETA Position               */
#define USART3_CFG_OETA_Msk                   (0x01UL << USART3_CFG_OETA_Pos)                         /*!< USART3 CFG: OETA Mask                   */
#define USART3_CFG_AUTOADDR_Pos               19                                                      /*!< USART3 CFG: AUTOADDR Position           */
#define USART3_CFG_AUTOADDR_Msk               (0x01UL << USART3_CFG_AUTOADDR_Pos)                     /*!< USART3 CFG: AUTOADDR Mask               */
#define USART3_CFG_OESEL_Pos                  20                                                      /*!< USART3 CFG: OESEL Position              */
#define USART3_CFG_OESEL_Msk                  (0x01UL << USART3_CFG_OESEL_Pos)                        /*!< USART3 CFG: OESEL Mask                  */
#define USART3_CFG_OEPOL_Pos                  21                                                      /*!< USART3 CFG: OEPOL Position              */
#define USART3_CFG_OEPOL_Msk                  (0x01UL << USART3_CFG_OEPOL_Pos)                        /*!< USART3 CFG: OEPOL Mask                  */
#define USART3_CFG_RXPOL_Pos                  22                                                      /*!< USART3 CFG: RXPOL Position              */
#define USART3_CFG_RXPOL_Msk                  (0x01UL << USART3_CFG_RXPOL_Pos)                        /*!< USART3 CFG: RXPOL Mask                  */
#define USART3_CFG_TXPOL_Pos                  23                                                      /*!< USART3 CFG: TXPOL Position              */
#define USART3_CFG_TXPOL_Msk                  (0x01UL << USART3_CFG_TXPOL_Pos)                        /*!< USART3 CFG: TXPOL Mask                  */

/* ---------------------------------  USART3_CTL  --------------------------------- */
#define USART3_CTL_TXBRKEN_Pos                1                                                       /*!< USART3 CTL: TXBRKEN Position            */
#define USART3_CTL_TXBRKEN_Msk                (0x01UL << USART3_CTL_TXBRKEN_Pos)                      /*!< USART3 CTL: TXBRKEN Mask                */
#define USART3_CTL_ADDRDET_Pos                2                                                       /*!< USART3 CTL: ADDRDET Position            */
#define USART3_CTL_ADDRDET_Msk                (0x01UL << USART3_CTL_ADDRDET_Pos)                      /*!< USART3 CTL: ADDRDET Mask                */
#define USART3_CTL_TXDIS_Pos                  6                                                       /*!< USART3 CTL: TXDIS Position              */
#define USART3_CTL_TXDIS_Msk                  (0x01UL << USART3_CTL_TXDIS_Pos)                        /*!< USART3 CTL: TXDIS Mask                  */
#define USART3_CTL_CC_Pos                     8                                                       /*!< USART3 CTL: CC Position                 */
#define USART3_CTL_CC_Msk                     (0x01UL << USART3_CTL_CC_Pos)                           /*!< USART3 CTL: CC Mask                     */
#define USART3_CTL_CLRCCONRX_Pos              9                                                       /*!< USART3 CTL: CLRCCONRX Position          */
#define USART3_CTL_CLRCCONRX_Msk              (0x01UL << USART3_CTL_CLRCCONRX_Pos)                    /*!< USART3 CTL: CLRCCONRX Mask              */
#define USART3_CTL_AUTOBAUD_Pos               16                                                      /*!< USART3 CTL: AUTOBAUD Position           */
#define USART3_CTL_AUTOBAUD_Msk               (0x01UL << USART3_CTL_AUTOBAUD_Pos)                     /*!< USART3 CTL: AUTOBAUD Mask               */

/* ---------------------------------  USART3_STAT  -------------------------------- */
#define USART3_STAT_RXRDY_Pos                 0                                                       /*!< USART3 STAT: RXRDY Position             */
#define USART3_STAT_RXRDY_Msk                 (0x01UL << USART3_STAT_RXRDY_Pos)                       /*!< USART3 STAT: RXRDY Mask                 */
#define USART3_STAT_RXIDLE_Pos                1                                                       /*!< USART3 STAT: RXIDLE Position            */
#define USART3_STAT_RXIDLE_Msk                (0x01UL << USART3_STAT_RXIDLE_Pos)                      /*!< USART3 STAT: RXIDLE Mask                */
#define USART3_STAT_TXRDY_Pos                 2                                                       /*!< USART3 STAT: TXRDY Position             */
#define USART3_STAT_TXRDY_Msk                 (0x01UL << USART3_STAT_TXRDY_Pos)                       /*!< USART3 STAT: TXRDY Mask                 */
#define USART3_STAT_TXIDLE_Pos                3                                                       /*!< USART3 STAT: TXIDLE Position            */
#define USART3_STAT_TXIDLE_Msk                (0x01UL << USART3_STAT_TXIDLE_Pos)                      /*!< USART3 STAT: TXIDLE Mask                */
#define USART3_STAT_CTS_Pos                   4                                                       /*!< USART3 STAT: CTS Position               */
#define USART3_STAT_CTS_Msk                   (0x01UL << USART3_STAT_CTS_Pos)                         /*!< USART3 STAT: CTS Mask                   */
#define USART3_STAT_DELTACTS_Pos              5                                                       /*!< USART3 STAT: DELTACTS Position          */
#define USART3_STAT_DELTACTS_Msk              (0x01UL << USART3_STAT_DELTACTS_Pos)                    /*!< USART3 STAT: DELTACTS Mask              */
#define USART3_STAT_TXDISSTAT_Pos             6                                                       /*!< USART3 STAT: TXDISSTAT Position         */
#define USART3_STAT_TXDISSTAT_Msk             (0x01UL << USART3_STAT_TXDISSTAT_Pos)                   /*!< USART3 STAT: TXDISSTAT Mask             */
#define USART3_STAT_OVERRUNINT_Pos            8                                                       /*!< USART3 STAT: OVERRUNINT Position        */
#define USART3_STAT_OVERRUNINT_Msk            (0x01UL << USART3_STAT_OVERRUNINT_Pos)                  /*!< USART3 STAT: OVERRUNINT Mask            */
#define USART3_STAT_RXBRK_Pos                 10                                                      /*!< USART3 STAT: RXBRK Position             */
#define USART3_STAT_RXBRK_Msk                 (0x01UL << USART3_STAT_RXBRK_Pos)                       /*!< USART3 STAT: RXBRK Mask                 */
#define USART3_STAT_DELTARXBRK_Pos            11                                                      /*!< USART3 STAT: DELTARXBRK Position        */
#define USART3_STAT_DELTARXBRK_Msk            (0x01UL << USART3_STAT_DELTARXBRK_Pos)                  /*!< USART3 STAT: DELTARXBRK Mask            */
#define USART3_STAT_START_Pos                 12                                                      /*!< USART3 STAT: START Position             */
#define USART3_STAT_START_Msk                 (0x01UL << USART3_STAT_START_Pos)                       /*!< USART3 STAT: START Mask                 */
#define USART3_STAT_FRAMERRINT_Pos            13                                                      /*!< USART3 STAT: FRAMERRINT Position        */
#define USART3_STAT_FRAMERRINT_Msk            (0x01UL << USART3_STAT_FRAMERRINT_Pos)                  /*!< USART3 STAT: FRAMERRINT Mask            */
#define USART3_STAT_PARITYERRINT_Pos          14                                                      /*!< USART3 STAT: PARITYERRINT Position      */
#define USART3_STAT_PARITYERRINT_Msk          (0x01UL << USART3_STAT_PARITYERRINT_Pos)                /*!< USART3 STAT: PARITYERRINT Mask          */
#define USART3_STAT_RXNOISEINT_Pos            15                                                      /*!< USART3 STAT: RXNOISEINT Position        */
#define USART3_STAT_RXNOISEINT_Msk            (0x01UL << USART3_STAT_RXNOISEINT_Pos)                  /*!< USART3 STAT: RXNOISEINT Mask            */
#define USART3_STAT_ABERR_Pos                 16                                                      /*!< USART3 STAT: ABERR Position             */
#define USART3_STAT_ABERR_Msk                 (0x01UL << USART3_STAT_ABERR_Pos)                       /*!< USART3 STAT: ABERR Mask                 */

/* -------------------------------  USART3_INTENSET  ------------------------------ */
#define USART3_INTENSET_RXRDYEN_Pos           0                                                       /*!< USART3 INTENSET: RXRDYEN Position       */
#define USART3_INTENSET_RXRDYEN_Msk           (0x01UL << USART3_INTENSET_RXRDYEN_Pos)                 /*!< USART3 INTENSET: RXRDYEN Mask           */
#define USART3_INTENSET_TXRDYEN_Pos           2                                                       /*!< USART3 INTENSET: TXRDYEN Position       */
#define USART3_INTENSET_TXRDYEN_Msk           (0x01UL << USART3_INTENSET_TXRDYEN_Pos)                 /*!< USART3 INTENSET: TXRDYEN Mask           */
#define USART3_INTENSET_TXIDLEEN_Pos          3                                                       /*!< USART3 INTENSET: TXIDLEEN Position      */
#define USART3_INTENSET_TXIDLEEN_Msk          (0x01UL << USART3_INTENSET_TXIDLEEN_Pos)                /*!< USART3 INTENSET: TXIDLEEN Mask          */
#define USART3_INTENSET_DELTACTSEN_Pos        5                                                       /*!< USART3 INTENSET: DELTACTSEN Position    */
#define USART3_INTENSET_DELTACTSEN_Msk        (0x01UL << USART3_INTENSET_DELTACTSEN_Pos)              /*!< USART3 INTENSET: DELTACTSEN Mask        */
#define USART3_INTENSET_TXDISEN_Pos           6                                                       /*!< USART3 INTENSET: TXDISEN Position       */
#define USART3_INTENSET_TXDISEN_Msk           (0x01UL << USART3_INTENSET_TXDISEN_Pos)                 /*!< USART3 INTENSET: TXDISEN Mask           */
#define USART3_INTENSET_OVERRUNEN_Pos         8                                                       /*!< USART3 INTENSET: OVERRUNEN Position     */
#define USART3_INTENSET_OVERRUNEN_Msk         (0x01UL << USART3_INTENSET_OVERRUNEN_Pos)               /*!< USART3 INTENSET: OVERRUNEN Mask         */
#define USART3_INTENSET_DELTARXBRKEN_Pos      11                                                      /*!< USART3 INTENSET: DELTARXBRKEN Position  */
#define USART3_INTENSET_DELTARXBRKEN_Msk      (0x01UL << USART3_INTENSET_DELTARXBRKEN_Pos)            /*!< USART3 INTENSET: DELTARXBRKEN Mask      */
#define USART3_INTENSET_STARTEN_Pos           12                                                      /*!< USART3 INTENSET: STARTEN Position       */
#define USART3_INTENSET_STARTEN_Msk           (0x01UL << USART3_INTENSET_STARTEN_Pos)                 /*!< USART3 INTENSET: STARTEN Mask           */
#define USART3_INTENSET_FRAMERREN_Pos         13                                                      /*!< USART3 INTENSET: FRAMERREN Position     */
#define USART3_INTENSET_FRAMERREN_Msk         (0x01UL << USART3_INTENSET_FRAMERREN_Pos)               /*!< USART3 INTENSET: FRAMERREN Mask         */
#define USART3_INTENSET_PARITYERREN_Pos       14                                                      /*!< USART3 INTENSET: PARITYERREN Position   */
#define USART3_INTENSET_PARITYERREN_Msk       (0x01UL << USART3_INTENSET_PARITYERREN_Pos)             /*!< USART3 INTENSET: PARITYERREN Mask       */
#define USART3_INTENSET_RXNOISEEN_Pos         15                                                      /*!< USART3 INTENSET: RXNOISEEN Position     */
#define USART3_INTENSET_RXNOISEEN_Msk         (0x01UL << USART3_INTENSET_RXNOISEEN_Pos)               /*!< USART3 INTENSET: RXNOISEEN Mask         */
#define USART3_INTENSET_ABERREN_Pos           16                                                      /*!< USART3 INTENSET: ABERREN Position       */
#define USART3_INTENSET_ABERREN_Msk           (0x01UL << USART3_INTENSET_ABERREN_Pos)                 /*!< USART3 INTENSET: ABERREN Mask           */

/* -------------------------------  USART3_INTENCLR  ------------------------------ */
#define USART3_INTENCLR_RXRDYCLR_Pos          0                                                       /*!< USART3 INTENCLR: RXRDYCLR Position      */
#define USART3_INTENCLR_RXRDYCLR_Msk          (0x01UL << USART3_INTENCLR_RXRDYCLR_Pos)                /*!< USART3 INTENCLR: RXRDYCLR Mask          */
#define USART3_INTENCLR_TXRDYCLR_Pos          2                                                       /*!< USART3 INTENCLR: TXRDYCLR Position      */
#define USART3_INTENCLR_TXRDYCLR_Msk          (0x01UL << USART3_INTENCLR_TXRDYCLR_Pos)                /*!< USART3 INTENCLR: TXRDYCLR Mask          */
#define USART3_INTENCLR_TXIDLECLR_Pos         3                                                       /*!< USART3 INTENCLR: TXIDLECLR Position     */
#define USART3_INTENCLR_TXIDLECLR_Msk         (0x01UL << USART3_INTENCLR_TXIDLECLR_Pos)               /*!< USART3 INTENCLR: TXIDLECLR Mask         */
#define USART3_INTENCLR_DELTACTSCLR_Pos       5                                                       /*!< USART3 INTENCLR: DELTACTSCLR Position   */
#define USART3_INTENCLR_DELTACTSCLR_Msk       (0x01UL << USART3_INTENCLR_DELTACTSCLR_Pos)             /*!< USART3 INTENCLR: DELTACTSCLR Mask       */
#define USART3_INTENCLR_TXDISCLR_Pos          6                                                       /*!< USART3 INTENCLR: TXDISCLR Position      */
#define USART3_INTENCLR_TXDISCLR_Msk          (0x01UL << USART3_INTENCLR_TXDISCLR_Pos)                /*!< USART3 INTENCLR: TXDISCLR Mask          */
#define USART3_INTENCLR_OVERRUNCLR_Pos        8                                                       /*!< USART3 INTENCLR: OVERRUNCLR Position    */
#define USART3_INTENCLR_OVERRUNCLR_Msk        (0x01UL << USART3_INTENCLR_OVERRUNCLR_Pos)              /*!< USART3 INTENCLR: OVERRUNCLR Mask        */
#define USART3_INTENCLR_DELTARXBRKCLR_Pos     11                                                      /*!< USART3 INTENCLR: DELTARXBRKCLR Position */
#define USART3_INTENCLR_DELTARXBRKCLR_Msk     (0x01UL << USART3_INTENCLR_DELTARXBRKCLR_Pos)           /*!< USART3 INTENCLR: DELTARXBRKCLR Mask     */
#define USART3_INTENCLR_STARTCLR_Pos          12                                                      /*!< USART3 INTENCLR: STARTCLR Position      */
#define USART3_INTENCLR_STARTCLR_Msk          (0x01UL << USART3_INTENCLR_STARTCLR_Pos)                /*!< USART3 INTENCLR: STARTCLR Mask          */
#define USART3_INTENCLR_FRAMERRCLR_Pos        13                                                      /*!< USART3 INTENCLR: FRAMERRCLR Position    */
#define USART3_INTENCLR_FRAMERRCLR_Msk        (0x01UL << USART3_INTENCLR_FRAMERRCLR_Pos)              /*!< USART3 INTENCLR: FRAMERRCLR Mask        */
#define USART3_INTENCLR_PARITYERRCLR_Pos      14                                                      /*!< USART3 INTENCLR: PARITYERRCLR Position  */
#define USART3_INTENCLR_PARITYERRCLR_Msk      (0x01UL << USART3_INTENCLR_PARITYERRCLR_Pos)            /*!< USART3 INTENCLR: PARITYERRCLR Mask      */
#define USART3_INTENCLR_RXNOISECLR_Pos        15                                                      /*!< USART3 INTENCLR: RXNOISECLR Position    */
#define USART3_INTENCLR_RXNOISECLR_Msk        (0x01UL << USART3_INTENCLR_RXNOISECLR_Pos)              /*!< USART3 INTENCLR: RXNOISECLR Mask        */
#define USART3_INTENCLR_ABERRCLR_Pos          16                                                      /*!< USART3 INTENCLR: ABERRCLR Position      */
#define USART3_INTENCLR_ABERRCLR_Msk          (0x01UL << USART3_INTENCLR_ABERRCLR_Pos)                /*!< USART3 INTENCLR: ABERRCLR Mask          */

/* --------------------------------  USART3_RXDAT  -------------------------------- */
#define USART3_RXDAT_DATA_Pos                 0                                                       /*!< USART3 RXDAT: DATA Position             */
#define USART3_RXDAT_DATA_Msk                 (0x000001ffUL << USART3_RXDAT_DATA_Pos)                 /*!< USART3 RXDAT: DATA Mask                 */

/* ------------------------------  USART3_RXDATSTAT  ------------------------------ */
#define USART3_RXDATSTAT_RXDATA_Pos           0                                                       /*!< USART3 RXDATSTAT: RXDATA Position       */
#define USART3_RXDATSTAT_RXDATA_Msk           (0x000001ffUL << USART3_RXDATSTAT_RXDATA_Pos)           /*!< USART3 RXDATSTAT: RXDATA Mask           */
#define USART3_RXDATSTAT_FRAMERR_Pos          13                                                      /*!< USART3 RXDATSTAT: FRAMERR Position      */
#define USART3_RXDATSTAT_FRAMERR_Msk          (0x01UL << USART3_RXDATSTAT_FRAMERR_Pos)                /*!< USART3 RXDATSTAT: FRAMERR Mask          */
#define USART3_RXDATSTAT_PARITYERR_Pos        14                                                      /*!< USART3 RXDATSTAT: PARITYERR Position    */
#define USART3_RXDATSTAT_PARITYERR_Msk        (0x01UL << USART3_RXDATSTAT_PARITYERR_Pos)              /*!< USART3 RXDATSTAT: PARITYERR Mask        */
#define USART3_RXDATSTAT_RXNOISE_Pos          15                                                      /*!< USART3 RXDATSTAT: RXNOISE Position      */
#define USART3_RXDATSTAT_RXNOISE_Msk          (0x01UL << USART3_RXDATSTAT_RXNOISE_Pos)                /*!< USART3 RXDATSTAT: RXNOISE Mask          */

/* --------------------------------  USART3_TXDAT  -------------------------------- */
#define USART3_TXDAT_TXDATA_Pos               0                                                       /*!< USART3 TXDAT: TXDATA Position           */
#define USART3_TXDAT_TXDATA_Msk               (0x000001ffUL << USART3_TXDAT_TXDATA_Pos)               /*!< USART3 TXDAT: TXDATA Mask               */

/* ---------------------------------  USART3_BRG  --------------------------------- */
#define USART3_BRG_BRGVAL_Pos                 0                                                       /*!< USART3 BRG: BRGVAL Position             */
#define USART3_BRG_BRGVAL_Msk                 (0x0000ffffUL << USART3_BRG_BRGVAL_Pos)                 /*!< USART3 BRG: BRGVAL Mask                 */

/* -------------------------------  USART3_INTSTAT  ------------------------------- */
#define USART3_INTSTAT_RXRDY_Pos              0                                                       /*!< USART3 INTSTAT: RXRDY Position          */
#define USART3_INTSTAT_RXRDY_Msk              (0x01UL << USART3_INTSTAT_RXRDY_Pos)                    /*!< USART3 INTSTAT: RXRDY Mask              */
#define USART3_INTSTAT_TXRDY_Pos              2                                                       /*!< USART3 INTSTAT: TXRDY Position          */
#define USART3_INTSTAT_TXRDY_Msk              (0x01UL << USART3_INTSTAT_TXRDY_Pos)                    /*!< USART3 INTSTAT: TXRDY Mask              */
#define USART3_INTSTAT_TXIDLE_Pos             3                                                       /*!< USART3 INTSTAT: TXIDLE Position         */
#define USART3_INTSTAT_TXIDLE_Msk             (0x01UL << USART3_INTSTAT_TXIDLE_Pos)                   /*!< USART3 INTSTAT: TXIDLE Mask             */
#define USART3_INTSTAT_DELTACTS_Pos           5                                                       /*!< USART3 INTSTAT: DELTACTS Position       */
#define USART3_INTSTAT_DELTACTS_Msk           (0x01UL << USART3_INTSTAT_DELTACTS_Pos)                 /*!< USART3 INTSTAT: DELTACTS Mask           */
#define USART3_INTSTAT_TXDISINT_Pos           6                                                       /*!< USART3 INTSTAT: TXDISINT Position       */
#define USART3_INTSTAT_TXDISINT_Msk           (0x01UL << USART3_INTSTAT_TXDISINT_Pos)                 /*!< USART3 INTSTAT: TXDISINT Mask           */
#define USART3_INTSTAT_OVERRUNINT_Pos         8                                                       /*!< USART3 INTSTAT: OVERRUNINT Position     */
#define USART3_INTSTAT_OVERRUNINT_Msk         (0x01UL << USART3_INTSTAT_OVERRUNINT_Pos)               /*!< USART3 INTSTAT: OVERRUNINT Mask         */
#define USART3_INTSTAT_DELTARXBRK_Pos         11                                                      /*!< USART3 INTSTAT: DELTARXBRK Position     */
#define USART3_INTSTAT_DELTARXBRK_Msk         (0x01UL << USART3_INTSTAT_DELTARXBRK_Pos)               /*!< USART3 INTSTAT: DELTARXBRK Mask         */
#define USART3_INTSTAT_START_Pos              12                                                      /*!< USART3 INTSTAT: START Position          */
#define USART3_INTSTAT_START_Msk              (0x01UL << USART3_INTSTAT_START_Pos)                    /*!< USART3 INTSTAT: START Mask              */
#define USART3_INTSTAT_FRAMERRINT_Pos         13                                                      /*!< USART3 INTSTAT: FRAMERRINT Position     */
#define USART3_INTSTAT_FRAMERRINT_Msk         (0x01UL << USART3_INTSTAT_FRAMERRINT_Pos)               /*!< USART3 INTSTAT: FRAMERRINT Mask         */
#define USART3_INTSTAT_PARITYERRINT_Pos       14                                                      /*!< USART3 INTSTAT: PARITYERRINT Position   */
#define USART3_INTSTAT_PARITYERRINT_Msk       (0x01UL << USART3_INTSTAT_PARITYERRINT_Pos)             /*!< USART3 INTSTAT: PARITYERRINT Mask       */
#define USART3_INTSTAT_RXNOISEINT_Pos         15                                                      /*!< USART3 INTSTAT: RXNOISEINT Position     */
#define USART3_INTSTAT_RXNOISEINT_Msk         (0x01UL << USART3_INTSTAT_RXNOISEINT_Pos)               /*!< USART3 INTSTAT: RXNOISEINT Mask         */
#define USART3_INTSTAT_ABERRINT_Pos           16                                                      /*!< USART3 INTSTAT: ABERRINT Position       */
#define USART3_INTSTAT_ABERRINT_Msk           (0x01UL << USART3_INTSTAT_ABERRINT_Pos)                 /*!< USART3 INTSTAT: ABERRINT Mask           */

/* ---------------------------------  USART3_OSR  --------------------------------- */
#define USART3_OSR_OSRVAL_Pos                 0                                                       /*!< USART3 OSR: OSRVAL Position             */
#define USART3_OSR_OSRVAL_Msk                 (0x0fUL << USART3_OSR_OSRVAL_Pos)                       /*!< USART3 OSR: OSRVAL Mask                 */

/* ---------------------------------  USART3_ADDR  -------------------------------- */
#define USART3_ADDR_ADDRESS_Pos               0                                                       /*!< USART3 ADDR: ADDRESS Position           */
#define USART3_ADDR_ADDRESS_Msk               (0x000000ffUL << USART3_ADDR_ADDRESS_Pos)               /*!< USART3 ADDR: ADDRESS Mask               */


/* ================================================================================ */
/* ================          struct 'I2C0' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  I2C0_CFG  ---------------------------------- */
#define I2C0_CFG_MSTEN_Pos                    0                                                       /*!< I2C0 CFG: MSTEN Position                */
#define I2C0_CFG_MSTEN_Msk                    (0x01UL << I2C0_CFG_MSTEN_Pos)                          /*!< I2C0 CFG: MSTEN Mask                    */
#define I2C0_CFG_SLVEN_Pos                    1                                                       /*!< I2C0 CFG: SLVEN Position                */
#define I2C0_CFG_SLVEN_Msk                    (0x01UL << I2C0_CFG_SLVEN_Pos)                          /*!< I2C0 CFG: SLVEN Mask                    */
#define I2C0_CFG_MONEN_Pos                    2                                                       /*!< I2C0 CFG: MONEN Position                */
#define I2C0_CFG_MONEN_Msk                    (0x01UL << I2C0_CFG_MONEN_Pos)                          /*!< I2C0 CFG: MONEN Mask                    */
#define I2C0_CFG_TIMEOUTEN_Pos                3                                                       /*!< I2C0 CFG: TIMEOUTEN Position            */
#define I2C0_CFG_TIMEOUTEN_Msk                (0x01UL << I2C0_CFG_TIMEOUTEN_Pos)                      /*!< I2C0 CFG: TIMEOUTEN Mask                */
#define I2C0_CFG_MONCLKSTR_Pos                4                                                       /*!< I2C0 CFG: MONCLKSTR Position            */
#define I2C0_CFG_MONCLKSTR_Msk                (0x01UL << I2C0_CFG_MONCLKSTR_Pos)                      /*!< I2C0 CFG: MONCLKSTR Mask                */
#define I2C0_CFG_HSCAPABLE_Pos                5                                                       /*!< I2C0 CFG: HSCAPABLE Position            */
#define I2C0_CFG_HSCAPABLE_Msk                (0x01UL << I2C0_CFG_HSCAPABLE_Pos)                      /*!< I2C0 CFG: HSCAPABLE Mask                */

/* ----------------------------------  I2C0_STAT  --------------------------------- */
#define I2C0_STAT_MSTPENDING_Pos              0                                                       /*!< I2C0 STAT: MSTPENDING Position          */
#define I2C0_STAT_MSTPENDING_Msk              (0x01UL << I2C0_STAT_MSTPENDING_Pos)                    /*!< I2C0 STAT: MSTPENDING Mask              */
#define I2C0_STAT_MSTSTATE_Pos                1                                                       /*!< I2C0 STAT: MSTSTATE Position            */
#define I2C0_STAT_MSTSTATE_Msk                (0x07UL << I2C0_STAT_MSTSTATE_Pos)                      /*!< I2C0 STAT: MSTSTATE Mask                */
#define I2C0_STAT_MSTARBLOSS_Pos              4                                                       /*!< I2C0 STAT: MSTARBLOSS Position          */
#define I2C0_STAT_MSTARBLOSS_Msk              (0x01UL << I2C0_STAT_MSTARBLOSS_Pos)                    /*!< I2C0 STAT: MSTARBLOSS Mask              */
#define I2C0_STAT_MSTSTSTPERR_Pos             6                                                       /*!< I2C0 STAT: MSTSTSTPERR Position         */
#define I2C0_STAT_MSTSTSTPERR_Msk             (0x01UL << I2C0_STAT_MSTSTSTPERR_Pos)                   /*!< I2C0 STAT: MSTSTSTPERR Mask             */
#define I2C0_STAT_SLVPENDING_Pos              8                                                       /*!< I2C0 STAT: SLVPENDING Position          */
#define I2C0_STAT_SLVPENDING_Msk              (0x01UL << I2C0_STAT_SLVPENDING_Pos)                    /*!< I2C0 STAT: SLVPENDING Mask              */
#define I2C0_STAT_SLVSTATE_Pos                9                                                       /*!< I2C0 STAT: SLVSTATE Position            */
#define I2C0_STAT_SLVSTATE_Msk                (0x03UL << I2C0_STAT_SLVSTATE_Pos)                      /*!< I2C0 STAT: SLVSTATE Mask                */
#define I2C0_STAT_SLVNOTSTR_Pos               11                                                      /*!< I2C0 STAT: SLVNOTSTR Position           */
#define I2C0_STAT_SLVNOTSTR_Msk               (0x01UL << I2C0_STAT_SLVNOTSTR_Pos)                     /*!< I2C0 STAT: SLVNOTSTR Mask               */
#define I2C0_STAT_SLVIDX_Pos                  12                                                      /*!< I2C0 STAT: SLVIDX Position              */
#define I2C0_STAT_SLVIDX_Msk                  (0x03UL << I2C0_STAT_SLVIDX_Pos)                        /*!< I2C0 STAT: SLVIDX Mask                  */
#define I2C0_STAT_SLVSEL_Pos                  14                                                      /*!< I2C0 STAT: SLVSEL Position              */
#define I2C0_STAT_SLVSEL_Msk                  (0x01UL << I2C0_STAT_SLVSEL_Pos)                        /*!< I2C0 STAT: SLVSEL Mask                  */
#define I2C0_STAT_SLVDESEL_Pos                15                                                      /*!< I2C0 STAT: SLVDESEL Position            */
#define I2C0_STAT_SLVDESEL_Msk                (0x01UL << I2C0_STAT_SLVDESEL_Pos)                      /*!< I2C0 STAT: SLVDESEL Mask                */
#define I2C0_STAT_MONRDY_Pos                  16                                                      /*!< I2C0 STAT: MONRDY Position              */
#define I2C0_STAT_MONRDY_Msk                  (0x01UL << I2C0_STAT_MONRDY_Pos)                        /*!< I2C0 STAT: MONRDY Mask                  */
#define I2C0_STAT_MONOV_Pos                   17                                                      /*!< I2C0 STAT: MONOV Position               */
#define I2C0_STAT_MONOV_Msk                   (0x01UL << I2C0_STAT_MONOV_Pos)                         /*!< I2C0 STAT: MONOV Mask                   */
#define I2C0_STAT_MONACTIVE_Pos               18                                                      /*!< I2C0 STAT: MONACTIVE Position           */
#define I2C0_STAT_MONACTIVE_Msk               (0x01UL << I2C0_STAT_MONACTIVE_Pos)                     /*!< I2C0 STAT: MONACTIVE Mask               */
#define I2C0_STAT_MONIDLE_Pos                 19                                                      /*!< I2C0 STAT: MONIDLE Position             */
#define I2C0_STAT_MONIDLE_Msk                 (0x01UL << I2C0_STAT_MONIDLE_Pos)                       /*!< I2C0 STAT: MONIDLE Mask                 */
#define I2C0_STAT_EVENTTIMEOUT_Pos            24                                                      /*!< I2C0 STAT: EVENTTIMEOUT Position        */
#define I2C0_STAT_EVENTTIMEOUT_Msk            (0x01UL << I2C0_STAT_EVENTTIMEOUT_Pos)                  /*!< I2C0 STAT: EVENTTIMEOUT Mask            */
#define I2C0_STAT_SCLTIMEOUT_Pos              25                                                      /*!< I2C0 STAT: SCLTIMEOUT Position          */
#define I2C0_STAT_SCLTIMEOUT_Msk              (0x01UL << I2C0_STAT_SCLTIMEOUT_Pos)                    /*!< I2C0 STAT: SCLTIMEOUT Mask              */

/* --------------------------------  I2C0_INTENSET  ------------------------------- */
#define I2C0_INTENSET_MSTPENDINGEN_Pos        0                                                       /*!< I2C0 INTENSET: MSTPENDINGEN Position    */
#define I2C0_INTENSET_MSTPENDINGEN_Msk        (0x01UL << I2C0_INTENSET_MSTPENDINGEN_Pos)              /*!< I2C0 INTENSET: MSTPENDINGEN Mask        */
#define I2C0_INTENSET_MSTARBLOSSEN_Pos        4                                                       /*!< I2C0 INTENSET: MSTARBLOSSEN Position    */
#define I2C0_INTENSET_MSTARBLOSSEN_Msk        (0x01UL << I2C0_INTENSET_MSTARBLOSSEN_Pos)              /*!< I2C0 INTENSET: MSTARBLOSSEN Mask        */
#define I2C0_INTENSET_MSTSTSTPERREN_Pos       6                                                       /*!< I2C0 INTENSET: MSTSTSTPERREN Position   */
#define I2C0_INTENSET_MSTSTSTPERREN_Msk       (0x01UL << I2C0_INTENSET_MSTSTSTPERREN_Pos)             /*!< I2C0 INTENSET: MSTSTSTPERREN Mask       */
#define I2C0_INTENSET_SLVPENDINGEN_Pos        8                                                       /*!< I2C0 INTENSET: SLVPENDINGEN Position    */
#define I2C0_INTENSET_SLVPENDINGEN_Msk        (0x01UL << I2C0_INTENSET_SLVPENDINGEN_Pos)              /*!< I2C0 INTENSET: SLVPENDINGEN Mask        */
#define I2C0_INTENSET_SLVNOTSTREN_Pos         11                                                      /*!< I2C0 INTENSET: SLVNOTSTREN Position     */
#define I2C0_INTENSET_SLVNOTSTREN_Msk         (0x01UL << I2C0_INTENSET_SLVNOTSTREN_Pos)               /*!< I2C0 INTENSET: SLVNOTSTREN Mask         */
#define I2C0_INTENSET_SLVDESELEN_Pos          15                                                      /*!< I2C0 INTENSET: SLVDESELEN Position      */
#define I2C0_INTENSET_SLVDESELEN_Msk          (0x01UL << I2C0_INTENSET_SLVDESELEN_Pos)                /*!< I2C0 INTENSET: SLVDESELEN Mask          */
#define I2C0_INTENSET_MONRDYEN_Pos            16                                                      /*!< I2C0 INTENSET: MONRDYEN Position        */
#define I2C0_INTENSET_MONRDYEN_Msk            (0x01UL << I2C0_INTENSET_MONRDYEN_Pos)                  /*!< I2C0 INTENSET: MONRDYEN Mask            */
#define I2C0_INTENSET_MONOVEN_Pos             17                                                      /*!< I2C0 INTENSET: MONOVEN Position         */
#define I2C0_INTENSET_MONOVEN_Msk             (0x01UL << I2C0_INTENSET_MONOVEN_Pos)                   /*!< I2C0 INTENSET: MONOVEN Mask             */
#define I2C0_INTENSET_MONIDLEEN_Pos           19                                                      /*!< I2C0 INTENSET: MONIDLEEN Position       */
#define I2C0_INTENSET_MONIDLEEN_Msk           (0x01UL << I2C0_INTENSET_MONIDLEEN_Pos)                 /*!< I2C0 INTENSET: MONIDLEEN Mask           */
#define I2C0_INTENSET_EVENTTIMEOUTEN_Pos      24                                                      /*!< I2C0 INTENSET: EVENTTIMEOUTEN Position  */
#define I2C0_INTENSET_EVENTTIMEOUTEN_Msk      (0x01UL << I2C0_INTENSET_EVENTTIMEOUTEN_Pos)            /*!< I2C0 INTENSET: EVENTTIMEOUTEN Mask      */
#define I2C0_INTENSET_SCLTIMEOUTEN_Pos        25                                                      /*!< I2C0 INTENSET: SCLTIMEOUTEN Position    */
#define I2C0_INTENSET_SCLTIMEOUTEN_Msk        (0x01UL << I2C0_INTENSET_SCLTIMEOUTEN_Pos)              /*!< I2C0 INTENSET: SCLTIMEOUTEN Mask        */

/* --------------------------------  I2C0_INTENCLR  ------------------------------- */
#define I2C0_INTENCLR_MSTPENDINGCLR_Pos       0                                                       /*!< I2C0 INTENCLR: MSTPENDINGCLR Position   */
#define I2C0_INTENCLR_MSTPENDINGCLR_Msk       (0x01UL << I2C0_INTENCLR_MSTPENDINGCLR_Pos)             /*!< I2C0 INTENCLR: MSTPENDINGCLR Mask       */
#define I2C0_INTENCLR_MSTARBLOSSCLR_Pos       4                                                       /*!< I2C0 INTENCLR: MSTARBLOSSCLR Position   */
#define I2C0_INTENCLR_MSTARBLOSSCLR_Msk       (0x01UL << I2C0_INTENCLR_MSTARBLOSSCLR_Pos)             /*!< I2C0 INTENCLR: MSTARBLOSSCLR Mask       */
#define I2C0_INTENCLR_MSTSTSTPERRCLR_Pos      6                                                       /*!< I2C0 INTENCLR: MSTSTSTPERRCLR Position  */
#define I2C0_INTENCLR_MSTSTSTPERRCLR_Msk      (0x01UL << I2C0_INTENCLR_MSTSTSTPERRCLR_Pos)            /*!< I2C0 INTENCLR: MSTSTSTPERRCLR Mask      */
#define I2C0_INTENCLR_SLVPENDINGCLR_Pos       8                                                       /*!< I2C0 INTENCLR: SLVPENDINGCLR Position   */
#define I2C0_INTENCLR_SLVPENDINGCLR_Msk       (0x01UL << I2C0_INTENCLR_SLVPENDINGCLR_Pos)             /*!< I2C0 INTENCLR: SLVPENDINGCLR Mask       */
#define I2C0_INTENCLR_SLVNOTSTRCLR_Pos        11                                                      /*!< I2C0 INTENCLR: SLVNOTSTRCLR Position    */
#define I2C0_INTENCLR_SLVNOTSTRCLR_Msk        (0x01UL << I2C0_INTENCLR_SLVNOTSTRCLR_Pos)              /*!< I2C0 INTENCLR: SLVNOTSTRCLR Mask        */
#define I2C0_INTENCLR_SLVDESELCLR_Pos         15                                                      /*!< I2C0 INTENCLR: SLVDESELCLR Position     */
#define I2C0_INTENCLR_SLVDESELCLR_Msk         (0x01UL << I2C0_INTENCLR_SLVDESELCLR_Pos)               /*!< I2C0 INTENCLR: SLVDESELCLR Mask         */
#define I2C0_INTENCLR_MONRDYCLR_Pos           16                                                      /*!< I2C0 INTENCLR: MONRDYCLR Position       */
#define I2C0_INTENCLR_MONRDYCLR_Msk           (0x01UL << I2C0_INTENCLR_MONRDYCLR_Pos)                 /*!< I2C0 INTENCLR: MONRDYCLR Mask           */
#define I2C0_INTENCLR_MONOVCLR_Pos            17                                                      /*!< I2C0 INTENCLR: MONOVCLR Position        */
#define I2C0_INTENCLR_MONOVCLR_Msk            (0x01UL << I2C0_INTENCLR_MONOVCLR_Pos)                  /*!< I2C0 INTENCLR: MONOVCLR Mask            */
#define I2C0_INTENCLR_MONIDLECLR_Pos          19                                                      /*!< I2C0 INTENCLR: MONIDLECLR Position      */
#define I2C0_INTENCLR_MONIDLECLR_Msk          (0x01UL << I2C0_INTENCLR_MONIDLECLR_Pos)                /*!< I2C0 INTENCLR: MONIDLECLR Mask          */
#define I2C0_INTENCLR_EVENTTIMEOUTCLR_Pos     24                                                      /*!< I2C0 INTENCLR: EVENTTIMEOUTCLR Position */
#define I2C0_INTENCLR_EVENTTIMEOUTCLR_Msk     (0x01UL << I2C0_INTENCLR_EVENTTIMEOUTCLR_Pos)           /*!< I2C0 INTENCLR: EVENTTIMEOUTCLR Mask     */
#define I2C0_INTENCLR_SCLTIMEOUTCLR_Pos       25                                                      /*!< I2C0 INTENCLR: SCLTIMEOUTCLR Position   */
#define I2C0_INTENCLR_SCLTIMEOUTCLR_Msk       (0x01UL << I2C0_INTENCLR_SCLTIMEOUTCLR_Pos)             /*!< I2C0 INTENCLR: SCLTIMEOUTCLR Mask       */

/* --------------------------------  I2C0_TIMEOUT  -------------------------------- */
#define I2C0_TIMEOUT_TOMIN_Pos                0                                                       /*!< I2C0 TIMEOUT: TOMIN Position            */
#define I2C0_TIMEOUT_TOMIN_Msk                (0x0fUL << I2C0_TIMEOUT_TOMIN_Pos)                      /*!< I2C0 TIMEOUT: TOMIN Mask                */
#define I2C0_TIMEOUT_TO_Pos                   4                                                       /*!< I2C0 TIMEOUT: TO Position               */
#define I2C0_TIMEOUT_TO_Msk                   (0x00000fffUL << I2C0_TIMEOUT_TO_Pos)                   /*!< I2C0 TIMEOUT: TO Mask                   */

/* ---------------------------------  I2C0_CLKDIV  -------------------------------- */
#define I2C0_CLKDIV_DIVVAL_Pos                0                                                       /*!< I2C0 CLKDIV: DIVVAL Position            */
#define I2C0_CLKDIV_DIVVAL_Msk                (0x0000ffffUL << I2C0_CLKDIV_DIVVAL_Pos)                /*!< I2C0 CLKDIV: DIVVAL Mask                */

/* --------------------------------  I2C0_INTSTAT  -------------------------------- */
#define I2C0_INTSTAT_MSTPENDING_Pos           0                                                       /*!< I2C0 INTSTAT: MSTPENDING Position       */
#define I2C0_INTSTAT_MSTPENDING_Msk           (0x01UL << I2C0_INTSTAT_MSTPENDING_Pos)                 /*!< I2C0 INTSTAT: MSTPENDING Mask           */
#define I2C0_INTSTAT_MSTARBLOSS_Pos           4                                                       /*!< I2C0 INTSTAT: MSTARBLOSS Position       */
#define I2C0_INTSTAT_MSTARBLOSS_Msk           (0x01UL << I2C0_INTSTAT_MSTARBLOSS_Pos)                 /*!< I2C0 INTSTAT: MSTARBLOSS Mask           */
#define I2C0_INTSTAT_MSTSTSTPERR_Pos          6                                                       /*!< I2C0 INTSTAT: MSTSTSTPERR Position      */
#define I2C0_INTSTAT_MSTSTSTPERR_Msk          (0x01UL << I2C0_INTSTAT_MSTSTSTPERR_Pos)                /*!< I2C0 INTSTAT: MSTSTSTPERR Mask          */
#define I2C0_INTSTAT_SLVPENDING_Pos           8                                                       /*!< I2C0 INTSTAT: SLVPENDING Position       */
#define I2C0_INTSTAT_SLVPENDING_Msk           (0x01UL << I2C0_INTSTAT_SLVPENDING_Pos)                 /*!< I2C0 INTSTAT: SLVPENDING Mask           */
#define I2C0_INTSTAT_SLVNOTSTR_Pos            11                                                      /*!< I2C0 INTSTAT: SLVNOTSTR Position        */
#define I2C0_INTSTAT_SLVNOTSTR_Msk            (0x01UL << I2C0_INTSTAT_SLVNOTSTR_Pos)                  /*!< I2C0 INTSTAT: SLVNOTSTR Mask            */
#define I2C0_INTSTAT_SLVDESEL_Pos             15                                                      /*!< I2C0 INTSTAT: SLVDESEL Position         */
#define I2C0_INTSTAT_SLVDESEL_Msk             (0x01UL << I2C0_INTSTAT_SLVDESEL_Pos)                   /*!< I2C0 INTSTAT: SLVDESEL Mask             */
#define I2C0_INTSTAT_MONRDY_Pos               16                                                      /*!< I2C0 INTSTAT: MONRDY Position           */
#define I2C0_INTSTAT_MONRDY_Msk               (0x01UL << I2C0_INTSTAT_MONRDY_Pos)                     /*!< I2C0 INTSTAT: MONRDY Mask               */
#define I2C0_INTSTAT_MONOV_Pos                17                                                      /*!< I2C0 INTSTAT: MONOV Position            */
#define I2C0_INTSTAT_MONOV_Msk                (0x01UL << I2C0_INTSTAT_MONOV_Pos)                      /*!< I2C0 INTSTAT: MONOV Mask                */
#define I2C0_INTSTAT_MONIDLE_Pos              19                                                      /*!< I2C0 INTSTAT: MONIDLE Position          */
#define I2C0_INTSTAT_MONIDLE_Msk              (0x01UL << I2C0_INTSTAT_MONIDLE_Pos)                    /*!< I2C0 INTSTAT: MONIDLE Mask              */
#define I2C0_INTSTAT_EVENTTIMEOUT_Pos         24                                                      /*!< I2C0 INTSTAT: EVENTTIMEOUT Position     */
#define I2C0_INTSTAT_EVENTTIMEOUT_Msk         (0x01UL << I2C0_INTSTAT_EVENTTIMEOUT_Pos)               /*!< I2C0 INTSTAT: EVENTTIMEOUT Mask         */
#define I2C0_INTSTAT_SCLTIMEOUT_Pos           25                                                      /*!< I2C0 INTSTAT: SCLTIMEOUT Position       */
#define I2C0_INTSTAT_SCLTIMEOUT_Msk           (0x01UL << I2C0_INTSTAT_SCLTIMEOUT_Pos)                 /*!< I2C0 INTSTAT: SCLTIMEOUT Mask           */

/* ---------------------------------  I2C0_MSTCTL  -------------------------------- */
#define I2C0_MSTCTL_MSTCONTINUE_Pos           0                                                       /*!< I2C0 MSTCTL: MSTCONTINUE Position       */
#define I2C0_MSTCTL_MSTCONTINUE_Msk           (0x01UL << I2C0_MSTCTL_MSTCONTINUE_Pos)                 /*!< I2C0 MSTCTL: MSTCONTINUE Mask           */
#define I2C0_MSTCTL_MSTSTART_Pos              1                                                       /*!< I2C0 MSTCTL: MSTSTART Position          */
#define I2C0_MSTCTL_MSTSTART_Msk              (0x01UL << I2C0_MSTCTL_MSTSTART_Pos)                    /*!< I2C0 MSTCTL: MSTSTART Mask              */
#define I2C0_MSTCTL_MSTSTOP_Pos               2                                                       /*!< I2C0 MSTCTL: MSTSTOP Position           */
#define I2C0_MSTCTL_MSTSTOP_Msk               (0x01UL << I2C0_MSTCTL_MSTSTOP_Pos)                     /*!< I2C0 MSTCTL: MSTSTOP Mask               */
#define I2C0_MSTCTL_MSTDMA_Pos                3                                                       /*!< I2C0 MSTCTL: MSTDMA Position            */
#define I2C0_MSTCTL_MSTDMA_Msk                (0x01UL << I2C0_MSTCTL_MSTDMA_Pos)                      /*!< I2C0 MSTCTL: MSTDMA Mask                */

/* --------------------------------  I2C0_MSTTIME  -------------------------------- */
#define I2C0_MSTTIME_MSTSCLLOW_Pos            0                                                       /*!< I2C0 MSTTIME: MSTSCLLOW Position        */
#define I2C0_MSTTIME_MSTSCLLOW_Msk            (0x07UL << I2C0_MSTTIME_MSTSCLLOW_Pos)                  /*!< I2C0 MSTTIME: MSTSCLLOW Mask            */
#define I2C0_MSTTIME_MSTSCLHIGH_Pos           4                                                       /*!< I2C0 MSTTIME: MSTSCLHIGH Position       */
#define I2C0_MSTTIME_MSTSCLHIGH_Msk           (0x07UL << I2C0_MSTTIME_MSTSCLHIGH_Pos)                 /*!< I2C0 MSTTIME: MSTSCLHIGH Mask           */

/* ---------------------------------  I2C0_MSTDAT  -------------------------------- */
#define I2C0_MSTDAT_DATA_Pos                  0                                                       /*!< I2C0 MSTDAT: DATA Position              */
#define I2C0_MSTDAT_DATA_Msk                  (0x000000ffUL << I2C0_MSTDAT_DATA_Pos)                  /*!< I2C0 MSTDAT: DATA Mask                  */

/* ---------------------------------  I2C0_SLVCTL  -------------------------------- */
#define I2C0_SLVCTL_SLVCONTINUE_Pos           0                                                       /*!< I2C0 SLVCTL: SLVCONTINUE Position       */
#define I2C0_SLVCTL_SLVCONTINUE_Msk           (0x01UL << I2C0_SLVCTL_SLVCONTINUE_Pos)                 /*!< I2C0 SLVCTL: SLVCONTINUE Mask           */
#define I2C0_SLVCTL_SLVNACK_Pos               1                                                       /*!< I2C0 SLVCTL: SLVNACK Position           */
#define I2C0_SLVCTL_SLVNACK_Msk               (0x01UL << I2C0_SLVCTL_SLVNACK_Pos)                     /*!< I2C0 SLVCTL: SLVNACK Mask               */
#define I2C0_SLVCTL_SLVDMA_Pos                3                                                       /*!< I2C0 SLVCTL: SLVDMA Position            */
#define I2C0_SLVCTL_SLVDMA_Msk                (0x01UL << I2C0_SLVCTL_SLVDMA_Pos)                      /*!< I2C0 SLVCTL: SLVDMA Mask                */

/* ---------------------------------  I2C0_SLVDAT  -------------------------------- */
#define I2C0_SLVDAT_DATA_Pos                  0                                                       /*!< I2C0 SLVDAT: DATA Position              */
#define I2C0_SLVDAT_DATA_Msk                  (0x000000ffUL << I2C0_SLVDAT_DATA_Pos)                  /*!< I2C0 SLVDAT: DATA Mask                  */

/* --------------------------------  I2C0_SLVADR0  -------------------------------- */
#define I2C0_SLVADR0_SADISABLE_Pos            0                                                       /*!< I2C0 SLVADR0: SADISABLE Position        */
#define I2C0_SLVADR0_SADISABLE_Msk            (0x01UL << I2C0_SLVADR0_SADISABLE_Pos)                  /*!< I2C0 SLVADR0: SADISABLE Mask            */
#define I2C0_SLVADR0_SLVADR_Pos               1                                                       /*!< I2C0 SLVADR0: SLVADR Position           */
#define I2C0_SLVADR0_SLVADR_Msk               (0x7fUL << I2C0_SLVADR0_SLVADR_Pos)                     /*!< I2C0 SLVADR0: SLVADR Mask               */

/* --------------------------------  I2C0_SLVADR1  -------------------------------- */
#define I2C0_SLVADR1_SADISABLE_Pos            0                                                       /*!< I2C0 SLVADR1: SADISABLE Position        */
#define I2C0_SLVADR1_SADISABLE_Msk            (0x01UL << I2C0_SLVADR1_SADISABLE_Pos)                  /*!< I2C0 SLVADR1: SADISABLE Mask            */
#define I2C0_SLVADR1_SLVADR_Pos               1                                                       /*!< I2C0 SLVADR1: SLVADR Position           */
#define I2C0_SLVADR1_SLVADR_Msk               (0x7fUL << I2C0_SLVADR1_SLVADR_Pos)                     /*!< I2C0 SLVADR1: SLVADR Mask               */

/* --------------------------------  I2C0_SLVADR2  -------------------------------- */
#define I2C0_SLVADR2_SADISABLE_Pos            0                                                       /*!< I2C0 SLVADR2: SADISABLE Position        */
#define I2C0_SLVADR2_SADISABLE_Msk            (0x01UL << I2C0_SLVADR2_SADISABLE_Pos)                  /*!< I2C0 SLVADR2: SADISABLE Mask            */
#define I2C0_SLVADR2_SLVADR_Pos               1                                                       /*!< I2C0 SLVADR2: SLVADR Position           */
#define I2C0_SLVADR2_SLVADR_Msk               (0x7fUL << I2C0_SLVADR2_SLVADR_Pos)                     /*!< I2C0 SLVADR2: SLVADR Mask               */

/* --------------------------------  I2C0_SLVADR3  -------------------------------- */
#define I2C0_SLVADR3_SADISABLE_Pos            0                                                       /*!< I2C0 SLVADR3: SADISABLE Position        */
#define I2C0_SLVADR3_SADISABLE_Msk            (0x01UL << I2C0_SLVADR3_SADISABLE_Pos)                  /*!< I2C0 SLVADR3: SADISABLE Mask            */
#define I2C0_SLVADR3_SLVADR_Pos               1                                                       /*!< I2C0 SLVADR3: SLVADR Position           */
#define I2C0_SLVADR3_SLVADR_Msk               (0x7fUL << I2C0_SLVADR3_SLVADR_Pos)                     /*!< I2C0 SLVADR3: SLVADR Mask               */

/* --------------------------------  I2C0_SLVQUAL0  ------------------------------- */
#define I2C0_SLVQUAL0_QUALMODE0_Pos           0                                                       /*!< I2C0 SLVQUAL0: QUALMODE0 Position       */
#define I2C0_SLVQUAL0_QUALMODE0_Msk           (0x01UL << I2C0_SLVQUAL0_QUALMODE0_Pos)                 /*!< I2C0 SLVQUAL0: QUALMODE0 Mask           */
#define I2C0_SLVQUAL0_SLVQUAL0_Pos            1                                                       /*!< I2C0 SLVQUAL0: SLVQUAL0 Position        */
#define I2C0_SLVQUAL0_SLVQUAL0_Msk            (0x7fUL << I2C0_SLVQUAL0_SLVQUAL0_Pos)                  /*!< I2C0 SLVQUAL0: SLVQUAL0 Mask            */

/* --------------------------------  I2C0_MONRXDAT  ------------------------------- */
#define I2C0_MONRXDAT_MONRXDAT_Pos            0                                                       /*!< I2C0 MONRXDAT: MONRXDAT Position        */
#define I2C0_MONRXDAT_MONRXDAT_Msk            (0x000000ffUL << I2C0_MONRXDAT_MONRXDAT_Pos)            /*!< I2C0 MONRXDAT: MONRXDAT Mask            */
#define I2C0_MONRXDAT_MONSTART_Pos            8                                                       /*!< I2C0 MONRXDAT: MONSTART Position        */
#define I2C0_MONRXDAT_MONSTART_Msk            (0x01UL << I2C0_MONRXDAT_MONSTART_Pos)                  /*!< I2C0 MONRXDAT: MONSTART Mask            */
#define I2C0_MONRXDAT_MONRESTART_Pos          9                                                       /*!< I2C0 MONRXDAT: MONRESTART Position      */
#define I2C0_MONRXDAT_MONRESTART_Msk          (0x01UL << I2C0_MONRXDAT_MONRESTART_Pos)                /*!< I2C0 MONRXDAT: MONRESTART Mask          */
#define I2C0_MONRXDAT_MONNACK_Pos             10                                                      /*!< I2C0 MONRXDAT: MONNACK Position         */
#define I2C0_MONRXDAT_MONNACK_Msk             (0x01UL << I2C0_MONRXDAT_MONNACK_Pos)                   /*!< I2C0 MONRXDAT: MONNACK Mask             */


/* ================================================================================ */
/* ================          struct 'I2C1' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  I2C1_CFG  ---------------------------------- */
#define I2C1_CFG_MSTEN_Pos                    0                                                       /*!< I2C1 CFG: MSTEN Position                */
#define I2C1_CFG_MSTEN_Msk                    (0x01UL << I2C1_CFG_MSTEN_Pos)                          /*!< I2C1 CFG: MSTEN Mask                    */
#define I2C1_CFG_SLVEN_Pos                    1                                                       /*!< I2C1 CFG: SLVEN Position                */
#define I2C1_CFG_SLVEN_Msk                    (0x01UL << I2C1_CFG_SLVEN_Pos)                          /*!< I2C1 CFG: SLVEN Mask                    */
#define I2C1_CFG_MONEN_Pos                    2                                                       /*!< I2C1 CFG: MONEN Position                */
#define I2C1_CFG_MONEN_Msk                    (0x01UL << I2C1_CFG_MONEN_Pos)                          /*!< I2C1 CFG: MONEN Mask                    */
#define I2C1_CFG_TIMEOUTEN_Pos                3                                                       /*!< I2C1 CFG: TIMEOUTEN Position            */
#define I2C1_CFG_TIMEOUTEN_Msk                (0x01UL << I2C1_CFG_TIMEOUTEN_Pos)                      /*!< I2C1 CFG: TIMEOUTEN Mask                */
#define I2C1_CFG_MONCLKSTR_Pos                4                                                       /*!< I2C1 CFG: MONCLKSTR Position            */
#define I2C1_CFG_MONCLKSTR_Msk                (0x01UL << I2C1_CFG_MONCLKSTR_Pos)                      /*!< I2C1 CFG: MONCLKSTR Mask                */
#define I2C1_CFG_HSCAPABLE_Pos                5                                                       /*!< I2C1 CFG: HSCAPABLE Position            */
#define I2C1_CFG_HSCAPABLE_Msk                (0x01UL << I2C1_CFG_HSCAPABLE_Pos)                      /*!< I2C1 CFG: HSCAPABLE Mask                */

/* ----------------------------------  I2C1_STAT  --------------------------------- */
#define I2C1_STAT_MSTPENDING_Pos              0                                                       /*!< I2C1 STAT: MSTPENDING Position          */
#define I2C1_STAT_MSTPENDING_Msk              (0x01UL << I2C1_STAT_MSTPENDING_Pos)                    /*!< I2C1 STAT: MSTPENDING Mask              */
#define I2C1_STAT_MSTSTATE_Pos                1                                                       /*!< I2C1 STAT: MSTSTATE Position            */
#define I2C1_STAT_MSTSTATE_Msk                (0x07UL << I2C1_STAT_MSTSTATE_Pos)                      /*!< I2C1 STAT: MSTSTATE Mask                */
#define I2C1_STAT_MSTARBLOSS_Pos              4                                                       /*!< I2C1 STAT: MSTARBLOSS Position          */
#define I2C1_STAT_MSTARBLOSS_Msk              (0x01UL << I2C1_STAT_MSTARBLOSS_Pos)                    /*!< I2C1 STAT: MSTARBLOSS Mask              */
#define I2C1_STAT_MSTSTSTPERR_Pos             6                                                       /*!< I2C1 STAT: MSTSTSTPERR Position         */
#define I2C1_STAT_MSTSTSTPERR_Msk             (0x01UL << I2C1_STAT_MSTSTSTPERR_Pos)                   /*!< I2C1 STAT: MSTSTSTPERR Mask             */
#define I2C1_STAT_SLVPENDING_Pos              8                                                       /*!< I2C1 STAT: SLVPENDING Position          */
#define I2C1_STAT_SLVPENDING_Msk              (0x01UL << I2C1_STAT_SLVPENDING_Pos)                    /*!< I2C1 STAT: SLVPENDING Mask              */
#define I2C1_STAT_SLVSTATE_Pos                9                                                       /*!< I2C1 STAT: SLVSTATE Position            */
#define I2C1_STAT_SLVSTATE_Msk                (0x03UL << I2C1_STAT_SLVSTATE_Pos)                      /*!< I2C1 STAT: SLVSTATE Mask                */
#define I2C1_STAT_SLVNOTSTR_Pos               11                                                      /*!< I2C1 STAT: SLVNOTSTR Position           */
#define I2C1_STAT_SLVNOTSTR_Msk               (0x01UL << I2C1_STAT_SLVNOTSTR_Pos)                     /*!< I2C1 STAT: SLVNOTSTR Mask               */
#define I2C1_STAT_SLVIDX_Pos                  12                                                      /*!< I2C1 STAT: SLVIDX Position              */
#define I2C1_STAT_SLVIDX_Msk                  (0x03UL << I2C1_STAT_SLVIDX_Pos)                        /*!< I2C1 STAT: SLVIDX Mask                  */
#define I2C1_STAT_SLVSEL_Pos                  14                                                      /*!< I2C1 STAT: SLVSEL Position              */
#define I2C1_STAT_SLVSEL_Msk                  (0x01UL << I2C1_STAT_SLVSEL_Pos)                        /*!< I2C1 STAT: SLVSEL Mask                  */
#define I2C1_STAT_SLVDESEL_Pos                15                                                      /*!< I2C1 STAT: SLVDESEL Position            */
#define I2C1_STAT_SLVDESEL_Msk                (0x01UL << I2C1_STAT_SLVDESEL_Pos)                      /*!< I2C1 STAT: SLVDESEL Mask                */
#define I2C1_STAT_MONRDY_Pos                  16                                                      /*!< I2C1 STAT: MONRDY Position              */
#define I2C1_STAT_MONRDY_Msk                  (0x01UL << I2C1_STAT_MONRDY_Pos)                        /*!< I2C1 STAT: MONRDY Mask                  */
#define I2C1_STAT_MONOV_Pos                   17                                                      /*!< I2C1 STAT: MONOV Position               */
#define I2C1_STAT_MONOV_Msk                   (0x01UL << I2C1_STAT_MONOV_Pos)                         /*!< I2C1 STAT: MONOV Mask                   */
#define I2C1_STAT_MONACTIVE_Pos               18                                                      /*!< I2C1 STAT: MONACTIVE Position           */
#define I2C1_STAT_MONACTIVE_Msk               (0x01UL << I2C1_STAT_MONACTIVE_Pos)                     /*!< I2C1 STAT: MONACTIVE Mask               */
#define I2C1_STAT_MONIDLE_Pos                 19                                                      /*!< I2C1 STAT: MONIDLE Position             */
#define I2C1_STAT_MONIDLE_Msk                 (0x01UL << I2C1_STAT_MONIDLE_Pos)                       /*!< I2C1 STAT: MONIDLE Mask                 */
#define I2C1_STAT_EVENTTIMEOUT_Pos            24                                                      /*!< I2C1 STAT: EVENTTIMEOUT Position        */
#define I2C1_STAT_EVENTTIMEOUT_Msk            (0x01UL << I2C1_STAT_EVENTTIMEOUT_Pos)                  /*!< I2C1 STAT: EVENTTIMEOUT Mask            */
#define I2C1_STAT_SCLTIMEOUT_Pos              25                                                      /*!< I2C1 STAT: SCLTIMEOUT Position          */
#define I2C1_STAT_SCLTIMEOUT_Msk              (0x01UL << I2C1_STAT_SCLTIMEOUT_Pos)                    /*!< I2C1 STAT: SCLTIMEOUT Mask              */

/* --------------------------------  I2C1_INTENSET  ------------------------------- */
#define I2C1_INTENSET_MSTPENDINGEN_Pos        0                                                       /*!< I2C1 INTENSET: MSTPENDINGEN Position    */
#define I2C1_INTENSET_MSTPENDINGEN_Msk        (0x01UL << I2C1_INTENSET_MSTPENDINGEN_Pos)              /*!< I2C1 INTENSET: MSTPENDINGEN Mask        */
#define I2C1_INTENSET_MSTARBLOSSEN_Pos        4                                                       /*!< I2C1 INTENSET: MSTARBLOSSEN Position    */
#define I2C1_INTENSET_MSTARBLOSSEN_Msk        (0x01UL << I2C1_INTENSET_MSTARBLOSSEN_Pos)              /*!< I2C1 INTENSET: MSTARBLOSSEN Mask        */
#define I2C1_INTENSET_MSTSTSTPERREN_Pos       6                                                       /*!< I2C1 INTENSET: MSTSTSTPERREN Position   */
#define I2C1_INTENSET_MSTSTSTPERREN_Msk       (0x01UL << I2C1_INTENSET_MSTSTSTPERREN_Pos)             /*!< I2C1 INTENSET: MSTSTSTPERREN Mask       */
#define I2C1_INTENSET_SLVPENDINGEN_Pos        8                                                       /*!< I2C1 INTENSET: SLVPENDINGEN Position    */
#define I2C1_INTENSET_SLVPENDINGEN_Msk        (0x01UL << I2C1_INTENSET_SLVPENDINGEN_Pos)              /*!< I2C1 INTENSET: SLVPENDINGEN Mask        */
#define I2C1_INTENSET_SLVNOTSTREN_Pos         11                                                      /*!< I2C1 INTENSET: SLVNOTSTREN Position     */
#define I2C1_INTENSET_SLVNOTSTREN_Msk         (0x01UL << I2C1_INTENSET_SLVNOTSTREN_Pos)               /*!< I2C1 INTENSET: SLVNOTSTREN Mask         */
#define I2C1_INTENSET_SLVDESELEN_Pos          15                                                      /*!< I2C1 INTENSET: SLVDESELEN Position      */
#define I2C1_INTENSET_SLVDESELEN_Msk          (0x01UL << I2C1_INTENSET_SLVDESELEN_Pos)                /*!< I2C1 INTENSET: SLVDESELEN Mask          */
#define I2C1_INTENSET_MONRDYEN_Pos            16                                                      /*!< I2C1 INTENSET: MONRDYEN Position        */
#define I2C1_INTENSET_MONRDYEN_Msk            (0x01UL << I2C1_INTENSET_MONRDYEN_Pos)                  /*!< I2C1 INTENSET: MONRDYEN Mask            */
#define I2C1_INTENSET_MONOVEN_Pos             17                                                      /*!< I2C1 INTENSET: MONOVEN Position         */
#define I2C1_INTENSET_MONOVEN_Msk             (0x01UL << I2C1_INTENSET_MONOVEN_Pos)                   /*!< I2C1 INTENSET: MONOVEN Mask             */
#define I2C1_INTENSET_MONIDLEEN_Pos           19                                                      /*!< I2C1 INTENSET: MONIDLEEN Position       */
#define I2C1_INTENSET_MONIDLEEN_Msk           (0x01UL << I2C1_INTENSET_MONIDLEEN_Pos)                 /*!< I2C1 INTENSET: MONIDLEEN Mask           */
#define I2C1_INTENSET_EVENTTIMEOUTEN_Pos      24                                                      /*!< I2C1 INTENSET: EVENTTIMEOUTEN Position  */
#define I2C1_INTENSET_EVENTTIMEOUTEN_Msk      (0x01UL << I2C1_INTENSET_EVENTTIMEOUTEN_Pos)            /*!< I2C1 INTENSET: EVENTTIMEOUTEN Mask      */
#define I2C1_INTENSET_SCLTIMEOUTEN_Pos        25                                                      /*!< I2C1 INTENSET: SCLTIMEOUTEN Position    */
#define I2C1_INTENSET_SCLTIMEOUTEN_Msk        (0x01UL << I2C1_INTENSET_SCLTIMEOUTEN_Pos)              /*!< I2C1 INTENSET: SCLTIMEOUTEN Mask        */

/* --------------------------------  I2C1_INTENCLR  ------------------------------- */
#define I2C1_INTENCLR_MSTPENDINGCLR_Pos       0                                                       /*!< I2C1 INTENCLR: MSTPENDINGCLR Position   */
#define I2C1_INTENCLR_MSTPENDINGCLR_Msk       (0x01UL << I2C1_INTENCLR_MSTPENDINGCLR_Pos)             /*!< I2C1 INTENCLR: MSTPENDINGCLR Mask       */
#define I2C1_INTENCLR_MSTARBLOSSCLR_Pos       4                                                       /*!< I2C1 INTENCLR: MSTARBLOSSCLR Position   */
#define I2C1_INTENCLR_MSTARBLOSSCLR_Msk       (0x01UL << I2C1_INTENCLR_MSTARBLOSSCLR_Pos)             /*!< I2C1 INTENCLR: MSTARBLOSSCLR Mask       */
#define I2C1_INTENCLR_MSTSTSTPERRCLR_Pos      6                                                       /*!< I2C1 INTENCLR: MSTSTSTPERRCLR Position  */
#define I2C1_INTENCLR_MSTSTSTPERRCLR_Msk      (0x01UL << I2C1_INTENCLR_MSTSTSTPERRCLR_Pos)            /*!< I2C1 INTENCLR: MSTSTSTPERRCLR Mask      */
#define I2C1_INTENCLR_SLVPENDINGCLR_Pos       8                                                       /*!< I2C1 INTENCLR: SLVPENDINGCLR Position   */
#define I2C1_INTENCLR_SLVPENDINGCLR_Msk       (0x01UL << I2C1_INTENCLR_SLVPENDINGCLR_Pos)             /*!< I2C1 INTENCLR: SLVPENDINGCLR Mask       */
#define I2C1_INTENCLR_SLVNOTSTRCLR_Pos        11                                                      /*!< I2C1 INTENCLR: SLVNOTSTRCLR Position    */
#define I2C1_INTENCLR_SLVNOTSTRCLR_Msk        (0x01UL << I2C1_INTENCLR_SLVNOTSTRCLR_Pos)              /*!< I2C1 INTENCLR: SLVNOTSTRCLR Mask        */
#define I2C1_INTENCLR_SLVDESELCLR_Pos         15                                                      /*!< I2C1 INTENCLR: SLVDESELCLR Position     */
#define I2C1_INTENCLR_SLVDESELCLR_Msk         (0x01UL << I2C1_INTENCLR_SLVDESELCLR_Pos)               /*!< I2C1 INTENCLR: SLVDESELCLR Mask         */
#define I2C1_INTENCLR_MONRDYCLR_Pos           16                                                      /*!< I2C1 INTENCLR: MONRDYCLR Position       */
#define I2C1_INTENCLR_MONRDYCLR_Msk           (0x01UL << I2C1_INTENCLR_MONRDYCLR_Pos)                 /*!< I2C1 INTENCLR: MONRDYCLR Mask           */
#define I2C1_INTENCLR_MONOVCLR_Pos            17                                                      /*!< I2C1 INTENCLR: MONOVCLR Position        */
#define I2C1_INTENCLR_MONOVCLR_Msk            (0x01UL << I2C1_INTENCLR_MONOVCLR_Pos)                  /*!< I2C1 INTENCLR: MONOVCLR Mask            */
#define I2C1_INTENCLR_MONIDLECLR_Pos          19                                                      /*!< I2C1 INTENCLR: MONIDLECLR Position      */
#define I2C1_INTENCLR_MONIDLECLR_Msk          (0x01UL << I2C1_INTENCLR_MONIDLECLR_Pos)                /*!< I2C1 INTENCLR: MONIDLECLR Mask          */
#define I2C1_INTENCLR_EVENTTIMEOUTCLR_Pos     24                                                      /*!< I2C1 INTENCLR: EVENTTIMEOUTCLR Position */
#define I2C1_INTENCLR_EVENTTIMEOUTCLR_Msk     (0x01UL << I2C1_INTENCLR_EVENTTIMEOUTCLR_Pos)           /*!< I2C1 INTENCLR: EVENTTIMEOUTCLR Mask     */
#define I2C1_INTENCLR_SCLTIMEOUTCLR_Pos       25                                                      /*!< I2C1 INTENCLR: SCLTIMEOUTCLR Position   */
#define I2C1_INTENCLR_SCLTIMEOUTCLR_Msk       (0x01UL << I2C1_INTENCLR_SCLTIMEOUTCLR_Pos)             /*!< I2C1 INTENCLR: SCLTIMEOUTCLR Mask       */

/* --------------------------------  I2C1_TIMEOUT  -------------------------------- */
#define I2C1_TIMEOUT_TOMIN_Pos                0                                                       /*!< I2C1 TIMEOUT: TOMIN Position            */
#define I2C1_TIMEOUT_TOMIN_Msk                (0x0fUL << I2C1_TIMEOUT_TOMIN_Pos)                      /*!< I2C1 TIMEOUT: TOMIN Mask                */
#define I2C1_TIMEOUT_TO_Pos                   4                                                       /*!< I2C1 TIMEOUT: TO Position               */
#define I2C1_TIMEOUT_TO_Msk                   (0x00000fffUL << I2C1_TIMEOUT_TO_Pos)                   /*!< I2C1 TIMEOUT: TO Mask                   */

/* ---------------------------------  I2C1_CLKDIV  -------------------------------- */
#define I2C1_CLKDIV_DIVVAL_Pos                0                                                       /*!< I2C1 CLKDIV: DIVVAL Position            */
#define I2C1_CLKDIV_DIVVAL_Msk                (0x0000ffffUL << I2C1_CLKDIV_DIVVAL_Pos)                /*!< I2C1 CLKDIV: DIVVAL Mask                */

/* --------------------------------  I2C1_INTSTAT  -------------------------------- */
#define I2C1_INTSTAT_MSTPENDING_Pos           0                                                       /*!< I2C1 INTSTAT: MSTPENDING Position       */
#define I2C1_INTSTAT_MSTPENDING_Msk           (0x01UL << I2C1_INTSTAT_MSTPENDING_Pos)                 /*!< I2C1 INTSTAT: MSTPENDING Mask           */
#define I2C1_INTSTAT_MSTARBLOSS_Pos           4                                                       /*!< I2C1 INTSTAT: MSTARBLOSS Position       */
#define I2C1_INTSTAT_MSTARBLOSS_Msk           (0x01UL << I2C1_INTSTAT_MSTARBLOSS_Pos)                 /*!< I2C1 INTSTAT: MSTARBLOSS Mask           */
#define I2C1_INTSTAT_MSTSTSTPERR_Pos          6                                                       /*!< I2C1 INTSTAT: MSTSTSTPERR Position      */
#define I2C1_INTSTAT_MSTSTSTPERR_Msk          (0x01UL << I2C1_INTSTAT_MSTSTSTPERR_Pos)                /*!< I2C1 INTSTAT: MSTSTSTPERR Mask          */
#define I2C1_INTSTAT_SLVPENDING_Pos           8                                                       /*!< I2C1 INTSTAT: SLVPENDING Position       */
#define I2C1_INTSTAT_SLVPENDING_Msk           (0x01UL << I2C1_INTSTAT_SLVPENDING_Pos)                 /*!< I2C1 INTSTAT: SLVPENDING Mask           */
#define I2C1_INTSTAT_SLVNOTSTR_Pos            11                                                      /*!< I2C1 INTSTAT: SLVNOTSTR Position        */
#define I2C1_INTSTAT_SLVNOTSTR_Msk            (0x01UL << I2C1_INTSTAT_SLVNOTSTR_Pos)                  /*!< I2C1 INTSTAT: SLVNOTSTR Mask            */
#define I2C1_INTSTAT_SLVDESEL_Pos             15                                                      /*!< I2C1 INTSTAT: SLVDESEL Position         */
#define I2C1_INTSTAT_SLVDESEL_Msk             (0x01UL << I2C1_INTSTAT_SLVDESEL_Pos)                   /*!< I2C1 INTSTAT: SLVDESEL Mask             */
#define I2C1_INTSTAT_MONRDY_Pos               16                                                      /*!< I2C1 INTSTAT: MONRDY Position           */
#define I2C1_INTSTAT_MONRDY_Msk               (0x01UL << I2C1_INTSTAT_MONRDY_Pos)                     /*!< I2C1 INTSTAT: MONRDY Mask               */
#define I2C1_INTSTAT_MONOV_Pos                17                                                      /*!< I2C1 INTSTAT: MONOV Position            */
#define I2C1_INTSTAT_MONOV_Msk                (0x01UL << I2C1_INTSTAT_MONOV_Pos)                      /*!< I2C1 INTSTAT: MONOV Mask                */
#define I2C1_INTSTAT_MONIDLE_Pos              19                                                      /*!< I2C1 INTSTAT: MONIDLE Position          */
#define I2C1_INTSTAT_MONIDLE_Msk              (0x01UL << I2C1_INTSTAT_MONIDLE_Pos)                    /*!< I2C1 INTSTAT: MONIDLE Mask              */
#define I2C1_INTSTAT_EVENTTIMEOUT_Pos         24                                                      /*!< I2C1 INTSTAT: EVENTTIMEOUT Position     */
#define I2C1_INTSTAT_EVENTTIMEOUT_Msk         (0x01UL << I2C1_INTSTAT_EVENTTIMEOUT_Pos)               /*!< I2C1 INTSTAT: EVENTTIMEOUT Mask         */
#define I2C1_INTSTAT_SCLTIMEOUT_Pos           25                                                      /*!< I2C1 INTSTAT: SCLTIMEOUT Position       */
#define I2C1_INTSTAT_SCLTIMEOUT_Msk           (0x01UL << I2C1_INTSTAT_SCLTIMEOUT_Pos)                 /*!< I2C1 INTSTAT: SCLTIMEOUT Mask           */

/* ---------------------------------  I2C1_MSTCTL  -------------------------------- */
#define I2C1_MSTCTL_MSTCONTINUE_Pos           0                                                       /*!< I2C1 MSTCTL: MSTCONTINUE Position       */
#define I2C1_MSTCTL_MSTCONTINUE_Msk           (0x01UL << I2C1_MSTCTL_MSTCONTINUE_Pos)                 /*!< I2C1 MSTCTL: MSTCONTINUE Mask           */
#define I2C1_MSTCTL_MSTSTART_Pos              1                                                       /*!< I2C1 MSTCTL: MSTSTART Position          */
#define I2C1_MSTCTL_MSTSTART_Msk              (0x01UL << I2C1_MSTCTL_MSTSTART_Pos)                    /*!< I2C1 MSTCTL: MSTSTART Mask              */
#define I2C1_MSTCTL_MSTSTOP_Pos               2                                                       /*!< I2C1 MSTCTL: MSTSTOP Position           */
#define I2C1_MSTCTL_MSTSTOP_Msk               (0x01UL << I2C1_MSTCTL_MSTSTOP_Pos)                     /*!< I2C1 MSTCTL: MSTSTOP Mask               */
#define I2C1_MSTCTL_MSTDMA_Pos                3                                                       /*!< I2C1 MSTCTL: MSTDMA Position            */
#define I2C1_MSTCTL_MSTDMA_Msk                (0x01UL << I2C1_MSTCTL_MSTDMA_Pos)                      /*!< I2C1 MSTCTL: MSTDMA Mask                */

/* --------------------------------  I2C1_MSTTIME  -------------------------------- */
#define I2C1_MSTTIME_MSTSCLLOW_Pos            0                                                       /*!< I2C1 MSTTIME: MSTSCLLOW Position        */
#define I2C1_MSTTIME_MSTSCLLOW_Msk            (0x07UL << I2C1_MSTTIME_MSTSCLLOW_Pos)                  /*!< I2C1 MSTTIME: MSTSCLLOW Mask            */
#define I2C1_MSTTIME_MSTSCLHIGH_Pos           4                                                       /*!< I2C1 MSTTIME: MSTSCLHIGH Position       */
#define I2C1_MSTTIME_MSTSCLHIGH_Msk           (0x07UL << I2C1_MSTTIME_MSTSCLHIGH_Pos)                 /*!< I2C1 MSTTIME: MSTSCLHIGH Mask           */

/* ---------------------------------  I2C1_MSTDAT  -------------------------------- */
#define I2C1_MSTDAT_DATA_Pos                  0                                                       /*!< I2C1 MSTDAT: DATA Position              */
#define I2C1_MSTDAT_DATA_Msk                  (0x000000ffUL << I2C1_MSTDAT_DATA_Pos)                  /*!< I2C1 MSTDAT: DATA Mask                  */

/* ---------------------------------  I2C1_SLVCTL  -------------------------------- */
#define I2C1_SLVCTL_SLVCONTINUE_Pos           0                                                       /*!< I2C1 SLVCTL: SLVCONTINUE Position       */
#define I2C1_SLVCTL_SLVCONTINUE_Msk           (0x01UL << I2C1_SLVCTL_SLVCONTINUE_Pos)                 /*!< I2C1 SLVCTL: SLVCONTINUE Mask           */
#define I2C1_SLVCTL_SLVNACK_Pos               1                                                       /*!< I2C1 SLVCTL: SLVNACK Position           */
#define I2C1_SLVCTL_SLVNACK_Msk               (0x01UL << I2C1_SLVCTL_SLVNACK_Pos)                     /*!< I2C1 SLVCTL: SLVNACK Mask               */
#define I2C1_SLVCTL_SLVDMA_Pos                3                                                       /*!< I2C1 SLVCTL: SLVDMA Position            */
#define I2C1_SLVCTL_SLVDMA_Msk                (0x01UL << I2C1_SLVCTL_SLVDMA_Pos)                      /*!< I2C1 SLVCTL: SLVDMA Mask                */

/* ---------------------------------  I2C1_SLVDAT  -------------------------------- */
#define I2C1_SLVDAT_DATA_Pos                  0                                                       /*!< I2C1 SLVDAT: DATA Position              */
#define I2C1_SLVDAT_DATA_Msk                  (0x000000ffUL << I2C1_SLVDAT_DATA_Pos)                  /*!< I2C1 SLVDAT: DATA Mask                  */

/* --------------------------------  I2C1_SLVADR0  -------------------------------- */
#define I2C1_SLVADR0_SADISABLE_Pos            0                                                       /*!< I2C1 SLVADR0: SADISABLE Position        */
#define I2C1_SLVADR0_SADISABLE_Msk            (0x01UL << I2C1_SLVADR0_SADISABLE_Pos)                  /*!< I2C1 SLVADR0: SADISABLE Mask            */
#define I2C1_SLVADR0_SLVADR_Pos               1                                                       /*!< I2C1 SLVADR0: SLVADR Position           */
#define I2C1_SLVADR0_SLVADR_Msk               (0x7fUL << I2C1_SLVADR0_SLVADR_Pos)                     /*!< I2C1 SLVADR0: SLVADR Mask               */

/* --------------------------------  I2C1_SLVADR1  -------------------------------- */
#define I2C1_SLVADR1_SADISABLE_Pos            0                                                       /*!< I2C1 SLVADR1: SADISABLE Position        */
#define I2C1_SLVADR1_SADISABLE_Msk            (0x01UL << I2C1_SLVADR1_SADISABLE_Pos)                  /*!< I2C1 SLVADR1: SADISABLE Mask            */
#define I2C1_SLVADR1_SLVADR_Pos               1                                                       /*!< I2C1 SLVADR1: SLVADR Position           */
#define I2C1_SLVADR1_SLVADR_Msk               (0x7fUL << I2C1_SLVADR1_SLVADR_Pos)                     /*!< I2C1 SLVADR1: SLVADR Mask               */

/* --------------------------------  I2C1_SLVADR2  -------------------------------- */
#define I2C1_SLVADR2_SADISABLE_Pos            0                                                       /*!< I2C1 SLVADR2: SADISABLE Position        */
#define I2C1_SLVADR2_SADISABLE_Msk            (0x01UL << I2C1_SLVADR2_SADISABLE_Pos)                  /*!< I2C1 SLVADR2: SADISABLE Mask            */
#define I2C1_SLVADR2_SLVADR_Pos               1                                                       /*!< I2C1 SLVADR2: SLVADR Position           */
#define I2C1_SLVADR2_SLVADR_Msk               (0x7fUL << I2C1_SLVADR2_SLVADR_Pos)                     /*!< I2C1 SLVADR2: SLVADR Mask               */

/* --------------------------------  I2C1_SLVADR3  -------------------------------- */
#define I2C1_SLVADR3_SADISABLE_Pos            0                                                       /*!< I2C1 SLVADR3: SADISABLE Position        */
#define I2C1_SLVADR3_SADISABLE_Msk            (0x01UL << I2C1_SLVADR3_SADISABLE_Pos)                  /*!< I2C1 SLVADR3: SADISABLE Mask            */
#define I2C1_SLVADR3_SLVADR_Pos               1                                                       /*!< I2C1 SLVADR3: SLVADR Position           */
#define I2C1_SLVADR3_SLVADR_Msk               (0x7fUL << I2C1_SLVADR3_SLVADR_Pos)                     /*!< I2C1 SLVADR3: SLVADR Mask               */

/* --------------------------------  I2C1_SLVQUAL0  ------------------------------- */
#define I2C1_SLVQUAL0_QUALMODE0_Pos           0                                                       /*!< I2C1 SLVQUAL0: QUALMODE0 Position       */
#define I2C1_SLVQUAL0_QUALMODE0_Msk           (0x01UL << I2C1_SLVQUAL0_QUALMODE0_Pos)                 /*!< I2C1 SLVQUAL0: QUALMODE0 Mask           */
#define I2C1_SLVQUAL0_SLVQUAL0_Pos            1                                                       /*!< I2C1 SLVQUAL0: SLVQUAL0 Position        */
#define I2C1_SLVQUAL0_SLVQUAL0_Msk            (0x7fUL << I2C1_SLVQUAL0_SLVQUAL0_Pos)                  /*!< I2C1 SLVQUAL0: SLVQUAL0 Mask            */

/* --------------------------------  I2C1_MONRXDAT  ------------------------------- */
#define I2C1_MONRXDAT_MONRXDAT_Pos            0                                                       /*!< I2C1 MONRXDAT: MONRXDAT Position        */
#define I2C1_MONRXDAT_MONRXDAT_Msk            (0x000000ffUL << I2C1_MONRXDAT_MONRXDAT_Pos)            /*!< I2C1 MONRXDAT: MONRXDAT Mask            */
#define I2C1_MONRXDAT_MONSTART_Pos            8                                                       /*!< I2C1 MONRXDAT: MONSTART Position        */
#define I2C1_MONRXDAT_MONSTART_Msk            (0x01UL << I2C1_MONRXDAT_MONSTART_Pos)                  /*!< I2C1 MONRXDAT: MONSTART Mask            */
#define I2C1_MONRXDAT_MONRESTART_Pos          9                                                       /*!< I2C1 MONRXDAT: MONRESTART Position      */
#define I2C1_MONRXDAT_MONRESTART_Msk          (0x01UL << I2C1_MONRXDAT_MONRESTART_Pos)                /*!< I2C1 MONRXDAT: MONRESTART Mask          */
#define I2C1_MONRXDAT_MONNACK_Pos             10                                                      /*!< I2C1 MONRXDAT: MONNACK Position         */
#define I2C1_MONRXDAT_MONNACK_Msk             (0x01UL << I2C1_MONRXDAT_MONNACK_Pos)                   /*!< I2C1 MONRXDAT: MONNACK Mask             */


/* ================================================================================ */
/* ================          struct 'I2C2' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  I2C2_CFG  ---------------------------------- */
#define I2C2_CFG_MSTEN_Pos                    0                                                       /*!< I2C2 CFG: MSTEN Position                */
#define I2C2_CFG_MSTEN_Msk                    (0x01UL << I2C2_CFG_MSTEN_Pos)                          /*!< I2C2 CFG: MSTEN Mask                    */
#define I2C2_CFG_SLVEN_Pos                    1                                                       /*!< I2C2 CFG: SLVEN Position                */
#define I2C2_CFG_SLVEN_Msk                    (0x01UL << I2C2_CFG_SLVEN_Pos)                          /*!< I2C2 CFG: SLVEN Mask                    */
#define I2C2_CFG_MONEN_Pos                    2                                                       /*!< I2C2 CFG: MONEN Position                */
#define I2C2_CFG_MONEN_Msk                    (0x01UL << I2C2_CFG_MONEN_Pos)                          /*!< I2C2 CFG: MONEN Mask                    */
#define I2C2_CFG_TIMEOUTEN_Pos                3                                                       /*!< I2C2 CFG: TIMEOUTEN Position            */
#define I2C2_CFG_TIMEOUTEN_Msk                (0x01UL << I2C2_CFG_TIMEOUTEN_Pos)                      /*!< I2C2 CFG: TIMEOUTEN Mask                */
#define I2C2_CFG_MONCLKSTR_Pos                4                                                       /*!< I2C2 CFG: MONCLKSTR Position            */
#define I2C2_CFG_MONCLKSTR_Msk                (0x01UL << I2C2_CFG_MONCLKSTR_Pos)                      /*!< I2C2 CFG: MONCLKSTR Mask                */
#define I2C2_CFG_HSCAPABLE_Pos                5                                                       /*!< I2C2 CFG: HSCAPABLE Position            */
#define I2C2_CFG_HSCAPABLE_Msk                (0x01UL << I2C2_CFG_HSCAPABLE_Pos)                      /*!< I2C2 CFG: HSCAPABLE Mask                */

/* ----------------------------------  I2C2_STAT  --------------------------------- */
#define I2C2_STAT_MSTPENDING_Pos              0                                                       /*!< I2C2 STAT: MSTPENDING Position          */
#define I2C2_STAT_MSTPENDING_Msk              (0x01UL << I2C2_STAT_MSTPENDING_Pos)                    /*!< I2C2 STAT: MSTPENDING Mask              */
#define I2C2_STAT_MSTSTATE_Pos                1                                                       /*!< I2C2 STAT: MSTSTATE Position            */
#define I2C2_STAT_MSTSTATE_Msk                (0x07UL << I2C2_STAT_MSTSTATE_Pos)                      /*!< I2C2 STAT: MSTSTATE Mask                */
#define I2C2_STAT_MSTARBLOSS_Pos              4                                                       /*!< I2C2 STAT: MSTARBLOSS Position          */
#define I2C2_STAT_MSTARBLOSS_Msk              (0x01UL << I2C2_STAT_MSTARBLOSS_Pos)                    /*!< I2C2 STAT: MSTARBLOSS Mask              */
#define I2C2_STAT_MSTSTSTPERR_Pos             6                                                       /*!< I2C2 STAT: MSTSTSTPERR Position         */
#define I2C2_STAT_MSTSTSTPERR_Msk             (0x01UL << I2C2_STAT_MSTSTSTPERR_Pos)                   /*!< I2C2 STAT: MSTSTSTPERR Mask             */
#define I2C2_STAT_SLVPENDING_Pos              8                                                       /*!< I2C2 STAT: SLVPENDING Position          */
#define I2C2_STAT_SLVPENDING_Msk              (0x01UL << I2C2_STAT_SLVPENDING_Pos)                    /*!< I2C2 STAT: SLVPENDING Mask              */
#define I2C2_STAT_SLVSTATE_Pos                9                                                       /*!< I2C2 STAT: SLVSTATE Position            */
#define I2C2_STAT_SLVSTATE_Msk                (0x03UL << I2C2_STAT_SLVSTATE_Pos)                      /*!< I2C2 STAT: SLVSTATE Mask                */
#define I2C2_STAT_SLVNOTSTR_Pos               11                                                      /*!< I2C2 STAT: SLVNOTSTR Position           */
#define I2C2_STAT_SLVNOTSTR_Msk               (0x01UL << I2C2_STAT_SLVNOTSTR_Pos)                     /*!< I2C2 STAT: SLVNOTSTR Mask               */
#define I2C2_STAT_SLVIDX_Pos                  12                                                      /*!< I2C2 STAT: SLVIDX Position              */
#define I2C2_STAT_SLVIDX_Msk                  (0x03UL << I2C2_STAT_SLVIDX_Pos)                        /*!< I2C2 STAT: SLVIDX Mask                  */
#define I2C2_STAT_SLVSEL_Pos                  14                                                      /*!< I2C2 STAT: SLVSEL Position              */
#define I2C2_STAT_SLVSEL_Msk                  (0x01UL << I2C2_STAT_SLVSEL_Pos)                        /*!< I2C2 STAT: SLVSEL Mask                  */
#define I2C2_STAT_SLVDESEL_Pos                15                                                      /*!< I2C2 STAT: SLVDESEL Position            */
#define I2C2_STAT_SLVDESEL_Msk                (0x01UL << I2C2_STAT_SLVDESEL_Pos)                      /*!< I2C2 STAT: SLVDESEL Mask                */
#define I2C2_STAT_MONRDY_Pos                  16                                                      /*!< I2C2 STAT: MONRDY Position              */
#define I2C2_STAT_MONRDY_Msk                  (0x01UL << I2C2_STAT_MONRDY_Pos)                        /*!< I2C2 STAT: MONRDY Mask                  */
#define I2C2_STAT_MONOV_Pos                   17                                                      /*!< I2C2 STAT: MONOV Position               */
#define I2C2_STAT_MONOV_Msk                   (0x01UL << I2C2_STAT_MONOV_Pos)                         /*!< I2C2 STAT: MONOV Mask                   */
#define I2C2_STAT_MONACTIVE_Pos               18                                                      /*!< I2C2 STAT: MONACTIVE Position           */
#define I2C2_STAT_MONACTIVE_Msk               (0x01UL << I2C2_STAT_MONACTIVE_Pos)                     /*!< I2C2 STAT: MONACTIVE Mask               */
#define I2C2_STAT_MONIDLE_Pos                 19                                                      /*!< I2C2 STAT: MONIDLE Position             */
#define I2C2_STAT_MONIDLE_Msk                 (0x01UL << I2C2_STAT_MONIDLE_Pos)                       /*!< I2C2 STAT: MONIDLE Mask                 */
#define I2C2_STAT_EVENTTIMEOUT_Pos            24                                                      /*!< I2C2 STAT: EVENTTIMEOUT Position        */
#define I2C2_STAT_EVENTTIMEOUT_Msk            (0x01UL << I2C2_STAT_EVENTTIMEOUT_Pos)                  /*!< I2C2 STAT: EVENTTIMEOUT Mask            */
#define I2C2_STAT_SCLTIMEOUT_Pos              25                                                      /*!< I2C2 STAT: SCLTIMEOUT Position          */
#define I2C2_STAT_SCLTIMEOUT_Msk              (0x01UL << I2C2_STAT_SCLTIMEOUT_Pos)                    /*!< I2C2 STAT: SCLTIMEOUT Mask              */

/* --------------------------------  I2C2_INTENSET  ------------------------------- */
#define I2C2_INTENSET_MSTPENDINGEN_Pos        0                                                       /*!< I2C2 INTENSET: MSTPENDINGEN Position    */
#define I2C2_INTENSET_MSTPENDINGEN_Msk        (0x01UL << I2C2_INTENSET_MSTPENDINGEN_Pos)              /*!< I2C2 INTENSET: MSTPENDINGEN Mask        */
#define I2C2_INTENSET_MSTARBLOSSEN_Pos        4                                                       /*!< I2C2 INTENSET: MSTARBLOSSEN Position    */
#define I2C2_INTENSET_MSTARBLOSSEN_Msk        (0x01UL << I2C2_INTENSET_MSTARBLOSSEN_Pos)              /*!< I2C2 INTENSET: MSTARBLOSSEN Mask        */
#define I2C2_INTENSET_MSTSTSTPERREN_Pos       6                                                       /*!< I2C2 INTENSET: MSTSTSTPERREN Position   */
#define I2C2_INTENSET_MSTSTSTPERREN_Msk       (0x01UL << I2C2_INTENSET_MSTSTSTPERREN_Pos)             /*!< I2C2 INTENSET: MSTSTSTPERREN Mask       */
#define I2C2_INTENSET_SLVPENDINGEN_Pos        8                                                       /*!< I2C2 INTENSET: SLVPENDINGEN Position    */
#define I2C2_INTENSET_SLVPENDINGEN_Msk        (0x01UL << I2C2_INTENSET_SLVPENDINGEN_Pos)              /*!< I2C2 INTENSET: SLVPENDINGEN Mask        */
#define I2C2_INTENSET_SLVNOTSTREN_Pos         11                                                      /*!< I2C2 INTENSET: SLVNOTSTREN Position     */
#define I2C2_INTENSET_SLVNOTSTREN_Msk         (0x01UL << I2C2_INTENSET_SLVNOTSTREN_Pos)               /*!< I2C2 INTENSET: SLVNOTSTREN Mask         */
#define I2C2_INTENSET_SLVDESELEN_Pos          15                                                      /*!< I2C2 INTENSET: SLVDESELEN Position      */
#define I2C2_INTENSET_SLVDESELEN_Msk          (0x01UL << I2C2_INTENSET_SLVDESELEN_Pos)                /*!< I2C2 INTENSET: SLVDESELEN Mask          */
#define I2C2_INTENSET_MONRDYEN_Pos            16                                                      /*!< I2C2 INTENSET: MONRDYEN Position        */
#define I2C2_INTENSET_MONRDYEN_Msk            (0x01UL << I2C2_INTENSET_MONRDYEN_Pos)                  /*!< I2C2 INTENSET: MONRDYEN Mask            */
#define I2C2_INTENSET_MONOVEN_Pos             17                                                      /*!< I2C2 INTENSET: MONOVEN Position         */
#define I2C2_INTENSET_MONOVEN_Msk             (0x01UL << I2C2_INTENSET_MONOVEN_Pos)                   /*!< I2C2 INTENSET: MONOVEN Mask             */
#define I2C2_INTENSET_MONIDLEEN_Pos           19                                                      /*!< I2C2 INTENSET: MONIDLEEN Position       */
#define I2C2_INTENSET_MONIDLEEN_Msk           (0x01UL << I2C2_INTENSET_MONIDLEEN_Pos)                 /*!< I2C2 INTENSET: MONIDLEEN Mask           */
#define I2C2_INTENSET_EVENTTIMEOUTEN_Pos      24                                                      /*!< I2C2 INTENSET: EVENTTIMEOUTEN Position  */
#define I2C2_INTENSET_EVENTTIMEOUTEN_Msk      (0x01UL << I2C2_INTENSET_EVENTTIMEOUTEN_Pos)            /*!< I2C2 INTENSET: EVENTTIMEOUTEN Mask      */
#define I2C2_INTENSET_SCLTIMEOUTEN_Pos        25                                                      /*!< I2C2 INTENSET: SCLTIMEOUTEN Position    */
#define I2C2_INTENSET_SCLTIMEOUTEN_Msk        (0x01UL << I2C2_INTENSET_SCLTIMEOUTEN_Pos)              /*!< I2C2 INTENSET: SCLTIMEOUTEN Mask        */

/* --------------------------------  I2C2_INTENCLR  ------------------------------- */
#define I2C2_INTENCLR_MSTPENDINGCLR_Pos       0                                                       /*!< I2C2 INTENCLR: MSTPENDINGCLR Position   */
#define I2C2_INTENCLR_MSTPENDINGCLR_Msk       (0x01UL << I2C2_INTENCLR_MSTPENDINGCLR_Pos)             /*!< I2C2 INTENCLR: MSTPENDINGCLR Mask       */
#define I2C2_INTENCLR_MSTARBLOSSCLR_Pos       4                                                       /*!< I2C2 INTENCLR: MSTARBLOSSCLR Position   */
#define I2C2_INTENCLR_MSTARBLOSSCLR_Msk       (0x01UL << I2C2_INTENCLR_MSTARBLOSSCLR_Pos)             /*!< I2C2 INTENCLR: MSTARBLOSSCLR Mask       */
#define I2C2_INTENCLR_MSTSTSTPERRCLR_Pos      6                                                       /*!< I2C2 INTENCLR: MSTSTSTPERRCLR Position  */
#define I2C2_INTENCLR_MSTSTSTPERRCLR_Msk      (0x01UL << I2C2_INTENCLR_MSTSTSTPERRCLR_Pos)            /*!< I2C2 INTENCLR: MSTSTSTPERRCLR Mask      */
#define I2C2_INTENCLR_SLVPENDINGCLR_Pos       8                                                       /*!< I2C2 INTENCLR: SLVPENDINGCLR Position   */
#define I2C2_INTENCLR_SLVPENDINGCLR_Msk       (0x01UL << I2C2_INTENCLR_SLVPENDINGCLR_Pos)             /*!< I2C2 INTENCLR: SLVPENDINGCLR Mask       */
#define I2C2_INTENCLR_SLVNOTSTRCLR_Pos        11                                                      /*!< I2C2 INTENCLR: SLVNOTSTRCLR Position    */
#define I2C2_INTENCLR_SLVNOTSTRCLR_Msk        (0x01UL << I2C2_INTENCLR_SLVNOTSTRCLR_Pos)              /*!< I2C2 INTENCLR: SLVNOTSTRCLR Mask        */
#define I2C2_INTENCLR_SLVDESELCLR_Pos         15                                                      /*!< I2C2 INTENCLR: SLVDESELCLR Position     */
#define I2C2_INTENCLR_SLVDESELCLR_Msk         (0x01UL << I2C2_INTENCLR_SLVDESELCLR_Pos)               /*!< I2C2 INTENCLR: SLVDESELCLR Mask         */
#define I2C2_INTENCLR_MONRDYCLR_Pos           16                                                      /*!< I2C2 INTENCLR: MONRDYCLR Position       */
#define I2C2_INTENCLR_MONRDYCLR_Msk           (0x01UL << I2C2_INTENCLR_MONRDYCLR_Pos)                 /*!< I2C2 INTENCLR: MONRDYCLR Mask           */
#define I2C2_INTENCLR_MONOVCLR_Pos            17                                                      /*!< I2C2 INTENCLR: MONOVCLR Position        */
#define I2C2_INTENCLR_MONOVCLR_Msk            (0x01UL << I2C2_INTENCLR_MONOVCLR_Pos)                  /*!< I2C2 INTENCLR: MONOVCLR Mask            */
#define I2C2_INTENCLR_MONIDLECLR_Pos          19                                                      /*!< I2C2 INTENCLR: MONIDLECLR Position      */
#define I2C2_INTENCLR_MONIDLECLR_Msk          (0x01UL << I2C2_INTENCLR_MONIDLECLR_Pos)                /*!< I2C2 INTENCLR: MONIDLECLR Mask          */
#define I2C2_INTENCLR_EVENTTIMEOUTCLR_Pos     24                                                      /*!< I2C2 INTENCLR: EVENTTIMEOUTCLR Position */
#define I2C2_INTENCLR_EVENTTIMEOUTCLR_Msk     (0x01UL << I2C2_INTENCLR_EVENTTIMEOUTCLR_Pos)           /*!< I2C2 INTENCLR: EVENTTIMEOUTCLR Mask     */
#define I2C2_INTENCLR_SCLTIMEOUTCLR_Pos       25                                                      /*!< I2C2 INTENCLR: SCLTIMEOUTCLR Position   */
#define I2C2_INTENCLR_SCLTIMEOUTCLR_Msk       (0x01UL << I2C2_INTENCLR_SCLTIMEOUTCLR_Pos)             /*!< I2C2 INTENCLR: SCLTIMEOUTCLR Mask       */

/* --------------------------------  I2C2_TIMEOUT  -------------------------------- */
#define I2C2_TIMEOUT_TOMIN_Pos                0                                                       /*!< I2C2 TIMEOUT: TOMIN Position            */
#define I2C2_TIMEOUT_TOMIN_Msk                (0x0fUL << I2C2_TIMEOUT_TOMIN_Pos)                      /*!< I2C2 TIMEOUT: TOMIN Mask                */
#define I2C2_TIMEOUT_TO_Pos                   4                                                       /*!< I2C2 TIMEOUT: TO Position               */
#define I2C2_TIMEOUT_TO_Msk                   (0x00000fffUL << I2C2_TIMEOUT_TO_Pos)                   /*!< I2C2 TIMEOUT: TO Mask                   */

/* ---------------------------------  I2C2_CLKDIV  -------------------------------- */
#define I2C2_CLKDIV_DIVVAL_Pos                0                                                       /*!< I2C2 CLKDIV: DIVVAL Position            */
#define I2C2_CLKDIV_DIVVAL_Msk                (0x0000ffffUL << I2C2_CLKDIV_DIVVAL_Pos)                /*!< I2C2 CLKDIV: DIVVAL Mask                */

/* --------------------------------  I2C2_INTSTAT  -------------------------------- */
#define I2C2_INTSTAT_MSTPENDING_Pos           0                                                       /*!< I2C2 INTSTAT: MSTPENDING Position       */
#define I2C2_INTSTAT_MSTPENDING_Msk           (0x01UL << I2C2_INTSTAT_MSTPENDING_Pos)                 /*!< I2C2 INTSTAT: MSTPENDING Mask           */
#define I2C2_INTSTAT_MSTARBLOSS_Pos           4                                                       /*!< I2C2 INTSTAT: MSTARBLOSS Position       */
#define I2C2_INTSTAT_MSTARBLOSS_Msk           (0x01UL << I2C2_INTSTAT_MSTARBLOSS_Pos)                 /*!< I2C2 INTSTAT: MSTARBLOSS Mask           */
#define I2C2_INTSTAT_MSTSTSTPERR_Pos          6                                                       /*!< I2C2 INTSTAT: MSTSTSTPERR Position      */
#define I2C2_INTSTAT_MSTSTSTPERR_Msk          (0x01UL << I2C2_INTSTAT_MSTSTSTPERR_Pos)                /*!< I2C2 INTSTAT: MSTSTSTPERR Mask          */
#define I2C2_INTSTAT_SLVPENDING_Pos           8                                                       /*!< I2C2 INTSTAT: SLVPENDING Position       */
#define I2C2_INTSTAT_SLVPENDING_Msk           (0x01UL << I2C2_INTSTAT_SLVPENDING_Pos)                 /*!< I2C2 INTSTAT: SLVPENDING Mask           */
#define I2C2_INTSTAT_SLVNOTSTR_Pos            11                                                      /*!< I2C2 INTSTAT: SLVNOTSTR Position        */
#define I2C2_INTSTAT_SLVNOTSTR_Msk            (0x01UL << I2C2_INTSTAT_SLVNOTSTR_Pos)                  /*!< I2C2 INTSTAT: SLVNOTSTR Mask            */
#define I2C2_INTSTAT_SLVDESEL_Pos             15                                                      /*!< I2C2 INTSTAT: SLVDESEL Position         */
#define I2C2_INTSTAT_SLVDESEL_Msk             (0x01UL << I2C2_INTSTAT_SLVDESEL_Pos)                   /*!< I2C2 INTSTAT: SLVDESEL Mask             */
#define I2C2_INTSTAT_MONRDY_Pos               16                                                      /*!< I2C2 INTSTAT: MONRDY Position           */
#define I2C2_INTSTAT_MONRDY_Msk               (0x01UL << I2C2_INTSTAT_MONRDY_Pos)                     /*!< I2C2 INTSTAT: MONRDY Mask               */
#define I2C2_INTSTAT_MONOV_Pos                17                                                      /*!< I2C2 INTSTAT: MONOV Position            */
#define I2C2_INTSTAT_MONOV_Msk                (0x01UL << I2C2_INTSTAT_MONOV_Pos)                      /*!< I2C2 INTSTAT: MONOV Mask                */
#define I2C2_INTSTAT_MONIDLE_Pos              19                                                      /*!< I2C2 INTSTAT: MONIDLE Position          */
#define I2C2_INTSTAT_MONIDLE_Msk              (0x01UL << I2C2_INTSTAT_MONIDLE_Pos)                    /*!< I2C2 INTSTAT: MONIDLE Mask              */
#define I2C2_INTSTAT_EVENTTIMEOUT_Pos         24                                                      /*!< I2C2 INTSTAT: EVENTTIMEOUT Position     */
#define I2C2_INTSTAT_EVENTTIMEOUT_Msk         (0x01UL << I2C2_INTSTAT_EVENTTIMEOUT_Pos)               /*!< I2C2 INTSTAT: EVENTTIMEOUT Mask         */
#define I2C2_INTSTAT_SCLTIMEOUT_Pos           25                                                      /*!< I2C2 INTSTAT: SCLTIMEOUT Position       */
#define I2C2_INTSTAT_SCLTIMEOUT_Msk           (0x01UL << I2C2_INTSTAT_SCLTIMEOUT_Pos)                 /*!< I2C2 INTSTAT: SCLTIMEOUT Mask           */

/* ---------------------------------  I2C2_MSTCTL  -------------------------------- */
#define I2C2_MSTCTL_MSTCONTINUE_Pos           0                                                       /*!< I2C2 MSTCTL: MSTCONTINUE Position       */
#define I2C2_MSTCTL_MSTCONTINUE_Msk           (0x01UL << I2C2_MSTCTL_MSTCONTINUE_Pos)                 /*!< I2C2 MSTCTL: MSTCONTINUE Mask           */
#define I2C2_MSTCTL_MSTSTART_Pos              1                                                       /*!< I2C2 MSTCTL: MSTSTART Position          */
#define I2C2_MSTCTL_MSTSTART_Msk              (0x01UL << I2C2_MSTCTL_MSTSTART_Pos)                    /*!< I2C2 MSTCTL: MSTSTART Mask              */
#define I2C2_MSTCTL_MSTSTOP_Pos               2                                                       /*!< I2C2 MSTCTL: MSTSTOP Position           */
#define I2C2_MSTCTL_MSTSTOP_Msk               (0x01UL << I2C2_MSTCTL_MSTSTOP_Pos)                     /*!< I2C2 MSTCTL: MSTSTOP Mask               */
#define I2C2_MSTCTL_MSTDMA_Pos                3                                                       /*!< I2C2 MSTCTL: MSTDMA Position            */
#define I2C2_MSTCTL_MSTDMA_Msk                (0x01UL << I2C2_MSTCTL_MSTDMA_Pos)                      /*!< I2C2 MSTCTL: MSTDMA Mask                */

/* --------------------------------  I2C2_MSTTIME  -------------------------------- */
#define I2C2_MSTTIME_MSTSCLLOW_Pos            0                                                       /*!< I2C2 MSTTIME: MSTSCLLOW Position        */
#define I2C2_MSTTIME_MSTSCLLOW_Msk            (0x07UL << I2C2_MSTTIME_MSTSCLLOW_Pos)                  /*!< I2C2 MSTTIME: MSTSCLLOW Mask            */
#define I2C2_MSTTIME_MSTSCLHIGH_Pos           4                                                       /*!< I2C2 MSTTIME: MSTSCLHIGH Position       */
#define I2C2_MSTTIME_MSTSCLHIGH_Msk           (0x07UL << I2C2_MSTTIME_MSTSCLHIGH_Pos)                 /*!< I2C2 MSTTIME: MSTSCLHIGH Mask           */

/* ---------------------------------  I2C2_MSTDAT  -------------------------------- */
#define I2C2_MSTDAT_DATA_Pos                  0                                                       /*!< I2C2 MSTDAT: DATA Position              */
#define I2C2_MSTDAT_DATA_Msk                  (0x000000ffUL << I2C2_MSTDAT_DATA_Pos)                  /*!< I2C2 MSTDAT: DATA Mask                  */

/* ---------------------------------  I2C2_SLVCTL  -------------------------------- */
#define I2C2_SLVCTL_SLVCONTINUE_Pos           0                                                       /*!< I2C2 SLVCTL: SLVCONTINUE Position       */
#define I2C2_SLVCTL_SLVCONTINUE_Msk           (0x01UL << I2C2_SLVCTL_SLVCONTINUE_Pos)                 /*!< I2C2 SLVCTL: SLVCONTINUE Mask           */
#define I2C2_SLVCTL_SLVNACK_Pos               1                                                       /*!< I2C2 SLVCTL: SLVNACK Position           */
#define I2C2_SLVCTL_SLVNACK_Msk               (0x01UL << I2C2_SLVCTL_SLVNACK_Pos)                     /*!< I2C2 SLVCTL: SLVNACK Mask               */
#define I2C2_SLVCTL_SLVDMA_Pos                3                                                       /*!< I2C2 SLVCTL: SLVDMA Position            */
#define I2C2_SLVCTL_SLVDMA_Msk                (0x01UL << I2C2_SLVCTL_SLVDMA_Pos)                      /*!< I2C2 SLVCTL: SLVDMA Mask                */

/* ---------------------------------  I2C2_SLVDAT  -------------------------------- */
#define I2C2_SLVDAT_DATA_Pos                  0                                                       /*!< I2C2 SLVDAT: DATA Position              */
#define I2C2_SLVDAT_DATA_Msk                  (0x000000ffUL << I2C2_SLVDAT_DATA_Pos)                  /*!< I2C2 SLVDAT: DATA Mask                  */

/* --------------------------------  I2C2_SLVADR0  -------------------------------- */
#define I2C2_SLVADR0_SADISABLE_Pos            0                                                       /*!< I2C2 SLVADR0: SADISABLE Position        */
#define I2C2_SLVADR0_SADISABLE_Msk            (0x01UL << I2C2_SLVADR0_SADISABLE_Pos)                  /*!< I2C2 SLVADR0: SADISABLE Mask            */
#define I2C2_SLVADR0_SLVADR_Pos               1                                                       /*!< I2C2 SLVADR0: SLVADR Position           */
#define I2C2_SLVADR0_SLVADR_Msk               (0x7fUL << I2C2_SLVADR0_SLVADR_Pos)                     /*!< I2C2 SLVADR0: SLVADR Mask               */

/* --------------------------------  I2C2_SLVADR1  -------------------------------- */
#define I2C2_SLVADR1_SADISABLE_Pos            0                                                       /*!< I2C2 SLVADR1: SADISABLE Position        */
#define I2C2_SLVADR1_SADISABLE_Msk            (0x01UL << I2C2_SLVADR1_SADISABLE_Pos)                  /*!< I2C2 SLVADR1: SADISABLE Mask            */
#define I2C2_SLVADR1_SLVADR_Pos               1                                                       /*!< I2C2 SLVADR1: SLVADR Position           */
#define I2C2_SLVADR1_SLVADR_Msk               (0x7fUL << I2C2_SLVADR1_SLVADR_Pos)                     /*!< I2C2 SLVADR1: SLVADR Mask               */

/* --------------------------------  I2C2_SLVADR2  -------------------------------- */
#define I2C2_SLVADR2_SADISABLE_Pos            0                                                       /*!< I2C2 SLVADR2: SADISABLE Position        */
#define I2C2_SLVADR2_SADISABLE_Msk            (0x01UL << I2C2_SLVADR2_SADISABLE_Pos)                  /*!< I2C2 SLVADR2: SADISABLE Mask            */
#define I2C2_SLVADR2_SLVADR_Pos               1                                                       /*!< I2C2 SLVADR2: SLVADR Position           */
#define I2C2_SLVADR2_SLVADR_Msk               (0x7fUL << I2C2_SLVADR2_SLVADR_Pos)                     /*!< I2C2 SLVADR2: SLVADR Mask               */

/* --------------------------------  I2C2_SLVADR3  -------------------------------- */
#define I2C2_SLVADR3_SADISABLE_Pos            0                                                       /*!< I2C2 SLVADR3: SADISABLE Position        */
#define I2C2_SLVADR3_SADISABLE_Msk            (0x01UL << I2C2_SLVADR3_SADISABLE_Pos)                  /*!< I2C2 SLVADR3: SADISABLE Mask            */
#define I2C2_SLVADR3_SLVADR_Pos               1                                                       /*!< I2C2 SLVADR3: SLVADR Position           */
#define I2C2_SLVADR3_SLVADR_Msk               (0x7fUL << I2C2_SLVADR3_SLVADR_Pos)                     /*!< I2C2 SLVADR3: SLVADR Mask               */

/* --------------------------------  I2C2_SLVQUAL0  ------------------------------- */
#define I2C2_SLVQUAL0_QUALMODE0_Pos           0                                                       /*!< I2C2 SLVQUAL0: QUALMODE0 Position       */
#define I2C2_SLVQUAL0_QUALMODE0_Msk           (0x01UL << I2C2_SLVQUAL0_QUALMODE0_Pos)                 /*!< I2C2 SLVQUAL0: QUALMODE0 Mask           */
#define I2C2_SLVQUAL0_SLVQUAL0_Pos            1                                                       /*!< I2C2 SLVQUAL0: SLVQUAL0 Position        */
#define I2C2_SLVQUAL0_SLVQUAL0_Msk            (0x7fUL << I2C2_SLVQUAL0_SLVQUAL0_Pos)                  /*!< I2C2 SLVQUAL0: SLVQUAL0 Mask            */

/* --------------------------------  I2C2_MONRXDAT  ------------------------------- */
#define I2C2_MONRXDAT_MONRXDAT_Pos            0                                                       /*!< I2C2 MONRXDAT: MONRXDAT Position        */
#define I2C2_MONRXDAT_MONRXDAT_Msk            (0x000000ffUL << I2C2_MONRXDAT_MONRXDAT_Pos)            /*!< I2C2 MONRXDAT: MONRXDAT Mask            */
#define I2C2_MONRXDAT_MONSTART_Pos            8                                                       /*!< I2C2 MONRXDAT: MONSTART Position        */
#define I2C2_MONRXDAT_MONSTART_Msk            (0x01UL << I2C2_MONRXDAT_MONSTART_Pos)                  /*!< I2C2 MONRXDAT: MONSTART Mask            */
#define I2C2_MONRXDAT_MONRESTART_Pos          9                                                       /*!< I2C2 MONRXDAT: MONRESTART Position      */
#define I2C2_MONRXDAT_MONRESTART_Msk          (0x01UL << I2C2_MONRXDAT_MONRESTART_Pos)                /*!< I2C2 MONRXDAT: MONRESTART Mask          */
#define I2C2_MONRXDAT_MONNACK_Pos             10                                                      /*!< I2C2 MONRXDAT: MONNACK Position         */
#define I2C2_MONRXDAT_MONNACK_Msk             (0x01UL << I2C2_MONRXDAT_MONNACK_Pos)                   /*!< I2C2 MONRXDAT: MONNACK Mask             */


/* ================================================================================ */
/* ================          struct 'SPI0' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  SPI0_CFG  ---------------------------------- */
#define SPI0_CFG_ENABLE_Pos                   0                                                       /*!< SPI0 CFG: ENABLE Position               */
#define SPI0_CFG_ENABLE_Msk                   (0x01UL << SPI0_CFG_ENABLE_Pos)                         /*!< SPI0 CFG: ENABLE Mask                   */
#define SPI0_CFG_MASTER_Pos                   2                                                       /*!< SPI0 CFG: MASTER Position               */
#define SPI0_CFG_MASTER_Msk                   (0x01UL << SPI0_CFG_MASTER_Pos)                         /*!< SPI0 CFG: MASTER Mask                   */
#define SPI0_CFG_LSBF_Pos                     3                                                       /*!< SPI0 CFG: LSBF Position                 */
#define SPI0_CFG_LSBF_Msk                     (0x01UL << SPI0_CFG_LSBF_Pos)                           /*!< SPI0 CFG: LSBF Mask                     */
#define SPI0_CFG_CPHA_Pos                     4                                                       /*!< SPI0 CFG: CPHA Position                 */
#define SPI0_CFG_CPHA_Msk                     (0x01UL << SPI0_CFG_CPHA_Pos)                           /*!< SPI0 CFG: CPHA Mask                     */
#define SPI0_CFG_CPOL_Pos                     5                                                       /*!< SPI0 CFG: CPOL Position                 */
#define SPI0_CFG_CPOL_Msk                     (0x01UL << SPI0_CFG_CPOL_Pos)                           /*!< SPI0 CFG: CPOL Mask                     */
#define SPI0_CFG_LOOP_Pos                     7                                                       /*!< SPI0 CFG: LOOP Position                 */
#define SPI0_CFG_LOOP_Msk                     (0x01UL << SPI0_CFG_LOOP_Pos)                           /*!< SPI0 CFG: LOOP Mask                     */
#define SPI0_CFG_SPOL0_Pos                    8                                                       /*!< SPI0 CFG: SPOL0 Position                */
#define SPI0_CFG_SPOL0_Msk                    (0x01UL << SPI0_CFG_SPOL0_Pos)                          /*!< SPI0 CFG: SPOL0 Mask                    */
#define SPI0_CFG_SPOL1_Pos                    9                                                       /*!< SPI0 CFG: SPOL1 Position                */
#define SPI0_CFG_SPOL1_Msk                    (0x01UL << SPI0_CFG_SPOL1_Pos)                          /*!< SPI0 CFG: SPOL1 Mask                    */
#define SPI0_CFG_SPOL2_Pos                    10                                                      /*!< SPI0 CFG: SPOL2 Position                */
#define SPI0_CFG_SPOL2_Msk                    (0x01UL << SPI0_CFG_SPOL2_Pos)                          /*!< SPI0 CFG: SPOL2 Mask                    */
#define SPI0_CFG_SPOL3_Pos                    11                                                      /*!< SPI0 CFG: SPOL3 Position                */
#define SPI0_CFG_SPOL3_Msk                    (0x01UL << SPI0_CFG_SPOL3_Pos)                          /*!< SPI0 CFG: SPOL3 Mask                    */

/* ----------------------------------  SPI0_DLY  ---------------------------------- */
#define SPI0_DLY_PRE_DELAY_Pos                0                                                       /*!< SPI0 DLY: PRE_DELAY Position            */
#define SPI0_DLY_PRE_DELAY_Msk                (0x0fUL << SPI0_DLY_PRE_DELAY_Pos)                      /*!< SPI0 DLY: PRE_DELAY Mask                */
#define SPI0_DLY_POST_DELAY_Pos               4                                                       /*!< SPI0 DLY: POST_DELAY Position           */
#define SPI0_DLY_POST_DELAY_Msk               (0x0fUL << SPI0_DLY_POST_DELAY_Pos)                     /*!< SPI0 DLY: POST_DELAY Mask               */
#define SPI0_DLY_FRAME_DELAY_Pos              8                                                       /*!< SPI0 DLY: FRAME_DELAY Position          */
#define SPI0_DLY_FRAME_DELAY_Msk              (0x0fUL << SPI0_DLY_FRAME_DELAY_Pos)                    /*!< SPI0 DLY: FRAME_DELAY Mask              */
#define SPI0_DLY_TRANSFER_DELAY_Pos           12                                                      /*!< SPI0 DLY: TRANSFER_DELAY Position       */
#define SPI0_DLY_TRANSFER_DELAY_Msk           (0x0fUL << SPI0_DLY_TRANSFER_DELAY_Pos)                 /*!< SPI0 DLY: TRANSFER_DELAY Mask           */

/* ----------------------------------  SPI0_STAT  --------------------------------- */
#define SPI0_STAT_RXRDY_Pos                   0                                                       /*!< SPI0 STAT: RXRDY Position               */
#define SPI0_STAT_RXRDY_Msk                   (0x01UL << SPI0_STAT_RXRDY_Pos)                         /*!< SPI0 STAT: RXRDY Mask                   */
#define SPI0_STAT_TXRDY_Pos                   1                                                       /*!< SPI0 STAT: TXRDY Position               */
#define SPI0_STAT_TXRDY_Msk                   (0x01UL << SPI0_STAT_TXRDY_Pos)                         /*!< SPI0 STAT: TXRDY Mask                   */
#define SPI0_STAT_RXOV_Pos                    2                                                       /*!< SPI0 STAT: RXOV Position                */
#define SPI0_STAT_RXOV_Msk                    (0x01UL << SPI0_STAT_RXOV_Pos)                          /*!< SPI0 STAT: RXOV Mask                    */
#define SPI0_STAT_TXUR_Pos                    3                                                       /*!< SPI0 STAT: TXUR Position                */
#define SPI0_STAT_TXUR_Msk                    (0x01UL << SPI0_STAT_TXUR_Pos)                          /*!< SPI0 STAT: TXUR Mask                    */
#define SPI0_STAT_SSA_Pos                     4                                                       /*!< SPI0 STAT: SSA Position                 */
#define SPI0_STAT_SSA_Msk                     (0x01UL << SPI0_STAT_SSA_Pos)                           /*!< SPI0 STAT: SSA Mask                     */
#define SPI0_STAT_SSD_Pos                     5                                                       /*!< SPI0 STAT: SSD Position                 */
#define SPI0_STAT_SSD_Msk                     (0x01UL << SPI0_STAT_SSD_Pos)                           /*!< SPI0 STAT: SSD Mask                     */
#define SPI0_STAT_STALLED_Pos                 6                                                       /*!< SPI0 STAT: STALLED Position             */
#define SPI0_STAT_STALLED_Msk                 (0x01UL << SPI0_STAT_STALLED_Pos)                       /*!< SPI0 STAT: STALLED Mask                 */
#define SPI0_STAT_ENDTRANSFER_Pos             7                                                       /*!< SPI0 STAT: ENDTRANSFER Position         */
#define SPI0_STAT_ENDTRANSFER_Msk             (0x01UL << SPI0_STAT_ENDTRANSFER_Pos)                   /*!< SPI0 STAT: ENDTRANSFER Mask             */
#define SPI0_STAT_MSTIDLE_Pos                 8                                                       /*!< SPI0 STAT: MSTIDLE Position             */
#define SPI0_STAT_MSTIDLE_Msk                 (0x01UL << SPI0_STAT_MSTIDLE_Pos)                       /*!< SPI0 STAT: MSTIDLE Mask                 */

/* --------------------------------  SPI0_INTENSET  ------------------------------- */
#define SPI0_INTENSET_RXRDYEN_Pos             0                                                       /*!< SPI0 INTENSET: RXRDYEN Position         */
#define SPI0_INTENSET_RXRDYEN_Msk             (0x01UL << SPI0_INTENSET_RXRDYEN_Pos)                   /*!< SPI0 INTENSET: RXRDYEN Mask             */
#define SPI0_INTENSET_TXRDYEN_Pos             1                                                       /*!< SPI0 INTENSET: TXRDYEN Position         */
#define SPI0_INTENSET_TXRDYEN_Msk             (0x01UL << SPI0_INTENSET_TXRDYEN_Pos)                   /*!< SPI0 INTENSET: TXRDYEN Mask             */
#define SPI0_INTENSET_RXOVEN_Pos              2                                                       /*!< SPI0 INTENSET: RXOVEN Position          */
#define SPI0_INTENSET_RXOVEN_Msk              (0x01UL << SPI0_INTENSET_RXOVEN_Pos)                    /*!< SPI0 INTENSET: RXOVEN Mask              */
#define SPI0_INTENSET_TXUREN_Pos              3                                                       /*!< SPI0 INTENSET: TXUREN Position          */
#define SPI0_INTENSET_TXUREN_Msk              (0x01UL << SPI0_INTENSET_TXUREN_Pos)                    /*!< SPI0 INTENSET: TXUREN Mask              */
#define SPI0_INTENSET_SSAEN_Pos               4                                                       /*!< SPI0 INTENSET: SSAEN Position           */
#define SPI0_INTENSET_SSAEN_Msk               (0x01UL << SPI0_INTENSET_SSAEN_Pos)                     /*!< SPI0 INTENSET: SSAEN Mask               */
#define SPI0_INTENSET_SSDEN_Pos               5                                                       /*!< SPI0 INTENSET: SSDEN Position           */
#define SPI0_INTENSET_SSDEN_Msk               (0x01UL << SPI0_INTENSET_SSDEN_Pos)                     /*!< SPI0 INTENSET: SSDEN Mask               */

/* --------------------------------  SPI0_INTENCLR  ------------------------------- */
#define SPI0_INTENCLR_RXRDYEN_Pos             0                                                       /*!< SPI0 INTENCLR: RXRDYEN Position         */
#define SPI0_INTENCLR_RXRDYEN_Msk             (0x01UL << SPI0_INTENCLR_RXRDYEN_Pos)                   /*!< SPI0 INTENCLR: RXRDYEN Mask             */
#define SPI0_INTENCLR_TXRDYEN_Pos             1                                                       /*!< SPI0 INTENCLR: TXRDYEN Position         */
#define SPI0_INTENCLR_TXRDYEN_Msk             (0x01UL << SPI0_INTENCLR_TXRDYEN_Pos)                   /*!< SPI0 INTENCLR: TXRDYEN Mask             */
#define SPI0_INTENCLR_RXOVEN_Pos              2                                                       /*!< SPI0 INTENCLR: RXOVEN Position          */
#define SPI0_INTENCLR_RXOVEN_Msk              (0x01UL << SPI0_INTENCLR_RXOVEN_Pos)                    /*!< SPI0 INTENCLR: RXOVEN Mask              */
#define SPI0_INTENCLR_TXUREN_Pos              3                                                       /*!< SPI0 INTENCLR: TXUREN Position          */
#define SPI0_INTENCLR_TXUREN_Msk              (0x01UL << SPI0_INTENCLR_TXUREN_Pos)                    /*!< SPI0 INTENCLR: TXUREN Mask              */
#define SPI0_INTENCLR_SSAEN_Pos               4                                                       /*!< SPI0 INTENCLR: SSAEN Position           */
#define SPI0_INTENCLR_SSAEN_Msk               (0x01UL << SPI0_INTENCLR_SSAEN_Pos)                     /*!< SPI0 INTENCLR: SSAEN Mask               */
#define SPI0_INTENCLR_SSDEN_Pos               5                                                       /*!< SPI0 INTENCLR: SSDEN Position           */
#define SPI0_INTENCLR_SSDEN_Msk               (0x01UL << SPI0_INTENCLR_SSDEN_Pos)                     /*!< SPI0 INTENCLR: SSDEN Mask               */

/* ---------------------------------  SPI0_RXDAT  --------------------------------- */
#define SPI0_RXDAT_RXDAT_Pos                  0                                                       /*!< SPI0 RXDAT: RXDAT Position              */
#define SPI0_RXDAT_RXDAT_Msk                  (0x0000ffffUL << SPI0_RXDAT_RXDAT_Pos)                  /*!< SPI0 RXDAT: RXDAT Mask                  */
#define SPI0_RXDAT_RXSSEL0_N_Pos              16                                                      /*!< SPI0 RXDAT: RXSSEL0_N Position          */
#define SPI0_RXDAT_RXSSEL0_N_Msk              (0x01UL << SPI0_RXDAT_RXSSEL0_N_Pos)                    /*!< SPI0 RXDAT: RXSSEL0_N Mask              */
#define SPI0_RXDAT_RXSSEL1_N_Pos              17                                                      /*!< SPI0 RXDAT: RXSSEL1_N Position          */
#define SPI0_RXDAT_RXSSEL1_N_Msk              (0x01UL << SPI0_RXDAT_RXSSEL1_N_Pos)                    /*!< SPI0 RXDAT: RXSSEL1_N Mask              */
#define SPI0_RXDAT_RXSSEL2_N_Pos              18                                                      /*!< SPI0 RXDAT: RXSSEL2_N Position          */
#define SPI0_RXDAT_RXSSEL2_N_Msk              (0x01UL << SPI0_RXDAT_RXSSEL2_N_Pos)                    /*!< SPI0 RXDAT: RXSSEL2_N Mask              */
#define SPI0_RXDAT_RXSSEL3_N_Pos              19                                                      /*!< SPI0 RXDAT: RXSSEL3_N Position          */
#define SPI0_RXDAT_RXSSEL3_N_Msk              (0x01UL << SPI0_RXDAT_RXSSEL3_N_Pos)                    /*!< SPI0 RXDAT: RXSSEL3_N Mask              */
#define SPI0_RXDAT_SOT_Pos                    20                                                      /*!< SPI0 RXDAT: SOT Position                */
#define SPI0_RXDAT_SOT_Msk                    (0x01UL << SPI0_RXDAT_SOT_Pos)                          /*!< SPI0 RXDAT: SOT Mask                    */

/* --------------------------------  SPI0_TXDATCTL  ------------------------------- */
#define SPI0_TXDATCTL_TXDAT_Pos               0                                                       /*!< SPI0 TXDATCTL: TXDAT Position           */
#define SPI0_TXDATCTL_TXDAT_Msk               (0x0000ffffUL << SPI0_TXDATCTL_TXDAT_Pos)               /*!< SPI0 TXDATCTL: TXDAT Mask               */
#define SPI0_TXDATCTL_TXSSEL0_N_Pos           16                                                      /*!< SPI0 TXDATCTL: TXSSEL0_N Position       */
#define SPI0_TXDATCTL_TXSSEL0_N_Msk           (0x01UL << SPI0_TXDATCTL_TXSSEL0_N_Pos)                 /*!< SPI0 TXDATCTL: TXSSEL0_N Mask           */
#define SPI0_TXDATCTL_TXSSEL1_N_Pos           17                                                      /*!< SPI0 TXDATCTL: TXSSEL1_N Position       */
#define SPI0_TXDATCTL_TXSSEL1_N_Msk           (0x01UL << SPI0_TXDATCTL_TXSSEL1_N_Pos)                 /*!< SPI0 TXDATCTL: TXSSEL1_N Mask           */
#define SPI0_TXDATCTL_TXSSEL2_N_Pos           18                                                      /*!< SPI0 TXDATCTL: TXSSEL2_N Position       */
#define SPI0_TXDATCTL_TXSSEL2_N_Msk           (0x01UL << SPI0_TXDATCTL_TXSSEL2_N_Pos)                 /*!< SPI0 TXDATCTL: TXSSEL2_N Mask           */
#define SPI0_TXDATCTL_TXSSEL3_N_Pos           19                                                      /*!< SPI0 TXDATCTL: TXSSEL3_N Position       */
#define SPI0_TXDATCTL_TXSSEL3_N_Msk           (0x01UL << SPI0_TXDATCTL_TXSSEL3_N_Pos)                 /*!< SPI0 TXDATCTL: TXSSEL3_N Mask           */
#define SPI0_TXDATCTL_EOT_Pos                 20                                                      /*!< SPI0 TXDATCTL: EOT Position             */
#define SPI0_TXDATCTL_EOT_Msk                 (0x01UL << SPI0_TXDATCTL_EOT_Pos)                       /*!< SPI0 TXDATCTL: EOT Mask                 */
#define SPI0_TXDATCTL_EOF_Pos                 21                                                      /*!< SPI0 TXDATCTL: EOF Position             */
#define SPI0_TXDATCTL_EOF_Msk                 (0x01UL << SPI0_TXDATCTL_EOF_Pos)                       /*!< SPI0 TXDATCTL: EOF Mask                 */
#define SPI0_TXDATCTL_RXIGNORE_Pos            22                                                      /*!< SPI0 TXDATCTL: RXIGNORE Position        */
#define SPI0_TXDATCTL_RXIGNORE_Msk            (0x01UL << SPI0_TXDATCTL_RXIGNORE_Pos)                  /*!< SPI0 TXDATCTL: RXIGNORE Mask            */
#define SPI0_TXDATCTL_LEN_Pos                 24                                                      /*!< SPI0 TXDATCTL: LEN Position             */
#define SPI0_TXDATCTL_LEN_Msk                 (0x0fUL << SPI0_TXDATCTL_LEN_Pos)                       /*!< SPI0 TXDATCTL: LEN Mask                 */

/* ---------------------------------  SPI0_TXDAT  --------------------------------- */
#define SPI0_TXDAT_DATA_Pos                   0                                                       /*!< SPI0 TXDAT: DATA Position               */
#define SPI0_TXDAT_DATA_Msk                   (0x0000ffffUL << SPI0_TXDAT_DATA_Pos)                   /*!< SPI0 TXDAT: DATA Mask                   */

/* ---------------------------------  SPI0_TXCTL  --------------------------------- */
#define SPI0_TXCTL_TXSSEL0_N_Pos              16                                                      /*!< SPI0 TXCTL: TXSSEL0_N Position          */
#define SPI0_TXCTL_TXSSEL0_N_Msk              (0x01UL << SPI0_TXCTL_TXSSEL0_N_Pos)                    /*!< SPI0 TXCTL: TXSSEL0_N Mask              */
#define SPI0_TXCTL_TXSSEL1_N_Pos              17                                                      /*!< SPI0 TXCTL: TXSSEL1_N Position          */
#define SPI0_TXCTL_TXSSEL1_N_Msk              (0x01UL << SPI0_TXCTL_TXSSEL1_N_Pos)                    /*!< SPI0 TXCTL: TXSSEL1_N Mask              */
#define SPI0_TXCTL_TXSSEL2_N_Pos              18                                                      /*!< SPI0 TXCTL: TXSSEL2_N Position          */
#define SPI0_TXCTL_TXSSEL2_N_Msk              (0x01UL << SPI0_TXCTL_TXSSEL2_N_Pos)                    /*!< SPI0 TXCTL: TXSSEL2_N Mask              */
#define SPI0_TXCTL_TXSSEL3_n_Pos              19                                                      /*!< SPI0 TXCTL: TXSSEL3_n Position          */
#define SPI0_TXCTL_TXSSEL3_n_Msk              (0x01UL << SPI0_TXCTL_TXSSEL3_n_Pos)                    /*!< SPI0 TXCTL: TXSSEL3_n Mask              */
#define SPI0_TXCTL_EOT_Pos                    20                                                      /*!< SPI0 TXCTL: EOT Position                */
#define SPI0_TXCTL_EOT_Msk                    (0x01UL << SPI0_TXCTL_EOT_Pos)                          /*!< SPI0 TXCTL: EOT Mask                    */
#define SPI0_TXCTL_EOF_Pos                    21                                                      /*!< SPI0 TXCTL: EOF Position                */
#define SPI0_TXCTL_EOF_Msk                    (0x01UL << SPI0_TXCTL_EOF_Pos)                          /*!< SPI0 TXCTL: EOF Mask                    */
#define SPI0_TXCTL_RXIGNORE_Pos               22                                                      /*!< SPI0 TXCTL: RXIGNORE Position           */
#define SPI0_TXCTL_RXIGNORE_Msk               (0x01UL << SPI0_TXCTL_RXIGNORE_Pos)                     /*!< SPI0 TXCTL: RXIGNORE Mask               */
#define SPI0_TXCTL_LEN_Pos                    24                                                      /*!< SPI0 TXCTL: LEN Position                */
#define SPI0_TXCTL_LEN_Msk                    (0x0fUL << SPI0_TXCTL_LEN_Pos)                          /*!< SPI0 TXCTL: LEN Mask                    */

/* ----------------------------------  SPI0_DIV  ---------------------------------- */
#define SPI0_DIV_DIVVAL_Pos                   0                                                       /*!< SPI0 DIV: DIVVAL Position               */
#define SPI0_DIV_DIVVAL_Msk                   (0x0000ffffUL << SPI0_DIV_DIVVAL_Pos)                   /*!< SPI0 DIV: DIVVAL Mask                   */

/* --------------------------------  SPI0_INTSTAT  -------------------------------- */
#define SPI0_INTSTAT_RXRDY_Pos                0                                                       /*!< SPI0 INTSTAT: RXRDY Position            */
#define SPI0_INTSTAT_RXRDY_Msk                (0x01UL << SPI0_INTSTAT_RXRDY_Pos)                      /*!< SPI0 INTSTAT: RXRDY Mask                */
#define SPI0_INTSTAT_TXRDY_Pos                1                                                       /*!< SPI0 INTSTAT: TXRDY Position            */
#define SPI0_INTSTAT_TXRDY_Msk                (0x01UL << SPI0_INTSTAT_TXRDY_Pos)                      /*!< SPI0 INTSTAT: TXRDY Mask                */
#define SPI0_INTSTAT_RXOV_Pos                 2                                                       /*!< SPI0 INTSTAT: RXOV Position             */
#define SPI0_INTSTAT_RXOV_Msk                 (0x01UL << SPI0_INTSTAT_RXOV_Pos)                       /*!< SPI0 INTSTAT: RXOV Mask                 */
#define SPI0_INTSTAT_TXUR_Pos                 3                                                       /*!< SPI0 INTSTAT: TXUR Position             */
#define SPI0_INTSTAT_TXUR_Msk                 (0x01UL << SPI0_INTSTAT_TXUR_Pos)                       /*!< SPI0 INTSTAT: TXUR Mask                 */
#define SPI0_INTSTAT_SSA_Pos                  4                                                       /*!< SPI0 INTSTAT: SSA Position              */
#define SPI0_INTSTAT_SSA_Msk                  (0x01UL << SPI0_INTSTAT_SSA_Pos)                        /*!< SPI0 INTSTAT: SSA Mask                  */
#define SPI0_INTSTAT_SSD_Pos                  5                                                       /*!< SPI0 INTSTAT: SSD Position              */
#define SPI0_INTSTAT_SSD_Msk                  (0x01UL << SPI0_INTSTAT_SSD_Pos)                        /*!< SPI0 INTSTAT: SSD Mask                  */


/* ================================================================================ */
/* ================          struct 'SPI1' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  SPI1_CFG  ---------------------------------- */
#define SPI1_CFG_ENABLE_Pos                   0                                                       /*!< SPI1 CFG: ENABLE Position               */
#define SPI1_CFG_ENABLE_Msk                   (0x01UL << SPI1_CFG_ENABLE_Pos)                         /*!< SPI1 CFG: ENABLE Mask                   */
#define SPI1_CFG_MASTER_Pos                   2                                                       /*!< SPI1 CFG: MASTER Position               */
#define SPI1_CFG_MASTER_Msk                   (0x01UL << SPI1_CFG_MASTER_Pos)                         /*!< SPI1 CFG: MASTER Mask                   */
#define SPI1_CFG_LSBF_Pos                     3                                                       /*!< SPI1 CFG: LSBF Position                 */
#define SPI1_CFG_LSBF_Msk                     (0x01UL << SPI1_CFG_LSBF_Pos)                           /*!< SPI1 CFG: LSBF Mask                     */
#define SPI1_CFG_CPHA_Pos                     4                                                       /*!< SPI1 CFG: CPHA Position                 */
#define SPI1_CFG_CPHA_Msk                     (0x01UL << SPI1_CFG_CPHA_Pos)                           /*!< SPI1 CFG: CPHA Mask                     */
#define SPI1_CFG_CPOL_Pos                     5                                                       /*!< SPI1 CFG: CPOL Position                 */
#define SPI1_CFG_CPOL_Msk                     (0x01UL << SPI1_CFG_CPOL_Pos)                           /*!< SPI1 CFG: CPOL Mask                     */
#define SPI1_CFG_LOOP_Pos                     7                                                       /*!< SPI1 CFG: LOOP Position                 */
#define SPI1_CFG_LOOP_Msk                     (0x01UL << SPI1_CFG_LOOP_Pos)                           /*!< SPI1 CFG: LOOP Mask                     */
#define SPI1_CFG_SPOL0_Pos                    8                                                       /*!< SPI1 CFG: SPOL0 Position                */
#define SPI1_CFG_SPOL0_Msk                    (0x01UL << SPI1_CFG_SPOL0_Pos)                          /*!< SPI1 CFG: SPOL0 Mask                    */
#define SPI1_CFG_SPOL1_Pos                    9                                                       /*!< SPI1 CFG: SPOL1 Position                */
#define SPI1_CFG_SPOL1_Msk                    (0x01UL << SPI1_CFG_SPOL1_Pos)                          /*!< SPI1 CFG: SPOL1 Mask                    */
#define SPI1_CFG_SPOL2_Pos                    10                                                      /*!< SPI1 CFG: SPOL2 Position                */
#define SPI1_CFG_SPOL2_Msk                    (0x01UL << SPI1_CFG_SPOL2_Pos)                          /*!< SPI1 CFG: SPOL2 Mask                    */
#define SPI1_CFG_SPOL3_Pos                    11                                                      /*!< SPI1 CFG: SPOL3 Position                */
#define SPI1_CFG_SPOL3_Msk                    (0x01UL << SPI1_CFG_SPOL3_Pos)                          /*!< SPI1 CFG: SPOL3 Mask                    */

/* ----------------------------------  SPI1_DLY  ---------------------------------- */
#define SPI1_DLY_PRE_DELAY_Pos                0                                                       /*!< SPI1 DLY: PRE_DELAY Position            */
#define SPI1_DLY_PRE_DELAY_Msk                (0x0fUL << SPI1_DLY_PRE_DELAY_Pos)                      /*!< SPI1 DLY: PRE_DELAY Mask                */
#define SPI1_DLY_POST_DELAY_Pos               4                                                       /*!< SPI1 DLY: POST_DELAY Position           */
#define SPI1_DLY_POST_DELAY_Msk               (0x0fUL << SPI1_DLY_POST_DELAY_Pos)                     /*!< SPI1 DLY: POST_DELAY Mask               */
#define SPI1_DLY_FRAME_DELAY_Pos              8                                                       /*!< SPI1 DLY: FRAME_DELAY Position          */
#define SPI1_DLY_FRAME_DELAY_Msk              (0x0fUL << SPI1_DLY_FRAME_DELAY_Pos)                    /*!< SPI1 DLY: FRAME_DELAY Mask              */
#define SPI1_DLY_TRANSFER_DELAY_Pos           12                                                      /*!< SPI1 DLY: TRANSFER_DELAY Position       */
#define SPI1_DLY_TRANSFER_DELAY_Msk           (0x0fUL << SPI1_DLY_TRANSFER_DELAY_Pos)                 /*!< SPI1 DLY: TRANSFER_DELAY Mask           */

/* ----------------------------------  SPI1_STAT  --------------------------------- */
#define SPI1_STAT_RXRDY_Pos                   0                                                       /*!< SPI1 STAT: RXRDY Position               */
#define SPI1_STAT_RXRDY_Msk                   (0x01UL << SPI1_STAT_RXRDY_Pos)                         /*!< SPI1 STAT: RXRDY Mask                   */
#define SPI1_STAT_TXRDY_Pos                   1                                                       /*!< SPI1 STAT: TXRDY Position               */
#define SPI1_STAT_TXRDY_Msk                   (0x01UL << SPI1_STAT_TXRDY_Pos)                         /*!< SPI1 STAT: TXRDY Mask                   */
#define SPI1_STAT_RXOV_Pos                    2                                                       /*!< SPI1 STAT: RXOV Position                */
#define SPI1_STAT_RXOV_Msk                    (0x01UL << SPI1_STAT_RXOV_Pos)                          /*!< SPI1 STAT: RXOV Mask                    */
#define SPI1_STAT_TXUR_Pos                    3                                                       /*!< SPI1 STAT: TXUR Position                */
#define SPI1_STAT_TXUR_Msk                    (0x01UL << SPI1_STAT_TXUR_Pos)                          /*!< SPI1 STAT: TXUR Mask                    */
#define SPI1_STAT_SSA_Pos                     4                                                       /*!< SPI1 STAT: SSA Position                 */
#define SPI1_STAT_SSA_Msk                     (0x01UL << SPI1_STAT_SSA_Pos)                           /*!< SPI1 STAT: SSA Mask                     */
#define SPI1_STAT_SSD_Pos                     5                                                       /*!< SPI1 STAT: SSD Position                 */
#define SPI1_STAT_SSD_Msk                     (0x01UL << SPI1_STAT_SSD_Pos)                           /*!< SPI1 STAT: SSD Mask                     */
#define SPI1_STAT_STALLED_Pos                 6                                                       /*!< SPI1 STAT: STALLED Position             */
#define SPI1_STAT_STALLED_Msk                 (0x01UL << SPI1_STAT_STALLED_Pos)                       /*!< SPI1 STAT: STALLED Mask                 */
#define SPI1_STAT_ENDTRANSFER_Pos             7                                                       /*!< SPI1 STAT: ENDTRANSFER Position         */
#define SPI1_STAT_ENDTRANSFER_Msk             (0x01UL << SPI1_STAT_ENDTRANSFER_Pos)                   /*!< SPI1 STAT: ENDTRANSFER Mask             */
#define SPI1_STAT_MSTIDLE_Pos                 8                                                       /*!< SPI1 STAT: MSTIDLE Position             */
#define SPI1_STAT_MSTIDLE_Msk                 (0x01UL << SPI1_STAT_MSTIDLE_Pos)                       /*!< SPI1 STAT: MSTIDLE Mask                 */

/* --------------------------------  SPI1_INTENSET  ------------------------------- */
#define SPI1_INTENSET_RXRDYEN_Pos             0                                                       /*!< SPI1 INTENSET: RXRDYEN Position         */
#define SPI1_INTENSET_RXRDYEN_Msk             (0x01UL << SPI1_INTENSET_RXRDYEN_Pos)                   /*!< SPI1 INTENSET: RXRDYEN Mask             */
#define SPI1_INTENSET_TXRDYEN_Pos             1                                                       /*!< SPI1 INTENSET: TXRDYEN Position         */
#define SPI1_INTENSET_TXRDYEN_Msk             (0x01UL << SPI1_INTENSET_TXRDYEN_Pos)                   /*!< SPI1 INTENSET: TXRDYEN Mask             */
#define SPI1_INTENSET_RXOVEN_Pos              2                                                       /*!< SPI1 INTENSET: RXOVEN Position          */
#define SPI1_INTENSET_RXOVEN_Msk              (0x01UL << SPI1_INTENSET_RXOVEN_Pos)                    /*!< SPI1 INTENSET: RXOVEN Mask              */
#define SPI1_INTENSET_TXUREN_Pos              3                                                       /*!< SPI1 INTENSET: TXUREN Position          */
#define SPI1_INTENSET_TXUREN_Msk              (0x01UL << SPI1_INTENSET_TXUREN_Pos)                    /*!< SPI1 INTENSET: TXUREN Mask              */
#define SPI1_INTENSET_SSAEN_Pos               4                                                       /*!< SPI1 INTENSET: SSAEN Position           */
#define SPI1_INTENSET_SSAEN_Msk               (0x01UL << SPI1_INTENSET_SSAEN_Pos)                     /*!< SPI1 INTENSET: SSAEN Mask               */
#define SPI1_INTENSET_SSDEN_Pos               5                                                       /*!< SPI1 INTENSET: SSDEN Position           */
#define SPI1_INTENSET_SSDEN_Msk               (0x01UL << SPI1_INTENSET_SSDEN_Pos)                     /*!< SPI1 INTENSET: SSDEN Mask               */

/* --------------------------------  SPI1_INTENCLR  ------------------------------- */
#define SPI1_INTENCLR_RXRDYEN_Pos             0                                                       /*!< SPI1 INTENCLR: RXRDYEN Position         */
#define SPI1_INTENCLR_RXRDYEN_Msk             (0x01UL << SPI1_INTENCLR_RXRDYEN_Pos)                   /*!< SPI1 INTENCLR: RXRDYEN Mask             */
#define SPI1_INTENCLR_TXRDYEN_Pos             1                                                       /*!< SPI1 INTENCLR: TXRDYEN Position         */
#define SPI1_INTENCLR_TXRDYEN_Msk             (0x01UL << SPI1_INTENCLR_TXRDYEN_Pos)                   /*!< SPI1 INTENCLR: TXRDYEN Mask             */
#define SPI1_INTENCLR_RXOVEN_Pos              2                                                       /*!< SPI1 INTENCLR: RXOVEN Position          */
#define SPI1_INTENCLR_RXOVEN_Msk              (0x01UL << SPI1_INTENCLR_RXOVEN_Pos)                    /*!< SPI1 INTENCLR: RXOVEN Mask              */
#define SPI1_INTENCLR_TXUREN_Pos              3                                                       /*!< SPI1 INTENCLR: TXUREN Position          */
#define SPI1_INTENCLR_TXUREN_Msk              (0x01UL << SPI1_INTENCLR_TXUREN_Pos)                    /*!< SPI1 INTENCLR: TXUREN Mask              */
#define SPI1_INTENCLR_SSAEN_Pos               4                                                       /*!< SPI1 INTENCLR: SSAEN Position           */
#define SPI1_INTENCLR_SSAEN_Msk               (0x01UL << SPI1_INTENCLR_SSAEN_Pos)                     /*!< SPI1 INTENCLR: SSAEN Mask               */
#define SPI1_INTENCLR_SSDEN_Pos               5                                                       /*!< SPI1 INTENCLR: SSDEN Position           */
#define SPI1_INTENCLR_SSDEN_Msk               (0x01UL << SPI1_INTENCLR_SSDEN_Pos)                     /*!< SPI1 INTENCLR: SSDEN Mask               */

/* ---------------------------------  SPI1_RXDAT  --------------------------------- */
#define SPI1_RXDAT_RXDAT_Pos                  0                                                       /*!< SPI1 RXDAT: RXDAT Position              */
#define SPI1_RXDAT_RXDAT_Msk                  (0x0000ffffUL << SPI1_RXDAT_RXDAT_Pos)                  /*!< SPI1 RXDAT: RXDAT Mask                  */
#define SPI1_RXDAT_RXSSEL0_N_Pos              16                                                      /*!< SPI1 RXDAT: RXSSEL0_N Position          */
#define SPI1_RXDAT_RXSSEL0_N_Msk              (0x01UL << SPI1_RXDAT_RXSSEL0_N_Pos)                    /*!< SPI1 RXDAT: RXSSEL0_N Mask              */
#define SPI1_RXDAT_RXSSEL1_N_Pos              17                                                      /*!< SPI1 RXDAT: RXSSEL1_N Position          */
#define SPI1_RXDAT_RXSSEL1_N_Msk              (0x01UL << SPI1_RXDAT_RXSSEL1_N_Pos)                    /*!< SPI1 RXDAT: RXSSEL1_N Mask              */
#define SPI1_RXDAT_RXSSEL2_N_Pos              18                                                      /*!< SPI1 RXDAT: RXSSEL2_N Position          */
#define SPI1_RXDAT_RXSSEL2_N_Msk              (0x01UL << SPI1_RXDAT_RXSSEL2_N_Pos)                    /*!< SPI1 RXDAT: RXSSEL2_N Mask              */
#define SPI1_RXDAT_RXSSEL3_N_Pos              19                                                      /*!< SPI1 RXDAT: RXSSEL3_N Position          */
#define SPI1_RXDAT_RXSSEL3_N_Msk              (0x01UL << SPI1_RXDAT_RXSSEL3_N_Pos)                    /*!< SPI1 RXDAT: RXSSEL3_N Mask              */
#define SPI1_RXDAT_SOT_Pos                    20                                                      /*!< SPI1 RXDAT: SOT Position                */
#define SPI1_RXDAT_SOT_Msk                    (0x01UL << SPI1_RXDAT_SOT_Pos)                          /*!< SPI1 RXDAT: SOT Mask                    */

/* --------------------------------  SPI1_TXDATCTL  ------------------------------- */
#define SPI1_TXDATCTL_TXDAT_Pos               0                                                       /*!< SPI1 TXDATCTL: TXDAT Position           */
#define SPI1_TXDATCTL_TXDAT_Msk               (0x0000ffffUL << SPI1_TXDATCTL_TXDAT_Pos)               /*!< SPI1 TXDATCTL: TXDAT Mask               */
#define SPI1_TXDATCTL_TXSSEL0_N_Pos           16                                                      /*!< SPI1 TXDATCTL: TXSSEL0_N Position       */
#define SPI1_TXDATCTL_TXSSEL0_N_Msk           (0x01UL << SPI1_TXDATCTL_TXSSEL0_N_Pos)                 /*!< SPI1 TXDATCTL: TXSSEL0_N Mask           */
#define SPI1_TXDATCTL_TXSSEL1_N_Pos           17                                                      /*!< SPI1 TXDATCTL: TXSSEL1_N Position       */
#define SPI1_TXDATCTL_TXSSEL1_N_Msk           (0x01UL << SPI1_TXDATCTL_TXSSEL1_N_Pos)                 /*!< SPI1 TXDATCTL: TXSSEL1_N Mask           */
#define SPI1_TXDATCTL_TXSSEL2_N_Pos           18                                                      /*!< SPI1 TXDATCTL: TXSSEL2_N Position       */
#define SPI1_TXDATCTL_TXSSEL2_N_Msk           (0x01UL << SPI1_TXDATCTL_TXSSEL2_N_Pos)                 /*!< SPI1 TXDATCTL: TXSSEL2_N Mask           */
#define SPI1_TXDATCTL_TXSSEL3_N_Pos           19                                                      /*!< SPI1 TXDATCTL: TXSSEL3_N Position       */
#define SPI1_TXDATCTL_TXSSEL3_N_Msk           (0x01UL << SPI1_TXDATCTL_TXSSEL3_N_Pos)                 /*!< SPI1 TXDATCTL: TXSSEL3_N Mask           */
#define SPI1_TXDATCTL_EOT_Pos                 20                                                      /*!< SPI1 TXDATCTL: EOT Position             */
#define SPI1_TXDATCTL_EOT_Msk                 (0x01UL << SPI1_TXDATCTL_EOT_Pos)                       /*!< SPI1 TXDATCTL: EOT Mask                 */
#define SPI1_TXDATCTL_EOF_Pos                 21                                                      /*!< SPI1 TXDATCTL: EOF Position             */
#define SPI1_TXDATCTL_EOF_Msk                 (0x01UL << SPI1_TXDATCTL_EOF_Pos)                       /*!< SPI1 TXDATCTL: EOF Mask                 */
#define SPI1_TXDATCTL_RXIGNORE_Pos            22                                                      /*!< SPI1 TXDATCTL: RXIGNORE Position        */
#define SPI1_TXDATCTL_RXIGNORE_Msk            (0x01UL << SPI1_TXDATCTL_RXIGNORE_Pos)                  /*!< SPI1 TXDATCTL: RXIGNORE Mask            */
#define SPI1_TXDATCTL_LEN_Pos                 24                                                      /*!< SPI1 TXDATCTL: LEN Position             */
#define SPI1_TXDATCTL_LEN_Msk                 (0x0fUL << SPI1_TXDATCTL_LEN_Pos)                       /*!< SPI1 TXDATCTL: LEN Mask                 */

/* ---------------------------------  SPI1_TXDAT  --------------------------------- */
#define SPI1_TXDAT_DATA_Pos                   0                                                       /*!< SPI1 TXDAT: DATA Position               */
#define SPI1_TXDAT_DATA_Msk                   (0x0000ffffUL << SPI1_TXDAT_DATA_Pos)                   /*!< SPI1 TXDAT: DATA Mask                   */

/* ---------------------------------  SPI1_TXCTL  --------------------------------- */
#define SPI1_TXCTL_TXSSEL0_N_Pos              16                                                      /*!< SPI1 TXCTL: TXSSEL0_N Position          */
#define SPI1_TXCTL_TXSSEL0_N_Msk              (0x01UL << SPI1_TXCTL_TXSSEL0_N_Pos)                    /*!< SPI1 TXCTL: TXSSEL0_N Mask              */
#define SPI1_TXCTL_TXSSEL1_N_Pos              17                                                      /*!< SPI1 TXCTL: TXSSEL1_N Position          */
#define SPI1_TXCTL_TXSSEL1_N_Msk              (0x01UL << SPI1_TXCTL_TXSSEL1_N_Pos)                    /*!< SPI1 TXCTL: TXSSEL1_N Mask              */
#define SPI1_TXCTL_TXSSEL2_N_Pos              18                                                      /*!< SPI1 TXCTL: TXSSEL2_N Position          */
#define SPI1_TXCTL_TXSSEL2_N_Msk              (0x01UL << SPI1_TXCTL_TXSSEL2_N_Pos)                    /*!< SPI1 TXCTL: TXSSEL2_N Mask              */
#define SPI1_TXCTL_TXSSEL3_n_Pos              19                                                      /*!< SPI1 TXCTL: TXSSEL3_n Position          */
#define SPI1_TXCTL_TXSSEL3_n_Msk              (0x01UL << SPI1_TXCTL_TXSSEL3_n_Pos)                    /*!< SPI1 TXCTL: TXSSEL3_n Mask              */
#define SPI1_TXCTL_EOT_Pos                    20                                                      /*!< SPI1 TXCTL: EOT Position                */
#define SPI1_TXCTL_EOT_Msk                    (0x01UL << SPI1_TXCTL_EOT_Pos)                          /*!< SPI1 TXCTL: EOT Mask                    */
#define SPI1_TXCTL_EOF_Pos                    21                                                      /*!< SPI1 TXCTL: EOF Position                */
#define SPI1_TXCTL_EOF_Msk                    (0x01UL << SPI1_TXCTL_EOF_Pos)                          /*!< SPI1 TXCTL: EOF Mask                    */
#define SPI1_TXCTL_RXIGNORE_Pos               22                                                      /*!< SPI1 TXCTL: RXIGNORE Position           */
#define SPI1_TXCTL_RXIGNORE_Msk               (0x01UL << SPI1_TXCTL_RXIGNORE_Pos)                     /*!< SPI1 TXCTL: RXIGNORE Mask               */
#define SPI1_TXCTL_LEN_Pos                    24                                                      /*!< SPI1 TXCTL: LEN Position                */
#define SPI1_TXCTL_LEN_Msk                    (0x0fUL << SPI1_TXCTL_LEN_Pos)                          /*!< SPI1 TXCTL: LEN Mask                    */

/* ----------------------------------  SPI1_DIV  ---------------------------------- */
#define SPI1_DIV_DIVVAL_Pos                   0                                                       /*!< SPI1 DIV: DIVVAL Position               */
#define SPI1_DIV_DIVVAL_Msk                   (0x0000ffffUL << SPI1_DIV_DIVVAL_Pos)                   /*!< SPI1 DIV: DIVVAL Mask                   */

/* --------------------------------  SPI1_INTSTAT  -------------------------------- */
#define SPI1_INTSTAT_RXRDY_Pos                0                                                       /*!< SPI1 INTSTAT: RXRDY Position            */
#define SPI1_INTSTAT_RXRDY_Msk                (0x01UL << SPI1_INTSTAT_RXRDY_Pos)                      /*!< SPI1 INTSTAT: RXRDY Mask                */
#define SPI1_INTSTAT_TXRDY_Pos                1                                                       /*!< SPI1 INTSTAT: TXRDY Position            */
#define SPI1_INTSTAT_TXRDY_Msk                (0x01UL << SPI1_INTSTAT_TXRDY_Pos)                      /*!< SPI1 INTSTAT: TXRDY Mask                */
#define SPI1_INTSTAT_RXOV_Pos                 2                                                       /*!< SPI1 INTSTAT: RXOV Position             */
#define SPI1_INTSTAT_RXOV_Msk                 (0x01UL << SPI1_INTSTAT_RXOV_Pos)                       /*!< SPI1 INTSTAT: RXOV Mask                 */
#define SPI1_INTSTAT_TXUR_Pos                 3                                                       /*!< SPI1 INTSTAT: TXUR Position             */
#define SPI1_INTSTAT_TXUR_Msk                 (0x01UL << SPI1_INTSTAT_TXUR_Pos)                       /*!< SPI1 INTSTAT: TXUR Mask                 */
#define SPI1_INTSTAT_SSA_Pos                  4                                                       /*!< SPI1 INTSTAT: SSA Position              */
#define SPI1_INTSTAT_SSA_Msk                  (0x01UL << SPI1_INTSTAT_SSA_Pos)                        /*!< SPI1 INTSTAT: SSA Mask                  */
#define SPI1_INTSTAT_SSD_Pos                  5                                                       /*!< SPI1 INTSTAT: SSD Position              */
#define SPI1_INTSTAT_SSD_Msk                  (0x01UL << SPI1_INTSTAT_SSD_Pos)                        /*!< SPI1 INTSTAT: SSD Mask                  */


/* ================================================================================ */
/* ================         struct 'CT32B0' Position & Mask        ================ */
/* ================================================================================ */


/* ----------------------------------  CT32B0_IR  --------------------------------- */
#define CT32B0_IR_MR0INT_Pos                  0                                                       /*!< CT32B0 IR: MR0INT Position              */
#define CT32B0_IR_MR0INT_Msk                  (0x01UL << CT32B0_IR_MR0INT_Pos)                        /*!< CT32B0 IR: MR0INT Mask                  */
#define CT32B0_IR_MR1INT_Pos                  1                                                       /*!< CT32B0 IR: MR1INT Position              */
#define CT32B0_IR_MR1INT_Msk                  (0x01UL << CT32B0_IR_MR1INT_Pos)                        /*!< CT32B0 IR: MR1INT Mask                  */
#define CT32B0_IR_MR2INT_Pos                  2                                                       /*!< CT32B0 IR: MR2INT Position              */
#define CT32B0_IR_MR2INT_Msk                  (0x01UL << CT32B0_IR_MR2INT_Pos)                        /*!< CT32B0 IR: MR2INT Mask                  */
#define CT32B0_IR_MR3INT_Pos                  3                                                       /*!< CT32B0 IR: MR3INT Position              */
#define CT32B0_IR_MR3INT_Msk                  (0x01UL << CT32B0_IR_MR3INT_Pos)                        /*!< CT32B0 IR: MR3INT Mask                  */
#define CT32B0_IR_CR0INT_Pos                  4                                                       /*!< CT32B0 IR: CR0INT Position              */
#define CT32B0_IR_CR0INT_Msk                  (0x01UL << CT32B0_IR_CR0INT_Pos)                        /*!< CT32B0 IR: CR0INT Mask                  */
#define CT32B0_IR_CR1INT_Pos                  5                                                       /*!< CT32B0 IR: CR1INT Position              */
#define CT32B0_IR_CR1INT_Msk                  (0x01UL << CT32B0_IR_CR1INT_Pos)                        /*!< CT32B0 IR: CR1INT Mask                  */
#define CT32B0_IR_CR2INT_Pos                  6                                                       /*!< CT32B0 IR: CR2INT Position              */
#define CT32B0_IR_CR2INT_Msk                  (0x01UL << CT32B0_IR_CR2INT_Pos)                        /*!< CT32B0 IR: CR2INT Mask                  */
#define CT32B0_IR_CR3INT_Pos                  7                                                       /*!< CT32B0 IR: CR3INT Position              */
#define CT32B0_IR_CR3INT_Msk                  (0x01UL << CT32B0_IR_CR3INT_Pos)                        /*!< CT32B0 IR: CR3INT Mask                  */

/* ---------------------------------  CT32B0_TCR  --------------------------------- */
#define CT32B0_TCR_CEN_Pos                    0                                                       /*!< CT32B0 TCR: CEN Position                */
#define CT32B0_TCR_CEN_Msk                    (0x01UL << CT32B0_TCR_CEN_Pos)                          /*!< CT32B0 TCR: CEN Mask                    */
#define CT32B0_TCR_CRST_Pos                   1                                                       /*!< CT32B0 TCR: CRST Position               */
#define CT32B0_TCR_CRST_Msk                   (0x01UL << CT32B0_TCR_CRST_Pos)                         /*!< CT32B0 TCR: CRST Mask                   */

/* ----------------------------------  CT32B0_TC  --------------------------------- */
#define CT32B0_TC_TCVAL_Pos                   0                                                       /*!< CT32B0 TC: TCVAL Position               */
#define CT32B0_TC_TCVAL_Msk                   (0xffffffffUL << CT32B0_TC_TCVAL_Pos)                   /*!< CT32B0 TC: TCVAL Mask                   */

/* ----------------------------------  CT32B0_PR  --------------------------------- */
#define CT32B0_PR_PRVAL_Pos                   0                                                       /*!< CT32B0 PR: PRVAL Position               */
#define CT32B0_PR_PRVAL_Msk                   (0xffffffffUL << CT32B0_PR_PRVAL_Pos)                   /*!< CT32B0 PR: PRVAL Mask                   */

/* ----------------------------------  CT32B0_PC  --------------------------------- */
#define CT32B0_PC_PCVAL_Pos                   0                                                       /*!< CT32B0 PC: PCVAL Position               */
#define CT32B0_PC_PCVAL_Msk                   (0xffffffffUL << CT32B0_PC_PCVAL_Pos)                   /*!< CT32B0 PC: PCVAL Mask                   */

/* ---------------------------------  CT32B0_MCR  --------------------------------- */
#define CT32B0_MCR_MR0I_Pos                   0                                                       /*!< CT32B0 MCR: MR0I Position               */
#define CT32B0_MCR_MR0I_Msk                   (0x01UL << CT32B0_MCR_MR0I_Pos)                         /*!< CT32B0 MCR: MR0I Mask                   */
#define CT32B0_MCR_MR0R_Pos                   1                                                       /*!< CT32B0 MCR: MR0R Position               */
#define CT32B0_MCR_MR0R_Msk                   (0x01UL << CT32B0_MCR_MR0R_Pos)                         /*!< CT32B0 MCR: MR0R Mask                   */
#define CT32B0_MCR_MR0S_Pos                   2                                                       /*!< CT32B0 MCR: MR0S Position               */
#define CT32B0_MCR_MR0S_Msk                   (0x01UL << CT32B0_MCR_MR0S_Pos)                         /*!< CT32B0 MCR: MR0S Mask                   */
#define CT32B0_MCR_MR1I_Pos                   3                                                       /*!< CT32B0 MCR: MR1I Position               */
#define CT32B0_MCR_MR1I_Msk                   (0x01UL << CT32B0_MCR_MR1I_Pos)                         /*!< CT32B0 MCR: MR1I Mask                   */
#define CT32B0_MCR_MR1R_Pos                   4                                                       /*!< CT32B0 MCR: MR1R Position               */
#define CT32B0_MCR_MR1R_Msk                   (0x01UL << CT32B0_MCR_MR1R_Pos)                         /*!< CT32B0 MCR: MR1R Mask                   */
#define CT32B0_MCR_MR1S_Pos                   5                                                       /*!< CT32B0 MCR: MR1S Position               */
#define CT32B0_MCR_MR1S_Msk                   (0x01UL << CT32B0_MCR_MR1S_Pos)                         /*!< CT32B0 MCR: MR1S Mask                   */
#define CT32B0_MCR_MR2I_Pos                   6                                                       /*!< CT32B0 MCR: MR2I Position               */
#define CT32B0_MCR_MR2I_Msk                   (0x01UL << CT32B0_MCR_MR2I_Pos)                         /*!< CT32B0 MCR: MR2I Mask                   */
#define CT32B0_MCR_MR2R_Pos                   7                                                       /*!< CT32B0 MCR: MR2R Position               */
#define CT32B0_MCR_MR2R_Msk                   (0x01UL << CT32B0_MCR_MR2R_Pos)                         /*!< CT32B0 MCR: MR2R Mask                   */
#define CT32B0_MCR_MR2S_Pos                   8                                                       /*!< CT32B0 MCR: MR2S Position               */
#define CT32B0_MCR_MR2S_Msk                   (0x01UL << CT32B0_MCR_MR2S_Pos)                         /*!< CT32B0 MCR: MR2S Mask                   */
#define CT32B0_MCR_MR3I_Pos                   9                                                       /*!< CT32B0 MCR: MR3I Position               */
#define CT32B0_MCR_MR3I_Msk                   (0x01UL << CT32B0_MCR_MR3I_Pos)                         /*!< CT32B0 MCR: MR3I Mask                   */
#define CT32B0_MCR_MR3R_Pos                   10                                                      /*!< CT32B0 MCR: MR3R Position               */
#define CT32B0_MCR_MR3R_Msk                   (0x01UL << CT32B0_MCR_MR3R_Pos)                         /*!< CT32B0 MCR: MR3R Mask                   */
#define CT32B0_MCR_MR3S_Pos                   11                                                      /*!< CT32B0 MCR: MR3S Position               */
#define CT32B0_MCR_MR3S_Msk                   (0x01UL << CT32B0_MCR_MR3S_Pos)                         /*!< CT32B0 MCR: MR3S Mask                   */

/* ---------------------------------  CT32B0_MR0  --------------------------------- */
#define CT32B0_MR0_MATCH_Pos                  0                                                       /*!< CT32B0 MR0: MATCH Position              */
#define CT32B0_MR0_MATCH_Msk                  (0xffffffffUL << CT32B0_MR0_MATCH_Pos)                  /*!< CT32B0 MR0: MATCH Mask                  */

/* ---------------------------------  CT32B0_MR1  --------------------------------- */
#define CT32B0_MR1_MATCH_Pos                  0                                                       /*!< CT32B0 MR1: MATCH Position              */
#define CT32B0_MR1_MATCH_Msk                  (0xffffffffUL << CT32B0_MR1_MATCH_Pos)                  /*!< CT32B0 MR1: MATCH Mask                  */

/* ---------------------------------  CT32B0_MR2  --------------------------------- */
#define CT32B0_MR2_MATCH_Pos                  0                                                       /*!< CT32B0 MR2: MATCH Position              */
#define CT32B0_MR2_MATCH_Msk                  (0xffffffffUL << CT32B0_MR2_MATCH_Pos)                  /*!< CT32B0 MR2: MATCH Mask                  */

/* ---------------------------------  CT32B0_MR3  --------------------------------- */
#define CT32B0_MR3_MATCH_Pos                  0                                                       /*!< CT32B0 MR3: MATCH Position              */
#define CT32B0_MR3_MATCH_Msk                  (0xffffffffUL << CT32B0_MR3_MATCH_Pos)                  /*!< CT32B0 MR3: MATCH Mask                  */

/* ---------------------------------  CT32B0_CCR  --------------------------------- */
#define CT32B0_CCR_CAP0RE_Pos                 0                                                       /*!< CT32B0 CCR: CAP0RE Position             */
#define CT32B0_CCR_CAP0RE_Msk                 (0x01UL << CT32B0_CCR_CAP0RE_Pos)                       /*!< CT32B0 CCR: CAP0RE Mask                 */
#define CT32B0_CCR_CAP0FE_Pos                 1                                                       /*!< CT32B0 CCR: CAP0FE Position             */
#define CT32B0_CCR_CAP0FE_Msk                 (0x01UL << CT32B0_CCR_CAP0FE_Pos)                       /*!< CT32B0 CCR: CAP0FE Mask                 */
#define CT32B0_CCR_CAP0I_Pos                  2                                                       /*!< CT32B0 CCR: CAP0I Position              */
#define CT32B0_CCR_CAP0I_Msk                  (0x01UL << CT32B0_CCR_CAP0I_Pos)                        /*!< CT32B0 CCR: CAP0I Mask                  */
#define CT32B0_CCR_CAP1RE_Pos                 3                                                       /*!< CT32B0 CCR: CAP1RE Position             */
#define CT32B0_CCR_CAP1RE_Msk                 (0x01UL << CT32B0_CCR_CAP1RE_Pos)                       /*!< CT32B0 CCR: CAP1RE Mask                 */
#define CT32B0_CCR_CAP1FE_Pos                 4                                                       /*!< CT32B0 CCR: CAP1FE Position             */
#define CT32B0_CCR_CAP1FE_Msk                 (0x01UL << CT32B0_CCR_CAP1FE_Pos)                       /*!< CT32B0 CCR: CAP1FE Mask                 */
#define CT32B0_CCR_CAP1I_Pos                  5                                                       /*!< CT32B0 CCR: CAP1I Position              */
#define CT32B0_CCR_CAP1I_Msk                  (0x01UL << CT32B0_CCR_CAP1I_Pos)                        /*!< CT32B0 CCR: CAP1I Mask                  */
#define CT32B0_CCR_CAP2RE_Pos                 6                                                       /*!< CT32B0 CCR: CAP2RE Position             */
#define CT32B0_CCR_CAP2RE_Msk                 (0x01UL << CT32B0_CCR_CAP2RE_Pos)                       /*!< CT32B0 CCR: CAP2RE Mask                 */
#define CT32B0_CCR_CAP2FE_Pos                 7                                                       /*!< CT32B0 CCR: CAP2FE Position             */
#define CT32B0_CCR_CAP2FE_Msk                 (0x01UL << CT32B0_CCR_CAP2FE_Pos)                       /*!< CT32B0 CCR: CAP2FE Mask                 */
#define CT32B0_CCR_CAP2I_Pos                  8                                                       /*!< CT32B0 CCR: CAP2I Position              */
#define CT32B0_CCR_CAP2I_Msk                  (0x01UL << CT32B0_CCR_CAP2I_Pos)                        /*!< CT32B0 CCR: CAP2I Mask                  */
#define CT32B0_CCR_CAP3RE_Pos                 9                                                       /*!< CT32B0 CCR: CAP3RE Position             */
#define CT32B0_CCR_CAP3RE_Msk                 (0x01UL << CT32B0_CCR_CAP3RE_Pos)                       /*!< CT32B0 CCR: CAP3RE Mask                 */
#define CT32B0_CCR_CAP3FE_Pos                 10                                                      /*!< CT32B0 CCR: CAP3FE Position             */
#define CT32B0_CCR_CAP3FE_Msk                 (0x01UL << CT32B0_CCR_CAP3FE_Pos)                       /*!< CT32B0 CCR: CAP3FE Mask                 */
#define CT32B0_CCR_CAP3I_Pos                  11                                                      /*!< CT32B0 CCR: CAP3I Position              */
#define CT32B0_CCR_CAP3I_Msk                  (0x01UL << CT32B0_CCR_CAP3I_Pos)                        /*!< CT32B0 CCR: CAP3I Mask                  */

/* ---------------------------------  CT32B0_CR0  --------------------------------- */
#define CT32B0_CR0_CAP_Pos                    0                                                       /*!< CT32B0 CR0: CAP Position                */
#define CT32B0_CR0_CAP_Msk                    (0xffffffffUL << CT32B0_CR0_CAP_Pos)                    /*!< CT32B0 CR0: CAP Mask                    */

/* ---------------------------------  CT32B0_CR1  --------------------------------- */
#define CT32B0_CR1_CAP_Pos                    0                                                       /*!< CT32B0 CR1: CAP Position                */
#define CT32B0_CR1_CAP_Msk                    (0xffffffffUL << CT32B0_CR1_CAP_Pos)                    /*!< CT32B0 CR1: CAP Mask                    */

/* ---------------------------------  CT32B0_CR2  --------------------------------- */
#define CT32B0_CR2_CAP_Pos                    0                                                       /*!< CT32B0 CR2: CAP Position                */
#define CT32B0_CR2_CAP_Msk                    (0xffffffffUL << CT32B0_CR2_CAP_Pos)                    /*!< CT32B0 CR2: CAP Mask                    */

/* ---------------------------------  CT32B0_CR3  --------------------------------- */
#define CT32B0_CR3_CAP_Pos                    0                                                       /*!< CT32B0 CR3: CAP Position                */
#define CT32B0_CR3_CAP_Msk                    (0xffffffffUL << CT32B0_CR3_CAP_Pos)                    /*!< CT32B0 CR3: CAP Mask                    */

/* ---------------------------------  CT32B0_EMR  --------------------------------- */
#define CT32B0_EMR_EM0_Pos                    0                                                       /*!< CT32B0 EMR: EM0 Position                */
#define CT32B0_EMR_EM0_Msk                    (0x01UL << CT32B0_EMR_EM0_Pos)                          /*!< CT32B0 EMR: EM0 Mask                    */
#define CT32B0_EMR_EM1_Pos                    1                                                       /*!< CT32B0 EMR: EM1 Position                */
#define CT32B0_EMR_EM1_Msk                    (0x01UL << CT32B0_EMR_EM1_Pos)                          /*!< CT32B0 EMR: EM1 Mask                    */
#define CT32B0_EMR_EM2_Pos                    2                                                       /*!< CT32B0 EMR: EM2 Position                */
#define CT32B0_EMR_EM2_Msk                    (0x01UL << CT32B0_EMR_EM2_Pos)                          /*!< CT32B0 EMR: EM2 Mask                    */
#define CT32B0_EMR_EM3_Pos                    3                                                       /*!< CT32B0 EMR: EM3 Position                */
#define CT32B0_EMR_EM3_Msk                    (0x01UL << CT32B0_EMR_EM3_Pos)                          /*!< CT32B0 EMR: EM3 Mask                    */
#define CT32B0_EMR_EMC0_Pos                   4                                                       /*!< CT32B0 EMR: EMC0 Position               */
#define CT32B0_EMR_EMC0_Msk                   (0x03UL << CT32B0_EMR_EMC0_Pos)                         /*!< CT32B0 EMR: EMC0 Mask                   */
#define CT32B0_EMR_EMC1_Pos                   6                                                       /*!< CT32B0 EMR: EMC1 Position               */
#define CT32B0_EMR_EMC1_Msk                   (0x03UL << CT32B0_EMR_EMC1_Pos)                         /*!< CT32B0 EMR: EMC1 Mask                   */
#define CT32B0_EMR_EMC2_Pos                   8                                                       /*!< CT32B0 EMR: EMC2 Position               */
#define CT32B0_EMR_EMC2_Msk                   (0x03UL << CT32B0_EMR_EMC2_Pos)                         /*!< CT32B0 EMR: EMC2 Mask                   */
#define CT32B0_EMR_EMC3_Pos                   10                                                      /*!< CT32B0 EMR: EMC3 Position               */
#define CT32B0_EMR_EMC3_Msk                   (0x03UL << CT32B0_EMR_EMC3_Pos)                         /*!< CT32B0 EMR: EMC3 Mask                   */

/* ---------------------------------  CT32B0_CTCR  -------------------------------- */
#define CT32B0_CTCR_CTMODE_Pos                0                                                       /*!< CT32B0 CTCR: CTMODE Position            */
#define CT32B0_CTCR_CTMODE_Msk                (0x03UL << CT32B0_CTCR_CTMODE_Pos)                      /*!< CT32B0 CTCR: CTMODE Mask                */
#define CT32B0_CTCR_CINSEL_Pos                2                                                       /*!< CT32B0 CTCR: CINSEL Position            */
#define CT32B0_CTCR_CINSEL_Msk                (0x03UL << CT32B0_CTCR_CINSEL_Pos)                      /*!< CT32B0 CTCR: CINSEL Mask                */
#define CT32B0_CTCR_ENCC_Pos                  4                                                       /*!< CT32B0 CTCR: ENCC Position              */
#define CT32B0_CTCR_ENCC_Msk                  (0x01UL << CT32B0_CTCR_ENCC_Pos)                        /*!< CT32B0 CTCR: ENCC Mask                  */
#define CT32B0_CTCR_SELCC_Pos                 5                                                       /*!< CT32B0 CTCR: SELCC Position             */
#define CT32B0_CTCR_SELCC_Msk                 (0x07UL << CT32B0_CTCR_SELCC_Pos)                       /*!< CT32B0 CTCR: SELCC Mask                 */

/* ---------------------------------  CT32B0_PWMC  -------------------------------- */
#define CT32B0_PWMC_PWMEN0_Pos                0                                                       /*!< CT32B0 PWMC: PWMEN0 Position            */
#define CT32B0_PWMC_PWMEN0_Msk                (0x01UL << CT32B0_PWMC_PWMEN0_Pos)                      /*!< CT32B0 PWMC: PWMEN0 Mask                */
#define CT32B0_PWMC_PWMEN1_Pos                1                                                       /*!< CT32B0 PWMC: PWMEN1 Position            */
#define CT32B0_PWMC_PWMEN1_Msk                (0x01UL << CT32B0_PWMC_PWMEN1_Pos)                      /*!< CT32B0 PWMC: PWMEN1 Mask                */
#define CT32B0_PWMC_PWMEN2_Pos                2                                                       /*!< CT32B0 PWMC: PWMEN2 Position            */
#define CT32B0_PWMC_PWMEN2_Msk                (0x01UL << CT32B0_PWMC_PWMEN2_Pos)                      /*!< CT32B0 PWMC: PWMEN2 Mask                */
#define CT32B0_PWMC_PWMEN3_Pos                3                                                       /*!< CT32B0 PWMC: PWMEN3 Position            */
#define CT32B0_PWMC_PWMEN3_Msk                (0x01UL << CT32B0_PWMC_PWMEN3_Pos)                      /*!< CT32B0 PWMC: PWMEN3 Mask                */


/* ================================================================================ */
/* ================         struct 'CT32B1' Position & Mask        ================ */
/* ================================================================================ */


/* ----------------------------------  CT32B1_IR  --------------------------------- */
#define CT32B1_IR_MR0INT_Pos                  0                                                       /*!< CT32B1 IR: MR0INT Position              */
#define CT32B1_IR_MR0INT_Msk                  (0x01UL << CT32B1_IR_MR0INT_Pos)                        /*!< CT32B1 IR: MR0INT Mask                  */
#define CT32B1_IR_MR1INT_Pos                  1                                                       /*!< CT32B1 IR: MR1INT Position              */
#define CT32B1_IR_MR1INT_Msk                  (0x01UL << CT32B1_IR_MR1INT_Pos)                        /*!< CT32B1 IR: MR1INT Mask                  */
#define CT32B1_IR_MR2INT_Pos                  2                                                       /*!< CT32B1 IR: MR2INT Position              */
#define CT32B1_IR_MR2INT_Msk                  (0x01UL << CT32B1_IR_MR2INT_Pos)                        /*!< CT32B1 IR: MR2INT Mask                  */
#define CT32B1_IR_MR3INT_Pos                  3                                                       /*!< CT32B1 IR: MR3INT Position              */
#define CT32B1_IR_MR3INT_Msk                  (0x01UL << CT32B1_IR_MR3INT_Pos)                        /*!< CT32B1 IR: MR3INT Mask                  */
#define CT32B1_IR_CR0INT_Pos                  4                                                       /*!< CT32B1 IR: CR0INT Position              */
#define CT32B1_IR_CR0INT_Msk                  (0x01UL << CT32B1_IR_CR0INT_Pos)                        /*!< CT32B1 IR: CR0INT Mask                  */
#define CT32B1_IR_CR1INT_Pos                  5                                                       /*!< CT32B1 IR: CR1INT Position              */
#define CT32B1_IR_CR1INT_Msk                  (0x01UL << CT32B1_IR_CR1INT_Pos)                        /*!< CT32B1 IR: CR1INT Mask                  */
#define CT32B1_IR_CR2INT_Pos                  6                                                       /*!< CT32B1 IR: CR2INT Position              */
#define CT32B1_IR_CR2INT_Msk                  (0x01UL << CT32B1_IR_CR2INT_Pos)                        /*!< CT32B1 IR: CR2INT Mask                  */
#define CT32B1_IR_CR3INT_Pos                  7                                                       /*!< CT32B1 IR: CR3INT Position              */
#define CT32B1_IR_CR3INT_Msk                  (0x01UL << CT32B1_IR_CR3INT_Pos)                        /*!< CT32B1 IR: CR3INT Mask                  */

/* ---------------------------------  CT32B1_TCR  --------------------------------- */
#define CT32B1_TCR_CEN_Pos                    0                                                       /*!< CT32B1 TCR: CEN Position                */
#define CT32B1_TCR_CEN_Msk                    (0x01UL << CT32B1_TCR_CEN_Pos)                          /*!< CT32B1 TCR: CEN Mask                    */
#define CT32B1_TCR_CRST_Pos                   1                                                       /*!< CT32B1 TCR: CRST Position               */
#define CT32B1_TCR_CRST_Msk                   (0x01UL << CT32B1_TCR_CRST_Pos)                         /*!< CT32B1 TCR: CRST Mask                   */

/* ----------------------------------  CT32B1_TC  --------------------------------- */
#define CT32B1_TC_TCVAL_Pos                   0                                                       /*!< CT32B1 TC: TCVAL Position               */
#define CT32B1_TC_TCVAL_Msk                   (0xffffffffUL << CT32B1_TC_TCVAL_Pos)                   /*!< CT32B1 TC: TCVAL Mask                   */

/* ----------------------------------  CT32B1_PR  --------------------------------- */
#define CT32B1_PR_PRVAL_Pos                   0                                                       /*!< CT32B1 PR: PRVAL Position               */
#define CT32B1_PR_PRVAL_Msk                   (0xffffffffUL << CT32B1_PR_PRVAL_Pos)                   /*!< CT32B1 PR: PRVAL Mask                   */

/* ----------------------------------  CT32B1_PC  --------------------------------- */
#define CT32B1_PC_PCVAL_Pos                   0                                                       /*!< CT32B1 PC: PCVAL Position               */
#define CT32B1_PC_PCVAL_Msk                   (0xffffffffUL << CT32B1_PC_PCVAL_Pos)                   /*!< CT32B1 PC: PCVAL Mask                   */

/* ---------------------------------  CT32B1_MCR  --------------------------------- */
#define CT32B1_MCR_MR0I_Pos                   0                                                       /*!< CT32B1 MCR: MR0I Position               */
#define CT32B1_MCR_MR0I_Msk                   (0x01UL << CT32B1_MCR_MR0I_Pos)                         /*!< CT32B1 MCR: MR0I Mask                   */
#define CT32B1_MCR_MR0R_Pos                   1                                                       /*!< CT32B1 MCR: MR0R Position               */
#define CT32B1_MCR_MR0R_Msk                   (0x01UL << CT32B1_MCR_MR0R_Pos)                         /*!< CT32B1 MCR: MR0R Mask                   */
#define CT32B1_MCR_MR0S_Pos                   2                                                       /*!< CT32B1 MCR: MR0S Position               */
#define CT32B1_MCR_MR0S_Msk                   (0x01UL << CT32B1_MCR_MR0S_Pos)                         /*!< CT32B1 MCR: MR0S Mask                   */
#define CT32B1_MCR_MR1I_Pos                   3                                                       /*!< CT32B1 MCR: MR1I Position               */
#define CT32B1_MCR_MR1I_Msk                   (0x01UL << CT32B1_MCR_MR1I_Pos)                         /*!< CT32B1 MCR: MR1I Mask                   */
#define CT32B1_MCR_MR1R_Pos                   4                                                       /*!< CT32B1 MCR: MR1R Position               */
#define CT32B1_MCR_MR1R_Msk                   (0x01UL << CT32B1_MCR_MR1R_Pos)                         /*!< CT32B1 MCR: MR1R Mask                   */
#define CT32B1_MCR_MR1S_Pos                   5                                                       /*!< CT32B1 MCR: MR1S Position               */
#define CT32B1_MCR_MR1S_Msk                   (0x01UL << CT32B1_MCR_MR1S_Pos)                         /*!< CT32B1 MCR: MR1S Mask                   */
#define CT32B1_MCR_MR2I_Pos                   6                                                       /*!< CT32B1 MCR: MR2I Position               */
#define CT32B1_MCR_MR2I_Msk                   (0x01UL << CT32B1_MCR_MR2I_Pos)                         /*!< CT32B1 MCR: MR2I Mask                   */
#define CT32B1_MCR_MR2R_Pos                   7                                                       /*!< CT32B1 MCR: MR2R Position               */
#define CT32B1_MCR_MR2R_Msk                   (0x01UL << CT32B1_MCR_MR2R_Pos)                         /*!< CT32B1 MCR: MR2R Mask                   */
#define CT32B1_MCR_MR2S_Pos                   8                                                       /*!< CT32B1 MCR: MR2S Position               */
#define CT32B1_MCR_MR2S_Msk                   (0x01UL << CT32B1_MCR_MR2S_Pos)                         /*!< CT32B1 MCR: MR2S Mask                   */
#define CT32B1_MCR_MR3I_Pos                   9                                                       /*!< CT32B1 MCR: MR3I Position               */
#define CT32B1_MCR_MR3I_Msk                   (0x01UL << CT32B1_MCR_MR3I_Pos)                         /*!< CT32B1 MCR: MR3I Mask                   */
#define CT32B1_MCR_MR3R_Pos                   10                                                      /*!< CT32B1 MCR: MR3R Position               */
#define CT32B1_MCR_MR3R_Msk                   (0x01UL << CT32B1_MCR_MR3R_Pos)                         /*!< CT32B1 MCR: MR3R Mask                   */
#define CT32B1_MCR_MR3S_Pos                   11                                                      /*!< CT32B1 MCR: MR3S Position               */
#define CT32B1_MCR_MR3S_Msk                   (0x01UL << CT32B1_MCR_MR3S_Pos)                         /*!< CT32B1 MCR: MR3S Mask                   */

/* ---------------------------------  CT32B1_MR0  --------------------------------- */
#define CT32B1_MR0_MATCH_Pos                  0                                                       /*!< CT32B1 MR0: MATCH Position              */
#define CT32B1_MR0_MATCH_Msk                  (0xffffffffUL << CT32B1_MR0_MATCH_Pos)                  /*!< CT32B1 MR0: MATCH Mask                  */

/* ---------------------------------  CT32B1_MR1  --------------------------------- */
#define CT32B1_MR1_MATCH_Pos                  0                                                       /*!< CT32B1 MR1: MATCH Position              */
#define CT32B1_MR1_MATCH_Msk                  (0xffffffffUL << CT32B1_MR1_MATCH_Pos)                  /*!< CT32B1 MR1: MATCH Mask                  */

/* ---------------------------------  CT32B1_MR2  --------------------------------- */
#define CT32B1_MR2_MATCH_Pos                  0                                                       /*!< CT32B1 MR2: MATCH Position              */
#define CT32B1_MR2_MATCH_Msk                  (0xffffffffUL << CT32B1_MR2_MATCH_Pos)                  /*!< CT32B1 MR2: MATCH Mask                  */

/* ---------------------------------  CT32B1_MR3  --------------------------------- */
#define CT32B1_MR3_MATCH_Pos                  0                                                       /*!< CT32B1 MR3: MATCH Position              */
#define CT32B1_MR3_MATCH_Msk                  (0xffffffffUL << CT32B1_MR3_MATCH_Pos)                  /*!< CT32B1 MR3: MATCH Mask                  */

/* ---------------------------------  CT32B1_CCR  --------------------------------- */
#define CT32B1_CCR_CAP0RE_Pos                 0                                                       /*!< CT32B1 CCR: CAP0RE Position             */
#define CT32B1_CCR_CAP0RE_Msk                 (0x01UL << CT32B1_CCR_CAP0RE_Pos)                       /*!< CT32B1 CCR: CAP0RE Mask                 */
#define CT32B1_CCR_CAP0FE_Pos                 1                                                       /*!< CT32B1 CCR: CAP0FE Position             */
#define CT32B1_CCR_CAP0FE_Msk                 (0x01UL << CT32B1_CCR_CAP0FE_Pos)                       /*!< CT32B1 CCR: CAP0FE Mask                 */
#define CT32B1_CCR_CAP0I_Pos                  2                                                       /*!< CT32B1 CCR: CAP0I Position              */
#define CT32B1_CCR_CAP0I_Msk                  (0x01UL << CT32B1_CCR_CAP0I_Pos)                        /*!< CT32B1 CCR: CAP0I Mask                  */
#define CT32B1_CCR_CAP1RE_Pos                 3                                                       /*!< CT32B1 CCR: CAP1RE Position             */
#define CT32B1_CCR_CAP1RE_Msk                 (0x01UL << CT32B1_CCR_CAP1RE_Pos)                       /*!< CT32B1 CCR: CAP1RE Mask                 */
#define CT32B1_CCR_CAP1FE_Pos                 4                                                       /*!< CT32B1 CCR: CAP1FE Position             */
#define CT32B1_CCR_CAP1FE_Msk                 (0x01UL << CT32B1_CCR_CAP1FE_Pos)                       /*!< CT32B1 CCR: CAP1FE Mask                 */
#define CT32B1_CCR_CAP1I_Pos                  5                                                       /*!< CT32B1 CCR: CAP1I Position              */
#define CT32B1_CCR_CAP1I_Msk                  (0x01UL << CT32B1_CCR_CAP1I_Pos)                        /*!< CT32B1 CCR: CAP1I Mask                  */
#define CT32B1_CCR_CAP2RE_Pos                 6                                                       /*!< CT32B1 CCR: CAP2RE Position             */
#define CT32B1_CCR_CAP2RE_Msk                 (0x01UL << CT32B1_CCR_CAP2RE_Pos)                       /*!< CT32B1 CCR: CAP2RE Mask                 */
#define CT32B1_CCR_CAP2FE_Pos                 7                                                       /*!< CT32B1 CCR: CAP2FE Position             */
#define CT32B1_CCR_CAP2FE_Msk                 (0x01UL << CT32B1_CCR_CAP2FE_Pos)                       /*!< CT32B1 CCR: CAP2FE Mask                 */
#define CT32B1_CCR_CAP2I_Pos                  8                                                       /*!< CT32B1 CCR: CAP2I Position              */
#define CT32B1_CCR_CAP2I_Msk                  (0x01UL << CT32B1_CCR_CAP2I_Pos)                        /*!< CT32B1 CCR: CAP2I Mask                  */
#define CT32B1_CCR_CAP3RE_Pos                 9                                                       /*!< CT32B1 CCR: CAP3RE Position             */
#define CT32B1_CCR_CAP3RE_Msk                 (0x01UL << CT32B1_CCR_CAP3RE_Pos)                       /*!< CT32B1 CCR: CAP3RE Mask                 */
#define CT32B1_CCR_CAP3FE_Pos                 10                                                      /*!< CT32B1 CCR: CAP3FE Position             */
#define CT32B1_CCR_CAP3FE_Msk                 (0x01UL << CT32B1_CCR_CAP3FE_Pos)                       /*!< CT32B1 CCR: CAP3FE Mask                 */
#define CT32B1_CCR_CAP3I_Pos                  11                                                      /*!< CT32B1 CCR: CAP3I Position              */
#define CT32B1_CCR_CAP3I_Msk                  (0x01UL << CT32B1_CCR_CAP3I_Pos)                        /*!< CT32B1 CCR: CAP3I Mask                  */

/* ---------------------------------  CT32B1_CR0  --------------------------------- */
#define CT32B1_CR0_CAP_Pos                    0                                                       /*!< CT32B1 CR0: CAP Position                */
#define CT32B1_CR0_CAP_Msk                    (0xffffffffUL << CT32B1_CR0_CAP_Pos)                    /*!< CT32B1 CR0: CAP Mask                    */

/* ---------------------------------  CT32B1_CR1  --------------------------------- */
#define CT32B1_CR1_CAP_Pos                    0                                                       /*!< CT32B1 CR1: CAP Position                */
#define CT32B1_CR1_CAP_Msk                    (0xffffffffUL << CT32B1_CR1_CAP_Pos)                    /*!< CT32B1 CR1: CAP Mask                    */

/* ---------------------------------  CT32B1_CR2  --------------------------------- */
#define CT32B1_CR2_CAP_Pos                    0                                                       /*!< CT32B1 CR2: CAP Position                */
#define CT32B1_CR2_CAP_Msk                    (0xffffffffUL << CT32B1_CR2_CAP_Pos)                    /*!< CT32B1 CR2: CAP Mask                    */

/* ---------------------------------  CT32B1_CR3  --------------------------------- */
#define CT32B1_CR3_CAP_Pos                    0                                                       /*!< CT32B1 CR3: CAP Position                */
#define CT32B1_CR3_CAP_Msk                    (0xffffffffUL << CT32B1_CR3_CAP_Pos)                    /*!< CT32B1 CR3: CAP Mask                    */

/* ---------------------------------  CT32B1_EMR  --------------------------------- */
#define CT32B1_EMR_EM0_Pos                    0                                                       /*!< CT32B1 EMR: EM0 Position                */
#define CT32B1_EMR_EM0_Msk                    (0x01UL << CT32B1_EMR_EM0_Pos)                          /*!< CT32B1 EMR: EM0 Mask                    */
#define CT32B1_EMR_EM1_Pos                    1                                                       /*!< CT32B1 EMR: EM1 Position                */
#define CT32B1_EMR_EM1_Msk                    (0x01UL << CT32B1_EMR_EM1_Pos)                          /*!< CT32B1 EMR: EM1 Mask                    */
#define CT32B1_EMR_EM2_Pos                    2                                                       /*!< CT32B1 EMR: EM2 Position                */
#define CT32B1_EMR_EM2_Msk                    (0x01UL << CT32B1_EMR_EM2_Pos)                          /*!< CT32B1 EMR: EM2 Mask                    */
#define CT32B1_EMR_EM3_Pos                    3                                                       /*!< CT32B1 EMR: EM3 Position                */
#define CT32B1_EMR_EM3_Msk                    (0x01UL << CT32B1_EMR_EM3_Pos)                          /*!< CT32B1 EMR: EM3 Mask                    */
#define CT32B1_EMR_EMC0_Pos                   4                                                       /*!< CT32B1 EMR: EMC0 Position               */
#define CT32B1_EMR_EMC0_Msk                   (0x03UL << CT32B1_EMR_EMC0_Pos)                         /*!< CT32B1 EMR: EMC0 Mask                   */
#define CT32B1_EMR_EMC1_Pos                   6                                                       /*!< CT32B1 EMR: EMC1 Position               */
#define CT32B1_EMR_EMC1_Msk                   (0x03UL << CT32B1_EMR_EMC1_Pos)                         /*!< CT32B1 EMR: EMC1 Mask                   */
#define CT32B1_EMR_EMC2_Pos                   8                                                       /*!< CT32B1 EMR: EMC2 Position               */
#define CT32B1_EMR_EMC2_Msk                   (0x03UL << CT32B1_EMR_EMC2_Pos)                         /*!< CT32B1 EMR: EMC2 Mask                   */
#define CT32B1_EMR_EMC3_Pos                   10                                                      /*!< CT32B1 EMR: EMC3 Position               */
#define CT32B1_EMR_EMC3_Msk                   (0x03UL << CT32B1_EMR_EMC3_Pos)                         /*!< CT32B1 EMR: EMC3 Mask                   */

/* ---------------------------------  CT32B1_CTCR  -------------------------------- */
#define CT32B1_CTCR_CTMODE_Pos                0                                                       /*!< CT32B1 CTCR: CTMODE Position            */
#define CT32B1_CTCR_CTMODE_Msk                (0x03UL << CT32B1_CTCR_CTMODE_Pos)                      /*!< CT32B1 CTCR: CTMODE Mask                */
#define CT32B1_CTCR_CINSEL_Pos                2                                                       /*!< CT32B1 CTCR: CINSEL Position            */
#define CT32B1_CTCR_CINSEL_Msk                (0x03UL << CT32B1_CTCR_CINSEL_Pos)                      /*!< CT32B1 CTCR: CINSEL Mask                */
#define CT32B1_CTCR_ENCC_Pos                  4                                                       /*!< CT32B1 CTCR: ENCC Position              */
#define CT32B1_CTCR_ENCC_Msk                  (0x01UL << CT32B1_CTCR_ENCC_Pos)                        /*!< CT32B1 CTCR: ENCC Mask                  */
#define CT32B1_CTCR_SELCC_Pos                 5                                                       /*!< CT32B1 CTCR: SELCC Position             */
#define CT32B1_CTCR_SELCC_Msk                 (0x07UL << CT32B1_CTCR_SELCC_Pos)                       /*!< CT32B1 CTCR: SELCC Mask                 */

/* ---------------------------------  CT32B1_PWMC  -------------------------------- */
#define CT32B1_PWMC_PWMEN0_Pos                0                                                       /*!< CT32B1 PWMC: PWMEN0 Position            */
#define CT32B1_PWMC_PWMEN0_Msk                (0x01UL << CT32B1_PWMC_PWMEN0_Pos)                      /*!< CT32B1 PWMC: PWMEN0 Mask                */
#define CT32B1_PWMC_PWMEN1_Pos                1                                                       /*!< CT32B1 PWMC: PWMEN1 Position            */
#define CT32B1_PWMC_PWMEN1_Msk                (0x01UL << CT32B1_PWMC_PWMEN1_Pos)                      /*!< CT32B1 PWMC: PWMEN1 Mask                */
#define CT32B1_PWMC_PWMEN2_Pos                2                                                       /*!< CT32B1 PWMC: PWMEN2 Position            */
#define CT32B1_PWMC_PWMEN2_Msk                (0x01UL << CT32B1_PWMC_PWMEN2_Pos)                      /*!< CT32B1 PWMC: PWMEN2 Mask                */
#define CT32B1_PWMC_PWMEN3_Pos                3                                                       /*!< CT32B1 PWMC: PWMEN3 Position            */
#define CT32B1_PWMC_PWMEN3_Msk                (0x01UL << CT32B1_PWMC_PWMEN3_Pos)                      /*!< CT32B1 PWMC: PWMEN3 Mask                */



/* ================================================================================ */
/* ================              Peripheral memory map             ================ */
/* ================================================================================ */

#define LPC_GPIO_BASE                   0x1C000000UL
#define LPC_DMA_BASE                    0x1C004000UL
#define LPC_CRC_BASE                    0x1C010000UL
#define LPC_SCT0_BASE                   0x1C018000UL
#define LPC_MAILBOX_BASE                0x1C02C000UL
#define LPC_ADC0_BASE                   0x1C034000UL
#define LPC_VFIFO_BASE                  0x1C038000UL
#define LPC_SYSCON_BASE                 0x40000000UL
#define LPC_CT32B2_BASE                 0x40004000UL
#define LPC_CT32B3_BASE                 0x40008000UL
#define LPC_CT32B4_BASE                 0x4000C000UL
#define LPC_GINT0_BASE                  0x40010000UL
#define LPC_GINT1_BASE                  0x40014000UL
#define LPC_PINT_BASE                   0x40018000UL
#define LPC_IOCON_BASE                  0x4001C000UL
#define LPC_UTICK_BASE                  0x40020000UL
#define LPC_ADVSYSCON_BASE              0x4002C000UL
#define LPC_WWDT_BASE                   0x40038000UL
#define LPC_RTC_BASE                    0x4003C000UL
#define LPC_INPUTMUX_BASE               0x40050000UL
#define LPC_RIT_BASE                    0x40070000UL
#define LPC_MRT_BASE                    0x40074000UL
#define LPC_ASYNCSYSCON_BASE            0x40080000UL
#define LPC_USART0_BASE                 0x40084000UL
#define LPC_USART1_BASE                 0x40088000UL
#define LPC_USART2_BASE                 0x4008C000UL
#define LPC_USART3_BASE                 0x40090000UL
#define LPC_I2C0_BASE                   0x40094000UL
#define LPC_I2C1_BASE                   0x40098000UL
#define LPC_I2C2_BASE                   0x4009C000UL
#define LPC_SPI0_BASE                   0x400A4000UL
#define LPC_SPI1_BASE                   0x400A8000UL
#define LPC_CT32B0_BASE                 0x400B4000UL
#define LPC_CT32B1_BASE                 0x400B8000UL


/* ================================================================================ */
/* ================             Peripheral declaration             ================ */
/* ================================================================================ */

#define LPC_GPIO                        ((LPC_GPIO_Type           *) LPC_GPIO_BASE)
#define LPC_DMA                         ((LPC_DMA_Type            *) LPC_DMA_BASE)
#define LPC_CRC                         ((LPC_CRC_Type            *) LPC_CRC_BASE)
#define LPC_SCT0                        ((LPC_SCT0_Type           *) LPC_SCT0_BASE)
#define LPC_MAILBOX                     ((LPC_MAILBOX_Type        *) LPC_MAILBOX_BASE)
#define LPC_ADC0                        ((LPC_ADC0_Type           *) LPC_ADC0_BASE)
#define LPC_VFIFO                       ((LPC_VFIFO_Type          *) LPC_VFIFO_BASE)
#define LPC_SYSCON                      ((LPC_SYSCON_Type         *) LPC_SYSCON_BASE)
#define LPC_CT32B2                      ((LPC_CT32B2_Type         *) LPC_CT32B2_BASE)
#define LPC_CT32B3                      ((LPC_CT32B2_Type         *) LPC_CT32B3_BASE)
#define LPC_CT32B4                      ((LPC_CT32B2_Type         *) LPC_CT32B4_BASE)
#define LPC_GINT0                       ((LPC_GINT0_Type          *) LPC_GINT0_BASE)
#define LPC_GINT1                       ((LPC_GINT0_Type          *) LPC_GINT1_BASE)
#define LPC_PINT                        ((LPC_PINT_Type           *) LPC_PINT_BASE)
#define LPC_IOCON                       ((LPC_IOCON_Type          *) LPC_IOCON_BASE)
#define LPC_UTICK                       ((LPC_UTICK_Type          *) LPC_UTICK_BASE)
#define LPC_ADVSYSCON                   ((LPC_ADVSYSCON_Type      *) LPC_ADVSYSCON_BASE)
#define LPC_WWDT                        ((LPC_WWDT_Type           *) LPC_WWDT_BASE)
#define LPC_RTC                         ((LPC_RTC_Type            *) LPC_RTC_BASE)
#define LPC_INPUTMUX                    ((LPC_INPUTMUX_Type       *) LPC_INPUTMUX_BASE)
#define LPC_RIT                         ((LPC_RIT_Type            *) LPC_RIT_BASE)
#define LPC_MRT                         ((LPC_MRT_Type            *) LPC_MRT_BASE)
#define LPC_ASYNCSYSCON                 ((LPC_ASYNCSYSCON_Type    *) LPC_ASYNCSYSCON_BASE)
#define LPC_USART0                      ((LPC_USART0_Type         *) LPC_USART0_BASE)
#define LPC_USART1                      ((LPC_USART0_Type         *) LPC_USART1_BASE)
#define LPC_USART2                      ((LPC_USART0_Type         *) LPC_USART2_BASE)
#define LPC_USART3                      ((LPC_USART0_Type         *) LPC_USART3_BASE)
#define LPC_I2C0                        ((LPC_I2C0_Type           *) LPC_I2C0_BASE)
#define LPC_I2C1                        ((LPC_I2C0_Type           *) LPC_I2C1_BASE)
#define LPC_I2C2                        ((LPC_I2C0_Type           *) LPC_I2C2_BASE)
#define LPC_SPI0                        ((LPC_SPI0_Type           *) LPC_SPI0_BASE)
#define LPC_SPI1                        ((LPC_SPI0_Type           *) LPC_SPI1_BASE)
#define LPC_CT32B0                      ((LPC_CT32B2_Type         *) LPC_CT32B0_BASE)
#define LPC_CT32B1                      ((LPC_CT32B2_Type         *) LPC_CT32B1_BASE)


/** @} */ /* End of group Device_Peripheral_Registers */
/** @} */ /* End of group LPC54xxx */
/** @} */ /* End of group (null) */

#ifdef __cplusplus
}
#endif


#endif  /* LPC54xxx_H */

